package Crypt::HSXKPasswd::Dictionary::FR;

use parent Crypt::HSXKPasswd::Dictionary;

# NOTE:
# -----
# This module was Auto-generated at 2015-06-07T19:39:39Z by
# Crypt::HSXKPasswd::Util->dictionary_from_text_file()

# import required modules
use strict;
use warnings;
use English qw( -no_match_vars ); # for more readable code
use Fatal qw( :void open close binmode ); # make builtins throw exceptions on failure
use Readonly; # for truly constant constants

# HSXKPasswd stuff
use Crypt::HSXKPasswd::Helper;

# set things up for using UTF-8
use 5.016; # min Perl for good UTF-8 support, implies feature 'unicode_strings'
use Encode qw(encode decode);
use utf8;
binmode STDOUT, ':encoding(UTF-8)';

#
# === Constants ===============================================================#
#

# version info
use version; our $VERSION = qv('3.002_001');

# utility constants
Readonly my $_CLASS => 'Crypt::HSXKPasswd::Dictionary::FR';

# the word list
my @_WORDS = ( ## no critic (ProhibitQuotedWordLists)
    'Antéchrist',
    'Antéchrists',
    'Brest',
    'Escalator',
    'Escalators',
    'Esquimau',
    'Esquimaude',
    'Esquimaudes',
    'Esquimaux',
    'Frédéric',
    'GUTenberg',
    'Hygiaphone',
    'Hygiaphones',
    'ISPELL',
    'Internet',
    'JAEA',
    'Joliot',
    'Labview',
    'Lakanal',
    'Land',
    'Länder',
    'MJSAM',
    'Mach',
    'Martini',
    'Melba',
    'Minitel',
    'Minitels',
    'Monotype',
    'Monotypes',
    'Moviola',
    'Moviolas',
    'Napoléon',
    'Noël',
    'Noëls',
    'Orlon',
    'PCSI',
    'Polaroïd',
    'Polaroïds',
    'Pédalo',
    'Pédalos',
    'Pître',
    'Quasimodo',
    'Quasimodos',
    'Rhodia',
    'Rhovyl',
    'Rilsan',
    'Rimmel',
    'Rimmels',
    'Ripolin',
    'Ripolins',
    'Ronéo',
    'Ronéos',
    'Sandow',
    'Sandows',
    'Scotch',
    'Scotchs',
    'Scrabble',
    'Scrabbles',
    'Skaï',
    'Skaïs',
    'TOEIC',
    'Tartempion',
    'Taxiphone',
    'Taxiphones',
    'Technicolor',
    'Tergal',
    'Tergals',
    'Toussaint',
    'Triplex',
    'Téflon',
    'Téflons',
    'Vespa',
    'Vespas',
    'Volucompteur',
    'Véda',
    'Védas',
    'Walkman',
    'Walkmans',
    'abaissa',
    'abaissable',
    'abaissables',
    'abaissai',
    'abaissaient',
    'abaissais',
    'abaissait',
    'abaissant',
    'abaissante',
    'abaissantes',
    'abaissants',
    'abaissas',
    'abaissasse',
    'abaissassent',
    'abaissasses',
    'abaissassiez',
    'abaisse',
    'abaissement',
    'abaissements',
    'abaissent',
    'abaisser',
    'abaissera',
    'abaisserai',
    'abaisserais',
    'abaisserait',
    'abaisseras',
    'abaisserez',
    'abaisseriez',
    'abaisserions',
    'abaisserons',
    'abaisseront',
    'abaisses',
    'abaisseur',
    'abaisseurs',
    'abaissez',
    'abaissiez',
    'abaissions',
    'abaissons',
    'abaissâmes',
    'abaissât',
    'abaissâtes',
    'abaissèrent',
    'abaissé',
    'abaissée',
    'abaissées',
    'abaissés',
    'abajoue',
    'abajoues',
    'abandon',
    'abandonna',
    'abandonnai',
    'abandonnais',
    'abandonnait',
    'abandonnant',
    'abandonnas',
    'abandonnasse',
    'abandonne',
    'abandonnent',
    'abandonner',
    'abandonnera',
    'abandonnerai',
    'abandonneras',
    'abandonnerez',
    'abandonnes',
    'abandonnez',
    'abandonniez',
    'abandonnions',
    'abandonnons',
    'abandonnâmes',
    'abandonnât',
    'abandonnâtes',
    'abandonné',
    'abandonnée',
    'abandonnées',
    'abandonnés',
    'abandons',
    'abaque',
    'abaques',
    'abaqus',
    'abarrou',
    'abasourdi',
    'abasourdie',
    'abasourdies',
    'abasourdir',
    'abasourdira',
    'abasourdirai',
    'abasourdiras',
    'abasourdirez',
    'abasourdis',
    'abasourdisse',
    'abasourdit',
    'abasourdîmes',
    'abasourdît',
    'abasourdîtes',
    'abat',
    'abatage',
    'abatages',
    'abats',
    'abattage',
    'abattages',
    'abattaient',
    'abattais',
    'abattait',
    'abattant',
    'abattante',
    'abattantes',
    'abattants',
    'abatte',
    'abattement',
    'abattements',
    'abattent',
    'abattes',
    'abatteur',
    'abatteurs',
    'abattez',
    'abattiez',
    'abattions',
    'abattirent',
    'abattis',
    'abattisse',
    'abattissent',
    'abattisses',
    'abattissiez',
    'abattissions',
    'abattit',
    'abattoir',
    'abattoirs',
    'abattons',
    'abattra',
    'abattrai',
    'abattraient',
    'abattrais',
    'abattrait',
    'abattras',
    'abattre',
    'abattrez',
    'abattriez',
    'abattrions',
    'abattrons',
    'abattront',
    'abattu',
    'abattue',
    'abattues',
    'abattus',
    'abattée',
    'abattées',
    'abattîmes',
    'abattît',
    'abattîtes',
    'abatée',
    'abatées',
    'abbatial',
    'abbatiale',
    'abbatiales',
    'abbatiaux',
    'abbaye',
    'abbayes',
    'abbesse',
    'abbesses',
    'abbevillien',
    'abbevilliens',
    'abbé',
    'abbés',
    'abcès',
    'abcéder',
    'abdicataire',
    'abdicataires',
    'abdication',
    'abdications',
    'abdiqua',
    'abdiquai',
    'abdiquaient',
    'abdiquais',
    'abdiquait',
    'abdiquant',
    'abdiquas',
    'abdiquasse',
    'abdiquassent',
    'abdiquasses',
    'abdiquassiez',
    'abdique',
    'abdiquent',
    'abdiquer',
    'abdiquera',
    'abdiquerai',
    'abdiquerais',
    'abdiquerait',
    'abdiqueras',
    'abdiquerez',
    'abdiqueriez',
    'abdiquerions',
    'abdiquerons',
    'abdiqueront',
    'abdiques',
    'abdiquez',
    'abdiquiez',
    'abdiquions',
    'abdiquons',
    'abdiquâmes',
    'abdiquât',
    'abdiquâtes',
    'abdiquèrent',
    'abdiqué',
    'abdiquée',
    'abdiquées',
    'abdiqués',
    'abdomen',
    'abdomens',
    'abdominal',
    'abdominale',
    'abdominales',
    'abdominaux',
    'abducteur',
    'abducteurs',
    'abduction',
    'abductions',
    'abeille',
    'abeilles',
    'aberra',
    'aberrai',
    'aberraient',
    'aberrais',
    'aberrait',
    'aberrance',
    'aberrances',
    'aberrant',
    'aberrante',
    'aberrantes',
    'aberrants',
    'aberras',
    'aberrasse',
    'aberrassent',
    'aberrasses',
    'aberrassiez',
    'aberrassions',
    'aberration',
    'aberrations',
    'aberre',
    'aberrent',
    'aberrer',
    'aberrera',
    'aberrerai',
    'aberreraient',
    'aberrerais',
    'aberrerait',
    'aberreras',
    'aberrerez',
    'aberreriez',
    'aberrerions',
    'aberrerons',
    'aberreront',
    'aberres',
    'aberrez',
    'aberriez',
    'aberrions',
    'aberrons',
    'aberrâmes',
    'aberrât',
    'aberrâtes',
    'aberrèrent',
    'aberré',
    'abhorra',
    'abhorrai',
    'abhorraient',
    'abhorrais',
    'abhorrait',
    'abhorrant',
    'abhorras',
    'abhorrasse',
    'abhorrassent',
    'abhorrasses',
    'abhorrassiez',
    'abhorre',
    'abhorrent',
    'abhorrer',
    'abhorrera',
    'abhorrerai',
    'abhorrerais',
    'abhorrerait',
    'abhorreras',
    'abhorrerez',
    'abhorreriez',
    'abhorrerions',
    'abhorrerons',
    'abhorreront',
    'abhorres',
    'abhorrez',
    'abhorriez',
    'abhorrions',
    'abhorrons',
    'abhorrâmes',
    'abhorrât',
    'abhorrâtes',
    'abhorrèrent',
    'abhorré',
    'abhorrée',
    'abhorrées',
    'abhorrés',
    'abiotique',
    'abiotiques',
    'abject',
    'abjecte',
    'abjectement',
    'abjectes',
    'abjection',
    'abjections',
    'abjects',
    'abjura',
    'abjurai',
    'abjuraient',
    'abjurais',
    'abjurait',
    'abjurant',
    'abjuras',
    'abjurasse',
    'abjurassent',
    'abjurasses',
    'abjurassiez',
    'abjurassions',
    'abjuration',
    'abjurations',
    'abjure',
    'abjurent',
    'abjurer',
    'abjurera',
    'abjurerai',
    'abjureraient',
    'abjurerais',
    'abjurerait',
    'abjureras',
    'abjurerez',
    'abjureriez',
    'abjurerions',
    'abjurerons',
    'abjureront',
    'abjures',
    'abjurez',
    'abjuriez',
    'abjurions',
    'abjurons',
    'abjurâmes',
    'abjurât',
    'abjurâtes',
    'abjurèrent',
    'abjuré',
    'abjurée',
    'abjurées',
    'abjurés',
    'ablater',
    'ablatif',
    'ablatifs',
    'ablation',
    'ablations',
    'ablative',
    'ablatives',
    'ablette',
    'ablettes',
    'abloqua',
    'abloquai',
    'abloquaient',
    'abloquais',
    'abloquait',
    'abloquant',
    'abloquas',
    'abloquasse',
    'abloquassent',
    'abloquasses',
    'abloquassiez',
    'abloque',
    'abloquent',
    'abloquer',
    'abloquera',
    'abloquerai',
    'abloquerais',
    'abloquerait',
    'abloqueras',
    'abloquerez',
    'abloqueriez',
    'abloquerions',
    'abloquerons',
    'abloqueront',
    'abloques',
    'abloquez',
    'abloquiez',
    'abloquions',
    'abloquons',
    'abloquâmes',
    'abloquât',
    'abloquâtes',
    'abloquèrent',
    'abloqué',
    'abloquée',
    'abloquées',
    'abloqués',
    'ablution',
    'ablutions',
    'ablégat',
    'ablégats',
    'abnégation',
    'abnégations',
    'aboi',
    'aboie',
    'aboiement',
    'aboiements',
    'aboient',
    'aboiera',
    'aboierai',
    'aboieraient',
    'aboierais',
    'aboierait',
    'aboieras',
    'aboierez',
    'aboieriez',
    'aboierions',
    'aboierons',
    'aboieront',
    'aboies',
    'abois',
    'aboli',
    'abolie',
    'abolies',
    'abolir',
    'abolira',
    'abolirai',
    'aboliraient',
    'abolirais',
    'abolirait',
    'aboliras',
    'abolirent',
    'abolirez',
    'aboliriez',
    'abolirions',
    'abolirons',
    'aboliront',
    'abolis',
    'abolissaient',
    'abolissais',
    'abolissait',
    'abolissant',
    'abolisse',
    'abolissent',
    'abolisses',
    'abolissez',
    'abolissiez',
    'abolissions',
    'abolissons',
    'abolit',
    'abolition',
    'abolitions',
    'abolîmes',
    'abolît',
    'abolîtes',
    'abomina',
    'abominable',
    'abominables',
    'abominai',
    'abominaient',
    'abominais',
    'abominait',
    'abominant',
    'abominas',
    'abominasse',
    'abominassent',
    'abominasses',
    'abominassiez',
    'abomination',
    'abominations',
    'abomine',
    'abominent',
    'abominer',
    'abominera',
    'abominerai',
    'abominerais',
    'abominerait',
    'abomineras',
    'abominerez',
    'abomineriez',
    'abominerions',
    'abominerons',
    'abomineront',
    'abomines',
    'abominez',
    'abominiez',
    'abominions',
    'abominons',
    'abominâmes',
    'abominât',
    'abominâtes',
    'abominèrent',
    'abominé',
    'abominée',
    'abominées',
    'abominés',
    'abonda',
    'abondai',
    'abondaient',
    'abondais',
    'abondait',
    'abondamment',
    'abondance',
    'abondances',
    'abondanciste',
    'abondant',
    'abondante',
    'abondantes',
    'abondants',
    'abondas',
    'abondasse',
    'abondassent',
    'abondasses',
    'abondassiez',
    'abondassions',
    'abonde',
    'abondent',
    'abonder',
    'abondera',
    'abonderai',
    'abonderaient',
    'abonderais',
    'abonderait',
    'abonderas',
    'abonderez',
    'abonderiez',
    'abonderions',
    'abonderons',
    'abonderont',
    'abondes',
    'abondez',
    'abondiez',
    'abondions',
    'abondons',
    'abondâmes',
    'abondât',
    'abondâtes',
    'abondèrent',
    'abondé',
    'abonna',
    'abonnai',
    'abonnaient',
    'abonnais',
    'abonnait',
    'abonnant',
    'abonnas',
    'abonnasse',
    'abonnassent',
    'abonnasses',
    'abonnassiez',
    'abonnassions',
    'abonne',
    'abonnement',
    'abonnements',
    'abonnent',
    'abonner',
    'abonnera',
    'abonnerai',
    'abonneraient',
    'abonnerais',
    'abonnerait',
    'abonneras',
    'abonnerez',
    'abonneriez',
    'abonnerions',
    'abonnerons',
    'abonneront',
    'abonnes',
    'abonnez',
    'abonni',
    'abonnie',
    'abonnies',
    'abonniez',
    'abonnions',
    'abonnir',
    'abonnira',
    'abonnirai',
    'abonniraient',
    'abonnirais',
    'abonnirait',
    'abonniras',
    'abonnirent',
    'abonnirez',
    'abonniriez',
    'abonnirions',
    'abonnirons',
    'abonniront',
    'abonnis',
    'abonnissais',
    'abonnissait',
    'abonnissant',
    'abonnisse',
    'abonnissent',
    'abonnisses',
    'abonnissez',
    'abonnissiez',
    'abonnissions',
    'abonnissons',
    'abonnit',
    'abonnons',
    'abonnâmes',
    'abonnât',
    'abonnâtes',
    'abonnèrent',
    'abonné',
    'abonnée',
    'abonnées',
    'abonnés',
    'abonnîmes',
    'abonnît',
    'abonnîtes',
    'abord',
    'aborda',
    'abordable',
    'abordables',
    'abordage',
    'abordages',
    'abordai',
    'abordaient',
    'abordais',
    'abordait',
    'abordant',
    'abordas',
    'abordasse',
    'abordassent',
    'abordasses',
    'abordassiez',
    'abordassions',
    'aborde',
    'abordent',
    'aborder',
    'abordera',
    'aborderai',
    'aborderaient',
    'aborderais',
    'aborderait',
    'aborderas',
    'aborderez',
    'aborderiez',
    'aborderions',
    'aborderons',
    'aborderont',
    'abordes',
    'abordez',
    'abordiez',
    'abordions',
    'abordons',
    'abords',
    'abordâmes',
    'abordât',
    'abordâtes',
    'abordèrent',
    'abordé',
    'abordée',
    'abordées',
    'abordés',
    'aborigène',
    'aborigènes',
    'abortif',
    'abortifs',
    'abortive',
    'abortives',
    'abot',
    'abots',
    'aboucha',
    'abouchai',
    'abouchaient',
    'abouchais',
    'abouchait',
    'abouchant',
    'abouchas',
    'abouchasse',
    'abouchassent',
    'abouchasses',
    'abouchassiez',
    'abouche',
    'abouchement',
    'abouchements',
    'abouchent',
    'aboucher',
    'abouchera',
    'aboucherai',
    'aboucherais',
    'aboucherait',
    'aboucheras',
    'aboucherez',
    'aboucheriez',
    'aboucherions',
    'aboucherons',
    'aboucheront',
    'abouches',
    'abouchez',
    'abouchiez',
    'abouchions',
    'abouchons',
    'abouchâmes',
    'abouchât',
    'abouchâtes',
    'abouchèrent',
    'abouché',
    'abouchée',
    'abouchées',
    'abouchés',
    'aboula',
    'aboulai',
    'aboulaient',
    'aboulais',
    'aboulait',
    'aboulant',
    'aboulas',
    'aboulasse',
    'aboulassent',
    'aboulasses',
    'aboulassiez',
    'aboulassions',
    'aboule',
    'aboulent',
    'abouler',
    'aboulera',
    'aboulerai',
    'abouleraient',
    'aboulerais',
    'aboulerait',
    'abouleras',
    'aboulerez',
    'abouleriez',
    'aboulerions',
    'aboulerons',
    'abouleront',
    'aboules',
    'aboulez',
    'aboulie',
    'aboulies',
    'abouliez',
    'aboulions',
    'aboulique',
    'abouliques',
    'aboulons',
    'aboulâmes',
    'aboulât',
    'aboulâtes',
    'aboulèrent',
    'aboulé',
    'aboulée',
    'aboulées',
    'aboulés',
    'about',
    'abouta',
    'aboutai',
    'aboutaient',
    'aboutais',
    'aboutait',
    'aboutant',
    'aboutas',
    'aboutasse',
    'aboutassent',
    'aboutasses',
    'aboutassiez',
    'aboutassions',
    'aboute',
    'aboutement',
    'aboutements',
    'aboutent',
    'abouter',
    'aboutera',
    'abouterai',
    'abouteraient',
    'abouterais',
    'abouterait',
    'abouteras',
    'abouterez',
    'abouteriez',
    'abouterions',
    'abouterons',
    'abouteront',
    'aboutes',
    'aboutez',
    'abouti',
    'aboutiez',
    'aboutions',
    'aboutir',
    'aboutira',
    'aboutirai',
    'aboutiraient',
    'aboutirais',
    'aboutirait',
    'aboutiras',
    'aboutirent',
    'aboutirez',
    'aboutiriez',
    'aboutirions',
    'aboutirons',
    'aboutiront',
    'aboutis',
    'aboutissais',
    'aboutissait',
    'aboutissant',
    'aboutissants',
    'aboutisse',
    'aboutissent',
    'aboutisses',
    'aboutissez',
    'aboutissiez',
    'aboutissions',
    'aboutissons',
    'aboutit',
    'aboutons',
    'abouts',
    'aboutâmes',
    'aboutât',
    'aboutâtes',
    'aboutèrent',
    'abouté',
    'aboutée',
    'aboutées',
    'aboutés',
    'aboutîmes',
    'aboutît',
    'aboutîtes',
    'aboya',
    'aboyai',
    'aboyaient',
    'aboyais',
    'aboyait',
    'aboyant',
    'aboyas',
    'aboyasse',
    'aboyassent',
    'aboyasses',
    'aboyassiez',
    'aboyassions',
    'aboyer',
    'aboyeur',
    'aboyeurs',
    'aboyeuse',
    'aboyeuses',
    'aboyez',
    'aboyiez',
    'aboyions',
    'aboyons',
    'aboyâmes',
    'aboyât',
    'aboyâtes',
    'aboyèrent',
    'aboyé',
    'aboyée',
    'aboyées',
    'aboyés',
    'abrasa',
    'abrasai',
    'abrasaient',
    'abrasais',
    'abrasait',
    'abrasant',
    'abrasas',
    'abrasasse',
    'abrasassent',
    'abrasasses',
    'abrasassiez',
    'abrasassions',
    'abrase',
    'abrasent',
    'abraser',
    'abrasera',
    'abraserai',
    'abraseraient',
    'abraserais',
    'abraserait',
    'abraseras',
    'abraserez',
    'abraseriez',
    'abraserions',
    'abraserons',
    'abraseront',
    'abrases',
    'abrasez',
    'abrasiez',
    'abrasif',
    'abrasifs',
    'abrasion',
    'abrasions',
    'abrasive',
    'abrasives',
    'abrasons',
    'abrasâmes',
    'abrasât',
    'abrasâtes',
    'abrasèrent',
    'abrasé',
    'abrasée',
    'abrasées',
    'abrasés',
    'abreuva',
    'abreuvai',
    'abreuvaient',
    'abreuvais',
    'abreuvait',
    'abreuvant',
    'abreuvas',
    'abreuvasse',
    'abreuvassent',
    'abreuvasses',
    'abreuvassiez',
    'abreuve',
    'abreuvent',
    'abreuver',
    'abreuvera',
    'abreuverai',
    'abreuverais',
    'abreuverait',
    'abreuveras',
    'abreuverez',
    'abreuveriez',
    'abreuverions',
    'abreuverons',
    'abreuveront',
    'abreuves',
    'abreuvez',
    'abreuviez',
    'abreuvions',
    'abreuvoir',
    'abreuvoirs',
    'abreuvons',
    'abreuvâmes',
    'abreuvât',
    'abreuvâtes',
    'abreuvèrent',
    'abreuvé',
    'abreuvée',
    'abreuvées',
    'abreuvés',
    'abri',
    'abricot',
    'abricota',
    'abricotai',
    'abricotaient',
    'abricotais',
    'abricotait',
    'abricotant',
    'abricotas',
    'abricotasse',
    'abricotasses',
    'abricote',
    'abricotent',
    'abricoter',
    'abricotera',
    'abricoterai',
    'abricoterais',
    'abricoterait',
    'abricoteras',
    'abricoterez',
    'abricoteriez',
    'abricoterons',
    'abricoteront',
    'abricotes',
    'abricotez',
    'abricotier',
    'abricotiers',
    'abricotiez',
    'abricotions',
    'abricotons',
    'abricots',
    'abricotâmes',
    'abricotât',
    'abricotâtes',
    'abricotèrent',
    'abricoté',
    'abricotée',
    'abricotées',
    'abricotés',
    'abris',
    'abrita',
    'abritai',
    'abritaient',
    'abritais',
    'abritait',
    'abritant',
    'abritas',
    'abritasse',
    'abritassent',
    'abritasses',
    'abritassiez',
    'abritassions',
    'abrite',
    'abritent',
    'abriter',
    'abritera',
    'abriterai',
    'abriteraient',
    'abriterais',
    'abriterait',
    'abriteras',
    'abriterez',
    'abriteriez',
    'abriterions',
    'abriterons',
    'abriteront',
    'abrites',
    'abritez',
    'abritiez',
    'abritions',
    'abritons',
    'abritâmes',
    'abritât',
    'abritâtes',
    'abritèrent',
    'abrité',
    'abritée',
    'abritées',
    'abrités',
    'abrivent',
    'abrivents',
    'abrogatif',
    'abrogatifs',
    'abrogation',
    'abrogations',
    'abrogative',
    'abrogatives',
    'abrogatoire',
    'abrogatoires',
    'abroge',
    'abrogea',
    'abrogeable',
    'abrogeables',
    'abrogeai',
    'abrogeaient',
    'abrogeais',
    'abrogeait',
    'abrogeant',
    'abrogeas',
    'abrogeasse',
    'abrogeassent',
    'abrogeasses',
    'abrogeassiez',
    'abrogent',
    'abrogeons',
    'abroger',
    'abrogera',
    'abrogerai',
    'abrogeraient',
    'abrogerais',
    'abrogerait',
    'abrogeras',
    'abrogerez',
    'abrogeriez',
    'abrogerions',
    'abrogerons',
    'abrogeront',
    'abroges',
    'abrogez',
    'abrogeâmes',
    'abrogeât',
    'abrogeâtes',
    'abrogiez',
    'abrogions',
    'abrogèrent',
    'abrogé',
    'abrogée',
    'abrogées',
    'abrogés',
    'abrupt',
    'abrupte',
    'abruptement',
    'abruptes',
    'abrupts',
    'abruti',
    'abrutie',
    'abruties',
    'abrutir',
    'abrutira',
    'abrutirai',
    'abrutiraient',
    'abrutirais',
    'abrutirait',
    'abrutiras',
    'abrutirent',
    'abrutirez',
    'abrutiriez',
    'abrutirions',
    'abrutirons',
    'abrutiront',
    'abrutis',
    'abrutissais',
    'abrutissait',
    'abrutissant',
    'abrutissante',
    'abrutissants',
    'abrutisse',
    'abrutissent',
    'abrutisses',
    'abrutissez',
    'abrutissiez',
    'abrutissions',
    'abrutissons',
    'abrutit',
    'abrutîmes',
    'abrutît',
    'abrutîtes',
    'abrège',
    'abrègement',
    'abrègements',
    'abrègent',
    'abrèges',
    'abréaction',
    'abréactions',
    'abréagir',
    'abrégea',
    'abrégeai',
    'abrégeaient',
    'abrégeais',
    'abrégeait',
    'abrégeant',
    'abrégeas',
    'abrégeasse',
    'abrégeassent',
    'abrégeasses',
    'abrégeassiez',
    'abrégement',
    'abrégements',
    'abrégeons',
    'abréger',
    'abrégera',
    'abrégerai',
    'abrégeraient',
    'abrégerais',
    'abrégerait',
    'abrégeras',
    'abrégerez',
    'abrégeriez',
    'abrégerions',
    'abrégerons',
    'abrégeront',
    'abrégez',
    'abrégeâmes',
    'abrégeât',
    'abrégeâtes',
    'abrégiez',
    'abrégions',
    'abrégèrent',
    'abrégé',
    'abrégée',
    'abrégées',
    'abrégés',
    'abréviatif',
    'abréviatifs',
    'abréviation',
    'abréviations',
    'abréviative',
    'abréviatives',
    'abscisse',
    'abscisses',
    'abscons',
    'absconse',
    'absconses',
    'absence',
    'absences',
    'absent',
    'absenta',
    'absentaient',
    'absentais',
    'absentait',
    'absentant',
    'absentassiez',
    'absente',
    'absentent',
    'absenter',
    'absentera',
    'absenterai',
    'absenterais',
    'absenterait',
    'absenteras',
    'absenterez',
    'absenteriez',
    'absenterions',
    'absenterons',
    'absenteront',
    'absentes',
    'absentez',
    'absentiez',
    'absentions',
    'absentons',
    'absents',
    'absentâmes',
    'absentâtes',
    'absentèrent',
    'absenté',
    'absentée',
    'absentées',
    'absentéisme',
    'absentéismes',
    'absentéiste',
    'absentéistes',
    'absentés',
    'abside',
    'absides',
    'absinthe',
    'absinthes',
    'absinthisme',
    'absinthismes',
    'absolu',
    'absolue',
    'absolues',
    'absolument',
    'absolus',
    'absolution',
    'absolutions',
    'absolutisme',
    'absolutismes',
    'absolutiste',
    'absolutistes',
    'absolutoire',
    'absolutoires',
    'absolvaient',
    'absolvais',
    'absolvait',
    'absolvant',
    'absolve',
    'absolvent',
    'absolves',
    'absolvez',
    'absolviez',
    'absolvions',
    'absolvons',
    'absorba',
    'absorbai',
    'absorbaient',
    'absorbais',
    'absorbait',
    'absorbant',
    'absorbante',
    'absorbantes',
    'absorbants',
    'absorbas',
    'absorbasse',
    'absorbassent',
    'absorbasses',
    'absorbassiez',
    'absorbe',
    'absorbent',
    'absorber',
    'absorbera',
    'absorberai',
    'absorberais',
    'absorberait',
    'absorberas',
    'absorberez',
    'absorberiez',
    'absorberions',
    'absorberons',
    'absorberont',
    'absorbes',
    'absorbeur',
    'absorbeurs',
    'absorbez',
    'absorbiez',
    'absorbions',
    'absorbons',
    'absorbâmes',
    'absorbât',
    'absorbâtes',
    'absorbèrent',
    'absorbé',
    'absorbée',
    'absorbées',
    'absorbés',
    'absorption',
    'absorptions',
    'absorptivité',
    'absoudra',
    'absoudrai',
    'absoudraient',
    'absoudrais',
    'absoudrait',
    'absoudras',
    'absoudre',
    'absoudrez',
    'absoudriez',
    'absoudrions',
    'absoudrons',
    'absoudront',
    'absous',
    'absout',
    'absoute',
    'absoutes',
    'abstenaient',
    'abstenais',
    'abstenait',
    'abstenant',
    'abstenez',
    'absteniez',
    'abstenions',
    'abstenir',
    'abstenons',
    'abstention',
    'abstentions',
    'abstenu',
    'abstenue',
    'abstenues',
    'abstenus',
    'abstiendra',
    'abstiendrai',
    'abstiendrais',
    'abstiendrait',
    'abstiendras',
    'abstiendrez',
    'abstiendriez',
    'abstiendrons',
    'abstiendront',
    'abstienne',
    'abstiennent',
    'abstiennes',
    'abstiens',
    'abstient',
    'abstinence',
    'abstinences',
    'abstinent',
    'abstinente',
    'abstinentes',
    'abstinents',
    'abstinrent',
    'abstinssiez',
    'abstinssions',
    'abstint',
    'abstracteur',
    'abstracteurs',
    'abstraction',
    'abstractions',
    'abstraie',
    'abstraient',
    'abstraies',
    'abstraira',
    'abstrairai',
    'abstrairais',
    'abstrairait',
    'abstrairas',
    'abstraire',
    'abstrairez',
    'abstrairiez',
    'abstrairions',
    'abstrairons',
    'abstrairont',
    'abstrais',
    'abstrait',
    'abstraite',
    'abstraites',
    'abstraits',
    'abstrayaient',
    'abstrayais',
    'abstrayait',
    'abstrayant',
    'abstrayez',
    'abstrayiez',
    'abstrayions',
    'abstrayons',
    'abstrus',
    'abstruse',
    'abstruses',
    'abstème',
    'abstèmes',
    'abstînmes',
    'abstîntes',
    'absurde',
    'absurdes',
    'absurdité',
    'absurdités',
    'abus',
    'abusa',
    'abusai',
    'abusaient',
    'abusais',
    'abusait',
    'abusant',
    'abusas',
    'abusasse',
    'abusassent',
    'abusasses',
    'abusassiez',
    'abusassions',
    'abuse',
    'abusent',
    'abuser',
    'abusera',
    'abuserai',
    'abuseraient',
    'abuserais',
    'abuserait',
    'abuseras',
    'abuserez',
    'abuseriez',
    'abuserions',
    'abuserons',
    'abuseront',
    'abuses',
    'abusez',
    'abusiez',
    'abusif',
    'abusifs',
    'abusions',
    'abusive',
    'abusivement',
    'abusives',
    'abusons',
    'abusâmes',
    'abusât',
    'abusâtes',
    'abusèrent',
    'abusé',
    'abusée',
    'abusées',
    'abusés',
    'abyssal',
    'abyssale',
    'abyssales',
    'abyssaux',
    'abysse',
    'abysses',
    'abyssin',
    'abyssine',
    'abyssines',
    'abyssinien',
    'abyssinienne',
    'abyssiniens',
    'abyssins',
    'abâtardi',
    'abâtardie',
    'abâtardies',
    'abâtardir',
    'abâtardira',
    'abâtardirai',
    'abâtardirais',
    'abâtardirait',
    'abâtardiras',
    'abâtardirent',
    'abâtardirez',
    'abâtardiriez',
    'abâtardirons',
    'abâtardiront',
    'abâtardis',
    'abâtardisse',
    'abâtardisses',
    'abâtardissez',
    'abâtardit',
    'abâtardîmes',
    'abâtardît',
    'abâtardîtes',
    'abécédaire',
    'abécédaires',
    'abêti',
    'abêtie',
    'abêties',
    'abêtir',
    'abêtira',
    'abêtirai',
    'abêtiraient',
    'abêtirais',
    'abêtirait',
    'abêtiras',
    'abêtirent',
    'abêtirez',
    'abêtiriez',
    'abêtirions',
    'abêtirons',
    'abêtiront',
    'abêtis',
    'abêtissaient',
    'abêtissais',
    'abêtissait',
    'abêtissant',
    'abêtissante',
    'abêtissantes',
    'abêtissants',
    'abêtisse',
    'abêtissement',
    'abêtissent',
    'abêtisses',
    'abêtissez',
    'abêtissiez',
    'abêtissions',
    'abêtissons',
    'abêtit',
    'abêtîmes',
    'abêtît',
    'abêtîtes',
    'abîma',
    'abîmai',
    'abîmaient',
    'abîmais',
    'abîmait',
    'abîmant',
    'abîmas',
    'abîmasse',
    'abîmassent',
    'abîmasses',
    'abîmassiez',
    'abîmassions',
    'abîme',
    'abîment',
    'abîmer',
    'abîmera',
    'abîmerai',
    'abîmeraient',
    'abîmerais',
    'abîmerait',
    'abîmeras',
    'abîmerez',
    'abîmeriez',
    'abîmerions',
    'abîmerons',
    'abîmeront',
    'abîmes',
    'abîmez',
    'abîmiez',
    'abîmions',
    'abîmons',
    'abîmâmes',
    'abîmât',
    'abîmâtes',
    'abîmèrent',
    'abîmé',
    'abîmée',
    'abîmées',
    'abîmés',
    'acabit',
    'acabits',
    'acacia',
    'acacias',
    'acadien',
    'acadienne',
    'acadiennes',
    'acadiens',
    'académicien',
    'académiciens',
    'académie',
    'académies',
    'académique',
    'académiques',
    'académisme',
    'académismes',
    'acagnarder',
    'acagnarderez',
    'acagnardez',
    'acagnardiez',
    'acagnardions',
    'acagnardons',
    'acagnardâmes',
    'acagnardâtes',
    'acagnardé',
    'acagnardée',
    'acagnardées',
    'acagnardés',
    'acajou',
    'acajous',
    'acalèphe',
    'acalèphes',
    'acanthacée',
    'acanthacées',
    'acanthe',
    'acanthes',
    'acarien',
    'acariens',
    'acariâtre',
    'acariâtres',
    'acariâtreté',
    'acariâtretés',
    'acarus',
    'acaule',
    'acaules',
    'accabla',
    'accablai',
    'accablaient',
    'accablais',
    'accablait',
    'accablant',
    'accablante',
    'accablantes',
    'accablants',
    'accablas',
    'accablasse',
    'accablassent',
    'accablasses',
    'accablassiez',
    'accable',
    'accablement',
    'accablements',
    'accablent',
    'accabler',
    'accablera',
    'accablerai',
    'accablerais',
    'accablerait',
    'accableras',
    'accablerez',
    'accableriez',
    'accablerions',
    'accablerons',
    'accableront',
    'accables',
    'accablez',
    'accabliez',
    'accablions',
    'accablons',
    'accablâmes',
    'accablât',
    'accablâtes',
    'accablèrent',
    'accablé',
    'accablée',
    'accablées',
    'accablés',
    'accalmie',
    'accalmies',
    'accapara',
    'accaparai',
    'accaparaient',
    'accaparais',
    'accaparait',
    'accaparant',
    'accaparas',
    'accaparasse',
    'accaparasses',
    'accapare',
    'accaparement',
    'accaparent',
    'accaparer',
    'accaparera',
    'accaparerai',
    'accaparerais',
    'accaparerait',
    'accapareras',
    'accaparerez',
    'accapareriez',
    'accaparerons',
    'accapareront',
    'accapares',
    'accapareur',
    'accapareurs',
    'accapareuse',
    'accapareuses',
    'accaparez',
    'accapariez',
    'accaparions',
    'accaparons',
    'accaparâmes',
    'accaparât',
    'accaparâtes',
    'accaparèrent',
    'accaparé',
    'accaparée',
    'accaparées',
    'accaparés',
    'accastilla',
    'accastillai',
    'accastillais',
    'accastillait',
    'accastillant',
    'accastillas',
    'accastille',
    'accastillent',
    'accastiller',
    'accastillera',
    'accastilles',
    'accastillez',
    'accastilliez',
    'accastillons',
    'accastillât',
    'accastillé',
    'accastillée',
    'accastillées',
    'accastillés',
    'accelerando',
    'accent',
    'accents',
    'accentua',
    'accentuai',
    'accentuaient',
    'accentuais',
    'accentuait',
    'accentuant',
    'accentuas',
    'accentuasse',
    'accentuasses',
    'accentuation',
    'accentue',
    'accentuel',
    'accentuelle',
    'accentuelles',
    'accentuels',
    'accentuent',
    'accentuer',
    'accentuera',
    'accentuerai',
    'accentuerais',
    'accentuerait',
    'accentueras',
    'accentuerez',
    'accentueriez',
    'accentuerons',
    'accentueront',
    'accentues',
    'accentuez',
    'accentuiez',
    'accentuions',
    'accentuons',
    'accentuâmes',
    'accentuât',
    'accentuâtes',
    'accentuèrent',
    'accentué',
    'accentuée',
    'accentuées',
    'accentués',
    'accepta',
    'acceptable',
    'acceptables',
    'acceptai',
    'acceptaient',
    'acceptais',
    'acceptait',
    'acceptant',
    'acceptante',
    'acceptantes',
    'acceptants',
    'acceptas',
    'acceptasse',
    'acceptassent',
    'acceptasses',
    'acceptassiez',
    'acceptation',
    'acceptations',
    'accepte',
    'acceptent',
    'accepter',
    'acceptera',
    'accepterai',
    'accepterais',
    'accepterait',
    'accepteras',
    'accepterez',
    'accepteriez',
    'accepterions',
    'accepterons',
    'accepteront',
    'acceptes',
    'accepteur',
    'accepteurs',
    'acceptez',
    'acceptiez',
    'acception',
    'acceptions',
    'acceptons',
    'acceptâmes',
    'acceptât',
    'acceptâtes',
    'acceptèrent',
    'accepté',
    'acceptée',
    'acceptées',
    'acceptés',
    'accessible',
    'accessibles',
    'accession',
    'accessions',
    'accessit',
    'accessits',
    'accessoire',
    'accessoires',
    'accessoirisa',
    'accessoirise',
    'accessoirisé',
    'accident',
    'accidenta',
    'accidentai',
    'accidentais',
    'accidentait',
    'accidentant',
    'accidentas',
    'accidentasse',
    'accidente',
    'accidentel',
    'accidentelle',
    'accidentels',
    'accidentent',
    'accidenter',
    'accidentera',
    'accidenterai',
    'accidenteras',
    'accidenterez',
    'accidentes',
    'accidentez',
    'accidentiez',
    'accidentions',
    'accidentons',
    'accidents',
    'accidentâmes',
    'accidentât',
    'accidentâtes',
    'accidenté',
    'accidentée',
    'accidentées',
    'accidentés',
    'accise',
    'accises',
    'acclama',
    'acclamai',
    'acclamaient',
    'acclamais',
    'acclamait',
    'acclamant',
    'acclamas',
    'acclamasse',
    'acclamassent',
    'acclamasses',
    'acclamassiez',
    'acclamation',
    'acclamations',
    'acclame',
    'acclament',
    'acclamer',
    'acclamera',
    'acclamerai',
    'acclamerais',
    'acclamerait',
    'acclameras',
    'acclamerez',
    'acclameriez',
    'acclamerions',
    'acclamerons',
    'acclameront',
    'acclames',
    'acclamez',
    'acclamiez',
    'acclamions',
    'acclamons',
    'acclamâmes',
    'acclamât',
    'acclamâtes',
    'acclamèrent',
    'acclamé',
    'acclamée',
    'acclamées',
    'acclamés',
    'acclimata',
    'acclimatable',
    'acclimatai',
    'acclimatais',
    'acclimatait',
    'acclimatant',
    'acclimatas',
    'acclimatasse',
    'acclimate',
    'acclimatent',
    'acclimater',
    'acclimatera',
    'acclimaterai',
    'acclimateras',
    'acclimaterez',
    'acclimates',
    'acclimatez',
    'acclimatiez',
    'acclimations',
    'acclimatons',
    'acclimatâmes',
    'acclimatât',
    'acclimatâtes',
    'acclimaté',
    'acclimatée',
    'acclimatées',
    'acclimatés',
    'accointances',
    'accointer',
    'accointerez',
    'accointeriez',
    'accointerons',
    'accointez',
    'accointiez',
    'accointions',
    'accointons',
    'accointâmes',
    'accointâtes',
    'accointé',
    'accointée',
    'accointées',
    'accointés',
    'accola',
    'accolade',
    'accolades',
    'accolai',
    'accolaient',
    'accolais',
    'accolait',
    'accolant',
    'accolas',
    'accolasse',
    'accolassent',
    'accolasses',
    'accolassiez',
    'accolassions',
    'accole',
    'accolent',
    'accoler',
    'accolera',
    'accolerai',
    'accoleraient',
    'accolerais',
    'accolerait',
    'accoleras',
    'accolerez',
    'accoleriez',
    'accolerions',
    'accolerons',
    'accoleront',
    'accoles',
    'accolez',
    'accoliez',
    'accolions',
    'accolons',
    'accolâmes',
    'accolât',
    'accolâtes',
    'accolèrent',
    'accolé',
    'accolée',
    'accolées',
    'accolés',
    'accommoda',
    'accommodai',
    'accommodais',
    'accommodait',
    'accommodant',
    'accommodante',
    'accommodants',
    'accommodas',
    'accommodasse',
    'accommodat',
    'accommodats',
    'accommode',
    'accommodent',
    'accommoder',
    'accommodera',
    'accommoderai',
    'accommoderas',
    'accommoderez',
    'accommodes',
    'accommodez',
    'accommodiez',
    'accommodions',
    'accommodons',
    'accommodâmes',
    'accommodât',
    'accommodâtes',
    'accommodé',
    'accommodée',
    'accommodées',
    'accommodés',
    'accompagna',
    'accompagnai',
    'accompagnais',
    'accompagnait',
    'accompagnant',
    'accompagnas',
    'accompagne',
    'accompagnent',
    'accompagner',
    'accompagnera',
    'accompagnes',
    'accompagnez',
    'accompagniez',
    'accompagnons',
    'accompagnât',
    'accompagné',
    'accompagnée',
    'accompagnées',
    'accompagnés',
    'accompli',
    'accomplie',
    'accomplies',
    'accomplir',
    'accomplira',
    'accomplirai',
    'accomplirais',
    'accomplirait',
    'accompliras',
    'accomplirent',
    'accomplirez',
    'accompliriez',
    'accomplirons',
    'accompliront',
    'accomplis',
    'accomplisse',
    'accomplisses',
    'accomplissez',
    'accomplit',
    'accomplîmes',
    'accomplît',
    'accomplîtes',
    'accora',
    'accorai',
    'accoraient',
    'accorais',
    'accorait',
    'accorant',
    'accoras',
    'accorasse',
    'accorassent',
    'accorasses',
    'accorassiez',
    'accorassions',
    'accord',
    'accorda',
    'accordable',
    'accordables',
    'accordai',
    'accordaient',
    'accordailles',
    'accordais',
    'accordait',
    'accordant',
    'accordas',
    'accordasse',
    'accordassent',
    'accordasses',
    'accordassiez',
    'accorde',
    'accordement',
    'accordements',
    'accordent',
    'accorder',
    'accordera',
    'accorderai',
    'accorderais',
    'accorderait',
    'accorderas',
    'accorderez',
    'accorderiez',
    'accorderions',
    'accorderons',
    'accorderont',
    'accordes',
    'accordeur',
    'accordeurs',
    'accordez',
    'accordiez',
    'accordions',
    'accordoir',
    'accordoirs',
    'accordons',
    'accords',
    'accordâmes',
    'accordât',
    'accordâtes',
    'accordèrent',
    'accordé',
    'accordée',
    'accordées',
    'accordéon',
    'accordéons',
    'accordés',
    'accore',
    'accorent',
    'accorer',
    'accorera',
    'accorerai',
    'accoreraient',
    'accorerais',
    'accorerait',
    'accoreras',
    'accorerez',
    'accoreriez',
    'accorerions',
    'accorerons',
    'accoreront',
    'accores',
    'accorez',
    'accoriez',
    'accorions',
    'accorons',
    'accort',
    'accorte',
    'accortes',
    'accorts',
    'accorâmes',
    'accorât',
    'accorâtes',
    'accorèrent',
    'accoré',
    'accorée',
    'accorées',
    'accorés',
    'accosta',
    'accostable',
    'accostables',
    'accostage',
    'accostages',
    'accostai',
    'accostaient',
    'accostais',
    'accostait',
    'accostant',
    'accostas',
    'accostasse',
    'accostassent',
    'accostasses',
    'accostassiez',
    'accoste',
    'accostent',
    'accoster',
    'accostera',
    'accosterai',
    'accosterais',
    'accosterait',
    'accosteras',
    'accosterez',
    'accosteriez',
    'accosterions',
    'accosterons',
    'accosteront',
    'accostes',
    'accostez',
    'accostiez',
    'accostions',
    'accostons',
    'accostâmes',
    'accostât',
    'accostâtes',
    'accostèrent',
    'accosté',
    'accostée',
    'accostées',
    'accostés',
    'accot',
    'accota',
    'accotai',
    'accotaient',
    'accotais',
    'accotait',
    'accotant',
    'accotas',
    'accotasse',
    'accotassent',
    'accotasses',
    'accotassiez',
    'accotassions',
    'accote',
    'accotement',
    'accotements',
    'accotent',
    'accoter',
    'accotera',
    'accoterai',
    'accoteraient',
    'accoterais',
    'accoterait',
    'accoteras',
    'accoterez',
    'accoteriez',
    'accoterions',
    'accoterons',
    'accoteront',
    'accotes',
    'accotez',
    'accotiez',
    'accotions',
    'accotoir',
    'accotoirs',
    'accotons',
    'accots',
    'accotâmes',
    'accotât',
    'accotâtes',
    'accotèrent',
    'accoté',
    'accotée',
    'accotées',
    'accotés',
    'accoua',
    'accouai',
    'accouaient',
    'accouais',
    'accouait',
    'accouant',
    'accouas',
    'accouasse',
    'accouassent',
    'accouasses',
    'accouassiez',
    'accouassions',
    'accoucha',
    'accouchai',
    'accouchaient',
    'accouchais',
    'accouchait',
    'accouchant',
    'accouchas',
    'accouchasse',
    'accouchasses',
    'accouche',
    'accouchement',
    'accouchent',
    'accoucher',
    'accouchera',
    'accoucherai',
    'accoucherais',
    'accoucherait',
    'accoucheras',
    'accoucherez',
    'accoucheriez',
    'accoucherons',
    'accoucheront',
    'accouches',
    'accoucheur',
    'accoucheurs',
    'accoucheuse',
    'accoucheuses',
    'accouchez',
    'accouchiez',
    'accouchions',
    'accouchons',
    'accouchâmes',
    'accouchât',
    'accouchâtes',
    'accouchèrent',
    'accouché',
    'accouchée',
    'accouchées',
    'accouchés',
    'accouda',
    'accoudaient',
    'accoudais',
    'accoudait',
    'accoudant',
    'accoudassiez',
    'accoude',
    'accoudement',
    'accoudements',
    'accoudent',
    'accouder',
    'accoudera',
    'accouderai',
    'accouderais',
    'accouderait',
    'accouderas',
    'accouderez',
    'accouderiez',
    'accouderions',
    'accouderons',
    'accouderont',
    'accoudes',
    'accoudez',
    'accoudiez',
    'accoudions',
    'accoudoir',
    'accoudoirs',
    'accoudons',
    'accoudâmes',
    'accoudâtes',
    'accoudèrent',
    'accoudé',
    'accoudée',
    'accoudées',
    'accoudés',
    'accoue',
    'accouent',
    'accouer',
    'accouera',
    'accouerai',
    'accoueraient',
    'accouerais',
    'accouerait',
    'accoueras',
    'accouerez',
    'accoueriez',
    'accouerions',
    'accouerons',
    'accoueront',
    'accoues',
    'accouez',
    'accouiez',
    'accouions',
    'accouons',
    'accoupla',
    'accouplai',
    'accouplaient',
    'accouplais',
    'accouplait',
    'accouplant',
    'accouplas',
    'accouplasse',
    'accouplasses',
    'accouple',
    'accouplement',
    'accouplent',
    'accoupler',
    'accouplera',
    'accouplerai',
    'accouplerais',
    'accouplerait',
    'accoupleras',
    'accouplerez',
    'accoupleriez',
    'accouplerons',
    'accoupleront',
    'accouples',
    'accouplez',
    'accoupliez',
    'accouplions',
    'accouplons',
    'accouplâmes',
    'accouplât',
    'accouplâtes',
    'accouplèrent',
    'accouplé',
    'accouplée',
    'accouplées',
    'accouplés',
    'accouraient',
    'accourais',
    'accourait',
    'accourant',
    'accourci',
    'accourcir',
    'accourcira',
    'accourcirai',
    'accourcirais',
    'accourcirait',
    'accourciras',
    'accourcirent',
    'accourcirez',
    'accourciriez',
    'accourcirons',
    'accourciront',
    'accourcis',
    'accourcisse',
    'accourcisses',
    'accourcissez',
    'accourcit',
    'accourcîmes',
    'accourcît',
    'accourcîtes',
    'accoure',
    'accourent',
    'accoures',
    'accourez',
    'accouriez',
    'accourions',
    'accourir',
    'accourons',
    'accourra',
    'accourrai',
    'accourraient',
    'accourrais',
    'accourrait',
    'accourras',
    'accourrez',
    'accourriez',
    'accourrions',
    'accourrons',
    'accourront',
    'accours',
    'accourt',
    'accouru',
    'accourue',
    'accourues',
    'accoururent',
    'accourus',
    'accourusse',
    'accourussent',
    'accourusses',
    'accourussiez',
    'accourut',
    'accourûmes',
    'accourût',
    'accourûtes',
    'accoutra',
    'accoutrai',
    'accoutraient',
    'accoutrais',
    'accoutrait',
    'accoutrant',
    'accoutras',
    'accoutrasse',
    'accoutrasses',
    'accoutre',
    'accoutrement',
    'accoutrent',
    'accoutrer',
    'accoutrera',
    'accoutrerai',
    'accoutrerais',
    'accoutrerait',
    'accoutreras',
    'accoutrerez',
    'accoutreriez',
    'accoutrerons',
    'accoutreront',
    'accoutres',
    'accoutrez',
    'accoutriez',
    'accoutrions',
    'accoutrons',
    'accoutrâmes',
    'accoutrât',
    'accoutrâtes',
    'accoutrèrent',
    'accoutré',
    'accoutrée',
    'accoutrées',
    'accoutrés',
    'accoutuma',
    'accoutumai',
    'accoutumais',
    'accoutumait',
    'accoutumance',
    'accoutumant',
    'accoutumas',
    'accoutumasse',
    'accoutume',
    'accoutument',
    'accoutumer',
    'accoutumera',
    'accoutumerai',
    'accoutumeras',
    'accoutumerez',
    'accoutumes',
    'accoutumez',
    'accoutumiez',
    'accoutumions',
    'accoutumons',
    'accoutumâmes',
    'accoutumât',
    'accoutumâtes',
    'accoutumé',
    'accoutumée',
    'accoutumées',
    'accoutumés',
    'accouvage',
    'accouvages',
    'accouâmes',
    'accouât',
    'accouâtes',
    'accouèrent',
    'accoué',
    'accouée',
    'accouées',
    'accoués',
    'accrescent',
    'accrescente',
    'accrescentes',
    'accrescents',
    'accroc',
    'accrocha',
    'accrochage',
    'accrochages',
    'accrochai',
    'accrochaient',
    'accrochais',
    'accrochait',
    'accrochant',
    'accrochas',
    'accrochasse',
    'accrochasses',
    'accroche',
    'accrochent',
    'accrocher',
    'accrochera',
    'accrocherai',
    'accrocherais',
    'accrocherait',
    'accrocheras',
    'accrocherez',
    'accrocheriez',
    'accrocherons',
    'accrocheront',
    'accroches',
    'accrocheur',
    'accrocheurs',
    'accrocheuse',
    'accrocheuses',
    'accrochez',
    'accrochiez',
    'accrochions',
    'accrochons',
    'accrochâmes',
    'accrochât',
    'accrochâtes',
    'accrochèrent',
    'accroché',
    'accrochée',
    'accrochées',
    'accrochés',
    'accrocs',
    'accroire',
    'accrois',
    'accroissais',
    'accroissait',
    'accroissant',
    'accroisse',
    'accroissent',
    'accroisses',
    'accroissez',
    'accroissiez',
    'accroissions',
    'accroissons',
    'accroupi',
    'accroupie',
    'accroupies',
    'accroupir',
    'accroupirez',
    'accroupiriez',
    'accroupirons',
    'accroupis',
    'accroupissez',
    'accroupîmes',
    'accroupîtes',
    'accroît',
    'accroîtra',
    'accroîtrai',
    'accroîtrais',
    'accroîtrait',
    'accroîtras',
    'accroître',
    'accroîtrez',
    'accroîtriez',
    'accroîtrions',
    'accroîtrons',
    'accroîtront',
    'accru',
    'accrue',
    'accrues',
    'accrurent',
    'accrus',
    'accrusse',
    'accrussent',
    'accrusses',
    'accrussiez',
    'accrussions',
    'accrut',
    'accrédita',
    'accréditai',
    'accréditais',
    'accréditait',
    'accréditant',
    'accréditas',
    'accréditasse',
    'accrédite',
    'accréditent',
    'accréditer',
    'accréditera',
    'accréditerai',
    'accréditeras',
    'accréditerez',
    'accrédites',
    'accréditeur',
    'accréditeurs',
    'accréditez',
    'accréditiez',
    'accréditif',
    'accréditifs',
    'accréditions',
    'accréditive',
    'accréditives',
    'accréditons',
    'accréditrice',
    'accréditâmes',
    'accréditât',
    'accréditâtes',
    'accrédité',
    'accréditée',
    'accréditées',
    'accrédités',
    'accrétion',
    'accrétions',
    'accrûmes',
    'accrût',
    'accrûtes',
    'accu',
    'accueil',
    'accueillais',
    'accueillait',
    'accueillant',
    'accueillante',
    'accueillants',
    'accueille',
    'accueillent',
    'accueillera',
    'accueillerai',
    'accueilleras',
    'accueillerez',
    'accueilles',
    'accueillez',
    'accueilli',
    'accueillie',
    'accueillies',
    'accueilliez',
    'accueillions',
    'accueillir',
    'accueillis',
    'accueillisse',
    'accueillit',
    'accueillons',
    'accueillîmes',
    'accueillît',
    'accueillîtes',
    'accueils',
    'accula',
    'acculai',
    'acculaient',
    'acculais',
    'acculait',
    'acculant',
    'acculas',
    'acculasse',
    'acculassent',
    'acculasses',
    'acculassiez',
    'acculassions',
    'accule',
    'acculent',
    'acculer',
    'acculera',
    'acculerai',
    'acculeraient',
    'acculerais',
    'acculerait',
    'acculeras',
    'acculerez',
    'acculeriez',
    'acculerions',
    'acculerons',
    'acculeront',
    'accules',
    'acculez',
    'acculiez',
    'acculions',
    'acculons',
    'accultura',
    'acculturai',
    'acculturais',
    'acculturait',
    'acculturant',
    'acculturas',
    'acculturasse',
    'acculture',
    'acculturent',
    'acculturer',
    'acculturera',
    'acculturerai',
    'accultureras',
    'acculturerez',
    'accultures',
    'acculturez',
    'acculturiez',
    'acculturions',
    'acculturons',
    'acculturâmes',
    'acculturât',
    'acculturâtes',
    'acculturé',
    'acculturée',
    'acculturées',
    'acculturés',
    'acculâmes',
    'acculât',
    'acculâtes',
    'acculèrent',
    'acculé',
    'acculée',
    'acculées',
    'acculés',
    'accumula',
    'accumulai',
    'accumulaient',
    'accumulais',
    'accumulait',
    'accumulant',
    'accumulas',
    'accumulasse',
    'accumulasses',
    'accumulateur',
    'accumulation',
    'accumule',
    'accumulent',
    'accumuler',
    'accumulera',
    'accumulerai',
    'accumulerais',
    'accumulerait',
    'accumuleras',
    'accumulerez',
    'accumuleriez',
    'accumulerons',
    'accumuleront',
    'accumules',
    'accumulez',
    'accumuliez',
    'accumulions',
    'accumulons',
    'accumulâmes',
    'accumulât',
    'accumulâtes',
    'accumulèrent',
    'accumulé',
    'accumulée',
    'accumulées',
    'accumulés',
    'accus',
    'accusa',
    'accusai',
    'accusaient',
    'accusais',
    'accusait',
    'accusant',
    'accusas',
    'accusasse',
    'accusassent',
    'accusasses',
    'accusassiez',
    'accusassions',
    'accusateur',
    'accusateurs',
    'accusatif',
    'accusatifs',
    'accusation',
    'accusations',
    'accusative',
    'accusatives',
    'accusatoire',
    'accusatoires',
    'accusatrice',
    'accusatrices',
    'accuse',
    'accusent',
    'accuser',
    'accusera',
    'accuserai',
    'accuseraient',
    'accuserais',
    'accuserait',
    'accuseras',
    'accuserez',
    'accuseriez',
    'accuserions',
    'accuserons',
    'accuseront',
    'accuses',
    'accusez',
    'accusiez',
    'accusions',
    'accusons',
    'accusâmes',
    'accusât',
    'accusâtes',
    'accusèrent',
    'accusé',
    'accusée',
    'accusées',
    'accusés',
    'accède',
    'accèdent',
    'accèdes',
    'accès',
    'accéda',
    'accédai',
    'accédaient',
    'accédais',
    'accédait',
    'accédant',
    'accédas',
    'accédasse',
    'accédassent',
    'accédasses',
    'accédassiez',
    'accédassions',
    'accéder',
    'accédera',
    'accéderai',
    'accéderaient',
    'accéderais',
    'accéderait',
    'accéderas',
    'accéderez',
    'accéderiez',
    'accéderions',
    'accéderons',
    'accéderont',
    'accédez',
    'accédiez',
    'accédions',
    'accédons',
    'accédâmes',
    'accédât',
    'accédâtes',
    'accédèrent',
    'accédé',
    'accélère',
    'accélèrent',
    'accélères',
    'accéléra',
    'accélérai',
    'accéléraient',
    'accélérais',
    'accélérait',
    'accélérant',
    'accéléras',
    'accélérasse',
    'accélérasses',
    'accélérateur',
    'accélération',
    'accélérer',
    'accélérera',
    'accélérerai',
    'accélérerais',
    'accélérerait',
    'accéléreras',
    'accélérerez',
    'accéléreriez',
    'accélérerons',
    'accéléreront',
    'accélérez',
    'accélériez',
    'accélérions',
    'accélérons',
    'accélérâmes',
    'accélérât',
    'accélérâtes',
    'accélérèrent',
    'accéléré',
    'accélérée',
    'accélérées',
    'accélérés',
    'acerbe',
    'acerbes',
    'acerbité',
    'acerbités',
    'aces',
    'acescence',
    'acescences',
    'acescent',
    'acescente',
    'acescentes',
    'acescents',
    'achalanda',
    'achalandage',
    'achalandages',
    'achalandai',
    'achalandais',
    'achalandait',
    'achalandant',
    'achalandas',
    'achalandasse',
    'achalande',
    'achalandent',
    'achalander',
    'achalandera',
    'achalanderai',
    'achalanderas',
    'achalanderez',
    'achalandes',
    'achalandez',
    'achalandiez',
    'achalandions',
    'achalandons',
    'achalandâmes',
    'achalandât',
    'achalandâtes',
    'achalandé',
    'achalandée',
    'achalandées',
    'achalandés',
    'achards',
    'acharna',
    'acharnai',
    'acharnaient',
    'acharnais',
    'acharnait',
    'acharnant',
    'acharnas',
    'acharnasse',
    'acharnassent',
    'acharnasses',
    'acharnassiez',
    'acharne',
    'acharnement',
    'acharnements',
    'acharnent',
    'acharner',
    'acharnera',
    'acharnerai',
    'acharnerais',
    'acharnerait',
    'acharneras',
    'acharnerez',
    'acharneriez',
    'acharnerions',
    'acharnerons',
    'acharneront',
    'acharnes',
    'acharnez',
    'acharniez',
    'acharnions',
    'acharnons',
    'acharnâmes',
    'acharnât',
    'acharnâtes',
    'acharnèrent',
    'acharné',
    'acharnée',
    'acharnées',
    'acharnés',
    'achat',
    'achats',
    'achemina',
    'acheminai',
    'acheminaient',
    'acheminais',
    'acheminait',
    'acheminant',
    'acheminas',
    'acheminasse',
    'acheminasses',
    'achemine',
    'acheminement',
    'acheminent',
    'acheminer',
    'acheminera',
    'acheminerai',
    'acheminerais',
    'acheminerait',
    'achemineras',
    'acheminerez',
    'achemineriez',
    'acheminerons',
    'achemineront',
    'achemines',
    'acheminez',
    'acheminiez',
    'acheminions',
    'acheminons',
    'acheminâmes',
    'acheminât',
    'acheminâtes',
    'acheminèrent',
    'acheminé',
    'acheminée',
    'acheminées',
    'acheminés',
    'acheta',
    'achetable',
    'achetables',
    'achetai',
    'achetaient',
    'achetais',
    'achetait',
    'achetant',
    'achetas',
    'achetasse',
    'achetassent',
    'achetasses',
    'achetassiez',
    'achetassions',
    'acheter',
    'acheteur',
    'acheteurs',
    'acheteuse',
    'acheteuses',
    'achetez',
    'achetiez',
    'achetions',
    'achetons',
    'achetâmes',
    'achetât',
    'achetâtes',
    'achetèrent',
    'acheté',
    'achetée',
    'achetées',
    'achetés',
    'acheuléen',
    'acheuléenne',
    'acheuléennes',
    'acheuléens',
    'acheva',
    'achevai',
    'achevaient',
    'achevais',
    'achevait',
    'achevant',
    'achevas',
    'achevasse',
    'achevassent',
    'achevasses',
    'achevassiez',
    'achevassions',
    'achever',
    'achevez',
    'acheviez',
    'achevions',
    'achevons',
    'achevâmes',
    'achevât',
    'achevâtes',
    'achevèrent',
    'achevé',
    'achevée',
    'achevées',
    'achevés',
    'achigan',
    'achigans',
    'achillée',
    'achillées',
    'acholie',
    'acholies',
    'achoppa',
    'achoppaient',
    'achoppais',
    'achoppait',
    'achoppant',
    'achoppassiez',
    'achoppe',
    'achoppement',
    'achoppements',
    'achoppent',
    'achopper',
    'achoppera',
    'achopperai',
    'achopperais',
    'achopperait',
    'achopperas',
    'achopperez',
    'achopperiez',
    'achopperions',
    'achopperons',
    'achopperont',
    'achoppes',
    'achoppez',
    'achoppiez',
    'achoppions',
    'achoppons',
    'achoppâmes',
    'achoppâtes',
    'achoppèrent',
    'achoppé',
    'achoppée',
    'achoppées',
    'achoppés',
    'achromat',
    'achromatique',
    'achromatiser',
    'achromatisme',
    'achromats',
    'achrome',
    'achromes',
    'achromie',
    'achromies',
    'achylie',
    'achylies',
    'achète',
    'achètent',
    'achètera',
    'achèterai',
    'achèteraient',
    'achèterais',
    'achèterait',
    'achèteras',
    'achèterez',
    'achèteriez',
    'achèterions',
    'achèterons',
    'achèteront',
    'achètes',
    'achève',
    'achèvement',
    'achèvements',
    'achèvent',
    'achèvera',
    'achèverai',
    'achèveraient',
    'achèverais',
    'achèverait',
    'achèveras',
    'achèverez',
    'achèveriez',
    'achèverions',
    'achèverons',
    'achèveront',
    'achèves',
    'achéen',
    'achéenne',
    'achéennes',
    'achéens',
    'aciculaire',
    'aciculaires',
    'acidalie',
    'acidalies',
    'acide',
    'acides',
    'acidifia',
    'acidifiable',
    'acidifiables',
    'acidifiai',
    'acidifiaient',
    'acidifiais',
    'acidifiait',
    'acidifiant',
    'acidifiante',
    'acidifiantes',
    'acidifiants',
    'acidifias',
    'acidifiasse',
    'acidifiasses',
    'acidifie',
    'acidifient',
    'acidifier',
    'acidifiera',
    'acidifierai',
    'acidifierais',
    'acidifierait',
    'acidifieras',
    'acidifierez',
    'acidifieriez',
    'acidifierons',
    'acidifieront',
    'acidifies',
    'acidifiez',
    'acidifiiez',
    'acidifiions',
    'acidifions',
    'acidifiâmes',
    'acidifiât',
    'acidifiâtes',
    'acidifièrent',
    'acidifié',
    'acidifiée',
    'acidifiées',
    'acidifiés',
    'acidimètre',
    'acidimètres',
    'acidimétrie',
    'acidimétries',
    'acidité',
    'acidités',
    'acidophile',
    'acidophiles',
    'acidose',
    'acidoses',
    'acidula',
    'acidulai',
    'acidulaient',
    'acidulais',
    'acidulait',
    'acidulant',
    'acidulas',
    'acidulasse',
    'acidulassent',
    'acidulasses',
    'acidulassiez',
    'acidule',
    'acidulent',
    'aciduler',
    'acidulera',
    'acidulerai',
    'acidulerais',
    'acidulerait',
    'aciduleras',
    'acidulerez',
    'aciduleriez',
    'acidulerions',
    'acidulerons',
    'aciduleront',
    'acidules',
    'acidulez',
    'aciduliez',
    'acidulions',
    'acidulons',
    'acidulâmes',
    'acidulât',
    'acidulâtes',
    'acidulèrent',
    'acidulé',
    'acidulée',
    'acidulées',
    'acidulés',
    'acier',
    'aciers',
    'acini',
    'acinus',
    'acisela',
    'aciselai',
    'aciselaient',
    'aciselais',
    'aciselait',
    'aciselant',
    'aciselas',
    'aciselasse',
    'aciselassent',
    'aciselasses',
    'aciselassiez',
    'aciseler',
    'aciselez',
    'aciseliez',
    'aciselions',
    'aciselons',
    'aciselâmes',
    'aciselât',
    'aciselâtes',
    'aciselèrent',
    'aciselé',
    'aciselée',
    'aciselées',
    'aciselés',
    'acisèle',
    'acisèlent',
    'acisèlera',
    'acisèlerai',
    'acisèlerais',
    'acisèlerait',
    'acisèleras',
    'acisèlerez',
    'acisèleriez',
    'acisèlerions',
    'acisèlerons',
    'acisèleront',
    'acisèles',
    'acière',
    'acièrent',
    'acières',
    'aciéra',
    'aciérage',
    'aciérages',
    'aciérai',
    'aciéraient',
    'aciérais',
    'aciérait',
    'aciérant',
    'aciéras',
    'aciérasse',
    'aciérassent',
    'aciérasses',
    'aciérassiez',
    'aciérassions',
    'aciération',
    'aciérations',
    'aciérer',
    'aciérera',
    'aciérerai',
    'aciéreraient',
    'aciérerais',
    'aciérerait',
    'aciéreras',
    'aciérerez',
    'aciéreriez',
    'aciérerions',
    'aciérerons',
    'aciéreront',
    'aciérez',
    'aciérie',
    'aciéries',
    'aciériez',
    'aciérions',
    'aciérons',
    'aciérâmes',
    'aciérât',
    'aciérâtes',
    'aciérèrent',
    'aciéré',
    'aciérée',
    'aciérées',
    'aciérés',
    'aclinique',
    'acliniques',
    'acmé',
    'acmés',
    'acné',
    'acnéique',
    'acnéiques',
    'acnés',
    'acolyte',
    'acolytes',
    'acompte',
    'acomptes',
    'acon',
    'aconage',
    'aconages',
    'aconier',
    'aconiers',
    'aconit',
    'aconitine',
    'aconitines',
    'aconits',
    'acons',
    'acoquinement',
    'acoquiner',
    'acoquinerez',
    'acoquineriez',
    'acoquinerons',
    'acoquinez',
    'acoquiniez',
    'acoquinions',
    'acoquinons',
    'acoquinâmes',
    'acoquinâtes',
    'acoquiné',
    'acoquinée',
    'acoquinées',
    'acoquinés',
    'acore',
    'acores',
    'acouphène',
    'acouphènes',
    'acousticien',
    'acousticiens',
    'acoustique',
    'acoustiques',
    'acquerra',
    'acquerrai',
    'acquerraient',
    'acquerrais',
    'acquerrait',
    'acquerras',
    'acquerrez',
    'acquerriez',
    'acquerrions',
    'acquerrons',
    'acquerront',
    'acquiers',
    'acquiert',
    'acquiesce',
    'acquiescent',
    'acquiescer',
    'acquiescera',
    'acquiescerai',
    'acquiesceras',
    'acquiescerez',
    'acquiesces',
    'acquiescez',
    'acquiesciez',
    'acquiescions',
    'acquiescé',
    'acquiesça',
    'acquiesçai',
    'acquiesçais',
    'acquiesçait',
    'acquiesçant',
    'acquiesças',
    'acquiesçasse',
    'acquiesçons',
    'acquiesçâmes',
    'acquiesçât',
    'acquiesçâtes',
    'acquirent',
    'acquis',
    'acquise',
    'acquises',
    'acquisitif',
    'acquisitifs',
    'acquisition',
    'acquisitions',
    'acquisitive',
    'acquisitives',
    'acquisse',
    'acquissent',
    'acquisses',
    'acquissiez',
    'acquissions',
    'acquit',
    'acquits',
    'acquitta',
    'acquittable',
    'acquittables',
    'acquittai',
    'acquittaient',
    'acquittais',
    'acquittait',
    'acquittant',
    'acquittas',
    'acquittasse',
    'acquittasses',
    'acquitte',
    'acquittement',
    'acquittent',
    'acquitter',
    'acquittera',
    'acquitterai',
    'acquitterais',
    'acquitterait',
    'acquitteras',
    'acquitterez',
    'acquitteriez',
    'acquitterons',
    'acquitteront',
    'acquittes',
    'acquittez',
    'acquittiez',
    'acquittions',
    'acquittons',
    'acquittâmes',
    'acquittât',
    'acquittâtes',
    'acquittèrent',
    'acquitté',
    'acquittée',
    'acquittées',
    'acquittés',
    'acquière',
    'acquièrent',
    'acquières',
    'acquéraient',
    'acquérais',
    'acquérait',
    'acquérant',
    'acquéresse',
    'acquéresses',
    'acquéreur',
    'acquéreurs',
    'acquérez',
    'acquériez',
    'acquérions',
    'acquérir',
    'acquérons',
    'acquêt',
    'acquêts',
    'acquîmes',
    'acquît',
    'acquîtes',
    'acre',
    'acres',
    'acrimonie',
    'acrimonies',
    'acrimonieuse',
    'acrimonieux',
    'acrobate',
    'acrobates',
    'acrobatie',
    'acrobaties',
    'acrobatique',
    'acrobatiques',
    'acrocyanose',
    'acrocyanoses',
    'acrocéphale',
    'acrocéphales',
    'acrocéphalie',
    'acroléine',
    'acroléines',
    'acromion',
    'acromions',
    'acromégalie',
    'acromégalies',
    'acronyme',
    'acronymes',
    'acrophobie',
    'acrophobies',
    'acropole',
    'acropoles',
    'acrostiche',
    'acrostiches',
    'acrotère',
    'acrotères',
    'acrylique',
    'acryliques',
    'acta',
    'actai',
    'actaient',
    'actais',
    'actait',
    'actant',
    'actants',
    'actas',
    'actasse',
    'actassent',
    'actasses',
    'actassiez',
    'actassions',
    'acte',
    'actent',
    'acter',
    'actera',
    'acterai',
    'acteraient',
    'acterais',
    'acterait',
    'acteras',
    'acterez',
    'acteriez',
    'acterions',
    'acterons',
    'acteront',
    'actes',
    'acteur',
    'acteurs',
    'actez',
    'actiez',
    'actif',
    'actifs',
    'actinides',
    'actinie',
    'actinies',
    'actinique',
    'actiniques',
    'actinisme',
    'actinismes',
    'actinite',
    'actinites',
    'actinium',
    'actiniums',
    'actinologie',
    'actinologies',
    'actinomycose',
    'actinomycète',
    'actinomètre',
    'actinomètres',
    'actinométrie',
    'actinote',
    'actinotes',
    'action',
    'actionna',
    'actionnable',
    'actionnables',
    'actionnai',
    'actionnaient',
    'actionnaire',
    'actionnaires',
    'actionnais',
    'actionnait',
    'actionnant',
    'actionnariat',
    'actionnas',
    'actionnasse',
    'actionnasses',
    'actionne',
    'actionnement',
    'actionnent',
    'actionner',
    'actionnera',
    'actionnerai',
    'actionnerais',
    'actionnerait',
    'actionneras',
    'actionnerez',
    'actionneriez',
    'actionnerons',
    'actionneront',
    'actionnes',
    'actionneur',
    'actionneurs',
    'actionnez',
    'actionniez',
    'actionnions',
    'actionnons',
    'actionnâmes',
    'actionnât',
    'actionnâtes',
    'actionnèrent',
    'actionné',
    'actionnée',
    'actionnées',
    'actionnés',
    'actions',
    'activa',
    'activai',
    'activaient',
    'activais',
    'activait',
    'activant',
    'activas',
    'activasse',
    'activassent',
    'activasses',
    'activassiez',
    'activassions',
    'activateur',
    'activateurs',
    'activation',
    'activations',
    'active',
    'activement',
    'activent',
    'activer',
    'activera',
    'activerai',
    'activeraient',
    'activerais',
    'activerait',
    'activeras',
    'activerez',
    'activeriez',
    'activerions',
    'activerons',
    'activeront',
    'actives',
    'activeur',
    'activeurs',
    'activez',
    'activiez',
    'activions',
    'activisme',
    'activismes',
    'activiste',
    'activistes',
    'activité',
    'activités',
    'activons',
    'activâmes',
    'activât',
    'activâtes',
    'activèrent',
    'activé',
    'activée',
    'activées',
    'activés',
    'actons',
    'actrice',
    'actrices',
    'actuaire',
    'actuaires',
    'actualisa',
    'actualisai',
    'actualisais',
    'actualisait',
    'actualisant',
    'actualisas',
    'actualisasse',
    'actualise',
    'actualisent',
    'actualiser',
    'actualisera',
    'actualiserai',
    'actualiseras',
    'actualiserez',
    'actualises',
    'actualisez',
    'actualisiez',
    'actualisions',
    'actualisons',
    'actualisâmes',
    'actualisât',
    'actualisâtes',
    'actualisé',
    'actualisée',
    'actualisées',
    'actualisés',
    'actualité',
    'actualités',
    'actuariat',
    'actuariats',
    'actuariel',
    'actuarielle',
    'actuarielles',
    'actuariels',
    'actuel',
    'actuelle',
    'actuellement',
    'actuelles',
    'actuels',
    'actâmes',
    'actât',
    'actâtes',
    'actèrent',
    'actée',
    'actées',
    'acuité',
    'acuités',
    'acuminé',
    'acuminée',
    'acuminées',
    'acuminés',
    'acuponcteur',
    'acuponcteurs',
    'acuponctrice',
    'acuponcture',
    'acuponctures',
    'acupuncteur',
    'acupuncteurs',
    'acupunctrice',
    'acupuncture',
    'acupunctures',
    'acutangle',
    'acutangles',
    'acère',
    'acèrent',
    'acères',
    'acéphale',
    'acéphales',
    'acéra',
    'acérai',
    'acéraient',
    'acérais',
    'acérait',
    'acérant',
    'acéras',
    'acérasse',
    'acérassent',
    'acérasses',
    'acérassiez',
    'acérassions',
    'acérer',
    'acérera',
    'acérerai',
    'acéreraient',
    'acérerais',
    'acérerait',
    'acéreras',
    'acérerez',
    'acéreriez',
    'acérerions',
    'acérerons',
    'acéreront',
    'acérez',
    'acériez',
    'acérions',
    'acérons',
    'acérâmes',
    'acérât',
    'acérâtes',
    'acérèrent',
    'acéré',
    'acérée',
    'acérées',
    'acérés',
    'acétamide',
    'acétamides',
    'acétate',
    'acétates',
    'acétifia',
    'acétifiai',
    'acétifiaient',
    'acétifiais',
    'acétifiait',
    'acétifiant',
    'acétifias',
    'acétifiasse',
    'acétifiasses',
    'acétifie',
    'acétifient',
    'acétifier',
    'acétifiera',
    'acétifierai',
    'acétifierais',
    'acétifierait',
    'acétifieras',
    'acétifierez',
    'acétifieriez',
    'acétifierons',
    'acétifieront',
    'acétifies',
    'acétifiez',
    'acétifiiez',
    'acétifiions',
    'acétifions',
    'acétifiâmes',
    'acétifiât',
    'acétifiâtes',
    'acétifièrent',
    'acétifié',
    'acétifiée',
    'acétifiées',
    'acétifiés',
    'acétique',
    'acétiques',
    'acétobacter',
    'acétobacters',
    'acétone',
    'acétones',
    'acétonurie',
    'acétonuries',
    'acétonémie',
    'acétonémies',
    'acétyla',
    'acétylai',
    'acétylaient',
    'acétylais',
    'acétylait',
    'acétylant',
    'acétylas',
    'acétylasse',
    'acétylassent',
    'acétylasses',
    'acétylassiez',
    'acétyle',
    'acétylent',
    'acétyler',
    'acétylera',
    'acétylerai',
    'acétylerais',
    'acétylerait',
    'acétyleras',
    'acétylerez',
    'acétyleriez',
    'acétylerions',
    'acétylerons',
    'acétyleront',
    'acétyles',
    'acétylez',
    'acétyliez',
    'acétylions',
    'acétylons',
    'acétylâmes',
    'acétylât',
    'acétylâtes',
    'acétylène',
    'acétylènes',
    'acétylèrent',
    'acétylé',
    'acétylée',
    'acétylées',
    'acétylénique',
    'acétylés',
    'adage',
    'adages',
    'adagio',
    'adagios',
    'adamantin',
    'adamantine',
    'adamantines',
    'adamantins',
    'adamar',
    'adamisme',
    'adamismes',
    'adapta',
    'adaptabilité',
    'adaptable',
    'adaptables',
    'adaptai',
    'adaptaient',
    'adaptais',
    'adaptait',
    'adaptant',
    'adaptas',
    'adaptasse',
    'adaptassent',
    'adaptasses',
    'adaptassiez',
    'adaptassions',
    'adaptateur',
    'adaptateurs',
    'adaptatif',
    'adaptatifs',
    'adaptation',
    'adaptations',
    'adaptative',
    'adaptatives',
    'adaptatrice',
    'adaptatrices',
    'adapte',
    'adaptent',
    'adapter',
    'adaptera',
    'adapterai',
    'adapteraient',
    'adapterais',
    'adapterait',
    'adapteras',
    'adapterez',
    'adapteriez',
    'adapterions',
    'adapterons',
    'adapteront',
    'adaptes',
    'adaptez',
    'adaptiez',
    'adaptions',
    'adaptons',
    'adaptâmes',
    'adaptât',
    'adaptâtes',
    'adaptèrent',
    'adapté',
    'adaptée',
    'adaptées',
    'adaptés',
    'addenda',
    'additif',
    'additifs',
    'addition',
    'additionna',
    'additionnai',
    'additionnais',
    'additionnait',
    'additionnant',
    'additionnas',
    'additionne',
    'additionnel',
    'additionnels',
    'additionnent',
    'additionner',
    'additionnera',
    'additionnes',
    'additionnez',
    'additionniez',
    'additionnons',
    'additionnât',
    'additionné',
    'additionnée',
    'additionnées',
    'additionnés',
    'additions',
    'additive',
    'additives',
    'adducteur',
    'adducteurs',
    'adduction',
    'adductions',
    'adent',
    'adents',
    'adepte',
    'adeptes',
    'adextré',
    'adextrée',
    'adextrées',
    'adextrés',
    'adhère',
    'adhèrent',
    'adhères',
    'adhéra',
    'adhérai',
    'adhéraient',
    'adhérais',
    'adhérait',
    'adhérant',
    'adhérante',
    'adhérantes',
    'adhérants',
    'adhéras',
    'adhérasse',
    'adhérassent',
    'adhérasses',
    'adhérassiez',
    'adhérassions',
    'adhérence',
    'adhérences',
    'adhérent',
    'adhérente',
    'adhérentes',
    'adhérents',
    'adhérer',
    'adhérera',
    'adhérerai',
    'adhéreraient',
    'adhérerais',
    'adhérerait',
    'adhéreras',
    'adhérerez',
    'adhéreriez',
    'adhérerions',
    'adhérerons',
    'adhéreront',
    'adhérez',
    'adhériez',
    'adhérions',
    'adhérons',
    'adhérâmes',
    'adhérât',
    'adhérâtes',
    'adhérèrent',
    'adhéré',
    'adhésif',
    'adhésifs',
    'adhésion',
    'adhésions',
    'adhésive',
    'adhésives',
    'adhésivité',
    'adhésivités',
    'adiaphorèse',
    'adiaphorèses',
    'adieu',
    'adieux',
    'adipeuse',
    'adipeuses',
    'adipeux',
    'adipique',
    'adipiques',
    'adipolyse',
    'adipolyses',
    'adipopexie',
    'adipopexies',
    'adipose',
    'adiposes',
    'adiposité',
    'adiposités',
    'adipsie',
    'adipsies',
    'adjacence',
    'adjacences',
    'adjacent',
    'adjacente',
    'adjacentes',
    'adjacents',
    'adjectif',
    'adjectifs',
    'adjectiva',
    'adjectivai',
    'adjectivais',
    'adjectivait',
    'adjectival',
    'adjectivale',
    'adjectivales',
    'adjectivant',
    'adjectivas',
    'adjectivasse',
    'adjectivaux',
    'adjective',
    'adjectivent',
    'adjectiver',
    'adjectivera',
    'adjectiverai',
    'adjectiveras',
    'adjectiverez',
    'adjectives',
    'adjectivez',
    'adjectiviez',
    'adjectivions',
    'adjectivisa',
    'adjectivisai',
    'adjectivisas',
    'adjectivise',
    'adjectiviser',
    'adjectivises',
    'adjectivisez',
    'adjectivisât',
    'adjectivisé',
    'adjectivisée',
    'adjectivisés',
    'adjectivons',
    'adjectivâmes',
    'adjectivât',
    'adjectivâtes',
    'adjectivé',
    'adjectivée',
    'adjectivées',
    'adjectivés',
    'adjoignaient',
    'adjoignais',
    'adjoignait',
    'adjoignant',
    'adjoigne',
    'adjoignent',
    'adjoignes',
    'adjoignez',
    'adjoigniez',
    'adjoignions',
    'adjoignirent',
    'adjoignis',
    'adjoignisse',
    'adjoignisses',
    'adjoignit',
    'adjoignons',
    'adjoignîmes',
    'adjoignît',
    'adjoignîtes',
    'adjoindra',
    'adjoindrai',
    'adjoindrais',
    'adjoindrait',
    'adjoindras',
    'adjoindre',
    'adjoindrez',
    'adjoindriez',
    'adjoindrions',
    'adjoindrons',
    'adjoindront',
    'adjoins',
    'adjoint',
    'adjointe',
    'adjointes',
    'adjoints',
    'adjonction',
    'adjonctions',
    'adjudant',
    'adjudante',
    'adjudantes',
    'adjudants',
    'adjudicateur',
    'adjudicatif',
    'adjudicatifs',
    'adjudication',
    'adjudicative',
    'adjuge',
    'adjugea',
    'adjugeai',
    'adjugeaient',
    'adjugeais',
    'adjugeait',
    'adjugeant',
    'adjugeas',
    'adjugeasse',
    'adjugeassent',
    'adjugeasses',
    'adjugeassiez',
    'adjugent',
    'adjugeons',
    'adjuger',
    'adjugera',
    'adjugerai',
    'adjugeraient',
    'adjugerais',
    'adjugerait',
    'adjugeras',
    'adjugerez',
    'adjugeriez',
    'adjugerions',
    'adjugerons',
    'adjugeront',
    'adjuges',
    'adjugez',
    'adjugeâmes',
    'adjugeât',
    'adjugeâtes',
    'adjugiez',
    'adjugions',
    'adjugèrent',
    'adjugé',
    'adjugée',
    'adjugées',
    'adjugés',
    'adjura',
    'adjurai',
    'adjuraient',
    'adjurais',
    'adjurait',
    'adjurant',
    'adjuras',
    'adjurasse',
    'adjurassent',
    'adjurasses',
    'adjurassiez',
    'adjurassions',
    'adjuration',
    'adjurations',
    'adjure',
    'adjurent',
    'adjurer',
    'adjurera',
    'adjurerai',
    'adjureraient',
    'adjurerais',
    'adjurerait',
    'adjureras',
    'adjurerez',
    'adjureriez',
    'adjurerions',
    'adjurerons',
    'adjureront',
    'adjures',
    'adjurez',
    'adjuriez',
    'adjurions',
    'adjurons',
    'adjurâmes',
    'adjurât',
    'adjurâtes',
    'adjurèrent',
    'adjuré',
    'adjurée',
    'adjurées',
    'adjurés',
    'adjuvant',
    'adjuvante',
    'adjuvantes',
    'adjuvants',
    'adjuvat',
    'adjuvats',
    'admet',
    'admets',
    'admettaient',
    'admettais',
    'admettait',
    'admettant',
    'admette',
    'admettent',
    'admettes',
    'admettez',
    'admettiez',
    'admettions',
    'admettons',
    'admettra',
    'admettrai',
    'admettraient',
    'admettrais',
    'admettrait',
    'admettras',
    'admettre',
    'admettrez',
    'admettriez',
    'admettrions',
    'admettrons',
    'admettront',
    'adminicule',
    'adminicules',
    'administra',
    'administrai',
    'administrais',
    'administrait',
    'administrant',
    'administras',
    'administre',
    'administrent',
    'administrer',
    'administrera',
    'administres',
    'administrez',
    'administriez',
    'administrons',
    'administrât',
    'administré',
    'administrée',
    'administrées',
    'administrés',
    'admira',
    'admirable',
    'admirables',
    'admirai',
    'admiraient',
    'admirais',
    'admirait',
    'admirant',
    'admiras',
    'admirasse',
    'admirassent',
    'admirasses',
    'admirassiez',
    'admirassions',
    'admirateur',
    'admirateurs',
    'admiratif',
    'admiratifs',
    'admiration',
    'admirations',
    'admirative',
    'admiratives',
    'admiratrice',
    'admiratrices',
    'admire',
    'admirent',
    'admirer',
    'admirera',
    'admirerai',
    'admireraient',
    'admirerais',
    'admirerait',
    'admireras',
    'admirerez',
    'admireriez',
    'admirerions',
    'admirerons',
    'admireront',
    'admires',
    'admirez',
    'admiriez',
    'admirions',
    'admirons',
    'admirâmes',
    'admirât',
    'admirâtes',
    'admirèrent',
    'admiré',
    'admirée',
    'admirées',
    'admirés',
    'admis',
    'admise',
    'admises',
    'admisse',
    'admissent',
    'admisses',
    'admissible',
    'admissibles',
    'admissiez',
    'admission',
    'admissions',
    'admit',
    'admittance',
    'admittances',
    'admixtion',
    'admixtions',
    'admonesta',
    'admonestai',
    'admonestais',
    'admonestait',
    'admonestant',
    'admonestas',
    'admonestasse',
    'admoneste',
    'admonestent',
    'admonester',
    'admonestera',
    'admonesterai',
    'admonesteras',
    'admonesterez',
    'admonestes',
    'admonestez',
    'admonestiez',
    'admonestions',
    'admonestons',
    'admonestâmes',
    'admonestât',
    'admonestâtes',
    'admonesté',
    'admonestée',
    'admonestées',
    'admonestés',
    'admonition',
    'admonitions',
    'admîmes',
    'admît',
    'admîtes',
    'adné',
    'adnée',
    'adnées',
    'adnés',
    'adolescence',
    'adolescences',
    'adolescent',
    'adolescente',
    'adolescentes',
    'adolescents',
    'adonis',
    'adonisassiez',
    'adoniser',
    'adoniserez',
    'adoniseriez',
    'adoniserions',
    'adoniserons',
    'adonisez',
    'adonisiez',
    'adonisions',
    'adonisons',
    'adonisâmes',
    'adonisâtes',
    'adonisé',
    'adonisée',
    'adonisées',
    'adonisés',
    'adonna',
    'adonnaient',
    'adonnais',
    'adonnait',
    'adonnant',
    'adonnassiez',
    'adonnassions',
    'adonne',
    'adonnent',
    'adonner',
    'adonnera',
    'adonnerai',
    'adonneraient',
    'adonnerais',
    'adonnerait',
    'adonneras',
    'adonnerez',
    'adonneriez',
    'adonnerions',
    'adonnerons',
    'adonneront',
    'adonnes',
    'adonnez',
    'adonniez',
    'adonnions',
    'adonnons',
    'adonnâmes',
    'adonnâtes',
    'adonnèrent',
    'adonné',
    'adonnée',
    'adonnées',
    'adonnés',
    'adopta',
    'adoptable',
    'adoptables',
    'adoptai',
    'adoptaient',
    'adoptais',
    'adoptait',
    'adoptant',
    'adoptante',
    'adoptantes',
    'adoptants',
    'adoptas',
    'adoptasse',
    'adoptassent',
    'adoptasses',
    'adoptassiez',
    'adoptassions',
    'adopte',
    'adoptent',
    'adopter',
    'adoptera',
    'adopterai',
    'adopteraient',
    'adopterais',
    'adopterait',
    'adopteras',
    'adopterez',
    'adopteriez',
    'adopterions',
    'adopterons',
    'adopteront',
    'adoptes',
    'adoptez',
    'adoptiez',
    'adoptif',
    'adoptifs',
    'adoption',
    'adoptions',
    'adoptive',
    'adoptives',
    'adoptons',
    'adoptâmes',
    'adoptât',
    'adoptâtes',
    'adoptèrent',
    'adopté',
    'adoptée',
    'adoptées',
    'adoptés',
    'adora',
    'adorable',
    'adorablement',
    'adorables',
    'adorai',
    'adoraient',
    'adorais',
    'adorait',
    'adorant',
    'adoras',
    'adorasse',
    'adorassent',
    'adorasses',
    'adorassiez',
    'adorassions',
    'adorateur',
    'adorateurs',
    'adoration',
    'adorations',
    'adoratrice',
    'adoratrices',
    'adore',
    'adorent',
    'adorer',
    'adorera',
    'adorerai',
    'adoreraient',
    'adorerais',
    'adorerait',
    'adoreras',
    'adorerez',
    'adoreriez',
    'adorerions',
    'adorerons',
    'adoreront',
    'adores',
    'adorez',
    'adoriez',
    'adorions',
    'adorons',
    'adorâmes',
    'adorât',
    'adorâtes',
    'adorèrent',
    'adoré',
    'adorée',
    'adorées',
    'adorés',
    'ados',
    'adossa',
    'adossai',
    'adossaient',
    'adossais',
    'adossait',
    'adossant',
    'adossas',
    'adossasse',
    'adossassent',
    'adossasses',
    'adossassiez',
    'adossassions',
    'adosse',
    'adossement',
    'adossements',
    'adossent',
    'adosser',
    'adossera',
    'adosserai',
    'adosseraient',
    'adosserais',
    'adosserait',
    'adosseras',
    'adosserez',
    'adosseriez',
    'adosserions',
    'adosserons',
    'adosseront',
    'adosses',
    'adossez',
    'adossiez',
    'adossions',
    'adossons',
    'adossâmes',
    'adossât',
    'adossâtes',
    'adossèrent',
    'adossé',
    'adossée',
    'adossées',
    'adossés',
    'adouba',
    'adoubai',
    'adoubaient',
    'adoubais',
    'adoubait',
    'adoubant',
    'adoubas',
    'adoubasse',
    'adoubassent',
    'adoubasses',
    'adoubassiez',
    'adoubassions',
    'adoube',
    'adoubent',
    'adouber',
    'adoubera',
    'adouberai',
    'adouberaient',
    'adouberais',
    'adouberait',
    'adouberas',
    'adouberez',
    'adouberiez',
    'adouberions',
    'adouberons',
    'adouberont',
    'adoubes',
    'adoubez',
    'adoubiez',
    'adoubions',
    'adoubons',
    'adoubâmes',
    'adoubât',
    'adoubâtes',
    'adoubèrent',
    'adoubé',
    'adoubée',
    'adoubées',
    'adoubés',
    'adouci',
    'adoucie',
    'adoucies',
    'adoucir',
    'adoucira',
    'adoucirai',
    'adouciraient',
    'adoucirais',
    'adoucirait',
    'adouciras',
    'adoucirent',
    'adoucirez',
    'adouciriez',
    'adoucirions',
    'adoucirons',
    'adouciront',
    'adoucis',
    'adoucissage',
    'adoucissages',
    'adoucissais',
    'adoucissait',
    'adoucissant',
    'adoucissante',
    'adoucissants',
    'adoucisse',
    'adoucissent',
    'adoucisses',
    'adoucisseur',
    'adoucisseurs',
    'adoucissez',
    'adoucissiez',
    'adoucissions',
    'adoucissons',
    'adoucit',
    'adoucîmes',
    'adoucît',
    'adoucîtes',
    'adragante',
    'adragantes',
    'adressa',
    'adressage',
    'adressages',
    'adressai',
    'adressaient',
    'adressais',
    'adressait',
    'adressant',
    'adressas',
    'adressasse',
    'adressassent',
    'adressasses',
    'adressassiez',
    'adresse',
    'adressent',
    'adresser',
    'adressera',
    'adresserai',
    'adresserais',
    'adresserait',
    'adresseras',
    'adresserez',
    'adresseriez',
    'adresserions',
    'adresserons',
    'adresseront',
    'adresses',
    'adressez',
    'adressiez',
    'adressions',
    'adressons',
    'adressâmes',
    'adressât',
    'adressâtes',
    'adressèrent',
    'adressé',
    'adressée',
    'adressées',
    'adressés',
    'adret',
    'adrets',
    'adroit',
    'adroite',
    'adroitement',
    'adroites',
    'adroits',
    'adrénaline',
    'adrénalines',
    'adrénergique',
    'adsorbant',
    'adsorbante',
    'adsorbantes',
    'adsorbants',
    'adsorber',
    'adsorption',
    'adsorptions',
    'adstrat',
    'adstrats',
    'adula',
    'adulai',
    'adulaient',
    'adulais',
    'adulait',
    'adulant',
    'adulas',
    'adulasse',
    'adulassent',
    'adulasses',
    'adulassiez',
    'adulassions',
    'adulateur',
    'adulateurs',
    'adulation',
    'adulations',
    'adulatrice',
    'adulatrices',
    'adule',
    'adulent',
    'aduler',
    'adulera',
    'adulerai',
    'aduleraient',
    'adulerais',
    'adulerait',
    'aduleras',
    'adulerez',
    'aduleriez',
    'adulerions',
    'adulerons',
    'aduleront',
    'adules',
    'adulez',
    'aduliez',
    'adulions',
    'adulons',
    'adulte',
    'adultes',
    'adultisme',
    'adultismes',
    'adultère',
    'adultèrent',
    'adultères',
    'adultéra',
    'adultérai',
    'adultéraient',
    'adultérais',
    'adultérait',
    'adultérant',
    'adultéras',
    'adultérasse',
    'adultérasses',
    'adultération',
    'adultérer',
    'adultérera',
    'adultérerai',
    'adultérerais',
    'adultérerait',
    'adultéreras',
    'adultérerez',
    'adultéreriez',
    'adultérerons',
    'adultéreront',
    'adultérez',
    'adultériez',
    'adultérin',
    'adultérine',
    'adultérines',
    'adultérins',
    'adultérions',
    'adultérons',
    'adultérâmes',
    'adultérât',
    'adultérâtes',
    'adultérèrent',
    'adultéré',
    'adultérée',
    'adultérées',
    'adultérés',
    'adulâmes',
    'adulât',
    'adulâtes',
    'adulèrent',
    'adulé',
    'adulée',
    'adulées',
    'adulés',
    'advection',
    'advections',
    'advenait',
    'advenir',
    'adventif',
    'adventifs',
    'adventiste',
    'adventistes',
    'adventive',
    'adventives',
    'advenu',
    'advenue',
    'advenues',
    'advenus',
    'adverbe',
    'adverbes',
    'adverbial',
    'adverbiale',
    'adverbiales',
    'adverbiaux',
    'adversaire',
    'adversaires',
    'adversatif',
    'adversatifs',
    'adversative',
    'adversatives',
    'adverse',
    'adverses',
    'adversité',
    'adversités',
    'adviendra',
    'adviendrait',
    'advienne',
    'advient',
    'advint',
    'advînt',
    'adynamie',
    'adynamies',
    'adénite',
    'adénites',
    'adénome',
    'adénomes',
    'adénopathie',
    'adénopathies',
    'adénosine',
    'adénosines',
    'adénoïde',
    'adénoïdes',
    'adéquat',
    'adéquate',
    'adéquatement',
    'adéquates',
    'adéquation',
    'adéquations',
    'adéquats',
    'aegosome',
    'aegosomes',
    'aequo',
    'aeschne',
    'aeschnes',
    'affabilité',
    'affabilités',
    'affable',
    'affablement',
    'affables',
    'affabula',
    'affabulai',
    'affabulaient',
    'affabulais',
    'affabulait',
    'affabulant',
    'affabulas',
    'affabulasse',
    'affabulasses',
    'affabulation',
    'affabule',
    'affabulent',
    'affabuler',
    'affabulera',
    'affabulerai',
    'affabulerais',
    'affabulerait',
    'affabuleras',
    'affabulerez',
    'affabuleriez',
    'affabulerons',
    'affabuleront',
    'affabules',
    'affabulez',
    'affabuliez',
    'affabulions',
    'affabulons',
    'affabulâmes',
    'affabulât',
    'affabulâtes',
    'affabulèrent',
    'affabulé',
    'affabulée',
    'affabulées',
    'affabulés',
    'affacturage',
    'affacturages',
    'affacturant',
    'affacturer',
    'affacturé',
    'affacturée',
    'affacturées',
    'affacturés',
    'affadi',
    'affadie',
    'affadies',
    'affadir',
    'affadira',
    'affadirai',
    'affadiraient',
    'affadirais',
    'affadirait',
    'affadiras',
    'affadirent',
    'affadirez',
    'affadiriez',
    'affadirions',
    'affadirons',
    'affadiront',
    'affadis',
    'affadissais',
    'affadissait',
    'affadissant',
    'affadissante',
    'affadissants',
    'affadisse',
    'affadissent',
    'affadisses',
    'affadissez',
    'affadissiez',
    'affadissions',
    'affadissons',
    'affadit',
    'affadîmes',
    'affadît',
    'affadîtes',
    'affaibli',
    'affaiblie',
    'affaiblies',
    'affaiblir',
    'affaiblira',
    'affaiblirai',
    'affaiblirais',
    'affaiblirait',
    'affaibliras',
    'affaiblirent',
    'affaiblirez',
    'affaibliriez',
    'affaiblirons',
    'affaibliront',
    'affaiblis',
    'affaiblisse',
    'affaiblisses',
    'affaiblissez',
    'affaiblit',
    'affaiblîmes',
    'affaiblît',
    'affaiblîtes',
    'affaira',
    'affairaient',
    'affairais',
    'affairait',
    'affairant',
    'affairassiez',
    'affaire',
    'affairement',
    'affairements',
    'affairent',
    'affairer',
    'affairera',
    'affairerai',
    'affairerais',
    'affairerait',
    'affaireras',
    'affairerez',
    'affaireriez',
    'affairerions',
    'affairerons',
    'affaireront',
    'affaires',
    'affairez',
    'affairiez',
    'affairions',
    'affairisme',
    'affairismes',
    'affairiste',
    'affairistes',
    'affairons',
    'affairâmes',
    'affairâtes',
    'affairèrent',
    'affairé',
    'affairée',
    'affairées',
    'affairés',
    'affaissa',
    'affaissai',
    'affaissaient',
    'affaissais',
    'affaissait',
    'affaissant',
    'affaissas',
    'affaissasse',
    'affaissasses',
    'affaisse',
    'affaissement',
    'affaissent',
    'affaisser',
    'affaissera',
    'affaisserai',
    'affaisserais',
    'affaisserait',
    'affaisseras',
    'affaisserez',
    'affaisseriez',
    'affaisserons',
    'affaisseront',
    'affaisses',
    'affaissez',
    'affaissiez',
    'affaissions',
    'affaissons',
    'affaissâmes',
    'affaissât',
    'affaissâtes',
    'affaissèrent',
    'affaissé',
    'affaissée',
    'affaissées',
    'affaissés',
    'affaitage',
    'affaitages',
    'affaitement',
    'affaitements',
    'affala',
    'affalai',
    'affalaient',
    'affalais',
    'affalait',
    'affalant',
    'affalas',
    'affalasse',
    'affalassent',
    'affalasses',
    'affalassiez',
    'affalassions',
    'affale',
    'affalement',
    'affalements',
    'affalent',
    'affaler',
    'affalera',
    'affalerai',
    'affaleraient',
    'affalerais',
    'affalerait',
    'affaleras',
    'affalerez',
    'affaleriez',
    'affalerions',
    'affalerons',
    'affaleront',
    'affales',
    'affalez',
    'affaliez',
    'affalions',
    'affalons',
    'affalâmes',
    'affalât',
    'affalâtes',
    'affalèrent',
    'affalé',
    'affalée',
    'affalées',
    'affalés',
    'affama',
    'affamai',
    'affamaient',
    'affamais',
    'affamait',
    'affamant',
    'affamas',
    'affamasse',
    'affamassent',
    'affamasses',
    'affamassiez',
    'affamassions',
    'affame',
    'affament',
    'affamer',
    'affamera',
    'affamerai',
    'affameraient',
    'affamerais',
    'affamerait',
    'affameras',
    'affamerez',
    'affameriez',
    'affamerions',
    'affamerons',
    'affameront',
    'affames',
    'affameur',
    'affameurs',
    'affamez',
    'affamiez',
    'affamions',
    'affamons',
    'affamâmes',
    'affamât',
    'affamâtes',
    'affamèrent',
    'affamé',
    'affamée',
    'affamées',
    'affamés',
    'affect',
    'affecta',
    'affectai',
    'affectaient',
    'affectais',
    'affectait',
    'affectant',
    'affectas',
    'affectasse',
    'affectassent',
    'affectasses',
    'affectassiez',
    'affectation',
    'affectations',
    'affecte',
    'affectent',
    'affecter',
    'affectera',
    'affecterai',
    'affecterais',
    'affecterait',
    'affecteras',
    'affecterez',
    'affecteriez',
    'affecterions',
    'affecterons',
    'affecteront',
    'affectes',
    'affectez',
    'affectiez',
    'affectif',
    'affectifs',
    'affection',
    'affectionna',
    'affectionnai',
    'affectionnas',
    'affectionne',
    'affectionner',
    'affectionnes',
    'affectionnez',
    'affectionnât',
    'affectionné',
    'affectionnée',
    'affectionnés',
    'affections',
    'affective',
    'affectives',
    'affectivité',
    'affectivités',
    'affectons',
    'affects',
    'affectueuse',
    'affectueuses',
    'affectueux',
    'affectâmes',
    'affectât',
    'affectâtes',
    'affectèrent',
    'affecté',
    'affectée',
    'affectées',
    'affectés',
    'affenage',
    'affenages',
    'afferma',
    'affermage',
    'affermages',
    'affermai',
    'affermaient',
    'affermais',
    'affermait',
    'affermant',
    'affermas',
    'affermasse',
    'affermassent',
    'affermasses',
    'affermassiez',
    'afferme',
    'afferment',
    'affermer',
    'affermera',
    'affermerai',
    'affermerais',
    'affermerait',
    'affermeras',
    'affermerez',
    'affermeriez',
    'affermerions',
    'affermerons',
    'affermeront',
    'affermes',
    'affermez',
    'affermi',
    'affermie',
    'affermies',
    'affermiez',
    'affermions',
    'affermir',
    'affermira',
    'affermirai',
    'affermirais',
    'affermirait',
    'affermiras',
    'affermirent',
    'affermirez',
    'affermiriez',
    'affermirions',
    'affermirons',
    'affermiront',
    'affermis',
    'affermissais',
    'affermissait',
    'affermissant',
    'affermisse',
    'affermissent',
    'affermisses',
    'affermissez',
    'affermissiez',
    'affermissons',
    'affermit',
    'affermons',
    'affermâmes',
    'affermât',
    'affermâtes',
    'affermèrent',
    'affermé',
    'affermée',
    'affermées',
    'affermés',
    'affermîmes',
    'affermît',
    'affermîtes',
    'afficha',
    'affichable',
    'affichables',
    'affichage',
    'affichages',
    'affichai',
    'affichaient',
    'affichais',
    'affichait',
    'affichant',
    'affichas',
    'affichasse',
    'affichassent',
    'affichasses',
    'affichassiez',
    'affiche',
    'affichent',
    'afficher',
    'affichera',
    'afficherai',
    'afficherais',
    'afficherait',
    'afficheras',
    'afficherez',
    'afficheriez',
    'afficherions',
    'afficherons',
    'afficheront',
    'affiches',
    'affichette',
    'affichettes',
    'afficheur',
    'afficheurs',
    'affichez',
    'affichiez',
    'affichions',
    'affichiste',
    'affichistes',
    'affichons',
    'affichâmes',
    'affichât',
    'affichâtes',
    'affichèrent',
    'affiché',
    'affichée',
    'affichées',
    'affichés',
    'affidavit',
    'affidavits',
    'affidé',
    'affidée',
    'affidées',
    'affidés',
    'affila',
    'affilage',
    'affilages',
    'affilai',
    'affilaient',
    'affilais',
    'affilait',
    'affilant',
    'affilas',
    'affilasse',
    'affilassent',
    'affilasses',
    'affilassiez',
    'affilassions',
    'affile',
    'affilent',
    'affiler',
    'affilera',
    'affilerai',
    'affileraient',
    'affilerais',
    'affilerait',
    'affileras',
    'affilerez',
    'affileriez',
    'affilerions',
    'affilerons',
    'affileront',
    'affiles',
    'affilez',
    'affilia',
    'affiliai',
    'affiliaient',
    'affiliais',
    'affiliait',
    'affiliant',
    'affilias',
    'affiliasse',
    'affiliassent',
    'affiliasses',
    'affiliassiez',
    'affiliation',
    'affiliations',
    'affilie',
    'affilient',
    'affilier',
    'affiliera',
    'affilierai',
    'affilierais',
    'affilierait',
    'affilieras',
    'affilierez',
    'affilieriez',
    'affilierions',
    'affilierons',
    'affilieront',
    'affilies',
    'affiliez',
    'affiliiez',
    'affiliions',
    'affilions',
    'affiliâmes',
    'affiliât',
    'affiliâtes',
    'affilièrent',
    'affilié',
    'affiliée',
    'affiliées',
    'affiliés',
    'affiloir',
    'affiloirs',
    'affilons',
    'affilâmes',
    'affilât',
    'affilâtes',
    'affilèrent',
    'affilé',
    'affilée',
    'affilées',
    'affilés',
    'affin',
    'affina',
    'affinage',
    'affinages',
    'affinai',
    'affinaient',
    'affinais',
    'affinait',
    'affinant',
    'affinas',
    'affinasse',
    'affinassent',
    'affinasses',
    'affinassiez',
    'affinassions',
    'affine',
    'affinement',
    'affinements',
    'affinent',
    'affiner',
    'affinera',
    'affinerai',
    'affineraient',
    'affinerais',
    'affinerait',
    'affineras',
    'affinerez',
    'affineriez',
    'affinerions',
    'affinerons',
    'affineront',
    'affines',
    'affineur',
    'affineurs',
    'affineuse',
    'affineuses',
    'affinez',
    'affiniez',
    'affinions',
    'affinité',
    'affinités',
    'affinons',
    'affins',
    'affinâmes',
    'affinât',
    'affinâtes',
    'affinèrent',
    'affiné',
    'affinée',
    'affinées',
    'affinés',
    'affiquet',
    'affiquets',
    'affirma',
    'affirmai',
    'affirmaient',
    'affirmais',
    'affirmait',
    'affirmant',
    'affirmas',
    'affirmasse',
    'affirmassent',
    'affirmasses',
    'affirmassiez',
    'affirmatif',
    'affirmatifs',
    'affirmation',
    'affirmations',
    'affirmative',
    'affirmatives',
    'affirme',
    'affirment',
    'affirmer',
    'affirmera',
    'affirmerai',
    'affirmerais',
    'affirmerait',
    'affirmeras',
    'affirmerez',
    'affirmeriez',
    'affirmerions',
    'affirmerons',
    'affirmeront',
    'affirmes',
    'affirmez',
    'affirmiez',
    'affirmions',
    'affirmons',
    'affirmâmes',
    'affirmât',
    'affirmâtes',
    'affirmèrent',
    'affirmé',
    'affirmée',
    'affirmées',
    'affirmés',
    'affixal',
    'affixale',
    'affixales',
    'affixation',
    'affixations',
    'affixaux',
    'affixe',
    'affixes',
    'affleura',
    'affleurai',
    'affleuraient',
    'affleurais',
    'affleurait',
    'affleurant',
    'affleuras',
    'affleurasse',
    'affleurasses',
    'affleure',
    'affleurement',
    'affleurent',
    'affleurer',
    'affleurera',
    'affleurerai',
    'affleurerais',
    'affleurerait',
    'affleureras',
    'affleurerez',
    'affleureriez',
    'affleurerons',
    'affleureront',
    'affleures',
    'affleurez',
    'affleuriez',
    'affleurions',
    'affleurons',
    'affleurâmes',
    'affleurât',
    'affleurâtes',
    'affleurèrent',
    'affleuré',
    'affleurée',
    'affleurées',
    'affleurés',
    'afflictif',
    'afflictifs',
    'affliction',
    'afflictions',
    'afflictive',
    'afflictives',
    'afflige',
    'affligea',
    'affligeai',
    'affligeaient',
    'affligeais',
    'affligeait',
    'affligeant',
    'affligeante',
    'affligeantes',
    'affligeants',
    'affligeas',
    'affligeasse',
    'affligeasses',
    'affligent',
    'affligeons',
    'affliger',
    'affligera',
    'affligerai',
    'affligerais',
    'affligerait',
    'affligeras',
    'affligerez',
    'affligeriez',
    'affligerions',
    'affligerons',
    'affligeront',
    'affliges',
    'affligez',
    'affligeâmes',
    'affligeât',
    'affligeâtes',
    'affligiez',
    'affligions',
    'affligèrent',
    'affligé',
    'affligée',
    'affligées',
    'affligés',
    'affloua',
    'afflouai',
    'afflouaient',
    'afflouais',
    'afflouait',
    'afflouant',
    'afflouas',
    'afflouasse',
    'afflouassent',
    'afflouasses',
    'afflouassiez',
    'affloue',
    'afflouent',
    'afflouer',
    'afflouera',
    'afflouerai',
    'afflouerais',
    'afflouerait',
    'affloueras',
    'afflouerez',
    'affloueriez',
    'afflouerions',
    'afflouerons',
    'affloueront',
    'affloues',
    'afflouez',
    'afflouiez',
    'afflouions',
    'afflouons',
    'afflouâmes',
    'afflouât',
    'afflouâtes',
    'afflouèrent',
    'affloué',
    'afflouée',
    'afflouées',
    'affloués',
    'afflua',
    'affluai',
    'affluaient',
    'affluais',
    'affluait',
    'affluant',
    'affluas',
    'affluasse',
    'affluassent',
    'affluasses',
    'affluassiez',
    'affluassions',
    'afflue',
    'affluence',
    'affluences',
    'affluent',
    'affluente',
    'affluentes',
    'affluents',
    'affluer',
    'affluera',
    'affluerai',
    'afflueraient',
    'affluerais',
    'affluerait',
    'afflueras',
    'affluerez',
    'afflueriez',
    'affluerions',
    'affluerons',
    'afflueront',
    'afflues',
    'affluez',
    'affluiez',
    'affluions',
    'affluons',
    'afflux',
    'affluâmes',
    'affluât',
    'affluâtes',
    'affluèrent',
    'afflué',
    'affola',
    'affolai',
    'affolaient',
    'affolais',
    'affolait',
    'affolant',
    'affolante',
    'affolantes',
    'affolants',
    'affolas',
    'affolasse',
    'affolassent',
    'affolasses',
    'affolassiez',
    'affolassions',
    'affole',
    'affolement',
    'affolements',
    'affolent',
    'affoler',
    'affolera',
    'affolerai',
    'affoleraient',
    'affolerais',
    'affolerait',
    'affoleras',
    'affolerez',
    'affoleriez',
    'affolerions',
    'affolerons',
    'affoleront',
    'affoles',
    'affolez',
    'affoliez',
    'affolions',
    'affolons',
    'affolâmes',
    'affolât',
    'affolâtes',
    'affolèrent',
    'affolé',
    'affolée',
    'affolées',
    'affolés',
    'affouage',
    'affouagea',
    'affouageai',
    'affouageais',
    'affouageait',
    'affouageant',
    'affouageas',
    'affouageasse',
    'affouagent',
    'affouageons',
    'affouager',
    'affouagera',
    'affouagerai',
    'affouagerais',
    'affouagerait',
    'affouageras',
    'affouagerez',
    'affouageriez',
    'affouagerons',
    'affouageront',
    'affouages',
    'affouagez',
    'affouageâmes',
    'affouageât',
    'affouageâtes',
    'affouagiez',
    'affouagions',
    'affouagèrent',
    'affouagé',
    'affouagée',
    'affouagées',
    'affouagés',
    'affouilla',
    'affouillai',
    'affouillais',
    'affouillait',
    'affouillant',
    'affouillas',
    'affouillasse',
    'affouille',
    'affouillent',
    'affouiller',
    'affouillera',
    'affouillerai',
    'affouilleras',
    'affouillerez',
    'affouilles',
    'affouillez',
    'affouilliez',
    'affouillions',
    'affouillons',
    'affouillâmes',
    'affouillât',
    'affouillâtes',
    'affouillé',
    'affouillée',
    'affouillées',
    'affouillés',
    'affourage',
    'affouragea',
    'affourageai',
    'affourageais',
    'affourageait',
    'affourageant',
    'affourageas',
    'affouragent',
    'affourageons',
    'affourager',
    'affouragera',
    'affouragerai',
    'affourageras',
    'affouragerez',
    'affourages',
    'affouragez',
    'affourageât',
    'affouragiez',
    'affouragions',
    'affouragé',
    'affouragée',
    'affouragées',
    'affouragés',
    'affourcha',
    'affourchai',
    'affourchais',
    'affourchait',
    'affourchant',
    'affourchas',
    'affourchasse',
    'affourche',
    'affourchent',
    'affourcher',
    'affourchera',
    'affourcherai',
    'affourcheras',
    'affourcherez',
    'affourches',
    'affourchez',
    'affourchiez',
    'affourchions',
    'affourchons',
    'affourchâmes',
    'affourchât',
    'affourchâtes',
    'affourché',
    'affourchée',
    'affourchées',
    'affourchés',
    'affourrage',
    'affourragea',
    'affourrageai',
    'affourrageas',
    'affourragent',
    'affourrager',
    'affourragera',
    'affourrages',
    'affourragez',
    'affourrageât',
    'affourragiez',
    'affourragé',
    'affourragée',
    'affourragées',
    'affourragés',
    'affranchi',
    'affranchie',
    'affranchies',
    'affranchir',
    'affranchira',
    'affranchirai',
    'affranchiras',
    'affranchirez',
    'affranchis',
    'affranchisse',
    'affranchit',
    'affranchîmes',
    'affranchît',
    'affranchîtes',
    'affres',
    'affreuse',
    'affreusement',
    'affreuses',
    'affreux',
    'affrianda',
    'affriandai',
    'affriandais',
    'affriandait',
    'affriandant',
    'affriandas',
    'affriandasse',
    'affriande',
    'affriandent',
    'affriander',
    'affriandera',
    'affrianderai',
    'affrianderas',
    'affrianderez',
    'affriandes',
    'affriandez',
    'affriandiez',
    'affriandions',
    'affriandons',
    'affriandâmes',
    'affriandât',
    'affriandâtes',
    'affriandé',
    'affriandée',
    'affriandées',
    'affriandés',
    'affricha',
    'affrichai',
    'affrichaient',
    'affrichais',
    'affrichait',
    'affrichant',
    'affrichas',
    'affrichasse',
    'affrichasses',
    'affriche',
    'affrichent',
    'affricher',
    'affrichera',
    'affricherai',
    'affricherais',
    'affricherait',
    'affricheras',
    'affricherez',
    'affricheriez',
    'affricherons',
    'affricheront',
    'affriches',
    'affrichez',
    'affrichiez',
    'affrichions',
    'affrichons',
    'affrichâmes',
    'affrichât',
    'affrichâtes',
    'affrichèrent',
    'affriché',
    'affrichée',
    'affrichées',
    'affrichés',
    'affriola',
    'affriolai',
    'affriolaient',
    'affriolais',
    'affriolait',
    'affriolant',
    'affriolante',
    'affriolantes',
    'affriolants',
    'affriolas',
    'affriolasse',
    'affriolasses',
    'affriole',
    'affriolent',
    'affrioler',
    'affriolera',
    'affriolerai',
    'affriolerais',
    'affriolerait',
    'affrioleras',
    'affriolerez',
    'affrioleriez',
    'affriolerons',
    'affrioleront',
    'affrioles',
    'affriolez',
    'affrioliez',
    'affriolions',
    'affriolons',
    'affriolâmes',
    'affriolât',
    'affriolâtes',
    'affriolèrent',
    'affriolé',
    'affriolée',
    'affriolées',
    'affriolés',
    'affriquée',
    'affriquées',
    'affrita',
    'affritai',
    'affritaient',
    'affritais',
    'affritait',
    'affritant',
    'affritas',
    'affritasse',
    'affritassent',
    'affritasses',
    'affritassiez',
    'affrite',
    'affritent',
    'affriter',
    'affritera',
    'affriterai',
    'affriterais',
    'affriterait',
    'affriteras',
    'affriterez',
    'affriteriez',
    'affriterions',
    'affriterons',
    'affriteront',
    'affrites',
    'affritez',
    'affritiez',
    'affritions',
    'affritons',
    'affritâmes',
    'affritât',
    'affritâtes',
    'affritèrent',
    'affrité',
    'affritée',
    'affritées',
    'affrités',
    'affront',
    'affronta',
    'affrontai',
    'affrontaient',
    'affrontais',
    'affrontait',
    'affrontant',
    'affrontas',
    'affrontasse',
    'affrontasses',
    'affronte',
    'affrontement',
    'affrontent',
    'affronter',
    'affrontera',
    'affronterai',
    'affronterais',
    'affronterait',
    'affronteras',
    'affronterez',
    'affronteriez',
    'affronterons',
    'affronteront',
    'affrontes',
    'affrontez',
    'affrontiez',
    'affrontions',
    'affrontons',
    'affronts',
    'affrontâmes',
    'affrontât',
    'affrontâtes',
    'affrontèrent',
    'affronté',
    'affrontée',
    'affrontées',
    'affrontés',
    'affruita',
    'affruitai',
    'affruitaient',
    'affruitais',
    'affruitait',
    'affruitant',
    'affruitas',
    'affruitasse',
    'affruitasses',
    'affruite',
    'affruitent',
    'affruiter',
    'affruitera',
    'affruiterai',
    'affruiterais',
    'affruiterait',
    'affruiteras',
    'affruiterez',
    'affruiteriez',
    'affruiterons',
    'affruiteront',
    'affruites',
    'affruitez',
    'affruitiez',
    'affruitions',
    'affruitons',
    'affruitâmes',
    'affruitât',
    'affruitâtes',
    'affruitèrent',
    'affruité',
    'affrète',
    'affrètement',
    'affrètements',
    'affrètent',
    'affrètes',
    'affréta',
    'affrétai',
    'affrétaient',
    'affrétais',
    'affrétait',
    'affrétant',
    'affrétas',
    'affrétasse',
    'affrétassent',
    'affrétasses',
    'affrétassiez',
    'affréter',
    'affrétera',
    'affréterai',
    'affréterais',
    'affréterait',
    'affréteras',
    'affréterez',
    'affréteriez',
    'affréterions',
    'affréterons',
    'affréteront',
    'affréteur',
    'affréteurs',
    'affrétez',
    'affrétiez',
    'affrétions',
    'affrétons',
    'affrétâmes',
    'affrétât',
    'affrétâtes',
    'affrétèrent',
    'affrété',
    'affrétée',
    'affrétées',
    'affrétés',
    'affubla',
    'affublai',
    'affublaient',
    'affublais',
    'affublait',
    'affublant',
    'affublas',
    'affublasse',
    'affublassent',
    'affublasses',
    'affublassiez',
    'affuble',
    'affublement',
    'affublements',
    'affublent',
    'affubler',
    'affublera',
    'affublerai',
    'affublerais',
    'affublerait',
    'affubleras',
    'affublerez',
    'affubleriez',
    'affublerions',
    'affublerons',
    'affubleront',
    'affubles',
    'affublez',
    'affubliez',
    'affublions',
    'affublons',
    'affublâmes',
    'affublât',
    'affublâtes',
    'affublèrent',
    'affublé',
    'affublée',
    'affublées',
    'affublés',
    'affura',
    'affurai',
    'affuraient',
    'affurais',
    'affurait',
    'affurant',
    'affuras',
    'affurasse',
    'affurassent',
    'affurasses',
    'affurassiez',
    'affurassions',
    'affure',
    'affurent',
    'affurer',
    'affurera',
    'affurerai',
    'affureraient',
    'affurerais',
    'affurerait',
    'affureras',
    'affurerez',
    'affureriez',
    'affurerions',
    'affurerons',
    'affureront',
    'affures',
    'affurez',
    'affuriez',
    'affurions',
    'affurons',
    'affurâmes',
    'affurât',
    'affurâtes',
    'affurèrent',
    'affuré',
    'affurée',
    'affurées',
    'affurés',
    'affusion',
    'affusions',
    'affère',
    'affèrent',
    'affères',
    'afféage',
    'afféagea',
    'afféageai',
    'afféageaient',
    'afféageais',
    'afféageait',
    'afféageant',
    'afféageas',
    'afféageasse',
    'afféageasses',
    'afféagent',
    'afféageons',
    'afféager',
    'afféagera',
    'afféagerai',
    'afféagerais',
    'afféagerait',
    'afféageras',
    'afféagerez',
    'afféageriez',
    'afféagerions',
    'afféagerons',
    'afféageront',
    'afféages',
    'afféagez',
    'afféageâmes',
    'afféageât',
    'afféageâtes',
    'afféagiez',
    'afféagions',
    'afféagèrent',
    'afféagé',
    'afféagée',
    'afféagées',
    'afféagés',
    'afféra',
    'afférai',
    'afféraient',
    'afférais',
    'afférait',
    'afférant',
    'afféras',
    'afférasse',
    'afférassent',
    'afférasses',
    'afférassiez',
    'afférassions',
    'afférent',
    'afférente',
    'afférentes',
    'afférents',
    'afférer',
    'afférera',
    'afférerai',
    'afféreraient',
    'afférerais',
    'afférerait',
    'afféreras',
    'afférerez',
    'afféreriez',
    'afférerions',
    'afférerons',
    'afféreront',
    'afférez',
    'affériez',
    'afférions',
    'afférons',
    'afférâmes',
    'afférât',
    'afférâtes',
    'afférèrent',
    'afféré',
    'afféterie',
    'afféteries',
    'affété',
    'affétée',
    'affétées',
    'affétés',
    'affût',
    'affûta',
    'affûtage',
    'affûtages',
    'affûtai',
    'affûtaient',
    'affûtais',
    'affûtait',
    'affûtant',
    'affûtas',
    'affûtasse',
    'affûtassent',
    'affûtasses',
    'affûtassiez',
    'affûtassions',
    'affûte',
    'affûtent',
    'affûter',
    'affûtera',
    'affûterai',
    'affûteraient',
    'affûterais',
    'affûterait',
    'affûteras',
    'affûterez',
    'affûteriez',
    'affûterions',
    'affûterons',
    'affûteront',
    'affûtes',
    'affûteur',
    'affûteurs',
    'affûteuse',
    'affûteuses',
    'affûtez',
    'affûtiaux',
    'affûtiez',
    'affûtions',
    'affûtons',
    'affûts',
    'affûtâmes',
    'affûtât',
    'affûtâtes',
    'affûtèrent',
    'affûté',
    'affûtée',
    'affûtées',
    'affûtés',
    'afghan',
    'afghane',
    'afghanes',
    'afghans',
    'aficionado',
    'aficionados',
    'afin',
    'afocal',
    'afocale',
    'afocales',
    'afocaux',
    'africain',
    'africaine',
    'africaines',
    'africains',
    'africanisa',
    'africanisai',
    'africanisais',
    'africanisait',
    'africanisant',
    'africanisas',
    'africanise',
    'africanisent',
    'africaniser',
    'africanisera',
    'africanises',
    'africanisez',
    'africanisiez',
    'africanisons',
    'africaniste',
    'africanistes',
    'africanisât',
    'africanisé',
    'africanisée',
    'africanisées',
    'africanisés',
    'afrikaans',
    'afrikander',
    'afrikaner',
    'afro',
    'agace',
    'agacement',
    'agacements',
    'agacent',
    'agacer',
    'agacera',
    'agacerai',
    'agaceraient',
    'agacerais',
    'agacerait',
    'agaceras',
    'agacerez',
    'agacerie',
    'agaceries',
    'agaceriez',
    'agacerions',
    'agacerons',
    'agaceront',
    'agaces',
    'agacez',
    'agaciez',
    'agacions',
    'agacèrent',
    'agacé',
    'agacée',
    'agacées',
    'agacés',
    'agalactie',
    'agalacties',
    'agami',
    'agamis',
    'agape',
    'agapes',
    'agaric',
    'agarics',
    'agate',
    'agates',
    'agatisé',
    'agatisée',
    'agatisées',
    'agatisés',
    'agave',
    'agaves',
    'agavé',
    'agavés',
    'agaça',
    'agaçai',
    'agaçaient',
    'agaçais',
    'agaçait',
    'agaçant',
    'agaçante',
    'agaçantes',
    'agaçants',
    'agaças',
    'agaçasse',
    'agaçassent',
    'agaçasses',
    'agaçassiez',
    'agaçassions',
    'agaçons',
    'agaçâmes',
    'agaçât',
    'agaçâtes',
    'agence',
    'agencement',
    'agencements',
    'agencent',
    'agencer',
    'agencera',
    'agencerai',
    'agenceraient',
    'agencerais',
    'agencerait',
    'agenceras',
    'agencerez',
    'agenceriez',
    'agencerions',
    'agencerons',
    'agenceront',
    'agences',
    'agencez',
    'agenciez',
    'agencions',
    'agencèrent',
    'agencé',
    'agencée',
    'agencées',
    'agencés',
    'agenda',
    'agendas',
    'agenouilla',
    'agenouillais',
    'agenouillait',
    'agenouillant',
    'agenouille',
    'agenouillent',
    'agenouiller',
    'agenouillera',
    'agenouilles',
    'agenouillez',
    'agenouilliez',
    'agenouilloir',
    'agenouillons',
    'agenouillé',
    'agenouillée',
    'agenouillées',
    'agenouillés',
    'agent',
    'agents',
    'agença',
    'agençai',
    'agençaient',
    'agençais',
    'agençait',
    'agençant',
    'agenças',
    'agençasse',
    'agençassent',
    'agençasses',
    'agençassiez',
    'agençassions',
    'agençons',
    'agençâmes',
    'agençât',
    'agençâtes',
    'agglomère',
    'agglomèrent',
    'agglomères',
    'aggloméra',
    'agglomérai',
    'agglomérais',
    'agglomérait',
    'agglomérant',
    'agglomérants',
    'aggloméras',
    'agglomérasse',
    'agglomérat',
    'agglomérats',
    'agglomérer',
    'agglomérera',
    'agglomérerai',
    'aggloméreras',
    'agglomérerez',
    'agglomérez',
    'agglomériez',
    'agglomérions',
    'agglomérons',
    'agglomérâmes',
    'agglomérât',
    'agglomérâtes',
    'aggloméré',
    'agglomérée',
    'agglomérées',
    'agglomérés',
    'agglutina',
    'agglutinai',
    'agglutinais',
    'agglutinait',
    'agglutinant',
    'agglutinante',
    'agglutinants',
    'agglutinas',
    'agglutinasse',
    'agglutine',
    'agglutinent',
    'agglutiner',
    'agglutinera',
    'agglutinerai',
    'agglutineras',
    'agglutinerez',
    'agglutines',
    'agglutinez',
    'agglutiniez',
    'agglutinions',
    'agglutinons',
    'agglutinâmes',
    'agglutinât',
    'agglutinâtes',
    'agglutiné',
    'agglutinée',
    'agglutinées',
    'agglutinés',
    'aggrava',
    'aggravai',
    'aggravaient',
    'aggravais',
    'aggravait',
    'aggravant',
    'aggravante',
    'aggravantes',
    'aggravants',
    'aggravas',
    'aggravasse',
    'aggravassent',
    'aggravasses',
    'aggravassiez',
    'aggravation',
    'aggravations',
    'aggrave',
    'aggravent',
    'aggraver',
    'aggravera',
    'aggraverai',
    'aggraverais',
    'aggraverait',
    'aggraveras',
    'aggraverez',
    'aggraveriez',
    'aggraverions',
    'aggraverons',
    'aggraveront',
    'aggraves',
    'aggravez',
    'aggraviez',
    'aggravions',
    'aggravons',
    'aggravâmes',
    'aggravât',
    'aggravâtes',
    'aggravèrent',
    'aggravé',
    'aggravée',
    'aggravées',
    'aggravés',
    'agha',
    'aghas',
    'agile',
    'agilement',
    'agiles',
    'agilité',
    'agilités',
    'agio',
    'agios',
    'agiota',
    'agiotage',
    'agiotages',
    'agiotai',
    'agiotaient',
    'agiotais',
    'agiotait',
    'agiotant',
    'agiotas',
    'agiotasse',
    'agiotassent',
    'agiotasses',
    'agiotassiez',
    'agiotassions',
    'agiote',
    'agiotent',
    'agioter',
    'agiotera',
    'agioterai',
    'agioteraient',
    'agioterais',
    'agioterait',
    'agioteras',
    'agioterez',
    'agioteriez',
    'agioterions',
    'agioterons',
    'agioteront',
    'agiotes',
    'agioteur',
    'agioteurs',
    'agiotez',
    'agiotiez',
    'agiotions',
    'agiotons',
    'agiotâmes',
    'agiotât',
    'agiotâtes',
    'agiotèrent',
    'agioté',
    'agir',
    'agira',
    'agirai',
    'agiraient',
    'agirais',
    'agirait',
    'agiras',
    'agirent',
    'agirez',
    'agiriez',
    'agirions',
    'agirons',
    'agiront',
    'agis',
    'agissaient',
    'agissais',
    'agissait',
    'agissant',
    'agissante',
    'agissantes',
    'agissants',
    'agisse',
    'agissement',
    'agissements',
    'agissent',
    'agisses',
    'agissez',
    'agissiez',
    'agissions',
    'agissons',
    'agit',
    'agita',
    'agitai',
    'agitaient',
    'agitais',
    'agitait',
    'agitant',
    'agitas',
    'agitasse',
    'agitassent',
    'agitasses',
    'agitassiez',
    'agitassions',
    'agitateur',
    'agitateurs',
    'agitation',
    'agitations',
    'agitato',
    'agitatrice',
    'agitatrices',
    'agite',
    'agitent',
    'agiter',
    'agitera',
    'agiterai',
    'agiteraient',
    'agiterais',
    'agiterait',
    'agiteras',
    'agiterez',
    'agiteriez',
    'agiterions',
    'agiterons',
    'agiteront',
    'agites',
    'agitez',
    'agitiez',
    'agitions',
    'agitons',
    'agitâmes',
    'agitât',
    'agitâtes',
    'agitèrent',
    'agité',
    'agitée',
    'agitées',
    'agités',
    'aglyphe',
    'aglyphes',
    'agnat',
    'agnathe',
    'agnathes',
    'agnats',
    'agneau',
    'agneaux',
    'agnela',
    'agnelage',
    'agnelages',
    'agnelai',
    'agnelaient',
    'agnelais',
    'agnelait',
    'agnelant',
    'agnelas',
    'agnelasse',
    'agnelassent',
    'agnelasses',
    'agnelassiez',
    'agnelassions',
    'agneler',
    'agnelet',
    'agnelets',
    'agnelez',
    'agneliez',
    'agnelin',
    'agneline',
    'agnelines',
    'agnelins',
    'agnelions',
    'agnelle',
    'agnellent',
    'agnellera',
    'agnellerai',
    'agnellerais',
    'agnellerait',
    'agnelleras',
    'agnellerez',
    'agnelleriez',
    'agnellerions',
    'agnellerons',
    'agnelleront',
    'agnelles',
    'agnelons',
    'agnelâmes',
    'agnelât',
    'agnelâtes',
    'agnelèrent',
    'agnelé',
    'agnosie',
    'agnosies',
    'agnosticisme',
    'agnostique',
    'agnostiques',
    'agonie',
    'agonies',
    'agonir',
    'agonira',
    'agonirai',
    'agoniraient',
    'agonirais',
    'agonirait',
    'agoniras',
    'agonirent',
    'agonirez',
    'agoniriez',
    'agonirions',
    'agonirons',
    'agoniront',
    'agonis',
    'agonisa',
    'agonisai',
    'agonisaient',
    'agonisais',
    'agonisait',
    'agonisant',
    'agonisante',
    'agonisantes',
    'agonisants',
    'agonisas',
    'agonisasse',
    'agonisassent',
    'agonisasses',
    'agonisassiez',
    'agonise',
    'agonisent',
    'agoniser',
    'agonisera',
    'agoniserai',
    'agoniserais',
    'agoniserait',
    'agoniseras',
    'agoniserez',
    'agoniseriez',
    'agoniserions',
    'agoniserons',
    'agoniseront',
    'agonises',
    'agonisez',
    'agonisiez',
    'agonisions',
    'agonisons',
    'agonissaient',
    'agonissais',
    'agonissait',
    'agonissant',
    'agonisse',
    'agonissent',
    'agonisses',
    'agonissez',
    'agonissiez',
    'agonissions',
    'agonissons',
    'agoniste',
    'agonistes',
    'agonisâmes',
    'agonisât',
    'agonisâtes',
    'agonisèrent',
    'agonisé',
    'agonit',
    'agonîmes',
    'agonît',
    'agonîtes',
    'agora',
    'agoraphobie',
    'agoraphobies',
    'agoras',
    'agouti',
    'agoutis',
    'agrafa',
    'agrafage',
    'agrafages',
    'agrafai',
    'agrafaient',
    'agrafais',
    'agrafait',
    'agrafant',
    'agrafas',
    'agrafasse',
    'agrafassent',
    'agrafasses',
    'agrafassiez',
    'agrafassions',
    'agrafe',
    'agrafent',
    'agrafer',
    'agrafera',
    'agraferai',
    'agraferaient',
    'agraferais',
    'agraferait',
    'agraferas',
    'agraferez',
    'agraferiez',
    'agraferions',
    'agraferons',
    'agraferont',
    'agrafes',
    'agrafeuse',
    'agrafeuses',
    'agrafez',
    'agrafiez',
    'agrafions',
    'agrafons',
    'agrafâmes',
    'agrafât',
    'agrafâtes',
    'agrafèrent',
    'agrafé',
    'agrafée',
    'agrafées',
    'agrafés',
    'agrainer',
    'agraire',
    'agraires',
    'agrammatical',
    'agrammatisme',
    'agrandi',
    'agrandie',
    'agrandies',
    'agrandir',
    'agrandira',
    'agrandirai',
    'agrandirais',
    'agrandirait',
    'agrandiras',
    'agrandirent',
    'agrandirez',
    'agrandiriez',
    'agrandirions',
    'agrandirons',
    'agrandiront',
    'agrandis',
    'agrandissais',
    'agrandissait',
    'agrandissant',
    'agrandisse',
    'agrandissent',
    'agrandisses',
    'agrandisseur',
    'agrandissez',
    'agrandissiez',
    'agrandissons',
    'agrandit',
    'agrandîmes',
    'agrandît',
    'agrandîtes',
    'agraphie',
    'agraphies',
    'agrarien',
    'agrarienne',
    'agrariennes',
    'agrariens',
    'agressa',
    'agressai',
    'agressaient',
    'agressais',
    'agressait',
    'agressant',
    'agressas',
    'agressasse',
    'agressassent',
    'agressasses',
    'agressassiez',
    'agresse',
    'agressent',
    'agresser',
    'agressera',
    'agresserai',
    'agresserais',
    'agresserait',
    'agresseras',
    'agresserez',
    'agresseriez',
    'agresserions',
    'agresserons',
    'agresseront',
    'agresses',
    'agresseur',
    'agresseurs',
    'agressez',
    'agressiez',
    'agressif',
    'agressifs',
    'agression',
    'agressions',
    'agressive',
    'agressives',
    'agressivité',
    'agressivités',
    'agressons',
    'agressâmes',
    'agressât',
    'agressâtes',
    'agressèrent',
    'agressé',
    'agressée',
    'agressées',
    'agressés',
    'agreste',
    'agrestes',
    'agricha',
    'agrichai',
    'agrichaient',
    'agrichais',
    'agrichait',
    'agrichant',
    'agrichas',
    'agrichasse',
    'agrichassent',
    'agrichasses',
    'agrichassiez',
    'agriche',
    'agrichent',
    'agricher',
    'agrichera',
    'agricherai',
    'agricherais',
    'agricherait',
    'agricheras',
    'agricherez',
    'agricheriez',
    'agricherions',
    'agricherons',
    'agricheront',
    'agriches',
    'agrichez',
    'agrichiez',
    'agrichions',
    'agrichons',
    'agrichâmes',
    'agrichât',
    'agrichâtes',
    'agrichèrent',
    'agriché',
    'agrichée',
    'agrichées',
    'agrichés',
    'agricole',
    'agricoles',
    'agriculteur',
    'agriculteurs',
    'agricultrice',
    'agriculture',
    'agricultures',
    'agriffassiez',
    'agriffer',
    'agrifferez',
    'agrifferiez',
    'agrifferions',
    'agrifferons',
    'agriffez',
    'agriffiez',
    'agriffions',
    'agriffons',
    'agriffâmes',
    'agriffâtes',
    'agriffé',
    'agriffée',
    'agriffées',
    'agriffés',
    'agrile',
    'agriles',
    'agrion',
    'agrions',
    'agriote',
    'agriotes',
    'agripaume',
    'agripaumes',
    'agrippa',
    'agrippai',
    'agrippaient',
    'agrippais',
    'agrippait',
    'agrippant',
    'agrippas',
    'agrippasse',
    'agrippassent',
    'agrippasses',
    'agrippassiez',
    'agrippe',
    'agrippent',
    'agripper',
    'agrippera',
    'agripperai',
    'agripperais',
    'agripperait',
    'agripperas',
    'agripperez',
    'agripperiez',
    'agripperions',
    'agripperons',
    'agripperont',
    'agrippes',
    'agrippez',
    'agrippiez',
    'agrippions',
    'agrippons',
    'agrippâmes',
    'agrippât',
    'agrippâtes',
    'agrippèrent',
    'agrippé',
    'agrippée',
    'agrippées',
    'agrippés',
    'agrochimie',
    'agrochimies',
    'agrologie',
    'agrologies',
    'agronome',
    'agronomes',
    'agronomie',
    'agronomies',
    'agronomique',
    'agronomiques',
    'agrostide',
    'agrostides',
    'agrostis',
    'agrotis',
    'agrume',
    'agrumes',
    'agrège',
    'agrègent',
    'agrèges',
    'agrès',
    'agréa',
    'agréable',
    'agréablement',
    'agréables',
    'agréai',
    'agréaient',
    'agréais',
    'agréait',
    'agréant',
    'agréas',
    'agréasse',
    'agréassent',
    'agréasses',
    'agréassiez',
    'agréassions',
    'agrée',
    'agréent',
    'agréer',
    'agréera',
    'agréerai',
    'agréeraient',
    'agréerais',
    'agréerait',
    'agréeras',
    'agréerez',
    'agréeriez',
    'agréerions',
    'agréerons',
    'agréeront',
    'agrées',
    'agréez',
    'agrégat',
    'agrégatif',
    'agrégatifs',
    'agrégation',
    'agrégations',
    'agrégative',
    'agrégatives',
    'agrégats',
    'agrégea',
    'agrégeai',
    'agrégeaient',
    'agrégeais',
    'agrégeait',
    'agrégeant',
    'agrégeas',
    'agrégeasse',
    'agrégeassent',
    'agrégeasses',
    'agrégeassiez',
    'agrégeons',
    'agréger',
    'agrégera',
    'agrégerai',
    'agrégeraient',
    'agrégerais',
    'agrégerait',
    'agrégeras',
    'agrégerez',
    'agrégeriez',
    'agrégerions',
    'agrégerons',
    'agrégeront',
    'agrégez',
    'agrégeâmes',
    'agrégeât',
    'agrégeâtes',
    'agrégiez',
    'agrégions',
    'agrégèrent',
    'agrégé',
    'agrégée',
    'agrégées',
    'agrégés',
    'agréiez',
    'agréions',
    'agrément',
    'agrémenta',
    'agrémentai',
    'agrémentais',
    'agrémentait',
    'agrémentant',
    'agrémentas',
    'agrémentasse',
    'agrémente',
    'agrémentent',
    'agrémenter',
    'agrémentera',
    'agrémenterai',
    'agrémenteras',
    'agrémenterez',
    'agrémentes',
    'agrémentez',
    'agrémentiez',
    'agrémentions',
    'agrémentons',
    'agréments',
    'agrémentâmes',
    'agrémentât',
    'agrémentâtes',
    'agrémenté',
    'agrémentée',
    'agrémentées',
    'agrémentés',
    'agréons',
    'agréâmes',
    'agréât',
    'agréâtes',
    'agréèrent',
    'agréé',
    'agréée',
    'agréées',
    'agréés',
    'aguardiente',
    'aguardientes',
    'aguerri',
    'aguerrie',
    'aguerries',
    'aguerrir',
    'aguerrira',
    'aguerrirai',
    'aguerrirais',
    'aguerrirait',
    'aguerriras',
    'aguerrirent',
    'aguerrirez',
    'aguerririez',
    'aguerririons',
    'aguerrirons',
    'aguerriront',
    'aguerris',
    'aguerrissais',
    'aguerrissait',
    'aguerrissant',
    'aguerrisse',
    'aguerrissent',
    'aguerrisses',
    'aguerrissez',
    'aguerrissiez',
    'aguerrissons',
    'aguerrit',
    'aguerrîmes',
    'aguerrît',
    'aguerrîtes',
    'aguets',
    'agueusie',
    'agueusies',
    'agui',
    'aguicha',
    'aguichai',
    'aguichaient',
    'aguichais',
    'aguichait',
    'aguichant',
    'aguichante',
    'aguichantes',
    'aguichants',
    'aguichas',
    'aguichasse',
    'aguichassent',
    'aguichasses',
    'aguichassiez',
    'aguiche',
    'aguichent',
    'aguicher',
    'aguichera',
    'aguicherai',
    'aguicherais',
    'aguicherait',
    'aguicheras',
    'aguicherez',
    'aguicheriez',
    'aguicherions',
    'aguicherons',
    'aguicheront',
    'aguiches',
    'aguicheur',
    'aguicheurs',
    'aguicheuse',
    'aguicheuses',
    'aguichez',
    'aguichiez',
    'aguichions',
    'aguichons',
    'aguichâmes',
    'aguichât',
    'aguichâtes',
    'aguichèrent',
    'aguiché',
    'aguichée',
    'aguichées',
    'aguichés',
    'aguis',
    'aguiser',
    'agénésie',
    'agénésies',
    'agérate',
    'agérates',
    'agîmes',
    'agît',
    'agîtes',
    'ahan',
    'ahana',
    'ahanai',
    'ahanaient',
    'ahanais',
    'ahanait',
    'ahanant',
    'ahanas',
    'ahanasse',
    'ahanassent',
    'ahanasses',
    'ahanassiez',
    'ahanassions',
    'ahane',
    'ahanent',
    'ahaner',
    'ahanera',
    'ahanerai',
    'ahaneraient',
    'ahanerais',
    'ahanerait',
    'ahaneras',
    'ahanerez',
    'ahaneriez',
    'ahanerions',
    'ahanerons',
    'ahaneront',
    'ahanes',
    'ahanez',
    'ahaniez',
    'ahanions',
    'ahanons',
    'ahans',
    'ahanâmes',
    'ahanât',
    'ahanâtes',
    'ahanèrent',
    'ahané',
    'aheurtassiez',
    'aheurter',
    'aheurterez',
    'aheurteriez',
    'aheurterions',
    'aheurterons',
    'aheurtez',
    'aheurtiez',
    'aheurtions',
    'aheurtons',
    'aheurtâmes',
    'aheurtâtes',
    'aheurté',
    'aheurtée',
    'aheurtées',
    'aheurtés',
    'ahuri',
    'ahurie',
    'ahuries',
    'ahurir',
    'ahurira',
    'ahurirai',
    'ahuriraient',
    'ahurirais',
    'ahurirait',
    'ahuriras',
    'ahurirent',
    'ahurirez',
    'ahuririez',
    'ahuririons',
    'ahurirons',
    'ahuriront',
    'ahuris',
    'ahurissaient',
    'ahurissais',
    'ahurissait',
    'ahurissant',
    'ahurissante',
    'ahurissantes',
    'ahurissants',
    'ahurisse',
    'ahurissement',
    'ahurissent',
    'ahurisses',
    'ahurissez',
    'ahurissiez',
    'ahurissions',
    'ahurissons',
    'ahurit',
    'ahurîmes',
    'ahurît',
    'ahurîtes',
    'aiche',
    'aiches',
    'aida',
    'aidai',
    'aidaient',
    'aidais',
    'aidait',
    'aidant',
    'aidas',
    'aidasse',
    'aidassent',
    'aidasses',
    'aidassiez',
    'aidassions',
    'aide',
    'aident',
    'aider',
    'aidera',
    'aiderai',
    'aideraient',
    'aiderais',
    'aiderait',
    'aideras',
    'aiderez',
    'aideriez',
    'aiderions',
    'aiderons',
    'aideront',
    'aides',
    'aidez',
    'aidiez',
    'aidions',
    'aidons',
    'aidâmes',
    'aidât',
    'aidâtes',
    'aidèrent',
    'aidé',
    'aidée',
    'aidées',
    'aidés',
    'aient',
    'aies',
    'aigle',
    'aiglefin',
    'aiglefins',
    'aigles',
    'aiglon',
    'aiglonne',
    'aiglonnes',
    'aiglons',
    'aigre',
    'aigrefin',
    'aigrefins',
    'aigrelet',
    'aigrelets',
    'aigrelette',
    'aigrelettes',
    'aigrement',
    'aigremoine',
    'aigremoines',
    'aigres',
    'aigrette',
    'aigrettes',
    'aigretté',
    'aigrettée',
    'aigrettées',
    'aigrettés',
    'aigreur',
    'aigreurs',
    'aigri',
    'aigrie',
    'aigries',
    'aigrir',
    'aigrira',
    'aigrirai',
    'aigriraient',
    'aigrirais',
    'aigrirait',
    'aigriras',
    'aigrirent',
    'aigrirez',
    'aigririez',
    'aigririons',
    'aigrirons',
    'aigriront',
    'aigris',
    'aigrissaient',
    'aigrissais',
    'aigrissait',
    'aigrissant',
    'aigrisse',
    'aigrissent',
    'aigrisses',
    'aigrissez',
    'aigrissiez',
    'aigrissions',
    'aigrissons',
    'aigrit',
    'aigrîmes',
    'aigrît',
    'aigrîtes',
    'aigu',
    'aiguilla',
    'aiguillage',
    'aiguillages',
    'aiguillai',
    'aiguillaient',
    'aiguillais',
    'aiguillait',
    'aiguillant',
    'aiguillas',
    'aiguillasse',
    'aiguillasses',
    'aiguillat',
    'aiguillats',
    'aiguille',
    'aiguillent',
    'aiguiller',
    'aiguillera',
    'aiguillerai',
    'aiguillerais',
    'aiguillerait',
    'aiguilleras',
    'aiguillerez',
    'aiguilleriez',
    'aiguillerons',
    'aiguilleront',
    'aiguilles',
    'aiguilleta',
    'aiguilletai',
    'aiguilletais',
    'aiguilletait',
    'aiguilletant',
    'aiguilletas',
    'aiguilleter',
    'aiguilletez',
    'aiguilletiez',
    'aiguilletons',
    'aiguillette',
    'aiguillettes',
    'aiguilletât',
    'aiguilleté',
    'aiguilletée',
    'aiguilletées',
    'aiguilletés',
    'aiguilleur',
    'aiguilleurs',
    'aiguilleuse',
    'aiguilleuses',
    'aiguillez',
    'aiguilliez',
    'aiguillions',
    'aiguillon',
    'aiguillonna',
    'aiguillonnai',
    'aiguillonnas',
    'aiguillonne',
    'aiguillonner',
    'aiguillonnes',
    'aiguillonnez',
    'aiguillonnât',
    'aiguillonné',
    'aiguillonnée',
    'aiguillonnés',
    'aiguillons',
    'aiguillot',
    'aiguillots',
    'aiguillâmes',
    'aiguillât',
    'aiguillâtes',
    'aiguillèrent',
    'aiguillé',
    'aiguillée',
    'aiguillées',
    'aiguillés',
    'aiguisa',
    'aiguisage',
    'aiguisages',
    'aiguisai',
    'aiguisaient',
    'aiguisais',
    'aiguisait',
    'aiguisant',
    'aiguisas',
    'aiguisasse',
    'aiguisassent',
    'aiguisasses',
    'aiguisassiez',
    'aiguise',
    'aiguisent',
    'aiguiser',
    'aiguisera',
    'aiguiserai',
    'aiguiserais',
    'aiguiserait',
    'aiguiseras',
    'aiguiserez',
    'aiguiseriez',
    'aiguiserions',
    'aiguiserons',
    'aiguiseront',
    'aiguises',
    'aiguiseur',
    'aiguiseurs',
    'aiguiseuse',
    'aiguiseuses',
    'aiguisez',
    'aiguisiez',
    'aiguisions',
    'aiguisoir',
    'aiguisoirs',
    'aiguisons',
    'aiguisâmes',
    'aiguisât',
    'aiguisâtes',
    'aiguisèrent',
    'aiguisé',
    'aiguisée',
    'aiguisées',
    'aiguisés',
    'aiguière',
    'aiguières',
    'aigus',
    'aiguë',
    'aiguës',
    'ailante',
    'ailantes',
    'aile',
    'aileron',
    'ailerons',
    'ailes',
    'ailette',
    'ailettes',
    'ailier',
    'ailiers',
    'ailla',
    'aillai',
    'aillaient',
    'aillais',
    'aillait',
    'aillant',
    'aillas',
    'aillasse',
    'aillassent',
    'aillasses',
    'aillassiez',
    'aillassions',
    'aille',
    'aillent',
    'ailler',
    'aillera',
    'aillerai',
    'ailleraient',
    'aillerais',
    'aillerait',
    'ailleras',
    'aillerez',
    'ailleriez',
    'aillerions',
    'aillerons',
    'ailleront',
    'ailles',
    'ailleurs',
    'aillez',
    'ailliez',
    'aillions',
    'ailloli',
    'aillolis',
    'aillons',
    'aillâmes',
    'aillât',
    'aillâtes',
    'aillèrent',
    'aillé',
    'aillée',
    'aillées',
    'aillés',
    'ails',
    'ailé',
    'ailée',
    'ailées',
    'ailés',
    'aima',
    'aimable',
    'aimablement',
    'aimables',
    'aimai',
    'aimaient',
    'aimais',
    'aimait',
    'aimant',
    'aimanta',
    'aimantai',
    'aimantaient',
    'aimantais',
    'aimantait',
    'aimantant',
    'aimantas',
    'aimantasse',
    'aimantassent',
    'aimantasses',
    'aimantassiez',
    'aimantation',
    'aimantations',
    'aimante',
    'aimantent',
    'aimanter',
    'aimantera',
    'aimanterai',
    'aimanterais',
    'aimanterait',
    'aimanteras',
    'aimanterez',
    'aimanteriez',
    'aimanterions',
    'aimanterons',
    'aimanteront',
    'aimantes',
    'aimantez',
    'aimantiez',
    'aimantions',
    'aimantons',
    'aimants',
    'aimantâmes',
    'aimantât',
    'aimantâtes',
    'aimantèrent',
    'aimanté',
    'aimantée',
    'aimantées',
    'aimantés',
    'aimas',
    'aimasse',
    'aimassent',
    'aimasses',
    'aimassiez',
    'aimassions',
    'aime',
    'aiment',
    'aimer',
    'aimera',
    'aimerai',
    'aimeraient',
    'aimerais',
    'aimerait',
    'aimeras',
    'aimerez',
    'aimeriez',
    'aimerions',
    'aimerons',
    'aimeront',
    'aimes',
    'aimez',
    'aimiez',
    'aimions',
    'aimons',
    'aimâmes',
    'aimât',
    'aimâtes',
    'aimèrent',
    'aimé',
    'aimée',
    'aimées',
    'aimés',
    'aine',
    'aines',
    'ainsi',
    'aira',
    'airai',
    'airaient',
    'airain',
    'airains',
    'airais',
    'airait',
    'airant',
    'airas',
    'airasse',
    'airassent',
    'airasses',
    'airassiez',
    'airassions',
    'airbus',
    'aire',
    'airedale',
    'airedales',
    'airelle',
    'airelles',
    'airent',
    'airer',
    'airera',
    'airerai',
    'aireraient',
    'airerais',
    'airerait',
    'aireras',
    'airerez',
    'aireriez',
    'airerions',
    'airerons',
    'aireront',
    'aires',
    'airez',
    'airiez',
    'airions',
    'airons',
    'airs',
    'airâmes',
    'airât',
    'airâtes',
    'airèrent',
    'airé',
    'aisance',
    'aisances',
    'aise',
    'aises',
    'aisselle',
    'aisselles',
    'aisy',
    'aisys',
    'aisé',
    'aisée',
    'aisées',
    'aisément',
    'aisés',
    'ajointa',
    'ajointai',
    'ajointaient',
    'ajointais',
    'ajointait',
    'ajointant',
    'ajointas',
    'ajointasse',
    'ajointassent',
    'ajointasses',
    'ajointassiez',
    'ajointe',
    'ajointent',
    'ajointer',
    'ajointera',
    'ajointerai',
    'ajointerais',
    'ajointerait',
    'ajointeras',
    'ajointerez',
    'ajointeriez',
    'ajointerions',
    'ajointerons',
    'ajointeront',
    'ajointes',
    'ajointez',
    'ajointiez',
    'ajointions',
    'ajointons',
    'ajointâmes',
    'ajointât',
    'ajointâtes',
    'ajointèrent',
    'ajointé',
    'ajointée',
    'ajointées',
    'ajointés',
    'ajonc',
    'ajoncs',
    'ajour',
    'ajoura',
    'ajourai',
    'ajouraient',
    'ajourais',
    'ajourait',
    'ajourant',
    'ajouras',
    'ajourasse',
    'ajourassent',
    'ajourasses',
    'ajourassiez',
    'ajourassions',
    'ajoure',
    'ajourent',
    'ajourer',
    'ajourera',
    'ajourerai',
    'ajoureraient',
    'ajourerais',
    'ajourerait',
    'ajoureras',
    'ajourerez',
    'ajoureriez',
    'ajourerions',
    'ajourerons',
    'ajoureront',
    'ajoures',
    'ajourez',
    'ajouriez',
    'ajourions',
    'ajourna',
    'ajournai',
    'ajournaient',
    'ajournais',
    'ajournait',
    'ajournant',
    'ajournas',
    'ajournasse',
    'ajournassent',
    'ajournasses',
    'ajournassiez',
    'ajourne',
    'ajournement',
    'ajournements',
    'ajournent',
    'ajourner',
    'ajournera',
    'ajournerai',
    'ajournerais',
    'ajournerait',
    'ajourneras',
    'ajournerez',
    'ajourneriez',
    'ajournerions',
    'ajournerons',
    'ajourneront',
    'ajournes',
    'ajournez',
    'ajourniez',
    'ajournions',
    'ajournons',
    'ajournâmes',
    'ajournât',
    'ajournâtes',
    'ajournèrent',
    'ajourné',
    'ajournée',
    'ajournées',
    'ajournés',
    'ajourons',
    'ajours',
    'ajourâmes',
    'ajourât',
    'ajourâtes',
    'ajourèrent',
    'ajouré',
    'ajourée',
    'ajourées',
    'ajourés',
    'ajout',
    'ajouta',
    'ajoutai',
    'ajoutaient',
    'ajoutais',
    'ajoutait',
    'ajoutant',
    'ajoutas',
    'ajoutasse',
    'ajoutassent',
    'ajoutasses',
    'ajoutassiez',
    'ajoutassions',
    'ajoute',
    'ajoutent',
    'ajouter',
    'ajoutera',
    'ajouterai',
    'ajouteraient',
    'ajouterais',
    'ajouterait',
    'ajouteras',
    'ajouterez',
    'ajouteriez',
    'ajouterions',
    'ajouterons',
    'ajouteront',
    'ajoutes',
    'ajoutez',
    'ajoutiez',
    'ajoutions',
    'ajoutons',
    'ajouts',
    'ajoutâmes',
    'ajoutât',
    'ajoutâtes',
    'ajoutèrent',
    'ajouté',
    'ajoutée',
    'ajoutées',
    'ajoutés',
    'ajusta',
    'ajustable',
    'ajustables',
    'ajustage',
    'ajustages',
    'ajustai',
    'ajustaient',
    'ajustais',
    'ajustait',
    'ajustant',
    'ajustas',
    'ajustasse',
    'ajustassent',
    'ajustasses',
    'ajustassiez',
    'ajustassions',
    'ajuste',
    'ajustement',
    'ajustements',
    'ajustent',
    'ajuster',
    'ajustera',
    'ajusterai',
    'ajusteraient',
    'ajusterais',
    'ajusterait',
    'ajusteras',
    'ajusterez',
    'ajusteriez',
    'ajusterions',
    'ajusterons',
    'ajusteront',
    'ajustes',
    'ajusteur',
    'ajusteurs',
    'ajusteuse',
    'ajusteuses',
    'ajustez',
    'ajustiez',
    'ajustions',
    'ajustons',
    'ajustâmes',
    'ajustât',
    'ajustâtes',
    'ajustèrent',
    'ajusté',
    'ajustée',
    'ajustées',
    'ajustés',
    'akinésie',
    'akinésies',
    'akkadien',
    'akkadienne',
    'akkadiennes',
    'akkadiens',
    'akvavit',
    'akvavits',
    'alabandine',
    'alabandines',
    'alabastrite',
    'alabastrites',
    'alaire',
    'alaires',
    'alaise',
    'alaises',
    'alambic',
    'alambics',
    'alambiqua',
    'alambiquai',
    'alambiquais',
    'alambiquait',
    'alambiquant',
    'alambiquas',
    'alambiquasse',
    'alambique',
    'alambiquent',
    'alambiquer',
    'alambiquera',
    'alambiquerai',
    'alambiqueras',
    'alambiquerez',
    'alambiques',
    'alambiquez',
    'alambiquiez',
    'alambiquions',
    'alambiquons',
    'alambiquâmes',
    'alambiquât',
    'alambiquâtes',
    'alambiqué',
    'alambiquée',
    'alambiquées',
    'alambiqués',
    'alandier',
    'alandiers',
    'alangui',
    'alanguie',
    'alanguies',
    'alanguir',
    'alanguira',
    'alanguirai',
    'alanguirais',
    'alanguirait',
    'alanguiras',
    'alanguirent',
    'alanguirez',
    'alanguiriez',
    'alanguirions',
    'alanguirons',
    'alanguiront',
    'alanguis',
    'alanguissais',
    'alanguissait',
    'alanguissant',
    'alanguisse',
    'alanguissent',
    'alanguisses',
    'alanguissez',
    'alanguissiez',
    'alanguissons',
    'alanguit',
    'alanguîmes',
    'alanguît',
    'alanguîtes',
    'alanine',
    'alanines',
    'alarma',
    'alarmai',
    'alarmaient',
    'alarmais',
    'alarmait',
    'alarmant',
    'alarmante',
    'alarmantes',
    'alarmants',
    'alarmas',
    'alarmasse',
    'alarmassent',
    'alarmasses',
    'alarmassiez',
    'alarmassions',
    'alarme',
    'alarment',
    'alarmer',
    'alarmera',
    'alarmerai',
    'alarmeraient',
    'alarmerais',
    'alarmerait',
    'alarmeras',
    'alarmerez',
    'alarmeriez',
    'alarmerions',
    'alarmerons',
    'alarmeront',
    'alarmes',
    'alarmez',
    'alarmiez',
    'alarmions',
    'alarmiste',
    'alarmistes',
    'alarmons',
    'alarmâmes',
    'alarmât',
    'alarmâtes',
    'alarmèrent',
    'alarmé',
    'alarmée',
    'alarmées',
    'alarmés',
    'alastrim',
    'alastrims',
    'alaterne',
    'alaternes',
    'albanais',
    'albanaise',
    'albanaises',
    'albatros',
    'alberge',
    'alberges',
    'albergier',
    'albergiers',
    'albigeois',
    'albigeoise',
    'albigeoises',
    'albinisme',
    'albinismes',
    'albinos',
    'albite',
    'albites',
    'albuginé',
    'albuginée',
    'albuginées',
    'albuginés',
    'albugo',
    'albugos',
    'album',
    'albumen',
    'albumens',
    'albumine',
    'albumines',
    'albumineuse',
    'albumineuses',
    'albumineux',
    'albuminoïde',
    'albuminoïdes',
    'albuminurie',
    'albuminuries',
    'albuminé',
    'albuminée',
    'albuminées',
    'albuminés',
    'albumose',
    'albumoses',
    'albums',
    'albâtre',
    'albâtres',
    'albédo',
    'albédos',
    'alcade',
    'alcades',
    'alcalescence',
    'alcalescent',
    'alcalescente',
    'alcalescents',
    'alcali',
    'alcalifiant',
    'alcalifiante',
    'alcalifiants',
    'alcalimètre',
    'alcalimètres',
    'alcalimétrie',
    'alcalin',
    'alcaline',
    'alcalines',
    'alcalinisa',
    'alcalinisai',
    'alcalinisais',
    'alcalinisait',
    'alcalinisant',
    'alcalinisas',
    'alcalinise',
    'alcalinisent',
    'alcaliniser',
    'alcalinisera',
    'alcalinises',
    'alcalinisez',
    'alcalinisiez',
    'alcalinisons',
    'alcalinisât',
    'alcalinisé',
    'alcalinisée',
    'alcalinisées',
    'alcalinisés',
    'alcalinité',
    'alcalinités',
    'alcalins',
    'alcalis',
    'alcalisa',
    'alcalisai',
    'alcalisaient',
    'alcalisais',
    'alcalisait',
    'alcalisant',
    'alcalisas',
    'alcalisasse',
    'alcalisasses',
    'alcalise',
    'alcalisent',
    'alcaliser',
    'alcalisera',
    'alcaliserai',
    'alcaliserais',
    'alcaliserait',
    'alcaliseras',
    'alcaliserez',
    'alcaliseriez',
    'alcaliserons',
    'alcaliseront',
    'alcalises',
    'alcalisez',
    'alcalisiez',
    'alcalisions',
    'alcalisons',
    'alcalisâmes',
    'alcalisât',
    'alcalisâtes',
    'alcalisèrent',
    'alcalisé',
    'alcalisée',
    'alcalisées',
    'alcalisés',
    'alcalose',
    'alcaloses',
    'alcaloïde',
    'alcaloïdes',
    'alcarazas',
    'alcaïque',
    'alcaïques',
    'alchimie',
    'alchimies',
    'alchimique',
    'alchimiques',
    'alchimiste',
    'alchimistes',
    'alchémille',
    'alchémilles',
    'alcool',
    'alcoolat',
    'alcoolats',
    'alcoolature',
    'alcoolatures',
    'alcoolique',
    'alcooliques',
    'alcoolisa',
    'alcoolisable',
    'alcoolisai',
    'alcoolisais',
    'alcoolisait',
    'alcoolisant',
    'alcoolisas',
    'alcoolisasse',
    'alcoolise',
    'alcoolisent',
    'alcooliser',
    'alcoolisera',
    'alcooliserai',
    'alcooliseras',
    'alcooliserez',
    'alcoolises',
    'alcoolisez',
    'alcoolisiez',
    'alcoolisions',
    'alcoolisme',
    'alcoolismes',
    'alcoolisons',
    'alcoolisâmes',
    'alcoolisât',
    'alcoolisâtes',
    'alcoolisé',
    'alcoolisée',
    'alcoolisées',
    'alcoolisés',
    'alcools',
    'alcoolé',
    'alcoolémie',
    'alcoolémies',
    'alcoolés',
    'alcoomètre',
    'alcoomètres',
    'alcootest',
    'alcootests',
    'alcoyle',
    'alcoyles',
    'alcyne',
    'alcynes',
    'alcyon',
    'alcyons',
    'alcène',
    'alcènes',
    'alcôve',
    'alcôves',
    'aldin',
    'aldine',
    'aldines',
    'aldins',
    'aldol',
    'aldols',
    'aldostérone',
    'aldostérones',
    'aldéhyde',
    'aldéhydes',
    'aldéhydique',
    'aldéhydiques',
    'alenti',
    'alentie',
    'alenties',
    'alentir',
    'alentira',
    'alentirai',
    'alentiraient',
    'alentirais',
    'alentirait',
    'alentiras',
    'alentirent',
    'alentirez',
    'alentiriez',
    'alentirions',
    'alentirons',
    'alentiront',
    'alentis',
    'alentissais',
    'alentissait',
    'alentissant',
    'alentisse',
    'alentissent',
    'alentisses',
    'alentissez',
    'alentissiez',
    'alentissions',
    'alentissons',
    'alentit',
    'alentour',
    'alentours',
    'alentîmes',
    'alentît',
    'alentîtes',
    'aleph',
    'alephs',
    'alerta',
    'alertai',
    'alertaient',
    'alertais',
    'alertait',
    'alertant',
    'alertas',
    'alertasse',
    'alertassent',
    'alertasses',
    'alertassiez',
    'alertassions',
    'alerte',
    'alertement',
    'alertent',
    'alerter',
    'alertera',
    'alerterai',
    'alerteraient',
    'alerterais',
    'alerterait',
    'alerteras',
    'alerterez',
    'alerteriez',
    'alerterions',
    'alerterons',
    'alerteront',
    'alertes',
    'alertez',
    'alertiez',
    'alertions',
    'alertons',
    'alertâmes',
    'alertât',
    'alertâtes',
    'alertèrent',
    'alerté',
    'alertée',
    'alertées',
    'alertés',
    'ales',
    'aleurite',
    'aleurites',
    'aleurode',
    'aleurodes',
    'aleurone',
    'aleurones',
    'alevin',
    'alevina',
    'alevinage',
    'alevinages',
    'alevinai',
    'alevinaient',
    'alevinais',
    'alevinait',
    'alevinant',
    'alevinas',
    'alevinasse',
    'alevinassent',
    'alevinasses',
    'alevinassiez',
    'alevine',
    'alevinent',
    'aleviner',
    'alevinera',
    'alevinerai',
    'alevinerais',
    'alevinerait',
    'alevineras',
    'alevinerez',
    'alevineriez',
    'alevinerions',
    'alevinerons',
    'alevineront',
    'alevines',
    'alevinez',
    'alevinier',
    'aleviniers',
    'aleviniez',
    'alevinions',
    'alevinière',
    'alevinières',
    'alevinons',
    'alevins',
    'alevinâmes',
    'alevinât',
    'alevinâtes',
    'alevinèrent',
    'aleviné',
    'alevinée',
    'alevinées',
    'alevinés',
    'alexandra',
    'alexandrin',
    'alexandrine',
    'alexandrines',
    'alexandrins',
    'alezan',
    'alezane',
    'alezanes',
    'alezans',
    'alfa',
    'alfas',
    'alfatier',
    'alfatiers',
    'alfatière',
    'alfatières',
    'alfénide',
    'alfénides',
    'algarade',
    'algarades',
    'algazelle',
    'algazelles',
    'algide',
    'algides',
    'algidité',
    'algidités',
    'algie',
    'algies',
    'alginate',
    'alginates',
    'algine',
    'algines',
    'algique',
    'algiques',
    'algol',
    'algols',
    'algonquin',
    'algonquins',
    'algorithme',
    'algorithmes',
    'algue',
    'algues',
    'algèbre',
    'algèbres',
    'algébrique',
    'algébriques',
    'algérien',
    'algérienne',
    'algériennes',
    'algériens',
    'alias',
    'alibi',
    'alibis',
    'alicant',
    'alicante',
    'alicantes',
    'alicants',
    'alidade',
    'alidades',
    'alifère',
    'alifères',
    'aligna',
    'alignai',
    'alignaient',
    'alignais',
    'alignait',
    'alignant',
    'alignas',
    'alignasse',
    'alignassent',
    'alignasses',
    'alignassiez',
    'alignassions',
    'aligne',
    'alignement',
    'alignements',
    'alignent',
    'aligner',
    'alignera',
    'alignerai',
    'aligneraient',
    'alignerais',
    'alignerait',
    'aligneras',
    'alignerez',
    'aligneriez',
    'alignerions',
    'alignerons',
    'aligneront',
    'alignes',
    'alignez',
    'aligniez',
    'alignions',
    'alignons',
    'alignâmes',
    'alignât',
    'alignâtes',
    'alignèrent',
    'aligné',
    'alignée',
    'alignées',
    'alignés',
    'aligoté',
    'aligotés',
    'aliment',
    'alimenta',
    'alimentai',
    'alimentaient',
    'alimentaire',
    'alimentaires',
    'alimentais',
    'alimentait',
    'alimentant',
    'alimentas',
    'alimentasse',
    'alimentasses',
    'alimentation',
    'alimente',
    'alimentent',
    'alimenter',
    'alimentera',
    'alimenterai',
    'alimenterais',
    'alimenterait',
    'alimenteras',
    'alimenterez',
    'alimenteriez',
    'alimenterons',
    'alimenteront',
    'alimentes',
    'alimentez',
    'alimentiez',
    'alimentions',
    'alimentons',
    'aliments',
    'alimentâmes',
    'alimentât',
    'alimentâtes',
    'alimentèrent',
    'alimenté',
    'alimentée',
    'alimentées',
    'alimentés',
    'alinéa',
    'alinéas',
    'alios',
    'aliphatique',
    'aliphatiques',
    'aliquante',
    'aliquantes',
    'aliquote',
    'aliquotes',
    'alise',
    'alises',
    'alisier',
    'alisiers',
    'alisme',
    'alismes',
    'alita',
    'alitai',
    'alitaient',
    'alitais',
    'alitait',
    'alitant',
    'alitas',
    'alitasse',
    'alitassent',
    'alitasses',
    'alitassiez',
    'alitassions',
    'alite',
    'alitement',
    'alitements',
    'alitent',
    'aliter',
    'alitera',
    'aliterai',
    'aliteraient',
    'aliterais',
    'aliterait',
    'aliteras',
    'aliterez',
    'aliteriez',
    'aliterions',
    'aliterons',
    'aliteront',
    'alites',
    'alitez',
    'alitiez',
    'alitions',
    'alitons',
    'alitâmes',
    'alitât',
    'alitâtes',
    'alitèrent',
    'alité',
    'alitée',
    'alitées',
    'alités',
    'alizarine',
    'alizarines',
    'alizé',
    'alizés',
    'aliène',
    'aliènent',
    'aliènes',
    'aliéna',
    'aliénabilité',
    'aliénable',
    'aliénables',
    'aliénai',
    'aliénaient',
    'aliénais',
    'aliénait',
    'aliénant',
    'aliénante',
    'aliénantes',
    'aliénants',
    'aliénas',
    'aliénasse',
    'aliénassent',
    'aliénasses',
    'aliénassiez',
    'aliénassions',
    'aliénataire',
    'aliénataires',
    'aliénateur',
    'aliénateurs',
    'aliénation',
    'aliénations',
    'aliénatrice',
    'aliénatrices',
    'aliéner',
    'aliénera',
    'aliénerai',
    'aliéneraient',
    'aliénerais',
    'aliénerait',
    'aliéneras',
    'aliénerez',
    'aliéneriez',
    'aliénerions',
    'aliénerons',
    'aliéneront',
    'aliénez',
    'aliéniez',
    'aliénions',
    'aliéniste',
    'aliénistes',
    'aliénons',
    'aliénâmes',
    'aliénât',
    'aliénâtes',
    'aliénèrent',
    'aliéné',
    'aliénée',
    'aliénées',
    'aliénés',
    'alkermès',
    'alkékenge',
    'alkékenges',
    'alla',
    'allai',
    'allaient',
    'allais',
    'allait',
    'allaita',
    'allaitai',
    'allaitaient',
    'allaitais',
    'allaitait',
    'allaitant',
    'allaitas',
    'allaitasse',
    'allaitassent',
    'allaitasses',
    'allaitassiez',
    'allaite',
    'allaitement',
    'allaitements',
    'allaitent',
    'allaiter',
    'allaitera',
    'allaiterai',
    'allaiterais',
    'allaiterait',
    'allaiteras',
    'allaiterez',
    'allaiteriez',
    'allaiterions',
    'allaiterons',
    'allaiteront',
    'allaites',
    'allaitez',
    'allaitiez',
    'allaitions',
    'allaitons',
    'allaitâmes',
    'allaitât',
    'allaitâtes',
    'allaitèrent',
    'allaité',
    'allaitée',
    'allaitées',
    'allaités',
    'allant',
    'allante',
    'allantes',
    'allantoïde',
    'allantoïdes',
    'allants',
    'allas',
    'allasse',
    'allassent',
    'allasses',
    'allassiez',
    'allassions',
    'allegretto',
    'allegrettos',
    'allegro',
    'allegros',
    'allemand',
    'allemande',
    'allemandes',
    'allemands',
    'aller',
    'allergie',
    'allergies',
    'allergique',
    'allergiques',
    'allergisant',
    'allergisante',
    'allergisants',
    'allergologie',
    'allergologue',
    'allergène',
    'allergènes',
    'allers',
    'allez',
    'allia',
    'alliacé',
    'alliacée',
    'alliacées',
    'alliacés',
    'alliage',
    'alliages',
    'alliai',
    'alliaient',
    'alliais',
    'alliait',
    'alliance',
    'alliances',
    'alliant',
    'allias',
    'alliasse',
    'alliassent',
    'alliasses',
    'alliassiez',
    'alliassions',
    'allie',
    'allient',
    'allier',
    'alliera',
    'allierai',
    'allieraient',
    'allierais',
    'allierait',
    'allieras',
    'allierez',
    'allieriez',
    'allierions',
    'allierons',
    'allieront',
    'allies',
    'alliez',
    'alligator',
    'alligators',
    'alliiez',
    'alliions',
    'allions',
    'allitération',
    'alliâmes',
    'alliât',
    'alliâtes',
    'allièrent',
    'allié',
    'alliée',
    'alliées',
    'alliés',
    'allocataire',
    'allocataires',
    'allocation',
    'allocations',
    'allocutaire',
    'allocutaires',
    'allocution',
    'allocutions',
    'allodial',
    'allodiale',
    'allodiales',
    'allodiaux',
    'allogamie',
    'allogamies',
    'allogène',
    'allogènes',
    'allonge',
    'allongea',
    'allongeai',
    'allongeaient',
    'allongeais',
    'allongeait',
    'allongeant',
    'allongeas',
    'allongeasse',
    'allongeasses',
    'allongement',
    'allongements',
    'allongent',
    'allongeons',
    'allonger',
    'allongera',
    'allongerai',
    'allongerais',
    'allongerait',
    'allongeras',
    'allongerez',
    'allongeriez',
    'allongerions',
    'allongerons',
    'allongeront',
    'allonges',
    'allongez',
    'allongeâmes',
    'allongeât',
    'allongeâtes',
    'allongiez',
    'allongions',
    'allongèrent',
    'allongé',
    'allongée',
    'allongées',
    'allongés',
    'allons',
    'allopathe',
    'allopathes',
    'allopathie',
    'allopathies',
    'allopathique',
    'allostérie',
    'allostérique',
    'allotropie',
    'allotropies',
    'allotropique',
    'alloua',
    'allouai',
    'allouaient',
    'allouais',
    'allouait',
    'allouant',
    'allouas',
    'allouasse',
    'allouassent',
    'allouasses',
    'allouassiez',
    'allouassions',
    'alloue',
    'allouent',
    'allouer',
    'allouera',
    'allouerai',
    'alloueraient',
    'allouerais',
    'allouerait',
    'alloueras',
    'allouerez',
    'alloueriez',
    'allouerions',
    'allouerons',
    'alloueront',
    'alloues',
    'allouez',
    'allouiez',
    'allouions',
    'allouons',
    'allouâmes',
    'allouât',
    'allouâtes',
    'allouèrent',
    'alloué',
    'allouée',
    'allouées',
    'alloués',
    'alluchon',
    'alluchons',
    'alluma',
    'allumage',
    'allumages',
    'allumai',
    'allumaient',
    'allumais',
    'allumait',
    'allumant',
    'allumas',
    'allumasse',
    'allumassent',
    'allumasses',
    'allumassiez',
    'allumassions',
    'allume',
    'allument',
    'allumer',
    'allumera',
    'allumerai',
    'allumeraient',
    'allumerais',
    'allumerait',
    'allumeras',
    'allumerez',
    'allumeriez',
    'allumerions',
    'allumerons',
    'allumeront',
    'allumes',
    'allumette',
    'allumettes',
    'allumettier',
    'allumettiers',
    'allumettière',
    'allumeur',
    'allumeurs',
    'allumeuse',
    'allumeuses',
    'allumez',
    'allumiez',
    'allumions',
    'allumons',
    'allumâmes',
    'allumât',
    'allumâtes',
    'allumèrent',
    'allumé',
    'allumée',
    'allumées',
    'allumés',
    'allure',
    'allures',
    'alluré',
    'allurée',
    'allurées',
    'allurés',
    'allusif',
    'allusifs',
    'allusion',
    'allusions',
    'allusive',
    'allusives',
    'alluvial',
    'alluviale',
    'alluviales',
    'alluviaux',
    'alluvion',
    'alluvionna',
    'alluvionnai',
    'alluvionnais',
    'alluvionnait',
    'alluvionnant',
    'alluvionnas',
    'alluvionne',
    'alluvionnent',
    'alluvionner',
    'alluvionnera',
    'alluvionnes',
    'alluvionnez',
    'alluvionniez',
    'alluvionnons',
    'alluvionnât',
    'alluvionné',
    'alluvions',
    'allyle',
    'allyles',
    'allylique',
    'allyliques',
    'allâmes',
    'allât',
    'allâtes',
    'allèche',
    'allèchement',
    'allèchements',
    'allèchent',
    'allèches',
    'allège',
    'allègement',
    'allègements',
    'allègent',
    'allèges',
    'allègre',
    'allègrement',
    'allègres',
    'allègue',
    'allèguent',
    'allègues',
    'allène',
    'allènes',
    'allèrent',
    'allé',
    'allécha',
    'alléchai',
    'alléchaient',
    'alléchais',
    'alléchait',
    'alléchant',
    'alléchante',
    'alléchantes',
    'alléchants',
    'alléchas',
    'alléchasse',
    'alléchassent',
    'alléchasses',
    'alléchassiez',
    'allécher',
    'alléchera',
    'allécherai',
    'allécherais',
    'allécherait',
    'allécheras',
    'allécherez',
    'allécheriez',
    'allécherions',
    'allécherons',
    'allécheront',
    'alléchez',
    'alléchiez',
    'alléchions',
    'alléchons',
    'alléchâmes',
    'alléchât',
    'alléchâtes',
    'alléchèrent',
    'alléché',
    'alléchée',
    'alléchées',
    'alléchés',
    'allée',
    'allées',
    'allégation',
    'allégations',
    'allégea',
    'allégeai',
    'allégeaient',
    'allégeais',
    'allégeait',
    'allégeance',
    'allégeances',
    'allégeant',
    'allégeas',
    'allégeasse',
    'allégeassent',
    'allégeasses',
    'allégeassiez',
    'allégement',
    'allégements',
    'allégeons',
    'alléger',
    'allégera',
    'allégerai',
    'allégeraient',
    'allégerais',
    'allégerait',
    'allégeras',
    'allégerez',
    'allégeriez',
    'allégerions',
    'allégerons',
    'allégeront',
    'allégez',
    'allégeâmes',
    'allégeât',
    'allégeâtes',
    'allégi',
    'allégie',
    'allégies',
    'allégiez',
    'allégions',
    'allégir',
    'allégira',
    'allégirai',
    'allégiraient',
    'allégirais',
    'allégirait',
    'allégiras',
    'allégirent',
    'allégirez',
    'allégiriez',
    'allégirions',
    'allégirons',
    'allégiront',
    'allégis',
    'allégissais',
    'allégissait',
    'allégissant',
    'allégisse',
    'allégissent',
    'allégisses',
    'allégissez',
    'allégissiez',
    'allégissions',
    'allégissons',
    'allégit',
    'allégorie',
    'allégories',
    'allégorique',
    'allégoriques',
    'allégorisa',
    'allégorisai',
    'allégorisais',
    'allégorisait',
    'allégorisant',
    'allégorisas',
    'allégorise',
    'allégorisent',
    'allégoriser',
    'allégorisera',
    'allégorises',
    'allégorisez',
    'allégorisiez',
    'allégorisons',
    'allégorisât',
    'allégorisé',
    'allégorisée',
    'allégorisées',
    'allégorisés',
    'allégrement',
    'allégresse',
    'allégresses',
    'allégua',
    'alléguai',
    'alléguaient',
    'alléguais',
    'alléguait',
    'alléguant',
    'alléguas',
    'alléguasse',
    'alléguassent',
    'alléguasses',
    'alléguassiez',
    'alléguer',
    'alléguera',
    'alléguerai',
    'alléguerais',
    'alléguerait',
    'allégueras',
    'alléguerez',
    'allégueriez',
    'alléguerions',
    'alléguerons',
    'allégueront',
    'alléguez',
    'alléguiez',
    'alléguions',
    'alléguons',
    'alléguâmes',
    'alléguât',
    'alléguâtes',
    'alléguèrent',
    'allégué',
    'alléguée',
    'alléguées',
    'allégués',
    'allégèrent',
    'allégé',
    'allégée',
    'allégées',
    'allégés',
    'allégîmes',
    'allégît',
    'allégîtes',
    'allélomorphe',
    'alléluia',
    'allés',
    'allô',
    'almanach',
    'almanachs',
    'almandin',
    'almandins',
    'almasilium',
    'almasiliums',
    'almée',
    'almées',
    'alogie',
    'alogies',
    'alogique',
    'alogiques',
    'aloi',
    'alopécie',
    'alopécies',
    'alors',
    'alose',
    'aloses',
    'alouate',
    'alouates',
    'alouette',
    'alouettes',
    'alourdi',
    'alourdie',
    'alourdies',
    'alourdir',
    'alourdira',
    'alourdirai',
    'alourdirais',
    'alourdirait',
    'alourdiras',
    'alourdirent',
    'alourdirez',
    'alourdiriez',
    'alourdirions',
    'alourdirons',
    'alourdiront',
    'alourdis',
    'alourdissais',
    'alourdissait',
    'alourdissant',
    'alourdisse',
    'alourdissent',
    'alourdisses',
    'alourdissez',
    'alourdissiez',
    'alourdissons',
    'alourdit',
    'alourdîmes',
    'alourdît',
    'alourdîtes',
    'aloyau',
    'aloyaux',
    'aloès',
    'alpaga',
    'alpagas',
    'alpage',
    'alpages',
    'alpagua',
    'alpaguai',
    'alpaguaient',
    'alpaguais',
    'alpaguait',
    'alpaguant',
    'alpaguas',
    'alpaguasse',
    'alpaguassent',
    'alpaguasses',
    'alpaguassiez',
    'alpague',
    'alpaguent',
    'alpaguer',
    'alpaguera',
    'alpaguerai',
    'alpaguerais',
    'alpaguerait',
    'alpagueras',
    'alpaguerez',
    'alpagueriez',
    'alpaguerions',
    'alpaguerons',
    'alpagueront',
    'alpagues',
    'alpaguez',
    'alpaguiez',
    'alpaguions',
    'alpaguons',
    'alpaguâmes',
    'alpaguât',
    'alpaguâtes',
    'alpaguèrent',
    'alpaguée',
    'alpax',
    'alpe',
    'alpes',
    'alpestre',
    'alpestres',
    'alpha',
    'alphabet',
    'alphabets',
    'alphabétique',
    'alphabétisa',
    'alphabétisai',
    'alphabétisas',
    'alphabétise',
    'alphabétiser',
    'alphabétises',
    'alphabétisez',
    'alphabétisme',
    'alphabétisât',
    'alphabétisé',
    'alphabétisée',
    'alphabétisés',
    'alpin',
    'alpine',
    'alpines',
    'alpinisme',
    'alpinismes',
    'alpiniste',
    'alpinistes',
    'alpins',
    'alpiste',
    'alpistes',
    'alsacien',
    'alsacienne',
    'alsaciennes',
    'alsaciens',
    'alter',
    'altercation',
    'altercations',
    'alterna',
    'alternai',
    'alternaient',
    'alternais',
    'alternait',
    'alternance',
    'alternances',
    'alternant',
    'alternante',
    'alternantes',
    'alternants',
    'alternas',
    'alternasse',
    'alternassent',
    'alternasses',
    'alternassiez',
    'alternat',
    'alternateur',
    'alternateurs',
    'alternatif',
    'alternatifs',
    'alternative',
    'alternatives',
    'alternats',
    'alterne',
    'alternent',
    'alterner',
    'alternera',
    'alternerai',
    'alternerais',
    'alternerait',
    'alterneras',
    'alternerez',
    'alterneriez',
    'alternerions',
    'alternerons',
    'alterneront',
    'alternes',
    'alternez',
    'alterniez',
    'alternions',
    'alternons',
    'alternâmes',
    'alternât',
    'alternâtes',
    'alternèrent',
    'alterné',
    'alternée',
    'alternées',
    'alternés',
    'altesse',
    'altesses',
    'altier',
    'altiers',
    'altimètre',
    'altimètres',
    'altimétrie',
    'altimétries',
    'altiport',
    'altiports',
    'altise',
    'altises',
    'altiste',
    'altistes',
    'altitude',
    'altitudes',
    'altière',
    'altières',
    'alto',
    'altocumulus',
    'altos',
    'altruisme',
    'altruismes',
    'altruiste',
    'altruistes',
    'altuglas',
    'altère',
    'altèrent',
    'altères',
    'altéra',
    'altérabilité',
    'altérable',
    'altérables',
    'altéragène',
    'altéragènes',
    'altérai',
    'altéraient',
    'altérais',
    'altérait',
    'altérant',
    'altérante',
    'altérantes',
    'altérants',
    'altéras',
    'altérasse',
    'altérassent',
    'altérasses',
    'altérassiez',
    'altérassions',
    'altération',
    'altérations',
    'altérer',
    'altérera',
    'altérerai',
    'altéreraient',
    'altérerais',
    'altérerait',
    'altéreras',
    'altérerez',
    'altéreriez',
    'altérerions',
    'altérerons',
    'altéreront',
    'altérez',
    'altériez',
    'altérions',
    'altérité',
    'altérités',
    'altérons',
    'altérâmes',
    'altérât',
    'altérâtes',
    'altérèrent',
    'altéré',
    'altérée',
    'altérées',
    'altérés',
    'alucite',
    'alucites',
    'alumina',
    'aluminage',
    'aluminages',
    'aluminai',
    'aluminaient',
    'aluminais',
    'aluminait',
    'aluminant',
    'aluminas',
    'aluminasse',
    'aluminassent',
    'aluminasses',
    'aluminassiez',
    'aluminate',
    'aluminates',
    'alumine',
    'aluminent',
    'aluminer',
    'aluminera',
    'aluminerai',
    'aluminerais',
    'aluminerait',
    'alumineras',
    'aluminerez',
    'alumineriez',
    'aluminerions',
    'aluminerons',
    'alumineront',
    'alumines',
    'alumineuse',
    'alumineuses',
    'alumineux',
    'aluminez',
    'aluminiage',
    'aluminiages',
    'aluminiez',
    'aluminions',
    'aluminium',
    'aluminiums',
    'aluminons',
    'aluminâmes',
    'aluminât',
    'aluminâtes',
    'aluminèrent',
    'aluminé',
    'aluminée',
    'aluminées',
    'aluminés',
    'alun',
    'aluna',
    'alunai',
    'alunaient',
    'alunais',
    'alunait',
    'alunant',
    'alunas',
    'alunasse',
    'alunassent',
    'alunasses',
    'alunassiez',
    'alunassions',
    'alune',
    'alunent',
    'aluner',
    'alunera',
    'alunerai',
    'aluneraient',
    'alunerais',
    'alunerait',
    'aluneras',
    'alunerez',
    'aluneriez',
    'alunerions',
    'alunerons',
    'aluneront',
    'alunes',
    'alunez',
    'aluni',
    'aluniez',
    'alunions',
    'alunir',
    'alunira',
    'alunirai',
    'aluniraient',
    'alunirais',
    'alunirait',
    'aluniras',
    'alunirent',
    'alunirez',
    'aluniriez',
    'alunirions',
    'alunirons',
    'aluniront',
    'alunis',
    'alunissage',
    'alunissages',
    'alunissaient',
    'alunissais',
    'alunissait',
    'alunissant',
    'alunisse',
    'alunissent',
    'alunisses',
    'alunissez',
    'alunissiez',
    'alunissions',
    'alunissons',
    'alunit',
    'alunite',
    'alunites',
    'alunons',
    'aluns',
    'alunâmes',
    'alunât',
    'alunâtes',
    'alunèrent',
    'aluné',
    'alunée',
    'alunées',
    'alunés',
    'alunîmes',
    'alunît',
    'alunîtes',
    'alvin',
    'alvine',
    'alvines',
    'alvins',
    'alvéolaire',
    'alvéolaires',
    'alvéole',
    'alvéoles',
    'alvéolite',
    'alvéolites',
    'alvéolé',
    'alvéolée',
    'alvéolées',
    'alvéolés',
    'alyte',
    'alytes',
    'alèse',
    'alèsent',
    'alèses',
    'aléa',
    'aléas',
    'aléatoire',
    'aléatoires',
    'alémanique',
    'alémaniques',
    'alépine',
    'alépines',
    'alérion',
    'alérions',
    'alésa',
    'alésage',
    'alésages',
    'alésai',
    'alésaient',
    'alésais',
    'alésait',
    'alésant',
    'alésas',
    'alésasse',
    'alésassent',
    'alésasses',
    'alésassiez',
    'alésassions',
    'aléser',
    'alésera',
    'aléserai',
    'aléseraient',
    'aléserais',
    'aléserait',
    'aléseras',
    'aléserez',
    'aléseriez',
    'aléserions',
    'aléserons',
    'aléseront',
    'aléseur',
    'aléseurs',
    'aléseuse',
    'aléseuses',
    'alésez',
    'alésiez',
    'alésions',
    'alésoir',
    'alésoirs',
    'alésons',
    'alésâmes',
    'alésât',
    'alésâtes',
    'alésèrent',
    'alésé',
    'alésée',
    'alésées',
    'alésés',
    'alêne',
    'alênes',
    'amabilité',
    'amabilités',
    'amadou',
    'amadoua',
    'amadouai',
    'amadouaient',
    'amadouais',
    'amadouait',
    'amadouant',
    'amadouas',
    'amadouasse',
    'amadouassent',
    'amadouasses',
    'amadouassiez',
    'amadoue',
    'amadouent',
    'amadouer',
    'amadouera',
    'amadouerai',
    'amadouerais',
    'amadouerait',
    'amadoueras',
    'amadouerez',
    'amadoueriez',
    'amadouerions',
    'amadouerons',
    'amadoueront',
    'amadoues',
    'amadouez',
    'amadouiez',
    'amadouions',
    'amadouons',
    'amadous',
    'amadouvier',
    'amadouviers',
    'amadouâmes',
    'amadouât',
    'amadouâtes',
    'amadouèrent',
    'amadoué',
    'amadouée',
    'amadouées',
    'amadoués',
    'amaigri',
    'amaigrie',
    'amaigries',
    'amaigrir',
    'amaigrira',
    'amaigrirai',
    'amaigrirais',
    'amaigrirait',
    'amaigriras',
    'amaigrirent',
    'amaigrirez',
    'amaigririez',
    'amaigririons',
    'amaigrirons',
    'amaigriront',
    'amaigris',
    'amaigrissais',
    'amaigrissait',
    'amaigrissant',
    'amaigrisse',
    'amaigrissent',
    'amaigrisses',
    'amaigrissez',
    'amaigrissiez',
    'amaigrissons',
    'amaigrit',
    'amaigrîmes',
    'amaigrît',
    'amaigrîtes',
    'amalgama',
    'amalgamai',
    'amalgamaient',
    'amalgamais',
    'amalgamait',
    'amalgamant',
    'amalgamas',
    'amalgamasse',
    'amalgamasses',
    'amalgamation',
    'amalgame',
    'amalgament',
    'amalgamer',
    'amalgamera',
    'amalgamerai',
    'amalgamerais',
    'amalgamerait',
    'amalgameras',
    'amalgamerez',
    'amalgameriez',
    'amalgamerons',
    'amalgameront',
    'amalgames',
    'amalgamez',
    'amalgamiez',
    'amalgamions',
    'amalgamons',
    'amalgamâmes',
    'amalgamât',
    'amalgamâtes',
    'amalgamèrent',
    'amalgamé',
    'amalgamée',
    'amalgamées',
    'amalgamés',
    'amandaie',
    'amandaies',
    'amande',
    'amandes',
    'amandier',
    'amandiers',
    'amanite',
    'amanites',
    'amant',
    'amante',
    'amantes',
    'amants',
    'amarante',
    'amarantes',
    'amareyeur',
    'amareyeurs',
    'amareyeuse',
    'amareyeuses',
    'amaril',
    'amarile',
    'amariles',
    'amarils',
    'amarina',
    'amarinai',
    'amarinaient',
    'amarinais',
    'amarinait',
    'amarinant',
    'amarinas',
    'amarinasse',
    'amarinassent',
    'amarinasses',
    'amarinassiez',
    'amarine',
    'amarinent',
    'amariner',
    'amarinera',
    'amarinerai',
    'amarinerais',
    'amarinerait',
    'amarineras',
    'amarinerez',
    'amarineriez',
    'amarinerions',
    'amarinerons',
    'amarineront',
    'amarines',
    'amarinez',
    'amariniez',
    'amarinions',
    'amarinons',
    'amarinâmes',
    'amarinât',
    'amarinâtes',
    'amarinèrent',
    'amariné',
    'amarinée',
    'amarinées',
    'amarinés',
    'amarra',
    'amarrage',
    'amarrages',
    'amarrai',
    'amarraient',
    'amarrais',
    'amarrait',
    'amarrant',
    'amarras',
    'amarrasse',
    'amarrassent',
    'amarrasses',
    'amarrassiez',
    'amarrassions',
    'amarre',
    'amarrent',
    'amarrer',
    'amarrera',
    'amarrerai',
    'amarreraient',
    'amarrerais',
    'amarrerait',
    'amarreras',
    'amarrerez',
    'amarreriez',
    'amarrerions',
    'amarrerons',
    'amarreront',
    'amarres',
    'amarrez',
    'amarriez',
    'amarrions',
    'amarrons',
    'amarrâmes',
    'amarrât',
    'amarrâtes',
    'amarrèrent',
    'amarré',
    'amarrée',
    'amarrées',
    'amarrés',
    'amaryllis',
    'amas',
    'amassa',
    'amassai',
    'amassaient',
    'amassais',
    'amassait',
    'amassant',
    'amassas',
    'amassasse',
    'amassassent',
    'amassasses',
    'amassassiez',
    'amassassions',
    'amasse',
    'amassent',
    'amasser',
    'amassera',
    'amasserai',
    'amasseraient',
    'amasserais',
    'amasserait',
    'amasseras',
    'amasserez',
    'amasseriez',
    'amasserions',
    'amasserons',
    'amasseront',
    'amasses',
    'amassez',
    'amassiez',
    'amassions',
    'amassons',
    'amassâmes',
    'amassât',
    'amassâtes',
    'amassèrent',
    'amassé',
    'amassée',
    'amassées',
    'amassés',
    'amateur',
    'amateurisme',
    'amateurismes',
    'amateurs',
    'amati',
    'amatie',
    'amaties',
    'amatir',
    'amatira',
    'amatirai',
    'amatiraient',
    'amatirais',
    'amatirait',
    'amatiras',
    'amatirent',
    'amatirez',
    'amatiriez',
    'amatirions',
    'amatirons',
    'amatiront',
    'amatis',
    'amatissaient',
    'amatissais',
    'amatissait',
    'amatissant',
    'amatisse',
    'amatissent',
    'amatisses',
    'amatissez',
    'amatissiez',
    'amatissions',
    'amatissons',
    'amatit',
    'amatîmes',
    'amatît',
    'amatîtes',
    'amaurose',
    'amauroses',
    'amazone',
    'amazones',
    'ambages',
    'ambassade',
    'ambassades',
    'ambassadeur',
    'ambassadeurs',
    'ambassadrice',
    'ambiance',
    'ambiances',
    'ambiant',
    'ambiante',
    'ambiantes',
    'ambiants',
    'ambidextre',
    'ambidextres',
    'ambigu',
    'ambigument',
    'ambigus',
    'ambiguë',
    'ambiguës',
    'ambiguïté',
    'ambiguïtés',
    'ambisexué',
    'ambisexuée',
    'ambisexuées',
    'ambisexués',
    'ambitieuse',
    'ambitieuses',
    'ambitieux',
    'ambition',
    'ambitionna',
    'ambitionnai',
    'ambitionnais',
    'ambitionnait',
    'ambitionnant',
    'ambitionnas',
    'ambitionne',
    'ambitionnent',
    'ambitionner',
    'ambitionnera',
    'ambitionnes',
    'ambitionnez',
    'ambitionniez',
    'ambitionnons',
    'ambitionnât',
    'ambitionné',
    'ambitionnée',
    'ambitionnées',
    'ambitionnés',
    'ambitions',
    'ambivalence',
    'ambivalences',
    'ambivalent',
    'ambivalente',
    'ambivalentes',
    'ambivalents',
    'ambla',
    'amblai',
    'amblaient',
    'amblais',
    'amblait',
    'amblant',
    'amblas',
    'amblasse',
    'amblassent',
    'amblasses',
    'amblassiez',
    'amblassions',
    'amble',
    'amblent',
    'ambler',
    'amblera',
    'amblerai',
    'ambleraient',
    'amblerais',
    'amblerait',
    'ambleras',
    'amblerez',
    'ambleriez',
    'amblerions',
    'amblerons',
    'ambleront',
    'ambles',
    'ambleur',
    'ambleurs',
    'ambleuse',
    'ambleuses',
    'amblez',
    'ambliez',
    'amblions',
    'amblons',
    'amblyope',
    'amblyopes',
    'amblyopie',
    'amblyopies',
    'amblyoscope',
    'amblyoscopes',
    'amblystome',
    'amblystomes',
    'amblâmes',
    'amblât',
    'amblâtes',
    'amblèrent',
    'amblé',
    'ambon',
    'ambons',
    'ambra',
    'ambrai',
    'ambraient',
    'ambrais',
    'ambrait',
    'ambrant',
    'ambras',
    'ambrasse',
    'ambrassent',
    'ambrasses',
    'ambrassiez',
    'ambrassions',
    'ambre',
    'ambrent',
    'ambrer',
    'ambrera',
    'ambrerai',
    'ambreraient',
    'ambrerais',
    'ambrerait',
    'ambreras',
    'ambrerez',
    'ambreriez',
    'ambrerions',
    'ambrerons',
    'ambreront',
    'ambres',
    'ambrez',
    'ambriez',
    'ambrions',
    'ambroisie',
    'ambroisies',
    'ambrons',
    'ambrosien',
    'ambrosienne',
    'ambrosiennes',
    'ambrosiens',
    'ambrâmes',
    'ambrât',
    'ambrâtes',
    'ambrèrent',
    'ambré',
    'ambrée',
    'ambrées',
    'ambrés',
    'ambulacre',
    'ambulacres',
    'ambulance',
    'ambulances',
    'ambulancier',
    'ambulanciers',
    'ambulancière',
    'ambulant',
    'ambulante',
    'ambulantes',
    'ambulants',
    'ambulatoire',
    'ambulatoires',
    'amen',
    'amena',
    'amenai',
    'amenaient',
    'amenais',
    'amenait',
    'amenant',
    'amenas',
    'amenasse',
    'amenassent',
    'amenasses',
    'amenassiez',
    'amenassions',
    'amenda',
    'amendable',
    'amendables',
    'amendai',
    'amendaient',
    'amendais',
    'amendait',
    'amendant',
    'amendas',
    'amendasse',
    'amendassent',
    'amendasses',
    'amendassiez',
    'amendassions',
    'amende',
    'amendement',
    'amendements',
    'amendent',
    'amender',
    'amendera',
    'amenderai',
    'amenderaient',
    'amenderais',
    'amenderait',
    'amenderas',
    'amenderez',
    'amenderiez',
    'amenderions',
    'amenderons',
    'amenderont',
    'amendes',
    'amendez',
    'amendiez',
    'amendions',
    'amendons',
    'amendâmes',
    'amendât',
    'amendâtes',
    'amendèrent',
    'amendé',
    'amendée',
    'amendées',
    'amendés',
    'amener',
    'amenez',
    'ameniez',
    'amenions',
    'amenons',
    'amentifère',
    'amentifères',
    'amenuisa',
    'amenuisai',
    'amenuisaient',
    'amenuisais',
    'amenuisait',
    'amenuisant',
    'amenuisas',
    'amenuisasse',
    'amenuisasses',
    'amenuise',
    'amenuisement',
    'amenuisent',
    'amenuiser',
    'amenuisera',
    'amenuiserai',
    'amenuiserais',
    'amenuiserait',
    'amenuiseras',
    'amenuiserez',
    'amenuiseriez',
    'amenuiserons',
    'amenuiseront',
    'amenuises',
    'amenuisez',
    'amenuisiez',
    'amenuisions',
    'amenuisons',
    'amenuisâmes',
    'amenuisât',
    'amenuisâtes',
    'amenuisèrent',
    'amenuisé',
    'amenuisée',
    'amenuisées',
    'amenuisés',
    'amenâmes',
    'amenât',
    'amenâtes',
    'amenèrent',
    'amené',
    'amenée',
    'amenées',
    'amenés',
    'amer',
    'amerloque',
    'amerloques',
    'amerri',
    'amerrir',
    'amerrira',
    'amerrirai',
    'amerriraient',
    'amerrirais',
    'amerrirait',
    'amerriras',
    'amerrirent',
    'amerrirez',
    'amerririez',
    'amerririons',
    'amerrirons',
    'amerriront',
    'amerris',
    'amerrissage',
    'amerrissages',
    'amerrissais',
    'amerrissait',
    'amerrissant',
    'amerrisse',
    'amerrissent',
    'amerrisses',
    'amerrissez',
    'amerrissiez',
    'amerrissions',
    'amerrissons',
    'amerrit',
    'amerrîmes',
    'amerrît',
    'amerrîtes',
    'amers',
    'amertume',
    'amertumes',
    'ameublement',
    'ameublements',
    'ameubli',
    'ameublie',
    'ameublies',
    'ameublir',
    'ameublira',
    'ameublirai',
    'ameublirais',
    'ameublirait',
    'ameubliras',
    'ameublirent',
    'ameublirez',
    'ameubliriez',
    'ameublirions',
    'ameublirons',
    'ameubliront',
    'ameublis',
    'ameublissais',
    'ameublissait',
    'ameublissant',
    'ameublisse',
    'ameublissent',
    'ameublisses',
    'ameublissez',
    'ameublissiez',
    'ameublissons',
    'ameublit',
    'ameublîmes',
    'ameublît',
    'ameublîtes',
    'ameuta',
    'ameutai',
    'ameutaient',
    'ameutais',
    'ameutait',
    'ameutant',
    'ameutas',
    'ameutasse',
    'ameutassent',
    'ameutasses',
    'ameutassiez',
    'ameutassions',
    'ameute',
    'ameutent',
    'ameuter',
    'ameutera',
    'ameuterai',
    'ameuteraient',
    'ameuterais',
    'ameuterait',
    'ameuteras',
    'ameuterez',
    'ameuteriez',
    'ameuterions',
    'ameuterons',
    'ameuteront',
    'ameutes',
    'ameutez',
    'ameutiez',
    'ameutions',
    'ameutons',
    'ameutâmes',
    'ameutât',
    'ameutâtes',
    'ameutèrent',
    'ameuté',
    'ameutée',
    'ameutées',
    'ameutés',
    'amharique',
    'amhariques',
    'amiable',
    'amiables',
    'amiante',
    'amiantes',
    'amibe',
    'amibes',
    'amibiase',
    'amibiases',
    'amibien',
    'amibienne',
    'amibiennes',
    'amibiens',
    'amiboïde',
    'amiboïdes',
    'amical',
    'amicale',
    'amicalement',
    'amicales',
    'amicaux',
    'amict',
    'amicts',
    'amide',
    'amides',
    'amidon',
    'amidonna',
    'amidonnage',
    'amidonnages',
    'amidonnai',
    'amidonnaient',
    'amidonnais',
    'amidonnait',
    'amidonnant',
    'amidonnas',
    'amidonnasse',
    'amidonnasses',
    'amidonne',
    'amidonnent',
    'amidonner',
    'amidonnera',
    'amidonnerai',
    'amidonnerais',
    'amidonnerait',
    'amidonneras',
    'amidonnerez',
    'amidonnerie',
    'amidonneries',
    'amidonneriez',
    'amidonnerons',
    'amidonneront',
    'amidonnes',
    'amidonnez',
    'amidonnier',
    'amidonniers',
    'amidonniez',
    'amidonnions',
    'amidonnière',
    'amidonnières',
    'amidonnons',
    'amidonnâmes',
    'amidonnât',
    'amidonnâtes',
    'amidonnèrent',
    'amidonné',
    'amidonnée',
    'amidonnées',
    'amidonnés',
    'amidons',
    'amidopyrine',
    'amidopyrines',
    'amie',
    'amies',
    'aminci',
    'amincie',
    'amincies',
    'amincir',
    'amincira',
    'amincirai',
    'aminciraient',
    'amincirais',
    'amincirait',
    'aminciras',
    'amincirent',
    'amincirez',
    'aminciriez',
    'amincirions',
    'amincirons',
    'aminciront',
    'amincis',
    'amincissais',
    'amincissait',
    'amincissant',
    'amincissante',
    'amincissants',
    'amincisse',
    'amincissent',
    'amincisses',
    'amincissez',
    'amincissiez',
    'amincissions',
    'amincissons',
    'amincit',
    'amincîmes',
    'amincît',
    'amincîtes',
    'aminoplaste',
    'aminoplastes',
    'aminé',
    'aminée',
    'aminées',
    'aminés',
    'amiral',
    'amirale',
    'amirales',
    'amirauté',
    'amirautés',
    'amiraux',
    'amis',
    'amitié',
    'amitiés',
    'amitose',
    'amitoses',
    'ammodyte',
    'ammodytes',
    'ammoniac',
    'ammoniacal',
    'ammoniacale',
    'ammoniacales',
    'ammoniacaux',
    'ammoniacs',
    'ammoniaque',
    'ammoniaques',
    'ammonisation',
    'ammonite',
    'ammonites',
    'ammonium',
    'ammoniums',
    'ammophile',
    'ammophiles',
    'amniocentèse',
    'amnios',
    'amnioscopie',
    'amnioscopies',
    'amniote',
    'amniotes',
    'amniotique',
    'amniotiques',
    'amnistia',
    'amnistiable',
    'amnistiables',
    'amnistiai',
    'amnistiaient',
    'amnistiais',
    'amnistiait',
    'amnistiant',
    'amnistiante',
    'amnistiantes',
    'amnistiants',
    'amnistias',
    'amnistiasse',
    'amnistiasses',
    'amnistie',
    'amnistient',
    'amnistier',
    'amnistiera',
    'amnistierai',
    'amnistierais',
    'amnistierait',
    'amnistieras',
    'amnistierez',
    'amnistieriez',
    'amnistierons',
    'amnistieront',
    'amnisties',
    'amnistiez',
    'amnistiiez',
    'amnistiions',
    'amnistions',
    'amnistiâmes',
    'amnistiât',
    'amnistiâtes',
    'amnistièrent',
    'amnistié',
    'amnistiée',
    'amnistiées',
    'amnistiés',
    'amnésie',
    'amnésies',
    'amnésique',
    'amnésiques',
    'amocha',
    'amochai',
    'amochaient',
    'amochais',
    'amochait',
    'amochant',
    'amochas',
    'amochasse',
    'amochassent',
    'amochasses',
    'amochassiez',
    'amochassions',
    'amoche',
    'amochent',
    'amocher',
    'amochera',
    'amocherai',
    'amocheraient',
    'amocherais',
    'amocherait',
    'amocheras',
    'amocherez',
    'amocheriez',
    'amocherions',
    'amocherons',
    'amocheront',
    'amoches',
    'amochez',
    'amochiez',
    'amochions',
    'amochons',
    'amochâmes',
    'amochât',
    'amochâtes',
    'amochèrent',
    'amoché',
    'amochée',
    'amochées',
    'amochés',
    'amodia',
    'amodiai',
    'amodiaient',
    'amodiais',
    'amodiait',
    'amodiant',
    'amodias',
    'amodiasse',
    'amodiassent',
    'amodiasses',
    'amodiassiez',
    'amodiassions',
    'amodiation',
    'amodiations',
    'amodie',
    'amodient',
    'amodier',
    'amodiera',
    'amodierai',
    'amodieraient',
    'amodierais',
    'amodierait',
    'amodieras',
    'amodierez',
    'amodieriez',
    'amodierions',
    'amodierons',
    'amodieront',
    'amodies',
    'amodiez',
    'amodiiez',
    'amodiions',
    'amodions',
    'amodiâmes',
    'amodiât',
    'amodiâtes',
    'amodièrent',
    'amodié',
    'amodiée',
    'amodiées',
    'amodiés',
    'amoindri',
    'amoindrie',
    'amoindries',
    'amoindrir',
    'amoindrira',
    'amoindrirai',
    'amoindrirais',
    'amoindrirait',
    'amoindriras',
    'amoindrirent',
    'amoindrirez',
    'amoindririez',
    'amoindrirons',
    'amoindriront',
    'amoindris',
    'amoindrisse',
    'amoindrisses',
    'amoindrissez',
    'amoindrit',
    'amoindrîmes',
    'amoindrît',
    'amoindrîtes',
    'amolli',
    'amollie',
    'amollies',
    'amollir',
    'amollira',
    'amollirai',
    'amolliraient',
    'amollirais',
    'amollirait',
    'amolliras',
    'amollirent',
    'amollirez',
    'amolliriez',
    'amollirions',
    'amollirons',
    'amolliront',
    'amollis',
    'amollissais',
    'amollissait',
    'amollissant',
    'amollissante',
    'amollissants',
    'amollisse',
    'amollissent',
    'amollisses',
    'amollissez',
    'amollissiez',
    'amollissions',
    'amollissons',
    'amollit',
    'amollîmes',
    'amollît',
    'amollîtes',
    'amoncela',
    'amoncelai',
    'amoncelaient',
    'amoncelais',
    'amoncelait',
    'amoncelant',
    'amoncelas',
    'amoncelasse',
    'amoncelasses',
    'amonceler',
    'amoncelez',
    'amonceliez',
    'amoncelions',
    'amoncelle',
    'amoncellent',
    'amoncellera',
    'amoncellerai',
    'amoncelleras',
    'amoncellerez',
    'amoncelles',
    'amoncelons',
    'amoncelâmes',
    'amoncelât',
    'amoncelâtes',
    'amoncelèrent',
    'amoncelé',
    'amoncelée',
    'amoncelées',
    'amoncelés',
    'amonibilité',
    'amonibilités',
    'amont',
    'amonts',
    'amoral',
    'amorale',
    'amorales',
    'amoralisme',
    'amoralismes',
    'amoraux',
    'amorce',
    'amorcent',
    'amorcer',
    'amorcera',
    'amorcerai',
    'amorceraient',
    'amorcerais',
    'amorcerait',
    'amorceras',
    'amorcerez',
    'amorceriez',
    'amorcerions',
    'amorcerons',
    'amorceront',
    'amorces',
    'amorcez',
    'amorciez',
    'amorcions',
    'amorcèrent',
    'amorcé',
    'amorcée',
    'amorcées',
    'amorcés',
    'amordance',
    'amordancent',
    'amordancer',
    'amordancera',
    'amordancerai',
    'amordanceras',
    'amordancerez',
    'amordances',
    'amordancez',
    'amordanciez',
    'amordancions',
    'amordancé',
    'amordancée',
    'amordancées',
    'amordancés',
    'amordança',
    'amordançai',
    'amordançais',
    'amordançait',
    'amordançant',
    'amordanças',
    'amordançasse',
    'amordançons',
    'amordançâmes',
    'amordançât',
    'amordançâtes',
    'amoroso',
    'amorphe',
    'amorphes',
    'amorti',
    'amortie',
    'amorties',
    'amortir',
    'amortira',
    'amortirai',
    'amortiraient',
    'amortirais',
    'amortirait',
    'amortiras',
    'amortirent',
    'amortirez',
    'amortiriez',
    'amortirions',
    'amortirons',
    'amortiront',
    'amortis',
    'amortissable',
    'amortissais',
    'amortissait',
    'amortissant',
    'amortisse',
    'amortissent',
    'amortisses',
    'amortisseur',
    'amortisseurs',
    'amortissez',
    'amortissiez',
    'amortissions',
    'amortissons',
    'amortit',
    'amortîmes',
    'amortît',
    'amortîtes',
    'amorça',
    'amorçage',
    'amorçages',
    'amorçai',
    'amorçaient',
    'amorçais',
    'amorçait',
    'amorçant',
    'amorças',
    'amorçasse',
    'amorçassent',
    'amorçasses',
    'amorçassiez',
    'amorçassions',
    'amorçons',
    'amorçâmes',
    'amorçât',
    'amorçâtes',
    'amotissaient',
    'amotissais',
    'amotissait',
    'amotissant',
    'amotissez',
    'amotissiez',
    'amotissions',
    'amotissons',
    'amour',
    'amouracher',
    'amouracherez',
    'amourachez',
    'amourachiez',
    'amourachions',
    'amourachons',
    'amourachâmes',
    'amourachâtes',
    'amouraché',
    'amourachée',
    'amourachées',
    'amourachés',
    'amourette',
    'amourettes',
    'amoureuse',
    'amoureuses',
    'amoureux',
    'amours',
    'amovible',
    'amovibles',
    'amphi',
    'amphibie',
    'amphibiens',
    'amphibies',
    'amphibole',
    'amphiboles',
    'amphibologie',
    'amphictyon',
    'amphictyonie',
    'amphictyons',
    'amphigouri',
    'amphigouris',
    'amphimixie',
    'amphimixies',
    'amphioxus',
    'amphis',
    'amphisbène',
    'amphisbènes',
    'amphithéâtre',
    'amphitryon',
    'amphitryons',
    'ampholyte',
    'ampholytes',
    'amphore',
    'amphores',
    'amphotère',
    'amphotères',
    'amphétamine',
    'amphétamines',
    'ample',
    'amplectif',
    'amplectifs',
    'amplective',
    'amplectives',
    'amplement',
    'amples',
    'ampleur',
    'ampleurs',
    'ampli',
    'ampliatif',
    'ampliatifs',
    'ampliation',
    'ampliations',
    'ampliative',
    'ampliatives',
    'amplifia',
    'amplifiai',
    'amplifiaient',
    'amplifiais',
    'amplifiait',
    'amplifiant',
    'amplifiante',
    'amplifiantes',
    'amplifias',
    'amplifiasse',
    'amplifiasses',
    'amplifie',
    'amplifient',
    'amplifier',
    'amplifiera',
    'amplifierai',
    'amplifierais',
    'amplifierait',
    'amplifieras',
    'amplifierez',
    'amplifieriez',
    'amplifierons',
    'amplifieront',
    'amplifies',
    'amplifiez',
    'amplifiiez',
    'amplifiions',
    'amplifions',
    'amplifiâmes',
    'amplifiât',
    'amplifiâtes',
    'amplifièrent',
    'amplifié',
    'amplifiée',
    'amplifiées',
    'amplifiés',
    'amplis',
    'amplitude',
    'amplitudes',
    'ampoule',
    'ampoules',
    'ampoulé',
    'ampoulée',
    'ampoulées',
    'ampoulés',
    'amputa',
    'amputai',
    'amputaient',
    'amputais',
    'amputait',
    'amputant',
    'amputas',
    'amputasse',
    'amputassent',
    'amputasses',
    'amputassiez',
    'amputassions',
    'amputation',
    'amputations',
    'ampute',
    'amputent',
    'amputer',
    'amputera',
    'amputerai',
    'amputeraient',
    'amputerais',
    'amputerait',
    'amputeras',
    'amputerez',
    'amputeriez',
    'amputerions',
    'amputerons',
    'amputeront',
    'amputes',
    'amputez',
    'amputiez',
    'amputions',
    'amputons',
    'amputâmes',
    'amputât',
    'amputâtes',
    'amputèrent',
    'amputé',
    'amputée',
    'amputées',
    'amputés',
    'ampère',
    'ampèremètre',
    'ampèremètres',
    'ampères',
    'amulette',
    'amulettes',
    'amura',
    'amurai',
    'amuraient',
    'amurais',
    'amurait',
    'amurant',
    'amuras',
    'amurasse',
    'amurassent',
    'amurasses',
    'amurassiez',
    'amurassions',
    'amure',
    'amurent',
    'amurer',
    'amurera',
    'amurerai',
    'amureraient',
    'amurerais',
    'amurerait',
    'amureras',
    'amurerez',
    'amureriez',
    'amurerions',
    'amurerons',
    'amureront',
    'amures',
    'amurez',
    'amuriez',
    'amurions',
    'amurons',
    'amurâmes',
    'amurât',
    'amurâtes',
    'amurèrent',
    'amuré',
    'amurée',
    'amurées',
    'amurés',
    'amusa',
    'amusai',
    'amusaient',
    'amusais',
    'amusait',
    'amusant',
    'amusante',
    'amusantes',
    'amusants',
    'amusas',
    'amusasse',
    'amusassent',
    'amusasses',
    'amusassiez',
    'amusassions',
    'amuse',
    'amusement',
    'amusements',
    'amusent',
    'amuser',
    'amusera',
    'amuserai',
    'amuseraient',
    'amuserais',
    'amuserait',
    'amuseras',
    'amuserez',
    'amuseriez',
    'amuserions',
    'amuserons',
    'amuseront',
    'amuses',
    'amusette',
    'amusettes',
    'amuseur',
    'amuseurs',
    'amuseuse',
    'amuseuses',
    'amusez',
    'amusie',
    'amusies',
    'amusiez',
    'amusions',
    'amusons',
    'amusâmes',
    'amusât',
    'amusâtes',
    'amusèrent',
    'amusé',
    'amusée',
    'amusées',
    'amusés',
    'amuï',
    'amuïe',
    'amuïes',
    'amuïmes',
    'amuïr',
    'amuïrent',
    'amuïrez',
    'amuïriez',
    'amuïrions',
    'amuïrons',
    'amuïs',
    'amuïssement',
    'amuïssements',
    'amuïssent',
    'amuïssez',
    'amuïssiez',
    'amuïssions',
    'amuïssons',
    'amuïtes',
    'amygdale',
    'amygdales',
    'amygdalite',
    'amygdalites',
    'amylacé',
    'amylacée',
    'amylacées',
    'amylacés',
    'amylase',
    'amylases',
    'amyle',
    'amyles',
    'amylique',
    'amyliques',
    'amylobacter',
    'amylobacters',
    'amylène',
    'amylènes',
    'amyotrophie',
    'amyotrophies',
    'amène',
    'amènent',
    'amènera',
    'amènerai',
    'amèneraient',
    'amènerais',
    'amènerait',
    'amèneras',
    'amènerez',
    'amèneriez',
    'amènerions',
    'amènerons',
    'amèneront',
    'amènes',
    'amère',
    'amèrement',
    'amères',
    'améliora',
    'améliorable',
    'améliorables',
    'améliorai',
    'amélioraient',
    'améliorais',
    'améliorait',
    'améliorant',
    'améliorante',
    'améliorantes',
    'améliorants',
    'amélioras',
    'améliorasse',
    'améliorasses',
    'amélioration',
    'améliore',
    'améliorent',
    'améliorer',
    'améliorera',
    'améliorerai',
    'améliorerais',
    'améliorerait',
    'amélioreras',
    'améliorerez',
    'amélioreriez',
    'améliorerons',
    'amélioreront',
    'améliores',
    'améliorez',
    'amélioriez',
    'améliorions',
    'améliorons',
    'améliorâmes',
    'améliorât',
    'améliorâtes',
    'améliorèrent',
    'amélioré',
    'améliorée',
    'améliorées',
    'améliorés',
    'aménage',
    'aménagea',
    'aménageable',
    'aménageables',
    'aménageai',
    'aménageaient',
    'aménageais',
    'aménageait',
    'aménageant',
    'aménageas',
    'aménageasse',
    'aménageasses',
    'aménagement',
    'aménagements',
    'aménagent',
    'aménageons',
    'aménager',
    'aménagera',
    'aménagerai',
    'aménagerais',
    'aménagerait',
    'aménageras',
    'aménagerez',
    'aménageriez',
    'aménagerions',
    'aménagerons',
    'aménageront',
    'aménages',
    'aménageur',
    'aménageurs',
    'aménageuse',
    'aménageuses',
    'aménagez',
    'aménageâmes',
    'aménageât',
    'aménageâtes',
    'aménagiez',
    'aménagions',
    'aménagèrent',
    'aménagé',
    'aménagée',
    'aménagées',
    'aménagés',
    'aménité',
    'aménités',
    'aménorrhée',
    'aménorrhées',
    'américain',
    'américaine',
    'américaines',
    'américains',
    'américanisa',
    'américanisai',
    'américanisas',
    'américanise',
    'américaniser',
    'américanises',
    'américanisez',
    'américanisme',
    'américaniste',
    'américanisât',
    'américanisé',
    'américanisée',
    'américanisés',
    'américium',
    'américiums',
    'amérindien',
    'amérindienne',
    'amérindiens',
    'améthyste',
    'améthystes',
    'amétrope',
    'amétropes',
    'amétropie',
    'amétropies',
    'anabaptisme',
    'anabaptismes',
    'anabaptiste',
    'anabaptistes',
    'anabolisant',
    'anabolisante',
    'anabolisants',
    'anabolisme',
    'anabolismes',
    'anabolite',
    'anabolites',
    'anacardier',
    'anacardiers',
    'anachorète',
    'anachorètes',
    'anachronique',
    'anachronisme',
    'anacoluthe',
    'anacoluthes',
    'anaconda',
    'anacondas',
    'anacrouse',
    'anacrouses',
    'anaglyphe',
    'anaglyphes',
    'anaglyptique',
    'anagnoste',
    'anagnostes',
    'anagogie',
    'anagogies',
    'anagogique',
    'anagogiques',
    'anagramme',
    'anagrammes',
    'anal',
    'anale',
    'analecta',
    'analeptique',
    'analeptiques',
    'anales',
    'analgésia',
    'analgésiai',
    'analgésiais',
    'analgésiait',
    'analgésiant',
    'analgésias',
    'analgésiasse',
    'analgésie',
    'analgésient',
    'analgésier',
    'analgésiera',
    'analgésierai',
    'analgésieras',
    'analgésierez',
    'analgésies',
    'analgésiez',
    'analgésiiez',
    'analgésiions',
    'analgésions',
    'analgésique',
    'analgésiques',
    'analgésiâmes',
    'analgésiât',
    'analgésiâtes',
    'analgésié',
    'analgésiée',
    'analgésiées',
    'analgésiés',
    'analité',
    'analités',
    'anallergique',
    'analogie',
    'analogies',
    'analogique',
    'analogiques',
    'analogon',
    'analogons',
    'analogue',
    'analogues',
    'analphabète',
    'analphabètes',
    'analysa',
    'analysable',
    'analysables',
    'analysai',
    'analysaient',
    'analysais',
    'analysait',
    'analysant',
    'analysante',
    'analysantes',
    'analysants',
    'analysas',
    'analysasse',
    'analysassent',
    'analysasses',
    'analysassiez',
    'analyse',
    'analysent',
    'analyser',
    'analysera',
    'analyserai',
    'analyserais',
    'analyserait',
    'analyseras',
    'analyserez',
    'analyseriez',
    'analyserions',
    'analyserons',
    'analyseront',
    'analyses',
    'analyseur',
    'analyseurs',
    'analysez',
    'analysiez',
    'analysions',
    'analysons',
    'analyste',
    'analystes',
    'analysâmes',
    'analysât',
    'analysâtes',
    'analysèrent',
    'analysé',
    'analysée',
    'analysées',
    'analysés',
    'analytique',
    'analytiques',
    'anamnèse',
    'anamnèses',
    'anamorphose',
    'anamorphoses',
    'ananas',
    'anapeste',
    'anapestes',
    'anaphase',
    'anaphases',
    'anaphore',
    'anaphores',
    'anaphorique',
    'anaphoriques',
    'anaphorèse',
    'anaphorèses',
    'anaphrodisie',
    'anaphylaxie',
    'anaphylaxies',
    'anaplastie',
    'anaplasties',
    'anarchie',
    'anarchies',
    'anarchique',
    'anarchiques',
    'anarchisant',
    'anarchisante',
    'anarchisants',
    'anarchisme',
    'anarchismes',
    'anarchiste',
    'anarchistes',
    'anarthrie',
    'anarthries',
    'anasarque',
    'anasarques',
    'anastigmat',
    'anastigmats',
    'anastomose',
    'anastomoser',
    'anastomoses',
    'anastomosez',
    'anastomosiez',
    'anastomosons',
    'anastomosé',
    'anastomosée',
    'anastomosées',
    'anastomosés',
    'anastrophe',
    'anastrophes',
    'anathème',
    'anathèmes',
    'anathématisa',
    'anathématise',
    'anathématisé',
    'anatife',
    'anatifes',
    'anatocisme',
    'anatocismes',
    'anatomie',
    'anatomies',
    'anatomique',
    'anatomiques',
    'anatomisa',
    'anatomisai',
    'anatomisais',
    'anatomisait',
    'anatomisant',
    'anatomisas',
    'anatomisasse',
    'anatomise',
    'anatomisent',
    'anatomiser',
    'anatomisera',
    'anatomiserai',
    'anatomiseras',
    'anatomiserez',
    'anatomises',
    'anatomisez',
    'anatomisiez',
    'anatomisions',
    'anatomisons',
    'anatomiste',
    'anatomistes',
    'anatomisâmes',
    'anatomisât',
    'anatomisâtes',
    'anatomisé',
    'anatomisée',
    'anatomisées',
    'anatomisés',
    'anaux',
    'anavenin',
    'anavenins',
    'anaérobie',
    'anaérobies',
    'ancestral',
    'ancestrale',
    'ancestrales',
    'ancestraux',
    'anche',
    'anches',
    'anchois',
    'ancien',
    'ancienne',
    'anciennement',
    'anciennes',
    'ancienneté',
    'anciennetés',
    'anciens',
    'ancillaire',
    'ancillaires',
    'ancolie',
    'ancolies',
    'ancra',
    'ancrage',
    'ancrages',
    'ancrai',
    'ancraient',
    'ancrais',
    'ancrait',
    'ancrant',
    'ancras',
    'ancrasse',
    'ancrassent',
    'ancrasses',
    'ancrassiez',
    'ancrassions',
    'ancre',
    'ancrent',
    'ancrer',
    'ancrera',
    'ancrerai',
    'ancreraient',
    'ancrerais',
    'ancrerait',
    'ancreras',
    'ancrerez',
    'ancreriez',
    'ancrerions',
    'ancrerons',
    'ancreront',
    'ancres',
    'ancrez',
    'ancriez',
    'ancrions',
    'ancrons',
    'ancrâmes',
    'ancrât',
    'ancrâtes',
    'ancrèrent',
    'ancré',
    'ancrée',
    'ancrées',
    'ancrés',
    'ancêtre',
    'ancêtres',
    'andain',
    'andains',
    'andalou',
    'andalous',
    'andalouse',
    'andalouses',
    'andante',
    'andantes',
    'andantino',
    'andantinos',
    'andin',
    'andine',
    'andines',
    'andins',
    'andouille',
    'andouiller',
    'andouillers',
    'andouilles',
    'andouillette',
    'andrinople',
    'andrinoples',
    'androcée',
    'androcées',
    'androcéphale',
    'androgenèse',
    'androgenèses',
    'androgyne',
    'androgynes',
    'androgène',
    'androgènes',
    'androgénie',
    'androgénies',
    'andrologie',
    'andrologies',
    'andrologue',
    'andrologues',
    'andropause',
    'andropauses',
    'androstérone',
    'androïde',
    'androïdes',
    'andrène',
    'andrènes',
    'andésite',
    'andésites',
    'anecdote',
    'anecdotes',
    'anecdotier',
    'anecdotiers',
    'anecdotique',
    'anecdotiques',
    'anecdotière',
    'anecdotières',
    'anesthésia',
    'anesthésiai',
    'anesthésiais',
    'anesthésiait',
    'anesthésiant',
    'anesthésias',
    'anesthésie',
    'anesthésient',
    'anesthésier',
    'anesthésiera',
    'anesthésies',
    'anesthésiez',
    'anesthésiiez',
    'anesthésions',
    'anesthésique',
    'anesthésiste',
    'anesthésiât',
    'anesthésié',
    'anesthésiée',
    'anesthésiées',
    'anesthésiés',
    'aneth',
    'aneths',
    'angarie',
    'angaries',
    'ange',
    'angelot',
    'angelots',
    'anges',
    'angevin',
    'angevine',
    'angevines',
    'angevins',
    'angiectasie',
    'angiectasies',
    'angine',
    'angines',
    'angineuse',
    'angineuses',
    'angineux',
    'angiocholite',
    'angiographie',
    'angiologie',
    'angiologies',
    'angiome',
    'angiomes',
    'angiosperme',
    'angiospermes',
    'anglais',
    'anglaisa',
    'anglaisai',
    'anglaisaient',
    'anglaisais',
    'anglaisait',
    'anglaisant',
    'anglaisas',
    'anglaisasse',
    'anglaisasses',
    'anglaise',
    'anglaisent',
    'anglaiser',
    'anglaisera',
    'anglaiserai',
    'anglaiserais',
    'anglaiserait',
    'anglaiseras',
    'anglaiserez',
    'anglaiseriez',
    'anglaiserons',
    'anglaiseront',
    'anglaises',
    'anglaisez',
    'anglaisiez',
    'anglaisions',
    'anglaisons',
    'anglaisâmes',
    'anglaisât',
    'anglaisâtes',
    'anglaisèrent',
    'anglaisé',
    'anglaisée',
    'anglaisées',
    'anglaisés',
    'angle',
    'angledozer',
    'angledozers',
    'angles',
    'anglet',
    'anglets',
    'anglican',
    'anglicane',
    'anglicanes',
    'anglicanisme',
    'anglicans',
    'anglicisa',
    'anglicisai',
    'anglicisais',
    'anglicisait',
    'anglicisant',
    'anglicisas',
    'anglicisasse',
    'anglicise',
    'anglicisent',
    'angliciser',
    'anglicisera',
    'angliciserai',
    'angliciseras',
    'angliciserez',
    'anglicises',
    'anglicisez',
    'anglicisiez',
    'anglicisions',
    'anglicisme',
    'anglicismes',
    'anglicisons',
    'angliciste',
    'anglicistes',
    'anglicisâmes',
    'anglicisât',
    'anglicisâtes',
    'anglicisé',
    'anglicisée',
    'anglicisées',
    'anglicisés',
    'anglomane',
    'anglomanes',
    'anglomanie',
    'anglomanies',
    'anglophile',
    'anglophiles',
    'anglophilie',
    'anglophilies',
    'anglophobe',
    'anglophobes',
    'anglophobie',
    'anglophobies',
    'anglophone',
    'anglophones',
    'angoissa',
    'angoissai',
    'angoissaient',
    'angoissais',
    'angoissait',
    'angoissant',
    'angoissante',
    'angoissantes',
    'angoissants',
    'angoissas',
    'angoissasse',
    'angoissasses',
    'angoisse',
    'angoissent',
    'angoisser',
    'angoissera',
    'angoisserai',
    'angoisserais',
    'angoisserait',
    'angoisseras',
    'angoisserez',
    'angoisseriez',
    'angoisserons',
    'angoisseront',
    'angoisses',
    'angoissez',
    'angoissiez',
    'angoissions',
    'angoissons',
    'angoissâmes',
    'angoissât',
    'angoissâtes',
    'angoissèrent',
    'angoissé',
    'angoissée',
    'angoissées',
    'angoissés',
    'angon',
    'angons',
    'angor',
    'angora',
    'angoras',
    'angors',
    'angstroem',
    'angstroems',
    'anguiforme',
    'anguiformes',
    'anguille',
    'anguilles',
    'anguillule',
    'anguillules',
    'anguillère',
    'anguillères',
    'angulaire',
    'angulaires',
    'anguleuse',
    'anguleuses',
    'anguleux',
    'angusticlave',
    'angustura',
    'angusturas',
    'angusture',
    'angustures',
    'angéite',
    'angéites',
    'angélique',
    'angéliques',
    'angélisme',
    'angélismes',
    'angélus',
    'anharmonique',
    'anhidrose',
    'anhidroses',
    'anhydre',
    'anhydres',
    'anhydride',
    'anhydrides',
    'anhydrite',
    'anhydrites',
    'anhèle',
    'anhèlent',
    'anhèles',
    'anhéla',
    'anhélai',
    'anhélaient',
    'anhélais',
    'anhélait',
    'anhélant',
    'anhélas',
    'anhélasse',
    'anhélassent',
    'anhélasses',
    'anhélassiez',
    'anhélassions',
    'anhélation',
    'anhélations',
    'anhéler',
    'anhélera',
    'anhélerai',
    'anhéleraient',
    'anhélerais',
    'anhélerait',
    'anhéleras',
    'anhélerez',
    'anhéleriez',
    'anhélerions',
    'anhélerons',
    'anhéleront',
    'anhélez',
    'anhéliez',
    'anhélions',
    'anhélons',
    'anhélâmes',
    'anhélât',
    'anhélâtes',
    'anhélèrent',
    'anhélé',
    'anicroche',
    'anicroches',
    'aniline',
    'anilines',
    'anilisme',
    'anilismes',
    'anima',
    'animai',
    'animaient',
    'animais',
    'animait',
    'animal',
    'animalcule',
    'animalcules',
    'animale',
    'animalerie',
    'animaleries',
    'animales',
    'animalier',
    'animaliers',
    'animalisa',
    'animalisai',
    'animalisais',
    'animalisait',
    'animalisant',
    'animalisas',
    'animalisasse',
    'animalise',
    'animalisent',
    'animaliser',
    'animalisera',
    'animaliserai',
    'animaliseras',
    'animaliserez',
    'animalises',
    'animalisez',
    'animalisiez',
    'animalisions',
    'animalisons',
    'animalisâmes',
    'animalisât',
    'animalisâtes',
    'animalisé',
    'animalisée',
    'animalisées',
    'animalisés',
    'animalité',
    'animalités',
    'animalière',
    'animalières',
    'animant',
    'animas',
    'animasse',
    'animassent',
    'animasses',
    'animassiez',
    'animassions',
    'animateur',
    'animateurs',
    'animation',
    'animations',
    'animatrice',
    'animatrices',
    'animaux',
    'anime',
    'animent',
    'animer',
    'animera',
    'animerai',
    'animeraient',
    'animerais',
    'animerait',
    'animeras',
    'animerez',
    'animeriez',
    'animerions',
    'animerons',
    'animeront',
    'animes',
    'animez',
    'animiez',
    'animions',
    'animisme',
    'animismes',
    'animiste',
    'animistes',
    'animons',
    'animosité',
    'animosités',
    'animâmes',
    'animât',
    'animâtes',
    'animèrent',
    'animé',
    'animée',
    'animées',
    'animés',
    'anion',
    'anionique',
    'anioniques',
    'anions',
    'anis',
    'anisa',
    'anisai',
    'anisaient',
    'anisais',
    'anisait',
    'anisant',
    'anisas',
    'anisasse',
    'anisassent',
    'anisasses',
    'anisassiez',
    'anisassions',
    'anise',
    'anisent',
    'aniser',
    'anisera',
    'aniserai',
    'aniseraient',
    'aniserais',
    'aniserait',
    'aniseras',
    'aniserez',
    'aniseriez',
    'aniserions',
    'aniserons',
    'aniseront',
    'anises',
    'anisette',
    'anisettes',
    'anisez',
    'anisiez',
    'anisions',
    'anisons',
    'anisotrope',
    'anisotropes',
    'anisotropie',
    'anisotropies',
    'anisâmes',
    'anisât',
    'anisâtes',
    'anisèrent',
    'anisé',
    'anisée',
    'anisées',
    'anisés',
    'ankylosa',
    'ankylosai',
    'ankylosaient',
    'ankylosais',
    'ankylosait',
    'ankylosant',
    'ankylosas',
    'ankylosasse',
    'ankylosasses',
    'ankylose',
    'ankylosent',
    'ankyloser',
    'ankylosera',
    'ankyloserai',
    'ankyloserais',
    'ankyloserait',
    'ankyloseras',
    'ankyloserez',
    'ankyloseriez',
    'ankyloserons',
    'ankyloseront',
    'ankyloses',
    'ankylosez',
    'ankylosiez',
    'ankylosions',
    'ankylosons',
    'ankylostome',
    'ankylostomes',
    'ankylosâmes',
    'ankylosât',
    'ankylosâtes',
    'ankylosèrent',
    'ankylosé',
    'ankylosée',
    'ankylosées',
    'ankylosés',
    'annal',
    'annale',
    'annales',
    'annaliste',
    'annalistes',
    'annalité',
    'annalités',
    'annamite',
    'annamites',
    'annaux',
    'anneau',
    'anneaux',
    'annela',
    'annelai',
    'annelaient',
    'annelais',
    'annelait',
    'annelant',
    'annelas',
    'annelasse',
    'annelassent',
    'annelasses',
    'annelassiez',
    'annelassions',
    'anneler',
    'annelez',
    'anneliez',
    'annelions',
    'annelle',
    'annellent',
    'annellera',
    'annellerai',
    'annellerais',
    'annellerait',
    'annelleras',
    'annellerez',
    'annelleriez',
    'annellerions',
    'annellerons',
    'annelleront',
    'annelles',
    'annelons',
    'annelâmes',
    'annelât',
    'annelâtes',
    'annelèrent',
    'annelé',
    'annelée',
    'annelées',
    'annelés',
    'annexa',
    'annexai',
    'annexaient',
    'annexais',
    'annexait',
    'annexant',
    'annexas',
    'annexasse',
    'annexassent',
    'annexasses',
    'annexassiez',
    'annexassions',
    'annexe',
    'annexent',
    'annexer',
    'annexera',
    'annexerai',
    'annexeraient',
    'annexerais',
    'annexerait',
    'annexeras',
    'annexerez',
    'annexeriez',
    'annexerions',
    'annexerons',
    'annexeront',
    'annexes',
    'annexez',
    'annexiez',
    'annexion',
    'annexions',
    'annexons',
    'annexâmes',
    'annexât',
    'annexâtes',
    'annexèrent',
    'annexé',
    'annexée',
    'annexées',
    'annexés',
    'annihila',
    'annihilai',
    'annihilaient',
    'annihilais',
    'annihilait',
    'annihilant',
    'annihilas',
    'annihilasse',
    'annihilasses',
    'annihilation',
    'annihile',
    'annihilent',
    'annihiler',
    'annihilera',
    'annihilerai',
    'annihilerais',
    'annihilerait',
    'annihileras',
    'annihilerez',
    'annihileriez',
    'annihilerons',
    'annihileront',
    'annihiles',
    'annihilez',
    'annihiliez',
    'annihilions',
    'annihilons',
    'annihilâmes',
    'annihilât',
    'annihilâtes',
    'annihilèrent',
    'annihilé',
    'annihilée',
    'annihilées',
    'annihilés',
    'anniversaire',
    'annonce',
    'annoncent',
    'annoncer',
    'annoncera',
    'annoncerai',
    'annoncerais',
    'annoncerait',
    'annonceras',
    'annoncerez',
    'annonceriez',
    'annoncerions',
    'annoncerons',
    'annonceront',
    'annonces',
    'annonceur',
    'annonceurs',
    'annonceuse',
    'annonceuses',
    'annoncez',
    'annonciateur',
    'annonciation',
    'annoncier',
    'annonciers',
    'annonciez',
    'annoncions',
    'annoncière',
    'annoncières',
    'annoncèrent',
    'annoncé',
    'annoncée',
    'annoncées',
    'annoncés',
    'annone',
    'annones',
    'annonça',
    'annonçai',
    'annonçaient',
    'annonçais',
    'annonçait',
    'annonçant',
    'annonças',
    'annonçasse',
    'annonçassent',
    'annonçasses',
    'annonçassiez',
    'annonçons',
    'annonçâmes',
    'annonçât',
    'annonçâtes',
    'annota',
    'annotai',
    'annotaient',
    'annotais',
    'annotait',
    'annotant',
    'annotas',
    'annotasse',
    'annotassent',
    'annotasses',
    'annotassiez',
    'annotassions',
    'annotateur',
    'annotateurs',
    'annotation',
    'annotations',
    'annotatrice',
    'annotatrices',
    'annote',
    'annotent',
    'annoter',
    'annotera',
    'annoterai',
    'annoteraient',
    'annoterais',
    'annoterait',
    'annoteras',
    'annoterez',
    'annoteriez',
    'annoterions',
    'annoterons',
    'annoteront',
    'annotes',
    'annotez',
    'annotiez',
    'annotions',
    'annotons',
    'annotâmes',
    'annotât',
    'annotâtes',
    'annotèrent',
    'annoté',
    'annotée',
    'annotées',
    'annotés',
    'annuaire',
    'annuaires',
    'annualité',
    'annualités',
    'annuel',
    'annuelle',
    'annuellement',
    'annuelles',
    'annuels',
    'annuitaire',
    'annuitaires',
    'annuité',
    'annuités',
    'annula',
    'annulable',
    'annulables',
    'annulai',
    'annulaient',
    'annulaire',
    'annulaires',
    'annulais',
    'annulait',
    'annulant',
    'annulas',
    'annulasse',
    'annulassent',
    'annulasses',
    'annulassiez',
    'annulassions',
    'annulation',
    'annulations',
    'annule',
    'annulent',
    'annuler',
    'annulera',
    'annulerai',
    'annuleraient',
    'annulerais',
    'annulerait',
    'annuleras',
    'annulerez',
    'annuleriez',
    'annulerions',
    'annulerons',
    'annuleront',
    'annules',
    'annulez',
    'annuliez',
    'annulions',
    'annulons',
    'annulâmes',
    'annulât',
    'annulâtes',
    'annulèrent',
    'annulé',
    'annulée',
    'annulées',
    'annulés',
    'année',
    'années',
    'annélides',
    'anobli',
    'anoblie',
    'anoblies',
    'anoblir',
    'anoblira',
    'anoblirai',
    'anobliraient',
    'anoblirais',
    'anoblirait',
    'anobliras',
    'anoblirent',
    'anoblirez',
    'anobliriez',
    'anoblirions',
    'anoblirons',
    'anobliront',
    'anoblis',
    'anoblissais',
    'anoblissait',
    'anoblissant',
    'anoblisse',
    'anoblissent',
    'anoblisses',
    'anoblissez',
    'anoblissiez',
    'anoblissions',
    'anoblissons',
    'anoblit',
    'anoblîmes',
    'anoblît',
    'anoblîtes',
    'anode',
    'anodes',
    'anodin',
    'anodine',
    'anodines',
    'anodins',
    'anodisa',
    'anodisai',
    'anodisaient',
    'anodisais',
    'anodisait',
    'anodisant',
    'anodisas',
    'anodisasse',
    'anodisassent',
    'anodisasses',
    'anodisassiez',
    'anodise',
    'anodisent',
    'anodiser',
    'anodisera',
    'anodiserai',
    'anodiserais',
    'anodiserait',
    'anodiseras',
    'anodiserez',
    'anodiseriez',
    'anodiserions',
    'anodiserons',
    'anodiseront',
    'anodises',
    'anodisez',
    'anodisiez',
    'anodisions',
    'anodisons',
    'anodisâmes',
    'anodisât',
    'anodisâtes',
    'anodisèrent',
    'anodisé',
    'anodisée',
    'anodisées',
    'anodisés',
    'anodonte',
    'anodontes',
    'anomal',
    'anomale',
    'anomales',
    'anomalie',
    'anomalies',
    'anomaux',
    'anomie',
    'anomies',
    'anonymat',
    'anonymats',
    'anonyme',
    'anonymement',
    'anonymes',
    'anophèle',
    'anophèles',
    'anorak',
    'anoraks',
    'anordi',
    'anordir',
    'anordira',
    'anordirai',
    'anordiraient',
    'anordirais',
    'anordirait',
    'anordiras',
    'anordirent',
    'anordirez',
    'anordiriez',
    'anordirions',
    'anordirons',
    'anordiront',
    'anordis',
    'anordissais',
    'anordissait',
    'anordissant',
    'anordisse',
    'anordissent',
    'anordisses',
    'anordissez',
    'anordissiez',
    'anordissions',
    'anordissons',
    'anordit',
    'anordîmes',
    'anordît',
    'anordîtes',
    'anorexie',
    'anorexies',
    'anorexique',
    'anorexiques',
    'anormal',
    'anormale',
    'anormalement',
    'anormales',
    'anormalité',
    'anormalités',
    'anormaux',
    'anosmie',
    'anosmies',
    'anoure',
    'anoures',
    'anoxémie',
    'anoxémies',
    'anse',
    'anses',
    'ansé',
    'ansée',
    'ansées',
    'ansérine',
    'ansérines',
    'ansés',
    'antagonique',
    'antagoniques',
    'antagonisme',
    'antagonismes',
    'antagoniste',
    'antagonistes',
    'antalgique',
    'antalgiques',
    'antan',
    'antarctique',
    'antarctiques',
    'ante',
    'antenais',
    'antenaise',
    'antenaises',
    'antenne',
    'antennes',
    'antes',
    'anthologie',
    'anthologies',
    'anthonome',
    'anthonomes',
    'anthracite',
    'anthracites',
    'anthracnose',
    'anthracnoses',
    'anthracose',
    'anthracoses',
    'anthracène',
    'anthracènes',
    'anthrax',
    'anthropoïde',
    'anthropoïdes',
    'anthrène',
    'anthrènes',
    'anthère',
    'anthères',
    'anthémis',
    'anthérozoïde',
    'anti',
    'antiamaril',
    'antiamarile',
    'antiamariles',
    'antiamarils',
    'antiatome',
    'antiatomes',
    'antiatomique',
    'antiaérien',
    'antiaérienne',
    'antiaériens',
    'antibiotique',
    'antibois',
    'antibrouillé',
    'antibruit',
    'anticasseur',
    'anticasseurs',
    'anticathode',
    'anticathodes',
    'antichambre',
    'antichambres',
    'antichar',
    'antichars',
    'antichrèse',
    'antichrèses',
    'anticipa',
    'anticipai',
    'anticipaient',
    'anticipais',
    'anticipait',
    'anticipant',
    'anticipas',
    'anticipasse',
    'anticipasses',
    'anticipation',
    'anticipe',
    'anticipent',
    'anticiper',
    'anticipera',
    'anticiperai',
    'anticiperais',
    'anticiperait',
    'anticiperas',
    'anticiperez',
    'anticiperiez',
    'anticiperons',
    'anticiperont',
    'anticipes',
    'anticipez',
    'anticipiez',
    'anticipions',
    'anticipons',
    'anticipâmes',
    'anticipât',
    'anticipâtes',
    'anticipèrent',
    'anticipé',
    'anticipée',
    'anticipées',
    'anticipés',
    'anticlinal',
    'anticlinale',
    'anticlinales',
    'anticlinaux',
    'anticlérical',
    'anticorps',
    'anticyclique',
    'anticyclonal',
    'anticyclone',
    'anticyclones',
    'antidata',
    'antidatai',
    'antidataient',
    'antidatais',
    'antidatait',
    'antidatant',
    'antidatas',
    'antidatasse',
    'antidatasses',
    'antidate',
    'antidatent',
    'antidater',
    'antidatera',
    'antidaterai',
    'antidaterais',
    'antidaterait',
    'antidateras',
    'antidaterez',
    'antidateriez',
    'antidaterons',
    'antidateront',
    'antidates',
    'antidatez',
    'antidatiez',
    'antidations',
    'antidatons',
    'antidatâmes',
    'antidatât',
    'antidatâtes',
    'antidatèrent',
    'antidaté',
    'antidatée',
    'antidatées',
    'antidatés',
    'antidopage',
    'antidopages',
    'antidoping',
    'antidopings',
    'antidote',
    'antidotes',
    'antidumping',
    'antidérapant',
    'antidétonant',
    'antienne',
    'antiennes',
    'antifasciste',
    'antigang',
    'antigel',
    'antigels',
    'antiglisse',
    'antiglisses',
    'antigène',
    'antigènes',
    'antihalo',
    'antihausse',
    'antihausses',
    'antihéros',
    'antilithique',
    'antillais',
    'antillaise',
    'antillaises',
    'antilope',
    'antilopes',
    'antimatière',
    'antimatières',
    'antimissile',
    'antimissiles',
    'antimite',
    'antimites',
    'antimoine',
    'antimoines',
    'antimoniure',
    'antimoniures',
    'antinational',
    'antinazi',
    'antinazie',
    'antinazies',
    'antinazis',
    'antinomie',
    'antinomies',
    'antinomique',
    'antinomiques',
    'antipaludéen',
    'antipape',
    'antipapes',
    'antiparasite',
    'antipathie',
    'antipathies',
    'antipathique',
    'antiphonaire',
    'antiphrase',
    'antiphrases',
    'antipode',
    'antipodes',
    'antipoison',
    'antipoisons',
    'antiquaille',
    'antiquailles',
    'antiquaire',
    'antiquaires',
    'antique',
    'antiques',
    'antiquité',
    'antiquités',
    'antirabique',
    'antirabiques',
    'antiracisme',
    'antiracismes',
    'antiraciste',
    'antiracistes',
    'antiradar',
    'antirides',
    'antirouille',
    'antirouilles',
    'antisepsie',
    'antisepsies',
    'antiseptique',
    'antisocial',
    'antisociale',
    'antisociales',
    'antisociaux',
    'antisportif',
    'antisportifs',
    'antisportive',
    'antistrophe',
    'antistrophes',
    'antisémite',
    'antisémites',
    'antithèse',
    'antithèses',
    'antithétique',
    'antitoxine',
    'antitoxines',
    'antitoxique',
    'antitoxiques',
    'antitrust',
    'antivenimeux',
    'antivol',
    'antivols',
    'antonyme',
    'antonymes',
    'antonymie',
    'antonymies',
    'antre',
    'antres',
    'antécédence',
    'antécédences',
    'antécédent',
    'antécédente',
    'antécédentes',
    'antécédents',
    'antédiluvien',
    'antéfixe',
    'antéfixes',
    'antéposa',
    'antéposai',
    'antéposaient',
    'antéposais',
    'antéposait',
    'antéposant',
    'antéposas',
    'antéposasse',
    'antéposasses',
    'antépose',
    'antéposent',
    'antéposer',
    'antéposera',
    'antéposerai',
    'antéposerais',
    'antéposerait',
    'antéposeras',
    'antéposerez',
    'antéposeriez',
    'antéposerons',
    'antéposeront',
    'antéposes',
    'antéposez',
    'antéposiez',
    'antéposions',
    'antéposons',
    'antéposâmes',
    'antéposât',
    'antéposâtes',
    'antéposèrent',
    'antéposé',
    'antéposée',
    'antéposées',
    'antéposés',
    'antérieur',
    'antérieure',
    'antérieures',
    'antérieurs',
    'antériorité',
    'antériorités',
    'antérograde',
    'antérogrades',
    'anurie',
    'anuries',
    'anus',
    'anxieuse',
    'anxieusement',
    'anxieuses',
    'anxieux',
    'anxiogène',
    'anxiogènes',
    'anxiété',
    'anxiétés',
    'anéanti',
    'anéantie',
    'anéanties',
    'anéantir',
    'anéantira',
    'anéantirai',
    'anéantirais',
    'anéantirait',
    'anéantiras',
    'anéantirent',
    'anéantirez',
    'anéantiriez',
    'anéantirions',
    'anéantirons',
    'anéantiront',
    'anéantis',
    'anéantissais',
    'anéantissait',
    'anéantissant',
    'anéantisse',
    'anéantissent',
    'anéantisses',
    'anéantissez',
    'anéantissiez',
    'anéantissons',
    'anéantit',
    'anéantîmes',
    'anéantît',
    'anéantîtes',
    'anémia',
    'anémiai',
    'anémiaient',
    'anémiais',
    'anémiait',
    'anémiant',
    'anémias',
    'anémiasse',
    'anémiassent',
    'anémiasses',
    'anémiassiez',
    'anémiassions',
    'anémie',
    'anémient',
    'anémier',
    'anémiera',
    'anémierai',
    'anémieraient',
    'anémierais',
    'anémierait',
    'anémieras',
    'anémierez',
    'anémieriez',
    'anémierions',
    'anémierons',
    'anémieront',
    'anémies',
    'anémiez',
    'anémiiez',
    'anémiions',
    'anémions',
    'anémique',
    'anémiques',
    'anémiâmes',
    'anémiât',
    'anémiâtes',
    'anémièrent',
    'anémié',
    'anémiée',
    'anémiées',
    'anémiés',
    'anémographe',
    'anémographes',
    'anémomètre',
    'anémomètres',
    'anémone',
    'anémones',
    'anémophile',
    'anémophiles',
    'anéroïde',
    'anéroïdes',
    'anévrismal',
    'anévrismale',
    'anévrismales',
    'anévrismaux',
    'anévrisme',
    'anévrismes',
    'anévrysme',
    'anévrysmes',
    'aoriste',
    'aoristes',
    'aorte',
    'aortes',
    'aortique',
    'aortiques',
    'aortite',
    'aortites',
    'août',
    'aoûta',
    'aoûtai',
    'aoûtaient',
    'aoûtais',
    'aoûtait',
    'aoûtant',
    'aoûtas',
    'aoûtasse',
    'aoûtassent',
    'aoûtasses',
    'aoûtassiez',
    'aoûtassions',
    'aoûtat',
    'aoûtats',
    'aoûte',
    'aoûtement',
    'aoûtements',
    'aoûtent',
    'aoûter',
    'aoûtera',
    'aoûterai',
    'aoûteraient',
    'aoûterais',
    'aoûterait',
    'aoûteras',
    'aoûterez',
    'aoûteriez',
    'aoûterions',
    'aoûterons',
    'aoûteront',
    'aoûtes',
    'aoûtez',
    'aoûtien',
    'aoûtienne',
    'aoûtiennes',
    'aoûtiens',
    'aoûtiez',
    'aoûtions',
    'aoûtons',
    'aoûtâmes',
    'aoûtât',
    'aoûtâtes',
    'aoûtèrent',
    'aoûté',
    'aoûtée',
    'aoûtées',
    'aoûtés',
    'apache',
    'apaches',
    'apagogie',
    'apagogies',
    'apaisa',
    'apaisai',
    'apaisaient',
    'apaisais',
    'apaisait',
    'apaisant',
    'apaisante',
    'apaisantes',
    'apaisants',
    'apaisas',
    'apaisasse',
    'apaisassent',
    'apaisasses',
    'apaisassiez',
    'apaisassions',
    'apaise',
    'apaisement',
    'apaisements',
    'apaisent',
    'apaiser',
    'apaisera',
    'apaiserai',
    'apaiseraient',
    'apaiserais',
    'apaiserait',
    'apaiseras',
    'apaiserez',
    'apaiseriez',
    'apaiserions',
    'apaiserons',
    'apaiseront',
    'apaises',
    'apaisez',
    'apaisiez',
    'apaisions',
    'apaisons',
    'apaisâmes',
    'apaisât',
    'apaisâtes',
    'apaisèrent',
    'apaisé',
    'apaisée',
    'apaisées',
    'apaisés',
    'apanage',
    'apanagea',
    'apanageai',
    'apanageaient',
    'apanageais',
    'apanageait',
    'apanageant',
    'apanageas',
    'apanageasse',
    'apanageasses',
    'apanagent',
    'apanageons',
    'apanager',
    'apanagera',
    'apanagerai',
    'apanagerais',
    'apanagerait',
    'apanageras',
    'apanagerez',
    'apanageriez',
    'apanagerions',
    'apanagerons',
    'apanageront',
    'apanages',
    'apanagez',
    'apanageâmes',
    'apanageât',
    'apanageâtes',
    'apanagiez',
    'apanagions',
    'apanagèrent',
    'apanagé',
    'apanagée',
    'apanagées',
    'apanagés',
    'apartheid',
    'apartheids',
    'aparté',
    'apartés',
    'apathie',
    'apathies',
    'apathique',
    'apathiques',
    'apatride',
    'apatrides',
    'apepsie',
    'apepsies',
    'aperception',
    'aperceptions',
    'apercevaient',
    'apercevais',
    'apercevait',
    'apercevant',
    'apercevez',
    'aperceviez',
    'apercevions',
    'apercevoir',
    'apercevons',
    'apercevra',
    'apercevrai',
    'apercevrais',
    'apercevrait',
    'apercevras',
    'apercevrez',
    'apercevriez',
    'apercevrions',
    'apercevrons',
    'apercevront',
    'aperture',
    'apertures',
    'aperçois',
    'aperçoit',
    'aperçoive',
    'aperçoivent',
    'aperçoives',
    'aperçu',
    'aperçue',
    'aperçues',
    'aperçurent',
    'aperçus',
    'aperçusse',
    'aperçussent',
    'aperçusses',
    'aperçussiez',
    'aperçussions',
    'aperçut',
    'aperçûmes',
    'aperçût',
    'aperçûtes',
    'apesanteur',
    'apesanteurs',
    'apeura',
    'apeurai',
    'apeuraient',
    'apeurais',
    'apeurait',
    'apeurant',
    'apeuras',
    'apeurasse',
    'apeurassent',
    'apeurasses',
    'apeurassiez',
    'apeurassions',
    'apeure',
    'apeurent',
    'apeurer',
    'apeurera',
    'apeurerai',
    'apeureraient',
    'apeurerais',
    'apeurerait',
    'apeureras',
    'apeurerez',
    'apeureriez',
    'apeurerions',
    'apeurerons',
    'apeureront',
    'apeures',
    'apeurez',
    'apeuriez',
    'apeurions',
    'apeurons',
    'apeurâmes',
    'apeurât',
    'apeurâtes',
    'apeurèrent',
    'apeuré',
    'apeurée',
    'apeurées',
    'apeurés',
    'apex',
    'aphasie',
    'aphasies',
    'aphasique',
    'aphasiques',
    'aphone',
    'aphones',
    'aphonie',
    'aphonies',
    'aphorisme',
    'aphorismes',
    'aphte',
    'aphtes',
    'aphteuse',
    'aphteuses',
    'aphteux',
    'aphylle',
    'aphylles',
    'aphélie',
    'aphélies',
    'aphérèse',
    'aphérèses',
    'apical',
    'apicale',
    'apicales',
    'apicaux',
    'apiculteur',
    'apiculteurs',
    'apicultrice',
    'apicultrices',
    'apiculture',
    'apicultures',
    'apiol',
    'apiols',
    'apion',
    'apions',
    'apiqua',
    'apiquage',
    'apiquages',
    'apiquai',
    'apiquaient',
    'apiquais',
    'apiquait',
    'apiquant',
    'apiquas',
    'apiquasse',
    'apiquassent',
    'apiquasses',
    'apiquassiez',
    'apiquassions',
    'apique',
    'apiquent',
    'apiquer',
    'apiquera',
    'apiquerai',
    'apiqueraient',
    'apiquerais',
    'apiquerait',
    'apiqueras',
    'apiquerez',
    'apiqueriez',
    'apiquerions',
    'apiquerons',
    'apiqueront',
    'apiques',
    'apiquez',
    'apiquiez',
    'apiquions',
    'apiquons',
    'apiquâmes',
    'apiquât',
    'apiquâtes',
    'apiquèrent',
    'apiqué',
    'apiquée',
    'apiquées',
    'apiqués',
    'apis',
    'apitoie',
    'apitoiement',
    'apitoiements',
    'apitoient',
    'apitoiera',
    'apitoierai',
    'apitoierais',
    'apitoierait',
    'apitoieras',
    'apitoierez',
    'apitoieriez',
    'apitoierions',
    'apitoierons',
    'apitoieront',
    'apitoies',
    'apitoya',
    'apitoyai',
    'apitoyaient',
    'apitoyais',
    'apitoyait',
    'apitoyant',
    'apitoyas',
    'apitoyasse',
    'apitoyassent',
    'apitoyasses',
    'apitoyassiez',
    'apitoyer',
    'apitoyez',
    'apitoyiez',
    'apitoyions',
    'apitoyons',
    'apitoyâmes',
    'apitoyât',
    'apitoyâtes',
    'apitoyèrent',
    'apitoyé',
    'apitoyée',
    'apitoyées',
    'apitoyés',
    'apiéceur',
    'apiéceurs',
    'apiéceuse',
    'apiéceuses',
    'aplani',
    'aplanie',
    'aplanies',
    'aplanir',
    'aplanira',
    'aplanirai',
    'aplaniraient',
    'aplanirais',
    'aplanirait',
    'aplaniras',
    'aplanirent',
    'aplanirez',
    'aplaniriez',
    'aplanirions',
    'aplanirons',
    'aplaniront',
    'aplanis',
    'aplanissais',
    'aplanissait',
    'aplanissant',
    'aplanisse',
    'aplanissent',
    'aplanisses',
    'aplanissez',
    'aplanissiez',
    'aplanissions',
    'aplanissons',
    'aplanit',
    'aplanétique',
    'aplanétiques',
    'aplanîmes',
    'aplanît',
    'aplanîtes',
    'aplasie',
    'aplasies',
    'aplat',
    'aplati',
    'aplatie',
    'aplaties',
    'aplatir',
    'aplatira',
    'aplatirai',
    'aplatiraient',
    'aplatirais',
    'aplatirait',
    'aplatiras',
    'aplatirent',
    'aplatirez',
    'aplatiriez',
    'aplatirions',
    'aplatirons',
    'aplatiront',
    'aplatis',
    'aplatissage',
    'aplatissages',
    'aplatissais',
    'aplatissait',
    'aplatissant',
    'aplatisse',
    'aplatissent',
    'aplatisses',
    'aplatisseur',
    'aplatisseurs',
    'aplatissez',
    'aplatissiez',
    'aplatissions',
    'aplatissoir',
    'aplatissoire',
    'aplatissoirs',
    'aplatissons',
    'aplatit',
    'aplats',
    'aplatîmes',
    'aplatît',
    'aplatîtes',
    'aplomb',
    'aplombs',
    'apnée',
    'apnées',
    'apoastre',
    'apoastres',
    'apocalypse',
    'apocalypses',
    'apocope',
    'apocopes',
    'apocryphe',
    'apocryphes',
    'apode',
    'apodes',
    'apodictique',
    'apodictiques',
    'apogamie',
    'apogamies',
    'apogée',
    'apogées',
    'apolitique',
    'apolitiques',
    'apolitisme',
    'apolitismes',
    'apollinien',
    'apollinienne',
    'apolliniens',
    'apollon',
    'apollons',
    'apologie',
    'apologies',
    'apologiste',
    'apologistes',
    'apologue',
    'apologues',
    'apologétique',
    'apomorphine',
    'apomorphines',
    'aponévrose',
    'aponévroses',
    'apophonie',
    'apophonies',
    'apophtegme',
    'apophtegmes',
    'apophysaire',
    'apophysaires',
    'apophyse',
    'apophyses',
    'apoplectique',
    'apoplexie',
    'apoplexies',
    'aporie',
    'apories',
    'aporétique',
    'aporétiques',
    'aposiopèse',
    'aposiopèses',
    'aposta',
    'apostai',
    'apostaient',
    'apostais',
    'apostait',
    'apostant',
    'apostas',
    'apostasia',
    'apostasiai',
    'apostasiais',
    'apostasiait',
    'apostasiant',
    'apostasias',
    'apostasiasse',
    'apostasie',
    'apostasient',
    'apostasier',
    'apostasiera',
    'apostasierai',
    'apostasieras',
    'apostasierez',
    'apostasies',
    'apostasiez',
    'apostasiiez',
    'apostasiions',
    'apostasions',
    'apostasiâmes',
    'apostasiât',
    'apostasiâtes',
    'apostasié',
    'apostasse',
    'apostassent',
    'apostasses',
    'apostassiez',
    'apostassions',
    'apostat',
    'apostate',
    'apostates',
    'apostats',
    'aposte',
    'apostent',
    'aposter',
    'apostera',
    'aposterai',
    'aposteraient',
    'aposterais',
    'aposterait',
    'aposteras',
    'aposterez',
    'aposteriez',
    'aposterions',
    'aposterons',
    'aposteront',
    'apostes',
    'apostez',
    'apostiez',
    'apostilla',
    'apostillai',
    'apostillais',
    'apostillait',
    'apostillant',
    'apostillas',
    'apostillasse',
    'apostille',
    'apostillent',
    'apostiller',
    'apostillera',
    'apostillerai',
    'apostilleras',
    'apostillerez',
    'apostilles',
    'apostillez',
    'apostilliez',
    'apostillions',
    'apostillons',
    'apostillâmes',
    'apostillât',
    'apostillâtes',
    'apostillé',
    'apostillée',
    'apostillées',
    'apostillés',
    'apostions',
    'apostolat',
    'apostolats',
    'apostolique',
    'apostoliques',
    'apostons',
    'apostropha',
    'apostrophai',
    'apostrophais',
    'apostrophait',
    'apostrophant',
    'apostrophas',
    'apostrophe',
    'apostrophent',
    'apostropher',
    'apostrophera',
    'apostrophes',
    'apostrophez',
    'apostrophiez',
    'apostrophons',
    'apostrophât',
    'apostrophé',
    'apostrophée',
    'apostrophées',
    'apostrophés',
    'apostâmes',
    'apostât',
    'apostâtes',
    'apostèrent',
    'aposté',
    'apostée',
    'apostées',
    'apostés',
    'apothicaire',
    'apothicaires',
    'apothème',
    'apothèmes',
    'apothéose',
    'apothéoses',
    'appaira',
    'appairai',
    'appairaient',
    'appairais',
    'appairait',
    'appairant',
    'appairas',
    'appairasse',
    'appairassent',
    'appairasses',
    'appairassiez',
    'appaire',
    'appairent',
    'appairer',
    'appairera',
    'appairerai',
    'appairerais',
    'appairerait',
    'appaireras',
    'appairerez',
    'appaireriez',
    'appairerions',
    'appairerons',
    'appaireront',
    'appaires',
    'appairez',
    'appairiez',
    'appairions',
    'appairons',
    'appairâmes',
    'appairât',
    'appairâtes',
    'appairèrent',
    'appairé',
    'appairée',
    'appairées',
    'appairés',
    'appalachien',
    'appalachiens',
    'apparais',
    'apparaissais',
    'apparaissait',
    'apparaissant',
    'apparaisse',
    'apparaissent',
    'apparaisses',
    'apparaissez',
    'apparaissiez',
    'apparaissons',
    'apparat',
    'apparats',
    'apparaux',
    'apparaît',
    'apparaîtra',
    'apparaîtrai',
    'apparaîtrais',
    'apparaîtrait',
    'apparaîtras',
    'apparaître',
    'apparaîtrez',
    'apparaîtriez',
    'apparaîtrons',
    'apparaîtront',
    'appareil',
    'appareilla',
    'appareillade',
    'appareillage',
    'appareillai',
    'appareillais',
    'appareillait',
    'appareillant',
    'appareillas',
    'appareille',
    'appareillent',
    'appareiller',
    'appareillera',
    'appareilles',
    'appareilleur',
    'appareillez',
    'appareilliez',
    'appareillons',
    'appareillât',
    'appareillé',
    'appareillée',
    'appareillées',
    'appareillés',
    'appareils',
    'apparemment',
    'apparence',
    'apparences',
    'apparent',
    'apparenta',
    'apparentais',
    'apparentait',
    'apparentant',
    'apparente',
    'apparentent',
    'apparenter',
    'apparentera',
    'apparenterai',
    'apparenteras',
    'apparenterez',
    'apparentes',
    'apparentez',
    'apparentiez',
    'apparentions',
    'apparentons',
    'apparents',
    'apparentâmes',
    'apparentâtes',
    'apparenté',
    'apparentée',
    'apparentées',
    'apparentés',
    'apparia',
    'appariai',
    'appariaient',
    'appariais',
    'appariait',
    'appariant',
    'apparias',
    'appariasse',
    'appariassent',
    'appariasses',
    'appariassiez',
    'apparie',
    'appariement',
    'appariements',
    'apparient',
    'apparier',
    'appariera',
    'apparierai',
    'apparierais',
    'apparierait',
    'apparieras',
    'apparierez',
    'apparieriez',
    'apparierions',
    'apparierons',
    'apparieront',
    'apparies',
    'appariez',
    'appariiez',
    'appariions',
    'apparions',
    'appariteur',
    'appariteurs',
    'apparition',
    'apparitions',
    'appariâmes',
    'appariât',
    'appariâtes',
    'apparièrent',
    'apparié',
    'appariée',
    'appariées',
    'appariés',
    'appartement',
    'appartements',
    'appartenais',
    'appartenait',
    'appartenance',
    'appartenant',
    'appartenez',
    'apparteniez',
    'appartenions',
    'appartenir',
    'appartenons',
    'appartenu',
    'appartenue',
    'appartenues',
    'appartenus',
    'appartiendra',
    'appartienne',
    'appartiennes',
    'appartiens',
    'appartient',
    'appartinrent',
    'appartins',
    'appartinsse',
    'appartinsses',
    'appartint',
    'appartînmes',
    'appartînt',
    'appartîntes',
    'apparu',
    'apparue',
    'apparues',
    'apparurent',
    'apparus',
    'apparusse',
    'apparussent',
    'apparusses',
    'apparussiez',
    'apparussions',
    'apparut',
    'apparûmes',
    'apparût',
    'apparûtes',
    'appas',
    'appassionato',
    'appauvri',
    'appauvrie',
    'appauvries',
    'appauvrir',
    'appauvrira',
    'appauvrirai',
    'appauvrirais',
    'appauvrirait',
    'appauvriras',
    'appauvrirent',
    'appauvrirez',
    'appauvririez',
    'appauvrirons',
    'appauvriront',
    'appauvris',
    'appauvrisse',
    'appauvrisses',
    'appauvrissez',
    'appauvrit',
    'appauvrîmes',
    'appauvrît',
    'appauvrîtes',
    'appeau',
    'appeaux',
    'appel',
    'appela',
    'appelai',
    'appelaient',
    'appelais',
    'appelait',
    'appelant',
    'appelante',
    'appelantes',
    'appelants',
    'appelas',
    'appelasse',
    'appelassent',
    'appelasses',
    'appelassiez',
    'appelassions',
    'appeler',
    'appelez',
    'appeliez',
    'appelions',
    'appellatif',
    'appellatifs',
    'appellation',
    'appellations',
    'appellative',
    'appellatives',
    'appelle',
    'appellent',
    'appellera',
    'appellerai',
    'appellerais',
    'appellerait',
    'appelleras',
    'appellerez',
    'appelleriez',
    'appellerions',
    'appellerons',
    'appelleront',
    'appelles',
    'appelons',
    'appels',
    'appelâmes',
    'appelât',
    'appelâtes',
    'appelèrent',
    'appelé',
    'appelée',
    'appelées',
    'appelés',
    'appendice',
    'appendices',
    'appendicite',
    'appendicites',
    'appendre',
    'appentis',
    'appert',
    'appesanti',
    'appesantie',
    'appesanties',
    'appesantir',
    'appesantira',
    'appesantirai',
    'appesantiras',
    'appesantirez',
    'appesantis',
    'appesantisse',
    'appesantit',
    'appesantîmes',
    'appesantît',
    'appesantîtes',
    'applaudi',
    'applaudie',
    'applaudies',
    'applaudir',
    'applaudira',
    'applaudirai',
    'applaudirais',
    'applaudirait',
    'applaudiras',
    'applaudirent',
    'applaudirez',
    'applaudiriez',
    'applaudirons',
    'applaudiront',
    'applaudis',
    'applaudisse',
    'applaudisses',
    'applaudissez',
    'applaudit',
    'applaudîmes',
    'applaudît',
    'applaudîtes',
    'applicable',
    'applicables',
    'applicage',
    'applicages',
    'applicateur',
    'applicateurs',
    'applicatif',
    'applicatifs',
    'application',
    'applications',
    'applicatrice',
    'appliqua',
    'appliquai',
    'appliquaient',
    'appliquais',
    'appliquait',
    'appliquant',
    'appliquas',
    'appliquasse',
    'appliquasses',
    'applique',
    'appliquent',
    'appliquer',
    'appliquera',
    'appliquerai',
    'appliquerais',
    'appliquerait',
    'appliqueras',
    'appliquerez',
    'appliqueriez',
    'appliquerons',
    'appliqueront',
    'appliques',
    'appliquez',
    'appliquiez',
    'appliquions',
    'appliquons',
    'appliquâmes',
    'appliquât',
    'appliquâtes',
    'appliquèrent',
    'appliqué',
    'appliquée',
    'appliquées',
    'appliqués',
    'appoggiature',
    'appoint',
    'appointa',
    'appointage',
    'appointages',
    'appointai',
    'appointaient',
    'appointais',
    'appointait',
    'appointant',
    'appointas',
    'appointasse',
    'appointasses',
    'appointe',
    'appointent',
    'appointer',
    'appointera',
    'appointerai',
    'appointerais',
    'appointerait',
    'appointeras',
    'appointerez',
    'appointeriez',
    'appointerons',
    'appointeront',
    'appointes',
    'appointez',
    'appointi',
    'appointie',
    'appointies',
    'appointiez',
    'appointions',
    'appointir',
    'appointira',
    'appointirai',
    'appointirais',
    'appointirait',
    'appointiras',
    'appointirent',
    'appointirez',
    'appointiriez',
    'appointirons',
    'appointiront',
    'appointis',
    'appointisse',
    'appointisses',
    'appointissez',
    'appointit',
    'appointons',
    'appoints',
    'appointâmes',
    'appointât',
    'appointâtes',
    'appointèrent',
    'appointé',
    'appointée',
    'appointées',
    'appointés',
    'appointîmes',
    'appointît',
    'appointîtes',
    'apponta',
    'appontage',
    'appontages',
    'appontai',
    'appontaient',
    'appontais',
    'appontait',
    'appontant',
    'appontas',
    'appontasse',
    'appontassent',
    'appontasses',
    'appontassiez',
    'apponte',
    'appontement',
    'appontements',
    'appontent',
    'apponter',
    'appontera',
    'apponterai',
    'apponterais',
    'apponterait',
    'apponteras',
    'apponterez',
    'apponteriez',
    'apponterions',
    'apponterons',
    'apponteront',
    'appontes',
    'apponteur',
    'apponteurs',
    'appontez',
    'appontiez',
    'appontions',
    'appontons',
    'appontâmes',
    'appontât',
    'appontâtes',
    'appontèrent',
    'apponté',
    'apport',
    'apporta',
    'apportai',
    'apportaient',
    'apportais',
    'apportait',
    'apportant',
    'apportas',
    'apportasse',
    'apportassent',
    'apportasses',
    'apportassiez',
    'apporte',
    'apportent',
    'apporter',
    'apportera',
    'apporterai',
    'apporterais',
    'apporterait',
    'apporteras',
    'apporterez',
    'apporteriez',
    'apporterions',
    'apporterons',
    'apporteront',
    'apportes',
    'apporteur',
    'apporteurs',
    'apportez',
    'apportiez',
    'apportions',
    'apportons',
    'apports',
    'apportâmes',
    'apportât',
    'apportâtes',
    'apportèrent',
    'apporté',
    'apportée',
    'apportées',
    'apportés',
    'apposa',
    'apposai',
    'apposaient',
    'apposais',
    'apposait',
    'apposant',
    'apposas',
    'apposasse',
    'apposassent',
    'apposasses',
    'apposassiez',
    'apposassions',
    'appose',
    'apposent',
    'apposer',
    'apposera',
    'apposerai',
    'apposeraient',
    'apposerais',
    'apposerait',
    'apposeras',
    'apposerez',
    'apposeriez',
    'apposerions',
    'apposerons',
    'apposeront',
    'apposes',
    'apposez',
    'apposiez',
    'apposions',
    'apposition',
    'appositions',
    'apposons',
    'apposâmes',
    'apposât',
    'apposâtes',
    'apposèrent',
    'apposé',
    'apposée',
    'apposées',
    'apposés',
    'apprenaient',
    'apprenais',
    'apprenait',
    'apprenant',
    'apprenante',
    'apprenantes',
    'apprenants',
    'apprend',
    'apprendra',
    'apprendrai',
    'apprendrais',
    'apprendrait',
    'apprendras',
    'apprendre',
    'apprendrez',
    'apprendriez',
    'apprendrions',
    'apprendrons',
    'apprendront',
    'apprends',
    'apprenez',
    'appreniez',
    'apprenions',
    'apprenne',
    'apprennent',
    'apprennes',
    'apprenons',
    'apprenti',
    'apprentie',
    'apprenties',
    'apprentis',
    'apprirent',
    'appris',
    'apprise',
    'apprises',
    'apprisse',
    'apprissent',
    'apprisses',
    'apprissiez',
    'apprissions',
    'apprit',
    'apprivoisa',
    'apprivoisai',
    'apprivoisais',
    'apprivoisait',
    'apprivoisant',
    'apprivoisas',
    'apprivoise',
    'apprivoisent',
    'apprivoiser',
    'apprivoisera',
    'apprivoises',
    'apprivoiseur',
    'apprivoisez',
    'apprivoisiez',
    'apprivoisons',
    'apprivoisât',
    'apprivoisé',
    'apprivoisée',
    'apprivoisées',
    'apprivoisés',
    'approbateur',
    'approbateurs',
    'approbatif',
    'approbatifs',
    'approbation',
    'approbations',
    'approbative',
    'approbatives',
    'approbatrice',
    'approcha',
    'approchable',
    'approchables',
    'approchai',
    'approchaient',
    'approchais',
    'approchait',
    'approchant',
    'approchante',
    'approchantes',
    'approchants',
    'approchas',
    'approchasse',
    'approchasses',
    'approche',
    'approchent',
    'approcher',
    'approchera',
    'approcherai',
    'approcherais',
    'approcherait',
    'approcheras',
    'approcherez',
    'approcheriez',
    'approcherons',
    'approcheront',
    'approches',
    'approchez',
    'approchiez',
    'approchions',
    'approchons',
    'approchâmes',
    'approchât',
    'approchâtes',
    'approchèrent',
    'approché',
    'approchée',
    'approchées',
    'approchés',
    'approfondi',
    'approfondie',
    'approfondies',
    'approfondir',
    'approfondira',
    'approfondis',
    'approfondit',
    'approfondît',
    'appropria',
    'appropriai',
    'appropriais',
    'appropriait',
    'appropriant',
    'approprias',
    'appropriasse',
    'approprie',
    'approprient',
    'approprier',
    'appropriera',
    'approprierai',
    'approprieras',
    'approprierez',
    'appropries',
    'appropriez',
    'appropriiez',
    'appropriions',
    'approprions',
    'appropriâmes',
    'appropriât',
    'appropriâtes',
    'approprié',
    'appropriée',
    'appropriées',
    'appropriés',
    'approuva',
    'approuvable',
    'approuvables',
    'approuvai',
    'approuvaient',
    'approuvais',
    'approuvait',
    'approuvant',
    'approuvas',
    'approuvasse',
    'approuvasses',
    'approuve',
    'approuvent',
    'approuver',
    'approuvera',
    'approuverai',
    'approuverais',
    'approuverait',
    'approuveras',
    'approuverez',
    'approuveriez',
    'approuverons',
    'approuveront',
    'approuves',
    'approuvez',
    'approuviez',
    'approuvions',
    'approuvons',
    'approuvâmes',
    'approuvât',
    'approuvâtes',
    'approuvèrent',
    'approuvé',
    'approuvée',
    'approuvées',
    'approuvés',
    'approximatif',
    'apprécia',
    'appréciable',
    'appréciables',
    'appréciai',
    'appréciaient',
    'appréciais',
    'appréciait',
    'appréciant',
    'apprécias',
    'appréciasse',
    'appréciasses',
    'appréciateur',
    'appréciatif',
    'appréciatifs',
    'appréciation',
    'appréciative',
    'apprécie',
    'apprécient',
    'apprécier',
    'appréciera',
    'apprécierai',
    'apprécierais',
    'apprécierait',
    'apprécieras',
    'apprécierez',
    'apprécieriez',
    'apprécierons',
    'apprécieront',
    'apprécies',
    'appréciez',
    'appréciiez',
    'appréciions',
    'apprécions',
    'appréciâmes',
    'appréciât',
    'appréciâtes',
    'apprécièrent',
    'apprécié',
    'appréciée',
    'appréciées',
    'appréciés',
    'appréhenda',
    'appréhendai',
    'appréhendais',
    'appréhendait',
    'appréhendant',
    'appréhendas',
    'appréhende',
    'appréhendent',
    'appréhender',
    'appréhendera',
    'appréhendes',
    'appréhendez',
    'appréhendiez',
    'appréhendons',
    'appréhendât',
    'appréhendé',
    'appréhendée',
    'appréhendées',
    'appréhendés',
    'appréhensif',
    'appréhensifs',
    'appréhension',
    'appréhensive',
    'apprêt',
    'apprêta',
    'apprêtage',
    'apprêtages',
    'apprêtai',
    'apprêtaient',
    'apprêtais',
    'apprêtait',
    'apprêtant',
    'apprêtas',
    'apprêtasse',
    'apprêtassent',
    'apprêtasses',
    'apprêtassiez',
    'apprête',
    'apprêtent',
    'apprêter',
    'apprêtera',
    'apprêterai',
    'apprêterais',
    'apprêterait',
    'apprêteras',
    'apprêterez',
    'apprêteriez',
    'apprêterions',
    'apprêterons',
    'apprêteront',
    'apprêtes',
    'apprêteur',
    'apprêteurs',
    'apprêteuse',
    'apprêteuses',
    'apprêtez',
    'apprêtiez',
    'apprêtions',
    'apprêtons',
    'apprêts',
    'apprêtâmes',
    'apprêtât',
    'apprêtâtes',
    'apprêtèrent',
    'apprêté',
    'apprêtée',
    'apprêtées',
    'apprêtés',
    'apprîmes',
    'apprît',
    'apprîtes',
    'appui',
    'appuie',
    'appuient',
    'appuiera',
    'appuierai',
    'appuieraient',
    'appuierais',
    'appuierait',
    'appuieras',
    'appuierez',
    'appuieriez',
    'appuierions',
    'appuierons',
    'appuieront',
    'appuies',
    'appuis',
    'appuya',
    'appuyai',
    'appuyaient',
    'appuyais',
    'appuyait',
    'appuyant',
    'appuyas',
    'appuyasse',
    'appuyassent',
    'appuyasses',
    'appuyassiez',
    'appuyassions',
    'appuyer',
    'appuyez',
    'appuyiez',
    'appuyions',
    'appuyons',
    'appuyâmes',
    'appuyât',
    'appuyâtes',
    'appuyèrent',
    'appuyé',
    'appuyée',
    'appuyées',
    'appuyés',
    'appât',
    'appâta',
    'appâtai',
    'appâtaient',
    'appâtais',
    'appâtait',
    'appâtant',
    'appâtas',
    'appâtasse',
    'appâtassent',
    'appâtasses',
    'appâtassiez',
    'appâtassions',
    'appâte',
    'appâtent',
    'appâter',
    'appâtera',
    'appâterai',
    'appâteraient',
    'appâterais',
    'appâterait',
    'appâteras',
    'appâterez',
    'appâteriez',
    'appâterions',
    'appâterons',
    'appâteront',
    'appâtes',
    'appâtez',
    'appâtiez',
    'appâtions',
    'appâtons',
    'appâts',
    'appâtâmes',
    'appâtât',
    'appâtâtes',
    'appâtèrent',
    'appâté',
    'appâtée',
    'appâtées',
    'appâtés',
    'appète',
    'appètent',
    'appètes',
    'appéta',
    'appétai',
    'appétaient',
    'appétais',
    'appétait',
    'appétant',
    'appétas',
    'appétasse',
    'appétassent',
    'appétasses',
    'appétassiez',
    'appétassions',
    'appétence',
    'appétences',
    'appéter',
    'appétera',
    'appéterai',
    'appéteraient',
    'appéterais',
    'appéterait',
    'appéteras',
    'appéterez',
    'appéteriez',
    'appéterions',
    'appéterons',
    'appéteront',
    'appétez',
    'appétiez',
    'appétions',
    'appétissant',
    'appétissante',
    'appétissants',
    'appétit',
    'appétits',
    'appétons',
    'appétâmes',
    'appétât',
    'appétâtes',
    'appétèrent',
    'appété',
    'appétée',
    'appétées',
    'appétés',
    'apragmatisme',
    'apraxie',
    'apraxies',
    'apriorique',
    'aprioriques',
    'apriorisme',
    'apriorismes',
    'aprioriste',
    'aprioristes',
    'après',
    'apside',
    'apsides',
    'apte',
    'aptes',
    'aptitude',
    'aptitudes',
    'aptère',
    'aptères',
    'aptéryx',
    'apura',
    'apurai',
    'apuraient',
    'apurais',
    'apurait',
    'apurant',
    'apuras',
    'apurasse',
    'apurassent',
    'apurasses',
    'apurassiez',
    'apurassions',
    'apure',
    'apurement',
    'apurements',
    'apurent',
    'apurer',
    'apurera',
    'apurerai',
    'apureraient',
    'apurerais',
    'apurerait',
    'apureras',
    'apurerez',
    'apureriez',
    'apurerions',
    'apurerons',
    'apureront',
    'apures',
    'apurez',
    'apuriez',
    'apurions',
    'apurons',
    'apurâmes',
    'apurât',
    'apurâtes',
    'apurèrent',
    'apuré',
    'apurée',
    'apurées',
    'apurés',
    'apériodique',
    'apériteur',
    'apériteurs',
    'apéritif',
    'apéritifs',
    'apéritive',
    'apéritives',
    'apétale',
    'apétales',
    'apôtre',
    'apôtres',
    'aquaculture',
    'aquacultures',
    'aquafortiste',
    'aquaplane',
    'aquaplanes',
    'aquarelle',
    'aquarelles',
    'aquarelliste',
    'aquarium',
    'aquariums',
    'aquatinte',
    'aquatintes',
    'aquatique',
    'aquatiques',
    'aqueduc',
    'aqueducs',
    'aqueuse',
    'aqueuses',
    'aqueux',
    'aquicole',
    'aquicoles',
    'aquiculteur',
    'aquiculteurs',
    'aquiculture',
    'aquicultures',
    'aquilin',
    'aquilins',
    'aquilon',
    'aquilons',
    'arabe',
    'arabes',
    'arabesque',
    'arabesques',
    'arabica',
    'arabicas',
    'arabique',
    'arabiques',
    'arabisa',
    'arabisai',
    'arabisaient',
    'arabisais',
    'arabisait',
    'arabisant',
    'arabisante',
    'arabisantes',
    'arabisants',
    'arabisas',
    'arabisasse',
    'arabisassent',
    'arabisasses',
    'arabisassiez',
    'arabisation',
    'arabisations',
    'arabise',
    'arabisent',
    'arabiser',
    'arabisera',
    'arabiserai',
    'arabiserais',
    'arabiserait',
    'arabiseras',
    'arabiserez',
    'arabiseriez',
    'arabiserions',
    'arabiserons',
    'arabiseront',
    'arabises',
    'arabisez',
    'arabisiez',
    'arabisions',
    'arabisons',
    'arabisâmes',
    'arabisât',
    'arabisâtes',
    'arabisèrent',
    'arabisé',
    'arabisée',
    'arabisées',
    'arabisés',
    'arable',
    'arables',
    'arabophone',
    'arabophones',
    'arachide',
    'arachides',
    'arachnoïde',
    'arachnoïdes',
    'arachnéen',
    'arachnéenne',
    'arachnéennes',
    'arachnéens',
    'aragonite',
    'aragonites',
    'araignée',
    'araignées',
    'araire',
    'araires',
    'araldite',
    'aramon',
    'aramons',
    'araméen',
    'araméenne',
    'araméennes',
    'araméens',
    'arantèle',
    'arantèles',
    'aranéide',
    'aranéides',
    'aras',
    'arasa',
    'arasai',
    'arasaient',
    'arasais',
    'arasait',
    'arasant',
    'arasas',
    'arasasse',
    'arasassent',
    'arasasses',
    'arasassiez',
    'arasassions',
    'arase',
    'arasement',
    'arasements',
    'arasent',
    'araser',
    'arasera',
    'araserai',
    'araseraient',
    'araserais',
    'araserait',
    'araseras',
    'araserez',
    'araseriez',
    'araserions',
    'araserons',
    'araseront',
    'arases',
    'arasez',
    'arasiez',
    'arasions',
    'arasons',
    'arasâmes',
    'arasât',
    'arasâtes',
    'arasèrent',
    'arasé',
    'arasée',
    'arasées',
    'arasés',
    'aratoire',
    'aratoires',
    'araucaria',
    'araucarias',
    'arbalète',
    'arbalètes',
    'arbalétrier',
    'arbalétriers',
    'arbalétrière',
    'arbitra',
    'arbitrage',
    'arbitrages',
    'arbitragiste',
    'arbitrai',
    'arbitraient',
    'arbitraire',
    'arbitraires',
    'arbitrais',
    'arbitrait',
    'arbitral',
    'arbitrale',
    'arbitrales',
    'arbitrant',
    'arbitras',
    'arbitrasse',
    'arbitrassent',
    'arbitrasses',
    'arbitrassiez',
    'arbitraux',
    'arbitre',
    'arbitrent',
    'arbitrer',
    'arbitrera',
    'arbitrerai',
    'arbitrerais',
    'arbitrerait',
    'arbitreras',
    'arbitrerez',
    'arbitreriez',
    'arbitrerions',
    'arbitrerons',
    'arbitreront',
    'arbitres',
    'arbitrez',
    'arbitriez',
    'arbitrions',
    'arbitrons',
    'arbitrâmes',
    'arbitrât',
    'arbitrâtes',
    'arbitrèrent',
    'arbitré',
    'arbitrée',
    'arbitrées',
    'arbitrés',
    'arbora',
    'arborai',
    'arboraient',
    'arborais',
    'arborait',
    'arborant',
    'arboras',
    'arborasse',
    'arborassent',
    'arborasses',
    'arborassiez',
    'arborassions',
    'arbore',
    'arborent',
    'arborer',
    'arborera',
    'arborerai',
    'arboreraient',
    'arborerais',
    'arborerait',
    'arboreras',
    'arborerez',
    'arboreriez',
    'arborerions',
    'arborerons',
    'arboreront',
    'arbores',
    'arborescence',
    'arborescent',
    'arborescente',
    'arborescents',
    'arboretum',
    'arboretums',
    'arborez',
    'arboricole',
    'arboricoles',
    'arboriez',
    'arborions',
    'arborisa',
    'arborisai',
    'arborisaient',
    'arborisais',
    'arborisait',
    'arborisant',
    'arborisas',
    'arborisasse',
    'arborisasses',
    'arborisation',
    'arborise',
    'arborisent',
    'arboriser',
    'arborisera',
    'arboriserai',
    'arboriserais',
    'arboriserait',
    'arboriseras',
    'arboriserez',
    'arboriseriez',
    'arboriserons',
    'arboriseront',
    'arborises',
    'arborisez',
    'arborisiez',
    'arborisions',
    'arborisons',
    'arborisâmes',
    'arborisât',
    'arborisâtes',
    'arborisèrent',
    'arborisé',
    'arborons',
    'arborâmes',
    'arborât',
    'arborâtes',
    'arborèrent',
    'arboré',
    'arborée',
    'arborées',
    'arborés',
    'arbouse',
    'arbouses',
    'arbousier',
    'arbousiers',
    'arbre',
    'arbres',
    'arbrisseau',
    'arbrisseaux',
    'arbuste',
    'arbustes',
    'arbustif',
    'arbustifs',
    'arbustive',
    'arbustives',
    'arcade',
    'arcades',
    'arcane',
    'arcanes',
    'arcanson',
    'arcansons',
    'arcasse',
    'arcasses',
    'arcature',
    'arcatures',
    'arceau',
    'arceaux',
    'archal',
    'archange',
    'archanges',
    'archaïque',
    'archaïques',
    'archaïsa',
    'archaïsai',
    'archaïsaient',
    'archaïsais',
    'archaïsait',
    'archaïsant',
    'archaïsante',
    'archaïsantes',
    'archaïsants',
    'archaïsas',
    'archaïsasse',
    'archaïsasses',
    'archaïse',
    'archaïsent',
    'archaïser',
    'archaïsera',
    'archaïserai',
    'archaïserais',
    'archaïserait',
    'archaïseras',
    'archaïserez',
    'archaïseriez',
    'archaïserons',
    'archaïseront',
    'archaïses',
    'archaïsez',
    'archaïsiez',
    'archaïsions',
    'archaïsme',
    'archaïsmes',
    'archaïsons',
    'archaïsâmes',
    'archaïsât',
    'archaïsâtes',
    'archaïsèrent',
    'archaïsé',
    'arche',
    'archelle',
    'archelles',
    'archer',
    'archerie',
    'archeries',
    'archers',
    'arches',
    'archet',
    'archets',
    'archevêché',
    'archevêchés',
    'archevêque',
    'archevêques',
    'archiatre',
    'archiatres',
    'archicube',
    'archicubes',
    'archidiacre',
    'archidiacres',
    'archiduc',
    'archiducs',
    'archipel',
    'archipels',
    'archiphonème',
    'archiprêtre',
    'archiprêtres',
    'architecte',
    'architectes',
    'architectura',
    'architecture',
    'architecturé',
    'architrave',
    'architraves',
    'archiva',
    'archivage',
    'archivages',
    'archivai',
    'archivaient',
    'archivais',
    'archivait',
    'archivant',
    'archivas',
    'archivasse',
    'archivassent',
    'archivasses',
    'archivassiez',
    'archive',
    'archivent',
    'archiver',
    'archivera',
    'archiverai',
    'archiverais',
    'archiverait',
    'archiveras',
    'archiverez',
    'archiveriez',
    'archiverions',
    'archiverons',
    'archiveront',
    'archives',
    'archivez',
    'archiviez',
    'archivions',
    'archiviste',
    'archivistes',
    'archivolte',
    'archivoltes',
    'archivons',
    'archivâmes',
    'archivât',
    'archivâtes',
    'archivèrent',
    'archivé',
    'archivée',
    'archivées',
    'archivés',
    'archonte',
    'archontes',
    'archère',
    'archères',
    'archéen',
    'archéenne',
    'archéennes',
    'archéens',
    'archégone',
    'archégones',
    'archéologie',
    'archéologies',
    'archéologue',
    'archéologues',
    'archéoptéryx',
    'archétype',
    'archétypes',
    'arcs',
    'arctique',
    'arctiques',
    'arcure',
    'arcures',
    'ardemment',
    'ardent',
    'ardente',
    'ardentes',
    'ardents',
    'ardeur',
    'ardeurs',
    'ardillon',
    'ardillons',
    'ardoisa',
    'ardoisai',
    'ardoisaient',
    'ardoisais',
    'ardoisait',
    'ardoisant',
    'ardoisas',
    'ardoisasse',
    'ardoisassent',
    'ardoisasses',
    'ardoisassiez',
    'ardoise',
    'ardoisent',
    'ardoiser',
    'ardoisera',
    'ardoiserai',
    'ardoiserais',
    'ardoiserait',
    'ardoiseras',
    'ardoiserez',
    'ardoiseriez',
    'ardoiserions',
    'ardoiserons',
    'ardoiseront',
    'ardoises',
    'ardoisez',
    'ardoisier',
    'ardoisiers',
    'ardoisiez',
    'ardoisions',
    'ardoisière',
    'ardoisières',
    'ardoisons',
    'ardoisâmes',
    'ardoisât',
    'ardoisâtes',
    'ardoisèrent',
    'ardoisé',
    'ardoisée',
    'ardoisées',
    'ardoisés',
    'ardu',
    'ardue',
    'ardues',
    'ardus',
    'arec',
    'arecs',
    'areligieuse',
    'areligieuses',
    'areligieux',
    'ares',
    'argas',
    'argent',
    'argenta',
    'argentai',
    'argentaient',
    'argentais',
    'argentait',
    'argentan',
    'argentans',
    'argentant',
    'argentas',
    'argentasse',
    'argentassent',
    'argentasses',
    'argentassiez',
    'argente',
    'argentent',
    'argenter',
    'argentera',
    'argenterai',
    'argenterais',
    'argenterait',
    'argenteras',
    'argenterez',
    'argenterie',
    'argenteries',
    'argenteriez',
    'argenterions',
    'argenterons',
    'argenteront',
    'argentes',
    'argenteur',
    'argenteurs',
    'argentez',
    'argentier',
    'argentiers',
    'argentiez',
    'argentifère',
    'argentifères',
    'argentin',
    'argentine',
    'argentines',
    'argentins',
    'argentions',
    'argentique',
    'argentiques',
    'argentite',
    'argentites',
    'argentons',
    'argents',
    'argenture',
    'argentures',
    'argentâmes',
    'argentât',
    'argentâtes',
    'argentèrent',
    'argenté',
    'argentée',
    'argentées',
    'argentés',
    'argilacé',
    'argilacée',
    'argilacées',
    'argilacés',
    'argile',
    'argiles',
    'argileuse',
    'argileuses',
    'argileux',
    'arginine',
    'arginines',
    'argon',
    'argonaute',
    'argonautes',
    'argons',
    'argortisé',
    'argot',
    'argotique',
    'argotiques',
    'argotisa',
    'argotisai',
    'argotisaient',
    'argotisais',
    'argotisait',
    'argotisant',
    'argotisas',
    'argotisasse',
    'argotisasses',
    'argotise',
    'argotisent',
    'argotiser',
    'argotisera',
    'argotiserai',
    'argotiserais',
    'argotiserait',
    'argotiseras',
    'argotiserez',
    'argotiseriez',
    'argotiserons',
    'argotiseront',
    'argotises',
    'argotisez',
    'argotisiez',
    'argotisions',
    'argotisme',
    'argotismes',
    'argotisons',
    'argotiste',
    'argotistes',
    'argotisâmes',
    'argotisât',
    'argotisâtes',
    'argotisèrent',
    'argots',
    'argousier',
    'argousiers',
    'argousin',
    'argousins',
    'argua',
    'arguai',
    'arguaient',
    'arguais',
    'arguait',
    'arguant',
    'arguas',
    'arguasse',
    'arguassent',
    'arguasses',
    'arguassiez',
    'arguassions',
    'argue',
    'arguent',
    'arguer',
    'arguera',
    'arguerai',
    'argueraient',
    'arguerais',
    'arguerait',
    'argueras',
    'arguerez',
    'argueriez',
    'arguerions',
    'arguerons',
    'argueront',
    'argues',
    'arguez',
    'arguiez',
    'arguions',
    'argument',
    'argumenta',
    'argumentai',
    'argumentaire',
    'argumentais',
    'argumentait',
    'argumentant',
    'argumentants',
    'argumentas',
    'argumentasse',
    'argumente',
    'argumentent',
    'argumenter',
    'argumentera',
    'argumenterai',
    'argumenteras',
    'argumenterez',
    'argumentes',
    'argumentez',
    'argumentiez',
    'argumentions',
    'argumentons',
    'arguments',
    'argumentâmes',
    'argumentât',
    'argumentâtes',
    'argumenté',
    'argumentée',
    'argumentées',
    'argumentés',
    'arguons',
    'argus',
    'argutie',
    'arguties',
    'arguâmes',
    'arguât',
    'arguâtes',
    'arguèrent',
    'argué',
    'arguée',
    'arguées',
    'argués',
    'argyrisme',
    'argyrismes',
    'argyronète',
    'argyronètes',
    'argyrose',
    'argyroses',
    'aria',
    'arianisme',
    'arianismes',
    'arias',
    'aride',
    'arides',
    'aridité',
    'aridités',
    'arien',
    'arienne',
    'ariennes',
    'ariens',
    'ariette',
    'ariettes',
    'arille',
    'arilles',
    'arioso',
    'ariosos',
    'arisa',
    'arisai',
    'arisaient',
    'arisais',
    'arisait',
    'arisant',
    'arisas',
    'arisasse',
    'arisassent',
    'arisasses',
    'arisassiez',
    'arisassions',
    'arise',
    'arisent',
    'ariser',
    'arisera',
    'ariserai',
    'ariseraient',
    'ariserais',
    'ariserait',
    'ariseras',
    'ariserez',
    'ariseriez',
    'ariserions',
    'ariserons',
    'ariseront',
    'arises',
    'arisez',
    'arisiez',
    'arisions',
    'arisons',
    'aristocrate',
    'aristocrates',
    'aristocratie',
    'aristoloche',
    'aristoloches',
    'arisâmes',
    'arisât',
    'arisâtes',
    'arisèrent',
    'arisé',
    'arithmétique',
    'arlequin',
    'arlequinade',
    'arlequinades',
    'arlequins',
    'arma',
    'armada',
    'armadas',
    'armagnac',
    'armagnacs',
    'armai',
    'armaient',
    'armailli',
    'armaillis',
    'armais',
    'armait',
    'armant',
    'armas',
    'armasse',
    'armassent',
    'armasses',
    'armassiez',
    'armassions',
    'armateur',
    'armateurs',
    'armature',
    'armatures',
    'arme',
    'armement',
    'armements',
    'arment',
    'armer',
    'armera',
    'armerai',
    'armeraient',
    'armerais',
    'armerait',
    'armeras',
    'armerez',
    'armeriez',
    'armerions',
    'armerons',
    'armeront',
    'armes',
    'armet',
    'armets',
    'armeuse',
    'armeuses',
    'armez',
    'armiez',
    'armillaire',
    'armillaires',
    'armilles',
    'arminien',
    'arminienne',
    'arminiennes',
    'arminiens',
    'armions',
    'armistice',
    'armistices',
    'armoire',
    'armoires',
    'armoiries',
    'armoise',
    'armoises',
    'armon',
    'armons',
    'armoria',
    'armoriai',
    'armoriaient',
    'armoriais',
    'armoriait',
    'armorial',
    'armoriale',
    'armoriales',
    'armoriant',
    'armorias',
    'armoriasse',
    'armoriassent',
    'armoriasses',
    'armoriassiez',
    'armoriaux',
    'armorie',
    'armorient',
    'armorier',
    'armoriera',
    'armorierai',
    'armorierais',
    'armorierait',
    'armorieras',
    'armorierez',
    'armorieriez',
    'armorierions',
    'armorierons',
    'armorieront',
    'armories',
    'armoriez',
    'armoriiez',
    'armoriions',
    'armorions',
    'armoriâmes',
    'armoriât',
    'armoriâtes',
    'armorièrent',
    'armorié',
    'armoriée',
    'armoriées',
    'armoriés',
    'armure',
    'armurerie',
    'armureries',
    'armures',
    'armurier',
    'armuriers',
    'armâmes',
    'armât',
    'armâtes',
    'armèrent',
    'armé',
    'armée',
    'armées',
    'arménien',
    'arménienne',
    'arméniennes',
    'arméniens',
    'armés',
    'arnaqua',
    'arnaquai',
    'arnaquaient',
    'arnaquais',
    'arnaquait',
    'arnaquant',
    'arnaquas',
    'arnaquasse',
    'arnaquassent',
    'arnaquasses',
    'arnaquassiez',
    'arnaque',
    'arnaquent',
    'arnaquer',
    'arnaquera',
    'arnaquerai',
    'arnaquerais',
    'arnaquerait',
    'arnaqueras',
    'arnaquerez',
    'arnaqueriez',
    'arnaquerions',
    'arnaquerons',
    'arnaqueront',
    'arnaques',
    'arnaquez',
    'arnaquiez',
    'arnaquions',
    'arnaquons',
    'arnaquâmes',
    'arnaquât',
    'arnaquâtes',
    'arnaquèrent',
    'arnaqué',
    'arnaquée',
    'arnaquées',
    'arnaqués',
    'arnica',
    'arnicas',
    'aromate',
    'aromates',
    'aromatique',
    'aromatiques',
    'aromatisa',
    'aromatisai',
    'aromatisais',
    'aromatisait',
    'aromatisant',
    'aromatisants',
    'aromatisas',
    'aromatisasse',
    'aromatise',
    'aromatisent',
    'aromatiser',
    'aromatisera',
    'aromatiserai',
    'aromatiseras',
    'aromatiserez',
    'aromatises',
    'aromatisez',
    'aromatisiez',
    'aromatisions',
    'aromatisons',
    'aromatisâmes',
    'aromatisât',
    'aromatisâtes',
    'aromatisé',
    'aromatisée',
    'aromatisées',
    'aromatisés',
    'aronde',
    'arondes',
    'arpent',
    'arpenta',
    'arpentage',
    'arpentages',
    'arpentai',
    'arpentaient',
    'arpentais',
    'arpentait',
    'arpentant',
    'arpentas',
    'arpentasse',
    'arpentassent',
    'arpentasses',
    'arpentassiez',
    'arpente',
    'arpentent',
    'arpenter',
    'arpentera',
    'arpenterai',
    'arpenterais',
    'arpenterait',
    'arpenteras',
    'arpenterez',
    'arpenteriez',
    'arpenterions',
    'arpenterons',
    'arpenteront',
    'arpentes',
    'arpenteur',
    'arpenteurs',
    'arpenteuse',
    'arpenteuses',
    'arpentez',
    'arpentiez',
    'arpentions',
    'arpentons',
    'arpents',
    'arpentâmes',
    'arpentât',
    'arpentâtes',
    'arpentèrent',
    'arpenté',
    'arpentée',
    'arpentées',
    'arpentés',
    'arpette',
    'arpettes',
    'arpion',
    'arpions',
    'arpège',
    'arpègent',
    'arpèges',
    'arpète',
    'arpètes',
    'arpégea',
    'arpégeai',
    'arpégeaient',
    'arpégeais',
    'arpégeait',
    'arpégeant',
    'arpégeas',
    'arpégeasse',
    'arpégeassent',
    'arpégeasses',
    'arpégeassiez',
    'arpégeons',
    'arpéger',
    'arpégera',
    'arpégerai',
    'arpégeraient',
    'arpégerais',
    'arpégerait',
    'arpégeras',
    'arpégerez',
    'arpégeriez',
    'arpégerions',
    'arpégerons',
    'arpégeront',
    'arpégez',
    'arpégeâmes',
    'arpégeât',
    'arpégeâtes',
    'arpégiez',
    'arpégions',
    'arpégèrent',
    'arpégé',
    'arpégée',
    'arpégées',
    'arpégés',
    'arqua',
    'arquai',
    'arquaient',
    'arquais',
    'arquait',
    'arquant',
    'arquas',
    'arquasse',
    'arquassent',
    'arquasses',
    'arquassiez',
    'arquassions',
    'arque',
    'arquebusade',
    'arquebusades',
    'arquebuse',
    'arquebuses',
    'arquebusier',
    'arquebusiers',
    'arquent',
    'arquer',
    'arquera',
    'arquerai',
    'arqueraient',
    'arquerais',
    'arquerait',
    'arqueras',
    'arquerez',
    'arqueriez',
    'arquerions',
    'arquerons',
    'arqueront',
    'arques',
    'arquez',
    'arquiez',
    'arquions',
    'arquons',
    'arquâmes',
    'arquât',
    'arquâtes',
    'arquèrent',
    'arqué',
    'arquée',
    'arquées',
    'arqués',
    'arracha',
    'arrachage',
    'arrachages',
    'arrachai',
    'arrachaient',
    'arrachais',
    'arrachait',
    'arrachant',
    'arrachas',
    'arrachasse',
    'arrachassent',
    'arrachasses',
    'arrachassiez',
    'arrache',
    'arrachement',
    'arrachements',
    'arrachent',
    'arracher',
    'arrachera',
    'arracherai',
    'arracherais',
    'arracherait',
    'arracheras',
    'arracherez',
    'arracheriez',
    'arracherions',
    'arracherons',
    'arracheront',
    'arraches',
    'arracheur',
    'arracheurs',
    'arracheuse',
    'arracheuses',
    'arrachez',
    'arrachiez',
    'arrachions',
    'arrachis',
    'arrachons',
    'arrachâmes',
    'arrachât',
    'arrachâtes',
    'arrachèrent',
    'arraché',
    'arrachée',
    'arrachées',
    'arrachés',
    'arraisonna',
    'arraisonnai',
    'arraisonnais',
    'arraisonnait',
    'arraisonnant',
    'arraisonnas',
    'arraisonne',
    'arraisonnent',
    'arraisonner',
    'arraisonnera',
    'arraisonnes',
    'arraisonnez',
    'arraisonniez',
    'arraisonnons',
    'arraisonnât',
    'arraisonné',
    'arraisonnée',
    'arraisonnées',
    'arraisonnés',
    'arrange',
    'arrangea',
    'arrangeable',
    'arrangeables',
    'arrangeai',
    'arrangeaient',
    'arrangeais',
    'arrangeait',
    'arrangeant',
    'arrangeante',
    'arrangeantes',
    'arrangeants',
    'arrangeas',
    'arrangeasse',
    'arrangeasses',
    'arrangement',
    'arrangements',
    'arrangent',
    'arrangeons',
    'arranger',
    'arrangera',
    'arrangerai',
    'arrangerais',
    'arrangerait',
    'arrangeras',
    'arrangerez',
    'arrangeriez',
    'arrangerions',
    'arrangerons',
    'arrangeront',
    'arranges',
    'arrangeur',
    'arrangeurs',
    'arrangez',
    'arrangeâmes',
    'arrangeât',
    'arrangeâtes',
    'arrangiez',
    'arrangions',
    'arrangèrent',
    'arrangé',
    'arrangée',
    'arrangées',
    'arrangés',
    'arrenta',
    'arrentai',
    'arrentaient',
    'arrentais',
    'arrentait',
    'arrentant',
    'arrentas',
    'arrentasse',
    'arrentassent',
    'arrentasses',
    'arrentassiez',
    'arrente',
    'arrentent',
    'arrenter',
    'arrentera',
    'arrenterai',
    'arrenterais',
    'arrenterait',
    'arrenteras',
    'arrenterez',
    'arrenteriez',
    'arrenterions',
    'arrenterons',
    'arrenteront',
    'arrentes',
    'arrentez',
    'arrentiez',
    'arrentions',
    'arrentons',
    'arrentâmes',
    'arrentât',
    'arrentâtes',
    'arrentèrent',
    'arrenté',
    'arrentée',
    'arrentées',
    'arrentés',
    'arrestation',
    'arrestations',
    'arrhes',
    'arrima',
    'arrimage',
    'arrimages',
    'arrimai',
    'arrimaient',
    'arrimais',
    'arrimait',
    'arrimant',
    'arrimas',
    'arrimasse',
    'arrimassent',
    'arrimasses',
    'arrimassiez',
    'arrimassions',
    'arrime',
    'arriment',
    'arrimer',
    'arrimera',
    'arrimerai',
    'arrimeraient',
    'arrimerais',
    'arrimerait',
    'arrimeras',
    'arrimerez',
    'arrimeriez',
    'arrimerions',
    'arrimerons',
    'arrimeront',
    'arrimes',
    'arrimeur',
    'arrimeurs',
    'arrimez',
    'arrimiez',
    'arrimions',
    'arrimons',
    'arrimâmes',
    'arrimât',
    'arrimâtes',
    'arrimèrent',
    'arrimé',
    'arrimée',
    'arrimées',
    'arrimés',
    'arrisa',
    'arrisai',
    'arrisaient',
    'arrisais',
    'arrisait',
    'arrisant',
    'arrisas',
    'arrisasse',
    'arrisassent',
    'arrisasses',
    'arrisassiez',
    'arrisassions',
    'arrise',
    'arrisent',
    'arriser',
    'arrisera',
    'arriserai',
    'arriseraient',
    'arriserais',
    'arriserait',
    'arriseras',
    'arriserez',
    'arriseriez',
    'arriserions',
    'arriserons',
    'arriseront',
    'arrises',
    'arrisez',
    'arrisiez',
    'arrisions',
    'arrisons',
    'arrisâmes',
    'arrisât',
    'arrisâtes',
    'arrisèrent',
    'arrisé',
    'arriva',
    'arrivage',
    'arrivages',
    'arrivai',
    'arrivaient',
    'arrivais',
    'arrivait',
    'arrivant',
    'arrivants',
    'arrivas',
    'arrivasse',
    'arrivassent',
    'arrivasses',
    'arrivassiez',
    'arrivassions',
    'arrive',
    'arrivent',
    'arriver',
    'arrivera',
    'arriverai',
    'arriveraient',
    'arriverais',
    'arriverait',
    'arriveras',
    'arriverez',
    'arriveriez',
    'arriverions',
    'arriverons',
    'arriveront',
    'arrives',
    'arrivez',
    'arriviez',
    'arrivions',
    'arrivisme',
    'arrivismes',
    'arriviste',
    'arrivistes',
    'arrivons',
    'arrivâmes',
    'arrivât',
    'arrivâtes',
    'arrivèrent',
    'arrivé',
    'arrivée',
    'arrivées',
    'arrivés',
    'arrière',
    'arrièrent',
    'arrières',
    'arriéra',
    'arriérai',
    'arriéraient',
    'arriérais',
    'arriérait',
    'arriérant',
    'arriéras',
    'arriérasse',
    'arriérassent',
    'arriérasses',
    'arriérassiez',
    'arriération',
    'arriérations',
    'arriérer',
    'arriérera',
    'arriérerai',
    'arriérerais',
    'arriérerait',
    'arriéreras',
    'arriérerez',
    'arriéreriez',
    'arriérerions',
    'arriérerons',
    'arriéreront',
    'arriérez',
    'arriériez',
    'arriérions',
    'arriérons',
    'arriérâmes',
    'arriérât',
    'arriérâtes',
    'arriérèrent',
    'arriéré',
    'arriérée',
    'arriérées',
    'arriérés',
    'arrobe',
    'arrobes',
    'arroche',
    'arroches',
    'arrogamment',
    'arrogance',
    'arrogances',
    'arrogant',
    'arrogante',
    'arrogantes',
    'arrogants',
    'arroge',
    'arrogea',
    'arrogeaient',
    'arrogeais',
    'arrogeait',
    'arrogeant',
    'arrogeassiez',
    'arrogent',
    'arrogeons',
    'arroger',
    'arrogera',
    'arrogerai',
    'arrogeraient',
    'arrogerais',
    'arrogerait',
    'arrogeras',
    'arrogerez',
    'arrogeriez',
    'arrogerions',
    'arrogerons',
    'arrogeront',
    'arroges',
    'arrogez',
    'arrogeâmes',
    'arrogeâtes',
    'arrogiez',
    'arrogions',
    'arrogèrent',
    'arrogé',
    'arrogée',
    'arrogées',
    'arrogés',
    'arrondi',
    'arrondie',
    'arrondies',
    'arrondir',
    'arrondira',
    'arrondirai',
    'arrondirais',
    'arrondirait',
    'arrondiras',
    'arrondirent',
    'arrondirez',
    'arrondiriez',
    'arrondirions',
    'arrondirons',
    'arrondiront',
    'arrondis',
    'arrondissage',
    'arrondissais',
    'arrondissait',
    'arrondissant',
    'arrondisse',
    'arrondissent',
    'arrondisses',
    'arrondissez',
    'arrondissiez',
    'arrondissons',
    'arrondit',
    'arrondîmes',
    'arrondît',
    'arrondîtes',
    'arrosa',
    'arrosable',
    'arrosables',
    'arrosage',
    'arrosages',
    'arrosai',
    'arrosaient',
    'arrosais',
    'arrosait',
    'arrosant',
    'arrosas',
    'arrosasse',
    'arrosassent',
    'arrosasses',
    'arrosassiez',
    'arrosassions',
    'arrose',
    'arrosement',
    'arrosements',
    'arrosent',
    'arroser',
    'arrosera',
    'arroserai',
    'arroseraient',
    'arroserais',
    'arroserait',
    'arroseras',
    'arroserez',
    'arroseriez',
    'arroserions',
    'arroserons',
    'arroseront',
    'arroses',
    'arroseur',
    'arroseurs',
    'arroseuse',
    'arroseuses',
    'arrosez',
    'arrosiez',
    'arrosions',
    'arrosoir',
    'arrosoirs',
    'arrosons',
    'arrosâmes',
    'arrosât',
    'arrosâtes',
    'arrosèrent',
    'arrosé',
    'arrosée',
    'arrosées',
    'arrosés',
    'arroyo',
    'arroyos',
    'arrérage',
    'arréragea',
    'arrérageai',
    'arrérageais',
    'arrérageait',
    'arrérageant',
    'arrérageas',
    'arrérageasse',
    'arréragent',
    'arrérageons',
    'arrérager',
    'arréragera',
    'arréragerai',
    'arréragerais',
    'arréragerait',
    'arrérageras',
    'arréragerez',
    'arrérageriez',
    'arréragerons',
    'arrérageront',
    'arrérages',
    'arréragez',
    'arrérageâmes',
    'arrérageât',
    'arrérageâtes',
    'arréragiez',
    'arréragions',
    'arréragèrent',
    'arréragé',
    'arréragée',
    'arréragées',
    'arréragés',
    'arrêt',
    'arrêta',
    'arrêtai',
    'arrêtaient',
    'arrêtais',
    'arrêtait',
    'arrêtant',
    'arrêtas',
    'arrêtasse',
    'arrêtassent',
    'arrêtasses',
    'arrêtassiez',
    'arrêtassions',
    'arrête',
    'arrêtent',
    'arrêter',
    'arrêtera',
    'arrêterai',
    'arrêteraient',
    'arrêterais',
    'arrêterait',
    'arrêteras',
    'arrêterez',
    'arrêteriez',
    'arrêterions',
    'arrêterons',
    'arrêteront',
    'arrêtes',
    'arrêtez',
    'arrêtiez',
    'arrêtions',
    'arrêtiste',
    'arrêtistes',
    'arrêtoir',
    'arrêtoirs',
    'arrêtons',
    'arrêts',
    'arrêtâmes',
    'arrêtât',
    'arrêtâtes',
    'arrêtèrent',
    'arrêté',
    'arrêtée',
    'arrêtées',
    'arrêtés',
    'arsenal',
    'arsenaux',
    'arsenic',
    'arsenical',
    'arsenicale',
    'arsenicales',
    'arsenicaux',
    'arsenics',
    'arsin',
    'arsine',
    'arsines',
    'arsins',
    'arsouille',
    'arsouiller',
    'arsouillerez',
    'arsouilles',
    'arsouillez',
    'arsouilliez',
    'arsouillions',
    'arsouillons',
    'arsouillâmes',
    'arsouillâtes',
    'arsouillé',
    'arsouillée',
    'arsouillées',
    'arsouillés',
    'arséniate',
    'arséniates',
    'arsénieux',
    'arsénite',
    'arsénites',
    'arséniure',
    'arséniures',
    'artefact',
    'artefacts',
    'artel',
    'artels',
    'arthralgie',
    'arthralgies',
    'arthrite',
    'arthrites',
    'arthritique',
    'arthritiques',
    'arthritisme',
    'arthritismes',
    'arthrodie',
    'arthrodies',
    'arthropathie',
    'arthropode',
    'arthropodes',
    'arthrose',
    'arthroses',
    'artichaut',
    'artichauts',
    'article',
    'articles',
    'articula',
    'articulai',
    'articulaient',
    'articulaire',
    'articulaires',
    'articulais',
    'articulait',
    'articulant',
    'articulas',
    'articulasse',
    'articulasses',
    'articulation',
    'articule',
    'articulent',
    'articuler',
    'articulera',
    'articulerai',
    'articulerais',
    'articulerait',
    'articuleras',
    'articulerez',
    'articuleriez',
    'articulerons',
    'articuleront',
    'articules',
    'articulet',
    'articulets',
    'articulez',
    'articuliez',
    'articulions',
    'articulons',
    'articulâmes',
    'articulât',
    'articulâtes',
    'articulèrent',
    'articulé',
    'articulée',
    'articulées',
    'articulés',
    'artifice',
    'artifices',
    'artificiel',
    'artificielle',
    'artificiels',
    'artificier',
    'artificiers',
    'artificieuse',
    'artificieux',
    'artillerie',
    'artilleries',
    'artilleur',
    'artilleurs',
    'artimon',
    'artimons',
    'artisan',
    'artisanal',
    'artisanale',
    'artisanales',
    'artisanat',
    'artisanats',
    'artisanaux',
    'artisans',
    'artiste',
    'artistement',
    'artistes',
    'artistique',
    'artistiques',
    'artocarpe',
    'artocarpes',
    'arts',
    'artère',
    'artères',
    'artériel',
    'artérielle',
    'artérielles',
    'artériels',
    'artériole',
    'artérioles',
    'artériotomie',
    'artérite',
    'artérites',
    'artéritique',
    'artéritiques',
    'artésien',
    'artésienne',
    'artésiennes',
    'artésiens',
    'arum',
    'arums',
    'aruspice',
    'aruspices',
    'aryen',
    'aryenne',
    'aryennes',
    'aryens',
    'aryle',
    'aryles',
    'arythmie',
    'arythmies',
    'aryténoïde',
    'aryténoïdes',
    'arçon',
    'arçonna',
    'arçonnai',
    'arçonnaient',
    'arçonnais',
    'arçonnait',
    'arçonnant',
    'arçonnas',
    'arçonnasse',
    'arçonnassent',
    'arçonnasses',
    'arçonnassiez',
    'arçonne',
    'arçonnent',
    'arçonner',
    'arçonnera',
    'arçonnerai',
    'arçonnerais',
    'arçonnerait',
    'arçonneras',
    'arçonnerez',
    'arçonneriez',
    'arçonnerions',
    'arçonnerons',
    'arçonneront',
    'arçonnes',
    'arçonnez',
    'arçonniez',
    'arçonnions',
    'arçonnons',
    'arçonnâmes',
    'arçonnât',
    'arçonnâtes',
    'arçonnèrent',
    'arçonné',
    'arçonnée',
    'arçonnées',
    'arçonnés',
    'arçons',
    'arène',
    'arènes',
    'aréflexie',
    'aréflexies',
    'aréique',
    'aréiques',
    'arénacé',
    'arénacée',
    'arénacées',
    'arénacés',
    'arénicole',
    'arénicoles',
    'aréolaire',
    'aréolaires',
    'aréole',
    'aréoles',
    'aréomètre',
    'aréomètres',
    'aréométrie',
    'aréométries',
    'aréopage',
    'aréopages',
    'aréostyle',
    'aréostyles',
    'aréquier',
    'aréquiers',
    'arête',
    'arêtes',
    'arêtiere',
    'arêtieres',
    'arôme',
    'arômes',
    'asbeste',
    'asbestes',
    'asbestose',
    'asbestoses',
    'ascaride',
    'ascarides',
    'ascaridiase',
    'ascaridiases',
    'ascaridiose',
    'ascaridioses',
    'ascaris',
    'ascendance',
    'ascendances',
    'ascendant',
    'ascendante',
    'ascendantes',
    'ascendants',
    'ascenseur',
    'ascenseurs',
    'ascension',
    'ascensionna',
    'ascensionnai',
    'ascensionnas',
    'ascensionne',
    'ascensionnel',
    'ascensionner',
    'ascensionnes',
    'ascensionnez',
    'ascensionnât',
    'ascensionné',
    'ascensionnée',
    'ascensionnés',
    'ascensions',
    'ascidie',
    'ascidies',
    'ascite',
    'ascites',
    'ascitique',
    'ascitiques',
    'asclépiade',
    'asclépiades',
    'ascèse',
    'ascèses',
    'ascète',
    'ascètes',
    'ascétique',
    'ascétiques',
    'ascétisme',
    'ascétismes',
    'asepsie',
    'asepsies',
    'aseptique',
    'aseptiques',
    'aseptisa',
    'aseptisai',
    'aseptisaient',
    'aseptisais',
    'aseptisait',
    'aseptisant',
    'aseptisas',
    'aseptisasse',
    'aseptisasses',
    'aseptisation',
    'aseptise',
    'aseptisent',
    'aseptiser',
    'aseptisera',
    'aseptiserai',
    'aseptiserais',
    'aseptiserait',
    'aseptiseras',
    'aseptiserez',
    'aseptiseriez',
    'aseptiserons',
    'aseptiseront',
    'aseptises',
    'aseptisez',
    'aseptisiez',
    'aseptisions',
    'aseptisons',
    'aseptisâmes',
    'aseptisât',
    'aseptisâtes',
    'aseptisèrent',
    'aseptisé',
    'aseptisée',
    'aseptisées',
    'aseptisés',
    'asexualité',
    'asexualités',
    'asexuel',
    'asexuelle',
    'asexuelles',
    'asexuels',
    'asexué',
    'asexuée',
    'asexuées',
    'asexués',
    'ashkénaze',
    'ashkénazes',
    'ashram',
    'ashrams',
    'asialie',
    'asialies',
    'asiatique',
    'asiatiques',
    'asilaire',
    'asilaires',
    'asile',
    'asiles',
    'asinien',
    'asinienne',
    'asiniennes',
    'asiniens',
    'asociabilité',
    'asocial',
    'asociale',
    'asociales',
    'asociaux',
    'asparagine',
    'asparagines',
    'asparagus',
    'aspartate',
    'aspartates',
    'aspartique',
    'aspartiques',
    'aspe',
    'aspect',
    'aspecta',
    'aspectai',
    'aspectaient',
    'aspectais',
    'aspectait',
    'aspectant',
    'aspectas',
    'aspectasse',
    'aspectassent',
    'aspectasses',
    'aspectassiez',
    'aspecte',
    'aspectent',
    'aspecter',
    'aspectera',
    'aspecterai',
    'aspecterais',
    'aspecterait',
    'aspecteras',
    'aspecterez',
    'aspecteriez',
    'aspecterions',
    'aspecterons',
    'aspecteront',
    'aspectes',
    'aspectez',
    'aspectiez',
    'aspections',
    'aspectons',
    'aspects',
    'aspectâmes',
    'aspectât',
    'aspectâtes',
    'aspectèrent',
    'aspecté',
    'aspectée',
    'aspectées',
    'aspectés',
    'asperge',
    'aspergea',
    'aspergeai',
    'aspergeaient',
    'aspergeais',
    'aspergeait',
    'aspergeant',
    'aspergeas',
    'aspergeasse',
    'aspergeasses',
    'aspergent',
    'aspergeons',
    'asperger',
    'aspergera',
    'aspergerai',
    'aspergerais',
    'aspergerait',
    'aspergeras',
    'aspergerez',
    'aspergeriez',
    'aspergerions',
    'aspergerons',
    'aspergeront',
    'asperges',
    'aspergez',
    'aspergeâmes',
    'aspergeât',
    'aspergeâtes',
    'aspergiez',
    'aspergille',
    'aspergilles',
    'aspergillose',
    'aspergions',
    'aspergèrent',
    'aspergé',
    'aspergée',
    'aspergées',
    'aspergés',
    'aspermatisme',
    'asperme',
    'aspermes',
    'aspersion',
    'aspersions',
    'aspersoir',
    'aspersoirs',
    'aspes',
    'asphalta',
    'asphaltage',
    'asphaltages',
    'asphaltai',
    'asphaltaient',
    'asphaltais',
    'asphaltait',
    'asphaltant',
    'asphaltas',
    'asphaltasse',
    'asphaltasses',
    'asphalte',
    'asphaltent',
    'asphalter',
    'asphaltera',
    'asphalterai',
    'asphalterais',
    'asphalterait',
    'asphalteras',
    'asphalterez',
    'asphalteriez',
    'asphalterons',
    'asphalteront',
    'asphaltes',
    'asphaltez',
    'asphaltiez',
    'asphaltions',
    'asphaltons',
    'asphaltâmes',
    'asphaltât',
    'asphaltâtes',
    'asphaltèrent',
    'asphalté',
    'asphaltée',
    'asphaltées',
    'asphaltés',
    'asphodèle',
    'asphodèles',
    'asphyxia',
    'asphyxiai',
    'asphyxiaient',
    'asphyxiais',
    'asphyxiait',
    'asphyxiant',
    'asphyxiante',
    'asphyxiantes',
    'asphyxiants',
    'asphyxias',
    'asphyxiasse',
    'asphyxiasses',
    'asphyxie',
    'asphyxient',
    'asphyxier',
    'asphyxiera',
    'asphyxierai',
    'asphyxierais',
    'asphyxierait',
    'asphyxieras',
    'asphyxierez',
    'asphyxieriez',
    'asphyxierons',
    'asphyxieront',
    'asphyxies',
    'asphyxiez',
    'asphyxiiez',
    'asphyxiions',
    'asphyxions',
    'asphyxiâmes',
    'asphyxiât',
    'asphyxiâtes',
    'asphyxièrent',
    'asphyxié',
    'asphyxiée',
    'asphyxiées',
    'asphyxiés',
    'aspic',
    'aspics',
    'aspidistra',
    'aspidistras',
    'aspira',
    'aspirai',
    'aspiraient',
    'aspirais',
    'aspirait',
    'aspirant',
    'aspirante',
    'aspirantes',
    'aspirants',
    'aspiras',
    'aspirasse',
    'aspirassent',
    'aspirasses',
    'aspirassiez',
    'aspirassions',
    'aspirateur',
    'aspirateurs',
    'aspiration',
    'aspirations',
    'aspiratoire',
    'aspiratoires',
    'aspire',
    'aspirent',
    'aspirer',
    'aspirera',
    'aspirerai',
    'aspireraient',
    'aspirerais',
    'aspirerait',
    'aspireras',
    'aspirerez',
    'aspireriez',
    'aspirerions',
    'aspirerons',
    'aspireront',
    'aspires',
    'aspirez',
    'aspiriez',
    'aspirine',
    'aspirines',
    'aspirions',
    'aspirons',
    'aspirâmes',
    'aspirât',
    'aspirâtes',
    'aspirèrent',
    'aspiré',
    'aspirée',
    'aspirées',
    'aspirés',
    'aspérité',
    'aspérités',
    'asque',
    'asques',
    'assagi',
    'assagie',
    'assagies',
    'assagir',
    'assagira',
    'assagirai',
    'assagiraient',
    'assagirais',
    'assagirait',
    'assagiras',
    'assagirent',
    'assagirez',
    'assagiriez',
    'assagirions',
    'assagirons',
    'assagiront',
    'assagis',
    'assagissais',
    'assagissait',
    'assagissant',
    'assagisse',
    'assagissent',
    'assagisses',
    'assagissez',
    'assagissiez',
    'assagissions',
    'assagissons',
    'assagit',
    'assagîmes',
    'assagît',
    'assagîtes',
    'assai',
    'assaillaient',
    'assaillais',
    'assaillait',
    'assaillant',
    'assaillante',
    'assaillantes',
    'assaillants',
    'assaille',
    'assaillent',
    'assailles',
    'assaillez',
    'assailli',
    'assaillie',
    'assaillies',
    'assailliez',
    'assaillions',
    'assaillir',
    'assaillira',
    'assaillirai',
    'assaillirais',
    'assaillirait',
    'assailliras',
    'assaillirent',
    'assaillirez',
    'assailliriez',
    'assaillirons',
    'assailliront',
    'assaillis',
    'assaillisse',
    'assaillisses',
    'assaillit',
    'assaillons',
    'assaillîmes',
    'assaillît',
    'assaillîtes',
    'assaini',
    'assainie',
    'assainies',
    'assainir',
    'assainira',
    'assainirai',
    'assainirais',
    'assainirait',
    'assainiras',
    'assainirent',
    'assainirez',
    'assainiriez',
    'assainirions',
    'assainirons',
    'assainiront',
    'assainis',
    'assainissais',
    'assainissait',
    'assainissant',
    'assainisse',
    'assainissent',
    'assainisses',
    'assainisseur',
    'assainissez',
    'assainissiez',
    'assainissons',
    'assainit',
    'assainîmes',
    'assainît',
    'assainîtes',
    'assaisonna',
    'assaisonnai',
    'assaisonnais',
    'assaisonnait',
    'assaisonnant',
    'assaisonnas',
    'assaisonne',
    'assaisonnent',
    'assaisonner',
    'assaisonnera',
    'assaisonnes',
    'assaisonnez',
    'assaisonniez',
    'assaisonnons',
    'assaisonnât',
    'assaisonné',
    'assaisonnée',
    'assaisonnées',
    'assaisonnés',
    'assarmenta',
    'assarmentai',
    'assarmentais',
    'assarmentait',
    'assarmentant',
    'assarmentas',
    'assarmente',
    'assarmentent',
    'assarmenter',
    'assarmentera',
    'assarmentes',
    'assarmentez',
    'assarmentiez',
    'assarmentons',
    'assarmentât',
    'assarmenté',
    'assarmentée',
    'assarmentées',
    'assarmentés',
    'assassin',
    'assassina',
    'assassinai',
    'assassinais',
    'assassinait',
    'assassinant',
    'assassinas',
    'assassinasse',
    'assassinat',
    'assassinats',
    'assassine',
    'assassinent',
    'assassiner',
    'assassinera',
    'assassinerai',
    'assassineras',
    'assassinerez',
    'assassines',
    'assassinez',
    'assassiniez',
    'assassinions',
    'assassinons',
    'assassins',
    'assassinâmes',
    'assassinât',
    'assassinâtes',
    'assassiné',
    'assassinée',
    'assassinées',
    'assassinés',
    'assaut',
    'assauts',
    'asse',
    'assembla',
    'assemblage',
    'assemblages',
    'assemblai',
    'assemblaient',
    'assemblais',
    'assemblait',
    'assemblant',
    'assemblas',
    'assemblasse',
    'assemblasses',
    'assemble',
    'assemblent',
    'assembler',
    'assemblera',
    'assemblerai',
    'assemblerais',
    'assemblerait',
    'assembleras',
    'assemblerez',
    'assembleriez',
    'assemblerons',
    'assembleront',
    'assembles',
    'assembleur',
    'assembleurs',
    'assembleuse',
    'assembleuses',
    'assemblez',
    'assembliez',
    'assemblions',
    'assemblons',
    'assemblâmes',
    'assemblât',
    'assemblâtes',
    'assemblèrent',
    'assemblé',
    'assemblée',
    'assemblées',
    'assemblés',
    'assena',
    'assenai',
    'assenaient',
    'assenais',
    'assenait',
    'assenant',
    'assenas',
    'assenasse',
    'assenassent',
    'assenasses',
    'assenassiez',
    'assenassions',
    'assener',
    'assenez',
    'asseniez',
    'assenions',
    'assenons',
    'assentiment',
    'assentiments',
    'assenâmes',
    'assenât',
    'assenâtes',
    'assenèrent',
    'assené',
    'assenée',
    'assenées',
    'assenés',
    'asseoir',
    'assermenta',
    'assermentai',
    'assermentais',
    'assermentait',
    'assermentant',
    'assermentas',
    'assermente',
    'assermentent',
    'assermenter',
    'assermentera',
    'assermentes',
    'assermentez',
    'assermentiez',
    'assermentons',
    'assermentât',
    'assermenté',
    'assermentée',
    'assermentées',
    'assermentés',
    'assertion',
    'assertions',
    'asservi',
    'asservie',
    'asservies',
    'asservir',
    'asservira',
    'asservirai',
    'asservirais',
    'asservirait',
    'asserviras',
    'asservirent',
    'asservirez',
    'asserviriez',
    'asservirions',
    'asservirons',
    'asserviront',
    'asservis',
    'asservissais',
    'asservissait',
    'asservissant',
    'asservisse',
    'asservissent',
    'asservisses',
    'asservisseur',
    'asservissez',
    'asservissiez',
    'asservissons',
    'asservit',
    'asservîmes',
    'asservît',
    'asservîtes',
    'asses',
    'assesseur',
    'assesseurs',
    'asseyaient',
    'asseyais',
    'asseyait',
    'asseyant',
    'asseye',
    'asseyent',
    'asseyes',
    'asseyez',
    'asseyiez',
    'asseyions',
    'asseyons',
    'assez',
    'assibila',
    'assibilai',
    'assibilaient',
    'assibilais',
    'assibilait',
    'assibilant',
    'assibilas',
    'assibilasse',
    'assibilasses',
    'assibilation',
    'assibile',
    'assibilent',
    'assibiler',
    'assibilera',
    'assibilerai',
    'assibilerais',
    'assibilerait',
    'assibileras',
    'assibilerez',
    'assibileriez',
    'assibilerons',
    'assibileront',
    'assibiles',
    'assibilez',
    'assibiliez',
    'assibilions',
    'assibilons',
    'assibilâmes',
    'assibilât',
    'assibilâtes',
    'assibilèrent',
    'assibilé',
    'assibilée',
    'assibilées',
    'assibilés',
    'assidu',
    'assidue',
    'assidues',
    'assiduité',
    'assiduités',
    'assidus',
    'assidûment',
    'assied',
    'assieds',
    'assiette',
    'assiettes',
    'assiettée',
    'assiettées',
    'assigna',
    'assignable',
    'assignables',
    'assignai',
    'assignaient',
    'assignais',
    'assignait',
    'assignant',
    'assignas',
    'assignasse',
    'assignassent',
    'assignasses',
    'assignassiez',
    'assignat',
    'assignation',
    'assignations',
    'assignats',
    'assigne',
    'assignent',
    'assigner',
    'assignera',
    'assignerai',
    'assignerais',
    'assignerait',
    'assigneras',
    'assignerez',
    'assigneriez',
    'assignerions',
    'assignerons',
    'assigneront',
    'assignes',
    'assignez',
    'assigniez',
    'assignions',
    'assignons',
    'assignâmes',
    'assignât',
    'assignâtes',
    'assignèrent',
    'assigné',
    'assignée',
    'assignées',
    'assignés',
    'assimila',
    'assimilable',
    'assimilables',
    'assimilai',
    'assimilaient',
    'assimilais',
    'assimilait',
    'assimilant',
    'assimilas',
    'assimilasse',
    'assimilasses',
    'assimilateur',
    'assimilation',
    'assimile',
    'assimilent',
    'assimiler',
    'assimilera',
    'assimilerai',
    'assimilerais',
    'assimilerait',
    'assimileras',
    'assimilerez',
    'assimileriez',
    'assimilerons',
    'assimileront',
    'assimiles',
    'assimilez',
    'assimiliez',
    'assimilions',
    'assimilons',
    'assimilâmes',
    'assimilât',
    'assimilâtes',
    'assimilèrent',
    'assimilé',
    'assimilée',
    'assimilées',
    'assimilés',
    'assirent',
    'assis',
    'assise',
    'assises',
    'assisse',
    'assissent',
    'assisses',
    'assissiez',
    'assissions',
    'assista',
    'assistai',
    'assistaient',
    'assistais',
    'assistait',
    'assistanat',
    'assistanats',
    'assistance',
    'assistances',
    'assistant',
    'assistante',
    'assistantes',
    'assistants',
    'assistas',
    'assistasse',
    'assistassent',
    'assistasses',
    'assistassiez',
    'assiste',
    'assistent',
    'assister',
    'assistera',
    'assisterai',
    'assisterais',
    'assisterait',
    'assisteras',
    'assisterez',
    'assisteriez',
    'assisterions',
    'assisterons',
    'assisteront',
    'assistes',
    'assistez',
    'assistiez',
    'assistions',
    'assistons',
    'assistâmes',
    'assistât',
    'assistâtes',
    'assistèrent',
    'assisté',
    'assistée',
    'assistées',
    'assistés',
    'assit',
    'assiège',
    'assiègent',
    'assièges',
    'assiégea',
    'assiégeai',
    'assiégeaient',
    'assiégeais',
    'assiégeait',
    'assiégeant',
    'assiégeante',
    'assiégeantes',
    'assiégeants',
    'assiégeas',
    'assiégeasse',
    'assiégeasses',
    'assiégeons',
    'assiéger',
    'assiégera',
    'assiégerai',
    'assiégerais',
    'assiégerait',
    'assiégeras',
    'assiégerez',
    'assiégeriez',
    'assiégerions',
    'assiégerons',
    'assiégeront',
    'assiégez',
    'assiégeâmes',
    'assiégeât',
    'assiégeâtes',
    'assiégiez',
    'assiégions',
    'assiégèrent',
    'assiégé',
    'assiégée',
    'assiégées',
    'assiégés',
    'assiéra',
    'assiérai',
    'assiéraient',
    'assiérais',
    'assiérait',
    'assiéras',
    'assiérez',
    'assiériez',
    'assiérions',
    'assiérons',
    'assiéront',
    'associa',
    'associai',
    'associaient',
    'associais',
    'associait',
    'associant',
    'associas',
    'associasse',
    'associassent',
    'associasses',
    'associassiez',
    'associatif',
    'associatifs',
    'association',
    'associations',
    'associative',
    'associatives',
    'associe',
    'associent',
    'associer',
    'associera',
    'associerai',
    'associerais',
    'associerait',
    'associeras',
    'associerez',
    'associeriez',
    'associerions',
    'associerons',
    'associeront',
    'associes',
    'associez',
    'associiez',
    'associions',
    'associons',
    'associâmes',
    'associât',
    'associâtes',
    'associèrent',
    'associé',
    'associée',
    'associées',
    'associés',
    'assoie',
    'assoient',
    'assoies',
    'assoiffant',
    'assoiffer',
    'assoiffé',
    'assoiffée',
    'assoiffées',
    'assoiffés',
    'assoira',
    'assoirai',
    'assoiraient',
    'assoirais',
    'assoirait',
    'assoiras',
    'assoirez',
    'assoiriez',
    'assoirions',
    'assoirons',
    'assoiront',
    'assois',
    'assoit',
    'assola',
    'assolai',
    'assolaient',
    'assolais',
    'assolait',
    'assolant',
    'assolas',
    'assolasse',
    'assolassent',
    'assolasses',
    'assolassiez',
    'assolassions',
    'assole',
    'assolement',
    'assolements',
    'assolent',
    'assoler',
    'assolera',
    'assolerai',
    'assoleraient',
    'assolerais',
    'assolerait',
    'assoleras',
    'assolerez',
    'assoleriez',
    'assolerions',
    'assolerons',
    'assoleront',
    'assoles',
    'assolez',
    'assoliez',
    'assolions',
    'assolons',
    'assolâmes',
    'assolât',
    'assolâtes',
    'assolèrent',
    'assolé',
    'assolée',
    'assolées',
    'assolés',
    'assombri',
    'assombrie',
    'assombries',
    'assombrir',
    'assombrira',
    'assombrirai',
    'assombrirais',
    'assombrirait',
    'assombriras',
    'assombrirent',
    'assombrirez',
    'assombririez',
    'assombrirons',
    'assombriront',
    'assombris',
    'assombrisse',
    'assombrisses',
    'assombrissez',
    'assombrit',
    'assombrîmes',
    'assombrît',
    'assombrîtes',
    'assomma',
    'assommai',
    'assommaient',
    'assommais',
    'assommait',
    'assommant',
    'assommante',
    'assommantes',
    'assommants',
    'assommas',
    'assommasse',
    'assommassent',
    'assommasses',
    'assommassiez',
    'assomme',
    'assomment',
    'assommer',
    'assommera',
    'assommerai',
    'assommerais',
    'assommerait',
    'assommeras',
    'assommerez',
    'assommeriez',
    'assommerions',
    'assommerons',
    'assommeront',
    'assommes',
    'assommeur',
    'assommeurs',
    'assommez',
    'assommiez',
    'assommions',
    'assommoir',
    'assommoirs',
    'assommons',
    'assommâmes',
    'assommât',
    'assommâtes',
    'assommèrent',
    'assommé',
    'assommée',
    'assommées',
    'assommés',
    'assomption',
    'assomptions',
    'assona',
    'assonai',
    'assonaient',
    'assonais',
    'assonait',
    'assonance',
    'assonances',
    'assonancé',
    'assonancée',
    'assonancées',
    'assonancés',
    'assonant',
    'assonante',
    'assonantes',
    'assonants',
    'assonas',
    'assonasse',
    'assonassent',
    'assonasses',
    'assonassiez',
    'assonassions',
    'assone',
    'assonent',
    'assoner',
    'assonera',
    'assonerai',
    'assoneraient',
    'assonerais',
    'assonerait',
    'assoneras',
    'assonerez',
    'assoneriez',
    'assonerions',
    'assonerons',
    'assoneront',
    'assones',
    'assonez',
    'assoniez',
    'assonions',
    'assonons',
    'assonâmes',
    'assonât',
    'assonâtes',
    'assonèrent',
    'assoné',
    'assorti',
    'assortie',
    'assorties',
    'assortiment',
    'assortiments',
    'assortir',
    'assortira',
    'assortirai',
    'assortirais',
    'assortirait',
    'assortiras',
    'assortirent',
    'assortirez',
    'assortiriez',
    'assortirions',
    'assortirons',
    'assortiront',
    'assortis',
    'assortissais',
    'assortissait',
    'assortissant',
    'assortisse',
    'assortissent',
    'assortisses',
    'assortissez',
    'assortissiez',
    'assortissons',
    'assortit',
    'assortîmes',
    'assortît',
    'assortîtes',
    'assoupi',
    'assoupie',
    'assoupies',
    'assoupir',
    'assoupira',
    'assoupirai',
    'assoupirais',
    'assoupirait',
    'assoupiras',
    'assoupirent',
    'assoupirez',
    'assoupiriez',
    'assoupirions',
    'assoupirons',
    'assoupiront',
    'assoupis',
    'assoupissais',
    'assoupissait',
    'assoupissant',
    'assoupisse',
    'assoupissent',
    'assoupisses',
    'assoupissez',
    'assoupissiez',
    'assoupissons',
    'assoupit',
    'assoupli',
    'assouplie',
    'assouplies',
    'assouplir',
    'assouplira',
    'assouplirai',
    'assouplirais',
    'assouplirait',
    'assoupliras',
    'assouplirent',
    'assouplirez',
    'assoupliriez',
    'assouplirons',
    'assoupliront',
    'assouplis',
    'assouplisse',
    'assouplisses',
    'assouplissez',
    'assouplit',
    'assouplîmes',
    'assouplît',
    'assouplîtes',
    'assoupîmes',
    'assoupît',
    'assoupîtes',
    'assourdi',
    'assourdie',
    'assourdies',
    'assourdir',
    'assourdira',
    'assourdirai',
    'assourdirais',
    'assourdirait',
    'assourdiras',
    'assourdirent',
    'assourdirez',
    'assourdiriez',
    'assourdirons',
    'assourdiront',
    'assourdis',
    'assourdisse',
    'assourdisses',
    'assourdissez',
    'assourdit',
    'assourdîmes',
    'assourdît',
    'assourdîtes',
    'assouvi',
    'assouvie',
    'assouvies',
    'assouvir',
    'assouvira',
    'assouvirai',
    'assouvirais',
    'assouvirait',
    'assouviras',
    'assouvirent',
    'assouvirez',
    'assouviriez',
    'assouvirions',
    'assouvirons',
    'assouviront',
    'assouvis',
    'assouvissais',
    'assouvissait',
    'assouvissant',
    'assouvisse',
    'assouvissent',
    'assouvisses',
    'assouvissez',
    'assouvissiez',
    'assouvissons',
    'assouvit',
    'assouvîmes',
    'assouvît',
    'assouvîtes',
    'assoyaient',
    'assoyais',
    'assoyait',
    'assoyant',
    'assoyez',
    'assoyiez',
    'assoyions',
    'assoyons',
    'assujetti',
    'assujettie',
    'assujetties',
    'assujettir',
    'assujettira',
    'assujettirai',
    'assujettiras',
    'assujettirez',
    'assujettis',
    'assujettisse',
    'assujettit',
    'assujettîmes',
    'assujettît',
    'assujettîtes',
    'assuma',
    'assumai',
    'assumaient',
    'assumais',
    'assumait',
    'assumant',
    'assumas',
    'assumasse',
    'assumassent',
    'assumasses',
    'assumassiez',
    'assumassions',
    'assume',
    'assument',
    'assumer',
    'assumera',
    'assumerai',
    'assumeraient',
    'assumerais',
    'assumerait',
    'assumeras',
    'assumerez',
    'assumeriez',
    'assumerions',
    'assumerons',
    'assumeront',
    'assumes',
    'assumez',
    'assumiez',
    'assumions',
    'assumons',
    'assumâmes',
    'assumât',
    'assumâtes',
    'assumèrent',
    'assumé',
    'assumée',
    'assumées',
    'assumés',
    'assura',
    'assurable',
    'assurables',
    'assurai',
    'assuraient',
    'assurais',
    'assurait',
    'assurance',
    'assurances',
    'assurant',
    'assuras',
    'assurasse',
    'assurassent',
    'assurasses',
    'assurassiez',
    'assurassions',
    'assure',
    'assurent',
    'assurer',
    'assurera',
    'assurerai',
    'assureraient',
    'assurerais',
    'assurerait',
    'assureras',
    'assurerez',
    'assureriez',
    'assurerions',
    'assurerons',
    'assureront',
    'assures',
    'assureur',
    'assureurs',
    'assurez',
    'assuriez',
    'assurions',
    'assurons',
    'assurâmes',
    'assurât',
    'assurâtes',
    'assurèrent',
    'assuré',
    'assurée',
    'assurées',
    'assurément',
    'assurés',
    'assuétude',
    'assuétudes',
    'assyrien',
    'assyrienne',
    'assyriennes',
    'assyriens',
    'assyriologie',
    'assyriologue',
    'assèche',
    'assèchement',
    'assèchements',
    'assèchent',
    'assèches',
    'assène',
    'assènent',
    'assènera',
    'assènerai',
    'assèneraient',
    'assènerais',
    'assènerait',
    'assèneras',
    'assènerez',
    'assèneriez',
    'assènerions',
    'assènerons',
    'assèneront',
    'assènes',
    'assécha',
    'asséchai',
    'asséchaient',
    'asséchais',
    'asséchait',
    'asséchant',
    'asséchas',
    'asséchasse',
    'asséchassent',
    'asséchasses',
    'asséchassiez',
    'assécher',
    'asséchera',
    'assécherai',
    'assécherais',
    'assécherait',
    'assécheras',
    'assécherez',
    'assécheriez',
    'assécherions',
    'assécherons',
    'assécheront',
    'asséchez',
    'asséchiez',
    'asséchions',
    'asséchons',
    'asséchâmes',
    'asséchât',
    'asséchâtes',
    'asséchèrent',
    'asséché',
    'asséchée',
    'asséchées',
    'asséchés',
    'asséna',
    'assénai',
    'assénaient',
    'assénais',
    'assénait',
    'assénant',
    'assénas',
    'assénasse',
    'assénassent',
    'assénasses',
    'assénassiez',
    'assénassions',
    'asséner',
    'assénera',
    'assénerai',
    'asséneraient',
    'assénerais',
    'assénerait',
    'asséneras',
    'assénerez',
    'asséneriez',
    'assénerions',
    'assénerons',
    'asséneront',
    'assénez',
    'asséniez',
    'assénions',
    'assénons',
    'assénâmes',
    'assénât',
    'assénâtes',
    'assénèrent',
    'asséné',
    'assénée',
    'assénées',
    'assénés',
    'assîmes',
    'assît',
    'assîtes',
    'astasie',
    'astasies',
    'astate',
    'astates',
    'astatique',
    'astatiques',
    'aster',
    'asters',
    'asthmatique',
    'asthmatiques',
    'asthme',
    'asthmes',
    'asthénie',
    'asthénies',
    'asthénique',
    'asthéniques',
    'asti',
    'asticot',
    'asticota',
    'asticotai',
    'asticotaient',
    'asticotais',
    'asticotait',
    'asticotant',
    'asticotas',
    'asticotasse',
    'asticotasses',
    'asticote',
    'asticotent',
    'asticoter',
    'asticotera',
    'asticoterai',
    'asticoterais',
    'asticoterait',
    'asticoteras',
    'asticoterez',
    'asticoteriez',
    'asticoterons',
    'asticoteront',
    'asticotes',
    'asticotez',
    'asticotiez',
    'asticotions',
    'asticotons',
    'asticots',
    'asticotâmes',
    'asticotât',
    'asticotâtes',
    'asticotèrent',
    'asticoté',
    'asticotée',
    'asticotées',
    'asticotés',
    'astigmate',
    'astigmates',
    'astigmatisme',
    'astiqua',
    'astiquage',
    'astiquages',
    'astiquai',
    'astiquaient',
    'astiquais',
    'astiquait',
    'astiquant',
    'astiquas',
    'astiquasse',
    'astiquassent',
    'astiquasses',
    'astiquassiez',
    'astique',
    'astiquent',
    'astiquer',
    'astiquera',
    'astiquerai',
    'astiquerais',
    'astiquerait',
    'astiqueras',
    'astiquerez',
    'astiqueriez',
    'astiquerions',
    'astiquerons',
    'astiqueront',
    'astiques',
    'astiquez',
    'astiquiez',
    'astiquions',
    'astiquons',
    'astiquâmes',
    'astiquât',
    'astiquâtes',
    'astiquèrent',
    'astiqué',
    'astiquée',
    'astiquées',
    'astiqués',
    'astis',
    'astragale',
    'astragales',
    'astrakan',
    'astrakans',
    'astral',
    'astrale',
    'astrales',
    'astraux',
    'astre',
    'astreignais',
    'astreignait',
    'astreignant',
    'astreignante',
    'astreignants',
    'astreigne',
    'astreignent',
    'astreignes',
    'astreignez',
    'astreigniez',
    'astreignions',
    'astreignis',
    'astreignisse',
    'astreignit',
    'astreignons',
    'astreignîmes',
    'astreignît',
    'astreignîtes',
    'astreindra',
    'astreindrai',
    'astreindrais',
    'astreindrait',
    'astreindras',
    'astreindre',
    'astreindrez',
    'astreindriez',
    'astreindrons',
    'astreindront',
    'astreins',
    'astreint',
    'astreinte',
    'astreintes',
    'astreints',
    'astres',
    'astringence',
    'astringences',
    'astringent',
    'astringente',
    'astringentes',
    'astringents',
    'astrolabe',
    'astrolabes',
    'astrologie',
    'astrologies',
    'astrologique',
    'astrologue',
    'astrologues',
    'astrolâtrie',
    'astrolâtries',
    'astrométrie',
    'astrométries',
    'astronaute',
    'astronautes',
    'astronef',
    'astronefs',
    'astronome',
    'astronomes',
    'astronomie',
    'astronomies',
    'astronomique',
    'astuce',
    'astuces',
    'astucieuse',
    'astucieuses',
    'astucieux',
    'astérie',
    'astéries',
    'astérisque',
    'astérisques',
    'astéroïde',
    'astéroïdes',
    'asymptote',
    'asymptotes',
    'asymptotique',
    'asymétrie',
    'asymétries',
    'asymétrique',
    'asymétriques',
    'asynchrone',
    'asynchrones',
    'asyndète',
    'asyndètes',
    'asynergie',
    'asynergies',
    'asystolie',
    'asystolies',
    'ataraxie',
    'ataraxies',
    'ataraxique',
    'ataraxiques',
    'atavique',
    'ataviques',
    'atavisme',
    'atavismes',
    'ataxie',
    'ataxies',
    'ataxique',
    'ataxiques',
    'atelier',
    'ateliers',
    'atemporel',
    'atemporelle',
    'atemporelles',
    'atemporels',
    'atermoie',
    'atermoiement',
    'atermoient',
    'atermoiera',
    'atermoierai',
    'atermoierais',
    'atermoierait',
    'atermoieras',
    'atermoierez',
    'atermoieriez',
    'atermoierons',
    'atermoieront',
    'atermoies',
    'atermoya',
    'atermoyai',
    'atermoyaient',
    'atermoyais',
    'atermoyait',
    'atermoyant',
    'atermoyas',
    'atermoyasse',
    'atermoyasses',
    'atermoyer',
    'atermoyez',
    'atermoyiez',
    'atermoyions',
    'atermoyons',
    'atermoyâmes',
    'atermoyât',
    'atermoyâtes',
    'atermoyèrent',
    'atermoyé',
    'athanor',
    'athanors',
    'athermane',
    'athermanes',
    'athermique',
    'athermiques',
    'athlète',
    'athlètes',
    'athlétique',
    'athlétiques',
    'athlétisme',
    'athlétismes',
    'athymie',
    'athymies',
    'athée',
    'athées',
    'athéisme',
    'athéismes',
    'athématique',
    'athématiques',
    'athénée',
    'athénées',
    'athérome',
    'athéromes',
    'athétose',
    'athétoses',
    'atlante',
    'atlantes',
    'atlantique',
    'atlantiques',
    'atlantisme',
    'atlantismes',
    'atlas',
    'atmosphère',
    'atmosphères',
    'atoll',
    'atolls',
    'atome',
    'atomes',
    'atomicité',
    'atomicités',
    'atomique',
    'atomiques',
    'atomisa',
    'atomisai',
    'atomisaient',
    'atomisais',
    'atomisait',
    'atomisant',
    'atomisas',
    'atomisasse',
    'atomisassent',
    'atomisasses',
    'atomisassiez',
    'atomisation',
    'atomisations',
    'atomise',
    'atomisent',
    'atomiser',
    'atomisera',
    'atomiserai',
    'atomiserais',
    'atomiserait',
    'atomiseras',
    'atomiserez',
    'atomiseriez',
    'atomiserions',
    'atomiserons',
    'atomiseront',
    'atomises',
    'atomiseur',
    'atomiseurs',
    'atomisez',
    'atomisiez',
    'atomisions',
    'atomisme',
    'atomismes',
    'atomisons',
    'atomiste',
    'atomistes',
    'atomistique',
    'atomistiques',
    'atomisâmes',
    'atomisât',
    'atomisâtes',
    'atomisèrent',
    'atomisé',
    'atomisée',
    'atomisées',
    'atomisés',
    'atonal',
    'atonale',
    'atonales',
    'atonalité',
    'atonalités',
    'atonals',
    'atonaux',
    'atone',
    'atones',
    'atonie',
    'atonies',
    'atonique',
    'atoniques',
    'atour',
    'atours',
    'atout',
    'atouts',
    'atoxique',
    'atoxiques',
    'atrabilaire',
    'atrabilaires',
    'atrabile',
    'atrabiles',
    'atrium',
    'atriums',
    'atroce',
    'atrocement',
    'atroces',
    'atrocité',
    'atrocités',
    'atrophia',
    'atrophiai',
    'atrophiaient',
    'atrophiais',
    'atrophiait',
    'atrophiant',
    'atrophias',
    'atrophiasse',
    'atrophiasses',
    'atrophie',
    'atrophient',
    'atrophier',
    'atrophiera',
    'atrophierai',
    'atrophierais',
    'atrophierait',
    'atrophieras',
    'atrophierez',
    'atrophieriez',
    'atrophierons',
    'atrophieront',
    'atrophies',
    'atrophiez',
    'atrophiiez',
    'atrophiions',
    'atrophions',
    'atrophiâmes',
    'atrophiât',
    'atrophiâtes',
    'atrophièrent',
    'atrophié',
    'atrophiée',
    'atrophiées',
    'atrophiés',
    'atropine',
    'atropines',
    'attabla',
    'attablai',
    'attablaient',
    'attablais',
    'attablait',
    'attablant',
    'attablas',
    'attablasse',
    'attablassent',
    'attablasses',
    'attablassiez',
    'attable',
    'attablent',
    'attabler',
    'attablera',
    'attablerai',
    'attablerais',
    'attablerait',
    'attableras',
    'attablerez',
    'attableriez',
    'attablerions',
    'attablerons',
    'attableront',
    'attables',
    'attablez',
    'attabliez',
    'attablions',
    'attablons',
    'attablâmes',
    'attablât',
    'attablâtes',
    'attablèrent',
    'attablé',
    'attablée',
    'attablées',
    'attablés',
    'attacha',
    'attachai',
    'attachaient',
    'attachais',
    'attachait',
    'attachant',
    'attachante',
    'attachantes',
    'attachants',
    'attachas',
    'attachasse',
    'attachassent',
    'attachasses',
    'attachassiez',
    'attache',
    'attachement',
    'attachements',
    'attachent',
    'attacher',
    'attachera',
    'attacherai',
    'attacherais',
    'attacherait',
    'attacheras',
    'attacherez',
    'attacheriez',
    'attacherions',
    'attacherons',
    'attacheront',
    'attaches',
    'attachez',
    'attachiez',
    'attachions',
    'attachons',
    'attachâmes',
    'attachât',
    'attachâtes',
    'attachèrent',
    'attaché',
    'attachée',
    'attachées',
    'attachés',
    'attagène',
    'attagènes',
    'attaqua',
    'attaquable',
    'attaquables',
    'attaquai',
    'attaquaient',
    'attaquais',
    'attaquait',
    'attaquant',
    'attaquante',
    'attaquantes',
    'attaquants',
    'attaquas',
    'attaquasse',
    'attaquassent',
    'attaquasses',
    'attaquassiez',
    'attaque',
    'attaquent',
    'attaquer',
    'attaquera',
    'attaquerai',
    'attaquerais',
    'attaquerait',
    'attaqueras',
    'attaquerez',
    'attaqueriez',
    'attaquerions',
    'attaquerons',
    'attaqueront',
    'attaques',
    'attaquez',
    'attaquiez',
    'attaquions',
    'attaquons',
    'attaquâmes',
    'attaquât',
    'attaquâtes',
    'attaquèrent',
    'attaqué',
    'attaquée',
    'attaquées',
    'attaqués',
    'attarda',
    'attardai',
    'attardaient',
    'attardais',
    'attardait',
    'attardant',
    'attardas',
    'attardasse',
    'attardassent',
    'attardasses',
    'attardassiez',
    'attarde',
    'attardent',
    'attarder',
    'attardera',
    'attarderai',
    'attarderais',
    'attarderait',
    'attarderas',
    'attarderez',
    'attarderiez',
    'attarderions',
    'attarderons',
    'attarderont',
    'attardes',
    'attardez',
    'attardiez',
    'attardions',
    'attardons',
    'attardâmes',
    'attardât',
    'attardâtes',
    'attardèrent',
    'attardé',
    'attardée',
    'attardées',
    'attardés',
    'atteignable',
    'atteignables',
    'atteignaient',
    'atteignais',
    'atteignait',
    'atteignant',
    'atteigne',
    'atteignent',
    'atteignes',
    'atteignez',
    'atteigniez',
    'atteignions',
    'atteignirent',
    'atteignis',
    'atteignisse',
    'atteignisses',
    'atteignit',
    'atteignons',
    'atteignîmes',
    'atteignît',
    'atteignîtes',
    'atteindra',
    'atteindrai',
    'atteindrais',
    'atteindrait',
    'atteindras',
    'atteindre',
    'atteindrez',
    'atteindriez',
    'atteindrions',
    'atteindrons',
    'atteindront',
    'atteins',
    'atteint',
    'atteinte',
    'atteintes',
    'atteints',
    'attela',
    'attelage',
    'attelages',
    'attelai',
    'attelaient',
    'attelais',
    'attelait',
    'attelant',
    'attelas',
    'attelasse',
    'attelassent',
    'attelasses',
    'attelassiez',
    'attelassions',
    'atteler',
    'attelez',
    'atteliez',
    'attelions',
    'attelle',
    'attellent',
    'attellera',
    'attellerai',
    'attellerais',
    'attellerait',
    'attelleras',
    'attellerez',
    'attelleriez',
    'attellerions',
    'attellerons',
    'attelleront',
    'attelles',
    'attelons',
    'attelâmes',
    'attelât',
    'attelâtes',
    'attelèrent',
    'attelé',
    'attelée',
    'attelées',
    'attelés',
    'attenant',
    'attenante',
    'attenantes',
    'attenants',
    'attend',
    'attendaient',
    'attendais',
    'attendait',
    'attendant',
    'attende',
    'attendent',
    'attendes',
    'attendez',
    'attendiez',
    'attendions',
    'attendirent',
    'attendis',
    'attendisse',
    'attendissent',
    'attendisses',
    'attendissiez',
    'attendit',
    'attendons',
    'attendra',
    'attendrai',
    'attendraient',
    'attendrais',
    'attendrait',
    'attendras',
    'attendre',
    'attendrez',
    'attendri',
    'attendrie',
    'attendries',
    'attendriez',
    'attendrions',
    'attendrir',
    'attendrira',
    'attendrirai',
    'attendrirais',
    'attendrirait',
    'attendriras',
    'attendrirent',
    'attendrirez',
    'attendririez',
    'attendrirons',
    'attendriront',
    'attendris',
    'attendrisse',
    'attendrisses',
    'attendrissez',
    'attendrit',
    'attendrons',
    'attendront',
    'attendrîmes',
    'attendrît',
    'attendrîtes',
    'attends',
    'attendu',
    'attendue',
    'attendues',
    'attendus',
    'attendîmes',
    'attendît',
    'attendîtes',
    'attenta',
    'attentai',
    'attentaient',
    'attentais',
    'attentait',
    'attentant',
    'attentas',
    'attentasse',
    'attentassent',
    'attentasses',
    'attentassiez',
    'attentat',
    'attentatoire',
    'attentats',
    'attente',
    'attentent',
    'attenter',
    'attentera',
    'attenterai',
    'attenterais',
    'attenterait',
    'attenteras',
    'attenterez',
    'attenteriez',
    'attenterions',
    'attenterons',
    'attenteront',
    'attentes',
    'attentez',
    'attentiez',
    'attentif',
    'attentifs',
    'attention',
    'attentionné',
    'attentionnée',
    'attentionnés',
    'attentions',
    'attentisme',
    'attentismes',
    'attentiste',
    'attentistes',
    'attentive',
    'attentives',
    'attentons',
    'attentâmes',
    'attentât',
    'attentâtes',
    'attentèrent',
    'attenté',
    'atterra',
    'atterrage',
    'atterrages',
    'atterrai',
    'atterraient',
    'atterrais',
    'atterrait',
    'atterrant',
    'atterrante',
    'atterrantes',
    'atterrants',
    'atterras',
    'atterrasse',
    'atterrassent',
    'atterrasses',
    'atterrassiez',
    'atterre',
    'atterrent',
    'atterrer',
    'atterrera',
    'atterrerai',
    'atterrerais',
    'atterrerait',
    'atterreras',
    'atterrerez',
    'atterreriez',
    'atterrerions',
    'atterrerons',
    'atterreront',
    'atterres',
    'atterrez',
    'atterri',
    'atterriez',
    'atterrions',
    'atterrir',
    'atterrira',
    'atterrirai',
    'atterrirais',
    'atterrirait',
    'atterriras',
    'atterrirent',
    'atterrirez',
    'atterririez',
    'atterririons',
    'atterrirons',
    'atterriront',
    'atterris',
    'atterrissage',
    'atterrissais',
    'atterrissait',
    'atterrissant',
    'atterrisse',
    'atterrissent',
    'atterrisses',
    'atterrissez',
    'atterrissiez',
    'atterrissons',
    'atterrit',
    'atterrons',
    'atterrâmes',
    'atterrât',
    'atterrâtes',
    'atterrèrent',
    'atterré',
    'atterrée',
    'atterrées',
    'atterrés',
    'atterrîmes',
    'atterrît',
    'atterrîtes',
    'attesta',
    'attestai',
    'attestaient',
    'attestais',
    'attestait',
    'attestant',
    'attestas',
    'attestasse',
    'attestassent',
    'attestasses',
    'attestassiez',
    'attestation',
    'attestations',
    'atteste',
    'attestent',
    'attester',
    'attestera',
    'attesterai',
    'attesterais',
    'attesterait',
    'attesteras',
    'attesterez',
    'attesteriez',
    'attesterions',
    'attesterons',
    'attesteront',
    'attestes',
    'attestez',
    'attestiez',
    'attestions',
    'attestons',
    'attestâmes',
    'attestât',
    'attestâtes',
    'attestèrent',
    'attesté',
    'attestée',
    'attestées',
    'attestés',
    'atticisme',
    'atticismes',
    'attifa',
    'attifai',
    'attifaient',
    'attifais',
    'attifait',
    'attifant',
    'attifas',
    'attifasse',
    'attifassent',
    'attifasses',
    'attifassiez',
    'attifassions',
    'attife',
    'attifement',
    'attifements',
    'attifent',
    'attifer',
    'attifera',
    'attiferai',
    'attiferaient',
    'attiferais',
    'attiferait',
    'attiferas',
    'attiferez',
    'attiferiez',
    'attiferions',
    'attiferons',
    'attiferont',
    'attifes',
    'attifez',
    'attifiez',
    'attifions',
    'attifons',
    'attifâmes',
    'attifât',
    'attifâtes',
    'attifèrent',
    'attifé',
    'attifée',
    'attifées',
    'attifés',
    'attige',
    'attigea',
    'attigeai',
    'attigeaient',
    'attigeais',
    'attigeait',
    'attigeant',
    'attigeas',
    'attigeasse',
    'attigeassent',
    'attigeasses',
    'attigeassiez',
    'attigent',
    'attigeons',
    'attiger',
    'attigera',
    'attigerai',
    'attigeraient',
    'attigerais',
    'attigerait',
    'attigeras',
    'attigerez',
    'attigeriez',
    'attigerions',
    'attigerons',
    'attigeront',
    'attiges',
    'attigez',
    'attigeâmes',
    'attigeât',
    'attigeâtes',
    'attigiez',
    'attigions',
    'attigèrent',
    'attigé',
    'attique',
    'attiques',
    'attira',
    'attirable',
    'attirables',
    'attirai',
    'attiraient',
    'attirail',
    'attirails',
    'attirais',
    'attirait',
    'attirance',
    'attirances',
    'attirant',
    'attirante',
    'attirantes',
    'attirants',
    'attiras',
    'attirasse',
    'attirassent',
    'attirasses',
    'attirassiez',
    'attirassions',
    'attire',
    'attirent',
    'attirer',
    'attirera',
    'attirerai',
    'attireraient',
    'attirerais',
    'attirerait',
    'attireras',
    'attirerez',
    'attireriez',
    'attirerions',
    'attirerons',
    'attireront',
    'attires',
    'attirez',
    'attiriez',
    'attirions',
    'attirons',
    'attirâmes',
    'attirât',
    'attirâtes',
    'attirèrent',
    'attiré',
    'attirée',
    'attirées',
    'attirés',
    'attisa',
    'attisai',
    'attisaient',
    'attisais',
    'attisait',
    'attisant',
    'attisas',
    'attisasse',
    'attisassent',
    'attisasses',
    'attisassiez',
    'attisassions',
    'attise',
    'attisement',
    'attisements',
    'attisent',
    'attiser',
    'attisera',
    'attiserai',
    'attiseraient',
    'attiserais',
    'attiserait',
    'attiseras',
    'attiserez',
    'attiseriez',
    'attiserions',
    'attiserons',
    'attiseront',
    'attises',
    'attisez',
    'attisiez',
    'attisions',
    'attisons',
    'attisâmes',
    'attisât',
    'attisâtes',
    'attisèrent',
    'attisé',
    'attisée',
    'attisées',
    'attisés',
    'attitra',
    'attitrai',
    'attitraient',
    'attitrais',
    'attitrait',
    'attitrant',
    'attitras',
    'attitrasse',
    'attitrassent',
    'attitrasses',
    'attitrassiez',
    'attitre',
    'attitrent',
    'attitrer',
    'attitrera',
    'attitrerai',
    'attitrerais',
    'attitrerait',
    'attitreras',
    'attitrerez',
    'attitreriez',
    'attitrerions',
    'attitrerons',
    'attitreront',
    'attitres',
    'attitrez',
    'attitriez',
    'attitrions',
    'attitrons',
    'attitrâmes',
    'attitrât',
    'attitrâtes',
    'attitrèrent',
    'attitré',
    'attitrée',
    'attitrées',
    'attitrés',
    'attitude',
    'attitudes',
    'attiédi',
    'attiédie',
    'attiédies',
    'attiédir',
    'attiédira',
    'attiédirai',
    'attiédirais',
    'attiédirait',
    'attiédiras',
    'attiédirent',
    'attiédirez',
    'attiédiriez',
    'attiédirions',
    'attiédirons',
    'attiédiront',
    'attiédis',
    'attiédissais',
    'attiédissait',
    'attiédissant',
    'attiédisse',
    'attiédissent',
    'attiédisses',
    'attiédissez',
    'attiédissiez',
    'attiédissons',
    'attiédit',
    'attiédîmes',
    'attiédît',
    'attiédîtes',
    'attorney',
    'attorneys',
    'attouchement',
    'attracteur',
    'attracteurs',
    'attractif',
    'attractifs',
    'attraction',
    'attractions',
    'attractive',
    'attractives',
    'attrait',
    'attraits',
    'attrapa',
    'attrapade',
    'attrapades',
    'attrapage',
    'attrapages',
    'attrapai',
    'attrapaient',
    'attrapais',
    'attrapait',
    'attrapant',
    'attrapas',
    'attrapasse',
    'attrapassent',
    'attrapasses',
    'attrapassiez',
    'attrape',
    'attrapent',
    'attraper',
    'attrapera',
    'attraperai',
    'attraperais',
    'attraperait',
    'attraperas',
    'attraperez',
    'attraperiez',
    'attraperions',
    'attraperons',
    'attraperont',
    'attrapes',
    'attrapez',
    'attrapiez',
    'attrapions',
    'attrapons',
    'attrapâmes',
    'attrapât',
    'attrapâtes',
    'attrapèrent',
    'attrapé',
    'attrapée',
    'attrapées',
    'attrapés',
    'attrayant',
    'attrayante',
    'attrayantes',
    'attrayants',
    'attremper',
    'attribua',
    'attribuable',
    'attribuables',
    'attribuai',
    'attribuaient',
    'attribuais',
    'attribuait',
    'attribuant',
    'attribuas',
    'attribuasse',
    'attribuasses',
    'attribue',
    'attribuent',
    'attribuer',
    'attribuera',
    'attribuerai',
    'attribuerais',
    'attribuerait',
    'attribueras',
    'attribuerez',
    'attribueriez',
    'attribuerons',
    'attribueront',
    'attribues',
    'attribuez',
    'attribuiez',
    'attribuions',
    'attribuons',
    'attribut',
    'attributaire',
    'attributif',
    'attributifs',
    'attribution',
    'attributions',
    'attributive',
    'attributives',
    'attributs',
    'attribuâmes',
    'attribuât',
    'attribuâtes',
    'attribuèrent',
    'attribué',
    'attribuée',
    'attribuées',
    'attribués',
    'attriqua',
    'attriquai',
    'attriquaient',
    'attriquais',
    'attriquait',
    'attriquant',
    'attriquas',
    'attriquasse',
    'attriquasses',
    'attrique',
    'attriquent',
    'attriquer',
    'attriquera',
    'attriquerai',
    'attriquerais',
    'attriquerait',
    'attriqueras',
    'attriquerez',
    'attriqueriez',
    'attriquerons',
    'attriqueront',
    'attriques',
    'attriquez',
    'attriquiez',
    'attriquions',
    'attriquons',
    'attriquâmes',
    'attriquât',
    'attriquâtes',
    'attriquèrent',
    'attriqué',
    'attriquée',
    'attriquées',
    'attriqués',
    'attrista',
    'attristai',
    'attristaient',
    'attristais',
    'attristait',
    'attristant',
    'attristante',
    'attristantes',
    'attristants',
    'attristas',
    'attristasse',
    'attristasses',
    'attriste',
    'attristent',
    'attrister',
    'attristera',
    'attristerai',
    'attristerais',
    'attristerait',
    'attristeras',
    'attristerez',
    'attristeriez',
    'attristerons',
    'attristeront',
    'attristes',
    'attristez',
    'attristiez',
    'attristions',
    'attristons',
    'attristâmes',
    'attristât',
    'attristâtes',
    'attristèrent',
    'attristé',
    'attristée',
    'attristées',
    'attristés',
    'attrition',
    'attritions',
    'attroupa',
    'attroupai',
    'attroupaient',
    'attroupais',
    'attroupait',
    'attroupant',
    'attroupas',
    'attroupasse',
    'attroupasses',
    'attroupe',
    'attroupement',
    'attroupent',
    'attrouper',
    'attroupera',
    'attrouperai',
    'attrouperais',
    'attrouperait',
    'attrouperas',
    'attrouperez',
    'attrouperiez',
    'attrouperons',
    'attrouperont',
    'attroupes',
    'attroupez',
    'attroupiez',
    'attroupions',
    'attroupons',
    'attroupâmes',
    'attroupât',
    'attroupâtes',
    'attroupèrent',
    'attroupé',
    'attroupée',
    'attroupées',
    'attroupés',
    'atténua',
    'atténuai',
    'atténuaient',
    'atténuais',
    'atténuait',
    'atténuant',
    'atténuante',
    'atténuantes',
    'atténuants',
    'atténuas',
    'atténuasse',
    'atténuassent',
    'atténuasses',
    'atténuassiez',
    'atténuateur',
    'atténuateurs',
    'atténuation',
    'atténuations',
    'atténue',
    'atténuent',
    'atténuer',
    'atténuera',
    'atténuerai',
    'atténuerais',
    'atténuerait',
    'atténueras',
    'atténuerez',
    'atténueriez',
    'atténuerions',
    'atténuerons',
    'atténueront',
    'atténues',
    'atténuez',
    'atténuiez',
    'atténuions',
    'atténuons',
    'atténuâmes',
    'atténuât',
    'atténuâtes',
    'atténuèrent',
    'atténué',
    'atténuée',
    'atténuées',
    'atténués',
    'atypique',
    'atypiques',
    'atèle',
    'atèles',
    'aubade',
    'aubades',
    'aubaine',
    'aubaines',
    'aube',
    'auberge',
    'auberges',
    'aubergine',
    'aubergines',
    'aubergiste',
    'aubergistes',
    'aubes',
    'aubette',
    'aubettes',
    'aubier',
    'aubiers',
    'aubin',
    'aubins',
    'auburn',
    'aubère',
    'aubères',
    'aubépine',
    'aubépines',
    'aucuba',
    'aucubas',
    'aucun',
    'aucune',
    'aucunement',
    'aucunes',
    'aucuns',
    'audace',
    'audaces',
    'audacieuse',
    'audacieuses',
    'audacieux',
    'audibilité',
    'audibilités',
    'audible',
    'audibles',
    'audience',
    'audiences',
    'audio',
    'audiogramme',
    'audiogrammes',
    'audiomètre',
    'audiomètres',
    'audiophone',
    'audiophones',
    'audiovisuel',
    'audiovisuels',
    'audit',
    'auditeur',
    'auditeurs',
    'auditif',
    'auditifs',
    'audition',
    'auditionna',
    'auditionnai',
    'auditionnais',
    'auditionnait',
    'auditionnant',
    'auditionnas',
    'auditionne',
    'auditionnent',
    'auditionner',
    'auditionnera',
    'auditionnes',
    'auditionnez',
    'auditionniez',
    'auditionnons',
    'auditionnât',
    'auditionné',
    'auditionnée',
    'auditionnées',
    'auditionnés',
    'auditions',
    'auditive',
    'auditives',
    'auditoire',
    'auditoires',
    'auditorat',
    'auditorats',
    'auditorium',
    'auditoriums',
    'auditrice',
    'auditrices',
    'audits',
    'auge',
    'auges',
    'auget',
    'augets',
    'augment',
    'augmenta',
    'augmentable',
    'augmentables',
    'augmentai',
    'augmentaient',
    'augmentais',
    'augmentait',
    'augmentant',
    'augmentas',
    'augmentasse',
    'augmentasses',
    'augmentatif',
    'augmentatifs',
    'augmentation',
    'augmentative',
    'augmente',
    'augmentent',
    'augmenter',
    'augmentera',
    'augmenterai',
    'augmenterais',
    'augmenterait',
    'augmenteras',
    'augmenterez',
    'augmenteriez',
    'augmenterons',
    'augmenteront',
    'augmentes',
    'augmentez',
    'augmentiez',
    'augmentions',
    'augmentons',
    'augments',
    'augmentâmes',
    'augmentât',
    'augmentâtes',
    'augmentèrent',
    'augmenté',
    'augmentée',
    'augmentées',
    'augmentés',
    'augura',
    'augurai',
    'auguraient',
    'augurais',
    'augurait',
    'augural',
    'augurale',
    'augurales',
    'augurant',
    'auguras',
    'augurasse',
    'augurassent',
    'augurasses',
    'augurassiez',
    'augurassions',
    'auguraux',
    'augure',
    'augurent',
    'augurer',
    'augurera',
    'augurerai',
    'augureraient',
    'augurerais',
    'augurerait',
    'augureras',
    'augurerez',
    'augureriez',
    'augurerions',
    'augurerons',
    'augureront',
    'augures',
    'augurez',
    'auguriez',
    'augurions',
    'augurons',
    'augurâmes',
    'augurât',
    'augurâtes',
    'augurèrent',
    'auguré',
    'augurée',
    'augurées',
    'augurés',
    'auguste',
    'augustes',
    'augustinien',
    'augustiniens',
    'aujourd',
    'aulne',
    'aulnes',
    'aumône',
    'aumônerie',
    'aumôneries',
    'aumônes',
    'aumônier',
    'aumôniers',
    'aumônière',
    'aumônières',
    'aune',
    'aunes',
    'auparavant',
    'auprès',
    'auquel',
    'aura',
    'aurai',
    'auraient',
    'aurais',
    'aurait',
    'aurantiacées',
    'auras',
    'aurez',
    'auriculaire',
    'auriculaires',
    'auricule',
    'auricules',
    'auriez',
    'aurifia',
    'aurifiai',
    'aurifiaient',
    'aurifiais',
    'aurifiait',
    'aurifiant',
    'aurifias',
    'aurifiasse',
    'aurifiassent',
    'aurifiasses',
    'aurifiassiez',
    'aurification',
    'aurifie',
    'aurifient',
    'aurifier',
    'aurifiera',
    'aurifierai',
    'aurifierais',
    'aurifierait',
    'aurifieras',
    'aurifierez',
    'aurifieriez',
    'aurifierions',
    'aurifierons',
    'aurifieront',
    'aurifies',
    'aurifiez',
    'aurifiiez',
    'aurifiions',
    'aurifions',
    'aurifiâmes',
    'aurifiât',
    'aurifiâtes',
    'aurifièrent',
    'aurifié',
    'aurifiée',
    'aurifiées',
    'aurifiés',
    'aurifère',
    'aurifères',
    'aurige',
    'auriges',
    'aurignacien',
    'aurignaciens',
    'aurions',
    'aurochs',
    'aurons',
    'auront',
    'aurore',
    'aurores',
    'auréola',
    'auréolai',
    'auréolaient',
    'auréolais',
    'auréolait',
    'auréolant',
    'auréolas',
    'auréolasse',
    'auréolassent',
    'auréolasses',
    'auréolassiez',
    'auréole',
    'auréolent',
    'auréoler',
    'auréolera',
    'auréolerai',
    'auréolerais',
    'auréolerait',
    'auréoleras',
    'auréolerez',
    'auréoleriez',
    'auréolerions',
    'auréolerons',
    'auréoleront',
    'auréoles',
    'auréolez',
    'auréoliez',
    'auréolions',
    'auréolons',
    'auréolâmes',
    'auréolât',
    'auréolâtes',
    'auréolèrent',
    'auréolé',
    'auréolée',
    'auréolées',
    'auréolés',
    'auréomycine',
    'auréomycines',
    'ausculta',
    'auscultai',
    'auscultaient',
    'auscultais',
    'auscultait',
    'auscultant',
    'auscultas',
    'auscultasse',
    'auscultasses',
    'auscultation',
    'ausculte',
    'auscultent',
    'ausculter',
    'auscultera',
    'ausculterai',
    'ausculterais',
    'ausculterait',
    'ausculteras',
    'ausculterez',
    'ausculteriez',
    'ausculterons',
    'ausculteront',
    'auscultes',
    'auscultez',
    'auscultiez',
    'auscultions',
    'auscultons',
    'auscultâmes',
    'auscultât',
    'auscultâtes',
    'auscultèrent',
    'ausculté',
    'auscultée',
    'auscultées',
    'auscultés',
    'auspices',
    'aussi',
    'aussitôt',
    'austral',
    'australe',
    'australes',
    'australien',
    'australienne',
    'australiens',
    'australs',
    'austraux',
    'austère',
    'austèrement',
    'austères',
    'austérité',
    'austérités',
    'autant',
    'autarcie',
    'autarcies',
    'autarcique',
    'autarciques',
    'autel',
    'autels',
    'auteur',
    'auteurs',
    'authenticité',
    'authentifia',
    'authentifiai',
    'authentifias',
    'authentifie',
    'authentifier',
    'authentifies',
    'authentifiez',
    'authentifiât',
    'authentifié',
    'authentifiée',
    'authentifiés',
    'authentiqua',
    'authentiquai',
    'authentiquas',
    'authentique',
    'authentiquer',
    'authentiques',
    'authentiquez',
    'authentiquât',
    'authentiqué',
    'authentiquée',
    'authentiqués',
    'autisme',
    'autismes',
    'autiste',
    'autistes',
    'autistique',
    'autistiques',
    'auto',
    'autoberge',
    'autoberges',
    'autobus',
    'autocar',
    'autocars',
    'autocassable',
    'autocensure',
    'autocensurer',
    'autocensures',
    'autochenille',
    'autochtone',
    'autochtones',
    'autoclave',
    'autoclaves',
    'autocollant',
    'autocollante',
    'autocollants',
    'autocopie',
    'autocopies',
    'autocrate',
    'autocrates',
    'autocratie',
    'autocraties',
    'autocratique',
    'autocritique',
    'autocuiseur',
    'autocuiseurs',
    'autodafé',
    'autodafés',
    'autodidacte',
    'autodidactes',
    'autodrome',
    'autodromes',
    'autodéfense',
    'autodéfenses',
    'autofinance',
    'autofinancer',
    'autofinances',
    'autofinancez',
    'autofinancé',
    'autofinancée',
    'autofinancés',
    'autofinança',
    'autofocus',
    'autogame',
    'autogames',
    'autogamie',
    'autogamies',
    'autogestion',
    'autogestions',
    'autogire',
    'autogires',
    'autographe',
    'autographes',
    'autographia',
    'autographiai',
    'autographias',
    'autographie',
    'autographier',
    'autographies',
    'autographiez',
    'autographiât',
    'autographié',
    'autographiée',
    'autographiés',
    'autoguidage',
    'autoguidages',
    'autoguider',
    'autoguiderez',
    'autoguidez',
    'autoguidiez',
    'autoguidions',
    'autoguidons',
    'autoguidâmes',
    'autoguidâtes',
    'autoguidé',
    'autoguidée',
    'autoguidées',
    'autoguidés',
    'autogène',
    'autogènes',
    'autogéré',
    'autogérée',
    'autogérées',
    'autogérés',
    'automate',
    'automates',
    'automation',
    'automations',
    'automatique',
    'automatiques',
    'automatisa',
    'automatisai',
    'automatisais',
    'automatisait',
    'automatisant',
    'automatisas',
    'automatise',
    'automatisent',
    'automatiser',
    'automatisera',
    'automatises',
    'automatisez',
    'automatisiez',
    'automatisme',
    'automatismes',
    'automatisons',
    'automatisât',
    'automatisé',
    'automatisée',
    'automatisées',
    'automatisés',
    'automnal',
    'automnale',
    'automnales',
    'automnaux',
    'automne',
    'automnes',
    'automobile',
    'automobiles',
    'automoteur',
    'automoteurs',
    'automotrice',
    'automotrices',
    'automédon',
    'automédons',
    'autoneige',
    'autoneiges',
    'autonome',
    'autonomes',
    'autonomie',
    'autonomies',
    'autonomiste',
    'autonomistes',
    'autonyme',
    'autonymes',
    'autoplastie',
    'autoplasties',
    'autopompe',
    'autopompes',
    'autoportant',
    'autoportante',
    'autoportants',
    'autoporteur',
    'autoporteurs',
    'autoporteuse',
    'autoportrait',
    'autopropulsé',
    'autopsia',
    'autopsiai',
    'autopsiaient',
    'autopsiais',
    'autopsiait',
    'autopsiant',
    'autopsias',
    'autopsiasse',
    'autopsiasses',
    'autopsie',
    'autopsient',
    'autopsier',
    'autopsiera',
    'autopsierai',
    'autopsierais',
    'autopsierait',
    'autopsieras',
    'autopsierez',
    'autopsieriez',
    'autopsierons',
    'autopsieront',
    'autopsies',
    'autopsiez',
    'autopsiiez',
    'autopsiions',
    'autopsions',
    'autopsiâmes',
    'autopsiât',
    'autopsiâtes',
    'autopsièrent',
    'autopsié',
    'autopsiée',
    'autopsiées',
    'autopsiés',
    'autopunition',
    'autoradio',
    'autoradios',
    'autorail',
    'autorails',
    'autorisa',
    'autorisai',
    'autorisaient',
    'autorisais',
    'autorisait',
    'autorisant',
    'autorisas',
    'autorisasse',
    'autorisasses',
    'autorisation',
    'autorise',
    'autorisent',
    'autoriser',
    'autorisera',
    'autoriserai',
    'autoriserais',
    'autoriserait',
    'autoriseras',
    'autoriserez',
    'autoriseriez',
    'autoriserons',
    'autoriseront',
    'autorises',
    'autorisez',
    'autorisiez',
    'autorisions',
    'autorisons',
    'autorisâmes',
    'autorisât',
    'autorisâtes',
    'autorisèrent',
    'autorisé',
    'autorisée',
    'autorisées',
    'autorisés',
    'autoritaire',
    'autoritaires',
    'autorité',
    'autorités',
    'autoroute',
    'autoroutes',
    'autoroutier',
    'autoroutiers',
    'autoroutière',
    'autoréglage',
    'autoréglages',
    'autos',
    'autoscopie',
    'autoscopies',
    'autotomie',
    'autotomies',
    'autotrophe',
    'autotrophes',
    'autour',
    'autovaccin',
    'autovaccins',
    'autre',
    'autrefois',
    'autrement',
    'autres',
    'autrichien',
    'autrichienne',
    'autrichiens',
    'autruche',
    'autruches',
    'autrui',
    'auvent',
    'auvents',
    'auvergnat',
    'auvergnate',
    'auvergnates',
    'auvergnats',
    'auxiliaire',
    'auxiliaires',
    'auxine',
    'auxines',
    'auxquelles',
    'auxquels',
    'avachi',
    'avachie',
    'avachies',
    'avachir',
    'avachira',
    'avachirai',
    'avachiraient',
    'avachirais',
    'avachirait',
    'avachiras',
    'avachirent',
    'avachirez',
    'avachiriez',
    'avachirions',
    'avachirons',
    'avachiront',
    'avachis',
    'avachissais',
    'avachissait',
    'avachissant',
    'avachisse',
    'avachissent',
    'avachisses',
    'avachissez',
    'avachissiez',
    'avachissions',
    'avachissons',
    'avachit',
    'avachîmes',
    'avachît',
    'avachîtes',
    'avaient',
    'avais',
    'avait',
    'aval',
    'avala',
    'avalai',
    'avalaient',
    'avalais',
    'avalait',
    'avalanche',
    'avalanches',
    'avalant',
    'avalas',
    'avalasse',
    'avalassent',
    'avalasses',
    'avalassiez',
    'avalassions',
    'avale',
    'avalent',
    'avaler',
    'avalera',
    'avalerai',
    'avaleraient',
    'avalerais',
    'avalerait',
    'avaleras',
    'avalerez',
    'avaleriez',
    'avalerions',
    'avalerons',
    'avaleront',
    'avales',
    'avaleur',
    'avaleurs',
    'avalez',
    'avaliez',
    'avalions',
    'avalisa',
    'avalisai',
    'avalisaient',
    'avalisais',
    'avalisait',
    'avalisant',
    'avalisas',
    'avalisasse',
    'avalisassent',
    'avalisasses',
    'avalisassiez',
    'avalise',
    'avalisent',
    'avaliser',
    'avalisera',
    'avaliserai',
    'avaliserais',
    'avaliserait',
    'avaliseras',
    'avaliserez',
    'avaliseriez',
    'avaliserions',
    'avaliserons',
    'avaliseront',
    'avalises',
    'avaliseur',
    'avaliseurs',
    'avalisez',
    'avalisiez',
    'avalisions',
    'avalisons',
    'avaliste',
    'avalistes',
    'avalisâmes',
    'avalisât',
    'avalisâtes',
    'avalisèrent',
    'avalisé',
    'avalisée',
    'avalisées',
    'avalisés',
    'avalons',
    'avals',
    'avalâmes',
    'avalât',
    'avalâtes',
    'avalèrent',
    'avalé',
    'avalée',
    'avalées',
    'avalés',
    'avance',
    'avancement',
    'avancements',
    'avancent',
    'avancer',
    'avancera',
    'avancerai',
    'avanceraient',
    'avancerais',
    'avancerait',
    'avanceras',
    'avancerez',
    'avanceriez',
    'avancerions',
    'avancerons',
    'avanceront',
    'avances',
    'avancez',
    'avanciez',
    'avancions',
    'avancèrent',
    'avancé',
    'avancée',
    'avancées',
    'avancés',
    'avanie',
    'avanies',
    'avant',
    'avantage',
    'avantagea',
    'avantageai',
    'avantageais',
    'avantageait',
    'avantageant',
    'avantageas',
    'avantageasse',
    'avantagent',
    'avantageons',
    'avantager',
    'avantagera',
    'avantagerai',
    'avantagerais',
    'avantagerait',
    'avantageras',
    'avantagerez',
    'avantageriez',
    'avantagerons',
    'avantageront',
    'avantages',
    'avantageuse',
    'avantageuses',
    'avantageux',
    'avantagez',
    'avantageâmes',
    'avantageât',
    'avantageâtes',
    'avantagiez',
    'avantagions',
    'avantagèrent',
    'avantagé',
    'avantagée',
    'avantagées',
    'avantagés',
    'avants',
    'avança',
    'avançai',
    'avançaient',
    'avançais',
    'avançait',
    'avançant',
    'avanças',
    'avançasse',
    'avançassent',
    'avançasses',
    'avançassiez',
    'avançassions',
    'avançons',
    'avançâmes',
    'avançât',
    'avançâtes',
    'avare',
    'avares',
    'avaria',
    'avariai',
    'avariaient',
    'avariais',
    'avariait',
    'avariant',
    'avarias',
    'avariasse',
    'avariassent',
    'avariasses',
    'avariassiez',
    'avariassions',
    'avarice',
    'avarices',
    'avaricieuse',
    'avaricieuses',
    'avaricieux',
    'avarie',
    'avarient',
    'avarier',
    'avariera',
    'avarierai',
    'avarieraient',
    'avarierais',
    'avarierait',
    'avarieras',
    'avarierez',
    'avarieriez',
    'avarierions',
    'avarierons',
    'avarieront',
    'avaries',
    'avariez',
    'avariiez',
    'avariions',
    'avarions',
    'avariâmes',
    'avariât',
    'avariâtes',
    'avarièrent',
    'avarié',
    'avariée',
    'avariées',
    'avariés',
    'avatar',
    'avatars',
    'avec',
    'aveline',
    'avelines',
    'avelinier',
    'aveliniers',
    'aven',
    'avenant',
    'avenante',
    'avenantes',
    'avenants',
    'avenir',
    'avenirs',
    'avens',
    'aventura',
    'aventurai',
    'aventuraient',
    'aventurais',
    'aventurait',
    'aventurant',
    'aventuras',
    'aventurasse',
    'aventurasses',
    'aventure',
    'aventurent',
    'aventurer',
    'aventurera',
    'aventurerai',
    'aventurerais',
    'aventurerait',
    'aventureras',
    'aventurerez',
    'aventureriez',
    'aventurerons',
    'aventureront',
    'aventures',
    'aventureuse',
    'aventureuses',
    'aventureux',
    'aventurez',
    'aventurier',
    'aventuriers',
    'aventuriez',
    'aventurine',
    'aventurines',
    'aventurions',
    'aventurisme',
    'aventurismes',
    'aventurière',
    'aventurières',
    'aventurons',
    'aventurâmes',
    'aventurât',
    'aventurâtes',
    'aventurèrent',
    'aventuré',
    'aventurée',
    'aventurées',
    'aventurés',
    'avenu',
    'avenue',
    'avenues',
    'avenus',
    'avers',
    'averse',
    'averses',
    'aversion',
    'aversions',
    'averti',
    'avertie',
    'averties',
    'avertir',
    'avertira',
    'avertirai',
    'avertiraient',
    'avertirais',
    'avertirait',
    'avertiras',
    'avertirent',
    'avertirez',
    'avertiriez',
    'avertirions',
    'avertirons',
    'avertiront',
    'avertis',
    'avertissais',
    'avertissait',
    'avertissant',
    'avertisse',
    'avertissent',
    'avertisses',
    'avertisseur',
    'avertisseurs',
    'avertisseuse',
    'avertissez',
    'avertissiez',
    'avertissions',
    'avertissons',
    'avertit',
    'avertîmes',
    'avertît',
    'avertîtes',
    'aveu',
    'aveugla',
    'aveuglai',
    'aveuglaient',
    'aveuglais',
    'aveuglait',
    'aveuglant',
    'aveuglante',
    'aveuglantes',
    'aveuglants',
    'aveuglas',
    'aveuglasse',
    'aveuglassent',
    'aveuglasses',
    'aveuglassiez',
    'aveugle',
    'aveuglement',
    'aveuglements',
    'aveuglent',
    'aveugler',
    'aveuglera',
    'aveuglerai',
    'aveuglerais',
    'aveuglerait',
    'aveugleras',
    'aveuglerez',
    'aveugleriez',
    'aveuglerions',
    'aveuglerons',
    'aveugleront',
    'aveugles',
    'aveuglette',
    'aveuglettes',
    'aveuglez',
    'aveugliez',
    'aveuglions',
    'aveuglons',
    'aveuglâmes',
    'aveuglât',
    'aveuglâtes',
    'aveuglèrent',
    'aveuglé',
    'aveuglée',
    'aveuglées',
    'aveuglément',
    'aveuglés',
    'aveuli',
    'aveulie',
    'aveulies',
    'aveulir',
    'aveulira',
    'aveulirai',
    'aveuliraient',
    'aveulirais',
    'aveulirait',
    'aveuliras',
    'aveulirent',
    'aveulirez',
    'aveuliriez',
    'aveulirions',
    'aveulirons',
    'aveuliront',
    'aveulis',
    'aveulissais',
    'aveulissait',
    'aveulissant',
    'aveulisse',
    'aveulissent',
    'aveulisses',
    'aveulissez',
    'aveulissiez',
    'aveulissions',
    'aveulissons',
    'aveulit',
    'aveulîmes',
    'aveulît',
    'aveulîtes',
    'aveux',
    'avez',
    'aviaire',
    'aviaires',
    'aviateur',
    'aviateurs',
    'aviation',
    'aviations',
    'aviatrice',
    'aviatrices',
    'avicole',
    'avicoles',
    'aviculteur',
    'aviculteurs',
    'avicultrice',
    'avicultrices',
    'aviculture',
    'avicultures',
    'avide',
    'avidement',
    'avides',
    'avidité',
    'avidités',
    'aviez',
    'avili',
    'avilie',
    'avilies',
    'avilir',
    'avilira',
    'avilirai',
    'aviliraient',
    'avilirais',
    'avilirait',
    'aviliras',
    'avilirent',
    'avilirez',
    'aviliriez',
    'avilirions',
    'avilirons',
    'aviliront',
    'avilis',
    'avilissaient',
    'avilissais',
    'avilissait',
    'avilissant',
    'avilissante',
    'avilissantes',
    'avilissants',
    'avilisse',
    'avilissement',
    'avilissent',
    'avilisses',
    'avilissez',
    'avilissiez',
    'avilissions',
    'avilissons',
    'avilit',
    'avilîmes',
    'avilît',
    'avilîtes',
    'avina',
    'avinai',
    'avinaient',
    'avinais',
    'avinait',
    'avinant',
    'avinas',
    'avinasse',
    'avinassent',
    'avinasses',
    'avinassiez',
    'avinassions',
    'avine',
    'avinent',
    'aviner',
    'avinera',
    'avinerai',
    'avineraient',
    'avinerais',
    'avinerait',
    'avineras',
    'avinerez',
    'avineriez',
    'avinerions',
    'avinerons',
    'avineront',
    'avines',
    'avinez',
    'aviniez',
    'avinions',
    'avinons',
    'avinâmes',
    'avinât',
    'avinâtes',
    'avinèrent',
    'aviné',
    'avinée',
    'avinées',
    'avinés',
    'avion',
    'avionique',
    'avioniques',
    'avionnette',
    'avionnettes',
    'avionneur',
    'avionneurs',
    'avions',
    'aviron',
    'avirons',
    'avis',
    'avisa',
    'avisai',
    'avisaient',
    'avisais',
    'avisait',
    'avisant',
    'avisas',
    'avisasse',
    'avisassent',
    'avisasses',
    'avisassiez',
    'avisassions',
    'avise',
    'avisent',
    'aviser',
    'avisera',
    'aviserai',
    'aviseraient',
    'aviserais',
    'aviserait',
    'aviseras',
    'aviserez',
    'aviseriez',
    'aviserions',
    'aviserons',
    'aviseront',
    'avises',
    'avisez',
    'avisiez',
    'avisions',
    'aviso',
    'avisons',
    'avisos',
    'avisâmes',
    'avisât',
    'avisâtes',
    'avisèrent',
    'avisé',
    'avisée',
    'avisées',
    'avisés',
    'avitailla',
    'avitaillai',
    'avitaillais',
    'avitaillait',
    'avitaillant',
    'avitaillas',
    'avitaillasse',
    'avitaille',
    'avitaillent',
    'avitailler',
    'avitaillera',
    'avitaillerai',
    'avitailleras',
    'avitaillerez',
    'avitailles',
    'avitailleur',
    'avitailleurs',
    'avitaillez',
    'avitailliez',
    'avitaillions',
    'avitaillons',
    'avitaillâmes',
    'avitaillât',
    'avitaillâtes',
    'avitaillé',
    'avitaillée',
    'avitaillées',
    'avitaillés',
    'avitaminose',
    'avitaminoses',
    'aviva',
    'avivage',
    'avivages',
    'avivai',
    'avivaient',
    'avivais',
    'avivait',
    'avivant',
    'avivas',
    'avivasse',
    'avivassent',
    'avivasses',
    'avivassiez',
    'avivassions',
    'avive',
    'avivement',
    'avivements',
    'avivent',
    'aviver',
    'avivera',
    'aviverai',
    'aviveraient',
    'aviverais',
    'aviverait',
    'aviveras',
    'aviverez',
    'aviveriez',
    'aviverions',
    'aviverons',
    'aviveront',
    'avives',
    'avivez',
    'aviviez',
    'avivions',
    'avivons',
    'avivâmes',
    'avivât',
    'avivâtes',
    'avivèrent',
    'avivé',
    'avivée',
    'avivées',
    'avivés',
    'avocaillon',
    'avocaillons',
    'avocasserie',
    'avocasseries',
    'avocassier',
    'avocassiers',
    'avocassière',
    'avocassières',
    'avocat',
    'avocate',
    'avocates',
    'avocatier',
    'avocatiers',
    'avocats',
    'avocette',
    'avocettes',
    'avoine',
    'avoines',
    'avoir',
    'avoirdupoids',
    'avoirs',
    'avoisina',
    'avoisinai',
    'avoisinaient',
    'avoisinais',
    'avoisinait',
    'avoisinant',
    'avoisinante',
    'avoisinantes',
    'avoisinants',
    'avoisinas',
    'avoisinasse',
    'avoisinasses',
    'avoisine',
    'avoisinent',
    'avoisiner',
    'avoisinera',
    'avoisinerai',
    'avoisinerais',
    'avoisinerait',
    'avoisineras',
    'avoisinerez',
    'avoisineriez',
    'avoisinerons',
    'avoisineront',
    'avoisines',
    'avoisinez',
    'avoisiniez',
    'avoisinions',
    'avoisinons',
    'avoisinâmes',
    'avoisinât',
    'avoisinâtes',
    'avoisinèrent',
    'avoisiné',
    'avoisinée',
    'avoisinées',
    'avoisinés',
    'avons',
    'avorta',
    'avortai',
    'avortaient',
    'avortais',
    'avortait',
    'avortant',
    'avortas',
    'avortasse',
    'avortassent',
    'avortasses',
    'avortassiez',
    'avortassions',
    'avorte',
    'avortement',
    'avortements',
    'avortent',
    'avorter',
    'avortera',
    'avorterai',
    'avorteraient',
    'avorterais',
    'avorterait',
    'avorteras',
    'avorterez',
    'avorteriez',
    'avorterions',
    'avorterons',
    'avorteront',
    'avortes',
    'avorteur',
    'avorteurs',
    'avorteuse',
    'avorteuses',
    'avortez',
    'avortiez',
    'avortions',
    'avorton',
    'avortons',
    'avortâmes',
    'avortât',
    'avortâtes',
    'avortèrent',
    'avorté',
    'avortée',
    'avortées',
    'avortés',
    'avoua',
    'avouable',
    'avouables',
    'avouai',
    'avouaient',
    'avouais',
    'avouait',
    'avouant',
    'avouas',
    'avouasse',
    'avouassent',
    'avouasses',
    'avouassiez',
    'avouassions',
    'avoue',
    'avouent',
    'avouer',
    'avouera',
    'avouerai',
    'avoueraient',
    'avouerais',
    'avouerait',
    'avoueras',
    'avouerez',
    'avoueriez',
    'avouerions',
    'avouerons',
    'avoueront',
    'avoues',
    'avouez',
    'avouiez',
    'avouions',
    'avouons',
    'avouâmes',
    'avouât',
    'avouâtes',
    'avouèrent',
    'avoué',
    'avouée',
    'avouées',
    'avoués',
    'avril',
    'avulsion',
    'avulsions',
    'avunculaire',
    'avunculaires',
    'avènement',
    'avènements',
    'avère',
    'avèrent',
    'avères',
    'avéra',
    'avérai',
    'avéraient',
    'avérais',
    'avérait',
    'avérant',
    'avéras',
    'avérasse',
    'avérassent',
    'avérasses',
    'avérassiez',
    'avérassions',
    'avérer',
    'avérera',
    'avérerai',
    'avéreraient',
    'avérerais',
    'avérerait',
    'avéreras',
    'avérerez',
    'avéreriez',
    'avérerions',
    'avérerons',
    'avéreront',
    'avérez',
    'avériez',
    'avérions',
    'avérons',
    'avérâmes',
    'avérât',
    'avérâtes',
    'avérèrent',
    'avéré',
    'avérée',
    'avérées',
    'avérés',
    'axai',
    'axaient',
    'axais',
    'axait',
    'axant',
    'axas',
    'axasse',
    'axassent',
    'axasses',
    'axassiez',
    'axassions',
    'axent',
    'axer',
    'axera',
    'axerai',
    'axeraient',
    'axerais',
    'axerait',
    'axeras',
    'axerez',
    'axeriez',
    'axerions',
    'axerons',
    'axeront',
    'axes',
    'axez',
    'axiale',
    'axiaux',
    'axiez',
    'axile',
    'axiles',
    'axillaire',
    'axillaires',
    'axiologie',
    'axiologies',
    'axiologique',
    'axiologiques',
    'axiomatisa',
    'axiomatisai',
    'axiomatisais',
    'axiomatisait',
    'axiomatisant',
    'axiomatisas',
    'axiomatise',
    'axiomatisent',
    'axiomatiser',
    'axiomatisera',
    'axiomatises',
    'axiomatisez',
    'axiomatisiez',
    'axiomatisons',
    'axiomatisât',
    'axiomatisé',
    'axiomatisée',
    'axiomatisées',
    'axiomatisés',
    'axiome',
    'axiomes',
    'axions',
    'axis',
    'axolotl',
    'axolotls',
    'axone',
    'axones',
    'axonge',
    'axonges',
    'axonométrie',
    'axonométries',
    'axons',
    'axâmes',
    'axât',
    'axâtes',
    'axèrent',
    'axée',
    'axées',
    'axés',
    'ayant',
    'ayatollah',
    'ayatollahs',
    'ayez',
    'ayons',
    'azalée',
    'azalées',
    'azerole',
    'azeroles',
    'azerolier',
    'azeroliers',
    'azimut',
    'azimutal',
    'azimutale',
    'azimutales',
    'azimutaux',
    'azimuts',
    'azimuté',
    'azimutée',
    'azimutées',
    'azimutés',
    'azoospermie',
    'azoospermies',
    'azotate',
    'azotates',
    'azote',
    'azotes',
    'azoteux',
    'azotique',
    'azotiques',
    'azotite',
    'azotites',
    'azoturie',
    'azoturies',
    'azoté',
    'azotée',
    'azotées',
    'azotémie',
    'azotémies',
    'azotés',
    'azoïque',
    'azoïques',
    'aztèque',
    'aztèques',
    'azulejo',
    'azulejos',
    'azur',
    'azura',
    'azurage',
    'azurages',
    'azurai',
    'azuraient',
    'azurais',
    'azurait',
    'azurant',
    'azurants',
    'azuras',
    'azurasse',
    'azurassent',
    'azurasses',
    'azurassiez',
    'azurassions',
    'azure',
    'azurent',
    'azurer',
    'azurera',
    'azurerai',
    'azureraient',
    'azurerais',
    'azurerait',
    'azureras',
    'azurerez',
    'azureriez',
    'azurerions',
    'azurerons',
    'azureront',
    'azures',
    'azurez',
    'azuriez',
    'azurions',
    'azurite',
    'azurites',
    'azurons',
    'azurs',
    'azurâmes',
    'azurât',
    'azurâtes',
    'azurèrent',
    'azuré',
    'azurée',
    'azurées',
    'azurés',
    'azygos',
    'azyme',
    'azymes',
    'aède',
    'aèdes',
    'aère',
    'aèrent',
    'aères',
    'aéra',
    'aérai',
    'aéraient',
    'aérais',
    'aérait',
    'aérant',
    'aéras',
    'aérasse',
    'aérassent',
    'aérasses',
    'aérassiez',
    'aérassions',
    'aérateur',
    'aérateurs',
    'aération',
    'aérations',
    'aérer',
    'aérera',
    'aérerai',
    'aéreraient',
    'aérerais',
    'aérerait',
    'aéreras',
    'aérerez',
    'aéreriez',
    'aérerions',
    'aérerons',
    'aéreront',
    'aérez',
    'aérien',
    'aérienne',
    'aériennes',
    'aériens',
    'aériez',
    'aérions',
    'aérobie',
    'aérobies',
    'aérodrome',
    'aérodromes',
    'aérogare',
    'aérogares',
    'aéroglisseur',
    'aérolite',
    'aérolites',
    'aérolithe',
    'aérolithes',
    'aérologie',
    'aérologies',
    'aéronaute',
    'aéronautes',
    'aéronautique',
    'aéronaval',
    'aéronavale',
    'aéronavales',
    'aéronavals',
    'aéronef',
    'aéronefs',
    'aérons',
    'aérophagie',
    'aérophagies',
    'aéroplane',
    'aéroplanes',
    'aéroport',
    'aéroports',
    'aéroporté',
    'aéroportée',
    'aéroportées',
    'aéroportés',
    'aérosol',
    'aérosols',
    'aérospatial',
    'aérospatiale',
    'aérospatiaux',
    'aérostat',
    'aérostats',
    'aérotrain',
    'aérotrains',
    'aérâmes',
    'aérât',
    'aérâtes',
    'aérèrent',
    'aéré',
    'aérée',
    'aérées',
    'aérés',
    'aînesse',
    'aînesses',
    'aîné',
    'aînée',
    'aînées',
    'aînés',
    'aïeul',
    'aïeule',
    'aïeules',
    'aïeuls',
    'aïeux',
    'aïkido',
    'aïkidos',
    'aïoli',
    'aïolis',
    'baba',
    'babas',
    'babeurre',
    'babeurres',
    'babil',
    'babilla',
    'babillage',
    'babillages',
    'babillai',
    'babillaient',
    'babillais',
    'babillait',
    'babillant',
    'babillard',
    'babillarde',
    'babillardes',
    'babillards',
    'babillas',
    'babillasse',
    'babillassent',
    'babillasses',
    'babillassiez',
    'babille',
    'babillent',
    'babiller',
    'babillera',
    'babillerai',
    'babillerais',
    'babillerait',
    'babilleras',
    'babillerez',
    'babilleriez',
    'babillerions',
    'babillerons',
    'babilleront',
    'babilles',
    'babillez',
    'babilliez',
    'babillions',
    'babillons',
    'babillâmes',
    'babillât',
    'babillâtes',
    'babillèrent',
    'babillé',
    'babils',
    'babine',
    'babines',
    'babiole',
    'babioles',
    'babiroussa',
    'babiroussas',
    'babouche',
    'babouches',
    'babouin',
    'babouins',
    'babouvisme',
    'babouvismes',
    'baby',
    'babys',
    'baccalauréat',
    'baccara',
    'baccarat',
    'bacchanale',
    'bacchanales',
    'bacchante',
    'bacchantes',
    'bacciforme',
    'bacciformes',
    'bachelier',
    'bacheliers',
    'bachelière',
    'bachelières',
    'bachique',
    'bachiques',
    'bachot',
    'bachota',
    'bachotage',
    'bachotages',
    'bachotai',
    'bachotaient',
    'bachotais',
    'bachotait',
    'bachotant',
    'bachotas',
    'bachotasse',
    'bachotassent',
    'bachotasses',
    'bachotassiez',
    'bachote',
    'bachotent',
    'bachoter',
    'bachotera',
    'bachoterai',
    'bachoterais',
    'bachoterait',
    'bachoteras',
    'bachoterez',
    'bachoteriez',
    'bachoterions',
    'bachoterons',
    'bachoteront',
    'bachotes',
    'bachotez',
    'bachotiez',
    'bachotions',
    'bachotons',
    'bachots',
    'bachotâmes',
    'bachotât',
    'bachotâtes',
    'bachotèrent',
    'bachoté',
    'bachotée',
    'bachotées',
    'bachotés',
    'bacillaire',
    'bacillaires',
    'bacille',
    'bacilles',
    'bacilliforme',
    'bacillose',
    'bacilloses',
    'bacon',
    'bacs',
    'bactéricide',
    'bactéricides',
    'bactéridie',
    'bactéridies',
    'bactérie',
    'bactérien',
    'bactérienne',
    'bactériennes',
    'bactériens',
    'bactéries',
    'bacul',
    'baculs',
    'badaud',
    'badaude',
    'badauderie',
    'badauderies',
    'badaudes',
    'badauds',
    'baderne',
    'badernes',
    'badge',
    'badges',
    'badiane',
    'badianes',
    'badigeon',
    'badigeonna',
    'badigeonnage',
    'badigeonnai',
    'badigeonnais',
    'badigeonnait',
    'badigeonnant',
    'badigeonnas',
    'badigeonne',
    'badigeonnent',
    'badigeonner',
    'badigeonnera',
    'badigeonnes',
    'badigeonneur',
    'badigeonnez',
    'badigeonniez',
    'badigeonnons',
    'badigeonnât',
    'badigeonné',
    'badigeonnée',
    'badigeonnées',
    'badigeonnés',
    'badigeons',
    'badin',
    'badina',
    'badinage',
    'badinages',
    'badinai',
    'badinaient',
    'badinais',
    'badinait',
    'badinant',
    'badinas',
    'badinasse',
    'badinassent',
    'badinasses',
    'badinassiez',
    'badinassions',
    'badine',
    'badinent',
    'badiner',
    'badinera',
    'badinerai',
    'badineraient',
    'badinerais',
    'badinerait',
    'badineras',
    'badinerez',
    'badinerie',
    'badineries',
    'badineriez',
    'badinerions',
    'badinerons',
    'badineront',
    'badines',
    'badinez',
    'badiniez',
    'badinions',
    'badinons',
    'badins',
    'badinâmes',
    'badinât',
    'badinâtes',
    'badinèrent',
    'badiné',
    'badminton',
    'baffa',
    'baffai',
    'baffaient',
    'baffais',
    'baffait',
    'baffant',
    'baffas',
    'baffasse',
    'baffassent',
    'baffasses',
    'baffassiez',
    'baffassions',
    'baffe',
    'baffent',
    'baffer',
    'baffera',
    'bafferai',
    'bafferaient',
    'bafferais',
    'bafferait',
    'bafferas',
    'bafferez',
    'bafferiez',
    'bafferions',
    'bafferons',
    'bafferont',
    'baffes',
    'baffez',
    'baffiez',
    'baffions',
    'baffle',
    'baffles',
    'baffons',
    'baffâmes',
    'baffât',
    'baffâtes',
    'baffèrent',
    'baffé',
    'baffée',
    'baffées',
    'baffés',
    'bafoua',
    'bafouai',
    'bafouaient',
    'bafouais',
    'bafouait',
    'bafouant',
    'bafouas',
    'bafouasse',
    'bafouassent',
    'bafouasses',
    'bafouassiez',
    'bafouassions',
    'bafoue',
    'bafouent',
    'bafouer',
    'bafouera',
    'bafouerai',
    'bafoueraient',
    'bafouerais',
    'bafouerait',
    'bafoueras',
    'bafouerez',
    'bafoueriez',
    'bafouerions',
    'bafouerons',
    'bafoueront',
    'bafoues',
    'bafouez',
    'bafouiez',
    'bafouilla',
    'bafouillage',
    'bafouillages',
    'bafouillai',
    'bafouillais',
    'bafouillait',
    'bafouillant',
    'bafouillas',
    'bafouillasse',
    'bafouille',
    'bafouillent',
    'bafouiller',
    'bafouillera',
    'bafouillerai',
    'bafouilleras',
    'bafouillerez',
    'bafouilles',
    'bafouilleur',
    'bafouilleurs',
    'bafouilleuse',
    'bafouillez',
    'bafouilliez',
    'bafouillions',
    'bafouillons',
    'bafouillâmes',
    'bafouillât',
    'bafouillâtes',
    'bafouillé',
    'bafouillée',
    'bafouillées',
    'bafouillés',
    'bafouions',
    'bafouons',
    'bafouâmes',
    'bafouât',
    'bafouâtes',
    'bafouèrent',
    'bafoué',
    'bafouée',
    'bafouées',
    'bafoués',
    'bagad',
    'bagads',
    'bagage',
    'bagages',
    'bagagiste',
    'bagagistes',
    'bagarra',
    'bagarrai',
    'bagarraient',
    'bagarrais',
    'bagarrait',
    'bagarrant',
    'bagarras',
    'bagarrasse',
    'bagarrassent',
    'bagarrasses',
    'bagarrassiez',
    'bagarre',
    'bagarrent',
    'bagarrer',
    'bagarrera',
    'bagarrerai',
    'bagarrerais',
    'bagarrerait',
    'bagarreras',
    'bagarrerez',
    'bagarreriez',
    'bagarrerions',
    'bagarrerons',
    'bagarreront',
    'bagarres',
    'bagarreur',
    'bagarreurs',
    'bagarreuse',
    'bagarreuses',
    'bagarrez',
    'bagarriez',
    'bagarrions',
    'bagarrons',
    'bagarrâmes',
    'bagarrât',
    'bagarrâtes',
    'bagarrèrent',
    'bagarré',
    'bagarrée',
    'bagarrées',
    'bagarrés',
    'bagasse',
    'bagasses',
    'bagatelle',
    'bagatelles',
    'bagnard',
    'bagnards',
    'bagne',
    'bagnes',
    'bagnole',
    'bagnoles',
    'bagou',
    'bagout',
    'bagua',
    'baguage',
    'baguages',
    'baguai',
    'baguaient',
    'baguais',
    'baguait',
    'baguant',
    'baguas',
    'baguasse',
    'baguassent',
    'baguasses',
    'baguassiez',
    'baguassions',
    'bague',
    'baguenauda',
    'baguenaudai',
    'baguenaudais',
    'baguenaudait',
    'baguenaudant',
    'baguenaudas',
    'baguenaude',
    'baguenaudent',
    'baguenauder',
    'baguenaudera',
    'baguenaudes',
    'baguenaudez',
    'baguenaudier',
    'baguenaudiez',
    'baguenaudons',
    'baguenaudât',
    'baguenaudé',
    'baguenaudée',
    'baguenaudées',
    'baguenaudés',
    'baguent',
    'baguer',
    'baguera',
    'baguerai',
    'bagueraient',
    'baguerais',
    'baguerait',
    'bagueras',
    'baguerez',
    'bagueriez',
    'baguerions',
    'baguerons',
    'bagueront',
    'bagues',
    'baguette',
    'baguettes',
    'baguez',
    'baguier',
    'baguiers',
    'baguiez',
    'baguions',
    'baguons',
    'baguâmes',
    'baguât',
    'baguâtes',
    'baguèrent',
    'bagué',
    'baguée',
    'baguées',
    'bagués',
    'bahut',
    'bahuts',
    'baie',
    'baient',
    'baiera',
    'baierai',
    'baieraient',
    'baierais',
    'baierait',
    'baieras',
    'baierez',
    'baieriez',
    'baierions',
    'baierons',
    'baieront',
    'baies',
    'baigna',
    'baignade',
    'baignades',
    'baignai',
    'baignaient',
    'baignais',
    'baignait',
    'baignant',
    'baignas',
    'baignasse',
    'baignassent',
    'baignasses',
    'baignassiez',
    'baignassions',
    'baigne',
    'baignent',
    'baigner',
    'baignera',
    'baignerai',
    'baigneraient',
    'baignerais',
    'baignerait',
    'baigneras',
    'baignerez',
    'baigneriez',
    'baignerions',
    'baignerons',
    'baigneront',
    'baignes',
    'baigneur',
    'baigneurs',
    'baigneuse',
    'baigneuses',
    'baignez',
    'baigniez',
    'baignions',
    'baignoire',
    'baignoires',
    'baignons',
    'baignâmes',
    'baignât',
    'baignâtes',
    'baignèrent',
    'baigné',
    'baignée',
    'baignées',
    'baignés',
    'bail',
    'bailla',
    'baillai',
    'baillaient',
    'baillais',
    'baillait',
    'baillant',
    'baillas',
    'baillasse',
    'baillassent',
    'baillasses',
    'baillassiez',
    'baillassions',
    'baille',
    'baillent',
    'bailler',
    'baillera',
    'baillerai',
    'bailleraient',
    'baillerais',
    'baillerait',
    'bailleras',
    'bailleresse',
    'bailleresses',
    'baillerez',
    'bailleriez',
    'baillerions',
    'baillerons',
    'bailleront',
    'bailles',
    'bailleur',
    'bailleurs',
    'baillez',
    'bailli',
    'bailliage',
    'bailliages',
    'bailliez',
    'baillions',
    'baillis',
    'baillons',
    'baillâmes',
    'baillât',
    'baillâtes',
    'baillèrent',
    'baillé',
    'baillée',
    'baillées',
    'baillés',
    'bain',
    'bains',
    'bais',
    'baisa',
    'baisai',
    'baisaient',
    'baisais',
    'baisait',
    'baisant',
    'baisas',
    'baisasse',
    'baisassent',
    'baisasses',
    'baisassiez',
    'baisassions',
    'baise',
    'baisemain',
    'baisemains',
    'baisement',
    'baisements',
    'baisent',
    'baiser',
    'baisera',
    'baiserai',
    'baiseraient',
    'baiserais',
    'baiserait',
    'baiseras',
    'baiserez',
    'baiseriez',
    'baiserions',
    'baiserons',
    'baiseront',
    'baisers',
    'baises',
    'baiseur',
    'baiseurs',
    'baiseuse',
    'baiseuses',
    'baisez',
    'baisiez',
    'baisions',
    'baisons',
    'baisota',
    'baisotai',
    'baisotaient',
    'baisotais',
    'baisotait',
    'baisotant',
    'baisotas',
    'baisotasse',
    'baisotassent',
    'baisotasses',
    'baisotassiez',
    'baisote',
    'baisotent',
    'baisoter',
    'baisotera',
    'baisoterai',
    'baisoterais',
    'baisoterait',
    'baisoteras',
    'baisoterez',
    'baisoteriez',
    'baisoterions',
    'baisoterons',
    'baisoteront',
    'baisotes',
    'baisotez',
    'baisotiez',
    'baisotions',
    'baisotons',
    'baisotâmes',
    'baisotât',
    'baisotâtes',
    'baisotèrent',
    'baisoté',
    'baisotée',
    'baisotées',
    'baisotés',
    'baissa',
    'baissai',
    'baissaient',
    'baissais',
    'baissait',
    'baissant',
    'baissas',
    'baissasse',
    'baissassent',
    'baissasses',
    'baissassiez',
    'baissassions',
    'baisse',
    'baissent',
    'baisser',
    'baissera',
    'baisserai',
    'baisseraient',
    'baisserais',
    'baisserait',
    'baisseras',
    'baisserez',
    'baisseriez',
    'baisserions',
    'baisserons',
    'baisseront',
    'baisses',
    'baissez',
    'baissier',
    'baissiers',
    'baissiez',
    'baissions',
    'baissière',
    'baissières',
    'baissons',
    'baissâmes',
    'baissât',
    'baissâtes',
    'baissèrent',
    'baissé',
    'baissée',
    'baissées',
    'baissés',
    'baisâmes',
    'baisât',
    'baisâtes',
    'baisèrent',
    'baisé',
    'baisée',
    'baisées',
    'baisés',
    'bajoue',
    'bajoues',
    'bajoyer',
    'bajoyers',
    'bakchich',
    'bakchichs',
    'baklava',
    'baklavas',
    'bakélite',
    'balada',
    'baladai',
    'baladaient',
    'baladais',
    'baladait',
    'baladant',
    'baladas',
    'baladasse',
    'baladassent',
    'baladasses',
    'baladassiez',
    'baladassions',
    'balade',
    'baladent',
    'balader',
    'baladera',
    'baladerai',
    'baladeraient',
    'baladerais',
    'baladerait',
    'baladeras',
    'baladerez',
    'baladeriez',
    'baladerions',
    'baladerons',
    'baladeront',
    'balades',
    'baladeur',
    'baladeurs',
    'baladeuse',
    'baladeuses',
    'baladez',
    'baladiez',
    'baladin',
    'baladins',
    'baladions',
    'baladons',
    'baladâmes',
    'baladât',
    'baladâtes',
    'baladèrent',
    'baladé',
    'baladée',
    'baladées',
    'baladés',
    'balafon',
    'balafons',
    'balafra',
    'balafrai',
    'balafraient',
    'balafrais',
    'balafrait',
    'balafrant',
    'balafras',
    'balafrasse',
    'balafrassent',
    'balafrasses',
    'balafrassiez',
    'balafre',
    'balafrent',
    'balafrer',
    'balafrera',
    'balafrerai',
    'balafrerais',
    'balafrerait',
    'balafreras',
    'balafrerez',
    'balafreriez',
    'balafrerions',
    'balafrerons',
    'balafreront',
    'balafres',
    'balafrez',
    'balafriez',
    'balafrions',
    'balafrons',
    'balafrâmes',
    'balafrât',
    'balafrâtes',
    'balafrèrent',
    'balafré',
    'balafrée',
    'balafrées',
    'balafrés',
    'balai',
    'balaie',
    'balaient',
    'balaiera',
    'balaierai',
    'balaieraient',
    'balaierais',
    'balaierait',
    'balaieras',
    'balaierez',
    'balaieriez',
    'balaierions',
    'balaierons',
    'balaieront',
    'balaies',
    'balais',
    'balalaïka',
    'balalaïkas',
    'balance',
    'balancelle',
    'balancelles',
    'balancement',
    'balancements',
    'balancent',
    'balancer',
    'balancera',
    'balancerai',
    'balancerais',
    'balancerait',
    'balanceras',
    'balancerez',
    'balanceriez',
    'balancerions',
    'balancerons',
    'balanceront',
    'balances',
    'balancez',
    'balancier',
    'balanciers',
    'balanciez',
    'balancine',
    'balancines',
    'balancions',
    'balancèrent',
    'balancé',
    'balancée',
    'balancées',
    'balancés',
    'balane',
    'balanes',
    'balanite',
    'balanites',
    'balança',
    'balançai',
    'balançaient',
    'balançais',
    'balançait',
    'balançant',
    'balanças',
    'balançasse',
    'balançassent',
    'balançasses',
    'balançassiez',
    'balançoire',
    'balançoires',
    'balançons',
    'balançâmes',
    'balançât',
    'balançâtes',
    'balata',
    'balatas',
    'balaya',
    'balayage',
    'balayages',
    'balayai',
    'balayaient',
    'balayais',
    'balayait',
    'balayant',
    'balayas',
    'balayasse',
    'balayassent',
    'balayasses',
    'balayassiez',
    'balayassions',
    'balaye',
    'balayent',
    'balayer',
    'balayera',
    'balayerai',
    'balayeraient',
    'balayerais',
    'balayerait',
    'balayeras',
    'balayerez',
    'balayeriez',
    'balayerions',
    'balayerons',
    'balayeront',
    'balayes',
    'balayette',
    'balayettes',
    'balayeur',
    'balayeurs',
    'balayeuse',
    'balayeuses',
    'balayez',
    'balayiez',
    'balayions',
    'balayons',
    'balayâmes',
    'balayât',
    'balayâtes',
    'balayèrent',
    'balayé',
    'balayée',
    'balayées',
    'balayés',
    'balbutia',
    'balbutiai',
    'balbutiaient',
    'balbutiais',
    'balbutiait',
    'balbutiant',
    'balbutiante',
    'balbutiantes',
    'balbutiants',
    'balbutias',
    'balbutiasse',
    'balbutiasses',
    'balbutie',
    'balbutiement',
    'balbutient',
    'balbutier',
    'balbutiera',
    'balbutierai',
    'balbutierais',
    'balbutierait',
    'balbutieras',
    'balbutierez',
    'balbutieriez',
    'balbutierons',
    'balbutieront',
    'balbuties',
    'balbutiez',
    'balbutiiez',
    'balbutiions',
    'balbutions',
    'balbutiâmes',
    'balbutiât',
    'balbutiâtes',
    'balbutièrent',
    'balbutié',
    'balbutiée',
    'balbutiées',
    'balbutiés',
    'balbuzard',
    'balbuzards',
    'balcon',
    'balconnet',
    'balconnets',
    'balcons',
    'baldaquin',
    'baldaquins',
    'baleina',
    'baleinai',
    'baleinaient',
    'baleinais',
    'baleinait',
    'baleinant',
    'baleinas',
    'baleinasse',
    'baleinassent',
    'baleinasses',
    'baleinassiez',
    'baleine',
    'baleineau',
    'baleineaux',
    'baleinent',
    'baleiner',
    'baleinera',
    'baleinerai',
    'baleinerais',
    'baleinerait',
    'baleineras',
    'baleinerez',
    'baleineriez',
    'baleinerions',
    'baleinerons',
    'baleineront',
    'baleines',
    'baleinez',
    'baleinier',
    'baleiniers',
    'baleiniez',
    'baleinions',
    'baleinière',
    'baleinières',
    'baleinons',
    'baleinâmes',
    'baleinât',
    'baleinâtes',
    'baleinèrent',
    'baleiné',
    'baleinée',
    'baleinées',
    'baleinés',
    'balisa',
    'balisage',
    'balisages',
    'balisai',
    'balisaient',
    'balisais',
    'balisait',
    'balisant',
    'balisas',
    'balisasse',
    'balisassent',
    'balisasses',
    'balisassiez',
    'balisassions',
    'balise',
    'balisent',
    'baliser',
    'balisera',
    'baliserai',
    'baliseraient',
    'baliserais',
    'baliserait',
    'baliseras',
    'baliserez',
    'baliseriez',
    'baliserions',
    'baliserons',
    'baliseront',
    'balises',
    'baliseur',
    'baliseurs',
    'balisez',
    'balisier',
    'balisiers',
    'balisiez',
    'balisions',
    'balisons',
    'baliste',
    'balistes',
    'balistique',
    'balistiques',
    'balisâmes',
    'balisât',
    'balisâtes',
    'balisèrent',
    'balisé',
    'balisée',
    'balisées',
    'balisés',
    'balivage',
    'balivages',
    'baliveau',
    'baliveaux',
    'baliverne',
    'balivernes',
    'balkanique',
    'balkaniques',
    'balkanisa',
    'balkanisai',
    'balkanisais',
    'balkanisait',
    'balkanisant',
    'balkanisas',
    'balkanisasse',
    'balkanise',
    'balkanisent',
    'balkaniser',
    'balkanisera',
    'balkaniserai',
    'balkaniseras',
    'balkaniserez',
    'balkanises',
    'balkanisez',
    'balkanisiez',
    'balkanisions',
    'balkanisons',
    'balkanisâmes',
    'balkanisât',
    'balkanisâtes',
    'balkanisé',
    'balkanisée',
    'balkanisées',
    'balkanisés',
    'balla',
    'ballade',
    'ballades',
    'ballai',
    'ballaient',
    'ballais',
    'ballait',
    'ballant',
    'ballante',
    'ballantes',
    'ballants',
    'ballas',
    'ballasse',
    'ballassent',
    'ballasses',
    'ballassiez',
    'ballassions',
    'ballast',
    'ballasta',
    'ballastage',
    'ballastages',
    'ballastai',
    'ballastaient',
    'ballastais',
    'ballastait',
    'ballastant',
    'ballastas',
    'ballastasse',
    'ballastasses',
    'ballaste',
    'ballastent',
    'ballaster',
    'ballastera',
    'ballasterai',
    'ballasterais',
    'ballasterait',
    'ballasteras',
    'ballasterez',
    'ballasteriez',
    'ballasterons',
    'ballasteront',
    'ballastes',
    'ballastez',
    'ballastiez',
    'ballastions',
    'ballastière',
    'ballastières',
    'ballastons',
    'ballasts',
    'ballastâmes',
    'ballastât',
    'ballastâtes',
    'ballastèrent',
    'ballasté',
    'ballastée',
    'ballastées',
    'ballastés',
    'balle',
    'ballent',
    'baller',
    'ballera',
    'ballerai',
    'balleraient',
    'ballerais',
    'ballerait',
    'balleras',
    'ballerez',
    'balleriez',
    'ballerine',
    'ballerines',
    'ballerions',
    'ballerons',
    'balleront',
    'balles',
    'ballet',
    'balletomane',
    'balletomanes',
    'ballets',
    'ballez',
    'balliez',
    'ballions',
    'ballon',
    'ballonna',
    'ballonnai',
    'ballonnaient',
    'ballonnais',
    'ballonnait',
    'ballonnant',
    'ballonnas',
    'ballonnasse',
    'ballonnasses',
    'ballonne',
    'ballonnement',
    'ballonnent',
    'ballonner',
    'ballonnera',
    'ballonnerai',
    'ballonnerais',
    'ballonnerait',
    'ballonneras',
    'ballonnerez',
    'ballonneriez',
    'ballonnerons',
    'ballonneront',
    'ballonnes',
    'ballonnet',
    'ballonnets',
    'ballonnez',
    'ballonniez',
    'ballonnions',
    'ballonnons',
    'ballonnâmes',
    'ballonnât',
    'ballonnâtes',
    'ballonnèrent',
    'ballonné',
    'ballonnée',
    'ballonnées',
    'ballonnés',
    'ballons',
    'ballot',
    'ballote',
    'ballotes',
    'ballots',
    'ballotta',
    'ballottage',
    'ballottages',
    'ballottai',
    'ballottaient',
    'ballottais',
    'ballottait',
    'ballottant',
    'ballottas',
    'ballottasse',
    'ballottasses',
    'ballotte',
    'ballottement',
    'ballottent',
    'ballotter',
    'ballottera',
    'ballotterai',
    'ballotterais',
    'ballotterait',
    'ballotteras',
    'ballotterez',
    'ballotteriez',
    'ballotterons',
    'ballotteront',
    'ballottes',
    'ballottez',
    'ballottiez',
    'ballottine',
    'ballottines',
    'ballottions',
    'ballottons',
    'ballottâmes',
    'ballottât',
    'ballottâtes',
    'ballottèrent',
    'ballotté',
    'ballottée',
    'ballottées',
    'ballottés',
    'balluchon',
    'balluchons',
    'ballâmes',
    'ballât',
    'ballâtes',
    'ballèrent',
    'ballé',
    'balnéaire',
    'balnéaires',
    'balnéation',
    'balnéations',
    'balourd',
    'balourde',
    'balourdes',
    'balourdise',
    'balourdises',
    'balourds',
    'bals',
    'balsa',
    'balsamier',
    'balsamiers',
    'balsamine',
    'balsamines',
    'balsamique',
    'balsamiques',
    'balte',
    'baltes',
    'balthazar',
    'balthazars',
    'baluchon',
    'baluchons',
    'balustrade',
    'balustrades',
    'balustre',
    'balustres',
    'balzan',
    'balzane',
    'balzanes',
    'balzans',
    'balès',
    'balèvre',
    'balèvres',
    'bambin',
    'bambins',
    'bambocha',
    'bambochai',
    'bambochaient',
    'bambochais',
    'bambochait',
    'bambochant',
    'bambochas',
    'bambochasse',
    'bambochasses',
    'bamboche',
    'bambochent',
    'bambocher',
    'bambochera',
    'bambocherai',
    'bambocherais',
    'bambocherait',
    'bambocheras',
    'bambocherez',
    'bambocheriez',
    'bambocherons',
    'bambocheront',
    'bamboches',
    'bambocheur',
    'bambocheurs',
    'bambocheuse',
    'bambocheuses',
    'bambochez',
    'bambochiez',
    'bambochions',
    'bambochons',
    'bambochâmes',
    'bambochât',
    'bambochâtes',
    'bambochèrent',
    'bamboché',
    'bambou',
    'bamboula',
    'bamboulas',
    'bambous',
    'banal',
    'banale',
    'banalement',
    'banales',
    'banalisa',
    'banalisai',
    'banalisaient',
    'banalisais',
    'banalisait',
    'banalisant',
    'banalisas',
    'banalisasse',
    'banalisasses',
    'banalisation',
    'banalise',
    'banalisent',
    'banaliser',
    'banalisera',
    'banaliserai',
    'banaliserais',
    'banaliserait',
    'banaliseras',
    'banaliserez',
    'banaliseriez',
    'banaliserons',
    'banaliseront',
    'banalises',
    'banalisez',
    'banalisiez',
    'banalisions',
    'banalisons',
    'banalisâmes',
    'banalisât',
    'banalisâtes',
    'banalisèrent',
    'banalisé',
    'banalisée',
    'banalisées',
    'banalisés',
    'banalité',
    'banalités',
    'banals',
    'banane',
    'bananeraie',
    'bananeraies',
    'bananes',
    'bananier',
    'bananiers',
    'banaux',
    'banc',
    'bancable',
    'bancables',
    'bancaire',
    'bancaires',
    'bancal',
    'bancale',
    'bancales',
    'bancals',
    'banche',
    'bancher',
    'banches',
    'banco',
    'bancos',
    'bancroche',
    'bancroches',
    'bancs',
    'banda',
    'bandage',
    'bandages',
    'bandagiste',
    'bandagistes',
    'bandai',
    'bandaient',
    'bandais',
    'bandait',
    'bandant',
    'bandas',
    'bandasse',
    'bandassent',
    'bandasses',
    'bandassiez',
    'bandassions',
    'bande',
    'bandeau',
    'bandeaux',
    'bandelette',
    'bandelettes',
    'bandent',
    'bander',
    'bandera',
    'banderai',
    'banderaient',
    'banderais',
    'banderait',
    'banderas',
    'banderez',
    'banderiez',
    'banderille',
    'banderillero',
    'banderilles',
    'banderions',
    'banderole',
    'banderoles',
    'banderons',
    'banderont',
    'bandes',
    'bandez',
    'bandiez',
    'bandions',
    'bandit',
    'banditisme',
    'banditismes',
    'bandits',
    'bandons',
    'bandonéon',
    'bandonéons',
    'bandoulière',
    'bandoulières',
    'bandâmes',
    'bandât',
    'bandâtes',
    'bandèrent',
    'bandé',
    'bandée',
    'bandées',
    'bandés',
    'bang',
    'bangs',
    'banian',
    'banians',
    'banjo',
    'banjos',
    'banjoïste',
    'banjoïstes',
    'banlieue',
    'banlieues',
    'banlieusard',
    'banlieusarde',
    'banlieusards',
    'banlon',
    'banlons',
    'banna',
    'bannai',
    'bannaient',
    'bannais',
    'bannait',
    'bannant',
    'bannas',
    'bannasse',
    'bannassent',
    'bannasses',
    'bannassiez',
    'bannassions',
    'banne',
    'bannent',
    'banner',
    'bannera',
    'bannerai',
    'banneraient',
    'bannerais',
    'bannerait',
    'banneras',
    'banneret',
    'bannerets',
    'bannerez',
    'banneriez',
    'bannerions',
    'bannerons',
    'banneront',
    'bannes',
    'banneton',
    'bannetons',
    'bannette',
    'bannettes',
    'bannez',
    'banni',
    'bannie',
    'bannies',
    'banniez',
    'bannions',
    'bannir',
    'bannira',
    'bannirai',
    'banniraient',
    'bannirais',
    'bannirait',
    'banniras',
    'bannirent',
    'bannirez',
    'banniriez',
    'bannirions',
    'bannirons',
    'banniront',
    'bannis',
    'bannissaient',
    'bannissais',
    'bannissait',
    'bannissant',
    'bannisse',
    'bannissement',
    'bannissent',
    'bannisses',
    'bannissez',
    'bannissiez',
    'bannissions',
    'bannissons',
    'bannit',
    'bannière',
    'bannières',
    'bannons',
    'bannâmes',
    'bannât',
    'bannâtes',
    'bannèrent',
    'banné',
    'bannée',
    'bannées',
    'bannés',
    'bannîmes',
    'bannît',
    'bannîtes',
    'banqua',
    'banquai',
    'banquaient',
    'banquais',
    'banquait',
    'banquant',
    'banquas',
    'banquasse',
    'banquassent',
    'banquasses',
    'banquassiez',
    'banquassions',
    'banque',
    'banquent',
    'banquer',
    'banquera',
    'banquerai',
    'banqueraient',
    'banquerais',
    'banquerait',
    'banqueras',
    'banquerez',
    'banqueriez',
    'banquerions',
    'banquerons',
    'banqueront',
    'banqueroute',
    'banqueroutes',
    'banques',
    'banquet',
    'banqueta',
    'banquetai',
    'banquetaient',
    'banquetais',
    'banquetait',
    'banquetant',
    'banquetas',
    'banquetasse',
    'banquetasses',
    'banqueter',
    'banqueteur',
    'banqueteurs',
    'banquetez',
    'banquetiez',
    'banquetions',
    'banquetons',
    'banquets',
    'banquette',
    'banquettent',
    'banquettera',
    'banquetterai',
    'banquetteras',
    'banquetterez',
    'banquettes',
    'banquetâmes',
    'banquetât',
    'banquetâtes',
    'banquetèrent',
    'banqueté',
    'banquez',
    'banquier',
    'banquiers',
    'banquiez',
    'banquions',
    'banquise',
    'banquises',
    'banquiste',
    'banquistes',
    'banquière',
    'banquières',
    'banquons',
    'banquâmes',
    'banquât',
    'banquâtes',
    'banquèrent',
    'banqué',
    'banquée',
    'banquées',
    'banqués',
    'bans',
    'bantou',
    'bantoue',
    'bantoues',
    'bantous',
    'baobab',
    'baobabs',
    'baptisa',
    'baptisai',
    'baptisaient',
    'baptisais',
    'baptisait',
    'baptisant',
    'baptisas',
    'baptisasse',
    'baptisassent',
    'baptisasses',
    'baptisassiez',
    'baptise',
    'baptisent',
    'baptiser',
    'baptisera',
    'baptiserai',
    'baptiserais',
    'baptiserait',
    'baptiseras',
    'baptiserez',
    'baptiseriez',
    'baptiserions',
    'baptiserons',
    'baptiseront',
    'baptises',
    'baptisez',
    'baptisiez',
    'baptisions',
    'baptismal',
    'baptismale',
    'baptismales',
    'baptismaux',
    'baptisme',
    'baptismes',
    'baptisons',
    'baptistaire',
    'baptistaires',
    'baptiste',
    'baptistes',
    'baptisâmes',
    'baptisât',
    'baptisâtes',
    'baptisèrent',
    'baptisé',
    'baptisée',
    'baptisées',
    'baptisés',
    'baptême',
    'baptêmes',
    'baquet',
    'baqueta',
    'baquetai',
    'baquetaient',
    'baquetais',
    'baquetait',
    'baquetant',
    'baquetas',
    'baquetasse',
    'baquetassent',
    'baquetasses',
    'baquetassiez',
    'baqueter',
    'baquetez',
    'baquetiez',
    'baquetions',
    'baquetons',
    'baquets',
    'baquette',
    'baquettent',
    'baquettera',
    'baquetterai',
    'baquetterais',
    'baquetterait',
    'baquetteras',
    'baquetterez',
    'baquetteriez',
    'baquetterons',
    'baquetteront',
    'baquettes',
    'baquetures',
    'baquetâmes',
    'baquetât',
    'baquetâtes',
    'baquetèrent',
    'baqueté',
    'baquetée',
    'baquetées',
    'baquetés',
    'baragouin',
    'baragouina',
    'baragouinage',
    'baragouinai',
    'baragouinais',
    'baragouinait',
    'baragouinant',
    'baragouinas',
    'baragouine',
    'baragouinent',
    'baragouiner',
    'baragouinera',
    'baragouines',
    'baragouineur',
    'baragouinez',
    'baragouiniez',
    'baragouinons',
    'baragouins',
    'baragouinât',
    'baragouiné',
    'baragouinée',
    'baragouinées',
    'baragouinés',
    'baraka',
    'barakas',
    'baraqua',
    'baraquai',
    'baraquaient',
    'baraquais',
    'baraquait',
    'baraquant',
    'baraquas',
    'baraquasse',
    'baraquassent',
    'baraquasses',
    'baraquassiez',
    'baraque',
    'baraquement',
    'baraquements',
    'baraquent',
    'baraquer',
    'baraquera',
    'baraquerai',
    'baraquerais',
    'baraquerait',
    'baraqueras',
    'baraquerez',
    'baraqueriez',
    'baraquerions',
    'baraquerons',
    'baraqueront',
    'baraques',
    'baraquez',
    'baraquiez',
    'baraquions',
    'baraquons',
    'baraquâmes',
    'baraquât',
    'baraquâtes',
    'baraquèrent',
    'baraqué',
    'baraterie',
    'barateries',
    'baratin',
    'baratina',
    'baratinai',
    'baratinaient',
    'baratinais',
    'baratinait',
    'baratinant',
    'baratinas',
    'baratinasse',
    'baratinasses',
    'baratine',
    'baratinent',
    'baratiner',
    'baratinera',
    'baratinerai',
    'baratinerais',
    'baratinerait',
    'baratineras',
    'baratinerez',
    'baratineriez',
    'baratinerons',
    'baratineront',
    'baratines',
    'baratineur',
    'baratineurs',
    'baratineuse',
    'baratineuses',
    'baratinez',
    'baratiniez',
    'baratinions',
    'baratinons',
    'baratinâmes',
    'baratinât',
    'baratinâtes',
    'baratinèrent',
    'baratiné',
    'baratinée',
    'baratinées',
    'baratinés',
    'baratta',
    'barattage',
    'barattages',
    'barattai',
    'barattaient',
    'barattais',
    'barattait',
    'barattant',
    'barattas',
    'barattasse',
    'barattassent',
    'barattasses',
    'barattassiez',
    'baratte',
    'barattent',
    'baratter',
    'barattera',
    'baratterai',
    'baratterais',
    'baratterait',
    'baratteras',
    'baratterez',
    'baratteriez',
    'baratterions',
    'baratterons',
    'baratteront',
    'barattes',
    'barattez',
    'barattiez',
    'barattions',
    'barattons',
    'barattâmes',
    'barattât',
    'barattâtes',
    'barattèrent',
    'baratté',
    'barattée',
    'barattées',
    'barattés',
    'barba',
    'barbacane',
    'barbacanes',
    'barbai',
    'barbaient',
    'barbais',
    'barbait',
    'barbant',
    'barbante',
    'barbantes',
    'barbants',
    'barbaque',
    'barbaques',
    'barbare',
    'barbares',
    'barbaresque',
    'barbaresques',
    'barbarie',
    'barbaries',
    'barbarisme',
    'barbarismes',
    'barbas',
    'barbasse',
    'barbassent',
    'barbasses',
    'barbassiez',
    'barbassions',
    'barbe',
    'barbeau',
    'barbeaux',
    'barbecue',
    'barbecues',
    'barbelure',
    'barbelures',
    'barbelé',
    'barbelée',
    'barbelées',
    'barbelés',
    'barbent',
    'barber',
    'barbera',
    'barberai',
    'barberaient',
    'barberais',
    'barberait',
    'barberas',
    'barberez',
    'barberiez',
    'barberions',
    'barberons',
    'barberont',
    'barbes',
    'barbet',
    'barbets',
    'barbette',
    'barbettes',
    'barbez',
    'barbiche',
    'barbiches',
    'barbichette',
    'barbichettes',
    'barbier',
    'barbiers',
    'barbiez',
    'barbifia',
    'barbifiai',
    'barbifiaient',
    'barbifiais',
    'barbifiait',
    'barbifiant',
    'barbifias',
    'barbifiasse',
    'barbifiasses',
    'barbifie',
    'barbifient',
    'barbifier',
    'barbifiera',
    'barbifierai',
    'barbifierais',
    'barbifierait',
    'barbifieras',
    'barbifierez',
    'barbifieriez',
    'barbifierons',
    'barbifieront',
    'barbifies',
    'barbifiez',
    'barbifiiez',
    'barbifiions',
    'barbifions',
    'barbifiâmes',
    'barbifiât',
    'barbifiâtes',
    'barbifièrent',
    'barbifié',
    'barbifiée',
    'barbifiées',
    'barbifiés',
    'barbille',
    'barbilles',
    'barbillon',
    'barbillons',
    'barbions',
    'barbital',
    'barbitals',
    'barbiturique',
    'barbiturisme',
    'barbon',
    'barbons',
    'barbota',
    'barbotage',
    'barbotages',
    'barbotai',
    'barbotaient',
    'barbotais',
    'barbotait',
    'barbotant',
    'barbotas',
    'barbotasse',
    'barbotassent',
    'barbotasses',
    'barbotassiez',
    'barbote',
    'barbotent',
    'barboter',
    'barbotera',
    'barboterai',
    'barboterais',
    'barboterait',
    'barboteras',
    'barboterez',
    'barboteriez',
    'barboterions',
    'barboterons',
    'barboteront',
    'barbotes',
    'barboteur',
    'barboteurs',
    'barboteuse',
    'barboteuses',
    'barbotez',
    'barbotiez',
    'barbotin',
    'barbotine',
    'barbotines',
    'barbotins',
    'barbotions',
    'barbotière',
    'barbotières',
    'barbotons',
    'barbotâmes',
    'barbotât',
    'barbotâtes',
    'barbotèrent',
    'barboté',
    'barbotée',
    'barbotées',
    'barbotés',
    'barbouilla',
    'barbouillage',
    'barbouillai',
    'barbouillais',
    'barbouillait',
    'barbouillant',
    'barbouillas',
    'barbouille',
    'barbouillent',
    'barbouiller',
    'barbouillera',
    'barbouilles',
    'barbouilleur',
    'barbouillez',
    'barbouilliez',
    'barbouillons',
    'barbouillât',
    'barbouillé',
    'barbouillée',
    'barbouillées',
    'barbouillés',
    'barbouze',
    'barbouzes',
    'barbu',
    'barbue',
    'barbues',
    'barbule',
    'barbules',
    'barbus',
    'barbâmes',
    'barbât',
    'barbâtes',
    'barbèrent',
    'barbé',
    'barbée',
    'barbées',
    'barbés',
    'barcarolle',
    'barcarolles',
    'barcasse',
    'barcasses',
    'bard',
    'barda',
    'bardage',
    'bardages',
    'bardai',
    'bardaient',
    'bardais',
    'bardait',
    'bardane',
    'bardanes',
    'bardant',
    'bardas',
    'bardasse',
    'bardassent',
    'bardasses',
    'bardassiez',
    'bardassions',
    'barde',
    'bardeau',
    'bardeaux',
    'bardent',
    'barder',
    'bardera',
    'barderai',
    'barderaient',
    'barderais',
    'barderait',
    'barderas',
    'barderez',
    'barderiez',
    'barderions',
    'barderons',
    'barderont',
    'bardes',
    'bardez',
    'bardiez',
    'bardions',
    'bardis',
    'bardons',
    'bardot',
    'bardots',
    'bards',
    'bardâmes',
    'bardât',
    'bardâtes',
    'bardèrent',
    'bardé',
    'bardée',
    'bardées',
    'bardés',
    'barge',
    'barges',
    'barguigna',
    'barguignai',
    'barguignais',
    'barguignait',
    'barguignant',
    'barguignas',
    'barguignasse',
    'barguigne',
    'barguignent',
    'barguigner',
    'barguignera',
    'barguignerai',
    'barguigneras',
    'barguignerez',
    'barguignes',
    'barguignez',
    'barguigniez',
    'barguignions',
    'barguignons',
    'barguignâmes',
    'barguignât',
    'barguignâtes',
    'barguigné',
    'baril',
    'barillet',
    'barillets',
    'barils',
    'bariola',
    'bariolage',
    'bariolages',
    'bariolai',
    'bariolaient',
    'bariolais',
    'bariolait',
    'bariolant',
    'bariolas',
    'bariolasse',
    'bariolassent',
    'bariolasses',
    'bariolassiez',
    'bariole',
    'bariolent',
    'barioler',
    'bariolera',
    'bariolerai',
    'bariolerais',
    'bariolerait',
    'barioleras',
    'bariolerez',
    'barioleriez',
    'bariolerions',
    'bariolerons',
    'barioleront',
    'barioles',
    'bariolez',
    'barioliez',
    'bariolions',
    'bariolons',
    'bariolure',
    'bariolures',
    'bariolâmes',
    'bariolât',
    'bariolâtes',
    'bariolèrent',
    'bariolé',
    'bariolée',
    'bariolées',
    'bariolés',
    'barlong',
    'barlongs',
    'barlongue',
    'barlongues',
    'barlotière',
    'barlotières',
    'barmaid',
    'barmaids',
    'barman',
    'barmans',
    'barmen',
    'barn',
    'barnabite',
    'barnabites',
    'barns',
    'barographe',
    'barographes',
    'baromètre',
    'baromètres',
    'barométrique',
    'baron',
    'baronna',
    'baronnage',
    'baronnages',
    'baronnai',
    'baronnaient',
    'baronnais',
    'baronnait',
    'baronnant',
    'baronnas',
    'baronnasse',
    'baronnassent',
    'baronnasses',
    'baronnassiez',
    'baronne',
    'baronnent',
    'baronner',
    'baronnera',
    'baronnerai',
    'baronnerais',
    'baronnerait',
    'baronneras',
    'baronnerez',
    'baronneriez',
    'baronnerions',
    'baronnerons',
    'baronneront',
    'baronnes',
    'baronnet',
    'baronnets',
    'baronnette',
    'baronnettes',
    'baronnez',
    'baronnie',
    'baronnies',
    'baronniez',
    'baronnions',
    'baronnons',
    'baronnâmes',
    'baronnât',
    'baronnâtes',
    'baronnèrent',
    'baronné',
    'baronnée',
    'baronnées',
    'baronnés',
    'barons',
    'baroque',
    'baroques',
    'baroquisme',
    'baroquismes',
    'baroscope',
    'baroscopes',
    'baroud',
    'barouda',
    'baroudai',
    'baroudaient',
    'baroudais',
    'baroudait',
    'baroudant',
    'baroudas',
    'baroudasse',
    'baroudassent',
    'baroudasses',
    'baroudassiez',
    'baroude',
    'baroudent',
    'barouder',
    'baroudera',
    'barouderai',
    'barouderais',
    'barouderait',
    'barouderas',
    'barouderez',
    'barouderiez',
    'barouderions',
    'barouderons',
    'barouderont',
    'baroudes',
    'baroudeur',
    'baroudeurs',
    'baroudez',
    'baroudiez',
    'baroudions',
    'baroudons',
    'barouds',
    'baroudâmes',
    'baroudât',
    'baroudâtes',
    'baroudèrent',
    'baroudé',
    'barouf',
    'baroufle',
    'baroufles',
    'baroufs',
    'barque',
    'barques',
    'barquette',
    'barquettes',
    'barra',
    'barracuda',
    'barracudas',
    'barrage',
    'barrages',
    'barrai',
    'barraient',
    'barrais',
    'barrait',
    'barrant',
    'barras',
    'barrasse',
    'barrassent',
    'barrasses',
    'barrassiez',
    'barrassions',
    'barre',
    'barreau',
    'barreaux',
    'barrement',
    'barrements',
    'barrent',
    'barrer',
    'barrera',
    'barrerai',
    'barreraient',
    'barrerais',
    'barrerait',
    'barreras',
    'barrerez',
    'barreriez',
    'barrerions',
    'barrerons',
    'barreront',
    'barres',
    'barrette',
    'barrettes',
    'barreur',
    'barreurs',
    'barreuse',
    'barreuses',
    'barrez',
    'barri',
    'barricada',
    'barricadai',
    'barricadais',
    'barricadait',
    'barricadant',
    'barricadas',
    'barricadasse',
    'barricade',
    'barricadent',
    'barricader',
    'barricadera',
    'barricaderai',
    'barricaderas',
    'barricaderez',
    'barricades',
    'barricadez',
    'barricadiez',
    'barricadions',
    'barricadons',
    'barricadâmes',
    'barricadât',
    'barricadâtes',
    'barricadé',
    'barricadée',
    'barricadées',
    'barricadés',
    'barriez',
    'barrions',
    'barrique',
    'barriques',
    'barrir',
    'barrira',
    'barrirai',
    'barriraient',
    'barrirais',
    'barrirait',
    'barriras',
    'barrirent',
    'barrirez',
    'barririez',
    'barririons',
    'barrirons',
    'barriront',
    'barris',
    'barrissaient',
    'barrissais',
    'barrissait',
    'barrissant',
    'barrisse',
    'barrissement',
    'barrissent',
    'barrisses',
    'barrissez',
    'barrissiez',
    'barrissions',
    'barrissons',
    'barrit',
    'barrière',
    'barrières',
    'barrons',
    'barrot',
    'barrots',
    'barrâmes',
    'barrât',
    'barrâtes',
    'barrèrent',
    'barré',
    'barrée',
    'barrées',
    'barrés',
    'barrîmes',
    'barrît',
    'barrîtes',
    'bars',
    'bartavelle',
    'bartavelles',
    'barycentre',
    'barycentres',
    'barye',
    'baryes',
    'barymétrie',
    'barymétries',
    'baryon',
    'baryons',
    'barysphère',
    'barysphères',
    'baryte',
    'barytes',
    'barytine',
    'barytines',
    'baryton',
    'barytons',
    'baryum',
    'baryums',
    'barzoï',
    'barzoïs',
    'barème',
    'barèmes',
    'barète',
    'barètent',
    'barètera',
    'barèterai',
    'barèteraient',
    'barèterais',
    'barèterait',
    'barèteras',
    'barèterez',
    'barèteriez',
    'barèterions',
    'barèterons',
    'barèteront',
    'barètes',
    'baréta',
    'barétai',
    'barétaient',
    'barétais',
    'barétait',
    'barétant',
    'barétas',
    'barétasse',
    'barétassent',
    'barétasses',
    'barétassiez',
    'barétassions',
    'baréter',
    'barétez',
    'barétiez',
    'barétions',
    'barétons',
    'barétâmes',
    'barétât',
    'barétâtes',
    'barétèrent',
    'barété',
    'basa',
    'basai',
    'basaient',
    'basais',
    'basait',
    'basal',
    'basale',
    'basales',
    'basalte',
    'basaltes',
    'basaltique',
    'basaltiques',
    'basana',
    'basanai',
    'basanaient',
    'basanais',
    'basanait',
    'basanant',
    'basanas',
    'basanasse',
    'basanassent',
    'basanasses',
    'basanassiez',
    'basanassions',
    'basane',
    'basanent',
    'basaner',
    'basanera',
    'basanerai',
    'basaneraient',
    'basanerais',
    'basanerait',
    'basaneras',
    'basanerez',
    'basaneriez',
    'basanerions',
    'basanerons',
    'basaneront',
    'basanes',
    'basanez',
    'basaniez',
    'basanions',
    'basanons',
    'basant',
    'basanâmes',
    'basanât',
    'basanâtes',
    'basanèrent',
    'basané',
    'basanée',
    'basanées',
    'basanés',
    'basas',
    'basasse',
    'basassent',
    'basasses',
    'basassiez',
    'basassions',
    'basaux',
    'bascula',
    'basculai',
    'basculaient',
    'basculais',
    'basculait',
    'basculant',
    'basculante',
    'basculantes',
    'basculants',
    'basculas',
    'basculasse',
    'basculassent',
    'basculasses',
    'basculassiez',
    'bascule',
    'basculement',
    'basculements',
    'basculent',
    'basculer',
    'basculera',
    'basculerai',
    'basculerais',
    'basculerait',
    'basculeras',
    'basculerez',
    'basculeriez',
    'basculerions',
    'basculerons',
    'basculeront',
    'bascules',
    'basculeur',
    'basculeurs',
    'basculez',
    'basculiez',
    'basculions',
    'basculons',
    'basculâmes',
    'basculât',
    'basculâtes',
    'basculèrent',
    'basculé',
    'basculée',
    'basculées',
    'basculés',
    'base',
    'baselle',
    'baselles',
    'basent',
    'baser',
    'basera',
    'baserai',
    'baseraient',
    'baserais',
    'baserait',
    'baseras',
    'baserez',
    'baseriez',
    'baserions',
    'baserons',
    'baseront',
    'bases',
    'basez',
    'basic',
    'basicité',
    'basicités',
    'basics',
    'baside',
    'basides',
    'basiez',
    'basilaire',
    'basilaires',
    'basilic',
    'basilical',
    'basilicale',
    'basilicales',
    'basilicaux',
    'basilique',
    'basiliques',
    'basin',
    'basins',
    'basions',
    'basique',
    'basiques',
    'basket',
    'baskets',
    'basketteur',
    'basketteurs',
    'basketteuse',
    'basketteuses',
    'basoche',
    'basoches',
    'basons',
    'basophile',
    'basophiles',
    'basquaise',
    'basquaises',
    'basque',
    'basques',
    'basquine',
    'basquines',
    'basse',
    'bassement',
    'basses',
    'bassesse',
    'bassesses',
    'basset',
    'bassets',
    'bassin',
    'bassina',
    'bassinai',
    'bassinaient',
    'bassinais',
    'bassinait',
    'bassinant',
    'bassinante',
    'bassinantes',
    'bassinants',
    'bassinas',
    'bassinasse',
    'bassinassent',
    'bassinasses',
    'bassinassiez',
    'bassine',
    'bassinent',
    'bassiner',
    'bassinera',
    'bassinerai',
    'bassinerais',
    'bassinerait',
    'bassineras',
    'bassinerez',
    'bassineriez',
    'bassinerions',
    'bassinerons',
    'bassineront',
    'bassines',
    'bassinet',
    'bassinets',
    'bassinez',
    'bassiniez',
    'bassinions',
    'bassinoire',
    'bassinoires',
    'bassinons',
    'bassins',
    'bassinâmes',
    'bassinât',
    'bassinâtes',
    'bassinèrent',
    'bassiné',
    'bassinée',
    'bassinées',
    'bassinés',
    'bassiste',
    'bassistes',
    'basson',
    'bassons',
    'baste',
    'basterne',
    'basternes',
    'bastes',
    'bastide',
    'bastides',
    'bastidon',
    'bastidons',
    'bastille',
    'bastilles',
    'bastillonna',
    'bastillonnai',
    'bastillonnas',
    'bastillonne',
    'bastillonner',
    'bastillonnes',
    'bastillonnez',
    'bastillonnât',
    'bastillonné',
    'bastillonnée',
    'bastillonnés',
    'bastillé',
    'bastillée',
    'bastillées',
    'bastillés',
    'basting',
    'bastingage',
    'bastingages',
    'bastings',
    'bastion',
    'bastionna',
    'bastionnai',
    'bastionnais',
    'bastionnait',
    'bastionnant',
    'bastionnas',
    'bastionnasse',
    'bastionne',
    'bastionnent',
    'bastionner',
    'bastionnera',
    'bastionnerai',
    'bastionneras',
    'bastionnerez',
    'bastionnes',
    'bastionnez',
    'bastionniez',
    'bastionnions',
    'bastionnons',
    'bastionnâmes',
    'bastionnât',
    'bastionnâtes',
    'bastionné',
    'bastionnée',
    'bastionnées',
    'bastionnés',
    'bastions',
    'bastonnade',
    'bastonnades',
    'bastos',
    'bastringue',
    'bastringues',
    'basâmes',
    'basât',
    'basâtes',
    'basèrent',
    'basé',
    'basée',
    'basées',
    'basés',
    'bataclan',
    'bataclans',
    'batailla',
    'bataillai',
    'bataillaient',
    'bataillais',
    'bataillait',
    'bataillant',
    'bataillas',
    'bataillasse',
    'bataillasses',
    'bataille',
    'bataillent',
    'batailler',
    'bataillera',
    'bataillerai',
    'bataillerais',
    'bataillerait',
    'batailleras',
    'bataillerez',
    'batailleriez',
    'bataillerons',
    'batailleront',
    'batailles',
    'batailleur',
    'batailleurs',
    'batailleuse',
    'batailleuses',
    'bataillez',
    'batailliez',
    'bataillions',
    'bataillon',
    'bataillons',
    'bataillâmes',
    'bataillât',
    'bataillâtes',
    'bataillèrent',
    'bataillé',
    'batardeau',
    'batardeaux',
    'batavia',
    'batavias',
    'batavique',
    'bataviques',
    'batayole',
    'batayoles',
    'bateau',
    'bateaux',
    'batela',
    'batelage',
    'batelages',
    'batelai',
    'batelaient',
    'batelais',
    'batelait',
    'batelant',
    'batelas',
    'batelasse',
    'batelassent',
    'batelasses',
    'batelassiez',
    'batelassions',
    'bateler',
    'batelet',
    'batelets',
    'bateleur',
    'bateleurs',
    'bateleuse',
    'bateleuses',
    'batelez',
    'batelier',
    'bateliers',
    'bateliez',
    'batelions',
    'batelière',
    'batelières',
    'batelle',
    'batellent',
    'batellera',
    'batellerai',
    'batellerais',
    'batellerait',
    'batelleras',
    'batellerez',
    'batellerie',
    'batelleries',
    'batelleriez',
    'batellerions',
    'batellerons',
    'batelleront',
    'batelles',
    'batelons',
    'batelâmes',
    'batelât',
    'batelâtes',
    'batelèrent',
    'batelé',
    'batelée',
    'batelées',
    'batelés',
    'bath',
    'bathyal',
    'bathyale',
    'bathyales',
    'bathyaux',
    'bathymétrie',
    'bathymétries',
    'bathyscaphe',
    'bathyscaphes',
    'bathysphère',
    'bathysphères',
    'batifola',
    'batifolage',
    'batifolages',
    'batifolai',
    'batifolaient',
    'batifolais',
    'batifolait',
    'batifolant',
    'batifolante',
    'batifolantes',
    'batifolants',
    'batifolas',
    'batifolasse',
    'batifolasses',
    'batifole',
    'batifolent',
    'batifoler',
    'batifolera',
    'batifolerai',
    'batifolerais',
    'batifolerait',
    'batifoleras',
    'batifolerez',
    'batifoleriez',
    'batifolerons',
    'batifoleront',
    'batifoles',
    'batifolez',
    'batifoliez',
    'batifolions',
    'batifolons',
    'batifolâmes',
    'batifolât',
    'batifolâtes',
    'batifolèrent',
    'batifolé',
    'batifolée',
    'batifolées',
    'batifolés',
    'batik',
    'batiks',
    'batiste',
    'batistes',
    'batoude',
    'batoudes',
    'batracien',
    'batraciens',
    'bats',
    'battage',
    'battages',
    'battaient',
    'battais',
    'battait',
    'battant',
    'battante',
    'battantes',
    'battants',
    'batte',
    'battellement',
    'battement',
    'battements',
    'battent',
    'batterie',
    'batteries',
    'battes',
    'batteur',
    'batteurs',
    'batteuse',
    'batteuses',
    'battez',
    'battiez',
    'battions',
    'battirent',
    'battis',
    'battisse',
    'battissent',
    'battisses',
    'battissiez',
    'battissions',
    'battit',
    'battitures',
    'battoir',
    'battoirs',
    'battons',
    'battra',
    'battrai',
    'battraient',
    'battrais',
    'battrait',
    'battras',
    'battre',
    'battrez',
    'battriez',
    'battrions',
    'battrons',
    'battront',
    'battu',
    'battue',
    'battues',
    'batture',
    'battures',
    'battus',
    'battée',
    'battées',
    'battîmes',
    'battît',
    'battîtes',
    'baud',
    'baudet',
    'baudets',
    'baudrier',
    'baudriers',
    'baudroie',
    'baudroies',
    'baudruche',
    'baudruches',
    'bauds',
    'bauge',
    'baugea',
    'baugeai',
    'baugeaient',
    'baugeais',
    'baugeait',
    'baugeant',
    'baugeas',
    'baugeasse',
    'baugeassent',
    'baugeasses',
    'baugeassiez',
    'baugeassions',
    'baugent',
    'baugeons',
    'bauger',
    'baugera',
    'baugerai',
    'baugeraient',
    'baugerais',
    'baugerait',
    'baugeras',
    'baugerez',
    'baugeriez',
    'baugerions',
    'baugerons',
    'baugeront',
    'bauges',
    'baugez',
    'baugeâmes',
    'baugeât',
    'baugeâtes',
    'baugiez',
    'baugions',
    'baugèrent',
    'baugé',
    'baugée',
    'baugées',
    'baugés',
    'baume',
    'baumes',
    'baumier',
    'baumiers',
    'bauquière',
    'bauquières',
    'baux',
    'bauxite',
    'bava',
    'bavai',
    'bavaient',
    'bavais',
    'bavait',
    'bavant',
    'bavard',
    'bavarda',
    'bavardage',
    'bavardages',
    'bavardai',
    'bavardaient',
    'bavardais',
    'bavardait',
    'bavardant',
    'bavardas',
    'bavardasse',
    'bavardassent',
    'bavardasses',
    'bavardassiez',
    'bavarde',
    'bavardent',
    'bavarder',
    'bavardera',
    'bavarderai',
    'bavarderais',
    'bavarderait',
    'bavarderas',
    'bavarderez',
    'bavarderiez',
    'bavarderions',
    'bavarderons',
    'bavarderont',
    'bavardes',
    'bavardez',
    'bavardiez',
    'bavardions',
    'bavardons',
    'bavards',
    'bavardâmes',
    'bavardât',
    'bavardâtes',
    'bavardèrent',
    'bavardé',
    'bavarois',
    'bavaroise',
    'bavaroises',
    'bavas',
    'bavassa',
    'bavassai',
    'bavassaient',
    'bavassais',
    'bavassait',
    'bavassant',
    'bavassas',
    'bavassasse',
    'bavassassent',
    'bavassasses',
    'bavassassiez',
    'bavasse',
    'bavassent',
    'bavasser',
    'bavassera',
    'bavasserai',
    'bavasserais',
    'bavasserait',
    'bavasseras',
    'bavasserez',
    'bavasseriez',
    'bavasserions',
    'bavasserons',
    'bavasseront',
    'bavasses',
    'bavassez',
    'bavassiez',
    'bavassions',
    'bavassons',
    'bavassâmes',
    'bavassât',
    'bavassâtes',
    'bavassèrent',
    'bavassé',
    'bave',
    'bavent',
    'baver',
    'bavera',
    'baverai',
    'baveraient',
    'baverais',
    'baverait',
    'baveras',
    'baverez',
    'baveriez',
    'baverions',
    'baverons',
    'baveront',
    'baves',
    'bavette',
    'bavettes',
    'baveuse',
    'baveuses',
    'baveux',
    'bavez',
    'baviez',
    'bavions',
    'bavocha',
    'bavochai',
    'bavochaient',
    'bavochais',
    'bavochait',
    'bavochant',
    'bavochas',
    'bavochasse',
    'bavochassent',
    'bavochasses',
    'bavochassiez',
    'bavoche',
    'bavochent',
    'bavocher',
    'bavochera',
    'bavocherai',
    'bavocherais',
    'bavocherait',
    'bavocheras',
    'bavocherez',
    'bavocheriez',
    'bavocherions',
    'bavocherons',
    'bavocheront',
    'bavoches',
    'bavochez',
    'bavochiez',
    'bavochions',
    'bavochons',
    'bavochure',
    'bavochures',
    'bavochâmes',
    'bavochât',
    'bavochâtes',
    'bavochèrent',
    'bavoché',
    'bavoir',
    'bavoirs',
    'bavolet',
    'bavolets',
    'bavons',
    'bavure',
    'bavures',
    'bavâmes',
    'bavât',
    'bavâtes',
    'bavèrent',
    'bavé',
    'bavée',
    'bavées',
    'bavés',
    'baya',
    'bayadère',
    'bayadères',
    'bayai',
    'bayaient',
    'bayais',
    'bayait',
    'bayant',
    'bayas',
    'bayasse',
    'bayassent',
    'bayasses',
    'bayassiez',
    'bayassions',
    'baye',
    'bayent',
    'bayer',
    'bayera',
    'bayerai',
    'bayeraient',
    'bayerais',
    'bayerait',
    'bayeras',
    'bayerez',
    'bayeriez',
    'bayerions',
    'bayerons',
    'bayeront',
    'bayes',
    'bayez',
    'bayiez',
    'bayions',
    'bayons',
    'bayou',
    'bayous',
    'bayâmes',
    'bayât',
    'bayâtes',
    'bayèrent',
    'bayé',
    'bazar',
    'bazarda',
    'bazardai',
    'bazardaient',
    'bazardais',
    'bazardait',
    'bazardant',
    'bazardas',
    'bazardasse',
    'bazardassent',
    'bazardasses',
    'bazardassiez',
    'bazarde',
    'bazardent',
    'bazarder',
    'bazardera',
    'bazarderai',
    'bazarderais',
    'bazarderait',
    'bazarderas',
    'bazarderez',
    'bazarderiez',
    'bazarderions',
    'bazarderons',
    'bazarderont',
    'bazardes',
    'bazardez',
    'bazardiez',
    'bazardions',
    'bazardons',
    'bazardâmes',
    'bazardât',
    'bazardâtes',
    'bazardèrent',
    'bazardé',
    'bazardée',
    'bazardées',
    'bazardés',
    'bazars',
    'bazooka',
    'bazookas',
    'baïonnette',
    'baïonnettes',
    'baïram',
    'beagle',
    'beagles',
    'beatnik',
    'beatniks',
    'beau',
    'beauceron',
    'beauceronne',
    'beauceronnes',
    'beaucerons',
    'beaucoup',
    'beauf',
    'beaufs',
    'beaujolais',
    'beaupré',
    'beauprés',
    'beauté',
    'beautés',
    'beaux',
    'becfigue',
    'becfigues',
    'becqua',
    'becquai',
    'becquaient',
    'becquais',
    'becquait',
    'becquant',
    'becquas',
    'becquasse',
    'becquassent',
    'becquasses',
    'becquassiez',
    'becquassions',
    'becque',
    'becquent',
    'becquer',
    'becquera',
    'becquerai',
    'becqueraient',
    'becquerais',
    'becquerait',
    'becqueras',
    'becquerel',
    'becquerels',
    'becquerez',
    'becqueriez',
    'becquerions',
    'becquerons',
    'becqueront',
    'becques',
    'becqueta',
    'becquetai',
    'becquetaient',
    'becquetais',
    'becquetait',
    'becquetance',
    'becquetances',
    'becquetant',
    'becquetas',
    'becquetasse',
    'becquetasses',
    'becqueter',
    'becquetez',
    'becquetiez',
    'becquetions',
    'becquetons',
    'becquette',
    'becquettent',
    'becquettera',
    'becquetterai',
    'becquetteras',
    'becquetterez',
    'becquettes',
    'becquetâmes',
    'becquetât',
    'becquetâtes',
    'becquetèrent',
    'becqueté',
    'becquetée',
    'becquetées',
    'becquetés',
    'becquez',
    'becquiez',
    'becquions',
    'becquons',
    'becquâmes',
    'becquât',
    'becquâtes',
    'becquèrent',
    'becqué',
    'becquée',
    'becquées',
    'becqués',
    'becs',
    'becta',
    'bectai',
    'bectaient',
    'bectais',
    'bectait',
    'bectant',
    'bectas',
    'bectasse',
    'bectassent',
    'bectasses',
    'bectassiez',
    'bectassions',
    'becte',
    'bectent',
    'becter',
    'bectera',
    'becterai',
    'becteraient',
    'becterais',
    'becterait',
    'becteras',
    'becterez',
    'becteriez',
    'becterions',
    'becterons',
    'becteront',
    'bectes',
    'bectez',
    'bectiez',
    'bections',
    'bectons',
    'bectâmes',
    'bectât',
    'bectâtes',
    'bectèrent',
    'becté',
    'bectée',
    'bectées',
    'bectés',
    'bedaine',
    'bedaines',
    'bedeau',
    'bedeaux',
    'bedon',
    'bedonna',
    'bedonnai',
    'bedonnaient',
    'bedonnais',
    'bedonnait',
    'bedonnant',
    'bedonnante',
    'bedonnantes',
    'bedonnants',
    'bedonnas',
    'bedonnasse',
    'bedonnassent',
    'bedonnasses',
    'bedonnassiez',
    'bedonne',
    'bedonnent',
    'bedonner',
    'bedonnera',
    'bedonnerai',
    'bedonnerais',
    'bedonnerait',
    'bedonneras',
    'bedonnerez',
    'bedonneriez',
    'bedonnerions',
    'bedonnerons',
    'bedonneront',
    'bedonnes',
    'bedonnez',
    'bedonniez',
    'bedonnions',
    'bedonnons',
    'bedonnâmes',
    'bedonnât',
    'bedonnâtes',
    'bedonnèrent',
    'bedonné',
    'bedons',
    'beefsteak',
    'beefsteaks',
    'beffroi',
    'beffrois',
    'behaviorisme',
    'behavioriste',
    'beige',
    'beiges',
    'beigne',
    'beignes',
    'beignet',
    'beignets',
    'belette',
    'belettes',
    'belge',
    'belges',
    'belgicisme',
    'belgicismes',
    'belladone',
    'belle',
    'bellement',
    'belles',
    'bellicisme',
    'bellicismes',
    'belliciste',
    'bellicistes',
    'belligérance',
    'belligérant',
    'belligérante',
    'belligérants',
    'belliqueuse',
    'belliqueuses',
    'belliqueux',
    'belluaire',
    'belluaires',
    'bellâtre',
    'bellâtres',
    'belon',
    'belons',
    'belote',
    'belotes',
    'belouga',
    'belougas',
    'beltrami',
    'belvédère',
    'belvédères',
    'bengali',
    'bengalis',
    'benjamin',
    'benjamine',
    'benjamines',
    'benjamins',
    'benjoin',
    'benne',
    'bennes',
    'benoît',
    'benoîte',
    'benoîtement',
    'benoîtes',
    'benoîts',
    'benthique',
    'benthiques',
    'benthos',
    'bentonite',
    'bentonites',
    'benzine',
    'benzines',
    'benzoate',
    'benzoates',
    'benzol',
    'benzolisme',
    'benzolismes',
    'benzols',
    'benzène',
    'benzénique',
    'benzéniques',
    'benêt',
    'benêts',
    'berbère',
    'berbères',
    'bercail',
    'berce',
    'berceau',
    'berceaux',
    'bercement',
    'bercements',
    'bercent',
    'bercer',
    'bercera',
    'bercerai',
    'berceraient',
    'bercerais',
    'bercerait',
    'berceras',
    'bercerez',
    'berceriez',
    'bercerions',
    'bercerons',
    'berceront',
    'berces',
    'berceur',
    'berceurs',
    'berceuse',
    'berceuses',
    'bercez',
    'berciez',
    'bercions',
    'bercèrent',
    'bercé',
    'bercée',
    'bercées',
    'bercés',
    'bergamasque',
    'bergamasques',
    'bergamote',
    'bergamotier',
    'bergamotiers',
    'berge',
    'berger',
    'bergerie',
    'bergeries',
    'bergers',
    'berges',
    'bergère',
    'bergères',
    'berkélium',
    'berkéliums',
    'berline',
    'berlines',
    'berlingot',
    'berlingots',
    'berlue',
    'berme',
    'bermes',
    'bermuda',
    'bermudas',
    'berna',
    'bernache',
    'bernaches',
    'bernacle',
    'bernacles',
    'bernai',
    'bernaient',
    'bernais',
    'bernait',
    'bernant',
    'bernardin',
    'bernardine',
    'bernardines',
    'bernardins',
    'bernas',
    'bernasse',
    'bernassent',
    'bernasses',
    'bernassiez',
    'bernassions',
    'berne',
    'bernent',
    'berner',
    'bernera',
    'bernerai',
    'berneraient',
    'bernerais',
    'bernerait',
    'berneras',
    'bernerez',
    'berneriez',
    'bernerions',
    'bernerons',
    'berneront',
    'bernes',
    'bernez',
    'bernicle',
    'bernicles',
    'berniez',
    'bernions',
    'bernique',
    'berniques',
    'bernons',
    'bernouilli',
    'bernâmes',
    'bernât',
    'bernâtes',
    'bernèrent',
    'berné',
    'bernée',
    'bernées',
    'bernés',
    'berrichon',
    'berrichonne',
    'berrichonnes',
    'berrichons',
    'bers',
    'bersaglier',
    'bersagliers',
    'berthon',
    'berthons',
    'berça',
    'berçai',
    'berçaient',
    'berçais',
    'berçait',
    'berçant',
    'berçante',
    'berçantes',
    'berças',
    'berçasse',
    'berçassent',
    'berçasses',
    'berçassiez',
    'berçassions',
    'berçons',
    'berçâmes',
    'berçât',
    'berçâtes',
    'besace',
    'besaces',
    'besaiguë',
    'besaiguës',
    'besant',
    'besants',
    'besogna',
    'besognai',
    'besognaient',
    'besognais',
    'besognait',
    'besognant',
    'besognas',
    'besognasse',
    'besognassent',
    'besognasses',
    'besognassiez',
    'besogne',
    'besognent',
    'besogner',
    'besognera',
    'besognerai',
    'besognerais',
    'besognerait',
    'besogneras',
    'besognerez',
    'besogneriez',
    'besognerions',
    'besognerons',
    'besogneront',
    'besognes',
    'besogneuse',
    'besogneuses',
    'besogneux',
    'besognez',
    'besogniez',
    'besognions',
    'besognons',
    'besognâmes',
    'besognât',
    'besognâtes',
    'besognèrent',
    'besogné',
    'besoin',
    'besoins',
    'bessemer',
    'bessemers',
    'bestiaire',
    'bestiaires',
    'bestial',
    'bestiale',
    'bestialement',
    'bestiales',
    'bestialité',
    'bestialités',
    'bestiaux',
    'bestiole',
    'bestioles',
    'bette',
    'betterave',
    'betteraves',
    'betteravier',
    'betteraviers',
    'betteravière',
    'bettes',
    'betti',
    'beugla',
    'beuglai',
    'beuglaient',
    'beuglais',
    'beuglait',
    'beuglant',
    'beuglante',
    'beuglantes',
    'beuglants',
    'beuglas',
    'beuglasse',
    'beuglassent',
    'beuglasses',
    'beuglassiez',
    'beuglassions',
    'beugle',
    'beuglement',
    'beuglements',
    'beuglent',
    'beugler',
    'beuglera',
    'beuglerai',
    'beugleraient',
    'beuglerais',
    'beuglerait',
    'beugleras',
    'beuglerez',
    'beugleriez',
    'beuglerions',
    'beuglerons',
    'beugleront',
    'beugles',
    'beuglez',
    'beugliez',
    'beuglions',
    'beuglons',
    'beuglâmes',
    'beuglât',
    'beuglâtes',
    'beuglèrent',
    'beuglé',
    'beuglée',
    'beuglées',
    'beuglés',
    'beur',
    'beurra',
    'beurrai',
    'beurraient',
    'beurrais',
    'beurrait',
    'beurrant',
    'beurras',
    'beurrasse',
    'beurrassent',
    'beurrasses',
    'beurrassiez',
    'beurrassions',
    'beurre',
    'beurrent',
    'beurrer',
    'beurrera',
    'beurrerai',
    'beurreraient',
    'beurrerais',
    'beurrerait',
    'beurreras',
    'beurrerez',
    'beurrerie',
    'beurreries',
    'beurreriez',
    'beurrerions',
    'beurrerons',
    'beurreront',
    'beurres',
    'beurrez',
    'beurrier',
    'beurriers',
    'beurriez',
    'beurrions',
    'beurrons',
    'beurrâmes',
    'beurrât',
    'beurrâtes',
    'beurrèrent',
    'beurré',
    'beurrée',
    'beurrées',
    'beurrés',
    'beurs',
    'beuverie',
    'beuveries',
    'beylical',
    'beylicale',
    'beylicales',
    'beylicat',
    'beylicats',
    'beylicaux',
    'beylisme',
    'beylismes',
    'beys',
    'biacide',
    'biacides',
    'biacuminé',
    'biacuminée',
    'biacuminées',
    'biacuminés',
    'biais',
    'biaisa',
    'biaisai',
    'biaisaient',
    'biaisais',
    'biaisait',
    'biaisant',
    'biaisas',
    'biaisasse',
    'biaisassent',
    'biaisasses',
    'biaisassiez',
    'biaisassions',
    'biaise',
    'biaisent',
    'biaiser',
    'biaisera',
    'biaiserai',
    'biaiseraient',
    'biaiserais',
    'biaiserait',
    'biaiseras',
    'biaiserez',
    'biaiseriez',
    'biaiserions',
    'biaiserons',
    'biaiseront',
    'biaises',
    'biaisez',
    'biaisiez',
    'biaisions',
    'biaisons',
    'biaisâmes',
    'biaisât',
    'biaisâtes',
    'biaisèrent',
    'biaisé',
    'biaisée',
    'biaisées',
    'biaisés',
    'bianchi',
    'bibelot',
    'bibelota',
    'bibelotai',
    'bibelotaient',
    'bibelotais',
    'bibelotait',
    'bibelotant',
    'bibelotas',
    'bibelotasse',
    'bibelotasses',
    'bibelote',
    'bibelotent',
    'bibeloter',
    'bibelotera',
    'bibeloterai',
    'bibeloterais',
    'bibeloterait',
    'bibeloteras',
    'bibeloterez',
    'bibeloteriez',
    'bibeloterons',
    'bibeloteront',
    'bibelotes',
    'bibelotez',
    'bibelotiez',
    'bibelotions',
    'bibelotons',
    'bibelots',
    'bibelotâmes',
    'bibelotât',
    'bibelotâtes',
    'bibelotèrent',
    'bibeloté',
    'biberon',
    'biberonna',
    'biberonnai',
    'biberonnais',
    'biberonnait',
    'biberonnant',
    'biberonnas',
    'biberonnasse',
    'biberonne',
    'biberonnent',
    'biberonner',
    'biberonnera',
    'biberonnerai',
    'biberonneras',
    'biberonnerez',
    'biberonnes',
    'biberonnez',
    'biberonniez',
    'biberonnions',
    'biberonnons',
    'biberonnâmes',
    'biberonnât',
    'biberonnâtes',
    'biberonné',
    'biberons',
    'bibi',
    'bibine',
    'bibines',
    'bibis',
    'bible',
    'bibles',
    'bibliobus',
    'bibliographe',
    'bibliomanie',
    'bibliomanies',
    'bibliophile',
    'bibliophiles',
    'bibliophilie',
    'bibliothèque',
    'biblique',
    'bibliques',
    'bicamérisme',
    'bicamérismes',
    'bicarbonate',
    'bicarbonates',
    'bicarré',
    'bicarrée',
    'bicarrées',
    'bicarrés',
    'bicentenaire',
    'biceps',
    'bicha',
    'bichai',
    'bichaient',
    'bichais',
    'bichait',
    'bichant',
    'bichas',
    'bichasse',
    'bichassent',
    'bichasses',
    'bichassiez',
    'bichassions',
    'biche',
    'bichent',
    'bicher',
    'bichera',
    'bicherai',
    'bicheraient',
    'bicherais',
    'bicherait',
    'bicheras',
    'bicherez',
    'bicheriez',
    'bicherions',
    'bicherons',
    'bicheront',
    'biches',
    'bichette',
    'bichettes',
    'bichez',
    'bichiez',
    'bichions',
    'bichlamar',
    'bichlamars',
    'bichlorure',
    'bichof',
    'bichon',
    'bichonna',
    'bichonnai',
    'bichonnaient',
    'bichonnais',
    'bichonnait',
    'bichonnant',
    'bichonnas',
    'bichonnasse',
    'bichonnasses',
    'bichonne',
    'bichonnent',
    'bichonner',
    'bichonnera',
    'bichonnerai',
    'bichonnerais',
    'bichonnerait',
    'bichonneras',
    'bichonnerez',
    'bichonneriez',
    'bichonnerons',
    'bichonneront',
    'bichonnes',
    'bichonnez',
    'bichonniez',
    'bichonnions',
    'bichonnons',
    'bichonnâmes',
    'bichonnât',
    'bichonnâtes',
    'bichonnèrent',
    'bichonné',
    'bichonnée',
    'bichonnées',
    'bichonnés',
    'bichons',
    'bichota',
    'bichotai',
    'bichotaient',
    'bichotais',
    'bichotait',
    'bichotant',
    'bichotas',
    'bichotasse',
    'bichotassent',
    'bichotasses',
    'bichotassiez',
    'bichote',
    'bichotent',
    'bichoter',
    'bichotera',
    'bichoterai',
    'bichoterais',
    'bichoterait',
    'bichoteras',
    'bichoterez',
    'bichoteriez',
    'bichoterions',
    'bichoterons',
    'bichoteront',
    'bichotes',
    'bichotez',
    'bichotiez',
    'bichotions',
    'bichotons',
    'bichotâmes',
    'bichotât',
    'bichotâtes',
    'bichotèrent',
    'bichoté',
    'bichromate',
    'bichromates',
    'bichromie',
    'bichromies',
    'bichâmes',
    'bichât',
    'bichâtes',
    'bichèrent',
    'biché',
    'bickford',
    'bickfords',
    'bicolore',
    'bicolores',
    'biconcave',
    'biconcaves',
    'biconvexe',
    'biconvexes',
    'bicoque',
    'bicoques',
    'bicorne',
    'bicornes',
    'bicot',
    'bicots',
    'bics',
    'biculturel',
    'biculturelle',
    'biculturels',
    'bicycle',
    'bicycles',
    'bicyclette',
    'bicyclettes',
    'bicéphale',
    'bicéphales',
    'bidasse',
    'bidasses',
    'bide',
    'bident',
    'bidents',
    'bides',
    'bidet',
    'bidets',
    'bidoche',
    'bidoches',
    'bidon',
    'bidonna',
    'bidonnai',
    'bidonnaient',
    'bidonnais',
    'bidonnait',
    'bidonnant',
    'bidonnante',
    'bidonnantes',
    'bidonnants',
    'bidonnas',
    'bidonnasse',
    'bidonnassent',
    'bidonnasses',
    'bidonnassiez',
    'bidonne',
    'bidonnent',
    'bidonner',
    'bidonnera',
    'bidonnerai',
    'bidonnerais',
    'bidonnerait',
    'bidonneras',
    'bidonnerez',
    'bidonneriez',
    'bidonnerions',
    'bidonnerons',
    'bidonneront',
    'bidonnes',
    'bidonnez',
    'bidonniez',
    'bidonnions',
    'bidonnons',
    'bidonnâmes',
    'bidonnât',
    'bidonnâtes',
    'bidonnèrent',
    'bidonné',
    'bidonnée',
    'bidonnées',
    'bidonnés',
    'bidons',
    'bidonville',
    'bidonvilles',
    'bidouilla',
    'bidouillage',
    'bidouillages',
    'bidouillai',
    'bidouillais',
    'bidouillait',
    'bidouillant',
    'bidouillas',
    'bidouillasse',
    'bidouille',
    'bidouillent',
    'bidouiller',
    'bidouillera',
    'bidouillerai',
    'bidouilleras',
    'bidouillerez',
    'bidouilles',
    'bidouillez',
    'bidouilliez',
    'bidouillions',
    'bidouillons',
    'bidouillâmes',
    'bidouillât',
    'bidouillâtes',
    'bidouillé',
    'bidouillée',
    'bidouillées',
    'bidouillés',
    'bidule',
    'bidules',
    'bief',
    'biefs',
    'bielle',
    'bielles',
    'biellette',
    'biellettes',
    'bien',
    'bienfaisance',
    'bienfaisant',
    'bienfaisante',
    'bienfaisants',
    'bienfait',
    'bienfaiteur',
    'bienfaiteurs',
    'bienfaitrice',
    'bienfaits',
    'bienheureuse',
    'bienheureux',
    'biennal',
    'biennale',
    'biennales',
    'biennaux',
    'biens',
    'bienséance',
    'bienséances',
    'bienséant',
    'bienséante',
    'bienséantes',
    'bienséants',
    'bientôt',
    'bienveillant',
    'bienvenir',
    'bienvenu',
    'bienvenue',
    'bienvenues',
    'bienvenus',
    'biface',
    'bifaces',
    'biffa',
    'biffage',
    'biffages',
    'biffai',
    'biffaient',
    'biffais',
    'biffait',
    'biffant',
    'biffas',
    'biffasse',
    'biffassent',
    'biffasses',
    'biffassiez',
    'biffassions',
    'biffe',
    'biffent',
    'biffer',
    'biffera',
    'bifferai',
    'bifferaient',
    'bifferais',
    'bifferait',
    'bifferas',
    'bifferez',
    'bifferiez',
    'bifferions',
    'bifferons',
    'bifferont',
    'biffes',
    'biffez',
    'biffiez',
    'biffin',
    'biffins',
    'biffions',
    'biffons',
    'biffure',
    'biffures',
    'biffâmes',
    'biffât',
    'biffâtes',
    'biffèrent',
    'biffé',
    'biffée',
    'biffées',
    'biffés',
    'bifide',
    'bifides',
    'bifilaire',
    'bifilaires',
    'bifocal',
    'bifocale',
    'bifocales',
    'bifocaux',
    'bifteck',
    'biftecks',
    'bifurcation',
    'bifurcations',
    'bifurqua',
    'bifurquai',
    'bifurquaient',
    'bifurquais',
    'bifurquait',
    'bifurquant',
    'bifurquas',
    'bifurquasse',
    'bifurquasses',
    'bifurque',
    'bifurquent',
    'bifurquer',
    'bifurquera',
    'bifurquerai',
    'bifurquerais',
    'bifurquerait',
    'bifurqueras',
    'bifurquerez',
    'bifurqueriez',
    'bifurquerons',
    'bifurqueront',
    'bifurques',
    'bifurquez',
    'bifurquiez',
    'bifurquions',
    'bifurquons',
    'bifurquâmes',
    'bifurquât',
    'bifurquâtes',
    'bifurquèrent',
    'bifurqué',
    'bigame',
    'bigames',
    'bigamie',
    'bigarade',
    'bigarades',
    'bigaradier',
    'bigaradiers',
    'bigarra',
    'bigarrai',
    'bigarraient',
    'bigarrais',
    'bigarrait',
    'bigarrant',
    'bigarras',
    'bigarrasse',
    'bigarrassent',
    'bigarrasses',
    'bigarrassiez',
    'bigarre',
    'bigarreau',
    'bigarreaux',
    'bigarrent',
    'bigarrer',
    'bigarrera',
    'bigarrerai',
    'bigarrerais',
    'bigarrerait',
    'bigarreras',
    'bigarrerez',
    'bigarreriez',
    'bigarrerions',
    'bigarrerons',
    'bigarreront',
    'bigarres',
    'bigarrez',
    'bigarriez',
    'bigarrions',
    'bigarrons',
    'bigarrure',
    'bigarrures',
    'bigarrâmes',
    'bigarrât',
    'bigarrâtes',
    'bigarrèrent',
    'bigarré',
    'bigarrée',
    'bigarrées',
    'bigarrés',
    'bigla',
    'biglai',
    'biglaient',
    'biglais',
    'biglait',
    'biglant',
    'biglas',
    'biglasse',
    'biglassent',
    'biglasses',
    'biglassiez',
    'biglassions',
    'bigle',
    'biglent',
    'bigler',
    'biglera',
    'biglerai',
    'bigleraient',
    'biglerais',
    'biglerait',
    'bigleras',
    'biglerez',
    'bigleriez',
    'biglerions',
    'biglerons',
    'bigleront',
    'bigles',
    'bigleuse',
    'bigleuses',
    'bigleux',
    'biglez',
    'bigliez',
    'biglions',
    'biglons',
    'biglâmes',
    'biglât',
    'biglâtes',
    'biglèrent',
    'biglé',
    'biglée',
    'biglées',
    'biglés',
    'bignonia',
    'bignonias',
    'bigophone',
    'bigophones',
    'bigorna',
    'bigornai',
    'bigornaient',
    'bigornais',
    'bigornait',
    'bigornant',
    'bigornas',
    'bigornasse',
    'bigornassent',
    'bigornasses',
    'bigornassiez',
    'bigorne',
    'bigorneau',
    'bigorneaux',
    'bigornent',
    'bigorner',
    'bigornera',
    'bigornerai',
    'bigornerais',
    'bigornerait',
    'bigorneras',
    'bigornerez',
    'bigorneriez',
    'bigornerions',
    'bigornerons',
    'bigorneront',
    'bigornes',
    'bigornez',
    'bigorniez',
    'bigornions',
    'bigornons',
    'bigornâmes',
    'bigornât',
    'bigornâtes',
    'bigornèrent',
    'bigorné',
    'bigornée',
    'bigornées',
    'bigornés',
    'bigot',
    'bigote',
    'bigoterie',
    'bigoteries',
    'bigotes',
    'bigotisme',
    'bigotismes',
    'bigots',
    'bigouden',
    'bigoudi',
    'bigoudis',
    'bigre',
    'bigrement',
    'bigue',
    'bigues',
    'biguine',
    'biguines',
    'biharmonique',
    'bihoreau',
    'bihoreaus',
    'bijectif',
    'bijectifs',
    'bijection',
    'bijections',
    'bijective',
    'bijectives',
    'bijou',
    'bijouterie',
    'bijouteries',
    'bijoutier',
    'bijoutiers',
    'bijoutière',
    'bijoutières',
    'bijoux',
    'bikini',
    'bikinis',
    'bila',
    'bilabiale',
    'bilabiales',
    'bilabié',
    'bilabiée',
    'bilabiées',
    'bilabiés',
    'bilai',
    'bilaient',
    'bilais',
    'bilait',
    'bilame',
    'bilames',
    'bilan',
    'bilans',
    'bilant',
    'bilaplacien',
    'bilas',
    'bilasse',
    'bilassent',
    'bilasses',
    'bilassiez',
    'bilassions',
    'bilatéral',
    'bilatérale',
    'bilatérales',
    'bilatéraux',
    'bilboquet',
    'bilboquets',
    'bile',
    'bilent',
    'biler',
    'bilera',
    'bilerai',
    'bileraient',
    'bilerais',
    'bilerait',
    'bileras',
    'bilerez',
    'bileriez',
    'bilerions',
    'bilerons',
    'bileront',
    'biles',
    'bileuse',
    'bileuses',
    'bileux',
    'bilez',
    'bilharzie',
    'bilharzies',
    'bilharziose',
    'bilharzioses',
    'biliaire',
    'biliaires',
    'bilieuse',
    'bilieuses',
    'bilieux',
    'biliez',
    'bilingue',
    'bilingues',
    'bilinguisme',
    'bilinguismes',
    'bilions',
    'bilirubine',
    'bilirubines',
    'bill',
    'billard',
    'billards',
    'bille',
    'billebauda',
    'billebaudai',
    'billebaudais',
    'billebaudait',
    'billebaudant',
    'billebaudas',
    'billebaude',
    'billebaudent',
    'billebauder',
    'billebaudera',
    'billebaudes',
    'billebaudez',
    'billebaudiez',
    'billebaudons',
    'billebaudât',
    'billebaudé',
    'biller',
    'billes',
    'billet',
    'billets',
    'billette',
    'billetterie',
    'billetteries',
    'billettes',
    'billeté',
    'billetée',
    'billetées',
    'billetés',
    'billevesée',
    'billevesées',
    'billion',
    'billions',
    'billon',
    'billonna',
    'billonnage',
    'billonnages',
    'billonnai',
    'billonnaient',
    'billonnais',
    'billonnait',
    'billonnant',
    'billonnas',
    'billonnasse',
    'billonnasses',
    'billonne',
    'billonnent',
    'billonner',
    'billonnera',
    'billonnerai',
    'billonnerais',
    'billonnerait',
    'billonneras',
    'billonnerez',
    'billonneriez',
    'billonnerons',
    'billonneront',
    'billonnes',
    'billonnez',
    'billonniez',
    'billonnions',
    'billonnons',
    'billonnâmes',
    'billonnât',
    'billonnâtes',
    'billonnèrent',
    'billonné',
    'billonnée',
    'billonnées',
    'billonnés',
    'billons',
    'billot',
    'billots',
    'bills',
    'bilobé',
    'bilobée',
    'bilobées',
    'bilobés',
    'biloculaire',
    'biloculaires',
    'bilons',
    'biloqua',
    'biloquai',
    'biloquaient',
    'biloquais',
    'biloquait',
    'biloquant',
    'biloquas',
    'biloquasse',
    'biloquassent',
    'biloquasses',
    'biloquassiez',
    'biloque',
    'biloquent',
    'biloquer',
    'biloquera',
    'biloquerai',
    'biloquerais',
    'biloquerait',
    'biloqueras',
    'biloquerez',
    'biloqueriez',
    'biloquerions',
    'biloquerons',
    'biloqueront',
    'biloques',
    'biloquez',
    'biloquiez',
    'biloquions',
    'biloquons',
    'biloquâmes',
    'biloquât',
    'biloquâtes',
    'biloquèrent',
    'biloqué',
    'biloquée',
    'biloquées',
    'biloqués',
    'bilâmes',
    'bilât',
    'bilâtes',
    'bilèrent',
    'bilé',
    'bilée',
    'bilées',
    'bilés',
    'bimane',
    'bimanes',
    'bimbeloterie',
    'bimensuel',
    'bimensuelle',
    'bimensuelles',
    'bimensuels',
    'bimestriel',
    'bimestrielle',
    'bimestriels',
    'bimillénaire',
    'bimoteur',
    'bimoteurs',
    'bimétallique',
    'bimétallisme',
    'bimétalliste',
    'bina',
    'binage',
    'binages',
    'binai',
    'binaient',
    'binaire',
    'binaires',
    'binais',
    'binait',
    'binant',
    'binard',
    'binards',
    'binas',
    'binasse',
    'binassent',
    'binasses',
    'binassiez',
    'binassions',
    'binational',
    'binationale',
    'binationales',
    'binationaux',
    'bine',
    'binent',
    'biner',
    'binera',
    'binerai',
    'bineraient',
    'binerais',
    'binerait',
    'bineras',
    'binerez',
    'bineriez',
    'binerions',
    'binerons',
    'bineront',
    'bines',
    'binette',
    'binettes',
    'bineuse',
    'bineuses',
    'binez',
    'bingo',
    'bingos',
    'biniez',
    'binions',
    'biniou',
    'binious',
    'binoclard',
    'binoclarde',
    'binoclardes',
    'binoclards',
    'binocle',
    'binocles',
    'binoculaire',
    'binoculaires',
    'binons',
    'binormale',
    'binâmes',
    'binât',
    'binâtes',
    'binèrent',
    'biné',
    'binée',
    'binées',
    'binés',
    'biochimie',
    'biochimies',
    'biochimiques',
    'biochimiste',
    'biochimistes',
    'biocide',
    'biocides',
    'biocénose',
    'biocénoses',
    'biogenèse',
    'biogenèses',
    'biographe',
    'biographes',
    'biographie',
    'biographies',
    'biographique',
    'biologie',
    'biologies',
    'biologique',
    'biologiques',
    'biologiste',
    'biologistes',
    'biomasse',
    'biomasses',
    'biomécanique',
    'biomédical',
    'biomédicale',
    'biomédicales',
    'biomédicaux',
    'bionique',
    'bioniques',
    'biophysique',
    'biophysiques',
    'biopsie',
    'biopsies',
    'biosphère',
    'biosphères',
    'biosynthèse',
    'biosynthèses',
    'biothérapie',
    'biothérapies',
    'biotique',
    'biotiques',
    'biotite',
    'biotites',
    'biotope',
    'biotopes',
    'biotype',
    'biotypes',
    'biotypologie',
    'bioxyde',
    'bioxydes',
    'bioénergie',
    'bioénergies',
    'bipale',
    'bipales',
    'biparti',
    'bipartie',
    'biparties',
    'bipartis',
    'bipartisme',
    'bipartismes',
    'bipartite',
    'bipartites',
    'bipartition',
    'bipartitions',
    'bipasser',
    'bipenné',
    'bipennée',
    'bipennées',
    'bipennés',
    'biphasé',
    'biphasée',
    'biphasées',
    'biphasés',
    'bipied',
    'bipieds',
    'biplace',
    'biplaces',
    'biplan',
    'biplans',
    'bipolaire',
    'bipolaires',
    'bipolarité',
    'bipolarités',
    'bipoutre',
    'bipoutres',
    'bipède',
    'bipèdes',
    'bique',
    'biques',
    'biquet',
    'biquets',
    'biquette',
    'biquettes',
    'biquotidien',
    'biquotidiens',
    'birbe',
    'birbes',
    'biroute',
    'biroutes',
    'birème',
    'birèmes',
    'biréacteur',
    'biréacteurs',
    'biréfringent',
    'bisa',
    'bisai',
    'bisaient',
    'bisais',
    'bisait',
    'bisannuel',
    'bisannuelle',
    'bisannuelles',
    'bisannuels',
    'bisant',
    'bisas',
    'bisasse',
    'bisassent',
    'bisasses',
    'bisassiez',
    'bisassions',
    'bisaïeul',
    'bisaïeule',
    'bisaïeules',
    'bisaïeuls',
    'bisbille',
    'bisbilles',
    'biscaïen',
    'biscaïenne',
    'biscaïennes',
    'biscaïens',
    'biscornu',
    'biscornue',
    'biscornues',
    'biscornus',
    'biscotte',
    'biscotterie',
    'biscotteries',
    'biscottes',
    'biscuit',
    'biscuita',
    'biscuitai',
    'biscuitaient',
    'biscuitais',
    'biscuitait',
    'biscuitant',
    'biscuitas',
    'biscuitasse',
    'biscuitasses',
    'biscuite',
    'biscuitent',
    'biscuiter',
    'biscuitera',
    'biscuiterai',
    'biscuiterais',
    'biscuiterait',
    'biscuiteras',
    'biscuiterez',
    'biscuiterie',
    'biscuiteries',
    'biscuiteriez',
    'biscuiterons',
    'biscuiteront',
    'biscuites',
    'biscuitez',
    'biscuitiez',
    'biscuitions',
    'biscuitons',
    'biscuits',
    'biscuitâmes',
    'biscuitât',
    'biscuitâtes',
    'biscuitèrent',
    'biscuité',
    'biscuitée',
    'biscuitées',
    'biscuités',
    'biscôme',
    'biscômes',
    'bise',
    'biseau',
    'biseauta',
    'biseautage',
    'biseautages',
    'biseautai',
    'biseautaient',
    'biseautais',
    'biseautait',
    'biseautant',
    'biseautas',
    'biseautasse',
    'biseautasses',
    'biseaute',
    'biseautent',
    'biseauter',
    'biseautera',
    'biseauterai',
    'biseauterais',
    'biseauterait',
    'biseauteras',
    'biseauterez',
    'biseauteriez',
    'biseauterons',
    'biseauteront',
    'biseautes',
    'biseautez',
    'biseautiez',
    'biseautions',
    'biseautons',
    'biseautâmes',
    'biseautât',
    'biseautâtes',
    'biseautèrent',
    'biseauté',
    'biseautée',
    'biseautées',
    'biseautés',
    'biseaux',
    'bisegmenta',
    'bisegmentai',
    'bisegmentais',
    'bisegmentait',
    'bisegmentant',
    'bisegmentas',
    'bisegmente',
    'bisegmentent',
    'bisegmenter',
    'bisegmentera',
    'bisegmentes',
    'bisegmentez',
    'bisegmentiez',
    'bisegmentons',
    'bisegmentât',
    'bisegmenté',
    'bisegmentée',
    'bisegmentées',
    'bisegmentés',
    'bisent',
    'biser',
    'bisera',
    'biserai',
    'biseraient',
    'biserais',
    'biserait',
    'biseras',
    'biserez',
    'biseriez',
    'biserions',
    'biserons',
    'biseront',
    'bises',
    'biset',
    'bisets',
    'bisexualité',
    'bisexualités',
    'bisexuel',
    'bisexuelle',
    'bisexuelles',
    'bisexuels',
    'bisexué',
    'bisexuée',
    'bisexuées',
    'bisexués',
    'bisez',
    'bisiez',
    'bisions',
    'bismuth',
    'bismuthine',
    'bismuthines',
    'bismuths',
    'bison',
    'bisons',
    'bisou',
    'bisous',
    'bisqua',
    'bisquai',
    'bisquaient',
    'bisquais',
    'bisquait',
    'bisquant',
    'bisquas',
    'bisquasse',
    'bisquassent',
    'bisquasses',
    'bisquassiez',
    'bisquassions',
    'bisque',
    'bisquent',
    'bisquer',
    'bisquera',
    'bisquerai',
    'bisqueraient',
    'bisquerais',
    'bisquerait',
    'bisqueras',
    'bisquerez',
    'bisqueriez',
    'bisquerions',
    'bisquerons',
    'bisqueront',
    'bisques',
    'bisquez',
    'bisquiez',
    'bisquions',
    'bisquons',
    'bisquâmes',
    'bisquât',
    'bisquâtes',
    'bisquèrent',
    'bisqué',
    'bisquée',
    'bisquées',
    'bisqués',
    'bissa',
    'bissai',
    'bissaient',
    'bissais',
    'bissait',
    'bissant',
    'bissas',
    'bissasse',
    'bissassent',
    'bissasses',
    'bissassiez',
    'bissassions',
    'bisse',
    'bissecteur',
    'bissecteurs',
    'bissection',
    'bissections',
    'bissectrice',
    'bissectrices',
    'bissent',
    'bisser',
    'bissera',
    'bisserai',
    'bisseraient',
    'bisserais',
    'bisserait',
    'bisseras',
    'bisserez',
    'bisseriez',
    'bisserions',
    'bisserons',
    'bisseront',
    'bisses',
    'bissexte',
    'bissextes',
    'bissextile',
    'bissextiles',
    'bissexualité',
    'bissexuel',
    'bissexuelle',
    'bissexuelles',
    'bissexuels',
    'bissexué',
    'bissexuée',
    'bissexuées',
    'bissexués',
    'bissez',
    'bissiez',
    'bissions',
    'bissons',
    'bissâmes',
    'bissât',
    'bissâtes',
    'bissèrent',
    'bissé',
    'bissée',
    'bissées',
    'bissés',
    'bistorte',
    'bistortes',
    'bistouille',
    'bistouilles',
    'bistouri',
    'bistouris',
    'bistourna',
    'bistournage',
    'bistournages',
    'bistournai',
    'bistournais',
    'bistournait',
    'bistournant',
    'bistournas',
    'bistournasse',
    'bistourne',
    'bistournent',
    'bistourner',
    'bistournera',
    'bistournerai',
    'bistourneras',
    'bistournerez',
    'bistournes',
    'bistournez',
    'bistourniez',
    'bistournions',
    'bistournons',
    'bistournâmes',
    'bistournât',
    'bistournâtes',
    'bistourné',
    'bistournée',
    'bistournées',
    'bistournés',
    'bistra',
    'bistrai',
    'bistraient',
    'bistrais',
    'bistrait',
    'bistrant',
    'bistras',
    'bistrasse',
    'bistrassent',
    'bistrasses',
    'bistrassiez',
    'bistrassions',
    'bistre',
    'bistrent',
    'bistrer',
    'bistrera',
    'bistrerai',
    'bistreraient',
    'bistrerais',
    'bistrerait',
    'bistreras',
    'bistrerez',
    'bistreriez',
    'bistrerions',
    'bistrerons',
    'bistreront',
    'bistres',
    'bistrez',
    'bistriez',
    'bistrions',
    'bistro',
    'bistrons',
    'bistros',
    'bistrot',
    'bistrots',
    'bistrâmes',
    'bistrât',
    'bistrâtes',
    'bistrèrent',
    'bistré',
    'bistrée',
    'bistrées',
    'bistrés',
    'bisulfate',
    'bisulfates',
    'bisulfure',
    'bisulfures',
    'bisâmes',
    'bisât',
    'bisâtes',
    'bisèrent',
    'bisé',
    'bisée',
    'bisées',
    'bisés',
    'bita',
    'bitai',
    'bitaient',
    'bitais',
    'bitait',
    'bitant',
    'bitas',
    'bitasse',
    'bitassent',
    'bitasses',
    'bitassiez',
    'bitassions',
    'bite',
    'bitension',
    'bitensions',
    'bitent',
    'biter',
    'bitera',
    'biterai',
    'biteraient',
    'biterais',
    'biterait',
    'biteras',
    'biterez',
    'biteriez',
    'biterions',
    'biterons',
    'biteront',
    'bites',
    'bitez',
    'bitiez',
    'bitions',
    'bitonal',
    'bitonale',
    'bitonales',
    'bitonaux',
    'bitons',
    'bitord',
    'bitords',
    'bitos',
    'bits',
    'bitta',
    'bittai',
    'bittaient',
    'bittais',
    'bittait',
    'bittant',
    'bittas',
    'bittasse',
    'bittassent',
    'bittasses',
    'bittassiez',
    'bittassions',
    'bitte',
    'bittent',
    'bitter',
    'bittera',
    'bitterai',
    'bitteraient',
    'bitterais',
    'bitterait',
    'bitteras',
    'bitterez',
    'bitteriez',
    'bitterions',
    'bitterons',
    'bitteront',
    'bittes',
    'bittez',
    'bittiez',
    'bittions',
    'bittons',
    'bittura',
    'bitturai',
    'bitturaient',
    'bitturais',
    'bitturait',
    'bitturant',
    'bitturas',
    'bitturasse',
    'bitturassent',
    'bitturasses',
    'bitturassiez',
    'bitture',
    'bitturent',
    'bitturer',
    'bitturera',
    'bitturerai',
    'bitturerais',
    'bitturerait',
    'bittureras',
    'bitturerez',
    'bittureriez',
    'bitturerions',
    'bitturerons',
    'bittureront',
    'bittures',
    'bitturez',
    'bitturiez',
    'bitturions',
    'bitturons',
    'bitturâmes',
    'bitturât',
    'bitturâtes',
    'bitturèrent',
    'bitturé',
    'bitturée',
    'bitturées',
    'bitturés',
    'bittâmes',
    'bittât',
    'bittâtes',
    'bittèrent',
    'bitté',
    'bittée',
    'bittées',
    'bittés',
    'bituma',
    'bitumage',
    'bitumages',
    'bitumai',
    'bitumaient',
    'bitumais',
    'bitumait',
    'bitumant',
    'bitumas',
    'bitumasse',
    'bitumassent',
    'bitumasses',
    'bitumassiez',
    'bitumassions',
    'bitume',
    'bitument',
    'bitumer',
    'bitumera',
    'bitumerai',
    'bitumeraient',
    'bitumerais',
    'bitumerait',
    'bitumeras',
    'bitumerez',
    'bitumeriez',
    'bitumerions',
    'bitumerons',
    'bitumeront',
    'bitumes',
    'bitumeuse',
    'bitumeuses',
    'bitumeux',
    'bitumez',
    'bitumiez',
    'bitumina',
    'bituminai',
    'bituminaient',
    'bituminais',
    'bituminait',
    'bituminant',
    'bituminas',
    'bituminasse',
    'bituminasses',
    'bitumine',
    'bituminent',
    'bituminer',
    'bituminera',
    'bituminerai',
    'bituminerais',
    'bituminerait',
    'bitumineras',
    'bituminerez',
    'bitumineriez',
    'bituminerons',
    'bitumineront',
    'bitumines',
    'bitumineuse',
    'bitumineuses',
    'bitumineux',
    'bituminez',
    'bituminiez',
    'bituminions',
    'bituminons',
    'bituminâmes',
    'bituminât',
    'bituminâtes',
    'bituminèrent',
    'bituminé',
    'bituminée',
    'bituminées',
    'bituminés',
    'bitumions',
    'bitumons',
    'bitumâmes',
    'bitumât',
    'bitumâtes',
    'bitumèrent',
    'bitumé',
    'bitumée',
    'bitumées',
    'bitumés',
    'bitura',
    'biturai',
    'bituraient',
    'biturais',
    'biturait',
    'biturant',
    'bituras',
    'biturasse',
    'biturassent',
    'biturasses',
    'biturassiez',
    'biturassions',
    'biturbine',
    'biturbines',
    'biture',
    'biturent',
    'biturer',
    'biturera',
    'biturerai',
    'bitureraient',
    'biturerais',
    'biturerait',
    'bitureras',
    'biturerez',
    'bitureriez',
    'biturerions',
    'biturerons',
    'bitureront',
    'bitures',
    'biturez',
    'bituriez',
    'biturions',
    'biturons',
    'biturâmes',
    'biturât',
    'biturâtes',
    'biturèrent',
    'bituré',
    'biturée',
    'biturées',
    'biturés',
    'bitâmes',
    'bitât',
    'bitâtes',
    'bitèrent',
    'bité',
    'bitée',
    'bitées',
    'bités',
    'bivalence',
    'bivalences',
    'bivalent',
    'bivalente',
    'bivalentes',
    'bivalents',
    'bivalve',
    'bivalves',
    'biveau',
    'biveaux',
    'bivouac',
    'bivouacs',
    'bivouaqua',
    'bivouaquai',
    'bivouaquais',
    'bivouaquait',
    'bivouaquant',
    'bivouaquas',
    'bivouaquasse',
    'bivouaque',
    'bivouaquent',
    'bivouaquer',
    'bivouaquera',
    'bivouaquerai',
    'bivouaqueras',
    'bivouaquerez',
    'bivouaques',
    'bivouaquez',
    'bivouaquiez',
    'bivouaquions',
    'bivouaquons',
    'bivouaquâmes',
    'bivouaquât',
    'bivouaquâtes',
    'bivouaqué',
    'bizarre',
    'bizarrement',
    'bizarrerie',
    'bizarreries',
    'bizarres',
    'bizarroïde',
    'bizarroïdes',
    'bizut',
    'bizuta',
    'bizutage',
    'bizutages',
    'bizutai',
    'bizutaient',
    'bizutais',
    'bizutait',
    'bizutant',
    'bizutas',
    'bizutasse',
    'bizutassent',
    'bizutasses',
    'bizutassiez',
    'bizutassions',
    'bizute',
    'bizutent',
    'bizuter',
    'bizutera',
    'bizuterai',
    'bizuteraient',
    'bizuterais',
    'bizuterait',
    'bizuteras',
    'bizuterez',
    'bizuteriez',
    'bizuterions',
    'bizuterons',
    'bizuteront',
    'bizutes',
    'bizutez',
    'bizutiez',
    'bizutions',
    'bizutons',
    'bizuts',
    'bizutâmes',
    'bizutât',
    'bizutâtes',
    'bizutèrent',
    'bizuté',
    'bizutée',
    'bizutées',
    'bizutés',
    'bière',
    'bières',
    'blabla',
    'blablabla',
    'blablablas',
    'blablas',
    'blablata',
    'blablatai',
    'blablataient',
    'blablatais',
    'blablatait',
    'blablatant',
    'blablatas',
    'blablatasse',
    'blablatasses',
    'blablate',
    'blablatent',
    'blablater',
    'blablatera',
    'blablaterai',
    'blablaterais',
    'blablaterait',
    'blablateras',
    'blablaterez',
    'blablateriez',
    'blablaterons',
    'blablateront',
    'blablates',
    'blablatez',
    'blablatiez',
    'blablations',
    'blablatons',
    'blablatâmes',
    'blablatât',
    'blablatâtes',
    'blablatèrent',
    'blablaté',
    'black',
    'blackboula',
    'blackboulage',
    'blackboulai',
    'blackboulais',
    'blackboulait',
    'blackboulant',
    'blackboulas',
    'blackboule',
    'blackboulent',
    'blackbouler',
    'blackboulera',
    'blackboules',
    'blackboulez',
    'blackbouliez',
    'blackboulons',
    'blackboulât',
    'blackboulé',
    'blackboulée',
    'blackboulées',
    'blackboulés',
    'blacks',
    'blafard',
    'blafarde',
    'blafardes',
    'blafards',
    'blagua',
    'blaguai',
    'blaguaient',
    'blaguais',
    'blaguait',
    'blaguant',
    'blaguas',
    'blaguasse',
    'blaguassent',
    'blaguasses',
    'blaguassiez',
    'blaguassions',
    'blague',
    'blaguent',
    'blaguer',
    'blaguera',
    'blaguerai',
    'blagueraient',
    'blaguerais',
    'blaguerait',
    'blagueras',
    'blaguerez',
    'blagueriez',
    'blaguerions',
    'blaguerons',
    'blagueront',
    'blagues',
    'blagueur',
    'blagueurs',
    'blagueuse',
    'blagueuses',
    'blaguez',
    'blaguiez',
    'blaguions',
    'blaguons',
    'blaguâmes',
    'blaguât',
    'blaguâtes',
    'blaguèrent',
    'blagué',
    'blaguée',
    'blaguées',
    'blagués',
    'blair',
    'blaira',
    'blairai',
    'blairaient',
    'blairais',
    'blairait',
    'blairant',
    'blairas',
    'blairasse',
    'blairassent',
    'blairasses',
    'blairassiez',
    'blairassions',
    'blaire',
    'blaireau',
    'blaireaux',
    'blairent',
    'blairer',
    'blairera',
    'blairerai',
    'blaireraient',
    'blairerais',
    'blairerait',
    'blaireras',
    'blairerez',
    'blaireriez',
    'blairerions',
    'blairerons',
    'blaireront',
    'blaires',
    'blairez',
    'blairiez',
    'blairions',
    'blairons',
    'blairs',
    'blairâmes',
    'blairât',
    'blairâtes',
    'blairèrent',
    'blairé',
    'blairée',
    'blairées',
    'blairés',
    'blanc',
    'blanchaille',
    'blanchailles',
    'blanche',
    'blanches',
    'blanchet',
    'blanchets',
    'blancheur',
    'blancheurs',
    'blanchi',
    'blanchie',
    'blanchies',
    'blanchiment',
    'blanchiments',
    'blanchir',
    'blanchira',
    'blanchirai',
    'blanchirais',
    'blanchirait',
    'blanchiras',
    'blanchirent',
    'blanchirez',
    'blanchiriez',
    'blanchirions',
    'blanchirons',
    'blanchiront',
    'blanchis',
    'blanchissage',
    'blanchissais',
    'blanchissait',
    'blanchissant',
    'blanchisse',
    'blanchissent',
    'blanchisses',
    'blanchisseur',
    'blanchissez',
    'blanchissiez',
    'blanchissons',
    'blanchit',
    'blanchâtre',
    'blanchâtres',
    'blanchîmes',
    'blanchît',
    'blanchîtes',
    'blancs',
    'blandice',
    'blandices',
    'blanquette',
    'blanquettes',
    'blaps',
    'blasa',
    'blasai',
    'blasaient',
    'blasais',
    'blasait',
    'blasant',
    'blasas',
    'blasasse',
    'blasassent',
    'blasasses',
    'blasassiez',
    'blasassions',
    'blase',
    'blasement',
    'blasements',
    'blasent',
    'blaser',
    'blasera',
    'blaserai',
    'blaseraient',
    'blaserais',
    'blaserait',
    'blaseras',
    'blaserez',
    'blaseriez',
    'blaserions',
    'blaserons',
    'blaseront',
    'blases',
    'blasez',
    'blasiez',
    'blasions',
    'blason',
    'blasonna',
    'blasonnai',
    'blasonnaient',
    'blasonnais',
    'blasonnait',
    'blasonnant',
    'blasonnas',
    'blasonnasse',
    'blasonnasses',
    'blasonne',
    'blasonnent',
    'blasonner',
    'blasonnera',
    'blasonnerai',
    'blasonnerais',
    'blasonnerait',
    'blasonneras',
    'blasonnerez',
    'blasonneriez',
    'blasonnerons',
    'blasonneront',
    'blasonnes',
    'blasonnez',
    'blasonniez',
    'blasonnions',
    'blasonnons',
    'blasonnâmes',
    'blasonnât',
    'blasonnâtes',
    'blasonnèrent',
    'blasonné',
    'blasonnée',
    'blasonnées',
    'blasonnés',
    'blasons',
    'blasphème',
    'blasphèment',
    'blasphèmes',
    'blasphéma',
    'blasphémai',
    'blasphémais',
    'blasphémait',
    'blasphémant',
    'blasphémas',
    'blasphémasse',
    'blasphémer',
    'blasphémera',
    'blasphémerai',
    'blasphémeras',
    'blasphémerez',
    'blasphémez',
    'blasphémiez',
    'blasphémions',
    'blasphémons',
    'blasphémâmes',
    'blasphémât',
    'blasphémâtes',
    'blasphémé',
    'blasphémée',
    'blasphémées',
    'blasphémés',
    'blastoderme',
    'blastodermes',
    'blastogenèse',
    'blastomycose',
    'blastopore',
    'blastopores',
    'blastula',
    'blastulas',
    'blasâmes',
    'blasât',
    'blasâtes',
    'blasèrent',
    'blasé',
    'blasée',
    'blasées',
    'blasés',
    'blatte',
    'blattes',
    'blatère',
    'blatèrent',
    'blatères',
    'blatéra',
    'blatérai',
    'blatéraient',
    'blatérais',
    'blatérait',
    'blatérant',
    'blatéras',
    'blatérasse',
    'blatérassent',
    'blatérasses',
    'blatérassiez',
    'blatérer',
    'blatérera',
    'blatérerai',
    'blatérerais',
    'blatérerait',
    'blatéreras',
    'blatérerez',
    'blatéreriez',
    'blatérerions',
    'blatérerons',
    'blatéreront',
    'blatérez',
    'blatériez',
    'blatérions',
    'blatérons',
    'blatérâmes',
    'blatérât',
    'blatérâtes',
    'blatérèrent',
    'blatéré',
    'blatérée',
    'blatérées',
    'blatérés',
    'blazer',
    'blazers',
    'bled',
    'bleds',
    'blende',
    'blendes',
    'blennie',
    'blennies',
    'blennorragie',
    'blennorrhée',
    'blennorrhées',
    'blessa',
    'blessai',
    'blessaient',
    'blessais',
    'blessait',
    'blessant',
    'blessante',
    'blessantes',
    'blessants',
    'blessas',
    'blessasse',
    'blessassent',
    'blessasses',
    'blessassiez',
    'blessassions',
    'blesse',
    'blessent',
    'blesser',
    'blessera',
    'blesserai',
    'blesseraient',
    'blesserais',
    'blesserait',
    'blesseras',
    'blesserez',
    'blesseriez',
    'blesserions',
    'blesserons',
    'blesseront',
    'blesses',
    'blessez',
    'blessiez',
    'blessions',
    'blessons',
    'blessure',
    'blessures',
    'blessâmes',
    'blessât',
    'blessâtes',
    'blessèrent',
    'blessé',
    'blessée',
    'blessées',
    'blessés',
    'blet',
    'blets',
    'blette',
    'blettes',
    'bletti',
    'blettir',
    'blettira',
    'blettirai',
    'blettiraient',
    'blettirais',
    'blettirait',
    'blettiras',
    'blettirent',
    'blettirez',
    'blettiriez',
    'blettirions',
    'blettirons',
    'blettiront',
    'blettis',
    'blettissais',
    'blettissait',
    'blettissant',
    'blettisse',
    'blettissent',
    'blettisses',
    'blettissez',
    'blettissiez',
    'blettissions',
    'blettissons',
    'blettissure',
    'blettissures',
    'blettit',
    'blettîmes',
    'blettît',
    'blettîtes',
    'bleu',
    'bleue',
    'bleues',
    'bleuet',
    'bleuetière',
    'bleuetières',
    'bleuets',
    'bleui',
    'bleuie',
    'bleuies',
    'bleuir',
    'bleuira',
    'bleuirai',
    'bleuiraient',
    'bleuirais',
    'bleuirait',
    'bleuiras',
    'bleuirent',
    'bleuirez',
    'bleuiriez',
    'bleuirions',
    'bleuirons',
    'bleuiront',
    'bleuis',
    'bleuissaient',
    'bleuissais',
    'bleuissait',
    'bleuissant',
    'bleuisse',
    'bleuissement',
    'bleuissent',
    'bleuisses',
    'bleuissez',
    'bleuissiez',
    'bleuissions',
    'bleuissons',
    'bleuit',
    'bleus',
    'bleusaille',
    'bleusailles',
    'bleuta',
    'bleutai',
    'bleutaient',
    'bleutais',
    'bleutait',
    'bleutant',
    'bleutas',
    'bleutasse',
    'bleutassent',
    'bleutasses',
    'bleutassiez',
    'bleutassions',
    'bleute',
    'bleutent',
    'bleuter',
    'bleutera',
    'bleuterai',
    'bleuteraient',
    'bleuterais',
    'bleuterait',
    'bleuteras',
    'bleuterez',
    'bleuteriez',
    'bleuterions',
    'bleuterons',
    'bleuteront',
    'bleutes',
    'bleutez',
    'bleutiez',
    'bleutions',
    'bleutons',
    'bleutâmes',
    'bleutât',
    'bleutâtes',
    'bleutèrent',
    'bleuté',
    'bleutée',
    'bleutées',
    'bleutés',
    'bleuâtre',
    'bleuâtres',
    'bleuîmes',
    'bleuît',
    'bleuîtes',
    'blinda',
    'blindage',
    'blindages',
    'blindai',
    'blindaient',
    'blindais',
    'blindait',
    'blindant',
    'blindas',
    'blindasse',
    'blindassent',
    'blindasses',
    'blindassiez',
    'blindassions',
    'blinde',
    'blindent',
    'blinder',
    'blindera',
    'blinderai',
    'blinderaient',
    'blinderais',
    'blinderait',
    'blinderas',
    'blinderez',
    'blinderiez',
    'blinderions',
    'blinderons',
    'blinderont',
    'blindes',
    'blindez',
    'blindiez',
    'blindions',
    'blindons',
    'blindâmes',
    'blindât',
    'blindâtes',
    'blindèrent',
    'blindé',
    'blindée',
    'blindées',
    'blindés',
    'blister',
    'blisters',
    'blizzard',
    'blizzards',
    'bloc',
    'blocage',
    'blocages',
    'blocaille',
    'blocailles',
    'blockhaus',
    'blocs',
    'blocus',
    'blond',
    'blondasse',
    'blondasses',
    'blonde',
    'blondel',
    'blondels',
    'blondes',
    'blondeur',
    'blondeurs',
    'blondi',
    'blondie',
    'blondies',
    'blondin',
    'blondine',
    'blondines',
    'blondinet',
    'blondinets',
    'blondinette',
    'blondinettes',
    'blondins',
    'blondir',
    'blondira',
    'blondiraient',
    'blondirait',
    'blondirent',
    'blondiront',
    'blondis',
    'blondissais',
    'blondissait',
    'blondissant',
    'blondisse',
    'blondissent',
    'blondisses',
    'blondissez',
    'blondissiez',
    'blondissions',
    'blondissons',
    'blondit',
    'blondoie',
    'blondoient',
    'blondoiera',
    'blondoierai',
    'blondoierais',
    'blondoierait',
    'blondoieras',
    'blondoierez',
    'blondoieriez',
    'blondoierons',
    'blondoieront',
    'blondoies',
    'blondoya',
    'blondoyai',
    'blondoyaient',
    'blondoyais',
    'blondoyait',
    'blondoyant',
    'blondoyas',
    'blondoyasse',
    'blondoyasses',
    'blondoyer',
    'blondoyez',
    'blondoyiez',
    'blondoyions',
    'blondoyons',
    'blondoyâmes',
    'blondoyât',
    'blondoyâtes',
    'blondoyèrent',
    'blondoyé',
    'blonds',
    'blondîmes',
    'blondît',
    'blondîtes',
    'bloomer',
    'bloomers',
    'bloqua',
    'bloquai',
    'bloquaient',
    'bloquais',
    'bloquait',
    'bloquant',
    'bloquante',
    'bloquantes',
    'bloquants',
    'bloquas',
    'bloquasse',
    'bloquassent',
    'bloquasses',
    'bloquassiez',
    'bloquassions',
    'bloque',
    'bloquent',
    'bloquer',
    'bloquera',
    'bloquerai',
    'bloqueraient',
    'bloquerais',
    'bloquerait',
    'bloqueras',
    'bloquerez',
    'bloqueriez',
    'bloquerions',
    'bloquerons',
    'bloqueront',
    'bloques',
    'bloquez',
    'bloquiez',
    'bloquions',
    'bloquons',
    'bloquâmes',
    'bloquât',
    'bloquâtes',
    'bloquèrent',
    'bloqué',
    'bloquée',
    'bloquées',
    'bloqués',
    'blotti',
    'blottie',
    'blotties',
    'blottir',
    'blottira',
    'blottirai',
    'blottiraient',
    'blottirais',
    'blottirait',
    'blottiras',
    'blottirent',
    'blottirez',
    'blottiriez',
    'blottirions',
    'blottirons',
    'blottiront',
    'blottis',
    'blottissais',
    'blottissait',
    'blottissant',
    'blottisse',
    'blottissent',
    'blottisses',
    'blottissez',
    'blottissiez',
    'blottissions',
    'blottissons',
    'blottit',
    'blottîmes',
    'blottît',
    'blottîtes',
    'blousa',
    'blousai',
    'blousaient',
    'blousais',
    'blousait',
    'blousant',
    'blousas',
    'blousasse',
    'blousassent',
    'blousasses',
    'blousassiez',
    'blousassions',
    'blouse',
    'blousent',
    'blouser',
    'blousera',
    'blouserai',
    'blouseraient',
    'blouserais',
    'blouserait',
    'blouseras',
    'blouserez',
    'blouseriez',
    'blouserions',
    'blouserons',
    'blouseront',
    'blouses',
    'blousez',
    'blousiez',
    'blousions',
    'blouson',
    'blousons',
    'blousâmes',
    'blousât',
    'blousâtes',
    'blousèrent',
    'blousé',
    'blousée',
    'blousées',
    'blousés',
    'blues',
    'bluet',
    'bluets',
    'bluette',
    'bluettes',
    'bluff',
    'bluffa',
    'bluffai',
    'bluffaient',
    'bluffais',
    'bluffait',
    'bluffant',
    'bluffas',
    'bluffasse',
    'bluffassent',
    'bluffasses',
    'bluffassiez',
    'bluffassions',
    'bluffe',
    'bluffent',
    'bluffer',
    'bluffera',
    'blufferai',
    'blufferaient',
    'blufferais',
    'blufferait',
    'blufferas',
    'blufferez',
    'blufferiez',
    'blufferions',
    'blufferons',
    'blufferont',
    'bluffes',
    'bluffeur',
    'bluffeurs',
    'bluffeuse',
    'bluffeuses',
    'bluffez',
    'bluffiez',
    'bluffions',
    'bluffons',
    'bluffs',
    'bluffâmes',
    'bluffât',
    'bluffâtes',
    'bluffèrent',
    'bluffé',
    'bluffée',
    'bluffées',
    'bluffés',
    'bluta',
    'blutage',
    'blutages',
    'blutai',
    'blutaient',
    'blutais',
    'blutait',
    'blutant',
    'blutas',
    'blutasse',
    'blutassent',
    'blutasses',
    'blutassiez',
    'blutassions',
    'blute',
    'blutent',
    'bluter',
    'blutera',
    'bluterai',
    'bluteraient',
    'bluterais',
    'bluterait',
    'bluteras',
    'bluterez',
    'bluteriez',
    'bluterions',
    'bluterons',
    'bluteront',
    'blutes',
    'blutez',
    'blutiez',
    'blutions',
    'blutoir',
    'blutoirs',
    'blutons',
    'blutâmes',
    'blutât',
    'blutâtes',
    'blutèrent',
    'bluté',
    'blutée',
    'blutées',
    'blutés',
    'blâma',
    'blâmable',
    'blâmables',
    'blâmai',
    'blâmaient',
    'blâmais',
    'blâmait',
    'blâmant',
    'blâmas',
    'blâmasse',
    'blâmassent',
    'blâmasses',
    'blâmassiez',
    'blâmassions',
    'blâme',
    'blâment',
    'blâmer',
    'blâmera',
    'blâmerai',
    'blâmeraient',
    'blâmerais',
    'blâmerait',
    'blâmeras',
    'blâmerez',
    'blâmeriez',
    'blâmerions',
    'blâmerons',
    'blâmeront',
    'blâmes',
    'blâmez',
    'blâmiez',
    'blâmions',
    'blâmons',
    'blâmâmes',
    'blâmât',
    'blâmâtes',
    'blâmèrent',
    'blâmé',
    'blâmée',
    'blâmées',
    'blâmés',
    'blèche',
    'blèches',
    'blèse',
    'blèsement',
    'blèsements',
    'blèsent',
    'blèses',
    'blépharite',
    'blépharites',
    'blés',
    'blésa',
    'blésai',
    'blésaient',
    'blésais',
    'blésait',
    'blésant',
    'blésas',
    'blésasse',
    'blésassent',
    'blésasses',
    'blésassiez',
    'blésassions',
    'bléser',
    'blésera',
    'bléserai',
    'bléseraient',
    'bléserais',
    'bléserait',
    'bléseras',
    'bléserez',
    'bléseriez',
    'bléserions',
    'bléserons',
    'bléseront',
    'blésez',
    'blésiez',
    'blésions',
    'blésité',
    'blésités',
    'blésons',
    'blésâmes',
    'blésât',
    'blésâtes',
    'blésèrent',
    'blésé',
    'blésée',
    'blésées',
    'blésés',
    'blêmaient',
    'blêmais',
    'blêmait',
    'blêmant',
    'blême',
    'blêmera',
    'blêmerai',
    'blêmeraient',
    'blêmerais',
    'blêmerait',
    'blêmeras',
    'blêmerez',
    'blêmeriez',
    'blêmerions',
    'blêmerons',
    'blêmeront',
    'blêmes',
    'blêmez',
    'blêmi',
    'blêmie',
    'blêmies',
    'blêmiez',
    'blêmions',
    'blêmir',
    'blêmira',
    'blêmirai',
    'blêmiraient',
    'blêmirais',
    'blêmirait',
    'blêmiras',
    'blêmirent',
    'blêmirez',
    'blêmiriez',
    'blêmirions',
    'blêmirons',
    'blêmiront',
    'blêmis',
    'blêmissaient',
    'blêmissais',
    'blêmissait',
    'blêmissant',
    'blêmisse',
    'blêmissement',
    'blêmissent',
    'blêmisses',
    'blêmissez',
    'blêmissiez',
    'blêmissions',
    'blêmissons',
    'blêmit',
    'blêmons',
    'blêmîmes',
    'blêmît',
    'blêmîtes',
    'boas',
    'bobard',
    'bobards',
    'bobina',
    'bobinage',
    'bobinages',
    'bobinai',
    'bobinaient',
    'bobinais',
    'bobinait',
    'bobinant',
    'bobinas',
    'bobinasse',
    'bobinassent',
    'bobinasses',
    'bobinassiez',
    'bobinassions',
    'bobine',
    'bobinent',
    'bobiner',
    'bobinera',
    'bobinerai',
    'bobineraient',
    'bobinerais',
    'bobinerait',
    'bobineras',
    'bobinerez',
    'bobineriez',
    'bobinerions',
    'bobinerons',
    'bobineront',
    'bobines',
    'bobinette',
    'bobinettes',
    'bobineur',
    'bobineurs',
    'bobineuse',
    'bobineuses',
    'bobinez',
    'bobinier',
    'bobiniers',
    'bobiniez',
    'bobinions',
    'bobinoir',
    'bobinoirs',
    'bobinons',
    'bobinâmes',
    'bobinât',
    'bobinâtes',
    'bobinèrent',
    'bobiné',
    'bobinée',
    'bobinées',
    'bobinés',
    'bobo',
    'bobonne',
    'bobonnes',
    'bobos',
    'bobs',
    'bobsleigh',
    'bobsleighs',
    'bobèche',
    'bobèches',
    'bocage',
    'bocager',
    'bocagers',
    'bocages',
    'bocagère',
    'bocagères',
    'bocal',
    'bocard',
    'bocarda',
    'bocardage',
    'bocardages',
    'bocardai',
    'bocardaient',
    'bocardais',
    'bocardait',
    'bocardant',
    'bocardas',
    'bocardasse',
    'bocardassent',
    'bocardasses',
    'bocardassiez',
    'bocarde',
    'bocardent',
    'bocarder',
    'bocardera',
    'bocarderai',
    'bocarderais',
    'bocarderait',
    'bocarderas',
    'bocarderez',
    'bocarderiez',
    'bocarderions',
    'bocarderons',
    'bocarderont',
    'bocardes',
    'bocardez',
    'bocardiez',
    'bocardions',
    'bocardons',
    'bocards',
    'bocardâmes',
    'bocardât',
    'bocardâtes',
    'bocardèrent',
    'bocardé',
    'bocardée',
    'bocardées',
    'bocardés',
    'bocaux',
    'boche',
    'boches',
    'bock',
    'bocks',
    'bodhisattva',
    'boetta',
    'boettai',
    'boettaient',
    'boettais',
    'boettait',
    'boettant',
    'boettas',
    'boettasse',
    'boettassent',
    'boettasses',
    'boettassiez',
    'boettassions',
    'boette',
    'boettent',
    'boetter',
    'boettera',
    'boetterai',
    'boetteraient',
    'boetterais',
    'boetterait',
    'boetteras',
    'boetterez',
    'boetteriez',
    'boetterions',
    'boetterons',
    'boetteront',
    'boettes',
    'boettez',
    'boettiez',
    'boettions',
    'boettons',
    'boettâmes',
    'boettât',
    'boettâtes',
    'boettèrent',
    'boetté',
    'boettée',
    'boettées',
    'boettés',
    'boeuf',
    'boeufs',
    'boghei',
    'bogheis',
    'bogie',
    'bogies',
    'bogue',
    'bogues',
    'bohème',
    'bohèmes',
    'bohémien',
    'bohémienne',
    'bohémiennes',
    'bohémiens',
    'boille',
    'boilles',
    'boira',
    'boirai',
    'boiraient',
    'boirais',
    'boirait',
    'boiras',
    'boire',
    'boirez',
    'boiriez',
    'boirions',
    'boirons',
    'boiront',
    'bois',
    'boisa',
    'boisage',
    'boisages',
    'boisai',
    'boisaient',
    'boisais',
    'boisait',
    'boisant',
    'boisas',
    'boisasse',
    'boisassent',
    'boisasses',
    'boisassiez',
    'boisassions',
    'boise',
    'boisement',
    'boisements',
    'boisent',
    'boiser',
    'boisera',
    'boiserai',
    'boiseraient',
    'boiserais',
    'boiserait',
    'boiseras',
    'boiserez',
    'boiserie',
    'boiseries',
    'boiseriez',
    'boiserions',
    'boiserons',
    'boiseront',
    'boises',
    'boiseur',
    'boiseurs',
    'boisez',
    'boisiez',
    'boisions',
    'boisons',
    'boisseau',
    'boisseaux',
    'boisselier',
    'boisseliers',
    'boissellerie',
    'boisson',
    'boissons',
    'boisâmes',
    'boisât',
    'boisâtes',
    'boisèrent',
    'boisé',
    'boisée',
    'boisées',
    'boisés',
    'boit',
    'boita',
    'boitai',
    'boitaient',
    'boitais',
    'boitait',
    'boitant',
    'boitas',
    'boitasse',
    'boitassent',
    'boitasses',
    'boitassiez',
    'boitassions',
    'boite',
    'boitement',
    'boitements',
    'boitent',
    'boiter',
    'boitera',
    'boiterai',
    'boiteraient',
    'boiterais',
    'boiterait',
    'boiteras',
    'boiterez',
    'boiterie',
    'boiteries',
    'boiteriez',
    'boiterions',
    'boiterons',
    'boiteront',
    'boites',
    'boiteuse',
    'boiteuses',
    'boiteux',
    'boitez',
    'boitiez',
    'boitilla',
    'boitillai',
    'boitillaient',
    'boitillais',
    'boitillait',
    'boitillant',
    'boitillante',
    'boitillantes',
    'boitillants',
    'boitillas',
    'boitillasse',
    'boitillasses',
    'boitille',
    'boitillement',
    'boitillent',
    'boitiller',
    'boitillera',
    'boitillerai',
    'boitillerais',
    'boitillerait',
    'boitilleras',
    'boitillerez',
    'boitilleriez',
    'boitillerons',
    'boitilleront',
    'boitilles',
    'boitillez',
    'boitilliez',
    'boitillions',
    'boitillons',
    'boitillâmes',
    'boitillât',
    'boitillâtes',
    'boitillèrent',
    'boitillé',
    'boitions',
    'boitons',
    'boitâmes',
    'boitât',
    'boitâtes',
    'boitèrent',
    'boité',
    'boive',
    'boivent',
    'boives',
    'bolchevik',
    'bolcheviks',
    'bolchevisme',
    'bolchevismes',
    'bolcheviste',
    'bolchevistes',
    'bolchévisa',
    'bolchévisai',
    'bolchévisais',
    'bolchévisait',
    'bolchévisant',
    'bolchévisas',
    'bolchévise',
    'bolchévisent',
    'bolchéviser',
    'bolchévisera',
    'bolchévises',
    'bolchévisez',
    'bolchévisiez',
    'bolchévisons',
    'bolchévisât',
    'bolchévisé',
    'bolchévisée',
    'bolchévisées',
    'bolchévisés',
    'boldo',
    'boldos',
    'bolduc',
    'bolducs',
    'bolet',
    'bolets',
    'bolide',
    'bolides',
    'bolier',
    'boliers',
    'bolivar',
    'bolivares',
    'bolivars',
    'bollard',
    'bollards',
    'bolomètre',
    'bolomètres',
    'bols',
    'bolée',
    'bolées',
    'boléro',
    'boléros',
    'bomba',
    'bombage',
    'bombages',
    'bombagiste',
    'bombagistes',
    'bombai',
    'bombaient',
    'bombais',
    'bombait',
    'bombance',
    'bombances',
    'bombant',
    'bombante',
    'bombantes',
    'bombants',
    'bombarda',
    'bombardai',
    'bombardaient',
    'bombardais',
    'bombardait',
    'bombardant',
    'bombardas',
    'bombardasse',
    'bombardasses',
    'bombarde',
    'bombardement',
    'bombardent',
    'bombarder',
    'bombardera',
    'bombarderai',
    'bombarderais',
    'bombarderait',
    'bombarderas',
    'bombarderez',
    'bombarderiez',
    'bombarderons',
    'bombarderont',
    'bombardes',
    'bombardez',
    'bombardier',
    'bombardiers',
    'bombardiez',
    'bombardions',
    'bombardon',
    'bombardons',
    'bombardâmes',
    'bombardât',
    'bombardâtes',
    'bombardèrent',
    'bombardé',
    'bombardée',
    'bombardées',
    'bombardés',
    'bombas',
    'bombasse',
    'bombassent',
    'bombasses',
    'bombassiez',
    'bombassions',
    'bombe',
    'bombement',
    'bombements',
    'bombent',
    'bomber',
    'bombera',
    'bomberai',
    'bomberaient',
    'bomberais',
    'bomberait',
    'bomberas',
    'bomberez',
    'bomberiez',
    'bomberions',
    'bomberons',
    'bomberont',
    'bombes',
    'bombez',
    'bombiez',
    'bombions',
    'bombons',
    'bombyx',
    'bombâmes',
    'bombât',
    'bombâtes',
    'bombèrent',
    'bombé',
    'bombée',
    'bombées',
    'bombés',
    'bonace',
    'bonaces',
    'bonapartisme',
    'bonapartiste',
    'bonasse',
    'bonasserie',
    'bonasseries',
    'bonasses',
    'bonbon',
    'bonbonne',
    'bonbonnes',
    'bonbonnière',
    'bonbonnières',
    'bonbons',
    'bond',
    'bonda',
    'bondai',
    'bondaient',
    'bondais',
    'bondait',
    'bondant',
    'bondas',
    'bondasse',
    'bondassent',
    'bondasses',
    'bondassiez',
    'bondassions',
    'bonde',
    'bondelle',
    'bondelles',
    'bondent',
    'bonder',
    'bondera',
    'bonderai',
    'bonderaient',
    'bonderais',
    'bonderait',
    'bonderas',
    'bonderez',
    'bonderiez',
    'bonderions',
    'bonderons',
    'bonderont',
    'bondes',
    'bondez',
    'bondi',
    'bondieuserie',
    'bondiez',
    'bondions',
    'bondir',
    'bondira',
    'bondirai',
    'bondiraient',
    'bondirais',
    'bondirait',
    'bondiras',
    'bondirent',
    'bondirez',
    'bondiriez',
    'bondirions',
    'bondirons',
    'bondiront',
    'bondis',
    'bondissaient',
    'bondissais',
    'bondissait',
    'bondissant',
    'bondissante',
    'bondissantes',
    'bondissants',
    'bondisse',
    'bondissement',
    'bondissent',
    'bondisses',
    'bondissez',
    'bondissiez',
    'bondissions',
    'bondissons',
    'bondit',
    'bondon',
    'bondonna',
    'bondonnai',
    'bondonnaient',
    'bondonnais',
    'bondonnait',
    'bondonnant',
    'bondonnas',
    'bondonnasse',
    'bondonnasses',
    'bondonne',
    'bondonnent',
    'bondonner',
    'bondonnera',
    'bondonnerai',
    'bondonnerais',
    'bondonnerait',
    'bondonneras',
    'bondonnerez',
    'bondonneriez',
    'bondonnerons',
    'bondonneront',
    'bondonnes',
    'bondonnez',
    'bondonniez',
    'bondonnions',
    'bondonnons',
    'bondonnâmes',
    'bondonnât',
    'bondonnâtes',
    'bondonnèrent',
    'bondonné',
    'bondonnée',
    'bondonnées',
    'bondonnés',
    'bondons',
    'bondrée',
    'bondrées',
    'bonds',
    'bondâmes',
    'bondât',
    'bondâtes',
    'bondèrent',
    'bondé',
    'bondée',
    'bondées',
    'bondérisa',
    'bondérisai',
    'bondérisais',
    'bondérisait',
    'bondérisant',
    'bondérisas',
    'bondérisasse',
    'bondérise',
    'bondérisent',
    'bondériser',
    'bondérisera',
    'bondériserai',
    'bondériseras',
    'bondériserez',
    'bondérises',
    'bondérisez',
    'bondérisiez',
    'bondérisions',
    'bondérisons',
    'bondérisâmes',
    'bondérisât',
    'bondérisâtes',
    'bondérisé',
    'bondérisée',
    'bondérisées',
    'bondérisés',
    'bondés',
    'bondîmes',
    'bondît',
    'bondîtes',
    'bonheur',
    'bonheurs',
    'bonhomie',
    'bonhomies',
    'bonhomme',
    'boni',
    'boniche',
    'boniches',
    'bonichon',
    'bonichons',
    'bonifia',
    'bonifiai',
    'bonifiaient',
    'bonifiais',
    'bonifiait',
    'bonifiant',
    'bonifiante',
    'bonifiantes',
    'bonifiants',
    'bonifias',
    'bonifiasse',
    'bonifiassent',
    'bonifiasses',
    'bonifiassiez',
    'bonification',
    'bonifie',
    'bonifient',
    'bonifier',
    'bonifiera',
    'bonifierai',
    'bonifierais',
    'bonifierait',
    'bonifieras',
    'bonifierez',
    'bonifieriez',
    'bonifierions',
    'bonifierons',
    'bonifieront',
    'bonifies',
    'bonifiez',
    'bonifiiez',
    'bonifiions',
    'bonifions',
    'bonifiâmes',
    'bonifiât',
    'bonifiâtes',
    'bonifièrent',
    'bonifié',
    'bonifiée',
    'bonifiées',
    'bonifiés',
    'boniment',
    'bonimenta',
    'bonimentai',
    'bonimentais',
    'bonimentait',
    'bonimentant',
    'bonimentas',
    'bonimentasse',
    'bonimente',
    'bonimentent',
    'bonimenter',
    'bonimentera',
    'bonimenterai',
    'bonimenteras',
    'bonimenterez',
    'bonimentes',
    'bonimenteur',
    'bonimenteurs',
    'bonimenteuse',
    'bonimentez',
    'bonimentiez',
    'bonimentions',
    'bonimentons',
    'boniments',
    'bonimentâmes',
    'bonimentât',
    'bonimentâtes',
    'bonimenté',
    'bonis',
    'bonite',
    'bonites',
    'bonjour',
    'bonjours',
    'bonne',
    'bonnement',
    'bonnes',
    'bonnet',
    'bonneteau',
    'bonneteaux',
    'bonneterie',
    'bonneteries',
    'bonneteur',
    'bonneteurs',
    'bonnetier',
    'bonnetiers',
    'bonnetière',
    'bonnetières',
    'bonnets',
    'bonnette',
    'bonnettes',
    'bons',
    'bonsaï',
    'bonsaïs',
    'bonshommes',
    'bonsoir',
    'bonsoirs',
    'bonté',
    'bontés',
    'bonus',
    'bonze',
    'bonzerie',
    'bonzeries',
    'bonzes',
    'bookmaker',
    'bookmakers',
    'booléen',
    'booléenne',
    'booléennes',
    'booléens',
    'boom',
    'boomerang',
    'boomerangs',
    'booms',
    'booster',
    'boosters',
    'bootlegger',
    'bootleggers',
    'boots',
    'boqueteau',
    'boqueteaux',
    'bora',
    'boras',
    'borate',
    'borates',
    'borax',
    'borborygme',
    'borborygmes',
    'bord',
    'borda',
    'bordage',
    'bordages',
    'bordai',
    'bordaient',
    'bordais',
    'bordait',
    'bordant',
    'bordas',
    'bordasse',
    'bordassent',
    'bordasses',
    'bordassiez',
    'bordassions',
    'borde',
    'bordeaux',
    'bordel',
    'bordelais',
    'bordelaise',
    'bordelaises',
    'bordels',
    'bordent',
    'border',
    'bordera',
    'borderai',
    'borderaient',
    'borderais',
    'borderait',
    'borderas',
    'bordereau',
    'bordereaux',
    'borderez',
    'borderie',
    'borderies',
    'borderiez',
    'borderions',
    'borderons',
    'borderont',
    'bordes',
    'bordez',
    'bordier',
    'bordiers',
    'bordiez',
    'bordigue',
    'bordigues',
    'bordions',
    'bordière',
    'bordières',
    'bordons',
    'bords',
    'bordure',
    'bordures',
    'bordâmes',
    'bordât',
    'bordâtes',
    'bordèrent',
    'bordé',
    'bordée',
    'bordées',
    'bordélique',
    'bordéliques',
    'bordés',
    'bore',
    'bores',
    'borgne',
    'borgnes',
    'boriqué',
    'boriqués',
    'borna',
    'bornage',
    'bornages',
    'bornai',
    'bornaient',
    'bornais',
    'bornait',
    'bornant',
    'bornas',
    'bornasse',
    'bornassent',
    'bornasses',
    'bornassiez',
    'bornassions',
    'borne',
    'bornent',
    'borner',
    'bornera',
    'bornerai',
    'borneraient',
    'bornerais',
    'bornerait',
    'borneras',
    'bornerez',
    'borneriez',
    'bornerions',
    'bornerons',
    'borneront',
    'bornes',
    'bornez',
    'borniez',
    'bornions',
    'bornoie',
    'bornoient',
    'bornoiera',
    'bornoierai',
    'bornoierais',
    'bornoierait',
    'bornoieras',
    'bornoierez',
    'bornoieriez',
    'bornoierions',
    'bornoierons',
    'bornoieront',
    'bornoies',
    'bornons',
    'bornoya',
    'bornoyai',
    'bornoyaient',
    'bornoyais',
    'bornoyait',
    'bornoyant',
    'bornoyas',
    'bornoyasse',
    'bornoyassent',
    'bornoyasses',
    'bornoyassiez',
    'bornoyer',
    'bornoyez',
    'bornoyiez',
    'bornoyions',
    'bornoyons',
    'bornoyâmes',
    'bornoyât',
    'bornoyâtes',
    'bornoyèrent',
    'bornoyé',
    'bornoyée',
    'bornoyées',
    'bornoyés',
    'bornâmes',
    'bornât',
    'bornâtes',
    'bornèrent',
    'borné',
    'bornée',
    'bornées',
    'bornés',
    'bort',
    'borts',
    'bortsch',
    'bortschs',
    'boréal',
    'boréale',
    'boréales',
    'boréals',
    'boréaux',
    'bosco',
    'boscos',
    'boscot',
    'boscots',
    'boscotte',
    'boscottes',
    'bosquet',
    'bosquets',
    'boss',
    'bossa',
    'bossage',
    'bossages',
    'bossai',
    'bossaient',
    'bossais',
    'bossait',
    'bossant',
    'bossas',
    'bossasse',
    'bossassent',
    'bossasses',
    'bossassiez',
    'bossassions',
    'bosse',
    'bossela',
    'bosselage',
    'bosselages',
    'bosselai',
    'bosselaient',
    'bosselais',
    'bosselait',
    'bosselant',
    'bosselas',
    'bosselasse',
    'bosselassent',
    'bosselasses',
    'bosselassiez',
    'bosseler',
    'bosselez',
    'bosseliez',
    'bosselions',
    'bosselle',
    'bossellement',
    'bossellent',
    'bossellera',
    'bossellerai',
    'bossellerais',
    'bossellerait',
    'bosselleras',
    'bossellerez',
    'bosselleriez',
    'bossellerons',
    'bosselleront',
    'bosselles',
    'bosselons',
    'bosselure',
    'bosselures',
    'bosselâmes',
    'bosselât',
    'bosselâtes',
    'bosselèrent',
    'bosselé',
    'bosselée',
    'bosselées',
    'bosselés',
    'bossent',
    'bosser',
    'bossera',
    'bosserai',
    'bosseraient',
    'bosserais',
    'bosserait',
    'bosseras',
    'bosserez',
    'bosseriez',
    'bosserions',
    'bosserons',
    'bosseront',
    'bosses',
    'bossette',
    'bossettes',
    'bosseur',
    'bosseurs',
    'bosseuse',
    'bosseuses',
    'bossez',
    'bossiez',
    'bossions',
    'bossoir',
    'bossoirs',
    'bossons',
    'bossu',
    'bossua',
    'bossuai',
    'bossuaient',
    'bossuais',
    'bossuait',
    'bossuant',
    'bossuas',
    'bossuasse',
    'bossuassent',
    'bossuasses',
    'bossuassiez',
    'bossuassions',
    'bossue',
    'bossuent',
    'bossuer',
    'bossuera',
    'bossuerai',
    'bossueraient',
    'bossuerais',
    'bossuerait',
    'bossueras',
    'bossuerez',
    'bossueriez',
    'bossuerions',
    'bossuerons',
    'bossueront',
    'bossues',
    'bossuez',
    'bossuiez',
    'bossuions',
    'bossuons',
    'bossus',
    'bossuâmes',
    'bossuât',
    'bossuâtes',
    'bossuèrent',
    'bossué',
    'bossuée',
    'bossuées',
    'bossués',
    'bossâmes',
    'bossât',
    'bossâtes',
    'bossèrent',
    'bossé',
    'bossée',
    'bossées',
    'bossés',
    'boston',
    'bostonner',
    'bostons',
    'bostryche',
    'bostryches',
    'botanique',
    'botaniques',
    'botanisa',
    'botanisai',
    'botanisaient',
    'botanisais',
    'botanisait',
    'botanisant',
    'botanisas',
    'botanisasse',
    'botanisasses',
    'botanise',
    'botanisent',
    'botaniser',
    'botanisera',
    'botaniserai',
    'botaniserais',
    'botaniserait',
    'botaniseras',
    'botaniserez',
    'botaniseriez',
    'botaniserons',
    'botaniseront',
    'botanises',
    'botanisez',
    'botanisiez',
    'botanisions',
    'botanisons',
    'botaniste',
    'botanistes',
    'botanisâmes',
    'botanisât',
    'botanisâtes',
    'botanisèrent',
    'botanisé',
    'bote',
    'botes',
    'bots',
    'botta',
    'bottai',
    'bottaient',
    'bottais',
    'bottait',
    'bottant',
    'bottas',
    'bottasse',
    'bottassent',
    'bottasses',
    'bottassiez',
    'bottassions',
    'botte',
    'bottela',
    'bottelage',
    'bottelages',
    'bottelai',
    'bottelaient',
    'bottelais',
    'bottelait',
    'bottelant',
    'bottelas',
    'bottelasse',
    'bottelassent',
    'bottelasses',
    'bottelassiez',
    'botteler',
    'botteleur',
    'botteleurs',
    'botteleuse',
    'botteleuses',
    'bottelez',
    'botteliez',
    'bottelions',
    'bottelle',
    'bottellent',
    'bottellera',
    'bottellerai',
    'bottellerais',
    'bottellerait',
    'bottelleras',
    'bottellerez',
    'bottelleriez',
    'bottellerons',
    'bottelleront',
    'bottelles',
    'bottelons',
    'bottelâmes',
    'bottelât',
    'bottelâtes',
    'bottelèrent',
    'bottelé',
    'bottelée',
    'bottelées',
    'bottelés',
    'bottent',
    'botter',
    'bottera',
    'botterai',
    'botteraient',
    'botterais',
    'botterait',
    'botteras',
    'botterez',
    'botteriez',
    'botterions',
    'botterons',
    'botteront',
    'bottes',
    'bottez',
    'bottier',
    'bottiers',
    'bottiez',
    'bottillon',
    'bottillons',
    'bottin',
    'bottine',
    'bottines',
    'bottins',
    'bottions',
    'bottons',
    'bottâmes',
    'bottât',
    'bottâtes',
    'bottèrent',
    'botté',
    'bottée',
    'bottées',
    'bottés',
    'botulique',
    'botuliques',
    'botulisme',
    'boubou',
    'boubouler',
    'boubous',
    'bouc',
    'boucan',
    'boucana',
    'boucanage',
    'boucanages',
    'boucanai',
    'boucanaient',
    'boucanais',
    'boucanait',
    'boucanant',
    'boucanas',
    'boucanasse',
    'boucanassent',
    'boucanasses',
    'boucanassiez',
    'boucane',
    'boucanent',
    'boucaner',
    'boucanera',
    'boucanerai',
    'boucanerais',
    'boucanerait',
    'boucaneras',
    'boucanerez',
    'boucaneriez',
    'boucanerions',
    'boucanerons',
    'boucaneront',
    'boucanes',
    'boucanez',
    'boucanier',
    'boucaniers',
    'boucaniez',
    'boucanions',
    'boucanons',
    'boucans',
    'boucanâmes',
    'boucanât',
    'boucanâtes',
    'boucanèrent',
    'boucané',
    'boucanée',
    'boucanées',
    'boucanés',
    'boucau',
    'boucaus',
    'boucha',
    'bouchage',
    'bouchages',
    'bouchai',
    'bouchaient',
    'bouchais',
    'bouchait',
    'bouchant',
    'boucharda',
    'bouchardai',
    'bouchardais',
    'bouchardait',
    'bouchardant',
    'bouchardas',
    'bouchardasse',
    'boucharde',
    'bouchardent',
    'boucharder',
    'bouchardera',
    'boucharderai',
    'boucharderas',
    'boucharderez',
    'bouchardes',
    'bouchardez',
    'bouchardiez',
    'bouchardions',
    'bouchardons',
    'bouchardâmes',
    'bouchardât',
    'bouchardâtes',
    'bouchardé',
    'bouchardée',
    'bouchardées',
    'bouchardés',
    'bouchas',
    'bouchasse',
    'bouchassent',
    'bouchasses',
    'bouchassiez',
    'bouchassions',
    'bouche',
    'bouchent',
    'boucher',
    'bouchera',
    'boucherai',
    'boucheraient',
    'boucherais',
    'boucherait',
    'boucheras',
    'boucherez',
    'boucherie',
    'boucheries',
    'boucheriez',
    'boucherions',
    'boucherons',
    'boucheront',
    'bouchers',
    'bouches',
    'bouchez',
    'bouchiez',
    'bouchions',
    'bouchon',
    'bouchonna',
    'bouchonnai',
    'bouchonnais',
    'bouchonnait',
    'bouchonnant',
    'bouchonnas',
    'bouchonnasse',
    'bouchonne',
    'bouchonnent',
    'bouchonner',
    'bouchonnera',
    'bouchonnerai',
    'bouchonneras',
    'bouchonnerez',
    'bouchonnes',
    'bouchonnez',
    'bouchonnier',
    'bouchonniers',
    'bouchonniez',
    'bouchonnions',
    'bouchonnons',
    'bouchonnâmes',
    'bouchonnât',
    'bouchonnâtes',
    'bouchonné',
    'bouchonnée',
    'bouchonnées',
    'bouchonnés',
    'bouchons',
    'bouchot',
    'bouchoteur',
    'bouchoteurs',
    'bouchots',
    'bouchâmes',
    'bouchât',
    'bouchâtes',
    'bouchère',
    'bouchèrent',
    'bouchères',
    'bouché',
    'bouchée',
    'bouchées',
    'bouchés',
    'boucla',
    'bouclage',
    'bouclages',
    'bouclai',
    'bouclaient',
    'bouclais',
    'bouclait',
    'bouclant',
    'bouclas',
    'bouclasse',
    'bouclassent',
    'bouclasses',
    'bouclassiez',
    'bouclassions',
    'boucle',
    'bouclent',
    'boucler',
    'bouclera',
    'bouclerai',
    'boucleraient',
    'bouclerais',
    'bouclerait',
    'boucleras',
    'bouclerez',
    'boucleriez',
    'bouclerions',
    'bouclerons',
    'boucleront',
    'boucles',
    'bouclette',
    'bouclettes',
    'bouclez',
    'bouclier',
    'boucliers',
    'boucliez',
    'bouclions',
    'bouclons',
    'bouclâmes',
    'bouclât',
    'bouclâtes',
    'bouclèrent',
    'bouclé',
    'bouclée',
    'bouclées',
    'bouclés',
    'boucs',
    'bouda',
    'boudai',
    'boudaient',
    'boudais',
    'boudait',
    'boudant',
    'boudas',
    'boudasse',
    'boudassent',
    'boudasses',
    'boudassiez',
    'boudassions',
    'bouddha',
    'bouddhas',
    'bouddhique',
    'bouddhiques',
    'bouddhisme',
    'bouddhiste',
    'bouddhistes',
    'boude',
    'boudent',
    'bouder',
    'boudera',
    'bouderai',
    'bouderaient',
    'bouderais',
    'bouderait',
    'bouderas',
    'bouderez',
    'bouderie',
    'bouderies',
    'bouderiez',
    'bouderions',
    'bouderons',
    'bouderont',
    'boudes',
    'boudeur',
    'boudeurs',
    'boudeuse',
    'boudeuses',
    'boudez',
    'boudiez',
    'boudin',
    'boudina',
    'boudinage',
    'boudinages',
    'boudinai',
    'boudinaient',
    'boudinais',
    'boudinait',
    'boudinant',
    'boudinas',
    'boudinasse',
    'boudinassent',
    'boudinasses',
    'boudinassiez',
    'boudine',
    'boudinent',
    'boudiner',
    'boudinera',
    'boudinerai',
    'boudinerais',
    'boudinerait',
    'boudineras',
    'boudinerez',
    'boudineriez',
    'boudinerions',
    'boudinerons',
    'boudineront',
    'boudines',
    'boudineuse',
    'boudineuses',
    'boudinez',
    'boudiniez',
    'boudinions',
    'boudinons',
    'boudins',
    'boudinâmes',
    'boudinât',
    'boudinâtes',
    'boudinèrent',
    'boudiné',
    'boudinée',
    'boudinées',
    'boudinés',
    'boudions',
    'boudoir',
    'boudoirs',
    'boudons',
    'boudâmes',
    'boudât',
    'boudâtes',
    'boudèrent',
    'boudé',
    'boudée',
    'boudées',
    'boudés',
    'boue',
    'boues',
    'boueur',
    'boueurs',
    'boueuse',
    'boueuses',
    'boueux',
    'bouffa',
    'bouffai',
    'bouffaient',
    'bouffais',
    'bouffait',
    'bouffant',
    'bouffante',
    'bouffantes',
    'bouffants',
    'bouffarde',
    'bouffardes',
    'bouffas',
    'bouffasse',
    'bouffassent',
    'bouffasses',
    'bouffassiez',
    'bouffassions',
    'bouffe',
    'bouffent',
    'bouffer',
    'bouffera',
    'boufferai',
    'boufferaient',
    'boufferais',
    'boufferait',
    'boufferas',
    'boufferez',
    'boufferiez',
    'boufferions',
    'boufferons',
    'boufferont',
    'bouffes',
    'bouffetance',
    'bouffetances',
    'bouffette',
    'bouffettes',
    'bouffez',
    'bouffi',
    'bouffie',
    'bouffies',
    'bouffiez',
    'bouffions',
    'bouffir',
    'bouffira',
    'bouffirai',
    'bouffiraient',
    'bouffirais',
    'bouffirait',
    'bouffiras',
    'bouffirent',
    'bouffirez',
    'bouffiriez',
    'bouffirions',
    'bouffirons',
    'bouffiront',
    'bouffis',
    'bouffissais',
    'bouffissait',
    'bouffissant',
    'bouffisse',
    'bouffissent',
    'bouffisses',
    'bouffissez',
    'bouffissiez',
    'bouffissions',
    'bouffissons',
    'bouffissure',
    'bouffissures',
    'bouffit',
    'bouffon',
    'bouffonna',
    'bouffonnai',
    'bouffonnais',
    'bouffonnait',
    'bouffonnant',
    'bouffonnas',
    'bouffonnasse',
    'bouffonne',
    'bouffonnent',
    'bouffonner',
    'bouffonnera',
    'bouffonnerai',
    'bouffonneras',
    'bouffonnerez',
    'bouffonnerie',
    'bouffonnes',
    'bouffonnez',
    'bouffonniez',
    'bouffonnions',
    'bouffonnons',
    'bouffonnâmes',
    'bouffonnât',
    'bouffonnâtes',
    'bouffonné',
    'bouffons',
    'bouffâmes',
    'bouffât',
    'bouffâtes',
    'bouffèrent',
    'bouffé',
    'bouffée',
    'bouffées',
    'bouffés',
    'bouffîmes',
    'bouffît',
    'bouffîtes',
    'bouge',
    'bougea',
    'bougeai',
    'bougeaient',
    'bougeais',
    'bougeait',
    'bougeant',
    'bougeas',
    'bougeasse',
    'bougeassent',
    'bougeasses',
    'bougeassiez',
    'bougeassions',
    'bougent',
    'bougeoir',
    'bougeoirs',
    'bougeons',
    'bougeotte',
    'bougeottes',
    'bouger',
    'bougera',
    'bougerai',
    'bougeraient',
    'bougerais',
    'bougerait',
    'bougeras',
    'bougerez',
    'bougeriez',
    'bougerions',
    'bougerons',
    'bougeront',
    'bouges',
    'bougez',
    'bougeâmes',
    'bougeât',
    'bougeâtes',
    'bougie',
    'bougies',
    'bougiez',
    'bougions',
    'bougnat',
    'bougnats',
    'bougon',
    'bougonna',
    'bougonnai',
    'bougonnaient',
    'bougonnais',
    'bougonnait',
    'bougonnant',
    'bougonnas',
    'bougonnasse',
    'bougonnasses',
    'bougonne',
    'bougonnement',
    'bougonnent',
    'bougonner',
    'bougonnera',
    'bougonnerai',
    'bougonnerais',
    'bougonnerait',
    'bougonneras',
    'bougonnerez',
    'bougonneriez',
    'bougonnerons',
    'bougonneront',
    'bougonnes',
    'bougonnez',
    'bougonniez',
    'bougonnions',
    'bougonnons',
    'bougonnâmes',
    'bougonnât',
    'bougonnâtes',
    'bougonnèrent',
    'bougonné',
    'bougons',
    'bougran',
    'bougrans',
    'bougre',
    'bougrement',
    'bougres',
    'bougèrent',
    'bougé',
    'bougée',
    'bougées',
    'bougés',
    'bouif',
    'bouifs',
    'bouillaient',
    'bouillais',
    'bouillait',
    'bouillant',
    'bouillante',
    'bouillantes',
    'bouillants',
    'bouille',
    'bouillent',
    'bouilles',
    'bouilleur',
    'bouilleurs',
    'bouillez',
    'bouilli',
    'bouillie',
    'bouillies',
    'bouilliez',
    'bouillions',
    'bouillir',
    'bouillira',
    'bouillirai',
    'bouillirais',
    'bouillirait',
    'bouilliras',
    'bouillirent',
    'bouillirez',
    'bouilliriez',
    'bouillirions',
    'bouillirons',
    'bouilliront',
    'bouillis',
    'bouillisse',
    'bouillissent',
    'bouillisses',
    'bouillissiez',
    'bouillit',
    'bouilloire',
    'bouilloires',
    'bouillon',
    'bouillonna',
    'bouillonnai',
    'bouillonnais',
    'bouillonnait',
    'bouillonnant',
    'bouillonnas',
    'bouillonne',
    'bouillonnent',
    'bouillonner',
    'bouillonnera',
    'bouillonnes',
    'bouillonnez',
    'bouillonniez',
    'bouillonnons',
    'bouillonnât',
    'bouillonné',
    'bouillonnée',
    'bouillonnées',
    'bouillonnés',
    'bouillons',
    'bouillotta',
    'bouillottai',
    'bouillottais',
    'bouillottait',
    'bouillottant',
    'bouillottas',
    'bouillotte',
    'bouillottent',
    'bouillotter',
    'bouillottera',
    'bouillottes',
    'bouillottez',
    'bouillottiez',
    'bouillottons',
    'bouillottât',
    'bouillotté',
    'bouillîmes',
    'bouillît',
    'bouillîtes',
    'boula',
    'boulai',
    'boulaie',
    'boulaient',
    'boulaies',
    'boulais',
    'boulait',
    'boulange',
    'boulangea',
    'boulangeai',
    'boulangeais',
    'boulangeait',
    'boulangeant',
    'boulangeas',
    'boulangeasse',
    'boulangent',
    'boulangeons',
    'boulanger',
    'boulangera',
    'boulangerai',
    'boulangerais',
    'boulangerait',
    'boulangeras',
    'boulangerez',
    'boulangerie',
    'boulangeries',
    'boulangeriez',
    'boulangerons',
    'boulangeront',
    'boulangers',
    'boulanges',
    'boulangez',
    'boulangeâmes',
    'boulangeât',
    'boulangeâtes',
    'boulangiez',
    'boulangions',
    'boulangisme',
    'boulangismes',
    'boulangiste',
    'boulangistes',
    'boulangère',
    'boulangèrent',
    'boulangères',
    'boulangé',
    'boulangée',
    'boulangées',
    'boulangés',
    'boulant',
    'boulas',
    'boulasse',
    'boulassent',
    'boulasses',
    'boulassiez',
    'boulassions',
    'boulbène',
    'boulbènes',
    'bouldozeur',
    'bouldozeurs',
    'boule',
    'bouleau',
    'bouleaux',
    'bouledogue',
    'bouledogues',
    'boulent',
    'bouler',
    'boulera',
    'boulerai',
    'bouleraient',
    'boulerais',
    'boulerait',
    'bouleras',
    'boulerez',
    'bouleriez',
    'boulerions',
    'boulerons',
    'bouleront',
    'boules',
    'boulet',
    'boulets',
    'boulette',
    'boulettes',
    'bouleté',
    'bouletée',
    'bouletées',
    'bouletés',
    'boulevard',
    'boulevardier',
    'boulevards',
    'bouleversa',
    'bouleversai',
    'bouleversais',
    'bouleversait',
    'bouleversant',
    'bouleversas',
    'bouleverse',
    'bouleversent',
    'bouleverser',
    'bouleversera',
    'bouleverses',
    'bouleversez',
    'bouleversiez',
    'bouleversons',
    'bouleversât',
    'bouleversé',
    'bouleversée',
    'bouleversées',
    'bouleversés',
    'boulez',
    'boulier',
    'bouliers',
    'bouliez',
    'boulimie',
    'boulimies',
    'boulimique',
    'boulimiques',
    'boulin',
    'bouline',
    'boulines',
    'boulingrin',
    'boulingrins',
    'boulinier',
    'bouliniers',
    'boulinière',
    'boulinières',
    'boulins',
    'boulions',
    'bouliste',
    'boulistes',
    'boulocher',
    'boulodrome',
    'boulodromes',
    'bouloir',
    'bouloirs',
    'boulon',
    'boulonna',
    'boulonnage',
    'boulonnages',
    'boulonnai',
    'boulonnaient',
    'boulonnais',
    'boulonnait',
    'boulonnant',
    'boulonnas',
    'boulonnasse',
    'boulonnasses',
    'boulonne',
    'boulonnent',
    'boulonner',
    'boulonnera',
    'boulonnerai',
    'boulonnerais',
    'boulonnerait',
    'boulonneras',
    'boulonnerez',
    'boulonnerie',
    'boulonneries',
    'boulonneriez',
    'boulonnerons',
    'boulonneront',
    'boulonnes',
    'boulonnez',
    'boulonniez',
    'boulonnions',
    'boulonnons',
    'boulonnâmes',
    'boulonnât',
    'boulonnâtes',
    'boulonnèrent',
    'boulonné',
    'boulonnée',
    'boulonnées',
    'boulonnés',
    'boulons',
    'boulot',
    'boulots',
    'boulotta',
    'boulottai',
    'boulottaient',
    'boulottais',
    'boulottait',
    'boulottant',
    'boulottas',
    'boulottasse',
    'boulottasses',
    'boulotte',
    'boulottent',
    'boulotter',
    'boulottera',
    'boulotterai',
    'boulotterais',
    'boulotterait',
    'boulotteras',
    'boulotterez',
    'boulotteriez',
    'boulotterons',
    'boulotteront',
    'boulottes',
    'boulottez',
    'boulottiez',
    'boulottions',
    'boulottons',
    'boulottâmes',
    'boulottât',
    'boulottâtes',
    'boulottèrent',
    'boulotté',
    'boulottée',
    'boulottées',
    'boulottés',
    'boulâmes',
    'boulât',
    'boulâtes',
    'boulèrent',
    'boulé',
    'boulée',
    'boulées',
    'boulés',
    'boum',
    'boume',
    'boument',
    'boumer',
    'boumera',
    'boumerai',
    'boumeraient',
    'boumerais',
    'boumerait',
    'boumeras',
    'boumerez',
    'boumeriez',
    'boumerions',
    'boumerons',
    'boumeront',
    'boumes',
    'boumé',
    'bouquet',
    'bouquetier',
    'bouquetiers',
    'bouquetin',
    'bouquetins',
    'bouquetière',
    'bouquetières',
    'bouquets',
    'bouquin',
    'bouquina',
    'bouquinai',
    'bouquinaient',
    'bouquinais',
    'bouquinait',
    'bouquinant',
    'bouquinas',
    'bouquinasse',
    'bouquinasses',
    'bouquine',
    'bouquinent',
    'bouquiner',
    'bouquinera',
    'bouquinerai',
    'bouquinerais',
    'bouquinerait',
    'bouquineras',
    'bouquinerez',
    'bouquinerie',
    'bouquineries',
    'bouquineriez',
    'bouquinerons',
    'bouquineront',
    'bouquines',
    'bouquineur',
    'bouquineurs',
    'bouquineuse',
    'bouquineuses',
    'bouquinez',
    'bouquiniez',
    'bouquinions',
    'bouquiniste',
    'bouquinistes',
    'bouquinons',
    'bouquins',
    'bouquinâmes',
    'bouquinât',
    'bouquinâtes',
    'bouquinèrent',
    'bouquiné',
    'bouquinée',
    'bouquinées',
    'bouquinés',
    'bourbe',
    'bourbes',
    'bourbeuse',
    'bourbeuses',
    'bourbeux',
    'bourbier',
    'bourbiers',
    'bourbillon',
    'bourbillons',
    'bourbon',
    'bourbonien',
    'bourbonienne',
    'bourboniens',
    'bourbons',
    'bourda',
    'bourdai',
    'bourdaient',
    'bourdaine',
    'bourdaines',
    'bourdais',
    'bourdait',
    'bourdant',
    'bourdas',
    'bourdasse',
    'bourdassent',
    'bourdasses',
    'bourdassiez',
    'bourdassions',
    'bourde',
    'bourdent',
    'bourder',
    'bourdera',
    'bourderai',
    'bourderaient',
    'bourderais',
    'bourderait',
    'bourderas',
    'bourderez',
    'bourderiez',
    'bourderions',
    'bourderons',
    'bourderont',
    'bourdes',
    'bourdez',
    'bourdiez',
    'bourdions',
    'bourdon',
    'bourdonna',
    'bourdonnai',
    'bourdonnais',
    'bourdonnait',
    'bourdonnant',
    'bourdonnante',
    'bourdonnants',
    'bourdonnas',
    'bourdonnasse',
    'bourdonne',
    'bourdonnent',
    'bourdonner',
    'bourdonnera',
    'bourdonnerai',
    'bourdonneras',
    'bourdonnerez',
    'bourdonnes',
    'bourdonnez',
    'bourdonniez',
    'bourdonnions',
    'bourdonnons',
    'bourdonnâmes',
    'bourdonnât',
    'bourdonnâtes',
    'bourdonné',
    'bourdonnée',
    'bourdonnées',
    'bourdonnés',
    'bourdons',
    'bourdâmes',
    'bourdât',
    'bourdâtes',
    'bourdèrent',
    'bourdé',
    'bourg',
    'bourgade',
    'bourgades',
    'bourgeois',
    'bourgeoise',
    'bourgeoises',
    'bourgeoisial',
    'bourgeoisie',
    'bourgeoisies',
    'bourgeon',
    'bourgeonna',
    'bourgeonnai',
    'bourgeonnais',
    'bourgeonnait',
    'bourgeonnant',
    'bourgeonnas',
    'bourgeonne',
    'bourgeonnent',
    'bourgeonner',
    'bourgeonnera',
    'bourgeonnes',
    'bourgeonnez',
    'bourgeonniez',
    'bourgeonnons',
    'bourgeonnât',
    'bourgeonné',
    'bourgeonnée',
    'bourgeonnées',
    'bourgeonnés',
    'bourgeons',
    'bourgeron',
    'bourgerons',
    'bourgmestre',
    'bourgmestres',
    'bourgogne',
    'bourgognes',
    'bourgs',
    'bourguignon',
    'bourguignons',
    'bourlingua',
    'bourlinguai',
    'bourlinguais',
    'bourlinguait',
    'bourlinguant',
    'bourlinguas',
    'bourlingue',
    'bourlinguent',
    'bourlinguer',
    'bourlinguera',
    'bourlingues',
    'bourlingueur',
    'bourlinguez',
    'bourlinguiez',
    'bourlinguons',
    'bourlinguât',
    'bourlingué',
    'bourra',
    'bourrache',
    'bourraches',
    'bourrade',
    'bourrades',
    'bourrage',
    'bourrages',
    'bourrai',
    'bourraient',
    'bourrais',
    'bourrait',
    'bourrant',
    'bourras',
    'bourrasque',
    'bourrasques',
    'bourrasse',
    'bourrassent',
    'bourrasses',
    'bourrassiez',
    'bourrassions',
    'bourratif',
    'bourratifs',
    'bourrative',
    'bourratives',
    'bourre',
    'bourreau',
    'bourreaux',
    'bourrela',
    'bourrelai',
    'bourrelaient',
    'bourrelais',
    'bourrelait',
    'bourrelant',
    'bourrelas',
    'bourrelasse',
    'bourrelasses',
    'bourreler',
    'bourrelet',
    'bourrelets',
    'bourrelez',
    'bourrelier',
    'bourreliers',
    'bourreliez',
    'bourrelions',
    'bourrelle',
    'bourrellent',
    'bourrellera',
    'bourrellerai',
    'bourrelleras',
    'bourrellerez',
    'bourrellerie',
    'bourrelles',
    'bourrelons',
    'bourrelâmes',
    'bourrelât',
    'bourrelâtes',
    'bourrelèrent',
    'bourrelé',
    'bourrelée',
    'bourrelées',
    'bourrelés',
    'bourrent',
    'bourrer',
    'bourrera',
    'bourrerai',
    'bourreraient',
    'bourrerais',
    'bourrerait',
    'bourreras',
    'bourrerez',
    'bourreriez',
    'bourrerions',
    'bourrerons',
    'bourreront',
    'bourres',
    'bourrette',
    'bourrettes',
    'bourrez',
    'bourriche',
    'bourriches',
    'bourrichon',
    'bourrichons',
    'bourricot',
    'bourricots',
    'bourriez',
    'bourrin',
    'bourrins',
    'bourrions',
    'bourriqua',
    'bourriquai',
    'bourriquais',
    'bourriquait',
    'bourriquant',
    'bourriquas',
    'bourriquasse',
    'bourrique',
    'bourriquent',
    'bourriquer',
    'bourriquera',
    'bourriquerai',
    'bourriqueras',
    'bourriquerez',
    'bourriques',
    'bourriquet',
    'bourriquets',
    'bourriquez',
    'bourriquiez',
    'bourriquions',
    'bourriquons',
    'bourriquâmes',
    'bourriquât',
    'bourriquâtes',
    'bourriqué',
    'bourroir',
    'bourroirs',
    'bourrons',
    'bourru',
    'bourrue',
    'bourrues',
    'bourrus',
    'bourrâmes',
    'bourrât',
    'bourrâtes',
    'bourrèlement',
    'bourrèrent',
    'bourré',
    'bourrée',
    'bourrées',
    'bourrés',
    'bourse',
    'bourses',
    'boursicota',
    'boursicotage',
    'boursicotai',
    'boursicotais',
    'boursicotait',
    'boursicotant',
    'boursicotas',
    'boursicote',
    'boursicotent',
    'boursicoter',
    'boursicotera',
    'boursicotes',
    'boursicoteur',
    'boursicotez',
    'boursicotier',
    'boursicotiez',
    'boursicotons',
    'boursicotât',
    'boursicoté',
    'boursier',
    'boursiers',
    'boursière',
    'boursières',
    'boursoufla',
    'boursouflage',
    'boursouflai',
    'boursouflais',
    'boursouflait',
    'boursouflant',
    'boursouflas',
    'boursoufle',
    'boursouflent',
    'boursoufler',
    'boursouflera',
    'boursoufles',
    'boursouflez',
    'boursoufliez',
    'boursouflons',
    'boursouflure',
    'boursouflât',
    'boursouflé',
    'boursouflée',
    'boursouflées',
    'boursouflés',
    'bous',
    'bouscueil',
    'bouscueils',
    'bouscula',
    'bousculade',
    'bousculades',
    'bousculai',
    'bousculaient',
    'bousculais',
    'bousculait',
    'bousculant',
    'bousculas',
    'bousculasse',
    'bousculasses',
    'bouscule',
    'bousculent',
    'bousculer',
    'bousculera',
    'bousculerai',
    'bousculerais',
    'bousculerait',
    'bousculeras',
    'bousculerez',
    'bousculeriez',
    'bousculerons',
    'bousculeront',
    'bouscules',
    'bousculez',
    'bousculiez',
    'bousculions',
    'bousculons',
    'bousculâmes',
    'bousculât',
    'bousculâtes',
    'bousculèrent',
    'bousculé',
    'bousculée',
    'bousculées',
    'bousculés',
    'bouse',
    'bouses',
    'bouseux',
    'bousier',
    'bousiers',
    'bousilla',
    'bousillage',
    'bousillages',
    'bousillai',
    'bousillaient',
    'bousillais',
    'bousillait',
    'bousillant',
    'bousillas',
    'bousillasse',
    'bousillasses',
    'bousille',
    'bousillent',
    'bousiller',
    'bousillera',
    'bousillerai',
    'bousillerais',
    'bousillerait',
    'bousilleras',
    'bousillerez',
    'bousilleriez',
    'bousillerons',
    'bousilleront',
    'bousilles',
    'bousilleur',
    'bousilleurs',
    'bousilleuse',
    'bousilleuses',
    'bousillez',
    'bousilliez',
    'bousillions',
    'bousillons',
    'bousillâmes',
    'bousillât',
    'bousillâtes',
    'bousillèrent',
    'bousillé',
    'bousillée',
    'bousillées',
    'bousillés',
    'bousin',
    'bousins',
    'boussole',
    'boussoles',
    'boustifailla',
    'boustifaille',
    'boustifaillé',
    'bout',
    'bouta',
    'boutade',
    'boutades',
    'boutai',
    'boutaient',
    'boutais',
    'boutait',
    'boutant',
    'boutas',
    'boutasse',
    'boutassent',
    'boutasses',
    'boutassiez',
    'boutassions',
    'boute',
    'boutefeu',
    'boutefeux',
    'bouteille',
    'bouteiller',
    'bouteillers',
    'bouteilles',
    'bouteillon',
    'bouteillons',
    'boutent',
    'bouter',
    'boutera',
    'bouterai',
    'bouteraient',
    'bouterais',
    'bouterait',
    'bouteras',
    'bouterez',
    'bouteriez',
    'bouterions',
    'bouterolle',
    'bouterolles',
    'bouterons',
    'bouteront',
    'bouteroue',
    'bouteroues',
    'boutes',
    'bouteur',
    'bouteurs',
    'boutez',
    'boutiez',
    'boutions',
    'boutique',
    'boutiques',
    'boutiquier',
    'boutiquiers',
    'boutiquière',
    'boutiquières',
    'boutisse',
    'boutisses',
    'boutoir',
    'boutoirs',
    'bouton',
    'boutonna',
    'boutonnage',
    'boutonnages',
    'boutonnai',
    'boutonnaient',
    'boutonnais',
    'boutonnait',
    'boutonnant',
    'boutonnas',
    'boutonnasse',
    'boutonnasses',
    'boutonne',
    'boutonnent',
    'boutonner',
    'boutonnera',
    'boutonnerai',
    'boutonnerais',
    'boutonnerait',
    'boutonneras',
    'boutonnerez',
    'boutonneriez',
    'boutonnerons',
    'boutonneront',
    'boutonnes',
    'boutonneuse',
    'boutonneuses',
    'boutonneux',
    'boutonnez',
    'boutonnier',
    'boutonniers',
    'boutonniez',
    'boutonnions',
    'boutonnière',
    'boutonnières',
    'boutonnons',
    'boutonnâmes',
    'boutonnât',
    'boutonnâtes',
    'boutonnèrent',
    'boutonné',
    'boutonnée',
    'boutonnées',
    'boutonnés',
    'boutons',
    'boutre',
    'boutres',
    'bouts',
    'boutura',
    'bouturage',
    'bouturages',
    'bouturai',
    'bouturaient',
    'bouturais',
    'bouturait',
    'bouturant',
    'bouturas',
    'bouturasse',
    'bouturassent',
    'bouturasses',
    'bouturassiez',
    'bouture',
    'bouturent',
    'bouturer',
    'bouturera',
    'bouturerai',
    'bouturerais',
    'bouturerait',
    'boutureras',
    'bouturerez',
    'boutureriez',
    'bouturerions',
    'bouturerons',
    'boutureront',
    'boutures',
    'bouturez',
    'bouturiez',
    'bouturions',
    'bouturons',
    'bouturâmes',
    'bouturât',
    'bouturâtes',
    'bouturèrent',
    'bouturé',
    'boutâmes',
    'boutât',
    'boutâtes',
    'boutèrent',
    'bouté',
    'boutée',
    'boutées',
    'boutés',
    'bouverie',
    'bouveries',
    'bouvet',
    'bouveteuse',
    'bouveteuses',
    'bouvets',
    'bouvier',
    'bouviers',
    'bouvillon',
    'bouvillons',
    'bouvière',
    'bouvières',
    'bouvreuil',
    'bouvreuils',
    'bouvril',
    'bouvrils',
    'bouée',
    'bouées',
    'bovarysme',
    'bovarysmes',
    'bovidé',
    'bovidés',
    'bovin',
    'bovine',
    'bovines',
    'bovins',
    'bowling',
    'bowlings',
    'boxa',
    'boxai',
    'boxaient',
    'boxais',
    'boxait',
    'boxant',
    'boxas',
    'boxasse',
    'boxassent',
    'boxasses',
    'boxassiez',
    'boxassions',
    'boxe',
    'boxent',
    'boxer',
    'boxera',
    'boxerai',
    'boxeraient',
    'boxerais',
    'boxerait',
    'boxeras',
    'boxerez',
    'boxeriez',
    'boxerions',
    'boxerons',
    'boxeront',
    'boxers',
    'boxes',
    'boxeur',
    'boxeurs',
    'boxez',
    'boxiez',
    'boxions',
    'boxons',
    'boxâmes',
    'boxât',
    'boxâtes',
    'boxèrent',
    'boxé',
    'boxée',
    'boxées',
    'boxés',
    'boyard',
    'boyards',
    'boyau',
    'boyauderie',
    'boyauderies',
    'boyaudier',
    'boyaudiers',
    'boyaudière',
    'boyaudières',
    'boyauter',
    'boyaux',
    'boycott',
    'boycotta',
    'boycottage',
    'boycottages',
    'boycottai',
    'boycottaient',
    'boycottais',
    'boycottait',
    'boycottant',
    'boycottas',
    'boycottasse',
    'boycottasses',
    'boycotte',
    'boycottent',
    'boycotter',
    'boycottera',
    'boycotterai',
    'boycotterais',
    'boycotterait',
    'boycotteras',
    'boycotterez',
    'boycotteriez',
    'boycotterons',
    'boycotteront',
    'boycottes',
    'boycotteur',
    'boycotteurs',
    'boycotteuse',
    'boycotteuses',
    'boycottez',
    'boycottiez',
    'boycottions',
    'boycottons',
    'boycotts',
    'boycottâmes',
    'boycottât',
    'boycottâtes',
    'boycottèrent',
    'boycotté',
    'boycottée',
    'boycottées',
    'boycottés',
    'boys',
    'boësse',
    'boësses',
    'boëte',
    'boëtes',
    'boîte',
    'boîtes',
    'boîtier',
    'boîtiers',
    'brabant',
    'brabants',
    'brabançon',
    'brabançonne',
    'brabançonnes',
    'brabançons',
    'bracelet',
    'bracelets',
    'brachial',
    'brachiale',
    'brachiales',
    'brachiaux',
    'braconna',
    'braconnage',
    'braconnages',
    'braconnai',
    'braconnaient',
    'braconnais',
    'braconnait',
    'braconnant',
    'braconnas',
    'braconnasse',
    'braconnasses',
    'braconne',
    'braconnent',
    'braconner',
    'braconnera',
    'braconnerai',
    'braconnerais',
    'braconnerait',
    'braconneras',
    'braconnerez',
    'braconneriez',
    'braconnerons',
    'braconneront',
    'braconnes',
    'braconnez',
    'braconnier',
    'braconniers',
    'braconniez',
    'braconnions',
    'braconnière',
    'braconnières',
    'braconnons',
    'braconnâmes',
    'braconnât',
    'braconnâtes',
    'braconnèrent',
    'braconné',
    'braconnée',
    'braconnées',
    'braconnés',
    'bractéal',
    'bractéale',
    'bractéales',
    'bractéaux',
    'bractée',
    'bractées',
    'brada',
    'bradage',
    'bradages',
    'bradai',
    'bradaient',
    'bradais',
    'bradait',
    'bradant',
    'bradas',
    'bradasse',
    'bradassent',
    'bradasses',
    'bradassiez',
    'bradassions',
    'brade',
    'bradel',
    'bradent',
    'brader',
    'bradera',
    'braderai',
    'braderaient',
    'braderais',
    'braderait',
    'braderas',
    'braderez',
    'braderie',
    'braderies',
    'braderiez',
    'braderions',
    'braderons',
    'braderont',
    'brades',
    'bradeur',
    'bradeurs',
    'bradeuse',
    'bradeuses',
    'bradez',
    'bradiez',
    'bradions',
    'bradons',
    'bradycardie',
    'bradycardies',
    'bradype',
    'bradypes',
    'bradâmes',
    'bradât',
    'bradâtes',
    'bradèrent',
    'bradé',
    'bradée',
    'bradées',
    'bradés',
    'braguette',
    'braguettes',
    'brahmane',
    'brahmanes',
    'brahmanique',
    'brahmaniques',
    'brahmanisme',
    'brahmanismes',
    'brai',
    'braie',
    'braient',
    'braiera',
    'braierai',
    'braieraient',
    'braierais',
    'braierait',
    'braieras',
    'braierez',
    'braieriez',
    'braierions',
    'braierons',
    'braieront',
    'braies',
    'brailla',
    'braillai',
    'braillaient',
    'braillais',
    'braillait',
    'braillant',
    'braillard',
    'braillarde',
    'braillardes',
    'braillards',
    'braillas',
    'braillasse',
    'braillassent',
    'braillasses',
    'braillassiez',
    'braille',
    'braillement',
    'braillements',
    'braillent',
    'brailler',
    'braillera',
    'braillerai',
    'braillerais',
    'braillerait',
    'brailleras',
    'braillerez',
    'brailleriez',
    'braillerions',
    'braillerons',
    'brailleront',
    'brailles',
    'brailleur',
    'brailleurs',
    'brailleuse',
    'brailleuses',
    'braillez',
    'brailliez',
    'braillions',
    'braillons',
    'braillâmes',
    'braillât',
    'braillâtes',
    'braillèrent',
    'braillé',
    'braillée',
    'braillées',
    'braillés',
    'braiment',
    'braiments',
    'braira',
    'brairaient',
    'brairait',
    'braire',
    'brairont',
    'brais',
    'braisa',
    'braisai',
    'braisaient',
    'braisais',
    'braisait',
    'braisant',
    'braisas',
    'braisasse',
    'braisassent',
    'braisasses',
    'braisassiez',
    'braisassions',
    'braise',
    'braisent',
    'braiser',
    'braisera',
    'braiserai',
    'braiseraient',
    'braiserais',
    'braiserait',
    'braiseras',
    'braiserez',
    'braiseriez',
    'braiserions',
    'braiserons',
    'braiseront',
    'braises',
    'braisez',
    'braisiez',
    'braisions',
    'braisière',
    'braisières',
    'braisons',
    'braisâmes',
    'braisât',
    'braisâtes',
    'braisèrent',
    'braisé',
    'braisée',
    'braisées',
    'braisés',
    'brait',
    'brama',
    'bramai',
    'bramaient',
    'bramais',
    'bramait',
    'bramant',
    'bramas',
    'bramasse',
    'bramassent',
    'bramasses',
    'bramassiez',
    'bramassions',
    'brame',
    'bramement',
    'bramements',
    'brament',
    'bramer',
    'bramera',
    'bramerai',
    'brameraient',
    'bramerais',
    'bramerait',
    'brameras',
    'bramerez',
    'brameriez',
    'bramerions',
    'bramerons',
    'brameront',
    'brames',
    'bramez',
    'bramiez',
    'bramions',
    'bramons',
    'bramâmes',
    'bramât',
    'bramâtes',
    'bramèrent',
    'bramé',
    'bramée',
    'bramées',
    'bramés',
    'bran',
    'brancard',
    'brancarder',
    'brancardier',
    'brancardiers',
    'brancardière',
    'brancards',
    'brancha',
    'branchage',
    'branchages',
    'branchai',
    'branchaient',
    'branchais',
    'branchait',
    'branchant',
    'branchas',
    'branchasse',
    'branchassent',
    'branchasses',
    'branchassiez',
    'branche',
    'branchement',
    'branchements',
    'branchent',
    'brancher',
    'branchera',
    'brancherai',
    'brancherais',
    'brancherait',
    'brancheras',
    'brancherez',
    'brancheriez',
    'brancherions',
    'brancherons',
    'brancheront',
    'branches',
    'branchette',
    'branchettes',
    'branchez',
    'branchial',
    'branchiale',
    'branchiales',
    'branchiaux',
    'branchies',
    'branchiez',
    'branchions',
    'branchons',
    'branchu',
    'branchue',
    'branchues',
    'branchus',
    'branchâmes',
    'branchât',
    'branchâtes',
    'branchèrent',
    'branché',
    'branchée',
    'branchées',
    'branchés',
    'brandade',
    'brandades',
    'brande',
    'brandebourg',
    'brandebourgs',
    'brandes',
    'brandi',
    'brandie',
    'brandies',
    'brandilla',
    'brandillai',
    'brandillais',
    'brandillait',
    'brandillant',
    'brandillas',
    'brandillasse',
    'brandille',
    'brandillent',
    'brandiller',
    'brandillera',
    'brandillerai',
    'brandilleras',
    'brandillerez',
    'brandilles',
    'brandillez',
    'brandilliez',
    'brandillions',
    'brandillons',
    'brandillâmes',
    'brandillât',
    'brandillâtes',
    'brandillé',
    'brandillée',
    'brandillées',
    'brandillés',
    'brandir',
    'brandira',
    'brandirai',
    'brandiraient',
    'brandirais',
    'brandirait',
    'brandiras',
    'brandirent',
    'brandirez',
    'brandiriez',
    'brandirions',
    'brandirons',
    'brandiront',
    'brandis',
    'brandissais',
    'brandissait',
    'brandissant',
    'brandisse',
    'brandissent',
    'brandisses',
    'brandissez',
    'brandissiez',
    'brandissions',
    'brandissons',
    'brandit',
    'brandon',
    'brandons',
    'brandy',
    'brandîmes',
    'brandît',
    'brandîtes',
    'branla',
    'branlai',
    'branlaient',
    'branlais',
    'branlait',
    'branlant',
    'branlante',
    'branlantes',
    'branlants',
    'branlas',
    'branlasse',
    'branlassent',
    'branlasses',
    'branlassiez',
    'branlassions',
    'branle',
    'branlement',
    'branlements',
    'branlent',
    'branler',
    'branlera',
    'branlerai',
    'branleraient',
    'branlerais',
    'branlerait',
    'branleras',
    'branlerez',
    'branleriez',
    'branlerions',
    'branlerons',
    'branleront',
    'branles',
    'branlez',
    'branliez',
    'branlions',
    'branlons',
    'branlâmes',
    'branlât',
    'branlâtes',
    'branlèrent',
    'branlé',
    'branlée',
    'branlées',
    'branlés',
    'brans',
    'brante',
    'brantes',
    'braqua',
    'braquage',
    'braquages',
    'braquai',
    'braquaient',
    'braquais',
    'braquait',
    'braquant',
    'braquas',
    'braquasse',
    'braquassent',
    'braquasses',
    'braquassiez',
    'braquassions',
    'braque',
    'braquemart',
    'braquemarts',
    'braquent',
    'braquer',
    'braquera',
    'braquerai',
    'braqueraient',
    'braquerais',
    'braquerait',
    'braqueras',
    'braquerez',
    'braqueriez',
    'braquerions',
    'braquerons',
    'braqueront',
    'braques',
    'braquet',
    'braquets',
    'braquez',
    'braquiez',
    'braquions',
    'braquons',
    'braquâmes',
    'braquât',
    'braquâtes',
    'braquèrent',
    'braqué',
    'braquée',
    'braquées',
    'braqués',
    'bras',
    'brasa',
    'brasage',
    'brasages',
    'brasai',
    'brasaient',
    'brasais',
    'brasait',
    'brasant',
    'brasas',
    'brasasse',
    'brasassent',
    'brasasses',
    'brasassiez',
    'brasassions',
    'brase',
    'brasent',
    'braser',
    'brasera',
    'braserai',
    'braseraient',
    'braserais',
    'braserait',
    'braseras',
    'braserez',
    'braseriez',
    'braserions',
    'brasero',
    'braserons',
    'braseront',
    'braseros',
    'brases',
    'brasez',
    'brasier',
    'brasiers',
    'brasiez',
    'brasilla',
    'brasillai',
    'brasillaient',
    'brasillais',
    'brasillait',
    'brasillant',
    'brasillas',
    'brasillasse',
    'brasillasses',
    'brasille',
    'brasillent',
    'brasiller',
    'brasillera',
    'brasillerai',
    'brasillerais',
    'brasillerait',
    'brasilleras',
    'brasillerez',
    'brasilleriez',
    'brasillerons',
    'brasilleront',
    'brasilles',
    'brasillez',
    'brasilliez',
    'brasillions',
    'brasillons',
    'brasillâmes',
    'brasillât',
    'brasillâtes',
    'brasillèrent',
    'brasillé',
    'brasions',
    'brasons',
    'brassa',
    'brassage',
    'brassages',
    'brassai',
    'brassaient',
    'brassais',
    'brassait',
    'brassant',
    'brassard',
    'brassards',
    'brassas',
    'brassasse',
    'brassassent',
    'brassasses',
    'brassassiez',
    'brassassions',
    'brasse',
    'brassent',
    'brasser',
    'brassera',
    'brasserai',
    'brasseraient',
    'brasserais',
    'brasserait',
    'brasseras',
    'brasserez',
    'brasserie',
    'brasseries',
    'brasseriez',
    'brasserions',
    'brasserons',
    'brasseront',
    'brasses',
    'brasseur',
    'brasseurs',
    'brasseuse',
    'brasseuses',
    'brasseyer',
    'brassez',
    'brassiez',
    'brassin',
    'brassins',
    'brassions',
    'brassière',
    'brassières',
    'brassons',
    'brassâmes',
    'brassât',
    'brassâtes',
    'brassèrent',
    'brassé',
    'brassée',
    'brassées',
    'brassés',
    'brasure',
    'brasures',
    'brasâmes',
    'brasât',
    'brasâtes',
    'brasèrent',
    'brasé',
    'brasée',
    'brasées',
    'brasés',
    'brava',
    'bravache',
    'bravaches',
    'bravade',
    'bravades',
    'bravai',
    'bravaient',
    'bravais',
    'bravait',
    'bravant',
    'bravas',
    'bravasse',
    'bravassent',
    'bravasses',
    'bravassiez',
    'bravassions',
    'brave',
    'bravement',
    'bravent',
    'braver',
    'bravera',
    'braverai',
    'braveraient',
    'braverais',
    'braverait',
    'braveras',
    'braverez',
    'braveriez',
    'braverions',
    'braverons',
    'braveront',
    'braves',
    'bravez',
    'braviez',
    'bravions',
    'bravo',
    'bravons',
    'bravos',
    'bravoure',
    'bravoures',
    'bravâmes',
    'bravât',
    'bravâtes',
    'bravèrent',
    'bravé',
    'bravée',
    'bravées',
    'bravés',
    'braya',
    'brayai',
    'brayaient',
    'brayais',
    'brayait',
    'brayant',
    'brayas',
    'brayasse',
    'brayassent',
    'brayasses',
    'brayassiez',
    'brayassions',
    'braye',
    'brayent',
    'brayer',
    'brayera',
    'brayerai',
    'brayeraient',
    'brayerais',
    'brayerait',
    'brayeras',
    'brayerez',
    'brayeriez',
    'brayerions',
    'brayerons',
    'brayeront',
    'brayes',
    'brayez',
    'brayiez',
    'brayions',
    'brayons',
    'brayâmes',
    'brayât',
    'brayâtes',
    'brayèrent',
    'brayé',
    'brayée',
    'brayées',
    'brayés',
    'break',
    'breakfast',
    'breakfasts',
    'breaks',
    'brebis',
    'bredouilla',
    'bredouillage',
    'bredouillai',
    'bredouillais',
    'bredouillait',
    'bredouillant',
    'bredouillas',
    'bredouille',
    'bredouillent',
    'bredouiller',
    'bredouillera',
    'bredouilles',
    'bredouilleur',
    'bredouillez',
    'bredouilliez',
    'bredouillis',
    'bredouillons',
    'bredouillât',
    'bredouillé',
    'bredouillée',
    'bredouillées',
    'bredouillés',
    'bref',
    'brefs',
    'brelan',
    'brelans',
    'brella',
    'brellai',
    'brellaient',
    'brellais',
    'brellait',
    'brellant',
    'brellas',
    'brellasse',
    'brellassent',
    'brellasses',
    'brellassiez',
    'brellassions',
    'brelle',
    'brellent',
    'breller',
    'brellera',
    'brellerai',
    'brelleraient',
    'brellerais',
    'brellerait',
    'brelleras',
    'brellerez',
    'brelleriez',
    'brellerions',
    'brellerons',
    'brelleront',
    'brelles',
    'brellez',
    'brelliez',
    'brellions',
    'brellons',
    'brellâmes',
    'brellât',
    'brellâtes',
    'brellèrent',
    'brellé',
    'brellée',
    'brellées',
    'brellés',
    'breloque',
    'breloques',
    'bresse',
    'bretelle',
    'bretelles',
    'bretessé',
    'bretessée',
    'bretessées',
    'bretessés',
    'breton',
    'bretonnant',
    'bretonnante',
    'bretonnantes',
    'bretonnants',
    'bretonne',
    'bretonnes',
    'bretons',
    'bretta',
    'brettai',
    'brettaient',
    'brettais',
    'brettait',
    'brettant',
    'brettas',
    'brettasse',
    'brettassent',
    'brettasses',
    'brettassiez',
    'brettassions',
    'brette',
    'brettela',
    'brettelai',
    'brettelaient',
    'brettelais',
    'brettelait',
    'brettelant',
    'brettelas',
    'brettelasse',
    'brettelasses',
    'bretteler',
    'brettelez',
    'bretteliez',
    'brettelions',
    'brettelle',
    'brettellent',
    'brettellera',
    'brettellerai',
    'brettelleras',
    'brettellerez',
    'brettelles',
    'brettelons',
    'brettelâmes',
    'brettelât',
    'brettelâtes',
    'brettelèrent',
    'brettelé',
    'brettelée',
    'brettelées',
    'brettelés',
    'brettent',
    'bretter',
    'brettera',
    'bretterai',
    'bretteraient',
    'bretterais',
    'bretterait',
    'bretteras',
    'bretterez',
    'bretteriez',
    'bretterions',
    'bretterons',
    'bretteront',
    'brettes',
    'bretteur',
    'bretteurs',
    'brettez',
    'brettiez',
    'brettions',
    'brettons',
    'brettâmes',
    'brettât',
    'brettâtes',
    'brettèrent',
    'bretté',
    'brettée',
    'brettées',
    'brettés',
    'bretzel',
    'bretzels',
    'bretèche',
    'bretèches',
    'breuvage',
    'breuvages',
    'brevet',
    'breveta',
    'brevetable',
    'brevetables',
    'brevetai',
    'brevetaient',
    'brevetais',
    'brevetait',
    'brevetant',
    'brevetas',
    'brevetasse',
    'brevetassent',
    'brevetasses',
    'brevetassiez',
    'breveter',
    'brevetez',
    'brevetiez',
    'brevetions',
    'brevetons',
    'brevets',
    'brevette',
    'brevettent',
    'brevettera',
    'brevetterai',
    'brevetterais',
    'brevetterait',
    'brevetteras',
    'brevetterez',
    'brevetteriez',
    'brevetterons',
    'brevetteront',
    'brevettes',
    'brevetâmes',
    'brevetât',
    'brevetâtes',
    'brevetèrent',
    'breveté',
    'brevetée',
    'brevetées',
    'brevetés',
    'briard',
    'briards',
    'bribes',
    'bric',
    'brick',
    'bricks',
    'bricola',
    'bricolage',
    'bricolages',
    'bricolai',
    'bricolaient',
    'bricolais',
    'bricolait',
    'bricolant',
    'bricolas',
    'bricolasse',
    'bricolassent',
    'bricolasses',
    'bricolassiez',
    'bricole',
    'bricolent',
    'bricoler',
    'bricolera',
    'bricolerai',
    'bricolerais',
    'bricolerait',
    'bricoleras',
    'bricolerez',
    'bricoleriez',
    'bricolerions',
    'bricolerons',
    'bricoleront',
    'bricoles',
    'bricoleur',
    'bricoleurs',
    'bricoleuse',
    'bricoleuses',
    'bricolez',
    'bricoliez',
    'bricolions',
    'bricolons',
    'bricolâmes',
    'bricolât',
    'bricolâtes',
    'bricolèrent',
    'bricolé',
    'bricolée',
    'bricolées',
    'bricolés',
    'brida',
    'bridai',
    'bridaient',
    'bridais',
    'bridait',
    'bridant',
    'bridas',
    'bridasse',
    'bridassent',
    'bridasses',
    'bridassiez',
    'bridassions',
    'bride',
    'brident',
    'brider',
    'bridera',
    'briderai',
    'brideraient',
    'briderais',
    'briderait',
    'brideras',
    'briderez',
    'brideriez',
    'briderions',
    'briderons',
    'brideront',
    'brides',
    'bridez',
    'bridge',
    'bridgea',
    'bridgeai',
    'bridgeaient',
    'bridgeais',
    'bridgeait',
    'bridgeant',
    'bridgeas',
    'bridgeasse',
    'bridgeassent',
    'bridgeasses',
    'bridgeassiez',
    'bridgent',
    'bridgeons',
    'bridger',
    'bridgera',
    'bridgerai',
    'bridgeraient',
    'bridgerais',
    'bridgerait',
    'bridgeras',
    'bridgerez',
    'bridgeriez',
    'bridgerions',
    'bridgerons',
    'bridgeront',
    'bridges',
    'bridgeur',
    'bridgeurs',
    'bridgeuse',
    'bridgeuses',
    'bridgez',
    'bridgeâmes',
    'bridgeât',
    'bridgeâtes',
    'bridgiez',
    'bridgions',
    'bridgèrent',
    'bridgé',
    'bridiez',
    'bridions',
    'bridon',
    'bridons',
    'bridâmes',
    'bridât',
    'bridâtes',
    'bridèrent',
    'bridé',
    'bridée',
    'bridées',
    'bridés',
    'brie',
    'briefing',
    'briefings',
    'bries',
    'brifa',
    'brifai',
    'brifaient',
    'brifais',
    'brifait',
    'brifant',
    'brifas',
    'brifasse',
    'brifassent',
    'brifasses',
    'brifassiez',
    'brifassions',
    'brife',
    'brifent',
    'brifer',
    'brifera',
    'briferai',
    'briferaient',
    'briferais',
    'briferait',
    'briferas',
    'briferez',
    'briferiez',
    'briferions',
    'briferons',
    'briferont',
    'brifes',
    'brifez',
    'briffa',
    'briffai',
    'briffaient',
    'briffais',
    'briffait',
    'briffant',
    'briffas',
    'briffasse',
    'briffassent',
    'briffasses',
    'briffassiez',
    'briffassions',
    'briffe',
    'briffent',
    'briffer',
    'briffera',
    'brifferai',
    'brifferaient',
    'brifferais',
    'brifferait',
    'brifferas',
    'brifferez',
    'brifferiez',
    'brifferions',
    'brifferons',
    'brifferont',
    'briffes',
    'briffez',
    'briffiez',
    'briffions',
    'briffons',
    'briffâmes',
    'briffât',
    'briffâtes',
    'briffèrent',
    'briffé',
    'briffée',
    'briffées',
    'briffés',
    'brifiez',
    'brifions',
    'brifons',
    'brifâmes',
    'brifât',
    'brifâtes',
    'brifèrent',
    'brifé',
    'brifée',
    'brifées',
    'brifés',
    'brigade',
    'brigades',
    'brigadier',
    'brigadiers',
    'brigand',
    'briganda',
    'brigandage',
    'brigandages',
    'brigandai',
    'brigandaient',
    'brigandais',
    'brigandait',
    'brigandant',
    'brigandas',
    'brigandasse',
    'brigandasses',
    'brigande',
    'brigandent',
    'brigander',
    'brigandera',
    'briganderai',
    'briganderais',
    'briganderait',
    'briganderas',
    'briganderez',
    'briganderiez',
    'briganderons',
    'briganderont',
    'brigandes',
    'brigandez',
    'brigandiez',
    'brigandine',
    'brigandines',
    'brigandions',
    'brigandons',
    'brigands',
    'brigandâmes',
    'brigandât',
    'brigandâtes',
    'brigandèrent',
    'brigandé',
    'brigandée',
    'brigandées',
    'brigandés',
    'brigantin',
    'brigantine',
    'brigantines',
    'brigantins',
    'brightisme',
    'brightismes',
    'brigua',
    'briguai',
    'briguaient',
    'briguais',
    'briguait',
    'briguant',
    'briguas',
    'briguasse',
    'briguassent',
    'briguasses',
    'briguassiez',
    'briguassions',
    'brigue',
    'briguent',
    'briguer',
    'briguera',
    'briguerai',
    'brigueraient',
    'briguerais',
    'briguerait',
    'brigueras',
    'briguerez',
    'brigueriez',
    'briguerions',
    'briguerons',
    'brigueront',
    'brigues',
    'briguez',
    'briguiez',
    'briguions',
    'briguons',
    'briguâmes',
    'briguât',
    'briguâtes',
    'briguèrent',
    'brigué',
    'briguée',
    'briguées',
    'brigués',
    'brilla',
    'brillai',
    'brillaient',
    'brillais',
    'brillait',
    'brillamment',
    'brillance',
    'brillances',
    'brillant',
    'brillanta',
    'brillantage',
    'brillantages',
    'brillantai',
    'brillantais',
    'brillantait',
    'brillantant',
    'brillantante',
    'brillantants',
    'brillantas',
    'brillantasse',
    'brillante',
    'brillantent',
    'brillanter',
    'brillantera',
    'brillanterai',
    'brillanteras',
    'brillanterez',
    'brillantes',
    'brillantez',
    'brillantiez',
    'brillantina',
    'brillantinai',
    'brillantinas',
    'brillantine',
    'brillantiner',
    'brillantines',
    'brillantinez',
    'brillantinât',
    'brillantiné',
    'brillantinée',
    'brillantinés',
    'brillantions',
    'brillantons',
    'brillants',
    'brillantâmes',
    'brillantât',
    'brillantâtes',
    'brillanté',
    'brillantée',
    'brillantées',
    'brillantés',
    'brillas',
    'brillasse',
    'brillassent',
    'brillasses',
    'brillassiez',
    'brillassions',
    'brille',
    'brillent',
    'briller',
    'brillera',
    'brillerai',
    'brilleraient',
    'brillerais',
    'brillerait',
    'brilleras',
    'brillerez',
    'brilleriez',
    'brillerions',
    'brillerons',
    'brilleront',
    'brilles',
    'brillez',
    'brilliez',
    'brillions',
    'brillons',
    'brillâmes',
    'brillât',
    'brillâtes',
    'brillèrent',
    'brillé',
    'brima',
    'brimade',
    'brimades',
    'brimai',
    'brimaient',
    'brimais',
    'brimait',
    'brimant',
    'brimas',
    'brimasse',
    'brimassent',
    'brimasses',
    'brimassiez',
    'brimassions',
    'brimbala',
    'brimbalai',
    'brimbalaient',
    'brimbalais',
    'brimbalait',
    'brimbalant',
    'brimbalas',
    'brimbalasse',
    'brimbalasses',
    'brimbale',
    'brimbalement',
    'brimbalent',
    'brimbaler',
    'brimbalera',
    'brimbalerai',
    'brimbalerais',
    'brimbalerait',
    'brimbaleras',
    'brimbalerez',
    'brimbaleriez',
    'brimbalerons',
    'brimbaleront',
    'brimbales',
    'brimbalez',
    'brimbaliez',
    'brimbalions',
    'brimbalons',
    'brimbalâmes',
    'brimbalât',
    'brimbalâtes',
    'brimbalèrent',
    'brimbalé',
    'brimbalée',
    'brimbalées',
    'brimbalés',
    'brimborion',
    'brimborions',
    'brime',
    'briment',
    'brimer',
    'brimera',
    'brimerai',
    'brimeraient',
    'brimerais',
    'brimerait',
    'brimeras',
    'brimerez',
    'brimeriez',
    'brimerions',
    'brimerons',
    'brimeront',
    'brimes',
    'brimez',
    'brimiez',
    'brimions',
    'brimons',
    'brimâmes',
    'brimât',
    'brimâtes',
    'brimèrent',
    'brimé',
    'brimée',
    'brimées',
    'brimés',
    'brin',
    'brindezingue',
    'brindille',
    'brindilles',
    'bringue',
    'bringuebaler',
    'bringueballa',
    'bringueballe',
    'bringueballé',
    'bringues',
    'brinquebala',
    'brinquebalai',
    'brinquebalas',
    'brinquebale',
    'brinquebaler',
    'brinquebales',
    'brinquebalez',
    'brinqueballa',
    'brinqueballe',
    'brinqueballé',
    'brinquebalât',
    'brinquebalé',
    'brinquebalée',
    'brinquebalés',
    'brins',
    'brio',
    'brioche',
    'brioches',
    'brioché',
    'briochée',
    'briochées',
    'briochés',
    'brios',
    'briqua',
    'briquai',
    'briquaient',
    'briquais',
    'briquait',
    'briquant',
    'briquas',
    'briquasse',
    'briquassent',
    'briquasses',
    'briquassiez',
    'briquassions',
    'brique',
    'briquent',
    'briquer',
    'briquera',
    'briquerai',
    'briqueraient',
    'briquerais',
    'briquerait',
    'briqueras',
    'briquerez',
    'briqueriez',
    'briquerions',
    'briquerons',
    'briqueront',
    'briques',
    'briquet',
    'briqueta',
    'briquetage',
    'briquetages',
    'briquetai',
    'briquetaient',
    'briquetais',
    'briquetait',
    'briquetant',
    'briquetas',
    'briquetasse',
    'briquetasses',
    'briqueter',
    'briqueterie',
    'briqueteries',
    'briquetez',
    'briquetier',
    'briquetiers',
    'briquetiez',
    'briquetions',
    'briquetons',
    'briquets',
    'briquette',
    'briquettent',
    'briquettera',
    'briquetterai',
    'briquetteras',
    'briquetterez',
    'briquettes',
    'briquetâmes',
    'briquetât',
    'briquetâtes',
    'briquetèrent',
    'briqueté',
    'briquetée',
    'briquetées',
    'briquetés',
    'briquez',
    'briquiez',
    'briquions',
    'briquons',
    'briquâmes',
    'briquât',
    'briquâtes',
    'briquèrent',
    'briqué',
    'briquée',
    'briquées',
    'briqués',
    'bris',
    'brisa',
    'brisai',
    'brisaient',
    'brisais',
    'brisait',
    'brisant',
    'brisants',
    'brisas',
    'brisasse',
    'brisassent',
    'brisasses',
    'brisassiez',
    'brisassions',
    'briscard',
    'briscards',
    'brise',
    'brisement',
    'brisements',
    'brisent',
    'briser',
    'brisera',
    'briserai',
    'briseraient',
    'briserais',
    'briserait',
    'briseras',
    'briserez',
    'briseriez',
    'briserions',
    'briserons',
    'briseront',
    'brises',
    'briseur',
    'briseurs',
    'briseuse',
    'briseuses',
    'brisez',
    'brisiez',
    'brisions',
    'brisis',
    'briska',
    'briskas',
    'brisons',
    'brisque',
    'brisques',
    'bristol',
    'bristols',
    'brisure',
    'brisures',
    'brisâmes',
    'brisât',
    'brisâtes',
    'brisèrent',
    'brisé',
    'brisée',
    'brisées',
    'brisés',
    'britannique',
    'britanniques',
    'brièvement',
    'brièveté',
    'brièvetés',
    'broc',
    'brocanta',
    'brocantage',
    'brocantages',
    'brocantai',
    'brocantaient',
    'brocantais',
    'brocantait',
    'brocantant',
    'brocantas',
    'brocantasse',
    'brocantasses',
    'brocante',
    'brocantent',
    'brocanter',
    'brocantera',
    'brocanterai',
    'brocanterais',
    'brocanterait',
    'brocanteras',
    'brocanterez',
    'brocanteriez',
    'brocanterons',
    'brocanteront',
    'brocantes',
    'brocanteur',
    'brocanteurs',
    'brocanteuse',
    'brocanteuses',
    'brocantez',
    'brocantiez',
    'brocantions',
    'brocantons',
    'brocantâmes',
    'brocantât',
    'brocantâtes',
    'brocantèrent',
    'brocanté',
    'brocantée',
    'brocantées',
    'brocantés',
    'brocard',
    'brocarda',
    'brocardai',
    'brocardaient',
    'brocardais',
    'brocardait',
    'brocardant',
    'brocardas',
    'brocardasse',
    'brocardasses',
    'brocarde',
    'brocardent',
    'brocarder',
    'brocardera',
    'brocarderai',
    'brocarderais',
    'brocarderait',
    'brocarderas',
    'brocarderez',
    'brocarderiez',
    'brocarderons',
    'brocarderont',
    'brocardes',
    'brocardez',
    'brocardiez',
    'brocardions',
    'brocardons',
    'brocards',
    'brocardâmes',
    'brocardât',
    'brocardâtes',
    'brocardèrent',
    'brocardé',
    'brocardée',
    'brocardées',
    'brocardés',
    'brocatelle',
    'brocatelles',
    'brocha',
    'brochage',
    'brochages',
    'brochai',
    'brochaient',
    'brochais',
    'brochait',
    'brochant',
    'brochante',
    'brochantes',
    'brochants',
    'brochas',
    'brochasse',
    'brochassent',
    'brochasses',
    'brochassiez',
    'brochassions',
    'broche',
    'brochent',
    'brocher',
    'brochera',
    'brocherai',
    'brocheraient',
    'brocherais',
    'brocherait',
    'brocheras',
    'brocherez',
    'brocheriez',
    'brocherions',
    'brocherons',
    'brocheront',
    'broches',
    'brochet',
    'brocheton',
    'brochetons',
    'brochets',
    'brochette',
    'brochettes',
    'brocheur',
    'brocheurs',
    'brocheuse',
    'brocheuses',
    'brochez',
    'brochiez',
    'brochions',
    'brochons',
    'brochure',
    'brochures',
    'brochâmes',
    'brochât',
    'brochâtes',
    'brochèrent',
    'broché',
    'brochée',
    'brochées',
    'brochés',
    'brocoli',
    'brocolis',
    'brocs',
    'broda',
    'brodai',
    'brodaient',
    'brodais',
    'brodait',
    'brodant',
    'brodas',
    'brodasse',
    'brodassent',
    'brodasses',
    'brodassiez',
    'brodassions',
    'brode',
    'brodent',
    'brodequin',
    'brodequins',
    'broder',
    'brodera',
    'broderai',
    'broderaient',
    'broderais',
    'broderait',
    'broderas',
    'broderez',
    'broderie',
    'broderies',
    'broderiez',
    'broderions',
    'broderons',
    'broderont',
    'brodes',
    'brodeur',
    'brodeurs',
    'brodeuse',
    'brodeuses',
    'brodez',
    'brodiez',
    'brodions',
    'brodons',
    'brodâmes',
    'brodât',
    'brodâtes',
    'brodèrent',
    'brodé',
    'brodée',
    'brodées',
    'brodés',
    'broie',
    'broiement',
    'broiements',
    'broient',
    'broiera',
    'broierai',
    'broieraient',
    'broierais',
    'broierait',
    'broieras',
    'broierez',
    'broieriez',
    'broierions',
    'broierons',
    'broieront',
    'broies',
    'bromate',
    'bromates',
    'brome',
    'bromes',
    'bromhydrique',
    'bromique',
    'bromiques',
    'bromisme',
    'bromismes',
    'bromure',
    'bromures',
    'broncha',
    'bronchai',
    'bronchaient',
    'bronchais',
    'bronchait',
    'bronchant',
    'bronchas',
    'bronchasse',
    'bronchassent',
    'bronchasses',
    'bronchassiez',
    'bronche',
    'bronchent',
    'broncher',
    'bronchera',
    'broncherai',
    'broncherais',
    'broncherait',
    'broncheras',
    'broncherez',
    'broncheriez',
    'broncherions',
    'broncherons',
    'broncheront',
    'bronches',
    'bronchez',
    'bronchiez',
    'bronchiole',
    'bronchioles',
    'bronchions',
    'bronchique',
    'bronchiques',
    'bronchite',
    'bronchites',
    'bronchiteuse',
    'bronchiteux',
    'bronchitique',
    'broncho',
    'bronchons',
    'bronchâmes',
    'bronchât',
    'bronchâtes',
    'bronchèrent',
    'bronché',
    'brontosaure',
    'brontosaures',
    'bronza',
    'bronzage',
    'bronzages',
    'bronzai',
    'bronzaient',
    'bronzais',
    'bronzait',
    'bronzant',
    'bronzante',
    'bronzantes',
    'bronzants',
    'bronzas',
    'bronzasse',
    'bronzassent',
    'bronzasses',
    'bronzassiez',
    'bronzassions',
    'bronze',
    'bronzent',
    'bronzer',
    'bronzera',
    'bronzerai',
    'bronzeraient',
    'bronzerais',
    'bronzerait',
    'bronzeras',
    'bronzerez',
    'bronzeriez',
    'bronzerions',
    'bronzerons',
    'bronzeront',
    'bronzes',
    'bronzeur',
    'bronzeurs',
    'bronzez',
    'bronzier',
    'bronziers',
    'bronziez',
    'bronzions',
    'bronzons',
    'bronzâmes',
    'bronzât',
    'bronzâtes',
    'bronzèrent',
    'bronzé',
    'bronzée',
    'bronzées',
    'bronzés',
    'brook',
    'brooks',
    'broquette',
    'broquettes',
    'brossa',
    'brossage',
    'brossages',
    'brossai',
    'brossaient',
    'brossais',
    'brossait',
    'brossant',
    'brossas',
    'brossasse',
    'brossassent',
    'brossasses',
    'brossassiez',
    'brossassions',
    'brosse',
    'brossent',
    'brosser',
    'brossera',
    'brosserai',
    'brosseraient',
    'brosserais',
    'brosserait',
    'brosseras',
    'brosserez',
    'brosserie',
    'brosseries',
    'brosseriez',
    'brosserions',
    'brosserons',
    'brosseront',
    'brosses',
    'brossez',
    'brossier',
    'brossiers',
    'brossiez',
    'brossions',
    'brossière',
    'brossières',
    'brossons',
    'brossâmes',
    'brossât',
    'brossâtes',
    'brossèrent',
    'brossé',
    'brossée',
    'brossées',
    'brossés',
    'brou',
    'brouet',
    'brouets',
    'brouetta',
    'brouettai',
    'brouettaient',
    'brouettais',
    'brouettait',
    'brouettant',
    'brouettas',
    'brouettasse',
    'brouettasses',
    'brouette',
    'brouettent',
    'brouetter',
    'brouettera',
    'brouetterai',
    'brouetterais',
    'brouetterait',
    'brouetteras',
    'brouetterez',
    'brouetteriez',
    'brouetterons',
    'brouetteront',
    'brouettes',
    'brouettez',
    'brouettiez',
    'brouettions',
    'brouettons',
    'brouettâmes',
    'brouettât',
    'brouettâtes',
    'brouettèrent',
    'brouetté',
    'brouettée',
    'brouettées',
    'brouettés',
    'brouhaha',
    'brouhahas',
    'brouilla',
    'brouillage',
    'brouillages',
    'brouillai',
    'brouillaient',
    'brouillais',
    'brouillait',
    'brouillamini',
    'brouillant',
    'brouillard',
    'brouillards',
    'brouillas',
    'brouillassa',
    'brouillasse',
    'brouillasser',
    'brouillasses',
    'brouillassât',
    'brouillassé',
    'brouille',
    'brouillent',
    'brouiller',
    'brouillera',
    'brouillerai',
    'brouillerais',
    'brouillerait',
    'brouilleras',
    'brouillerez',
    'brouillerie',
    'brouilleries',
    'brouilleriez',
    'brouillerons',
    'brouilleront',
    'brouilles',
    'brouilleur',
    'brouilleurs',
    'brouillez',
    'brouilliez',
    'brouillions',
    'brouillon',
    'brouillonna',
    'brouillonnai',
    'brouillonnas',
    'brouillonne',
    'brouillonner',
    'brouillonnes',
    'brouillonnez',
    'brouillonnât',
    'brouillonné',
    'brouillonnée',
    'brouillonnés',
    'brouillons',
    'brouillâmes',
    'brouillât',
    'brouillâtes',
    'brouillèrent',
    'brouillé',
    'brouillée',
    'brouillées',
    'brouillés',
    'broum',
    'brous',
    'broussaille',
    'broussailles',
    'broussard',
    'broussards',
    'brousse',
    'brousses',
    'broussin',
    'broussins',
    'brout',
    'brouta',
    'broutai',
    'broutaient',
    'broutais',
    'broutait',
    'broutant',
    'broutard',
    'broutards',
    'broutas',
    'broutasse',
    'broutassent',
    'broutasses',
    'broutassiez',
    'broutassions',
    'broute',
    'broutement',
    'broutements',
    'broutent',
    'brouter',
    'broutera',
    'brouterai',
    'brouteraient',
    'brouterais',
    'brouterait',
    'brouteras',
    'brouterez',
    'brouteriez',
    'brouterions',
    'brouterons',
    'brouteront',
    'broutes',
    'broutez',
    'broutiez',
    'broutille',
    'broutilles',
    'broutions',
    'broutons',
    'brouts',
    'broutâmes',
    'broutât',
    'broutâtes',
    'broutèrent',
    'brouté',
    'broutée',
    'broutées',
    'broutés',
    'browning',
    'brownings',
    'broya',
    'broyage',
    'broyages',
    'broyai',
    'broyaient',
    'broyais',
    'broyait',
    'broyant',
    'broyas',
    'broyasse',
    'broyassent',
    'broyasses',
    'broyassiez',
    'broyassions',
    'broyer',
    'broyeur',
    'broyeurs',
    'broyeuse',
    'broyeuses',
    'broyez',
    'broyiez',
    'broyions',
    'broyons',
    'broyâmes',
    'broyât',
    'broyâtes',
    'broyèrent',
    'broyé',
    'broyée',
    'broyées',
    'broyés',
    'brrr',
    'bruant',
    'bruants',
    'brucelles',
    'brucellose',
    'brucelloses',
    'bruche',
    'bruches',
    'brucine',
    'brucines',
    'brugnon',
    'brugnonier',
    'brugnoniers',
    'brugnons',
    'brui',
    'bruie',
    'bruies',
    'bruina',
    'bruinait',
    'bruinant',
    'bruine',
    'bruiner',
    'bruinera',
    'bruinerait',
    'bruines',
    'bruineuse',
    'bruineuses',
    'bruineux',
    'bruinât',
    'bruinèrent',
    'bruiné',
    'bruir',
    'bruira',
    'bruirai',
    'bruiraient',
    'bruirais',
    'bruirait',
    'bruiras',
    'bruire',
    'bruirent',
    'bruirez',
    'bruiriez',
    'bruirions',
    'bruirons',
    'bruiront',
    'bruis',
    'bruissage',
    'bruissages',
    'bruissaient',
    'bruissais',
    'bruissait',
    'bruissant',
    'bruisse',
    'bruissement',
    'bruissements',
    'bruissent',
    'bruisses',
    'bruissez',
    'bruissiez',
    'bruissions',
    'bruissons',
    'bruit',
    'bruita',
    'bruitage',
    'bruitages',
    'bruitai',
    'bruitaient',
    'bruitais',
    'bruitait',
    'bruitant',
    'bruitas',
    'bruitasse',
    'bruitassent',
    'bruitasses',
    'bruitassiez',
    'bruitassions',
    'bruite',
    'bruitent',
    'bruiter',
    'bruitera',
    'bruiterai',
    'bruiteraient',
    'bruiterais',
    'bruiterait',
    'bruiteras',
    'bruiterez',
    'bruiteriez',
    'bruiterions',
    'bruiterons',
    'bruiteront',
    'bruites',
    'bruiteur',
    'bruiteurs',
    'bruiteuse',
    'bruiteuses',
    'bruitez',
    'bruitiez',
    'bruitions',
    'bruitons',
    'bruits',
    'bruitâmes',
    'bruitât',
    'bruitâtes',
    'bruitèrent',
    'bruité',
    'bruma',
    'brumaire',
    'brumait',
    'brumassa',
    'brumassait',
    'brumasse',
    'brumasser',
    'brumassera',
    'brumasserait',
    'brumassât',
    'brumassé',
    'brume',
    'brumer',
    'brumera',
    'brumerait',
    'brumes',
    'brumeuse',
    'brumeuses',
    'brumeux',
    'brumisateur',
    'brumisateurs',
    'brumât',
    'brumé',
    'brun',
    'brunante',
    'brunantes',
    'brunch',
    'brunchs',
    'brune',
    'brunes',
    'brunet',
    'brunets',
    'brunette',
    'brunettes',
    'bruni',
    'brunie',
    'brunies',
    'brunir',
    'brunira',
    'brunirai',
    'bruniraient',
    'brunirais',
    'brunirait',
    'bruniras',
    'brunirent',
    'brunirez',
    'bruniriez',
    'brunirions',
    'brunirons',
    'bruniront',
    'brunis',
    'brunissage',
    'brunissages',
    'brunissaient',
    'brunissais',
    'brunissait',
    'brunissant',
    'brunissante',
    'brunissantes',
    'brunissants',
    'brunisse',
    'brunissement',
    'brunissent',
    'brunisses',
    'brunisseur',
    'brunisseurs',
    'brunisseuse',
    'brunisseuses',
    'brunissez',
    'brunissiez',
    'brunissions',
    'brunissoir',
    'brunissoirs',
    'brunissons',
    'brunissure',
    'brunissures',
    'brunit',
    'bruns',
    'brunâtre',
    'brunâtres',
    'brunîmes',
    'brunît',
    'brunîtes',
    'brus',
    'brushing',
    'brushings',
    'brusqua',
    'brusquai',
    'brusquaient',
    'brusquais',
    'brusquait',
    'brusquant',
    'brusquas',
    'brusquasse',
    'brusquassent',
    'brusquasses',
    'brusquassiez',
    'brusque',
    'brusquement',
    'brusquent',
    'brusquer',
    'brusquera',
    'brusquerai',
    'brusquerais',
    'brusquerait',
    'brusqueras',
    'brusquerez',
    'brusquerie',
    'brusqueries',
    'brusqueriez',
    'brusquerions',
    'brusquerons',
    'brusqueront',
    'brusques',
    'brusquez',
    'brusquiez',
    'brusquions',
    'brusquons',
    'brusquâmes',
    'brusquât',
    'brusquâtes',
    'brusquèrent',
    'brusqué',
    'brusquée',
    'brusquées',
    'brusqués',
    'brut',
    'brutal',
    'brutale',
    'brutalement',
    'brutales',
    'brutalisa',
    'brutalisai',
    'brutalisais',
    'brutalisait',
    'brutalisant',
    'brutalisas',
    'brutalisasse',
    'brutalise',
    'brutalisent',
    'brutaliser',
    'brutalisera',
    'brutaliserai',
    'brutaliseras',
    'brutaliserez',
    'brutalises',
    'brutalisez',
    'brutalisiez',
    'brutalisions',
    'brutalisons',
    'brutalisâmes',
    'brutalisât',
    'brutalisâtes',
    'brutalisé',
    'brutalisée',
    'brutalisées',
    'brutalisés',
    'brutalité',
    'brutalités',
    'brutaux',
    'brute',
    'brutes',
    'bruts',
    'bruyamment',
    'bruyant',
    'bruyante',
    'bruyantes',
    'bruyants',
    'bruyère',
    'bruyères',
    'bruîmes',
    'bruît',
    'bruîtes',
    'bryologie',
    'bryologies',
    'bryone',
    'bryones',
    'brèche',
    'brèches',
    'brèle',
    'brèlent',
    'brèles',
    'brème',
    'brèmes',
    'brève',
    'brèves',
    'bréchet',
    'bréchets',
    'bréla',
    'brélai',
    'brélaient',
    'brélais',
    'brélait',
    'brélant',
    'brélas',
    'brélasse',
    'brélassent',
    'brélasses',
    'brélassiez',
    'brélassions',
    'bréler',
    'brélera',
    'brélerai',
    'bréleraient',
    'brélerais',
    'brélerait',
    'bréleras',
    'brélerez',
    'bréleriez',
    'brélerions',
    'brélerons',
    'bréleront',
    'brélez',
    'bréliez',
    'brélions',
    'brélons',
    'brélâmes',
    'brélât',
    'brélâtes',
    'brélèrent',
    'brélé',
    'brélée',
    'brélées',
    'brélés',
    'brésil',
    'brésilien',
    'brésilienne',
    'brésiliennes',
    'brésiliens',
    'brésilla',
    'brésillai',
    'brésillaient',
    'brésillais',
    'brésillait',
    'brésillant',
    'brésillas',
    'brésillasse',
    'brésillasses',
    'brésille',
    'brésillent',
    'brésiller',
    'brésillera',
    'brésillerai',
    'brésillerais',
    'brésillerait',
    'brésilleras',
    'brésillerez',
    'brésilleriez',
    'brésillerons',
    'brésilleront',
    'brésilles',
    'brésillez',
    'brésilliez',
    'brésillions',
    'brésillons',
    'brésillâmes',
    'brésillât',
    'brésillâtes',
    'brésillèrent',
    'brésillé',
    'brésillée',
    'brésillées',
    'brésillés',
    'bréviaire',
    'bréviaires',
    'bréviligne',
    'brévilignes',
    'brévité',
    'brévités',
    'brêla',
    'brêlai',
    'brêlaient',
    'brêlais',
    'brêlait',
    'brêlant',
    'brêlas',
    'brêlasse',
    'brêlassent',
    'brêlasses',
    'brêlassiez',
    'brêlassions',
    'brêle',
    'brêlent',
    'brêler',
    'brêlera',
    'brêlerai',
    'brêleraient',
    'brêlerais',
    'brêlerait',
    'brêleras',
    'brêlerez',
    'brêleriez',
    'brêlerions',
    'brêlerons',
    'brêleront',
    'brêles',
    'brêlez',
    'brêliez',
    'brêlions',
    'brêlons',
    'brêlâmes',
    'brêlât',
    'brêlâtes',
    'brêlèrent',
    'brêlé',
    'brêlée',
    'brêlées',
    'brêlés',
    'brûla',
    'brûlage',
    'brûlages',
    'brûlai',
    'brûlaient',
    'brûlais',
    'brûlait',
    'brûlant',
    'brûlante',
    'brûlantes',
    'brûlants',
    'brûlas',
    'brûlasse',
    'brûlassent',
    'brûlasses',
    'brûlassiez',
    'brûlassions',
    'brûle',
    'brûlent',
    'brûler',
    'brûlera',
    'brûlerai',
    'brûleraient',
    'brûlerais',
    'brûlerait',
    'brûleras',
    'brûlerez',
    'brûlerie',
    'brûleries',
    'brûleriez',
    'brûlerions',
    'brûlerons',
    'brûleront',
    'brûles',
    'brûleur',
    'brûleurs',
    'brûlez',
    'brûliez',
    'brûlions',
    'brûlis',
    'brûloir',
    'brûloirs',
    'brûlons',
    'brûlot',
    'brûlots',
    'brûlure',
    'brûlures',
    'brûlâmes',
    'brûlât',
    'brûlâtes',
    'brûlèrent',
    'brûlé',
    'brûlée',
    'brûlées',
    'brûlés',
    'buanderie',
    'buanderies',
    'buandier',
    'buandiers',
    'buandière',
    'buandières',
    'bubale',
    'bubales',
    'bubon',
    'bubonique',
    'buboniques',
    'bubons',
    'buccal',
    'buccale',
    'buccales',
    'buccaux',
    'buccin',
    'buccinateur',
    'buccinateurs',
    'buccins',
    'bucolique',
    'bucoliques',
    'bucrane',
    'bucranes',
    'budget',
    'budgets',
    'budgétaire',
    'budgétaires',
    'budgéter',
    'budgétisa',
    'budgétisai',
    'budgétisais',
    'budgétisait',
    'budgétisant',
    'budgétisas',
    'budgétisasse',
    'budgétise',
    'budgétisent',
    'budgétiser',
    'budgétisera',
    'budgétiserai',
    'budgétiseras',
    'budgétiserez',
    'budgétises',
    'budgétisez',
    'budgétisiez',
    'budgétisions',
    'budgétisons',
    'budgétisâmes',
    'budgétisât',
    'budgétisâtes',
    'budgétisé',
    'budgétisée',
    'budgétisées',
    'budgétisés',
    'budgétivore',
    'budgétivores',
    'bues',
    'buffet',
    'buffetier',
    'buffetiers',
    'buffetière',
    'buffetières',
    'buffets',
    'buffle',
    'buffler',
    'buffles',
    'buffleterie',
    'buffleteries',
    'buggy',
    'buggys',
    'bugle',
    'bugles',
    'buglosse',
    'buglosses',
    'bugrane',
    'bugranes',
    'building',
    'buildings',
    'buire',
    'buires',
    'buis',
    'buisson',
    'buissonneuse',
    'buissonneux',
    'buissonnier',
    'buissonniers',
    'buissonnière',
    'buissons',
    'bulbaire',
    'bulbaires',
    'bulbe',
    'bulbes',
    'bulbeuse',
    'bulbeuses',
    'bulbeux',
    'bulbille',
    'bulbilles',
    'bulgare',
    'bulgares',
    'bullaire',
    'bullaires',
    'bulldozer',
    'bulldozers',
    'bulle',
    'bulles',
    'bulletin',
    'bulletins',
    'bulleuse',
    'bulleuses',
    'bulleux',
    'buna',
    'bungalow',
    'bungalows',
    'bunker',
    'bunkers',
    'bupreste',
    'buprestes',
    'buraliste',
    'buralistes',
    'bure',
    'bureau',
    'bureaucrate',
    'bureaucrates',
    'bureaucratie',
    'bureautique',
    'bureautiques',
    'bureaux',
    'burelle',
    'burelles',
    'burelé',
    'burelée',
    'burelées',
    'burelés',
    'burent',
    'bures',
    'burette',
    'burettes',
    'burgau',
    'burgaus',
    'burin',
    'burina',
    'burinage',
    'burinages',
    'burinai',
    'burinaient',
    'burinais',
    'burinait',
    'burinant',
    'burinas',
    'burinasse',
    'burinassent',
    'burinasses',
    'burinassiez',
    'burinassions',
    'burine',
    'burinent',
    'buriner',
    'burinera',
    'burinerai',
    'burineraient',
    'burinerais',
    'burinerait',
    'burineras',
    'burinerez',
    'burineriez',
    'burinerions',
    'burinerons',
    'burineront',
    'burines',
    'burineur',
    'burineurs',
    'burinez',
    'buriniez',
    'burinions',
    'burinons',
    'burins',
    'burinâmes',
    'burinât',
    'burinâtes',
    'burinèrent',
    'buriné',
    'burinée',
    'burinées',
    'burinés',
    'burlesque',
    'burlesques',
    'burlingue',
    'burlingues',
    'burnous',
    'buron',
    'burons',
    'busard',
    'busards',
    'busc',
    'buscs',
    'buse',
    'buses',
    'bush',
    'bushes',
    'business',
    'businessman',
    'businessmen',
    'busquer',
    'busqué',
    'busquée',
    'busquées',
    'busqués',
    'busse',
    'bussent',
    'busserole',
    'busseroles',
    'busses',
    'bussiez',
    'bussions',
    'buste',
    'bustes',
    'bustier',
    'bustiers',
    'buta',
    'butadiène',
    'butadiènes',
    'butai',
    'butaient',
    'butais',
    'butait',
    'butane',
    'butanier',
    'butaniers',
    'butant',
    'butas',
    'butasse',
    'butassent',
    'butasses',
    'butassiez',
    'butassions',
    'bute',
    'butent',
    'buter',
    'butera',
    'buterai',
    'buteraient',
    'buterais',
    'buterait',
    'buteras',
    'buterez',
    'buteriez',
    'buterions',
    'buterons',
    'buteront',
    'butes',
    'buteur',
    'buteurs',
    'butez',
    'butiez',
    'butin',
    'butina',
    'butinai',
    'butinaient',
    'butinais',
    'butinait',
    'butinant',
    'butinas',
    'butinasse',
    'butinassent',
    'butinasses',
    'butinassiez',
    'butinassions',
    'butine',
    'butinent',
    'butiner',
    'butinera',
    'butinerai',
    'butineraient',
    'butinerais',
    'butinerait',
    'butineras',
    'butinerez',
    'butineriez',
    'butinerions',
    'butinerons',
    'butineront',
    'butines',
    'butineur',
    'butineurs',
    'butineuse',
    'butineuses',
    'butinez',
    'butiniez',
    'butinions',
    'butinons',
    'butins',
    'butinâmes',
    'butinât',
    'butinâtes',
    'butinèrent',
    'butiné',
    'butinée',
    'butinées',
    'butinés',
    'butions',
    'butoir',
    'butoirs',
    'butome',
    'butomes',
    'butons',
    'butor',
    'butors',
    'buts',
    'butta',
    'buttage',
    'buttages',
    'buttai',
    'buttaient',
    'buttais',
    'buttait',
    'buttant',
    'buttas',
    'buttasse',
    'buttassent',
    'buttasses',
    'buttassiez',
    'buttassions',
    'butte',
    'buttent',
    'butter',
    'buttera',
    'butterai',
    'butteraient',
    'butterais',
    'butterait',
    'butteras',
    'butterez',
    'butteriez',
    'butterions',
    'butterons',
    'butteront',
    'buttes',
    'buttez',
    'buttiez',
    'buttions',
    'buttoir',
    'buttoirs',
    'buttons',
    'buttâmes',
    'buttât',
    'buttâtes',
    'buttèrent',
    'butté',
    'buttée',
    'buttées',
    'buttés',
    'butylique',
    'butyliques',
    'butylène',
    'butylènes',
    'butyrate',
    'butyrates',
    'butyreuse',
    'butyreuses',
    'butyreux',
    'butyrine',
    'butyrines',
    'butyrique',
    'butyriques',
    'butyromètre',
    'butyromètres',
    'butâmes',
    'butât',
    'butâtes',
    'butèrent',
    'buté',
    'butée',
    'butées',
    'butés',
    'buvable',
    'buvables',
    'buvaient',
    'buvais',
    'buvait',
    'buvant',
    'buvard',
    'buvards',
    'buvetier',
    'buvetiers',
    'buvetière',
    'buvetières',
    'buvette',
    'buvettes',
    'buveur',
    'buveurs',
    'buveuse',
    'buveuses',
    'buvez',
    'buviez',
    'buvions',
    'buvons',
    'buvota',
    'buvotai',
    'buvotaient',
    'buvotais',
    'buvotait',
    'buvotant',
    'buvotas',
    'buvotasse',
    'buvotassent',
    'buvotasses',
    'buvotassiez',
    'buvotassions',
    'buvote',
    'buvotent',
    'buvoter',
    'buvotera',
    'buvoterai',
    'buvoteraient',
    'buvoterais',
    'buvoterait',
    'buvoteras',
    'buvoterez',
    'buvoteriez',
    'buvoterions',
    'buvoterons',
    'buvoteront',
    'buvotes',
    'buvotez',
    'buvotiez',
    'buvotions',
    'buvotons',
    'buvotâmes',
    'buvotât',
    'buvotâtes',
    'buvotèrent',
    'buvoté',
    'buvée',
    'buvées',
    'buée',
    'buées',
    'byssinose',
    'byssinoses',
    'byssus',
    'byzantin',
    'byzantine',
    'byzantines',
    'byzantinisme',
    'byzantiniste',
    'byzantins',
    'bâbord',
    'bâbordais',
    'bâcha',
    'bâchage',
    'bâchages',
    'bâchai',
    'bâchaient',
    'bâchais',
    'bâchait',
    'bâchant',
    'bâchas',
    'bâchasse',
    'bâchassent',
    'bâchasses',
    'bâchassiez',
    'bâchassions',
    'bâche',
    'bâchent',
    'bâcher',
    'bâchera',
    'bâcherai',
    'bâcheraient',
    'bâcherais',
    'bâcherait',
    'bâcheras',
    'bâcherez',
    'bâcheriez',
    'bâcherions',
    'bâcherons',
    'bâcheront',
    'bâches',
    'bâchez',
    'bâchiez',
    'bâchions',
    'bâchons',
    'bâchâmes',
    'bâchât',
    'bâchâtes',
    'bâchèrent',
    'bâché',
    'bâchée',
    'bâchées',
    'bâchés',
    'bâcla',
    'bâclage',
    'bâclages',
    'bâclai',
    'bâclaient',
    'bâclais',
    'bâclait',
    'bâclant',
    'bâclas',
    'bâclasse',
    'bâclassent',
    'bâclasses',
    'bâclassiez',
    'bâclassions',
    'bâcle',
    'bâclent',
    'bâcler',
    'bâclera',
    'bâclerai',
    'bâcleraient',
    'bâclerais',
    'bâclerait',
    'bâcleras',
    'bâclerez',
    'bâcleriez',
    'bâclerions',
    'bâclerons',
    'bâcleront',
    'bâcles',
    'bâclez',
    'bâcliez',
    'bâclions',
    'bâclons',
    'bâclâmes',
    'bâclât',
    'bâclâtes',
    'bâclèrent',
    'bâclé',
    'bâclée',
    'bâclées',
    'bâclés',
    'bâfra',
    'bâfrai',
    'bâfraient',
    'bâfrais',
    'bâfrait',
    'bâfrant',
    'bâfras',
    'bâfrasse',
    'bâfrassent',
    'bâfrasses',
    'bâfrassiez',
    'bâfrassions',
    'bâfre',
    'bâfrent',
    'bâfrer',
    'bâfrera',
    'bâfrerai',
    'bâfreraient',
    'bâfrerais',
    'bâfrerait',
    'bâfreras',
    'bâfrerez',
    'bâfreriez',
    'bâfrerions',
    'bâfrerons',
    'bâfreront',
    'bâfres',
    'bâfreur',
    'bâfreurs',
    'bâfreuse',
    'bâfreuses',
    'bâfrez',
    'bâfriez',
    'bâfrions',
    'bâfrons',
    'bâfrâmes',
    'bâfrât',
    'bâfrâtes',
    'bâfrèrent',
    'bâfré',
    'bâfrée',
    'bâfrées',
    'bâfrés',
    'bâilla',
    'bâillai',
    'bâillaient',
    'bâillais',
    'bâillait',
    'bâillant',
    'bâillas',
    'bâillasse',
    'bâillassent',
    'bâillasses',
    'bâillassiez',
    'bâillassions',
    'bâille',
    'bâillement',
    'bâillements',
    'bâillent',
    'bâiller',
    'bâillera',
    'bâillerai',
    'bâilleraient',
    'bâillerais',
    'bâillerait',
    'bâilleras',
    'bâillerez',
    'bâilleriez',
    'bâillerions',
    'bâillerons',
    'bâilleront',
    'bâilles',
    'bâillez',
    'bâilliez',
    'bâillions',
    'bâillon',
    'bâillonna',
    'bâillonnai',
    'bâillonnais',
    'bâillonnait',
    'bâillonnant',
    'bâillonnas',
    'bâillonnasse',
    'bâillonne',
    'bâillonnent',
    'bâillonner',
    'bâillonnera',
    'bâillonnerai',
    'bâillonneras',
    'bâillonnerez',
    'bâillonnes',
    'bâillonnez',
    'bâillonniez',
    'bâillonnions',
    'bâillonnons',
    'bâillonnâmes',
    'bâillonnât',
    'bâillonnâtes',
    'bâillonné',
    'bâillonnée',
    'bâillonnées',
    'bâillonnés',
    'bâillons',
    'bâillâmes',
    'bâillât',
    'bâillâtes',
    'bâillèrent',
    'bâillé',
    'bâta',
    'bâtai',
    'bâtaient',
    'bâtais',
    'bâtait',
    'bâtant',
    'bâtard',
    'bâtarde',
    'bâtardes',
    'bâtardise',
    'bâtardises',
    'bâtards',
    'bâtas',
    'bâtasse',
    'bâtassent',
    'bâtasses',
    'bâtassiez',
    'bâtassions',
    'bâte',
    'bâtent',
    'bâter',
    'bâtera',
    'bâterai',
    'bâteraient',
    'bâterais',
    'bâterait',
    'bâteras',
    'bâterez',
    'bâteriez',
    'bâterions',
    'bâterons',
    'bâteront',
    'bâtes',
    'bâtez',
    'bâti',
    'bâtie',
    'bâties',
    'bâtiez',
    'bâtiment',
    'bâtiments',
    'bâtions',
    'bâtir',
    'bâtira',
    'bâtirai',
    'bâtiraient',
    'bâtirais',
    'bâtirait',
    'bâtiras',
    'bâtirent',
    'bâtirez',
    'bâtiriez',
    'bâtirions',
    'bâtirons',
    'bâtiront',
    'bâtis',
    'bâtissaient',
    'bâtissais',
    'bâtissait',
    'bâtissant',
    'bâtisse',
    'bâtissent',
    'bâtisses',
    'bâtisseur',
    'bâtisseurs',
    'bâtisseuse',
    'bâtisseuses',
    'bâtissez',
    'bâtissiez',
    'bâtissions',
    'bâtissons',
    'bâtit',
    'bâton',
    'bâtonna',
    'bâtonnai',
    'bâtonnaient',
    'bâtonnais',
    'bâtonnait',
    'bâtonnant',
    'bâtonnas',
    'bâtonnasse',
    'bâtonnassent',
    'bâtonnasses',
    'bâtonnassiez',
    'bâtonnat',
    'bâtonnats',
    'bâtonne',
    'bâtonnent',
    'bâtonner',
    'bâtonnera',
    'bâtonnerai',
    'bâtonnerais',
    'bâtonnerait',
    'bâtonneras',
    'bâtonnerez',
    'bâtonneriez',
    'bâtonnerions',
    'bâtonnerons',
    'bâtonneront',
    'bâtonnes',
    'bâtonnet',
    'bâtonnets',
    'bâtonnez',
    'bâtonnier',
    'bâtonniers',
    'bâtonniez',
    'bâtonnions',
    'bâtonnons',
    'bâtonnâmes',
    'bâtonnât',
    'bâtonnâtes',
    'bâtonnèrent',
    'bâtonné',
    'bâtonnée',
    'bâtonnées',
    'bâtonnés',
    'bâtons',
    'bâtâmes',
    'bâtât',
    'bâtâtes',
    'bâtèrent',
    'bâté',
    'bâtée',
    'bâtées',
    'bâtés',
    'bâtîmes',
    'bâtît',
    'bâtîtes',
    'bègue',
    'bègues',
    'bèque',
    'bèquent',
    'bèques',
    'béai',
    'béaient',
    'béais',
    'béait',
    'béance',
    'béances',
    'béant',
    'béante',
    'béantes',
    'béants',
    'béarnais',
    'béarnaise',
    'béarnaises',
    'béas',
    'béasse',
    'béassent',
    'béasses',
    'béassiez',
    'béassions',
    'béat',
    'béate',
    'béatement',
    'béates',
    'béatifia',
    'béatifiai',
    'béatifiaient',
    'béatifiais',
    'béatifiait',
    'béatifiant',
    'béatifiante',
    'béatifiantes',
    'béatifiants',
    'béatifias',
    'béatifiasse',
    'béatifiasses',
    'béatifie',
    'béatifient',
    'béatifier',
    'béatifiera',
    'béatifierai',
    'béatifierais',
    'béatifierait',
    'béatifieras',
    'béatifierez',
    'béatifieriez',
    'béatifierons',
    'béatifieront',
    'béatifies',
    'béatifiez',
    'béatifiiez',
    'béatifiions',
    'béatifions',
    'béatifique',
    'béatifiques',
    'béatifiâmes',
    'béatifiât',
    'béatifiâtes',
    'béatifièrent',
    'béatifié',
    'béatifiée',
    'béatifiées',
    'béatifiés',
    'béatitude',
    'béatitudes',
    'béats',
    'bébé',
    'bébés',
    'bécane',
    'bécanes',
    'bécarre',
    'bécarres',
    'bécasse',
    'bécasseau',
    'bécasseaux',
    'bécasses',
    'bécassine',
    'bécassines',
    'béchamel',
    'béchamels',
    'béchique',
    'béchiques',
    'bécot',
    'bécota',
    'bécotai',
    'bécotaient',
    'bécotais',
    'bécotait',
    'bécotant',
    'bécotas',
    'bécotasse',
    'bécotassent',
    'bécotasses',
    'bécotassiez',
    'bécotassions',
    'bécote',
    'bécotent',
    'bécoter',
    'bécotera',
    'bécoterai',
    'bécoteraient',
    'bécoterais',
    'bécoterait',
    'bécoteras',
    'bécoterez',
    'bécoteriez',
    'bécoterions',
    'bécoterons',
    'bécoteront',
    'bécotes',
    'bécotez',
    'bécotiez',
    'bécotions',
    'bécotons',
    'bécots',
    'bécotâmes',
    'bécotât',
    'bécotâtes',
    'bécotèrent',
    'bécoté',
    'bécotée',
    'bécotées',
    'bécotés',
    'bédane',
    'bédanes',
    'bédouin',
    'bédouine',
    'bédouines',
    'bédouins',
    'bédégar',
    'bédégars',
    'béent',
    'béer',
    'béera',
    'béerai',
    'béeraient',
    'béerais',
    'béerait',
    'béeras',
    'béerez',
    'béeriez',
    'béerions',
    'béerons',
    'béeront',
    'bées',
    'béez',
    'bégaie',
    'bégaiement',
    'bégaiements',
    'bégaient',
    'bégaiera',
    'bégaierai',
    'bégaieraient',
    'bégaierais',
    'bégaierait',
    'bégaieras',
    'bégaierez',
    'bégaieriez',
    'bégaierions',
    'bégaierons',
    'bégaieront',
    'bégaies',
    'bégaya',
    'bégayai',
    'bégayaient',
    'bégayais',
    'bégayait',
    'bégayant',
    'bégayas',
    'bégayasse',
    'bégayassent',
    'bégayasses',
    'bégayassiez',
    'bégayassions',
    'bégaye',
    'bégayent',
    'bégayer',
    'bégayera',
    'bégayerai',
    'bégayeraient',
    'bégayerais',
    'bégayerait',
    'bégayeras',
    'bégayerez',
    'bégayeriez',
    'bégayerions',
    'bégayerons',
    'bégayeront',
    'bégayes',
    'bégayeur',
    'bégayeurs',
    'bégayeuse',
    'bégayeuses',
    'bégayez',
    'bégayiez',
    'bégayions',
    'bégayons',
    'bégayâmes',
    'bégayât',
    'bégayâtes',
    'bégayèrent',
    'bégayé',
    'bégayée',
    'bégayées',
    'bégayés',
    'bégonia',
    'bégonias',
    'bégu',
    'bégueta',
    'béguetai',
    'béguetaient',
    'béguetais',
    'béguetait',
    'béguetant',
    'béguetas',
    'béguetasse',
    'béguetassent',
    'béguetasses',
    'béguetassiez',
    'bégueter',
    'béguetez',
    'béguetiez',
    'béguetions',
    'béguetons',
    'béguetâmes',
    'béguetât',
    'béguetâtes',
    'béguetèrent',
    'bégueté',
    'bégueule',
    'bégueulerie',
    'bégueuleries',
    'bégueules',
    'béguin',
    'béguinage',
    'béguinages',
    'béguine',
    'béguines',
    'béguins',
    'bégum',
    'bégums',
    'béguète',
    'béguètement',
    'béguètements',
    'béguètent',
    'béguètera',
    'béguèterai',
    'béguèterais',
    'béguèterait',
    'béguèteras',
    'béguèterez',
    'béguèteriez',
    'béguèterions',
    'béguèterons',
    'béguèteront',
    'béguètes',
    'béguë',
    'béhaviorisme',
    'béhavioriste',
    'béiez',
    'béions',
    'béjaune',
    'béjaunes',
    'béké',
    'békés',
    'bélandre',
    'bélandres',
    'bélemnite',
    'bélemnites',
    'bélier',
    'béliers',
    'bélinographe',
    'bélière',
    'bélières',
    'bélouga',
    'bélougas',
    'béluga',
    'bélugas',
    'bélître',
    'bélîtres',
    'bémol',
    'bémolisa',
    'bémolisai',
    'bémolisaient',
    'bémolisais',
    'bémolisait',
    'bémolisant',
    'bémolisas',
    'bémolisasse',
    'bémolisasses',
    'bémolise',
    'bémolisent',
    'bémoliser',
    'bémolisera',
    'bémoliserai',
    'bémoliserais',
    'bémoliserait',
    'bémoliseras',
    'bémoliserez',
    'bémoliseriez',
    'bémoliserons',
    'bémoliseront',
    'bémolises',
    'bémolisez',
    'bémolisiez',
    'bémolisions',
    'bémolisons',
    'bémolisâmes',
    'bémolisât',
    'bémolisâtes',
    'bémolisèrent',
    'bémolisé',
    'bémolisée',
    'bémolisées',
    'bémolisés',
    'bémols',
    'bénarde',
    'bénardes',
    'bénef',
    'bénefs',
    'béni',
    'bénie',
    'bénies',
    'bénigne',
    'bénignement',
    'bénignes',
    'bénignité',
    'bénignités',
    'bénin',
    'bénins',
    'bénir',
    'bénira',
    'bénirai',
    'béniraient',
    'bénirais',
    'bénirait',
    'béniras',
    'bénirent',
    'bénirez',
    'béniriez',
    'bénirions',
    'bénirons',
    'béniront',
    'bénis',
    'bénissaient',
    'bénissais',
    'bénissait',
    'bénissant',
    'bénisse',
    'bénissent',
    'bénisses',
    'bénisseur',
    'bénisseurs',
    'bénisseuse',
    'bénisseuses',
    'bénissez',
    'bénissiez',
    'bénissions',
    'bénissons',
    'bénit',
    'bénite',
    'bénites',
    'bénitier',
    'bénitiers',
    'bénits',
    'bénédicité',
    'bénédicités',
    'bénédictin',
    'bénédictine',
    'bénédictines',
    'bénédictins',
    'bénédiction',
    'bénédictions',
    'bénéfice',
    'bénéfices',
    'bénéficia',
    'bénéficiai',
    'bénéficiaire',
    'bénéficiais',
    'bénéficiait',
    'bénéficiant',
    'bénéficias',
    'bénéficiasse',
    'bénéficie',
    'bénéficient',
    'bénéficier',
    'bénéficiera',
    'bénéficierai',
    'bénéficieras',
    'bénéficierez',
    'bénéficies',
    'bénéficiez',
    'bénéficiiez',
    'bénéficiions',
    'bénéficions',
    'bénéficiâmes',
    'bénéficiât',
    'bénéficiâtes',
    'bénéficié',
    'bénéfique',
    'bénéfiques',
    'bénévolat',
    'bénévolats',
    'bénévole',
    'bénévolement',
    'bénévoles',
    'bénîmes',
    'bénît',
    'bénîtes',
    'béons',
    'béotien',
    'béotienne',
    'béotiennes',
    'béotiens',
    'béotisme',
    'béotismes',
    'béqua',
    'béquai',
    'béquaient',
    'béquais',
    'béquait',
    'béquant',
    'béquas',
    'béquasse',
    'béquassent',
    'béquasses',
    'béquassiez',
    'béquassions',
    'béquer',
    'béquera',
    'béquerai',
    'béqueraient',
    'béquerais',
    'béquerait',
    'béqueras',
    'béquerez',
    'béqueriez',
    'béquerions',
    'béquerons',
    'béqueront',
    'béqueta',
    'béquetai',
    'béquetaient',
    'béquetais',
    'béquetait',
    'béquetant',
    'béquetas',
    'béquetasse',
    'béquetassent',
    'béquetasses',
    'béquetassiez',
    'béqueter',
    'béquetez',
    'béquetiez',
    'béquetions',
    'béquetons',
    'béquette',
    'béquettent',
    'béquettera',
    'béquetterai',
    'béquetterais',
    'béquetterait',
    'béquetteras',
    'béquetterez',
    'béquetteriez',
    'béquetterons',
    'béquetteront',
    'béquettes',
    'béquetâmes',
    'béquetât',
    'béquetâtes',
    'béquetèrent',
    'béqueté',
    'béquetée',
    'béquetées',
    'béquetés',
    'béquez',
    'béquiez',
    'béquilla',
    'béquillai',
    'béquillaient',
    'béquillais',
    'béquillait',
    'béquillant',
    'béquillas',
    'béquillasse',
    'béquillasses',
    'béquille',
    'béquillent',
    'béquiller',
    'béquillera',
    'béquillerai',
    'béquillerais',
    'béquillerait',
    'béquilleras',
    'béquillerez',
    'béquilleriez',
    'béquillerons',
    'béquilleront',
    'béquilles',
    'béquillez',
    'béquilliez',
    'béquillions',
    'béquillons',
    'béquillâmes',
    'béquillât',
    'béquillâtes',
    'béquillèrent',
    'béquillé',
    'béquillée',
    'béquillées',
    'béquillés',
    'béquions',
    'béquons',
    'béquâmes',
    'béquât',
    'béquâtes',
    'béquèrent',
    'béqué',
    'béquée',
    'béquées',
    'béqués',
    'béret',
    'bérets',
    'béribéri',
    'béryl',
    'béryllium',
    'bérylliums',
    'béryls',
    'bésef',
    'bésicles',
    'bésigue',
    'bésigues',
    'bétail',
    'bétaillère',
    'bétaillères',
    'bétails',
    'bétel',
    'bétels',
    'bétoine',
    'bétoines',
    'bétoire',
    'bétoires',
    'béton',
    'bétonna',
    'bétonnage',
    'bétonnages',
    'bétonnai',
    'bétonnaient',
    'bétonnais',
    'bétonnait',
    'bétonnant',
    'bétonnas',
    'bétonnasse',
    'bétonnassent',
    'bétonnasses',
    'bétonnassiez',
    'bétonne',
    'bétonnent',
    'bétonner',
    'bétonnera',
    'bétonnerai',
    'bétonnerais',
    'bétonnerait',
    'bétonneras',
    'bétonnerez',
    'bétonneriez',
    'bétonnerions',
    'bétonnerons',
    'bétonneront',
    'bétonnes',
    'bétonneuse',
    'bétonneuses',
    'bétonnez',
    'bétonniez',
    'bétonnions',
    'bétonnière',
    'bétonnières',
    'bétonnons',
    'bétonnâmes',
    'bétonnât',
    'bétonnâtes',
    'bétonnèrent',
    'bétonné',
    'bétonnée',
    'bétonnées',
    'bétonnés',
    'bétons',
    'bétyle',
    'bétyles',
    'bévatron',
    'bévatrons',
    'bévue',
    'bévues',
    'bézoard',
    'bézoards',
    'béâmes',
    'béât',
    'béâtes',
    'béèrent',
    'bêcha',
    'bêchage',
    'bêchages',
    'bêchai',
    'bêchaient',
    'bêchais',
    'bêchait',
    'bêchant',
    'bêchas',
    'bêchasse',
    'bêchassent',
    'bêchasses',
    'bêchassiez',
    'bêchassions',
    'bêche',
    'bêchent',
    'bêcher',
    'bêchera',
    'bêcherai',
    'bêcheraient',
    'bêcherais',
    'bêcherait',
    'bêcheras',
    'bêcherez',
    'bêcheriez',
    'bêcherions',
    'bêcherons',
    'bêcheront',
    'bêches',
    'bêcheur',
    'bêcheurs',
    'bêcheuse',
    'bêcheuses',
    'bêcheveter',
    'bêchez',
    'bêchiez',
    'bêchions',
    'bêchons',
    'bêchâmes',
    'bêchât',
    'bêchâtes',
    'bêchèrent',
    'bêché',
    'bêchée',
    'bêchées',
    'bêchés',
    'bêla',
    'bêlai',
    'bêlaient',
    'bêlais',
    'bêlait',
    'bêlant',
    'bêlante',
    'bêlantes',
    'bêlants',
    'bêlas',
    'bêlasse',
    'bêlassent',
    'bêlasses',
    'bêlassiez',
    'bêlassions',
    'bêle',
    'bêlement',
    'bêlements',
    'bêlent',
    'bêler',
    'bêlera',
    'bêlerai',
    'bêleraient',
    'bêlerais',
    'bêlerait',
    'bêleras',
    'bêlerez',
    'bêleriez',
    'bêlerions',
    'bêlerons',
    'bêleront',
    'bêles',
    'bêlez',
    'bêliez',
    'bêlions',
    'bêlons',
    'bêlâmes',
    'bêlât',
    'bêlâtes',
    'bêlèrent',
    'bêlé',
    'bêlée',
    'bêlées',
    'bêlés',
    'bêta',
    'bêtas',
    'bêtasse',
    'bêtasses',
    'bêtathérapie',
    'bêtatron',
    'bêtatrons',
    'bête',
    'bêtement',
    'bêtes',
    'bêtifia',
    'bêtifiai',
    'bêtifiaient',
    'bêtifiais',
    'bêtifiait',
    'bêtifiant',
    'bêtifias',
    'bêtifiasse',
    'bêtifiassent',
    'bêtifiasses',
    'bêtifiassiez',
    'bêtifie',
    'bêtifient',
    'bêtifier',
    'bêtifiera',
    'bêtifierai',
    'bêtifierais',
    'bêtifierait',
    'bêtifieras',
    'bêtifierez',
    'bêtifieriez',
    'bêtifierions',
    'bêtifierons',
    'bêtifieront',
    'bêtifies',
    'bêtifiez',
    'bêtifiiez',
    'bêtifiions',
    'bêtifions',
    'bêtifiâmes',
    'bêtifiât',
    'bêtifiâtes',
    'bêtifièrent',
    'bêtifié',
    'bêtisa',
    'bêtisai',
    'bêtisaient',
    'bêtisais',
    'bêtisait',
    'bêtisant',
    'bêtisas',
    'bêtisasse',
    'bêtisassent',
    'bêtisasses',
    'bêtisassiez',
    'bêtisassions',
    'bêtise',
    'bêtisent',
    'bêtiser',
    'bêtisera',
    'bêtiserai',
    'bêtiseraient',
    'bêtiserais',
    'bêtiserait',
    'bêtiseras',
    'bêtiserez',
    'bêtiseriez',
    'bêtiserions',
    'bêtiserons',
    'bêtiseront',
    'bêtises',
    'bêtisez',
    'bêtisier',
    'bêtisiers',
    'bêtisiez',
    'bêtisions',
    'bêtisons',
    'bêtisâmes',
    'bêtisât',
    'bêtisâtes',
    'bêtisèrent',
    'bêtisé',
    'bôme',
    'bômes',
    'bûcha',
    'bûchai',
    'bûchaient',
    'bûchais',
    'bûchait',
    'bûchant',
    'bûchas',
    'bûchasse',
    'bûchassent',
    'bûchasses',
    'bûchassiez',
    'bûchassions',
    'bûche',
    'bûchent',
    'bûcher',
    'bûchera',
    'bûcherai',
    'bûcheraient',
    'bûcherais',
    'bûcherait',
    'bûcheras',
    'bûcherez',
    'bûcheriez',
    'bûcherions',
    'bûcheron',
    'bûcheronne',
    'bûcheronnes',
    'bûcherons',
    'bûcheront',
    'bûchers',
    'bûches',
    'bûchette',
    'bûchettes',
    'bûcheur',
    'bûcheurs',
    'bûcheuse',
    'bûcheuses',
    'bûchez',
    'bûchiez',
    'bûchions',
    'bûchons',
    'bûchâmes',
    'bûchât',
    'bûchâtes',
    'bûchèrent',
    'bûché',
    'bûchée',
    'bûchées',
    'bûchés',
    'bûmes',
    'bûtes',
    'boeuf',
    'boeufs',
    'cabala',
    'cabalai',
    'cabalaient',
    'cabalais',
    'cabalait',
    'cabalant',
    'cabalas',
    'cabalasse',
    'cabalassent',
    'cabalasses',
    'cabalassiez',
    'cabalassions',
    'cabale',
    'cabalent',
    'cabaler',
    'cabalera',
    'cabalerai',
    'cabaleraient',
    'cabalerais',
    'cabalerait',
    'cabaleras',
    'cabalerez',
    'cabaleriez',
    'cabalerions',
    'cabalerons',
    'cabaleront',
    'cabales',
    'cabalez',
    'cabaliez',
    'cabalions',
    'cabaliste',
    'cabalistes',
    'cabalistique',
    'cabalons',
    'cabalâmes',
    'cabalât',
    'cabalâtes',
    'cabalèrent',
    'cabalé',
    'caban',
    'cabana',
    'cabanai',
    'cabanaient',
    'cabanais',
    'cabanait',
    'cabanant',
    'cabanas',
    'cabanasse',
    'cabanassent',
    'cabanasses',
    'cabanassiez',
    'cabanassions',
    'cabane',
    'cabanent',
    'cabaner',
    'cabanera',
    'cabanerai',
    'cabaneraient',
    'cabanerais',
    'cabanerait',
    'cabaneras',
    'cabanerez',
    'cabaneriez',
    'cabanerions',
    'cabanerons',
    'cabaneront',
    'cabanes',
    'cabanez',
    'cabaniez',
    'cabanions',
    'cabanon',
    'cabanons',
    'cabans',
    'cabanâmes',
    'cabanât',
    'cabanâtes',
    'cabanèrent',
    'cabané',
    'cabanée',
    'cabanées',
    'cabanés',
    'cabaret',
    'cabaretier',
    'cabaretiers',
    'cabaretière',
    'cabaretières',
    'cabarets',
    'cabas',
    'cabasset',
    'cabassets',
    'cabernet',
    'cabernets',
    'cabestan',
    'cabestans',
    'cabiai',
    'cabiais',
    'cabillaud',
    'cabillauds',
    'cabillot',
    'cabillots',
    'cabine',
    'cabines',
    'cabinet',
    'cabinets',
    'cabochard',
    'cabocharde',
    'cabochardes',
    'cabochards',
    'caboche',
    'caboches',
    'cabochon',
    'cabochons',
    'cabossa',
    'cabossai',
    'cabossaient',
    'cabossais',
    'cabossait',
    'cabossant',
    'cabossas',
    'cabossasse',
    'cabossassent',
    'cabossasses',
    'cabossassiez',
    'cabosse',
    'cabossent',
    'cabosser',
    'cabossera',
    'cabosserai',
    'cabosserais',
    'cabosserait',
    'cabosseras',
    'cabosserez',
    'cabosseriez',
    'cabosserions',
    'cabosserons',
    'cabosseront',
    'cabosses',
    'cabossez',
    'cabossiez',
    'cabossions',
    'cabossons',
    'cabossâmes',
    'cabossât',
    'cabossâtes',
    'cabossèrent',
    'cabossé',
    'cabossée',
    'cabossées',
    'cabossés',
    'cabot',
    'cabota',
    'cabotage',
    'cabotages',
    'cabotai',
    'cabotaient',
    'cabotais',
    'cabotait',
    'cabotant',
    'cabotas',
    'cabotasse',
    'cabotassent',
    'cabotasses',
    'cabotassiez',
    'cabotassions',
    'cabote',
    'cabotent',
    'caboter',
    'cabotera',
    'caboterai',
    'caboteraient',
    'caboterais',
    'caboterait',
    'caboteras',
    'caboterez',
    'caboteriez',
    'caboterions',
    'caboterons',
    'caboteront',
    'cabotes',
    'caboteur',
    'caboteurs',
    'cabotez',
    'cabotiez',
    'cabotin',
    'cabotina',
    'cabotinage',
    'cabotinages',
    'cabotinai',
    'cabotinaient',
    'cabotinais',
    'cabotinait',
    'cabotinant',
    'cabotinas',
    'cabotinasse',
    'cabotinasses',
    'cabotine',
    'cabotinent',
    'cabotiner',
    'cabotinera',
    'cabotinerai',
    'cabotinerais',
    'cabotinerait',
    'cabotineras',
    'cabotinerez',
    'cabotineriez',
    'cabotinerons',
    'cabotineront',
    'cabotines',
    'cabotinez',
    'cabotiniez',
    'cabotinions',
    'cabotinons',
    'cabotins',
    'cabotinâmes',
    'cabotinât',
    'cabotinâtes',
    'cabotinèrent',
    'cabotiné',
    'cabotions',
    'cabotons',
    'cabots',
    'cabotâmes',
    'cabotât',
    'cabotâtes',
    'cabotèrent',
    'caboté',
    'caboulot',
    'caboulots',
    'cabra',
    'cabrai',
    'cabraient',
    'cabrais',
    'cabrait',
    'cabrant',
    'cabras',
    'cabrasse',
    'cabrassent',
    'cabrasses',
    'cabrassiez',
    'cabrassions',
    'cabre',
    'cabrent',
    'cabrer',
    'cabrera',
    'cabrerai',
    'cabreraient',
    'cabrerais',
    'cabrerait',
    'cabreras',
    'cabrerez',
    'cabreriez',
    'cabrerions',
    'cabrerons',
    'cabreront',
    'cabres',
    'cabrez',
    'cabri',
    'cabriez',
    'cabriola',
    'cabriolai',
    'cabriolaient',
    'cabriolais',
    'cabriolait',
    'cabriolant',
    'cabriolas',
    'cabriolasse',
    'cabriolasses',
    'cabriole',
    'cabriolent',
    'cabrioler',
    'cabriolera',
    'cabriolerai',
    'cabriolerais',
    'cabriolerait',
    'cabrioleras',
    'cabriolerez',
    'cabrioleriez',
    'cabriolerons',
    'cabrioleront',
    'cabrioles',
    'cabriolet',
    'cabriolets',
    'cabriolez',
    'cabrioliez',
    'cabriolions',
    'cabriolons',
    'cabriolâmes',
    'cabriolât',
    'cabriolâtes',
    'cabriolèrent',
    'cabriolé',
    'cabrions',
    'cabris',
    'cabrons',
    'cabrâmes',
    'cabrât',
    'cabrâtes',
    'cabrèrent',
    'cabré',
    'cabrée',
    'cabrées',
    'cabrés',
    'cabs',
    'cabus',
    'caca',
    'cacaba',
    'cacabai',
    'cacabaient',
    'cacabais',
    'cacabait',
    'cacabant',
    'cacabas',
    'cacabasse',
    'cacabassent',
    'cacabasses',
    'cacabassiez',
    'cacabassions',
    'cacabe',
    'cacabent',
    'cacaber',
    'cacabera',
    'cacaberai',
    'cacaberaient',
    'cacaberais',
    'cacaberait',
    'cacaberas',
    'cacaberez',
    'cacaberiez',
    'cacaberions',
    'cacaberons',
    'cacaberont',
    'cacabes',
    'cacabez',
    'cacabiez',
    'cacabions',
    'cacabons',
    'cacabâmes',
    'cacabât',
    'cacabâtes',
    'cacabèrent',
    'cacabé',
    'cacahouète',
    'cacahouètes',
    'cacahuète',
    'cacahuètes',
    'cacao',
    'cacaos',
    'cacaotier',
    'cacaotiers',
    'cacaotière',
    'cacaotières',
    'cacaoté',
    'cacaotée',
    'cacaotées',
    'cacaotés',
    'cacaoyer',
    'cacaoyers',
    'cacaoyère',
    'cacaoyères',
    'cacarda',
    'cacardai',
    'cacardaient',
    'cacardais',
    'cacardait',
    'cacardant',
    'cacardas',
    'cacardasse',
    'cacardassent',
    'cacardasses',
    'cacardassiez',
    'cacarde',
    'cacardent',
    'cacarder',
    'cacardera',
    'cacarderai',
    'cacarderais',
    'cacarderait',
    'cacarderas',
    'cacarderez',
    'cacarderiez',
    'cacarderions',
    'cacarderons',
    'cacarderont',
    'cacardes',
    'cacardez',
    'cacardiez',
    'cacardions',
    'cacardons',
    'cacardâmes',
    'cacardât',
    'cacardâtes',
    'cacardèrent',
    'cacardé',
    'cacas',
    'cacatois',
    'cacatoès',
    'cacha',
    'cachai',
    'cachaient',
    'cachais',
    'cachait',
    'cachalot',
    'cachalots',
    'cachant',
    'cachas',
    'cachasse',
    'cachassent',
    'cachasses',
    'cachassiez',
    'cachassions',
    'cache',
    'cachectique',
    'cachectiques',
    'cachemire',
    'cachemires',
    'cachent',
    'cacher',
    'cachera',
    'cacherai',
    'cacheraient',
    'cacherais',
    'cacherait',
    'cacheras',
    'cacherez',
    'cacheriez',
    'cacherions',
    'cacherons',
    'cacheront',
    'caches',
    'cachet',
    'cacheta',
    'cachetage',
    'cachetages',
    'cachetai',
    'cachetaient',
    'cachetais',
    'cachetait',
    'cachetant',
    'cachetas',
    'cachetasse',
    'cachetassent',
    'cachetasses',
    'cachetassiez',
    'cacheter',
    'cachetez',
    'cachetiez',
    'cachetions',
    'cachetons',
    'cachets',
    'cachette',
    'cachettent',
    'cachettera',
    'cachetterai',
    'cachetterais',
    'cachetterait',
    'cachetteras',
    'cachetterez',
    'cachetteriez',
    'cachetterons',
    'cachetteront',
    'cachettes',
    'cachetâmes',
    'cachetât',
    'cachetâtes',
    'cachetèrent',
    'cacheté',
    'cachetée',
    'cachetées',
    'cachetés',
    'cachexie',
    'cachexies',
    'cachez',
    'cachiez',
    'cachions',
    'cachons',
    'cachot',
    'cachots',
    'cachotterie',
    'cachotteries',
    'cachottier',
    'cachottiers',
    'cachottière',
    'cachottières',
    'cachou',
    'cachous',
    'cachucha',
    'cachuchas',
    'cachâmes',
    'cachât',
    'cachâtes',
    'cachèrent',
    'caché',
    'cachée',
    'cachées',
    'cachés',
    'cacique',
    'caciques',
    'cacochyme',
    'cacochymes',
    'cacodylate',
    'cacodylates',
    'cacographe',
    'cacographes',
    'cacographie',
    'cacographies',
    'cacolet',
    'cacolets',
    'cacologie',
    'cacologies',
    'cacophonie',
    'cacophonies',
    'cacophonique',
    'cactus',
    'cadancha',
    'cadanchai',
    'cadanchaient',
    'cadanchais',
    'cadanchait',
    'cadanchant',
    'cadanchas',
    'cadanchasse',
    'cadanchasses',
    'cadanche',
    'cadanchent',
    'cadancher',
    'cadanchera',
    'cadancherai',
    'cadancherais',
    'cadancherait',
    'cadancheras',
    'cadancherez',
    'cadancheriez',
    'cadancherons',
    'cadancheront',
    'cadanches',
    'cadanchez',
    'cadanchiez',
    'cadanchions',
    'cadanchons',
    'cadanchâmes',
    'cadanchât',
    'cadanchâtes',
    'cadanchèrent',
    'cadanché',
    'cadastra',
    'cadastrai',
    'cadastraient',
    'cadastrais',
    'cadastrait',
    'cadastral',
    'cadastrale',
    'cadastrales',
    'cadastrant',
    'cadastras',
    'cadastrasse',
    'cadastrasses',
    'cadastraux',
    'cadastre',
    'cadastrent',
    'cadastrer',
    'cadastrera',
    'cadastrerai',
    'cadastrerais',
    'cadastrerait',
    'cadastreras',
    'cadastrerez',
    'cadastreriez',
    'cadastrerons',
    'cadastreront',
    'cadastres',
    'cadastrez',
    'cadastriez',
    'cadastrions',
    'cadastrons',
    'cadastrâmes',
    'cadastrât',
    'cadastrâtes',
    'cadastrèrent',
    'cadastré',
    'cadastrée',
    'cadastrées',
    'cadastrés',
    'cadavre',
    'cadavres',
    'cadavéreuse',
    'cadavéreuses',
    'cadavéreux',
    'cadavérique',
    'cadavériques',
    'caddie',
    'caddies',
    'caddy',
    'cade',
    'cadeau',
    'cadeaux',
    'cadenas',
    'cadenassa',
    'cadenassai',
    'cadenassais',
    'cadenassait',
    'cadenassant',
    'cadenassas',
    'cadenassasse',
    'cadenasse',
    'cadenassent',
    'cadenasser',
    'cadenassera',
    'cadenasserai',
    'cadenasseras',
    'cadenasserez',
    'cadenasses',
    'cadenassez',
    'cadenassiez',
    'cadenassions',
    'cadenassons',
    'cadenassâmes',
    'cadenassât',
    'cadenassâtes',
    'cadenassé',
    'cadenassée',
    'cadenassées',
    'cadenassés',
    'cadence',
    'cadencent',
    'cadencer',
    'cadencera',
    'cadencerai',
    'cadencerais',
    'cadencerait',
    'cadenceras',
    'cadencerez',
    'cadenceriez',
    'cadencerions',
    'cadencerons',
    'cadenceront',
    'cadences',
    'cadencez',
    'cadenciez',
    'cadencions',
    'cadencèrent',
    'cadencé',
    'cadencée',
    'cadencées',
    'cadencés',
    'cadenette',
    'cadenettes',
    'cadença',
    'cadençai',
    'cadençaient',
    'cadençais',
    'cadençait',
    'cadençant',
    'cadenças',
    'cadençasse',
    'cadençassent',
    'cadençasses',
    'cadençassiez',
    'cadençons',
    'cadençâmes',
    'cadençât',
    'cadençâtes',
    'cades',
    'cadet',
    'cadets',
    'cadette',
    'cadettes',
    'cadi',
    'cadis',
    'cadmia',
    'cadmiage',
    'cadmiages',
    'cadmiai',
    'cadmiaient',
    'cadmiais',
    'cadmiait',
    'cadmiant',
    'cadmias',
    'cadmiasse',
    'cadmiassent',
    'cadmiasses',
    'cadmiassiez',
    'cadmiassions',
    'cadmie',
    'cadmient',
    'cadmier',
    'cadmiera',
    'cadmierai',
    'cadmieraient',
    'cadmierais',
    'cadmierait',
    'cadmieras',
    'cadmierez',
    'cadmieriez',
    'cadmierions',
    'cadmierons',
    'cadmieront',
    'cadmies',
    'cadmiez',
    'cadmiiez',
    'cadmiions',
    'cadmions',
    'cadmium',
    'cadmiums',
    'cadmiâmes',
    'cadmiât',
    'cadmiâtes',
    'cadmièrent',
    'cadmié',
    'cadmiée',
    'cadmiées',
    'cadmiés',
    'cadogan',
    'cadogans',
    'cadra',
    'cadrage',
    'cadrages',
    'cadrai',
    'cadraient',
    'cadrais',
    'cadrait',
    'cadran',
    'cadrans',
    'cadrant',
    'cadrante',
    'cadrantes',
    'cadrants',
    'cadras',
    'cadrasse',
    'cadrassent',
    'cadrasses',
    'cadrassiez',
    'cadrassions',
    'cadrat',
    'cadrats',
    'cadrature',
    'cadratures',
    'cadre',
    'cadrent',
    'cadrer',
    'cadrera',
    'cadrerai',
    'cadreraient',
    'cadrerais',
    'cadrerait',
    'cadreras',
    'cadrerez',
    'cadreriez',
    'cadrerions',
    'cadrerons',
    'cadreront',
    'cadres',
    'cadreur',
    'cadreurs',
    'cadreuse',
    'cadreuses',
    'cadrez',
    'cadriez',
    'cadrions',
    'cadrons',
    'cadrâmes',
    'cadrât',
    'cadrâtes',
    'cadrèrent',
    'cadré',
    'cadrée',
    'cadrées',
    'cadrés',
    'caduc',
    'caducité',
    'caducités',
    'caducs',
    'caducée',
    'caducées',
    'caduque',
    'caduques',
    'caecal',
    'caecale',
    'caecales',
    'caecaux',
    'caecum',
    'caecums',
    'caesium',
    'caesiums',
    'caetera',
    'cafard',
    'cafarda',
    'cafardage',
    'cafardages',
    'cafardai',
    'cafardaient',
    'cafardais',
    'cafardait',
    'cafardant',
    'cafardas',
    'cafardasse',
    'cafardassent',
    'cafardasses',
    'cafardassiez',
    'cafarde',
    'cafardent',
    'cafarder',
    'cafardera',
    'cafarderai',
    'cafarderais',
    'cafarderait',
    'cafarderas',
    'cafarderez',
    'cafarderiez',
    'cafarderions',
    'cafarderons',
    'cafarderont',
    'cafardes',
    'cafardeur',
    'cafardeurs',
    'cafardeuse',
    'cafardeuses',
    'cafardeux',
    'cafardez',
    'cafardiez',
    'cafardions',
    'cafardons',
    'cafards',
    'cafardâmes',
    'cafardât',
    'cafardâtes',
    'cafardèrent',
    'cafardé',
    'cafardée',
    'cafardées',
    'cafardés',
    'cafetan',
    'cafetans',
    'cafetier',
    'cafetiers',
    'cafetière',
    'cafetières',
    'cafouilla',
    'cafouillage',
    'cafouillages',
    'cafouillai',
    'cafouillais',
    'cafouillait',
    'cafouillant',
    'cafouillas',
    'cafouillasse',
    'cafouille',
    'cafouillent',
    'cafouiller',
    'cafouillera',
    'cafouillerai',
    'cafouilleras',
    'cafouillerez',
    'cafouilles',
    'cafouillez',
    'cafouilliez',
    'cafouillions',
    'cafouillis',
    'cafouillons',
    'cafouillâmes',
    'cafouillât',
    'cafouillâtes',
    'cafouillé',
    'cafre',
    'cafres',
    'cafta',
    'caftai',
    'caftaient',
    'caftais',
    'caftait',
    'caftan',
    'caftans',
    'caftant',
    'caftas',
    'caftasse',
    'caftassent',
    'caftasses',
    'caftassiez',
    'caftassions',
    'cafte',
    'caftent',
    'cafter',
    'caftera',
    'cafterai',
    'cafteraient',
    'cafterais',
    'cafterait',
    'cafteras',
    'cafterez',
    'cafteriez',
    'cafterions',
    'cafterons',
    'cafteront',
    'caftes',
    'caftez',
    'caftiez',
    'caftions',
    'caftons',
    'caftâmes',
    'caftât',
    'caftâtes',
    'caftèrent',
    'cafté',
    'caftée',
    'caftées',
    'caftés',
    'café',
    'caféier',
    'caféiers',
    'caféine',
    'caféines',
    'caféisme',
    'caféismes',
    'caféière',
    'caféières',
    'cafés',
    'cafétéria',
    'cafétérias',
    'cage',
    'cageot',
    'cageots',
    'cagerotte',
    'cagerottes',
    'cages',
    'caget',
    'cagets',
    'cagibi',
    'cagibis',
    'cagna',
    'cagnai',
    'cagnaient',
    'cagnais',
    'cagnait',
    'cagnant',
    'cagnard',
    'cagnarda',
    'cagnardai',
    'cagnardaient',
    'cagnardais',
    'cagnardait',
    'cagnardant',
    'cagnardas',
    'cagnardasse',
    'cagnardasses',
    'cagnarde',
    'cagnardent',
    'cagnarder',
    'cagnardera',
    'cagnarderai',
    'cagnarderais',
    'cagnarderait',
    'cagnarderas',
    'cagnarderez',
    'cagnarderiez',
    'cagnarderons',
    'cagnarderont',
    'cagnardes',
    'cagnardez',
    'cagnardiez',
    'cagnardions',
    'cagnardons',
    'cagnards',
    'cagnardâmes',
    'cagnardât',
    'cagnardâtes',
    'cagnardèrent',
    'cagnardé',
    'cagnas',
    'cagnasse',
    'cagnassent',
    'cagnasses',
    'cagnassiez',
    'cagnassions',
    'cagne',
    'cagnent',
    'cagner',
    'cagnera',
    'cagnerai',
    'cagneraient',
    'cagnerais',
    'cagnerait',
    'cagneras',
    'cagnerez',
    'cagneriez',
    'cagnerions',
    'cagnerons',
    'cagneront',
    'cagnes',
    'cagneuse',
    'cagneuses',
    'cagneux',
    'cagnez',
    'cagniez',
    'cagnions',
    'cagnons',
    'cagnotte',
    'cagnottes',
    'cagnâmes',
    'cagnât',
    'cagnâtes',
    'cagnèrent',
    'cagné',
    'cagot',
    'cagote',
    'cagoterie',
    'cagoteries',
    'cagotes',
    'cagots',
    'cagoulard',
    'cagoularde',
    'cagoulardes',
    'cagoulards',
    'cagoule',
    'cagoules',
    'cahier',
    'cahiers',
    'cahot',
    'cahota',
    'cahotai',
    'cahotaient',
    'cahotais',
    'cahotait',
    'cahotant',
    'cahotante',
    'cahotantes',
    'cahotants',
    'cahotas',
    'cahotasse',
    'cahotassent',
    'cahotasses',
    'cahotassiez',
    'cahotassions',
    'cahote',
    'cahotement',
    'cahotements',
    'cahotent',
    'cahoter',
    'cahotera',
    'cahoterai',
    'cahoteraient',
    'cahoterais',
    'cahoterait',
    'cahoteras',
    'cahoterez',
    'cahoteriez',
    'cahoterions',
    'cahoterons',
    'cahoteront',
    'cahotes',
    'cahoteuse',
    'cahoteuses',
    'cahoteux',
    'cahotez',
    'cahotiez',
    'cahotions',
    'cahotons',
    'cahots',
    'cahotâmes',
    'cahotât',
    'cahotâtes',
    'cahotèrent',
    'cahoté',
    'cahotée',
    'cahotées',
    'cahotés',
    'cahute',
    'cahutes',
    'cailla',
    'caillai',
    'caillaient',
    'caillais',
    'caillait',
    'caillant',
    'caillas',
    'caillasse',
    'caillassent',
    'caillasses',
    'caillassiez',
    'caillassions',
    'caille',
    'caillebotis',
    'caillebottai',
    'caillebotte',
    'caillebotter',
    'caillebottes',
    'caillebottez',
    'caillebotté',
    'caillebottée',
    'caillebottés',
    'caillement',
    'caillements',
    'caillent',
    'cailler',
    'caillera',
    'caillerai',
    'cailleraient',
    'caillerais',
    'caillerait',
    'cailleras',
    'caillerez',
    'cailleriez',
    'caillerions',
    'caillerons',
    'cailleront',
    'cailles',
    'cailleta',
    'cailletai',
    'cailletaient',
    'cailletais',
    'cailletait',
    'cailletant',
    'cailletas',
    'cailletasse',
    'cailletasses',
    'cailleter',
    'cailletez',
    'cailletiez',
    'cailletions',
    'cailletons',
    'caillette',
    'caillettent',
    'caillettera',
    'cailletterai',
    'cailletteras',
    'cailletterez',
    'caillettes',
    'cailletâmes',
    'cailletât',
    'cailletâtes',
    'cailletèrent',
    'cailleté',
    'caillez',
    'cailliez',
    'caillions',
    'caillons',
    'caillot',
    'caillots',
    'caillou',
    'caillouta',
    'cailloutage',
    'cailloutages',
    'cailloutai',
    'cailloutais',
    'cailloutait',
    'cailloutant',
    'cailloutante',
    'cailloutants',
    'cailloutas',
    'cailloutasse',
    'cailloute',
    'cailloutent',
    'caillouter',
    'cailloutera',
    'caillouterai',
    'caillouteras',
    'caillouterez',
    'cailloutes',
    'caillouteuse',
    'caillouteux',
    'cailloutez',
    'cailloutiez',
    'cailloutions',
    'cailloutis',
    'cailloutons',
    'cailloutâmes',
    'cailloutât',
    'cailloutâtes',
    'caillouté',
    'cailloutée',
    'cailloutées',
    'cailloutés',
    'cailloux',
    'caillâmes',
    'caillât',
    'caillâtes',
    'caillèrent',
    'caillé',
    'caillée',
    'caillées',
    'caillés',
    'cairn',
    'cairns',
    'cairote',
    'cairotes',
    'caisse',
    'caisserie',
    'caisseries',
    'caisses',
    'caissette',
    'caissettes',
    'caissier',
    'caissiers',
    'caissière',
    'caissières',
    'caisson',
    'caissons',
    'cajeput',
    'cajeputier',
    'cajeputiers',
    'cajeputs',
    'cajola',
    'cajolai',
    'cajolaient',
    'cajolais',
    'cajolait',
    'cajolant',
    'cajolante',
    'cajolantes',
    'cajolants',
    'cajolas',
    'cajolasse',
    'cajolassent',
    'cajolasses',
    'cajolassiez',
    'cajolassions',
    'cajole',
    'cajolent',
    'cajoler',
    'cajolera',
    'cajolerai',
    'cajoleraient',
    'cajolerais',
    'cajolerait',
    'cajoleras',
    'cajolerez',
    'cajolerie',
    'cajoleries',
    'cajoleriez',
    'cajolerions',
    'cajolerons',
    'cajoleront',
    'cajoles',
    'cajoleur',
    'cajoleurs',
    'cajoleuse',
    'cajoleuses',
    'cajolez',
    'cajoliez',
    'cajolions',
    'cajolons',
    'cajolâmes',
    'cajolât',
    'cajolâtes',
    'cajolèrent',
    'cajolé',
    'cajolée',
    'cajolées',
    'cajolés',
    'cajou',
    'cajous',
    'cajun',
    'cajuns',
    'cake',
    'cakes',
    'cala',
    'calabrais',
    'calabraise',
    'calabraises',
    'caladium',
    'caladiums',
    'calage',
    'calages',
    'calai',
    'calaient',
    'calais',
    'calaison',
    'calaisons',
    'calait',
    'calamar',
    'calamars',
    'calambac',
    'calambacs',
    'calame',
    'calames',
    'calamina',
    'calaminage',
    'calaminages',
    'calaminai',
    'calaminaient',
    'calaminais',
    'calaminait',
    'calaminant',
    'calaminas',
    'calaminasse',
    'calaminasses',
    'calamine',
    'calaminent',
    'calaminer',
    'calaminera',
    'calaminerai',
    'calaminerais',
    'calaminerait',
    'calamineras',
    'calaminerez',
    'calamineriez',
    'calaminerons',
    'calamineront',
    'calamines',
    'calaminez',
    'calaminiez',
    'calaminions',
    'calaminons',
    'calaminâmes',
    'calaminât',
    'calaminâtes',
    'calaminèrent',
    'calaminé',
    'calaminée',
    'calaminées',
    'calaminés',
    'calamistra',
    'calamistrai',
    'calamistrais',
    'calamistrait',
    'calamistrant',
    'calamistras',
    'calamistre',
    'calamistrent',
    'calamistrer',
    'calamistrera',
    'calamistres',
    'calamistrez',
    'calamistriez',
    'calamistrons',
    'calamistrât',
    'calamistré',
    'calamistrée',
    'calamistrées',
    'calamistrés',
    'calamiteuse',
    'calamiteuses',
    'calamiteux',
    'calamité',
    'calamités',
    'calancha',
    'calanchai',
    'calanchaient',
    'calanchais',
    'calanchait',
    'calanchant',
    'calanchas',
    'calanchasse',
    'calanchasses',
    'calanche',
    'calanchent',
    'calancher',
    'calanchera',
    'calancherai',
    'calancherais',
    'calancherait',
    'calancheras',
    'calancherez',
    'calancheriez',
    'calancherons',
    'calancheront',
    'calanches',
    'calanchez',
    'calanchiez',
    'calanchions',
    'calanchons',
    'calanchâmes',
    'calanchât',
    'calanchâtes',
    'calanchèrent',
    'calanché',
    'calandra',
    'calandrage',
    'calandrages',
    'calandrai',
    'calandraient',
    'calandrais',
    'calandrait',
    'calandrant',
    'calandras',
    'calandrasse',
    'calandrasses',
    'calandre',
    'calandrent',
    'calandrer',
    'calandrera',
    'calandrerai',
    'calandrerais',
    'calandrerait',
    'calandreras',
    'calandrerez',
    'calandreriez',
    'calandrerons',
    'calandreront',
    'calandres',
    'calandreur',
    'calandreurs',
    'calandreuse',
    'calandreuses',
    'calandrez',
    'calandriez',
    'calandrions',
    'calandrons',
    'calandrâmes',
    'calandrât',
    'calandrâtes',
    'calandrèrent',
    'calandré',
    'calandrée',
    'calandrées',
    'calandrés',
    'calanque',
    'calanques',
    'calant',
    'calao',
    'calaos',
    'calas',
    'calasse',
    'calassent',
    'calasses',
    'calassiez',
    'calassions',
    'calcaire',
    'calcaires',
    'calcanéum',
    'calcanéums',
    'calcicole',
    'calcicoles',
    'calcifié',
    'calcifiée',
    'calcifiées',
    'calcifiés',
    'calcin',
    'calcina',
    'calcinai',
    'calcinaient',
    'calcinais',
    'calcinait',
    'calcinant',
    'calcinas',
    'calcinasse',
    'calcinassent',
    'calcinasses',
    'calcinassiez',
    'calcination',
    'calcinations',
    'calcine',
    'calcinent',
    'calciner',
    'calcinera',
    'calcinerai',
    'calcinerais',
    'calcinerait',
    'calcineras',
    'calcinerez',
    'calcineriez',
    'calcinerions',
    'calcinerons',
    'calcineront',
    'calcines',
    'calcinez',
    'calciniez',
    'calcinions',
    'calcinons',
    'calcins',
    'calcinâmes',
    'calcinât',
    'calcinâtes',
    'calcinèrent',
    'calciné',
    'calcinée',
    'calcinées',
    'calcinés',
    'calcique',
    'calciques',
    'calcite',
    'calcites',
    'calcium',
    'calciurie',
    'calciuries',
    'calcul',
    'calcula',
    'calculable',
    'calculables',
    'calculai',
    'calculaient',
    'calculais',
    'calculait',
    'calculant',
    'calculas',
    'calculasse',
    'calculassent',
    'calculasses',
    'calculassiez',
    'calculateur',
    'calculateurs',
    'calculatrice',
    'calcule',
    'calculent',
    'calculer',
    'calculera',
    'calculerai',
    'calculerais',
    'calculerait',
    'calculeras',
    'calculerez',
    'calculeriez',
    'calculerions',
    'calculerons',
    'calculeront',
    'calcules',
    'calculette',
    'calculettes',
    'calculeuse',
    'calculeuses',
    'calculeux',
    'calculez',
    'calculiez',
    'calculions',
    'calculons',
    'calculs',
    'calculâmes',
    'calculât',
    'calculâtes',
    'calculèrent',
    'calculé',
    'calculée',
    'calculées',
    'calculés',
    'calcédoine',
    'calcédoines',
    'calcémie',
    'calcémies',
    'calcéolaire',
    'calcéolaires',
    'caldarium',
    'caldariums',
    'caldeira',
    'caldeiras',
    'cale',
    'calebasse',
    'calebasses',
    'calebassier',
    'calebassiers',
    'calembour',
    'calembours',
    'calendes',
    'calendrier',
    'calendriers',
    'calent',
    'calepin',
    'calepins',
    'caler',
    'calera',
    'calerai',
    'caleraient',
    'calerais',
    'calerait',
    'caleras',
    'calerez',
    'caleriez',
    'calerions',
    'calerons',
    'caleront',
    'cales',
    'caleta',
    'caletai',
    'caletaient',
    'caletais',
    'caletait',
    'caletant',
    'caletas',
    'caletasse',
    'caletassent',
    'caletasses',
    'caletassiez',
    'caletassions',
    'caleter',
    'caletez',
    'caletiez',
    'caletions',
    'caletons',
    'calette',
    'calettent',
    'calettera',
    'caletterai',
    'caletterais',
    'caletterait',
    'caletteras',
    'caletterez',
    'caletteriez',
    'caletterions',
    'caletterons',
    'caletteront',
    'calettes',
    'caletâmes',
    'caletât',
    'caletâtes',
    'caletèrent',
    'caleté',
    'caletée',
    'caletées',
    'caletés',
    'calez',
    'caleçon',
    'caleçons',
    'calf',
    'calfat',
    'calfata',
    'calfatage',
    'calfatages',
    'calfatai',
    'calfataient',
    'calfatais',
    'calfatait',
    'calfatant',
    'calfatas',
    'calfatasse',
    'calfatassent',
    'calfatasses',
    'calfatassiez',
    'calfate',
    'calfatent',
    'calfater',
    'calfatera',
    'calfaterai',
    'calfaterais',
    'calfaterait',
    'calfateras',
    'calfaterez',
    'calfateriez',
    'calfaterions',
    'calfaterons',
    'calfateront',
    'calfates',
    'calfatez',
    'calfatiez',
    'calfations',
    'calfatons',
    'calfats',
    'calfatâmes',
    'calfatât',
    'calfatâtes',
    'calfatèrent',
    'calfaté',
    'calfatée',
    'calfatées',
    'calfatés',
    'calfeutra',
    'calfeutrage',
    'calfeutrages',
    'calfeutrai',
    'calfeutrais',
    'calfeutrait',
    'calfeutrant',
    'calfeutras',
    'calfeutrasse',
    'calfeutre',
    'calfeutrent',
    'calfeutrer',
    'calfeutrera',
    'calfeutrerai',
    'calfeutreras',
    'calfeutrerez',
    'calfeutres',
    'calfeutrez',
    'calfeutriez',
    'calfeutrions',
    'calfeutrons',
    'calfeutrâmes',
    'calfeutrât',
    'calfeutrâtes',
    'calfeutré',
    'calfeutrée',
    'calfeutrées',
    'calfeutrés',
    'calfs',
    'calibra',
    'calibrage',
    'calibrages',
    'calibrai',
    'calibraient',
    'calibrais',
    'calibrait',
    'calibrant',
    'calibras',
    'calibrasse',
    'calibrassent',
    'calibrasses',
    'calibrassiez',
    'calibration',
    'calibrations',
    'calibre',
    'calibrent',
    'calibrer',
    'calibrera',
    'calibrerai',
    'calibrerais',
    'calibrerait',
    'calibreras',
    'calibrerez',
    'calibreriez',
    'calibrerions',
    'calibrerons',
    'calibreront',
    'calibres',
    'calibreur',
    'calibreurs',
    'calibreuse',
    'calibreuses',
    'calibrez',
    'calibriez',
    'calibrions',
    'calibrons',
    'calibrâmes',
    'calibrât',
    'calibrâtes',
    'calibrèrent',
    'calibré',
    'calibrée',
    'calibrées',
    'calibrés',
    'calice',
    'calices',
    'calicot',
    'calicots',
    'calicule',
    'calicules',
    'calier',
    'caliers',
    'caliez',
    'califat',
    'califats',
    'calife',
    'califes',
    'californium',
    'californiums',
    'califourchon',
    'calions',
    'caliorne',
    'caliornes',
    'calisson',
    'calissons',
    'calleuse',
    'calleuses',
    'calleux',
    'calligramme',
    'calligrammes',
    'calligraphe',
    'calligraphes',
    'calligraphia',
    'calligraphie',
    'calligraphié',
    'callipyge',
    'callipyges',
    'callosité',
    'callosités',
    'calma',
    'calmai',
    'calmaient',
    'calmais',
    'calmait',
    'calmant',
    'calmante',
    'calmantes',
    'calmants',
    'calmar',
    'calmars',
    'calmas',
    'calmasse',
    'calmassent',
    'calmasses',
    'calmassiez',
    'calmassions',
    'calme',
    'calmement',
    'calment',
    'calmer',
    'calmera',
    'calmerai',
    'calmeraient',
    'calmerais',
    'calmerait',
    'calmeras',
    'calmerez',
    'calmeriez',
    'calmerions',
    'calmerons',
    'calmeront',
    'calmes',
    'calmez',
    'calmi',
    'calmiez',
    'calmions',
    'calmir',
    'calmira',
    'calmirai',
    'calmiraient',
    'calmirais',
    'calmirait',
    'calmiras',
    'calmirent',
    'calmirez',
    'calmiriez',
    'calmirions',
    'calmirons',
    'calmiront',
    'calmis',
    'calmissaient',
    'calmissais',
    'calmissait',
    'calmissant',
    'calmisse',
    'calmissent',
    'calmisses',
    'calmissez',
    'calmissiez',
    'calmissions',
    'calmissons',
    'calmit',
    'calmons',
    'calmâmes',
    'calmât',
    'calmâtes',
    'calmèrent',
    'calmé',
    'calmée',
    'calmées',
    'calmés',
    'calmîmes',
    'calmît',
    'calmîtes',
    'calo',
    'calomel',
    'calomels',
    'calomnia',
    'calomniai',
    'calomniaient',
    'calomniais',
    'calomniait',
    'calomniant',
    'calomnias',
    'calomniasse',
    'calomniasses',
    'calomniateur',
    'calomnie',
    'calomnient',
    'calomnier',
    'calomniera',
    'calomnierai',
    'calomnierais',
    'calomnierait',
    'calomnieras',
    'calomnierez',
    'calomnieriez',
    'calomnierons',
    'calomnieront',
    'calomnies',
    'calomnieuse',
    'calomnieuses',
    'calomnieux',
    'calomniez',
    'calomniiez',
    'calomniions',
    'calomnions',
    'calomniâmes',
    'calomniât',
    'calomniâtes',
    'calomnièrent',
    'calomnié',
    'calomniée',
    'calomniées',
    'calomniés',
    'calons',
    'caloporteur',
    'calorie',
    'calories',
    'calorifique',
    'calorifiques',
    'calorifuge',
    'calorifugea',
    'calorifugeai',
    'calorifugeas',
    'calorifugent',
    'calorifuger',
    'calorifugera',
    'calorifuges',
    'calorifugez',
    'calorifugeât',
    'calorifugiez',
    'calorifugé',
    'calorifugée',
    'calorifugées',
    'calorifugés',
    'calorifère',
    'calorifères',
    'calorimètre',
    'calorimètres',
    'calorimétrie',
    'calorique',
    'caloriques',
    'calorisation',
    'calos',
    'calot',
    'calotin',
    'calotins',
    'calots',
    'calotta',
    'calottai',
    'calottaient',
    'calottais',
    'calottait',
    'calottant',
    'calottas',
    'calottasse',
    'calottassent',
    'calottasses',
    'calottassiez',
    'calotte',
    'calottent',
    'calotter',
    'calottera',
    'calotterai',
    'calotterais',
    'calotterait',
    'calotteras',
    'calotterez',
    'calotteriez',
    'calotterions',
    'calotterons',
    'calotteront',
    'calottes',
    'calottez',
    'calottiez',
    'calottions',
    'calottons',
    'calottâmes',
    'calottât',
    'calottâtes',
    'calottèrent',
    'calotté',
    'calottée',
    'calottées',
    'calottés',
    'caloyer',
    'caloyers',
    'caloyère',
    'caloyères',
    'calqua',
    'calquage',
    'calquages',
    'calquai',
    'calquaient',
    'calquais',
    'calquait',
    'calquant',
    'calquas',
    'calquasse',
    'calquassent',
    'calquasses',
    'calquassiez',
    'calquassions',
    'calque',
    'calquent',
    'calquer',
    'calquera',
    'calquerai',
    'calqueraient',
    'calquerais',
    'calquerait',
    'calqueras',
    'calquerez',
    'calqueriez',
    'calquerions',
    'calquerons',
    'calqueront',
    'calques',
    'calquez',
    'calquiez',
    'calquions',
    'calquons',
    'calquâmes',
    'calquât',
    'calquâtes',
    'calquèrent',
    'calqué',
    'calquée',
    'calquées',
    'calqués',
    'cals',
    'calta',
    'caltai',
    'caltaient',
    'caltais',
    'caltait',
    'caltant',
    'caltas',
    'caltasse',
    'caltassent',
    'caltasses',
    'caltassiez',
    'caltassions',
    'calte',
    'caltent',
    'calter',
    'caltera',
    'calterai',
    'calteraient',
    'calterais',
    'calterait',
    'calteras',
    'calterez',
    'calteriez',
    'calterions',
    'calterons',
    'calteront',
    'caltes',
    'caltez',
    'caltiez',
    'caltions',
    'caltons',
    'caltâmes',
    'caltât',
    'caltâtes',
    'caltèrent',
    'calté',
    'caltée',
    'caltées',
    'caltés',
    'calumet',
    'calumets',
    'calva',
    'calvados',
    'calvaire',
    'calvaires',
    'calvas',
    'calville',
    'calvilles',
    'calvinisme',
    'calviniste',
    'calvinistes',
    'calvitie',
    'calvities',
    'calypso',
    'calypsos',
    'calâmes',
    'calât',
    'calâtes',
    'calèche',
    'calèches',
    'calèrent',
    'calé',
    'calédonien',
    'calédonienne',
    'calédoniens',
    'calée',
    'calées',
    'caléidoscope',
    'calés',
    'camail',
    'camails',
    'camaldule',
    'camaldules',
    'camarade',
    'camaraderie',
    'camaraderies',
    'camarades',
    'camard',
    'camarde',
    'camardes',
    'camards',
    'camarilla',
    'camarillas',
    'camaïeu',
    'camaïeux',
    'cambial',
    'cambiale',
    'cambiales',
    'cambiaux',
    'cambiste',
    'cambistes',
    'cambium',
    'cambodgien',
    'cambodgienne',
    'cambodgiens',
    'cambouis',
    'cambra',
    'cambrage',
    'cambrages',
    'cambrai',
    'cambraient',
    'cambrais',
    'cambrait',
    'cambrant',
    'cambras',
    'cambrasse',
    'cambrassent',
    'cambrasses',
    'cambrassiez',
    'cambrassions',
    'cambre',
    'cambrement',
    'cambrements',
    'cambrent',
    'cambrer',
    'cambrera',
    'cambrerai',
    'cambreraient',
    'cambrerais',
    'cambrerait',
    'cambreras',
    'cambrerez',
    'cambreriez',
    'cambrerions',
    'cambrerons',
    'cambreront',
    'cambres',
    'cambrez',
    'cambrien',
    'cambrienne',
    'cambriennes',
    'cambriens',
    'cambriez',
    'cambriola',
    'cambriolage',
    'cambriolages',
    'cambriolai',
    'cambriolais',
    'cambriolait',
    'cambriolant',
    'cambriolas',
    'cambriolasse',
    'cambriole',
    'cambriolent',
    'cambrioler',
    'cambriolera',
    'cambriolerai',
    'cambrioleras',
    'cambriolerez',
    'cambrioles',
    'cambrioleur',
    'cambrioleurs',
    'cambrioleuse',
    'cambriolez',
    'cambrioliez',
    'cambriolions',
    'cambriolons',
    'cambriolâmes',
    'cambriolât',
    'cambriolâtes',
    'cambriolé',
    'cambriolée',
    'cambriolées',
    'cambriolés',
    'cambrions',
    'cambrons',
    'cambrousard',
    'cambrousards',
    'cambrousse',
    'cambrousses',
    'cambrure',
    'cambrures',
    'cambrâmes',
    'cambrât',
    'cambrâtes',
    'cambrèrent',
    'cambré',
    'cambrée',
    'cambrées',
    'cambrés',
    'cambuse',
    'cambuses',
    'cambusier',
    'cambusiers',
    'cambuta',
    'cambutai',
    'cambutaient',
    'cambutais',
    'cambutait',
    'cambutant',
    'cambutas',
    'cambutasse',
    'cambutassent',
    'cambutasses',
    'cambutassiez',
    'cambute',
    'cambutent',
    'cambuter',
    'cambutera',
    'cambuterai',
    'cambuterais',
    'cambuterait',
    'cambuteras',
    'cambuterez',
    'cambuteriez',
    'cambuterions',
    'cambuterons',
    'cambuteront',
    'cambutes',
    'cambutez',
    'cambutiez',
    'cambutions',
    'cambutons',
    'cambutâmes',
    'cambutât',
    'cambutâtes',
    'cambutèrent',
    'cambuté',
    'cambutée',
    'cambutées',
    'cambutés',
    'came',
    'cameline',
    'camelines',
    'camelle',
    'camelles',
    'camelot',
    'camelota',
    'camelotai',
    'camelotaient',
    'camelotais',
    'camelotait',
    'camelotant',
    'camelotas',
    'camelotasse',
    'camelotasses',
    'camelote',
    'camelotent',
    'cameloter',
    'camelotera',
    'cameloterai',
    'cameloterais',
    'cameloterait',
    'cameloteras',
    'cameloterez',
    'cameloteriez',
    'cameloterons',
    'cameloteront',
    'camelotes',
    'camelotez',
    'camelotiez',
    'camelotions',
    'camelotons',
    'camelots',
    'camelotâmes',
    'camelotât',
    'camelotâtes',
    'camelotèrent',
    'cameloté',
    'camembert',
    'camemberts',
    'camer',
    'cameraman',
    'cameramen',
    'camerlingue',
    'camerlingues',
    'cames',
    'camion',
    'camionna',
    'camionnage',
    'camionnages',
    'camionnai',
    'camionnaient',
    'camionnais',
    'camionnait',
    'camionnant',
    'camionnas',
    'camionnasse',
    'camionnasses',
    'camionne',
    'camionnent',
    'camionner',
    'camionnera',
    'camionnerai',
    'camionnerais',
    'camionnerait',
    'camionneras',
    'camionnerez',
    'camionneriez',
    'camionnerons',
    'camionneront',
    'camionnes',
    'camionnette',
    'camionnettes',
    'camionneur',
    'camionneurs',
    'camionnez',
    'camionniez',
    'camionnions',
    'camionnons',
    'camionnâmes',
    'camionnât',
    'camionnâtes',
    'camionnèrent',
    'camionné',
    'camionnée',
    'camionnées',
    'camionnés',
    'camions',
    'camisard',
    'camisards',
    'camisole',
    'camisoles',
    'camomille',
    'camomilles',
    'camoufla',
    'camouflage',
    'camouflages',
    'camouflai',
    'camouflaient',
    'camouflais',
    'camouflait',
    'camouflant',
    'camouflante',
    'camouflantes',
    'camouflants',
    'camouflas',
    'camouflasse',
    'camouflasses',
    'camoufle',
    'camouflent',
    'camoufler',
    'camouflera',
    'camouflerai',
    'camouflerais',
    'camouflerait',
    'camoufleras',
    'camouflerez',
    'camoufleriez',
    'camouflerons',
    'camoufleront',
    'camoufles',
    'camouflet',
    'camouflets',
    'camouflez',
    'camoufliez',
    'camouflions',
    'camouflons',
    'camouflâmes',
    'camouflât',
    'camouflâtes',
    'camouflèrent',
    'camouflé',
    'camouflée',
    'camouflées',
    'camouflés',
    'camp',
    'campa',
    'campagnard',
    'campagnarde',
    'campagnardes',
    'campagnards',
    'campagne',
    'campagnes',
    'campagnol',
    'campagnols',
    'campai',
    'campaient',
    'campais',
    'campait',
    'campane',
    'campanes',
    'campanile',
    'campaniles',
    'campant',
    'campanule',
    'campanules',
    'campas',
    'campasse',
    'campassent',
    'campasses',
    'campassiez',
    'campassions',
    'campe',
    'campement',
    'campements',
    'campent',
    'camper',
    'campera',
    'camperai',
    'camperaient',
    'camperais',
    'camperait',
    'camperas',
    'camperez',
    'camperiez',
    'camperions',
    'camperons',
    'camperont',
    'campes',
    'campeur',
    'campeurs',
    'campeuse',
    'campeuses',
    'campez',
    'camphre',
    'camphres',
    'camphrier',
    'camphriers',
    'camphré',
    'camphrée',
    'camphrées',
    'camphrés',
    'campiez',
    'camping',
    'campings',
    'campions',
    'campons',
    'campos',
    'camps',
    'campus',
    'campâmes',
    'campât',
    'campâtes',
    'campèrent',
    'campé',
    'campée',
    'campées',
    'campés',
    'campêche',
    'campêches',
    'camus',
    'camée',
    'camées',
    'camélia',
    'camélias',
    'caméline',
    'camélines',
    'caméléon',
    'caméléons',
    'caméra',
    'caméras',
    'camérier',
    'camériers',
    'camériste',
    'caméristes',
    'cana',
    'canada',
    'canadianisme',
    'canadien',
    'canadienne',
    'canadiennes',
    'canadiens',
    'canai',
    'canaient',
    'canaille',
    'canaillerie',
    'canailleries',
    'canailles',
    'canais',
    'canait',
    'canal',
    'canalicule',
    'canalicules',
    'canalisa',
    'canalisable',
    'canalisables',
    'canalisai',
    'canalisaient',
    'canalisais',
    'canalisait',
    'canalisant',
    'canalisas',
    'canalisasse',
    'canalisasses',
    'canalisation',
    'canalise',
    'canalisent',
    'canaliser',
    'canalisera',
    'canaliserai',
    'canaliserais',
    'canaliserait',
    'canaliseras',
    'canaliserez',
    'canaliseriez',
    'canaliserons',
    'canaliseront',
    'canalises',
    'canalisez',
    'canalisiez',
    'canalisions',
    'canalisons',
    'canalisâmes',
    'canalisât',
    'canalisâtes',
    'canalisèrent',
    'canalisé',
    'canalisée',
    'canalisées',
    'canalisés',
    'canant',
    'cananéen',
    'cananéenne',
    'cananéennes',
    'cananéens',
    'canapé',
    'canapés',
    'canard',
    'canarda',
    'canardai',
    'canardaient',
    'canardais',
    'canardait',
    'canardant',
    'canardas',
    'canardasse',
    'canardassent',
    'canardasses',
    'canardassiez',
    'canarde',
    'canardeau',
    'canardeaus',
    'canardent',
    'canarder',
    'canardera',
    'canarderai',
    'canarderais',
    'canarderait',
    'canarderas',
    'canarderez',
    'canarderiez',
    'canarderions',
    'canarderons',
    'canarderont',
    'canardes',
    'canardez',
    'canardiez',
    'canardions',
    'canardière',
    'canardières',
    'canardons',
    'canards',
    'canardâmes',
    'canardât',
    'canardâtes',
    'canardèrent',
    'canardé',
    'canardée',
    'canardées',
    'canardés',
    'canari',
    'canaris',
    'canas',
    'canasse',
    'canassent',
    'canasses',
    'canassiez',
    'canassions',
    'canasson',
    'canassons',
    'canasta',
    'canaux',
    'cancale',
    'cancales',
    'cancan',
    'cancana',
    'cancanai',
    'cancanaient',
    'cancanais',
    'cancanait',
    'cancanant',
    'cancanas',
    'cancanasse',
    'cancanassent',
    'cancanasses',
    'cancanassiez',
    'cancane',
    'cancanent',
    'cancaner',
    'cancanera',
    'cancanerai',
    'cancanerais',
    'cancanerait',
    'cancaneras',
    'cancanerez',
    'cancaneriez',
    'cancanerions',
    'cancanerons',
    'cancaneront',
    'cancanes',
    'cancanez',
    'cancanier',
    'cancaniers',
    'cancaniez',
    'cancanions',
    'cancanière',
    'cancanières',
    'cancanons',
    'cancans',
    'cancanâmes',
    'cancanât',
    'cancanâtes',
    'cancanèrent',
    'cancané',
    'cancel',
    'cancels',
    'cancer',
    'cancers',
    'canche',
    'canches',
    'cancre',
    'cancrelat',
    'cancrelats',
    'cancres',
    'cancéreuse',
    'cancéreuses',
    'cancéreux',
    'cancérigène',
    'cancérigènes',
    'cancériser',
    'cancérologie',
    'cancérologue',
    'candela',
    'candelas',
    'candeur',
    'candeurs',
    'candi',
    'candidat',
    'candidate',
    'candidates',
    'candidats',
    'candidature',
    'candidatures',
    'candide',
    'candidement',
    'candides',
    'candie',
    'candies',
    'candir',
    'candira',
    'candirai',
    'candiraient',
    'candirais',
    'candirait',
    'candiras',
    'candirent',
    'candirez',
    'candiriez',
    'candirions',
    'candirons',
    'candiront',
    'candis',
    'candissaient',
    'candissais',
    'candissait',
    'candissant',
    'candisse',
    'candissent',
    'candisses',
    'candissez',
    'candissiez',
    'candissions',
    'candissons',
    'candit',
    'candélabre',
    'candélabres',
    'candîmes',
    'candît',
    'candîtes',
    'cane',
    'canent',
    'canepetière',
    'canepetières',
    'caner',
    'canera',
    'canerai',
    'caneraient',
    'canerais',
    'canerait',
    'caneras',
    'canerez',
    'caneriez',
    'canerions',
    'canerons',
    'caneront',
    'canes',
    'caneton',
    'canetons',
    'canette',
    'canettes',
    'canevas',
    'canez',
    'cangue',
    'cangues',
    'caniche',
    'caniches',
    'caniculaire',
    'caniculaires',
    'canicule',
    'canicules',
    'caniez',
    'canif',
    'canifs',
    'canin',
    'canine',
    'canines',
    'canins',
    'canions',
    'canisse',
    'canisses',
    'canitie',
    'canities',
    'caniveau',
    'caniveaux',
    'canna',
    'cannabis',
    'cannage',
    'cannages',
    'cannai',
    'cannaient',
    'cannais',
    'cannait',
    'cannant',
    'cannas',
    'cannasse',
    'cannassent',
    'cannasses',
    'cannassiez',
    'cannassions',
    'canne',
    'cannela',
    'cannelai',
    'cannelaient',
    'cannelais',
    'cannelait',
    'cannelant',
    'cannelas',
    'cannelasse',
    'cannelassent',
    'cannelasses',
    'cannelassiez',
    'canneler',
    'cannelez',
    'cannelier',
    'canneliers',
    'canneliez',
    'cannelions',
    'cannelle',
    'cannellent',
    'cannellera',
    'cannellerai',
    'cannellerais',
    'cannellerait',
    'cannelleras',
    'cannellerez',
    'cannelleriez',
    'cannellerons',
    'cannelleront',
    'cannelles',
    'cannelloni',
    'cannellonis',
    'cannelons',
    'cannelure',
    'cannelures',
    'cannelâmes',
    'cannelât',
    'cannelâtes',
    'cannelèrent',
    'cannelé',
    'cannelée',
    'cannelées',
    'cannelés',
    'cannent',
    'canner',
    'cannera',
    'cannerai',
    'canneraient',
    'cannerais',
    'cannerait',
    'canneras',
    'cannerez',
    'canneriez',
    'cannerions',
    'cannerons',
    'canneront',
    'cannes',
    'cannetille',
    'cannetilles',
    'canneur',
    'canneurs',
    'canneuse',
    'canneuses',
    'cannez',
    'cannibale',
    'cannibales',
    'cannibalisme',
    'canniez',
    'cannions',
    'cannisse',
    'cannisses',
    'cannons',
    'cannâmes',
    'cannât',
    'cannâtes',
    'cannèrent',
    'canné',
    'cannée',
    'cannées',
    'cannés',
    'canon',
    'canonial',
    'canoniale',
    'canoniales',
    'canoniaux',
    'canonicat',
    'canonicats',
    'canonique',
    'canoniques',
    'canonisa',
    'canonisable',
    'canonisables',
    'canonisai',
    'canonisaient',
    'canonisais',
    'canonisait',
    'canonisant',
    'canonisas',
    'canonisasse',
    'canonisasses',
    'canonisation',
    'canonise',
    'canonisent',
    'canoniser',
    'canonisera',
    'canoniserai',
    'canoniserais',
    'canoniserait',
    'canoniseras',
    'canoniserez',
    'canoniseriez',
    'canoniserons',
    'canoniseront',
    'canonises',
    'canonisez',
    'canonisiez',
    'canonisions',
    'canonisons',
    'canoniste',
    'canonistes',
    'canonisâmes',
    'canonisât',
    'canonisâtes',
    'canonisèrent',
    'canonisé',
    'canonisée',
    'canonisées',
    'canonisés',
    'canonna',
    'canonnade',
    'canonnades',
    'canonnage',
    'canonnages',
    'canonnai',
    'canonnaient',
    'canonnais',
    'canonnait',
    'canonnant',
    'canonnas',
    'canonnasse',
    'canonnassent',
    'canonnasses',
    'canonnassiez',
    'canonne',
    'canonnent',
    'canonner',
    'canonnera',
    'canonnerai',
    'canonnerais',
    'canonnerait',
    'canonneras',
    'canonnerez',
    'canonneriez',
    'canonnerions',
    'canonnerons',
    'canonneront',
    'canonnes',
    'canonnez',
    'canonnier',
    'canonniers',
    'canonniez',
    'canonnions',
    'canonnière',
    'canonnières',
    'canonnons',
    'canonnâmes',
    'canonnât',
    'canonnâtes',
    'canonnèrent',
    'canonné',
    'canonnée',
    'canonnées',
    'canonnés',
    'canons',
    'canope',
    'canopes',
    'canot',
    'canota',
    'canotage',
    'canotages',
    'canotai',
    'canotaient',
    'canotais',
    'canotait',
    'canotant',
    'canotas',
    'canotasse',
    'canotassent',
    'canotasses',
    'canotassiez',
    'canotassions',
    'canote',
    'canotent',
    'canoter',
    'canotera',
    'canoterai',
    'canoteraient',
    'canoterais',
    'canoterait',
    'canoteras',
    'canoterez',
    'canoteriez',
    'canoterions',
    'canoterons',
    'canoteront',
    'canotes',
    'canoteur',
    'canoteurs',
    'canoteuse',
    'canoteuses',
    'canotez',
    'canotier',
    'canotiers',
    'canotiez',
    'canotions',
    'canotons',
    'canots',
    'canotâmes',
    'canotât',
    'canotâtes',
    'canotèrent',
    'canoté',
    'canoéiste',
    'canoéistes',
    'canoë',
    'canoës',
    'cantabile',
    'cantal',
    'cantaloup',
    'cantaloups',
    'cantals',
    'cantate',
    'cantates',
    'cantatrice',
    'cantatrices',
    'canter',
    'canters',
    'cantharide',
    'cantharides',
    'cantharidine',
    'cantilever',
    'cantilevers',
    'cantilène',
    'cantilènes',
    'cantine',
    'cantiner',
    'cantines',
    'cantinier',
    'cantiniers',
    'cantinière',
    'cantinières',
    'cantique',
    'cantiques',
    'canton',
    'cantonade',
    'cantonal',
    'cantonale',
    'cantonales',
    'cantonaux',
    'cantonna',
    'cantonnai',
    'cantonnaient',
    'cantonnais',
    'cantonnait',
    'cantonnant',
    'cantonnas',
    'cantonnasse',
    'cantonnasses',
    'cantonne',
    'cantonnement',
    'cantonnent',
    'cantonner',
    'cantonnera',
    'cantonnerai',
    'cantonnerais',
    'cantonnerait',
    'cantonneras',
    'cantonnerez',
    'cantonneriez',
    'cantonnerons',
    'cantonneront',
    'cantonnes',
    'cantonnez',
    'cantonnier',
    'cantonniers',
    'cantonniez',
    'cantonnions',
    'cantonnière',
    'cantonnières',
    'cantonnons',
    'cantonnâmes',
    'cantonnât',
    'cantonnâtes',
    'cantonnèrent',
    'cantonné',
    'cantonnée',
    'cantonnées',
    'cantonnés',
    'cantons',
    'cantre',
    'cantres',
    'canula',
    'canulai',
    'canulaient',
    'canulais',
    'canulait',
    'canulant',
    'canular',
    'canularesque',
    'canulars',
    'canulas',
    'canulasse',
    'canulassent',
    'canulasses',
    'canulassiez',
    'canulassions',
    'canule',
    'canulent',
    'canuler',
    'canulera',
    'canulerai',
    'canuleraient',
    'canulerais',
    'canulerait',
    'canuleras',
    'canulerez',
    'canuleriez',
    'canulerions',
    'canulerons',
    'canuleront',
    'canules',
    'canulez',
    'canuliez',
    'canulions',
    'canulons',
    'canulâmes',
    'canulât',
    'canulâtes',
    'canulèrent',
    'canulé',
    'canulée',
    'canulées',
    'canulés',
    'canut',
    'canuts',
    'canutuse',
    'canutuses',
    'canyon',
    'canyons',
    'canzone',
    'canzones',
    'canâmes',
    'canât',
    'canâtes',
    'canèrent',
    'cané',
    'canéphore',
    'canéphores',
    'caoua',
    'caouas',
    'caoutchouc',
    'caoutchoucs',
    'caoutchouta',
    'caoutchoutai',
    'caoutchoutas',
    'caoutchoute',
    'caoutchouter',
    'caoutchoutes',
    'caoutchoutez',
    'caoutchoutât',
    'caoutchouté',
    'caoutchoutée',
    'caoutchoutés',
    'capable',
    'capables',
    'capacité',
    'capacités',
    'caparaçon',
    'caparaçonna',
    'caparaçonnai',
    'caparaçonnas',
    'caparaçonne',
    'caparaçonner',
    'caparaçonnes',
    'caparaçonnez',
    'caparaçonnât',
    'caparaçonné',
    'caparaçonnée',
    'caparaçonnés',
    'caparaçons',
    'cape',
    'capela',
    'capelage',
    'capelages',
    'capelai',
    'capelaient',
    'capelais',
    'capelait',
    'capelan',
    'capelans',
    'capelant',
    'capelas',
    'capelasse',
    'capelassent',
    'capelasses',
    'capelassiez',
    'capelassions',
    'capeler',
    'capelet',
    'capelets',
    'capelez',
    'capeliez',
    'capeline',
    'capelines',
    'capelions',
    'capelle',
    'capellent',
    'capellera',
    'capellerai',
    'capellerais',
    'capellerait',
    'capelleras',
    'capellerez',
    'capelleriez',
    'capellerions',
    'capellerons',
    'capelleront',
    'capelles',
    'capelons',
    'capelâmes',
    'capelât',
    'capelâtes',
    'capelèrent',
    'capelé',
    'capelée',
    'capelées',
    'capelés',
    'caper',
    'capes',
    'capeya',
    'capeyai',
    'capeyaient',
    'capeyais',
    'capeyait',
    'capeyant',
    'capeyas',
    'capeyasse',
    'capeyassent',
    'capeyasses',
    'capeyassiez',
    'capeyassions',
    'capeye',
    'capeyent',
    'capeyer',
    'capeyera',
    'capeyerai',
    'capeyeraient',
    'capeyerais',
    'capeyerait',
    'capeyeras',
    'capeyerez',
    'capeyeriez',
    'capeyerions',
    'capeyerons',
    'capeyeront',
    'capeyes',
    'capeyez',
    'capeyiez',
    'capeyions',
    'capeyons',
    'capeyâmes',
    'capeyât',
    'capeyâtes',
    'capeyèrent',
    'capeyé',
    'capharnaüm',
    'capharnaüms',
    'capillaire',
    'capillaires',
    'capillarite',
    'capillarites',
    'capillarité',
    'capillarités',
    'capilotade',
    'capilotades',
    'capiston',
    'capistons',
    'capitaine',
    'capitainerie',
    'capitaines',
    'capital',
    'capitale',
    'capitales',
    'capitalisa',
    'capitalisai',
    'capitalisais',
    'capitalisait',
    'capitalisant',
    'capitalisas',
    'capitalise',
    'capitalisent',
    'capitaliser',
    'capitalisera',
    'capitalises',
    'capitalisez',
    'capitalisiez',
    'capitalisme',
    'capitalismes',
    'capitalisons',
    'capitaliste',
    'capitalistes',
    'capitalisât',
    'capitalisé',
    'capitalisée',
    'capitalisées',
    'capitalisés',
    'capitaux',
    'capiteuse',
    'capiteuses',
    'capiteux',
    'capitole',
    'capitoles',
    'capitolin',
    'capitoline',
    'capitolines',
    'capitolins',
    'capiton',
    'capitonna',
    'capitonnage',
    'capitonnages',
    'capitonnai',
    'capitonnais',
    'capitonnait',
    'capitonnant',
    'capitonnas',
    'capitonnasse',
    'capitonne',
    'capitonnent',
    'capitonner',
    'capitonnera',
    'capitonnerai',
    'capitonneras',
    'capitonnerez',
    'capitonnes',
    'capitonnez',
    'capitonniez',
    'capitonnions',
    'capitonnons',
    'capitonnâmes',
    'capitonnât',
    'capitonnâtes',
    'capitonné',
    'capitonnée',
    'capitonnées',
    'capitonnés',
    'capitons',
    'capitoul',
    'capitouls',
    'capitula',
    'capitulai',
    'capitulaient',
    'capitulaire',
    'capitulaires',
    'capitulais',
    'capitulait',
    'capitulant',
    'capitulard',
    'capitularde',
    'capitulardes',
    'capitulards',
    'capitulas',
    'capitulasse',
    'capitulasses',
    'capitulation',
    'capitule',
    'capitulent',
    'capituler',
    'capitulera',
    'capitulerai',
    'capitulerais',
    'capitulerait',
    'capituleras',
    'capitulerez',
    'capituleriez',
    'capitulerons',
    'capituleront',
    'capitules',
    'capitulez',
    'capituliez',
    'capitulions',
    'capitulons',
    'capitulâmes',
    'capitulât',
    'capitulâtes',
    'capitulèrent',
    'capitulé',
    'capité',
    'capitée',
    'capitées',
    'capités',
    'capon',
    'caponna',
    'caponnai',
    'caponnaient',
    'caponnais',
    'caponnait',
    'caponnant',
    'caponnas',
    'caponnasse',
    'caponnassent',
    'caponnasses',
    'caponnassiez',
    'caponne',
    'caponnent',
    'caponner',
    'caponnera',
    'caponnerai',
    'caponnerais',
    'caponnerait',
    'caponneras',
    'caponnerez',
    'caponneriez',
    'caponnerions',
    'caponnerons',
    'caponneront',
    'caponnes',
    'caponnez',
    'caponniez',
    'caponnions',
    'caponnière',
    'caponnières',
    'caponnons',
    'caponnâmes',
    'caponnât',
    'caponnâtes',
    'caponnèrent',
    'caponné',
    'capons',
    'caporal',
    'caporalisa',
    'caporalisai',
    'caporalisais',
    'caporalisait',
    'caporalisant',
    'caporalisas',
    'caporalise',
    'caporalisent',
    'caporaliser',
    'caporalisera',
    'caporalises',
    'caporalisez',
    'caporalisiez',
    'caporalisme',
    'caporalismes',
    'caporalisons',
    'caporalisât',
    'caporalisé',
    'caporalisée',
    'caporalisées',
    'caporalisés',
    'caporaux',
    'capot',
    'capota',
    'capotage',
    'capotages',
    'capotai',
    'capotaient',
    'capotais',
    'capotait',
    'capotant',
    'capotas',
    'capotasse',
    'capotassent',
    'capotasses',
    'capotassiez',
    'capotassions',
    'capote',
    'capotent',
    'capoter',
    'capotera',
    'capoterai',
    'capoteraient',
    'capoterais',
    'capoterait',
    'capoteras',
    'capoterez',
    'capoteriez',
    'capoterions',
    'capoterons',
    'capoteront',
    'capotes',
    'capotez',
    'capotiez',
    'capotions',
    'capotons',
    'capots',
    'capotâmes',
    'capotât',
    'capotâtes',
    'capotèrent',
    'capoté',
    'capotée',
    'capotées',
    'capotés',
    'cappa',
    'cappas',
    'capricant',
    'capricante',
    'capricantes',
    'capricants',
    'capriccio',
    'capriccios',
    'caprice',
    'caprices',
    'capricieuse',
    'capricieuses',
    'capricieux',
    'capricorne',
    'capricornes',
    'caprin',
    'caprine',
    'caprines',
    'caprins',
    'capron',
    'caprons',
    'caprylique',
    'capryliques',
    'caps',
    'capselle',
    'capselles',
    'capside',
    'capsides',
    'capsula',
    'capsulage',
    'capsulages',
    'capsulai',
    'capsulaient',
    'capsulaire',
    'capsulaires',
    'capsulais',
    'capsulait',
    'capsulant',
    'capsulas',
    'capsulasse',
    'capsulassent',
    'capsulasses',
    'capsulassiez',
    'capsule',
    'capsulent',
    'capsuler',
    'capsulera',
    'capsulerai',
    'capsulerais',
    'capsulerait',
    'capsuleras',
    'capsulerez',
    'capsuleriez',
    'capsulerions',
    'capsulerons',
    'capsuleront',
    'capsules',
    'capsulez',
    'capsuliez',
    'capsulions',
    'capsulons',
    'capsulâmes',
    'capsulât',
    'capsulâtes',
    'capsulèrent',
    'capsulé',
    'capsulée',
    'capsulées',
    'capsulés',
    'capta',
    'captage',
    'captages',
    'captai',
    'captaient',
    'captais',
    'captait',
    'captal',
    'captals',
    'captant',
    'captas',
    'captasse',
    'captassent',
    'captasses',
    'captassiez',
    'captassions',
    'captateur',
    'captateurs',
    'captatif',
    'captatifs',
    'captation',
    'captations',
    'captative',
    'captatives',
    'captativité',
    'captativités',
    'captatoire',
    'captatoires',
    'captatrice',
    'captatrices',
    'capte',
    'captent',
    'capter',
    'captera',
    'capterai',
    'capteraient',
    'capterais',
    'capterait',
    'capteras',
    'capterez',
    'capteriez',
    'capterions',
    'capterons',
    'capteront',
    'captes',
    'capteur',
    'capteurs',
    'captez',
    'captieuse',
    'captieuses',
    'captieux',
    'captiez',
    'captif',
    'captifs',
    'captions',
    'captiva',
    'captivai',
    'captivaient',
    'captivais',
    'captivait',
    'captivant',
    'captivante',
    'captivantes',
    'captivants',
    'captivas',
    'captivasse',
    'captivassent',
    'captivasses',
    'captivassiez',
    'captive',
    'captivent',
    'captiver',
    'captivera',
    'captiverai',
    'captiverais',
    'captiverait',
    'captiveras',
    'captiverez',
    'captiveriez',
    'captiverions',
    'captiverons',
    'captiveront',
    'captives',
    'captivez',
    'captiviez',
    'captivions',
    'captivité',
    'captivités',
    'captivons',
    'captivâmes',
    'captivât',
    'captivâtes',
    'captivèrent',
    'captivé',
    'captivée',
    'captivées',
    'captivés',
    'captons',
    'captura',
    'capturai',
    'capturaient',
    'capturais',
    'capturait',
    'capturant',
    'capturas',
    'capturasse',
    'capturassent',
    'capturasses',
    'capturassiez',
    'capture',
    'capturent',
    'capturer',
    'capturera',
    'capturerai',
    'capturerais',
    'capturerait',
    'captureras',
    'capturerez',
    'captureriez',
    'capturerions',
    'capturerons',
    'captureront',
    'captures',
    'capturez',
    'capturiez',
    'capturions',
    'capturons',
    'capturâmes',
    'capturât',
    'capturâtes',
    'capturèrent',
    'capturé',
    'capturée',
    'capturées',
    'capturés',
    'captâmes',
    'captât',
    'captâtes',
    'captèrent',
    'capté',
    'captée',
    'captées',
    'captés',
    'capuce',
    'capuces',
    'capuche',
    'capuches',
    'capuchon',
    'capuchonna',
    'capuchonnai',
    'capuchonnais',
    'capuchonnait',
    'capuchonnant',
    'capuchonnas',
    'capuchonne',
    'capuchonnent',
    'capuchonner',
    'capuchonnera',
    'capuchonnes',
    'capuchonnez',
    'capuchonniez',
    'capuchonnons',
    'capuchonnât',
    'capuchonné',
    'capuchonnée',
    'capuchonnées',
    'capuchonnés',
    'capuchons',
    'capucin',
    'capucinade',
    'capucinades',
    'capucine',
    'capucines',
    'capucins',
    'capulet',
    'capulets',
    'capéa',
    'capéai',
    'capéaient',
    'capéais',
    'capéait',
    'capéant',
    'capéas',
    'capéasse',
    'capéassent',
    'capéasses',
    'capéassiez',
    'capéassions',
    'capée',
    'capéent',
    'capéer',
    'capéera',
    'capéerai',
    'capéeraient',
    'capéerais',
    'capéerait',
    'capéeras',
    'capéerez',
    'capéeriez',
    'capéerions',
    'capéerons',
    'capéeront',
    'capées',
    'capéez',
    'capéiez',
    'capéions',
    'capéons',
    'capésien',
    'capésienne',
    'capésiennes',
    'capésiens',
    'capétien',
    'capétienne',
    'capétiennes',
    'capétiens',
    'capéâmes',
    'capéât',
    'capéâtes',
    'capéèrent',
    'capéé',
    'caqua',
    'caquai',
    'caquaient',
    'caquais',
    'caquait',
    'caquant',
    'caquas',
    'caquasse',
    'caquassent',
    'caquasses',
    'caquassiez',
    'caquassions',
    'caque',
    'caquelon',
    'caquelons',
    'caquent',
    'caquer',
    'caquera',
    'caquerai',
    'caqueraient',
    'caquerais',
    'caquerait',
    'caqueras',
    'caquerez',
    'caqueriez',
    'caquerions',
    'caquerons',
    'caqueront',
    'caques',
    'caquet',
    'caqueta',
    'caquetage',
    'caquetages',
    'caquetai',
    'caquetaient',
    'caquetais',
    'caquetait',
    'caquetant',
    'caquetante',
    'caquetantes',
    'caquetants',
    'caquetas',
    'caquetasse',
    'caquetassent',
    'caquetasses',
    'caquetassiez',
    'caqueter',
    'caquetez',
    'caquetiez',
    'caquetions',
    'caquetons',
    'caquets',
    'caquette',
    'caquettent',
    'caquettera',
    'caquetterai',
    'caquetterais',
    'caquetterait',
    'caquetteras',
    'caquetterez',
    'caquetteriez',
    'caquetterons',
    'caquetteront',
    'caquettes',
    'caquetâmes',
    'caquetât',
    'caquetâtes',
    'caquetèrent',
    'caqueté',
    'caquez',
    'caquiez',
    'caquions',
    'caquons',
    'caquâmes',
    'caquât',
    'caquâtes',
    'caquèrent',
    'caquètement',
    'caquètements',
    'caqué',
    'caquée',
    'caquées',
    'caqués',
    'carabe',
    'carabes',
    'carabin',
    'carabine',
    'carabines',
    'carabinier',
    'carabiniers',
    'carabins',
    'carabiné',
    'carabinée',
    'carabinées',
    'carabinés',
    'caracal',
    'caracals',
    'caraco',
    'caracola',
    'caracolai',
    'caracolaient',
    'caracolais',
    'caracolait',
    'caracolant',
    'caracolas',
    'caracolasse',
    'caracolasses',
    'caracole',
    'caracolent',
    'caracoler',
    'caracolera',
    'caracolerai',
    'caracolerais',
    'caracolerait',
    'caracoleras',
    'caracolerez',
    'caracoleriez',
    'caracolerons',
    'caracoleront',
    'caracoles',
    'caracolez',
    'caracoliez',
    'caracolions',
    'caracolons',
    'caracolâmes',
    'caracolât',
    'caracolâtes',
    'caracolèrent',
    'caracolé',
    'caracos',
    'caractère',
    'caractères',
    'caractériel',
    'caractériels',
    'caractérisa',
    'caractérisai',
    'caractérisas',
    'caractérise',
    'caractériser',
    'caractérises',
    'caractérisez',
    'caractérisât',
    'caractérisé',
    'caractérisée',
    'caractérisés',
    'caracul',
    'caraculs',
    'carafe',
    'carafes',
    'carafon',
    'carafons',
    'carambola',
    'carambolage',
    'carambolages',
    'carambolai',
    'carambolais',
    'carambolait',
    'carambolant',
    'carambolas',
    'carambolasse',
    'carambole',
    'carambolent',
    'caramboler',
    'carambolera',
    'carambolerai',
    'caramboleras',
    'carambolerez',
    'caramboles',
    'carambolez',
    'caramboliez',
    'carambolions',
    'carambolons',
    'carambolâmes',
    'carambolât',
    'carambolâtes',
    'carambolé',
    'carambolée',
    'carambolées',
    'carambolés',
    'caramel',
    'caramels',
    'caramélisa',
    'caramélisai',
    'caramélisais',
    'caramélisait',
    'caramélisant',
    'caramélisas',
    'caramélise',
    'caramélisent',
    'caraméliser',
    'caramélisera',
    'caramélises',
    'caramélisez',
    'caramélisiez',
    'caramélisons',
    'caramélisât',
    'caramélisé',
    'caramélisée',
    'caramélisées',
    'caramélisés',
    'caramélé',
    'caramélée',
    'caramélées',
    'caramélés',
    'carapace',
    'carapaces',
    'carapata',
    'carapatai',
    'carapataient',
    'carapatais',
    'carapatait',
    'carapatant',
    'carapatas',
    'carapatasse',
    'carapatasses',
    'carapate',
    'carapatent',
    'carapater',
    'carapatera',
    'carapaterai',
    'carapaterais',
    'carapaterait',
    'carapateras',
    'carapaterez',
    'carapateriez',
    'carapaterons',
    'carapateront',
    'carapates',
    'carapatez',
    'carapatiez',
    'carapations',
    'carapatons',
    'carapatâmes',
    'carapatât',
    'carapatâtes',
    'carapatèrent',
    'carapaté',
    'carapatée',
    'carapatées',
    'carapatés',
    'carat',
    'carats',
    'caravanage',
    'caravanages',
    'caravane',
    'caravanes',
    'caravanier',
    'caravaniers',
    'caravaning',
    'caravanière',
    'caravanières',
    'caravelle',
    'caravelles',
    'caraïbe',
    'caraïbes',
    'carbonari',
    'carbonaro',
    'carbonata',
    'carbonatai',
    'carbonatais',
    'carbonatait',
    'carbonatant',
    'carbonatas',
    'carbonatasse',
    'carbonate',
    'carbonatent',
    'carbonater',
    'carbonatera',
    'carbonaterai',
    'carbonateras',
    'carbonaterez',
    'carbonates',
    'carbonatez',
    'carbonatiez',
    'carbonations',
    'carbonatons',
    'carbonatâmes',
    'carbonatât',
    'carbonatâtes',
    'carbonaté',
    'carbonatée',
    'carbonatées',
    'carbonatés',
    'carbone',
    'carbones',
    'carbonifère',
    'carbonifères',
    'carbonique',
    'carboniques',
    'carbonisa',
    'carbonisai',
    'carbonisais',
    'carbonisait',
    'carbonisant',
    'carbonisas',
    'carbonisasse',
    'carbonise',
    'carbonisent',
    'carboniser',
    'carbonisera',
    'carboniserai',
    'carboniseras',
    'carboniserez',
    'carbonises',
    'carbonisez',
    'carbonisiez',
    'carbonisions',
    'carbonisons',
    'carbonisâmes',
    'carbonisât',
    'carbonisâtes',
    'carbonisé',
    'carbonisée',
    'carbonisées',
    'carbonisés',
    'carbonnade',
    'carbonnades',
    'carbonyle',
    'carbonyles',
    'carboné',
    'carbonée',
    'carbonées',
    'carbonés',
    'carborundum',
    'carborundums',
    'carboxylase',
    'carboxylases',
    'carboxyle',
    'carboxyles',
    'carbura',
    'carburai',
    'carburaient',
    'carburais',
    'carburait',
    'carburant',
    'carburants',
    'carburas',
    'carburasse',
    'carburassent',
    'carburasses',
    'carburassiez',
    'carburateur',
    'carburateurs',
    'carburation',
    'carburations',
    'carbure',
    'carburent',
    'carburer',
    'carburera',
    'carburerai',
    'carburerais',
    'carburerait',
    'carbureras',
    'carburerez',
    'carbureriez',
    'carburerions',
    'carburerons',
    'carbureront',
    'carbures',
    'carburez',
    'carburiez',
    'carburions',
    'carburons',
    'carburâmes',
    'carburât',
    'carburâtes',
    'carburèrent',
    'carburé',
    'carburée',
    'carburées',
    'carburés',
    'carcailla',
    'carcaillai',
    'carcaillais',
    'carcaillait',
    'carcaillant',
    'carcaillas',
    'carcaillasse',
    'carcaille',
    'carcaillent',
    'carcailler',
    'carcaillera',
    'carcaillerai',
    'carcailleras',
    'carcaillerez',
    'carcailles',
    'carcaillez',
    'carcailliez',
    'carcaillions',
    'carcaillons',
    'carcaillâmes',
    'carcaillât',
    'carcaillâtes',
    'carcaillé',
    'carcajou',
    'carcajous',
    'carcan',
    'carcans',
    'carcasse',
    'carcasses',
    'carcel',
    'carcels',
    'carcinogène',
    'carcinogènes',
    'carcinologie',
    'carcinome',
    'carcinomes',
    'carcéral',
    'carcérale',
    'carcérales',
    'carcéraux',
    'carda',
    'cardage',
    'cardages',
    'cardai',
    'cardaient',
    'cardais',
    'cardait',
    'cardamine',
    'cardamines',
    'cardamome',
    'cardamomes',
    'cardan',
    'cardans',
    'cardant',
    'cardas',
    'cardasse',
    'cardassent',
    'cardasses',
    'cardassiez',
    'cardassions',
    'carde',
    'cardent',
    'carder',
    'cardera',
    'carderai',
    'carderaient',
    'carderais',
    'carderait',
    'carderas',
    'carderez',
    'carderiez',
    'carderions',
    'carderons',
    'carderont',
    'cardes',
    'cardeur',
    'cardeurs',
    'cardeuse',
    'cardeuses',
    'cardez',
    'cardia',
    'cardial',
    'cardiale',
    'cardiales',
    'cardialgie',
    'cardialgies',
    'cardiaque',
    'cardiaques',
    'cardias',
    'cardiaux',
    'cardiez',
    'cardigan',
    'cardigans',
    'cardinal',
    'cardinalat',
    'cardinalats',
    'cardinale',
    'cardinales',
    'cardinalice',
    'cardinalices',
    'cardinaux',
    'cardiogramme',
    'cardiographe',
    'cardiologie',
    'cardiologies',
    'cardiologue',
    'cardiologues',
    'cardions',
    'cardiopathie',
    'cardiotomie',
    'cardiotomies',
    'cardioïde',
    'cardioïdes',
    'cardite',
    'cardites',
    'cardon',
    'cardons',
    'cardâmes',
    'cardât',
    'cardâtes',
    'cardère',
    'cardèrent',
    'cardères',
    'cardé',
    'cardée',
    'cardées',
    'cardés',
    'carence',
    'carencent',
    'carencer',
    'carencera',
    'carencerai',
    'carencerais',
    'carencerait',
    'carenceras',
    'carencerez',
    'carenceriez',
    'carencerions',
    'carencerons',
    'carenceront',
    'carences',
    'carencez',
    'carenciez',
    'carencions',
    'carencèrent',
    'carencé',
    'carencée',
    'carencées',
    'carencés',
    'carentiel',
    'carentielle',
    'carentielles',
    'carentiels',
    'carença',
    'carençai',
    'carençaient',
    'carençais',
    'carençait',
    'carençant',
    'carenças',
    'carençasse',
    'carençassent',
    'carençasses',
    'carençassiez',
    'carençons',
    'carençâmes',
    'carençât',
    'carençâtes',
    'caressa',
    'caressai',
    'caressaient',
    'caressais',
    'caressait',
    'caressant',
    'caressante',
    'caressantes',
    'caressants',
    'caressas',
    'caressasse',
    'caressassent',
    'caressasses',
    'caressassiez',
    'caresse',
    'caressent',
    'caresser',
    'caressera',
    'caresserai',
    'caresserais',
    'caresserait',
    'caresseras',
    'caresserez',
    'caresseriez',
    'caresserions',
    'caresserons',
    'caresseront',
    'caresses',
    'caressez',
    'caressiez',
    'caressions',
    'caressons',
    'caressâmes',
    'caressât',
    'caressâtes',
    'caressèrent',
    'caressé',
    'caressée',
    'caressées',
    'caressés',
    'carex',
    'cargaison',
    'cargaisons',
    'cargo',
    'cargos',
    'cargua',
    'carguai',
    'carguaient',
    'carguais',
    'carguait',
    'carguant',
    'carguas',
    'carguasse',
    'carguassent',
    'carguasses',
    'carguassiez',
    'carguassions',
    'cargue',
    'carguent',
    'carguer',
    'carguera',
    'carguerai',
    'cargueraient',
    'carguerais',
    'carguerait',
    'cargueras',
    'carguerez',
    'cargueriez',
    'carguerions',
    'carguerons',
    'cargueront',
    'cargues',
    'carguez',
    'carguiez',
    'carguions',
    'carguons',
    'carguâmes',
    'carguât',
    'carguâtes',
    'carguèrent',
    'cargué',
    'carguée',
    'carguées',
    'cargués',
    'cari',
    'caria',
    'cariacou',
    'cariacous',
    'cariai',
    'cariaient',
    'cariais',
    'cariait',
    'cariant',
    'carias',
    'cariasse',
    'cariassent',
    'cariasses',
    'cariassiez',
    'cariassions',
    'cariatide',
    'cariatides',
    'caribou',
    'caribous',
    'caricatura',
    'caricaturai',
    'caricaturais',
    'caricaturait',
    'caricatural',
    'caricaturale',
    'caricaturant',
    'caricaturas',
    'caricaturaux',
    'caricature',
    'caricaturent',
    'caricaturer',
    'caricaturera',
    'caricatures',
    'caricaturez',
    'caricaturiez',
    'caricaturons',
    'caricaturât',
    'caricaturé',
    'caricaturée',
    'caricaturées',
    'caricaturés',
    'carie',
    'carient',
    'carier',
    'cariera',
    'carierai',
    'carieraient',
    'carierais',
    'carierait',
    'carieras',
    'carierez',
    'carieriez',
    'carierions',
    'carierons',
    'carieront',
    'caries',
    'carieuse',
    'carieuses',
    'carieux',
    'cariez',
    'cariiez',
    'cariions',
    'carillon',
    'carillonna',
    'carillonnai',
    'carillonnais',
    'carillonnait',
    'carillonnant',
    'carillonnas',
    'carillonne',
    'carillonnent',
    'carillonner',
    'carillonnera',
    'carillonnes',
    'carillonneur',
    'carillonnez',
    'carillonniez',
    'carillonnons',
    'carillonnât',
    'carillonné',
    'carillonnée',
    'carillonnées',
    'carillonnés',
    'carillons',
    'carions',
    'caris',
    'cariste',
    'caristes',
    'caritatif',
    'caritatifs',
    'caritative',
    'caritatives',
    'cariâmes',
    'cariât',
    'cariâtes',
    'carièrent',
    'carié',
    'cariée',
    'cariées',
    'cariés',
    'carlin',
    'carline',
    'carlines',
    'carlingue',
    'carlingues',
    'carlinguier',
    'carlinguiers',
    'carlins',
    'carlisme',
    'carlismes',
    'carliste',
    'carlistes',
    'carma',
    'carmagnole',
    'carmagnoles',
    'carmai',
    'carmaient',
    'carmais',
    'carmait',
    'carmant',
    'carmas',
    'carmasse',
    'carmassent',
    'carmasses',
    'carmassiez',
    'carmassions',
    'carme',
    'carmeline',
    'carmelines',
    'carment',
    'carmer',
    'carmera',
    'carmerai',
    'carmeraient',
    'carmerais',
    'carmerait',
    'carmeras',
    'carmerez',
    'carmeriez',
    'carmerions',
    'carmerons',
    'carmeront',
    'carmes',
    'carmez',
    'carmiez',
    'carmin',
    'carmina',
    'carminai',
    'carminaient',
    'carminais',
    'carminait',
    'carminant',
    'carminas',
    'carminasse',
    'carminassent',
    'carminasses',
    'carminassiez',
    'carminatif',
    'carminatifs',
    'carminative',
    'carminatives',
    'carmine',
    'carminent',
    'carminer',
    'carminera',
    'carminerai',
    'carminerais',
    'carminerait',
    'carmineras',
    'carminerez',
    'carmineriez',
    'carminerions',
    'carminerons',
    'carmineront',
    'carmines',
    'carminez',
    'carminiez',
    'carminions',
    'carminons',
    'carmins',
    'carminâmes',
    'carminât',
    'carminâtes',
    'carminèrent',
    'carminé',
    'carminée',
    'carminées',
    'carminés',
    'carmions',
    'carmons',
    'carmâmes',
    'carmât',
    'carmâtes',
    'carmèrent',
    'carmé',
    'carmée',
    'carmées',
    'carmélite',
    'carmélites',
    'carmés',
    'carnage',
    'carnages',
    'carnassier',
    'carnassiers',
    'carnassière',
    'carnassières',
    'carnation',
    'carnations',
    'carnaval',
    'carnavals',
    'carne',
    'carneau',
    'carneaux',
    'carnes',
    'carnet',
    'carnets',
    'carnier',
    'carniers',
    'carnifia',
    'carnifiai',
    'carnifiaient',
    'carnifiais',
    'carnifiait',
    'carnifiant',
    'carnifias',
    'carnifiasse',
    'carnifiasses',
    'carnifie',
    'carnifient',
    'carnifier',
    'carnifiera',
    'carnifierai',
    'carnifierais',
    'carnifierait',
    'carnifieras',
    'carnifierez',
    'carnifieriez',
    'carnifierons',
    'carnifieront',
    'carnifies',
    'carnifiez',
    'carnifiiez',
    'carnifiions',
    'carnifions',
    'carnifiâmes',
    'carnifiât',
    'carnifiâtes',
    'carnifièrent',
    'carnifié',
    'carnifiée',
    'carnifiées',
    'carnifiés',
    'carnivore',
    'carnivores',
    'carnotset',
    'carnotsets',
    'carnèle',
    'carnèles',
    'carné',
    'carnée',
    'carnées',
    'carnés',
    'carolingien',
    'carolingiens',
    'carolus',
    'caronade',
    'caronades',
    'caroncule',
    'caroncules',
    'carotide',
    'carotides',
    'carotta',
    'carottage',
    'carottages',
    'carottai',
    'carottaient',
    'carottais',
    'carottait',
    'carottant',
    'carottas',
    'carottasse',
    'carottassent',
    'carottasses',
    'carottassiez',
    'carotte',
    'carottent',
    'carotter',
    'carottera',
    'carotterai',
    'carotterais',
    'carotterait',
    'carotteras',
    'carotterez',
    'carotteriez',
    'carotterions',
    'carotterons',
    'carotteront',
    'carottes',
    'carotteur',
    'carotteurs',
    'carotteuse',
    'carotteuses',
    'carottez',
    'carottier',
    'carottiers',
    'carottiez',
    'carottions',
    'carottière',
    'carottières',
    'carottons',
    'carottâmes',
    'carottât',
    'carottâtes',
    'carottèrent',
    'carotté',
    'carottée',
    'carottées',
    'carottés',
    'carotène',
    'carotènes',
    'caroube',
    'caroubes',
    'caroubier',
    'caroubiers',
    'carpatique',
    'carpatiques',
    'carpe',
    'carpeau',
    'carpeaux',
    'carpelle',
    'carpelles',
    'carpes',
    'carpette',
    'carpettes',
    'carpien',
    'carpienne',
    'carpiennes',
    'carpiens',
    'carpillon',
    'carpillons',
    'carpocapse',
    'carpocapses',
    'carra',
    'carrai',
    'carraient',
    'carrais',
    'carrait',
    'carrant',
    'carrare',
    'carrares',
    'carras',
    'carrasse',
    'carrassent',
    'carrasses',
    'carrassiez',
    'carrassions',
    'carre',
    'carreau',
    'carreaux',
    'carrefour',
    'carrefours',
    'carrela',
    'carrelage',
    'carrelages',
    'carrelai',
    'carrelaient',
    'carrelais',
    'carrelait',
    'carrelant',
    'carrelas',
    'carrelasse',
    'carrelassent',
    'carrelasses',
    'carrelassiez',
    'carreler',
    'carrelet',
    'carrelets',
    'carreleur',
    'carreleurs',
    'carrelez',
    'carreliez',
    'carrelions',
    'carrelle',
    'carrellent',
    'carrellera',
    'carrellerai',
    'carrellerais',
    'carrellerait',
    'carrelleras',
    'carrellerez',
    'carrelleriez',
    'carrellerons',
    'carrelleront',
    'carrelles',
    'carrelons',
    'carrelâmes',
    'carrelât',
    'carrelâtes',
    'carrelèrent',
    'carrelé',
    'carrelée',
    'carrelées',
    'carrelés',
    'carrent',
    'carrer',
    'carrera',
    'carrerai',
    'carreraient',
    'carrerais',
    'carrerait',
    'carreras',
    'carrerez',
    'carreriez',
    'carrerions',
    'carrerons',
    'carreront',
    'carres',
    'carrez',
    'carrick',
    'carricks',
    'carrier',
    'carriers',
    'carriez',
    'carriole',
    'carrioles',
    'carrions',
    'carrière',
    'carrières',
    'carriérisme',
    'carriérismes',
    'carriériste',
    'carriéristes',
    'carroie',
    'carroient',
    'carroiera',
    'carroierai',
    'carroierais',
    'carroierait',
    'carroieras',
    'carroierez',
    'carroieriez',
    'carroierions',
    'carroierons',
    'carroieront',
    'carroies',
    'carrons',
    'carrossa',
    'carrossable',
    'carrossables',
    'carrossage',
    'carrossages',
    'carrossai',
    'carrossaient',
    'carrossais',
    'carrossait',
    'carrossant',
    'carrossas',
    'carrossasse',
    'carrossasses',
    'carrosse',
    'carrossent',
    'carrosser',
    'carrossera',
    'carrosserai',
    'carrosserais',
    'carrosserait',
    'carrosseras',
    'carrosserez',
    'carrosserie',
    'carrosseries',
    'carrosseriez',
    'carrosserons',
    'carrosseront',
    'carrosses',
    'carrossez',
    'carrossier',
    'carrossiers',
    'carrossiez',
    'carrossions',
    'carrossons',
    'carrossâmes',
    'carrossât',
    'carrossâtes',
    'carrossèrent',
    'carrossé',
    'carrossée',
    'carrossées',
    'carrossés',
    'carrousel',
    'carrousels',
    'carroya',
    'carroyage',
    'carroyages',
    'carroyai',
    'carroyaient',
    'carroyais',
    'carroyait',
    'carroyant',
    'carroyas',
    'carroyasse',
    'carroyassent',
    'carroyasses',
    'carroyassiez',
    'carroyer',
    'carroyez',
    'carroyiez',
    'carroyions',
    'carroyons',
    'carroyâmes',
    'carroyât',
    'carroyâtes',
    'carroyèrent',
    'carroyé',
    'carroyée',
    'carroyées',
    'carroyés',
    'carrure',
    'carrures',
    'carry',
    'carrys',
    'carrâmes',
    'carrât',
    'carrâtes',
    'carrèrent',
    'carré',
    'carrée',
    'carrées',
    'carrément',
    'carrés',
    'cars',
    'cartable',
    'cartables',
    'cartayer',
    'carte',
    'cartel',
    'cartels',
    'carter',
    'carters',
    'cartes',
    'carthaginois',
    'cartier',
    'cartiers',
    'cartilage',
    'cartilages',
    'cartographe',
    'cartographes',
    'cartographie',
    'cartomancie',
    'cartomancien',
    'cartomancies',
    'carton',
    'cartonna',
    'cartonnage',
    'cartonnages',
    'cartonnai',
    'cartonnaient',
    'cartonnais',
    'cartonnait',
    'cartonnant',
    'cartonnas',
    'cartonnasse',
    'cartonnasses',
    'cartonne',
    'cartonnent',
    'cartonner',
    'cartonnera',
    'cartonnerai',
    'cartonnerais',
    'cartonnerait',
    'cartonneras',
    'cartonnerez',
    'cartonnerie',
    'cartonneries',
    'cartonneriez',
    'cartonnerons',
    'cartonneront',
    'cartonnes',
    'cartonneuse',
    'cartonneuses',
    'cartonneux',
    'cartonnez',
    'cartonnier',
    'cartonniers',
    'cartonniez',
    'cartonnions',
    'cartonnière',
    'cartonnières',
    'cartonnons',
    'cartonnâmes',
    'cartonnât',
    'cartonnâtes',
    'cartonnèrent',
    'cartonné',
    'cartonnée',
    'cartonnées',
    'cartonnés',
    'cartons',
    'cartoon',
    'cartoons',
    'cartothèque',
    'cartothèques',
    'cartouche',
    'cartoucherie',
    'cartouches',
    'cartouchière',
    'cartésien',
    'cartésienne',
    'cartésiennes',
    'cartésiens',
    'caryopse',
    'caryopses',
    'carène',
    'carènent',
    'carènes',
    'caréna',
    'carénage',
    'carénages',
    'carénai',
    'carénaient',
    'carénais',
    'carénait',
    'carénant',
    'carénas',
    'carénasse',
    'carénassent',
    'carénasses',
    'carénassiez',
    'carénassions',
    'caréner',
    'carénera',
    'carénerai',
    'caréneraient',
    'carénerais',
    'carénerait',
    'caréneras',
    'carénerez',
    'caréneriez',
    'carénerions',
    'carénerons',
    'caréneront',
    'carénez',
    'caréniez',
    'carénions',
    'carénons',
    'carénâmes',
    'carénât',
    'carénâtes',
    'carénèrent',
    'caréné',
    'carénée',
    'carénées',
    'carénés',
    'carême',
    'carêmes',
    'casa',
    'casai',
    'casaient',
    'casais',
    'casait',
    'casanier',
    'casaniers',
    'casanière',
    'casanières',
    'casant',
    'casaque',
    'casaques',
    'casaquin',
    'casaquins',
    'casas',
    'casasse',
    'casassent',
    'casasses',
    'casassiez',
    'casassions',
    'casbah',
    'casbahs',
    'cascada',
    'cascadai',
    'cascadaient',
    'cascadais',
    'cascadait',
    'cascadant',
    'cascadas',
    'cascadasse',
    'cascadassent',
    'cascadasses',
    'cascadassiez',
    'cascade',
    'cascadent',
    'cascader',
    'cascadera',
    'cascaderai',
    'cascaderais',
    'cascaderait',
    'cascaderas',
    'cascaderez',
    'cascaderiez',
    'cascaderions',
    'cascaderons',
    'cascaderont',
    'cascades',
    'cascadeur',
    'cascadeurs',
    'cascadeuse',
    'cascadeuses',
    'cascadez',
    'cascadiez',
    'cascadions',
    'cascadons',
    'cascadâmes',
    'cascadât',
    'cascadâtes',
    'cascadèrent',
    'cascadé',
    'cascatelle',
    'cascatelles',
    'case',
    'casemata',
    'casematai',
    'casemataient',
    'casematais',
    'casematait',
    'casematant',
    'casematas',
    'casematasse',
    'casematasses',
    'casemate',
    'casematent',
    'casemater',
    'casematera',
    'casematerai',
    'casematerais',
    'casematerait',
    'casemateras',
    'casematerez',
    'casemateriez',
    'casematerons',
    'casemateront',
    'casemates',
    'casematez',
    'casematiez',
    'casemations',
    'casematons',
    'casematâmes',
    'casematât',
    'casematâtes',
    'casematèrent',
    'casematé',
    'casematée',
    'casematées',
    'casematés',
    'casent',
    'caser',
    'casera',
    'caserai',
    'caseraient',
    'caserais',
    'caserait',
    'caseras',
    'caserez',
    'caseriez',
    'caserions',
    'caserna',
    'casernai',
    'casernaient',
    'casernais',
    'casernait',
    'casernant',
    'casernas',
    'casernasse',
    'casernassent',
    'casernasses',
    'casernassiez',
    'caserne',
    'casernement',
    'casernements',
    'casernent',
    'caserner',
    'casernera',
    'casernerai',
    'casernerais',
    'casernerait',
    'caserneras',
    'casernerez',
    'caserneriez',
    'casernerions',
    'casernerons',
    'caserneront',
    'casernes',
    'casernez',
    'casernier',
    'caserniers',
    'caserniez',
    'casernions',
    'casernons',
    'casernâmes',
    'casernât',
    'casernâtes',
    'casernèrent',
    'caserné',
    'casernée',
    'casernées',
    'casernés',
    'caserons',
    'caseront',
    'cases',
    'casez',
    'cash',
    'casher',
    'cashmere',
    'cashmeres',
    'casier',
    'casiers',
    'casiez',
    'casimir',
    'casimirs',
    'casino',
    'casinos',
    'casions',
    'casoar',
    'casoars',
    'casons',
    'casqua',
    'casquai',
    'casquaient',
    'casquais',
    'casquait',
    'casquant',
    'casquas',
    'casquasse',
    'casquassent',
    'casquasses',
    'casquassiez',
    'casquassions',
    'casque',
    'casquent',
    'casquer',
    'casquera',
    'casquerai',
    'casqueraient',
    'casquerais',
    'casquerait',
    'casqueras',
    'casquerez',
    'casqueriez',
    'casquerions',
    'casquerons',
    'casqueront',
    'casques',
    'casquette',
    'casquettes',
    'casquez',
    'casquiez',
    'casquions',
    'casquons',
    'casquâmes',
    'casquât',
    'casquâtes',
    'casquèrent',
    'casqué',
    'casquée',
    'casquées',
    'casqués',
    'cassa',
    'cassable',
    'cassables',
    'cassage',
    'cassages',
    'cassai',
    'cassaient',
    'cassais',
    'cassait',
    'cassant',
    'cassante',
    'cassantes',
    'cassants',
    'cassas',
    'cassasse',
    'cassassent',
    'cassasses',
    'cassassiez',
    'cassassions',
    'cassate',
    'cassates',
    'cassation',
    'cassations',
    'casse',
    'casseau',
    'casseaux',
    'cassement',
    'cassements',
    'cassent',
    'casser',
    'cassera',
    'casserai',
    'casseraient',
    'casserais',
    'casserait',
    'casseras',
    'casserez',
    'casseriez',
    'casserions',
    'casserole',
    'casseroles',
    'casserons',
    'casseront',
    'casses',
    'cassetin',
    'cassetins',
    'cassette',
    'cassettes',
    'casseur',
    'casseurs',
    'casseuse',
    'casseuses',
    'cassez',
    'cassier',
    'cassiers',
    'cassiez',
    'cassine',
    'cassines',
    'cassions',
    'cassis',
    'cassitérite',
    'cassitérites',
    'cassolette',
    'cassolettes',
    'casson',
    'cassonade',
    'cassonades',
    'cassons',
    'cassoulet',
    'cassoulets',
    'cassure',
    'cassures',
    'cassâmes',
    'cassât',
    'cassâtes',
    'cassèrent',
    'cassé',
    'cassée',
    'cassées',
    'cassés',
    'castagna',
    'castagnai',
    'castagnaient',
    'castagnais',
    'castagnait',
    'castagnant',
    'castagnas',
    'castagnasse',
    'castagnasses',
    'castagne',
    'castagnent',
    'castagner',
    'castagnera',
    'castagnerai',
    'castagnerais',
    'castagnerait',
    'castagneras',
    'castagnerez',
    'castagneriez',
    'castagnerons',
    'castagneront',
    'castagnes',
    'castagnettes',
    'castagnez',
    'castagniez',
    'castagnions',
    'castagnons',
    'castagnâmes',
    'castagnât',
    'castagnâtes',
    'castagnèrent',
    'castagné',
    'castagnée',
    'castagnées',
    'castagnés',
    'caste',
    'castel',
    'castels',
    'castes',
    'castigliano',
    'castillan',
    'castillane',
    'castillanes',
    'castillans',
    'castine',
    'castines',
    'castor',
    'castors',
    'castoréum',
    'castoréums',
    'castra',
    'castrai',
    'castraient',
    'castrais',
    'castrait',
    'castrant',
    'castras',
    'castrasse',
    'castrassent',
    'castrasses',
    'castrassiez',
    'castrassions',
    'castrat',
    'castrateur',
    'castrateurs',
    'castration',
    'castrations',
    'castratrice',
    'castratrices',
    'castrats',
    'castre',
    'castrent',
    'castrer',
    'castrera',
    'castrerai',
    'castreraient',
    'castrerais',
    'castrerait',
    'castreras',
    'castrerez',
    'castreriez',
    'castrerions',
    'castrerons',
    'castreront',
    'castres',
    'castrez',
    'castriez',
    'castrions',
    'castrons',
    'castrâmes',
    'castrât',
    'castrâtes',
    'castrèrent',
    'castré',
    'castrée',
    'castrées',
    'castrés',
    'casuel',
    'casuelle',
    'casuelles',
    'casuels',
    'casuiste',
    'casuistes',
    'casuistique',
    'casuistiques',
    'casâmes',
    'casât',
    'casâtes',
    'casèrent',
    'casé',
    'casée',
    'casées',
    'caséfia',
    'caséfiai',
    'caséfiaient',
    'caséfiais',
    'caséfiait',
    'caséfiant',
    'caséfias',
    'caséfiasse',
    'caséfiassent',
    'caséfiasses',
    'caséfiassiez',
    'caséfie',
    'caséfient',
    'caséfier',
    'caséfiera',
    'caséfierai',
    'caséfierais',
    'caséfierait',
    'caséfieras',
    'caséfierez',
    'caséfieriez',
    'caséfierions',
    'caséfierons',
    'caséfieront',
    'caséfies',
    'caséfiez',
    'caséfiiez',
    'caséfiions',
    'caséfions',
    'caséfiâmes',
    'caséfiât',
    'caséfiâtes',
    'caséfièrent',
    'caséfié',
    'caséfiée',
    'caséfiées',
    'caséfiés',
    'caséine',
    'casés',
    'catabolisme',
    'catabolismes',
    'catachrèse',
    'catachrèses',
    'cataclysme',
    'cataclysmes',
    'catacombes',
    'catadioptre',
    'catadioptres',
    'catafalque',
    'catafalques',
    'cataire',
    'cataires',
    'catalan',
    'catalane',
    'catalanes',
    'catalans',
    'catalectique',
    'catalepsie',
    'catalepsies',
    'cataleptique',
    'catalogne',
    'catalognes',
    'catalogua',
    'cataloguai',
    'cataloguais',
    'cataloguait',
    'cataloguant',
    'cataloguas',
    'cataloguasse',
    'catalogue',
    'cataloguent',
    'cataloguer',
    'cataloguera',
    'cataloguerai',
    'catalogueras',
    'cataloguerez',
    'catalogues',
    'cataloguez',
    'cataloguiez',
    'cataloguions',
    'cataloguons',
    'cataloguâmes',
    'cataloguât',
    'cataloguâtes',
    'catalogué',
    'cataloguée',
    'cataloguées',
    'catalogués',
    'catalpa',
    'catalpas',
    'catalysa',
    'catalysai',
    'catalysaient',
    'catalysais',
    'catalysait',
    'catalysant',
    'catalysas',
    'catalysasse',
    'catalysasses',
    'catalyse',
    'catalysent',
    'catalyser',
    'catalysera',
    'catalyserai',
    'catalyserais',
    'catalyserait',
    'catalyseras',
    'catalyserez',
    'catalyseriez',
    'catalyserons',
    'catalyseront',
    'catalyses',
    'catalyseur',
    'catalyseurs',
    'catalysez',
    'catalysiez',
    'catalysions',
    'catalysons',
    'catalysâmes',
    'catalysât',
    'catalysâtes',
    'catalysèrent',
    'catalysé',
    'catalysée',
    'catalysées',
    'catalysés',
    'catalytique',
    'catalytiques',
    'catamaran',
    'catamarans',
    'cataphote',
    'cataphotes',
    'cataplasme',
    'cataplasmes',
    'catapulta',
    'catapultage',
    'catapultages',
    'catapultai',
    'catapultais',
    'catapultait',
    'catapultant',
    'catapultas',
    'catapultasse',
    'catapulte',
    'catapultent',
    'catapulter',
    'catapultera',
    'catapulterai',
    'catapulteras',
    'catapulterez',
    'catapultes',
    'catapultez',
    'catapultiez',
    'catapultions',
    'catapultons',
    'catapultâmes',
    'catapultât',
    'catapultâtes',
    'catapulté',
    'catapultée',
    'catapultées',
    'catapultés',
    'cataracte',
    'cataractes',
    'catarrhal',
    'catarrhale',
    'catarrhales',
    'catarrhaux',
    'catarrhe',
    'catarrhes',
    'catarrheuse',
    'catarrheuses',
    'catarrheux',
    'catastropha',
    'catastrophai',
    'catastrophas',
    'catastrophe',
    'catastropher',
    'catastrophes',
    'catastrophez',
    'catastrophât',
    'catastrophé',
    'catastrophée',
    'catastrophés',
    'catch',
    'catcha',
    'catchai',
    'catchaient',
    'catchais',
    'catchait',
    'catchant',
    'catchas',
    'catchasse',
    'catchassent',
    'catchasses',
    'catchassiez',
    'catchassions',
    'catche',
    'catchent',
    'catcher',
    'catchera',
    'catcherai',
    'catcheraient',
    'catcherais',
    'catcherait',
    'catcheras',
    'catcherez',
    'catcheriez',
    'catcherions',
    'catcherons',
    'catcheront',
    'catches',
    'catcheur',
    'catcheurs',
    'catcheuse',
    'catcheuses',
    'catchez',
    'catchiez',
    'catchions',
    'catchons',
    'catchs',
    'catchâmes',
    'catchât',
    'catchâtes',
    'catchèrent',
    'catché',
    'cathare',
    'cathares',
    'catharsique',
    'catharsiques',
    'catherinette',
    'cathode',
    'cathodes',
    'cathodique',
    'cathodiques',
    'catholicisme',
    'catholicité',
    'catholicités',
    'catholique',
    'catholiques',
    'cathédrale',
    'cathédrales',
    'cathéter',
    'cathéters',
    'cathétérisme',
    'cati',
    'catia',
    'catilinaire',
    'catilinaires',
    'catimini',
    'catin',
    'catins',
    'cation',
    'cationique',
    'cationiques',
    'cations',
    'catir',
    'catis',
    'catissage',
    'catissages',
    'catoblépas',
    'catogan',
    'catogans',
    'catoptrique',
    'catoptriques',
    'cattleya',
    'cattleyas',
    'catéchisa',
    'catéchisai',
    'catéchisais',
    'catéchisait',
    'catéchisant',
    'catéchisas',
    'catéchisasse',
    'catéchise',
    'catéchisent',
    'catéchiser',
    'catéchisera',
    'catéchiserai',
    'catéchiseras',
    'catéchiserez',
    'catéchises',
    'catéchisez',
    'catéchisiez',
    'catéchisions',
    'catéchisme',
    'catéchismes',
    'catéchisons',
    'catéchiste',
    'catéchistes',
    'catéchisâmes',
    'catéchisât',
    'catéchisâtes',
    'catéchisé',
    'catéchisée',
    'catéchisées',
    'catéchisés',
    'catéchumène',
    'catéchumènes',
    'catéchuménat',
    'catégorie',
    'catégoriel',
    'catégorielle',
    'catégoriels',
    'catégories',
    'catégorique',
    'catégoriques',
    'catégorisa',
    'catégorisais',
    'catégorisait',
    'catégorisant',
    'catégorise',
    'catégorisent',
    'catégoriser',
    'catégorisera',
    'catégorises',
    'catégorisez',
    'catégorisiez',
    'catégorisons',
    'catégorisé',
    'catégorisée',
    'catégorisées',
    'catégorisés',
    'catégorème',
    'catégorèmes',
    'caténaire',
    'caténaires',
    'caucasien',
    'caucasienne',
    'caucasiennes',
    'caucasiens',
    'cauchemar',
    'cauchemarda',
    'cauchemardai',
    'cauchemardas',
    'cauchemarde',
    'cauchemarder',
    'cauchemardes',
    'cauchemardez',
    'cauchemardât',
    'cauchemardé',
    'cauchemars',
    'caudal',
    'caudale',
    'caudales',
    'caudataire',
    'caudataires',
    'caudaux',
    'caudillo',
    'caudillos',
    'caudrette',
    'caudrettes',
    'caulescent',
    'caulescente',
    'caulescentes',
    'caulescents',
    'cauri',
    'cauris',
    'causa',
    'causai',
    'causaient',
    'causais',
    'causait',
    'causal',
    'causale',
    'causales',
    'causalisme',
    'causalismes',
    'causalité',
    'causalités',
    'causals',
    'causant',
    'causante',
    'causantes',
    'causants',
    'causas',
    'causasse',
    'causassent',
    'causasses',
    'causassiez',
    'causassions',
    'causatif',
    'causatifs',
    'causative',
    'causatives',
    'causaux',
    'cause',
    'causent',
    'causer',
    'causera',
    'causerai',
    'causeraient',
    'causerais',
    'causerait',
    'causeras',
    'causerez',
    'causerie',
    'causeries',
    'causeriez',
    'causerions',
    'causerons',
    'causeront',
    'causes',
    'causette',
    'causettes',
    'causeur',
    'causeurs',
    'causeuse',
    'causeuses',
    'causez',
    'causiez',
    'causions',
    'causons',
    'causse',
    'causses',
    'causticité',
    'causticités',
    'caustique',
    'caustiques',
    'causâmes',
    'causât',
    'causâtes',
    'causèrent',
    'causé',
    'causée',
    'causées',
    'causés',
    'cauteleuse',
    'cauteleuses',
    'cauteleux',
    'caution',
    'cautionna',
    'cautionnai',
    'cautionnais',
    'cautionnait',
    'cautionnant',
    'cautionnas',
    'cautionnasse',
    'cautionne',
    'cautionnent',
    'cautionner',
    'cautionnera',
    'cautionnerai',
    'cautionneras',
    'cautionnerez',
    'cautionnes',
    'cautionnez',
    'cautionniez',
    'cautionnions',
    'cautionnons',
    'cautionnâmes',
    'cautionnât',
    'cautionnâtes',
    'cautionné',
    'cautionnée',
    'cautionnées',
    'cautionnés',
    'cautions',
    'cautèle',
    'cautèles',
    'cautère',
    'cautères',
    'cautérisa',
    'cautérisai',
    'cautérisais',
    'cautérisait',
    'cautérisant',
    'cautérisante',
    'cautérisants',
    'cautérisas',
    'cautérisasse',
    'cautérise',
    'cautérisent',
    'cautériser',
    'cautérisera',
    'cautériserai',
    'cautériseras',
    'cautériserez',
    'cautérises',
    'cautérisez',
    'cautérisiez',
    'cautérisions',
    'cautérisons',
    'cautérisâmes',
    'cautérisât',
    'cautérisâtes',
    'cautérisé',
    'cautérisée',
    'cautérisées',
    'cautérisés',
    'cava',
    'cavai',
    'cavaient',
    'cavaillon',
    'cavaillons',
    'cavais',
    'cavait',
    'cavala',
    'cavalai',
    'cavalaient',
    'cavalais',
    'cavalait',
    'cavalant',
    'cavalas',
    'cavalasse',
    'cavalassent',
    'cavalasses',
    'cavalassiez',
    'cavalassions',
    'cavalcada',
    'cavalcadai',
    'cavalcadais',
    'cavalcadait',
    'cavalcadant',
    'cavalcadas',
    'cavalcadasse',
    'cavalcade',
    'cavalcadent',
    'cavalcader',
    'cavalcadera',
    'cavalcaderai',
    'cavalcaderas',
    'cavalcaderez',
    'cavalcades',
    'cavalcadez',
    'cavalcadiez',
    'cavalcadions',
    'cavalcadons',
    'cavalcadâmes',
    'cavalcadât',
    'cavalcadâtes',
    'cavalcadé',
    'cavale',
    'cavalent',
    'cavaler',
    'cavalera',
    'cavalerai',
    'cavaleraient',
    'cavalerais',
    'cavalerait',
    'cavaleras',
    'cavalerez',
    'cavalerie',
    'cavaleries',
    'cavaleriez',
    'cavalerions',
    'cavalerons',
    'cavaleront',
    'cavales',
    'cavaleur',
    'cavaleurs',
    'cavaleuse',
    'cavaleuses',
    'cavalez',
    'cavalier',
    'cavaliers',
    'cavaliez',
    'cavalions',
    'cavalière',
    'cavalières',
    'cavalons',
    'cavalâmes',
    'cavalât',
    'cavalâtes',
    'cavalèrent',
    'cavalé',
    'cavalée',
    'cavalées',
    'cavalés',
    'cavant',
    'cavas',
    'cavasse',
    'cavassent',
    'cavasses',
    'cavassiez',
    'cavassions',
    'cavatine',
    'cavatines',
    'cave',
    'caveau',
    'caveaux',
    'cavent',
    'caver',
    'cavera',
    'caverai',
    'caveraient',
    'caverais',
    'caverait',
    'caveras',
    'caverez',
    'caveriez',
    'caverions',
    'caverne',
    'cavernes',
    'caverneuse',
    'caverneuses',
    'caverneux',
    'cavernicole',
    'cavernicoles',
    'caverons',
    'caveront',
    'caves',
    'cavet',
    'cavets',
    'cavez',
    'caviar',
    'caviarda',
    'caviardai',
    'caviardaient',
    'caviardais',
    'caviardait',
    'caviardant',
    'caviardas',
    'caviardasse',
    'caviardasses',
    'caviarde',
    'caviardent',
    'caviarder',
    'caviardera',
    'caviarderai',
    'caviarderais',
    'caviarderait',
    'caviarderas',
    'caviarderez',
    'caviarderiez',
    'caviarderons',
    'caviarderont',
    'caviardes',
    'caviardez',
    'caviardiez',
    'caviardions',
    'caviardons',
    'caviardâmes',
    'caviardât',
    'caviardâtes',
    'caviardèrent',
    'caviardé',
    'caviardée',
    'caviardées',
    'caviardés',
    'caviars',
    'cavicorne',
    'cavicornes',
    'caviez',
    'cavions',
    'caviste',
    'cavistes',
    'cavitation',
    'cavitations',
    'cavité',
    'cavités',
    'cavons',
    'cavâmes',
    'cavât',
    'cavâtes',
    'cavèrent',
    'cavé',
    'cavée',
    'cavées',
    'cavés',
    'caïd',
    'caïds',
    'caïeu',
    'caïeux',
    'caïman',
    'caïmans',
    'caïque',
    'caïques',
    'ceci',
    'cedex',
    'ceignaient',
    'ceignais',
    'ceignait',
    'ceignant',
    'ceigne',
    'ceignent',
    'ceignes',
    'ceignez',
    'ceigniez',
    'ceignions',
    'ceignirent',
    'ceignis',
    'ceignisse',
    'ceignissent',
    'ceignisses',
    'ceignissiez',
    'ceignissions',
    'ceignit',
    'ceignons',
    'ceignîmes',
    'ceignît',
    'ceignîtes',
    'ceindra',
    'ceindrai',
    'ceindraient',
    'ceindrais',
    'ceindrait',
    'ceindras',
    'ceindre',
    'ceindrez',
    'ceindriez',
    'ceindrions',
    'ceindrons',
    'ceindront',
    'ceins',
    'ceint',
    'ceinte',
    'ceintes',
    'ceints',
    'ceintura',
    'ceinturage',
    'ceinturages',
    'ceinturai',
    'ceinturaient',
    'ceinturais',
    'ceinturait',
    'ceinturant',
    'ceinturas',
    'ceinturasse',
    'ceinturasses',
    'ceinture',
    'ceinturent',
    'ceinturer',
    'ceinturera',
    'ceinturerai',
    'ceinturerais',
    'ceinturerait',
    'ceintureras',
    'ceinturerez',
    'ceintureriez',
    'ceinturerons',
    'ceintureront',
    'ceintures',
    'ceinturez',
    'ceinturiez',
    'ceinturions',
    'ceinturon',
    'ceinturons',
    'ceinturâmes',
    'ceinturât',
    'ceinturâtes',
    'ceinturèrent',
    'ceinturé',
    'ceinturée',
    'ceinturées',
    'ceinturés',
    'cela',
    'celai',
    'celaient',
    'celais',
    'celait',
    'celant',
    'celas',
    'celasse',
    'celassent',
    'celasses',
    'celassiez',
    'celassions',
    'celebret',
    'celebrets',
    'celer',
    'celez',
    'celiez',
    'celions',
    'cella',
    'cellas',
    'celle',
    'celles',
    'cellier',
    'celliers',
    'cellophane',
    'cellophanes',
    'cellulaire',
    'cellulaires',
    'cellular',
    'cellulars',
    'cellule',
    'cellules',
    'cellulite',
    'cellulites',
    'cellulose',
    'celluloses',
    'cellulosique',
    'celluloïd',
    'celluloïds',
    'cellérier',
    'cellériers',
    'cellérière',
    'cellérières',
    'celons',
    'celte',
    'celtes',
    'celtique',
    'celtiques',
    'celui',
    'celâmes',
    'celât',
    'celâtes',
    'celèrent',
    'celé',
    'celée',
    'celées',
    'celés',
    'cendra',
    'cendrai',
    'cendraient',
    'cendrais',
    'cendrait',
    'cendrant',
    'cendras',
    'cendrasse',
    'cendrassent',
    'cendrasses',
    'cendrassiez',
    'cendrassions',
    'cendre',
    'cendrent',
    'cendrer',
    'cendrera',
    'cendrerai',
    'cendreraient',
    'cendrerais',
    'cendrerait',
    'cendreras',
    'cendrerez',
    'cendreriez',
    'cendrerions',
    'cendrerons',
    'cendreront',
    'cendres',
    'cendreuse',
    'cendreuses',
    'cendreux',
    'cendrez',
    'cendrier',
    'cendriers',
    'cendriez',
    'cendrillon',
    'cendrillons',
    'cendrions',
    'cendrons',
    'cendrâmes',
    'cendrât',
    'cendrâtes',
    'cendrèrent',
    'cendré',
    'cendrée',
    'cendrées',
    'cendrés',
    'cenelle',
    'cenelles',
    'cens',
    'censeur',
    'censeurs',
    'censier',
    'censiers',
    'censitaire',
    'censitaires',
    'censière',
    'censières',
    'censorat',
    'censorats',
    'censorial',
    'censoriale',
    'censoriales',
    'censoriaux',
    'censura',
    'censurai',
    'censuraient',
    'censurais',
    'censurait',
    'censurant',
    'censuras',
    'censurasse',
    'censurassent',
    'censurasses',
    'censurassiez',
    'censure',
    'censurent',
    'censurer',
    'censurera',
    'censurerai',
    'censurerais',
    'censurerait',
    'censureras',
    'censurerez',
    'censureriez',
    'censurerions',
    'censurerons',
    'censureront',
    'censures',
    'censurez',
    'censuriez',
    'censurions',
    'censurons',
    'censurâmes',
    'censurât',
    'censurâtes',
    'censurèrent',
    'censuré',
    'censurée',
    'censurées',
    'censurés',
    'censé',
    'censée',
    'censées',
    'censément',
    'censés',
    'cent',
    'centaine',
    'centaines',
    'centaure',
    'centaures',
    'centaurée',
    'centaurées',
    'centavo',
    'centavos',
    'centenaire',
    'centenaires',
    'centenier',
    'centeniers',
    'centennal',
    'centennale',
    'centennales',
    'centennaux',
    'centiare',
    'centiares',
    'centibar',
    'centibars',
    'centigrade',
    'centigrades',
    'centigramme',
    'centigrammes',
    'centilitre',
    'centilitres',
    'centime',
    'centimes',
    'centimètre',
    'centimètres',
    'centième',
    'centièmes',
    'centra',
    'centrage',
    'centrages',
    'centrai',
    'centraient',
    'centrais',
    'centrait',
    'central',
    'centrale',
    'centrales',
    'centralisa',
    'centralisai',
    'centralisais',
    'centralisait',
    'centralisant',
    'centralisas',
    'centralise',
    'centralisent',
    'centraliser',
    'centralisera',
    'centralises',
    'centralisez',
    'centralisiez',
    'centralisme',
    'centralismes',
    'centralisons',
    'centralisât',
    'centralisé',
    'centralisée',
    'centralisées',
    'centralisés',
    'centrant',
    'centras',
    'centrasse',
    'centrassent',
    'centrasses',
    'centrassiez',
    'centrassions',
    'centraux',
    'centre',
    'centrent',
    'centrer',
    'centrera',
    'centrerai',
    'centreraient',
    'centrerais',
    'centrerait',
    'centreras',
    'centrerez',
    'centreriez',
    'centrerions',
    'centrerons',
    'centreront',
    'centres',
    'centreur',
    'centreurs',
    'centrez',
    'centriez',
    'centrifuge',
    'centrifugea',
    'centrifugeai',
    'centrifugeas',
    'centrifugent',
    'centrifuger',
    'centrifugera',
    'centrifuges',
    'centrifugeur',
    'centrifugez',
    'centrifugeât',
    'centrifugiez',
    'centrifugé',
    'centrifugée',
    'centrifugées',
    'centrifugés',
    'centrions',
    'centripète',
    'centripètes',
    'centrisme',
    'centrismes',
    'centriste',
    'centristes',
    'centrons',
    'centrosome',
    'centrosomes',
    'centrâmes',
    'centrât',
    'centrâtes',
    'centrèrent',
    'centré',
    'centrée',
    'centrées',
    'centrés',
    'cents',
    'centupla',
    'centuplai',
    'centuplaient',
    'centuplais',
    'centuplait',
    'centuplant',
    'centuplas',
    'centuplasse',
    'centuplasses',
    'centuple',
    'centuplent',
    'centupler',
    'centuplera',
    'centuplerai',
    'centuplerais',
    'centuplerait',
    'centupleras',
    'centuplerez',
    'centupleriez',
    'centuplerons',
    'centupleront',
    'centuples',
    'centuplez',
    'centupliez',
    'centuplions',
    'centuplons',
    'centuplâmes',
    'centuplât',
    'centuplâtes',
    'centuplèrent',
    'centuplé',
    'centuplée',
    'centuplées',
    'centuplés',
    'centurie',
    'centuries',
    'centurion',
    'centurions',
    'centésimal',
    'centésimale',
    'centésimales',
    'centésimaux',
    'cependant',
    'ceps',
    'cerbère',
    'cerbères',
    'cerce',
    'cerceau',
    'cerceaux',
    'cerces',
    'cercla',
    'cerclage',
    'cerclages',
    'cerclai',
    'cerclaient',
    'cerclais',
    'cerclait',
    'cerclant',
    'cerclas',
    'cerclasse',
    'cerclassent',
    'cerclasses',
    'cerclassiez',
    'cerclassions',
    'cercle',
    'cerclent',
    'cercler',
    'cerclera',
    'cerclerai',
    'cercleraient',
    'cerclerais',
    'cerclerait',
    'cercleras',
    'cerclerez',
    'cercleriez',
    'cerclerions',
    'cerclerons',
    'cercleront',
    'cercles',
    'cerclez',
    'cercliez',
    'cerclions',
    'cerclons',
    'cerclâmes',
    'cerclât',
    'cerclâtes',
    'cerclèrent',
    'cerclé',
    'cerclée',
    'cerclées',
    'cerclés',
    'cercueil',
    'cercueils',
    'cerf',
    'cerfeuil',
    'cerfeuils',
    'cerfs',
    'cerisaie',
    'cerisaies',
    'cerise',
    'cerises',
    'cerisette',
    'cerisettes',
    'cerisier',
    'cerisiers',
    'cerna',
    'cernai',
    'cernaient',
    'cernais',
    'cernait',
    'cernant',
    'cernas',
    'cernasse',
    'cernassent',
    'cernasses',
    'cernassiez',
    'cernassions',
    'cerne',
    'cerneau',
    'cerneaux',
    'cernent',
    'cerner',
    'cernera',
    'cernerai',
    'cerneraient',
    'cernerais',
    'cernerait',
    'cerneras',
    'cernerez',
    'cerneriez',
    'cernerions',
    'cernerons',
    'cerneront',
    'cernes',
    'cernez',
    'cerniez',
    'cernions',
    'cernons',
    'cernâmes',
    'cernât',
    'cernâtes',
    'cernèrent',
    'cerné',
    'cernée',
    'cernées',
    'cernés',
    'certain',
    'certaine',
    'certainement',
    'certaines',
    'certains',
    'certes',
    'certifia',
    'certifiai',
    'certifiaient',
    'certifiais',
    'certifiait',
    'certifiant',
    'certifias',
    'certifiasse',
    'certifiasses',
    'certificat',
    'certificats',
    'certifie',
    'certifient',
    'certifier',
    'certifiera',
    'certifierai',
    'certifierais',
    'certifierait',
    'certifieras',
    'certifierez',
    'certifieriez',
    'certifierons',
    'certifieront',
    'certifies',
    'certifiez',
    'certifiiez',
    'certifiions',
    'certifions',
    'certifiâmes',
    'certifiât',
    'certifiâtes',
    'certifièrent',
    'certifié',
    'certifiée',
    'certifiées',
    'certifiés',
    'certitude',
    'certitudes',
    'cerveau',
    'cerveaux',
    'cervelas',
    'cervelet',
    'cervelets',
    'cervelle',
    'cervelles',
    'cervical',
    'cervicale',
    'cervicales',
    'cervicaux',
    'cervier',
    'cerviers',
    'cervoise',
    'cervoises',
    'cessa',
    'cessai',
    'cessaient',
    'cessais',
    'cessait',
    'cessant',
    'cessante',
    'cessantes',
    'cessants',
    'cessas',
    'cessasse',
    'cessassent',
    'cessasses',
    'cessassiez',
    'cessassions',
    'cessation',
    'cessations',
    'cesse',
    'cessent',
    'cesser',
    'cessera',
    'cesserai',
    'cesseraient',
    'cesserais',
    'cesserait',
    'cesseras',
    'cesserez',
    'cesseriez',
    'cesserions',
    'cesserons',
    'cesseront',
    'cesses',
    'cessez',
    'cessibilité',
    'cessibilités',
    'cessible',
    'cessibles',
    'cessiez',
    'cession',
    'cessionnaire',
    'cessions',
    'cessons',
    'cessâmes',
    'cessât',
    'cessâtes',
    'cessèrent',
    'cessé',
    'cessée',
    'cessées',
    'cessés',
    'ceste',
    'cestes',
    'cetera',
    'cette',
    'ceux',
    'chabichou',
    'chabichous',
    'chabla',
    'chablai',
    'chablaient',
    'chablais',
    'chablait',
    'chablant',
    'chablas',
    'chablasse',
    'chablassent',
    'chablasses',
    'chablassiez',
    'chablassions',
    'chable',
    'chablent',
    'chabler',
    'chablera',
    'chablerai',
    'chableraient',
    'chablerais',
    'chablerait',
    'chableras',
    'chablerez',
    'chableriez',
    'chablerions',
    'chablerons',
    'chableront',
    'chables',
    'chablez',
    'chabliez',
    'chablions',
    'chablis',
    'chablons',
    'chablâmes',
    'chablât',
    'chablâtes',
    'chablèrent',
    'chablé',
    'chablée',
    'chablées',
    'chablés',
    'chaboche',
    'chabot',
    'chabots',
    'chabraque',
    'chabraques',
    'chabrol',
    'chabrols',
    'chabrot',
    'chabrots',
    'chacal',
    'chacals',
    'chacone',
    'chacones',
    'chaconne',
    'chaconnes',
    'chacun',
    'chacune',
    'chadburn',
    'chadburns',
    'chadouf',
    'chadoufs',
    'chafouin',
    'chafouine',
    'chafouines',
    'chafouins',
    'chagrin',
    'chagrina',
    'chagrinai',
    'chagrinaient',
    'chagrinais',
    'chagrinait',
    'chagrinant',
    'chagrinante',
    'chagrinantes',
    'chagrinants',
    'chagrinas',
    'chagrinasse',
    'chagrinasses',
    'chagrine',
    'chagrinent',
    'chagriner',
    'chagrinera',
    'chagrinerai',
    'chagrinerais',
    'chagrinerait',
    'chagrineras',
    'chagrinerez',
    'chagrineriez',
    'chagrinerons',
    'chagrineront',
    'chagrines',
    'chagrinez',
    'chagriniez',
    'chagrinions',
    'chagrinons',
    'chagrins',
    'chagrinâmes',
    'chagrinât',
    'chagrinâtes',
    'chagrinèrent',
    'chagriné',
    'chagrinée',
    'chagrinées',
    'chagrinés',
    'chah',
    'chahs',
    'chahut',
    'chahuta',
    'chahutai',
    'chahutaient',
    'chahutais',
    'chahutait',
    'chahutant',
    'chahutante',
    'chahutantes',
    'chahutants',
    'chahutas',
    'chahutasse',
    'chahutassent',
    'chahutasses',
    'chahutassiez',
    'chahute',
    'chahutent',
    'chahuter',
    'chahutera',
    'chahuterai',
    'chahuterais',
    'chahuterait',
    'chahuteras',
    'chahuterez',
    'chahuteriez',
    'chahuterions',
    'chahuterons',
    'chahuteront',
    'chahutes',
    'chahuteur',
    'chahuteurs',
    'chahuteuse',
    'chahuteuses',
    'chahutez',
    'chahutiez',
    'chahutions',
    'chahutons',
    'chahuts',
    'chahutâmes',
    'chahutât',
    'chahutâtes',
    'chahutèrent',
    'chahuté',
    'chahutée',
    'chahutées',
    'chahutés',
    'chai',
    'chair',
    'chaire',
    'chaires',
    'chairs',
    'chais',
    'chaise',
    'chaises',
    'chaisier',
    'chaisiers',
    'chaisière',
    'chaisières',
    'chaland',
    'chalands',
    'chalaze',
    'chalazes',
    'chalazion',
    'chalazions',
    'chalcopyrite',
    'chalcosine',
    'chalcosines',
    'chaldéen',
    'chaldéenne',
    'chaldéennes',
    'chaldéens',
    'chalet',
    'chalets',
    'chaleur',
    'chaleureuse',
    'chaleureuses',
    'chaleureux',
    'chaleurs',
    'challenge',
    'challengea',
    'challengeai',
    'challengeais',
    'challengeait',
    'challengeant',
    'challengeas',
    'challengent',
    'challengeons',
    'challenger',
    'challengera',
    'challengerai',
    'challengeras',
    'challengerez',
    'challengers',
    'challenges',
    'challengeur',
    'challengeurs',
    'challengez',
    'challengeât',
    'challengiez',
    'challengions',
    'challengé',
    'challengée',
    'challengées',
    'challengés',
    'chaloir',
    'chaloupa',
    'chaloupai',
    'chaloupaient',
    'chaloupais',
    'chaloupait',
    'chaloupant',
    'chaloupas',
    'chaloupasse',
    'chaloupasses',
    'chaloupe',
    'chaloupent',
    'chalouper',
    'chaloupera',
    'chalouperai',
    'chalouperais',
    'chalouperait',
    'chalouperas',
    'chalouperez',
    'chalouperiez',
    'chalouperons',
    'chalouperont',
    'chaloupes',
    'chaloupez',
    'chaloupiez',
    'chaloupions',
    'chaloupons',
    'chaloupâmes',
    'chaloupât',
    'chaloupâtes',
    'chaloupèrent',
    'chaloupé',
    'chaloupée',
    'chaloupées',
    'chaloupés',
    'chalumeau',
    'chalumeaux',
    'chalut',
    'chalutage',
    'chalutages',
    'chalutier',
    'chalutiers',
    'chaluts',
    'chamade',
    'chamades',
    'chamailla',
    'chamaillai',
    'chamaillais',
    'chamaillait',
    'chamaillant',
    'chamaillas',
    'chamaillasse',
    'chamaille',
    'chamaillent',
    'chamailler',
    'chamaillera',
    'chamaillerai',
    'chamailleras',
    'chamaillerez',
    'chamaillerie',
    'chamailles',
    'chamailleur',
    'chamailleurs',
    'chamailleuse',
    'chamaillez',
    'chamailliez',
    'chamaillions',
    'chamaillons',
    'chamaillâmes',
    'chamaillât',
    'chamaillâtes',
    'chamaillé',
    'chamaillée',
    'chamaillées',
    'chamaillés',
    'chamanisme',
    'chamanismes',
    'chamarra',
    'chamarrai',
    'chamarraient',
    'chamarrais',
    'chamarrait',
    'chamarrant',
    'chamarras',
    'chamarrasse',
    'chamarrasses',
    'chamarre',
    'chamarrent',
    'chamarrer',
    'chamarrera',
    'chamarrerai',
    'chamarrerais',
    'chamarrerait',
    'chamarreras',
    'chamarrerez',
    'chamarreriez',
    'chamarrerons',
    'chamarreront',
    'chamarres',
    'chamarrez',
    'chamarriez',
    'chamarrions',
    'chamarrons',
    'chamarrure',
    'chamarrures',
    'chamarrâmes',
    'chamarrât',
    'chamarrâtes',
    'chamarrèrent',
    'chamarré',
    'chamarrée',
    'chamarrées',
    'chamarrés',
    'chambard',
    'chambarda',
    'chambardai',
    'chambardais',
    'chambardait',
    'chambardant',
    'chambardas',
    'chambardasse',
    'chambarde',
    'chambardent',
    'chambarder',
    'chambardera',
    'chambarderai',
    'chambarderas',
    'chambarderez',
    'chambardes',
    'chambardez',
    'chambardiez',
    'chambardions',
    'chambardons',
    'chambards',
    'chambardâmes',
    'chambardât',
    'chambardâtes',
    'chambardé',
    'chambardée',
    'chambardées',
    'chambardés',
    'chambellan',
    'chambellans',
    'chambertin',
    'chambertins',
    'chamboula',
    'chamboulai',
    'chamboulais',
    'chamboulait',
    'chamboulant',
    'chamboulas',
    'chamboulasse',
    'chamboule',
    'chamboulent',
    'chambouler',
    'chamboulera',
    'chamboulerai',
    'chambouleras',
    'chamboulerez',
    'chamboules',
    'chamboulez',
    'chambouliez',
    'chamboulions',
    'chamboulons',
    'chamboulâmes',
    'chamboulât',
    'chamboulâtes',
    'chamboulé',
    'chamboulée',
    'chamboulées',
    'chamboulés',
    'chambra',
    'chambrai',
    'chambraient',
    'chambrais',
    'chambrait',
    'chambranle',
    'chambranles',
    'chambrant',
    'chambras',
    'chambrasse',
    'chambrassent',
    'chambrasses',
    'chambrassiez',
    'chambre',
    'chambrent',
    'chambrer',
    'chambrera',
    'chambrerai',
    'chambrerais',
    'chambrerait',
    'chambreras',
    'chambrerez',
    'chambreriez',
    'chambrerions',
    'chambrerons',
    'chambreront',
    'chambres',
    'chambrette',
    'chambrettes',
    'chambrez',
    'chambrier',
    'chambriers',
    'chambriez',
    'chambrions',
    'chambrière',
    'chambrières',
    'chambrons',
    'chambrâmes',
    'chambrât',
    'chambrâtes',
    'chambrèrent',
    'chambré',
    'chambrée',
    'chambrées',
    'chambrés',
    'chameau',
    'chameaux',
    'chamelier',
    'chameliers',
    'chamelle',
    'chamelles',
    'chamois',
    'chamoisa',
    'chamoisage',
    'chamoisages',
    'chamoisai',
    'chamoisaient',
    'chamoisais',
    'chamoisait',
    'chamoisant',
    'chamoisas',
    'chamoisasse',
    'chamoisasses',
    'chamoise',
    'chamoisent',
    'chamoiser',
    'chamoisera',
    'chamoiserai',
    'chamoiserais',
    'chamoiserait',
    'chamoiseras',
    'chamoiserez',
    'chamoiserie',
    'chamoiseries',
    'chamoiseriez',
    'chamoiserons',
    'chamoiseront',
    'chamoises',
    'chamoisez',
    'chamoisiez',
    'chamoisions',
    'chamoisons',
    'chamoisâmes',
    'chamoisât',
    'chamoisâtes',
    'chamoisèrent',
    'chamoisé',
    'chamoisée',
    'chamoisées',
    'chamoisés',
    'champ',
    'champagne',
    'champagnes',
    'champagnisa',
    'champagnisai',
    'champagnisas',
    'champagnise',
    'champagniser',
    'champagnises',
    'champagnisez',
    'champagnisât',
    'champagnisé',
    'champagnisée',
    'champagnisés',
    'champart',
    'champarts',
    'champenois',
    'champenoise',
    'champenoises',
    'champi',
    'champignon',
    'champignons',
    'champion',
    'championnat',
    'championnats',
    'championne',
    'championnes',
    'champions',
    'champis',
    'champleva',
    'champlevai',
    'champlevais',
    'champlevait',
    'champlevant',
    'champlevas',
    'champlevasse',
    'champlever',
    'champlevez',
    'champleviez',
    'champlevions',
    'champlevons',
    'champlevâmes',
    'champlevât',
    'champlevâtes',
    'champlevé',
    'champlevée',
    'champlevées',
    'champlevés',
    'champlève',
    'champlèvent',
    'champlèvera',
    'champlèverai',
    'champlèveras',
    'champlèverez',
    'champlèves',
    'champs',
    'champêtre',
    'champêtres',
    'chamérops',
    'chance',
    'chancel',
    'chancela',
    'chancelai',
    'chancelaient',
    'chancelais',
    'chancelait',
    'chancelant',
    'chancelante',
    'chancelantes',
    'chancelants',
    'chancelas',
    'chancelasse',
    'chancelasses',
    'chanceler',
    'chancelez',
    'chancelier',
    'chanceliers',
    'chanceliez',
    'chancelions',
    'chancelière',
    'chancelières',
    'chancelle',
    'chancellent',
    'chancellera',
    'chancellerai',
    'chancelleras',
    'chancellerez',
    'chancellerie',
    'chancelles',
    'chancelons',
    'chancels',
    'chancelâmes',
    'chancelât',
    'chancelâtes',
    'chancelèrent',
    'chancelé',
    'chances',
    'chanceuse',
    'chanceuses',
    'chanceux',
    'chanci',
    'chancir',
    'chancira',
    'chancirai',
    'chanciraient',
    'chancirais',
    'chancirait',
    'chanciras',
    'chancirent',
    'chancirez',
    'chanciriez',
    'chancirions',
    'chancirons',
    'chanciront',
    'chancis',
    'chancissais',
    'chancissait',
    'chancissant',
    'chancisse',
    'chancissent',
    'chancisses',
    'chancissez',
    'chancissiez',
    'chancissions',
    'chancissons',
    'chancit',
    'chancre',
    'chancres',
    'chancîmes',
    'chancît',
    'chancîtes',
    'chandail',
    'chandails',
    'chandeleur',
    'chandeleurs',
    'chandelier',
    'chandeliers',
    'chandelle',
    'chandelles',
    'chanfrein',
    'chanfreina',
    'chanfreinai',
    'chanfreinais',
    'chanfreinait',
    'chanfreinant',
    'chanfreinas',
    'chanfreine',
    'chanfreinent',
    'chanfreiner',
    'chanfreinera',
    'chanfreines',
    'chanfreinez',
    'chanfreiniez',
    'chanfreinons',
    'chanfreins',
    'chanfreinât',
    'chanfreiné',
    'chanfreinée',
    'chanfreinées',
    'chanfreinés',
    'change',
    'changea',
    'changeable',
    'changeables',
    'changeai',
    'changeaient',
    'changeais',
    'changeait',
    'changeant',
    'changeante',
    'changeantes',
    'changeants',
    'changeas',
    'changeasse',
    'changeassent',
    'changeasses',
    'changeassiez',
    'changement',
    'changements',
    'changent',
    'changeons',
    'changer',
    'changera',
    'changerai',
    'changeraient',
    'changerais',
    'changerait',
    'changeras',
    'changerez',
    'changeriez',
    'changerions',
    'changerons',
    'changeront',
    'changes',
    'changeur',
    'changeurs',
    'changez',
    'changeâmes',
    'changeât',
    'changeâtes',
    'changiez',
    'changions',
    'changèrent',
    'changé',
    'changée',
    'changées',
    'changés',
    'chanlatte',
    'chanlattes',
    'chanoine',
    'chanoines',
    'chanoinesse',
    'chanoinesses',
    'chanson',
    'chansonna',
    'chansonnai',
    'chansonnais',
    'chansonnait',
    'chansonnant',
    'chansonnas',
    'chansonnasse',
    'chansonne',
    'chansonnent',
    'chansonner',
    'chansonnera',
    'chansonnerai',
    'chansonneras',
    'chansonnerez',
    'chansonnes',
    'chansonnette',
    'chansonnez',
    'chansonnier',
    'chansonniers',
    'chansonniez',
    'chansonnions',
    'chansonnière',
    'chansonnons',
    'chansonnâmes',
    'chansonnât',
    'chansonnâtes',
    'chansonné',
    'chansonnée',
    'chansonnées',
    'chansonnés',
    'chansons',
    'chanstiqua',
    'chanstiquai',
    'chanstiquais',
    'chanstiquait',
    'chanstiquant',
    'chanstiquas',
    'chanstique',
    'chanstiquent',
    'chanstiquer',
    'chanstiquera',
    'chanstiques',
    'chanstiquez',
    'chanstiquiez',
    'chanstiquons',
    'chanstiquât',
    'chanstiqué',
    'chanstiquée',
    'chanstiquées',
    'chanstiqués',
    'chant',
    'chanta',
    'chantage',
    'chantages',
    'chantai',
    'chantaient',
    'chantais',
    'chantait',
    'chantant',
    'chantante',
    'chantantes',
    'chantants',
    'chantas',
    'chantasse',
    'chantassent',
    'chantasses',
    'chantassiez',
    'chantassions',
    'chante',
    'chanteau',
    'chanteaux',
    'chantefable',
    'chantefables',
    'chantent',
    'chantepleure',
    'chanter',
    'chantera',
    'chanterai',
    'chanteraient',
    'chanterais',
    'chanterait',
    'chanteras',
    'chanterelle',
    'chanterelles',
    'chanterez',
    'chanteriez',
    'chanterions',
    'chanterons',
    'chanteront',
    'chantes',
    'chanteur',
    'chanteurs',
    'chanteuse',
    'chanteuses',
    'chantez',
    'chantier',
    'chantiers',
    'chantiez',
    'chantignole',
    'chantignoles',
    'chantilly',
    'chantions',
    'chantonna',
    'chantonnai',
    'chantonnais',
    'chantonnait',
    'chantonnant',
    'chantonnas',
    'chantonnasse',
    'chantonne',
    'chantonnent',
    'chantonner',
    'chantonnera',
    'chantonnerai',
    'chantonneras',
    'chantonnerez',
    'chantonnes',
    'chantonnez',
    'chantonniez',
    'chantonnions',
    'chantonnons',
    'chantonnâmes',
    'chantonnât',
    'chantonnâtes',
    'chantonné',
    'chantonnée',
    'chantonnées',
    'chantonnés',
    'chantons',
    'chantoung',
    'chantoungs',
    'chantourna',
    'chantournai',
    'chantournais',
    'chantournait',
    'chantournant',
    'chantournas',
    'chantourne',
    'chantournent',
    'chantourner',
    'chantournera',
    'chantournes',
    'chantournez',
    'chantourniez',
    'chantournons',
    'chantournât',
    'chantourné',
    'chantournée',
    'chantournées',
    'chantournés',
    'chantre',
    'chantres',
    'chants',
    'chantâmes',
    'chantât',
    'chantâtes',
    'chantèrent',
    'chanté',
    'chantée',
    'chantées',
    'chantés',
    'chanvre',
    'chanvres',
    'chanvrier',
    'chanvriers',
    'chanvrière',
    'chanvrières',
    'chançard',
    'chançarde',
    'chançardes',
    'chançards',
    'chaos',
    'chaotique',
    'chaotiques',
    'chaouch',
    'chaouchs',
    'chaparda',
    'chapardage',
    'chapardages',
    'chapardai',
    'chapardaient',
    'chapardais',
    'chapardait',
    'chapardant',
    'chapardas',
    'chapardasse',
    'chapardasses',
    'chaparde',
    'chapardent',
    'chaparder',
    'chapardera',
    'chaparderai',
    'chaparderais',
    'chaparderait',
    'chaparderas',
    'chaparderez',
    'chaparderiez',
    'chaparderons',
    'chaparderont',
    'chapardes',
    'chapardeur',
    'chapardeurs',
    'chapardeuse',
    'chapardeuses',
    'chapardez',
    'chapardiez',
    'chapardions',
    'chapardons',
    'chapardâmes',
    'chapardât',
    'chapardâtes',
    'chapardèrent',
    'chapardé',
    'chapardée',
    'chapardées',
    'chapardés',
    'chape',
    'chapeau',
    'chapeauta',
    'chapeautai',
    'chapeautais',
    'chapeautait',
    'chapeautant',
    'chapeautas',
    'chapeautasse',
    'chapeaute',
    'chapeautent',
    'chapeauter',
    'chapeautera',
    'chapeauterai',
    'chapeauteras',
    'chapeauterez',
    'chapeautes',
    'chapeautez',
    'chapeautiez',
    'chapeautions',
    'chapeautons',
    'chapeautâmes',
    'chapeautât',
    'chapeautâtes',
    'chapeauté',
    'chapeautée',
    'chapeautées',
    'chapeautés',
    'chapeaux',
    'chapela',
    'chapelai',
    'chapelaient',
    'chapelain',
    'chapelains',
    'chapelais',
    'chapelait',
    'chapelant',
    'chapelas',
    'chapelasse',
    'chapelassent',
    'chapelasses',
    'chapelassiez',
    'chapeler',
    'chapelet',
    'chapelets',
    'chapelez',
    'chapelier',
    'chapeliers',
    'chapeliez',
    'chapelions',
    'chapelière',
    'chapelières',
    'chapelle',
    'chapellenie',
    'chapellenies',
    'chapellent',
    'chapellera',
    'chapellerai',
    'chapellerais',
    'chapellerait',
    'chapelleras',
    'chapellerez',
    'chapellerie',
    'chapelleries',
    'chapelleriez',
    'chapellerons',
    'chapelleront',
    'chapelles',
    'chapelons',
    'chapelure',
    'chapelures',
    'chapelâmes',
    'chapelât',
    'chapelâtes',
    'chapelèrent',
    'chapelé',
    'chapelée',
    'chapelées',
    'chapelés',
    'chaperon',
    'chaperonna',
    'chaperonnai',
    'chaperonnais',
    'chaperonnait',
    'chaperonnant',
    'chaperonnas',
    'chaperonne',
    'chaperonnent',
    'chaperonner',
    'chaperonnera',
    'chaperonnes',
    'chaperonnez',
    'chaperonniez',
    'chaperonnons',
    'chaperonnât',
    'chaperonné',
    'chaperonnée',
    'chaperonnées',
    'chaperonnés',
    'chaperons',
    'chapes',
    'chapiteau',
    'chapiteaux',
    'chapitra',
    'chapitrai',
    'chapitraient',
    'chapitrais',
    'chapitrait',
    'chapitrant',
    'chapitras',
    'chapitrasse',
    'chapitrasses',
    'chapitre',
    'chapitrent',
    'chapitrer',
    'chapitrera',
    'chapitrerai',
    'chapitrerais',
    'chapitrerait',
    'chapitreras',
    'chapitrerez',
    'chapitreriez',
    'chapitrerons',
    'chapitreront',
    'chapitres',
    'chapitrez',
    'chapitriez',
    'chapitrions',
    'chapitrons',
    'chapitrâmes',
    'chapitrât',
    'chapitrâtes',
    'chapitrèrent',
    'chapitré',
    'chapitrée',
    'chapitrées',
    'chapitrés',
    'chaplinesque',
    'chapon',
    'chaponna',
    'chaponnai',
    'chaponnaient',
    'chaponnais',
    'chaponnait',
    'chaponnant',
    'chaponnas',
    'chaponnasse',
    'chaponnasses',
    'chaponne',
    'chaponnent',
    'chaponner',
    'chaponnera',
    'chaponnerai',
    'chaponnerais',
    'chaponnerait',
    'chaponneras',
    'chaponnerez',
    'chaponneriez',
    'chaponnerons',
    'chaponneront',
    'chaponnes',
    'chaponnez',
    'chaponniez',
    'chaponnions',
    'chaponnons',
    'chaponnâmes',
    'chaponnât',
    'chaponnâtes',
    'chaponnèrent',
    'chaponné',
    'chaponnée',
    'chaponnées',
    'chaponnés',
    'chapons',
    'chapska',
    'chapskas',
    'chaptalisa',
    'chaptalisai',
    'chaptalisais',
    'chaptalisait',
    'chaptalisant',
    'chaptalisas',
    'chaptalise',
    'chaptalisent',
    'chaptaliser',
    'chaptalisera',
    'chaptalises',
    'chaptalisez',
    'chaptalisiez',
    'chaptalisons',
    'chaptalisât',
    'chaptalisé',
    'chaptalisée',
    'chaptalisées',
    'chaptalisés',
    'chapé',
    'chapée',
    'chapées',
    'chapés',
    'chaque',
    'char',
    'charabia',
    'charabias',
    'charade',
    'charades',
    'charançon',
    'charançonné',
    'charançonnée',
    'charançonnés',
    'charançons',
    'charbon',
    'charbonna',
    'charbonnage',
    'charbonnages',
    'charbonnai',
    'charbonnais',
    'charbonnait',
    'charbonnant',
    'charbonnas',
    'charbonnasse',
    'charbonne',
    'charbonnent',
    'charbonner',
    'charbonnera',
    'charbonnerai',
    'charbonneras',
    'charbonnerez',
    'charbonnes',
    'charbonneuse',
    'charbonneux',
    'charbonnez',
    'charbonnier',
    'charbonniers',
    'charbonniez',
    'charbonnions',
    'charbonnière',
    'charbonnons',
    'charbonnâmes',
    'charbonnât',
    'charbonnâtes',
    'charbonné',
    'charbonnée',
    'charbonnées',
    'charbonnés',
    'charbons',
    'charcuta',
    'charcutai',
    'charcutaient',
    'charcutais',
    'charcutait',
    'charcutant',
    'charcutas',
    'charcutasse',
    'charcutasses',
    'charcute',
    'charcutent',
    'charcuter',
    'charcutera',
    'charcuterai',
    'charcuterais',
    'charcuterait',
    'charcuteras',
    'charcuterez',
    'charcuterie',
    'charcuteries',
    'charcuteriez',
    'charcuterons',
    'charcuteront',
    'charcutes',
    'charcutez',
    'charcutier',
    'charcutiers',
    'charcutiez',
    'charcutions',
    'charcutière',
    'charcutières',
    'charcutons',
    'charcutâmes',
    'charcutât',
    'charcutâtes',
    'charcutèrent',
    'charcuté',
    'charcutée',
    'charcutées',
    'charcutés',
    'chardon',
    'chardonneret',
    'chardons',
    'charge',
    'chargea',
    'chargeai',
    'chargeaient',
    'chargeais',
    'chargeait',
    'chargeant',
    'chargeas',
    'chargeasse',
    'chargeassent',
    'chargeasses',
    'chargeassiez',
    'chargement',
    'chargements',
    'chargent',
    'chargeons',
    'charger',
    'chargera',
    'chargerai',
    'chargeraient',
    'chargerais',
    'chargerait',
    'chargeras',
    'chargerez',
    'chargeriez',
    'chargerions',
    'chargerons',
    'chargeront',
    'charges',
    'chargeur',
    'chargeurs',
    'chargez',
    'chargeâmes',
    'chargeât',
    'chargeâtes',
    'chargiez',
    'chargions',
    'chargèrent',
    'chargé',
    'chargée',
    'chargées',
    'chargés',
    'chariot',
    'chariotage',
    'chariotages',
    'charioter',
    'chariots',
    'charisme',
    'charismes',
    'charitable',
    'charitables',
    'charité',
    'charités',
    'charivari',
    'charivaris',
    'charlatan',
    'charlatans',
    'charleston',
    'charlestons',
    'charlotte',
    'charlottes',
    'charma',
    'charmai',
    'charmaient',
    'charmais',
    'charmait',
    'charmant',
    'charmante',
    'charmantes',
    'charmants',
    'charmas',
    'charmasse',
    'charmassent',
    'charmasses',
    'charmassiez',
    'charmassions',
    'charme',
    'charment',
    'charmer',
    'charmera',
    'charmerai',
    'charmeraient',
    'charmerais',
    'charmerait',
    'charmeras',
    'charmerez',
    'charmeriez',
    'charmerions',
    'charmerons',
    'charmeront',
    'charmes',
    'charmeur',
    'charmeurs',
    'charmeuse',
    'charmeuses',
    'charmez',
    'charmiez',
    'charmille',
    'charmilles',
    'charmions',
    'charmons',
    'charmâmes',
    'charmât',
    'charmâtes',
    'charmèrent',
    'charmé',
    'charmée',
    'charmées',
    'charmés',
    'charnel',
    'charnelle',
    'charnelles',
    'charnels',
    'charnier',
    'charniers',
    'charnière',
    'charnières',
    'charnu',
    'charnue',
    'charnues',
    'charnus',
    'charognard',
    'charognards',
    'charogne',
    'charognes',
    'charpenta',
    'charpentage',
    'charpentages',
    'charpentai',
    'charpentais',
    'charpentait',
    'charpentant',
    'charpentas',
    'charpentasse',
    'charpente',
    'charpentent',
    'charpenter',
    'charpentera',
    'charpenterai',
    'charpenteras',
    'charpenterez',
    'charpenterie',
    'charpentes',
    'charpentez',
    'charpentier',
    'charpentiers',
    'charpentiez',
    'charpentions',
    'charpentons',
    'charpentâmes',
    'charpentât',
    'charpentâtes',
    'charpenté',
    'charpentée',
    'charpentées',
    'charpentés',
    'charpie',
    'charpies',
    'charretier',
    'charretiers',
    'charretin',
    'charretins',
    'charretière',
    'charretières',
    'charreton',
    'charretons',
    'charrette',
    'charrettes',
    'charretée',
    'charretées',
    'charria',
    'charriage',
    'charriages',
    'charriai',
    'charriaient',
    'charriais',
    'charriait',
    'charriant',
    'charrias',
    'charriasse',
    'charriassent',
    'charriasses',
    'charriassiez',
    'charrie',
    'charrient',
    'charrier',
    'charriera',
    'charrierai',
    'charrierais',
    'charrierait',
    'charrieras',
    'charrierez',
    'charrieriez',
    'charrierions',
    'charrierons',
    'charrieront',
    'charries',
    'charriez',
    'charriiez',
    'charriions',
    'charrions',
    'charriâmes',
    'charriât',
    'charriâtes',
    'charrièrent',
    'charrié',
    'charriée',
    'charriées',
    'charriés',
    'charroi',
    'charroie',
    'charroient',
    'charroiera',
    'charroierai',
    'charroierais',
    'charroierait',
    'charroieras',
    'charroierez',
    'charroieriez',
    'charroierons',
    'charroieront',
    'charroies',
    'charrois',
    'charron',
    'charronnage',
    'charronnages',
    'charrons',
    'charroya',
    'charroyai',
    'charroyaient',
    'charroyais',
    'charroyait',
    'charroyant',
    'charroyas',
    'charroyasse',
    'charroyasses',
    'charroyer',
    'charroyez',
    'charroyiez',
    'charroyions',
    'charroyons',
    'charroyâmes',
    'charroyât',
    'charroyâtes',
    'charroyèrent',
    'charroyé',
    'charroyée',
    'charroyées',
    'charroyés',
    'charruage',
    'charruages',
    'charrue',
    'charrues',
    'chars',
    'charte',
    'charter',
    'charters',
    'chartes',
    'chartisme',
    'chartismes',
    'chartiste',
    'chartistes',
    'chartreuse',
    'chartreuses',
    'chartreux',
    'chartrier',
    'chartriers',
    'chas',
    'chassa',
    'chassai',
    'chassaient',
    'chassais',
    'chassait',
    'chassant',
    'chassas',
    'chassasse',
    'chassassent',
    'chassasses',
    'chassassiez',
    'chassassions',
    'chasse',
    'chasselas',
    'chasseneuil',
    'chassent',
    'chassepot',
    'chassepots',
    'chasser',
    'chassera',
    'chasserai',
    'chasseraient',
    'chasserais',
    'chasserait',
    'chasseras',
    'chasseresse',
    'chasseresses',
    'chasserez',
    'chasseriez',
    'chasserions',
    'chasserons',
    'chasseront',
    'chasses',
    'chasseur',
    'chasseurs',
    'chasseuse',
    'chasseuses',
    'chassez',
    'chassie',
    'chassies',
    'chassieuse',
    'chassieuses',
    'chassieux',
    'chassiez',
    'chassions',
    'chassons',
    'chassâmes',
    'chassât',
    'chassâtes',
    'chassèrent',
    'chassé',
    'chassée',
    'chassées',
    'chassés',
    'chaste',
    'chastement',
    'chastes',
    'chasteté',
    'chastetés',
    'chasuble',
    'chasublerie',
    'chasubleries',
    'chasubles',
    'chat',
    'chatière',
    'chatières',
    'chatoie',
    'chatoiement',
    'chatoiements',
    'chatoient',
    'chatoiera',
    'chatoierai',
    'chatoierais',
    'chatoierait',
    'chatoieras',
    'chatoierez',
    'chatoieriez',
    'chatoierions',
    'chatoierons',
    'chatoieront',
    'chatoies',
    'chaton',
    'chatonna',
    'chatonnai',
    'chatonnaient',
    'chatonnais',
    'chatonnait',
    'chatonnant',
    'chatonnas',
    'chatonnasse',
    'chatonnasses',
    'chatonne',
    'chatonnent',
    'chatonner',
    'chatonnera',
    'chatonnerai',
    'chatonnerais',
    'chatonnerait',
    'chatonneras',
    'chatonnerez',
    'chatonneriez',
    'chatonnerons',
    'chatonneront',
    'chatonnes',
    'chatonnez',
    'chatonniez',
    'chatonnions',
    'chatonnons',
    'chatonnâmes',
    'chatonnât',
    'chatonnâtes',
    'chatonnèrent',
    'chatonné',
    'chatons',
    'chatouilla',
    'chatouillai',
    'chatouillais',
    'chatouillait',
    'chatouillant',
    'chatouillas',
    'chatouille',
    'chatouillent',
    'chatouiller',
    'chatouillera',
    'chatouilles',
    'chatouilleux',
    'chatouillez',
    'chatouilliez',
    'chatouillis',
    'chatouillons',
    'chatouillât',
    'chatouillé',
    'chatouillée',
    'chatouillées',
    'chatouillés',
    'chatoya',
    'chatoyai',
    'chatoyaient',
    'chatoyais',
    'chatoyait',
    'chatoyant',
    'chatoyante',
    'chatoyantes',
    'chatoyants',
    'chatoyas',
    'chatoyasse',
    'chatoyassent',
    'chatoyasses',
    'chatoyassiez',
    'chatoyer',
    'chatoyez',
    'chatoyiez',
    'chatoyions',
    'chatoyons',
    'chatoyâmes',
    'chatoyât',
    'chatoyâtes',
    'chatoyèrent',
    'chatoyé',
    'chats',
    'chatte',
    'chattemite',
    'chattemites',
    'chatterie',
    'chatteries',
    'chatterton',
    'chattertons',
    'chattes',
    'chaud',
    'chaude',
    'chaudeau',
    'chaudeaux',
    'chaudement',
    'chaudes',
    'chaudière',
    'chaudières',
    'chaudron',
    'chaudronnier',
    'chaudrons',
    'chauds',
    'chauffa',
    'chauffage',
    'chauffages',
    'chauffagiste',
    'chauffai',
    'chauffaient',
    'chauffais',
    'chauffait',
    'chauffant',
    'chauffante',
    'chauffantes',
    'chauffants',
    'chauffard',
    'chauffards',
    'chauffas',
    'chauffasse',
    'chauffassent',
    'chauffasses',
    'chauffassiez',
    'chauffe',
    'chauffent',
    'chauffer',
    'chauffera',
    'chaufferai',
    'chaufferais',
    'chaufferait',
    'chaufferas',
    'chaufferette',
    'chaufferez',
    'chaufferie',
    'chaufferies',
    'chaufferiez',
    'chaufferions',
    'chaufferons',
    'chaufferont',
    'chauffes',
    'chauffeur',
    'chauffeurs',
    'chauffeuse',
    'chauffeuses',
    'chauffez',
    'chauffiez',
    'chauffions',
    'chauffons',
    'chauffâmes',
    'chauffât',
    'chauffâtes',
    'chauffèrent',
    'chauffé',
    'chauffée',
    'chauffées',
    'chauffés',
    'chaufour',
    'chaufournier',
    'chaufours',
    'chaula',
    'chaulage',
    'chaulages',
    'chaulai',
    'chaulaient',
    'chaulais',
    'chaulait',
    'chaulant',
    'chaulas',
    'chaulasse',
    'chaulassent',
    'chaulasses',
    'chaulassiez',
    'chaulassions',
    'chaule',
    'chaulent',
    'chauler',
    'chaulera',
    'chaulerai',
    'chauleraient',
    'chaulerais',
    'chaulerait',
    'chauleras',
    'chaulerez',
    'chauleriez',
    'chaulerions',
    'chaulerons',
    'chauleront',
    'chaules',
    'chauleuse',
    'chauleuses',
    'chaulez',
    'chauliez',
    'chaulions',
    'chaulons',
    'chaulâmes',
    'chaulât',
    'chaulâtes',
    'chaulèrent',
    'chaulé',
    'chaulée',
    'chaulées',
    'chaulés',
    'chauma',
    'chaumai',
    'chaumaient',
    'chaumais',
    'chaumait',
    'chaumant',
    'chaumas',
    'chaumasse',
    'chaumassent',
    'chaumasses',
    'chaumassiez',
    'chaumassions',
    'chaume',
    'chaument',
    'chaumer',
    'chaumera',
    'chaumerai',
    'chaumeraient',
    'chaumerais',
    'chaumerait',
    'chaumeras',
    'chaumerez',
    'chaumeriez',
    'chaumerions',
    'chaumerons',
    'chaumeront',
    'chaumes',
    'chaumez',
    'chaumiez',
    'chaumine',
    'chaumines',
    'chaumions',
    'chaumière',
    'chaumières',
    'chaumons',
    'chaumâmes',
    'chaumât',
    'chaumâtes',
    'chaumèrent',
    'chaumé',
    'chaumée',
    'chaumées',
    'chaumés',
    'chaussa',
    'chaussai',
    'chaussaient',
    'chaussais',
    'chaussait',
    'chaussant',
    'chaussante',
    'chaussantes',
    'chaussants',
    'chaussas',
    'chaussasse',
    'chaussassent',
    'chaussasses',
    'chaussassiez',
    'chausse',
    'chaussent',
    'chausser',
    'chaussera',
    'chausserai',
    'chausserais',
    'chausserait',
    'chausseras',
    'chausserez',
    'chausseriez',
    'chausserions',
    'chausserons',
    'chausseront',
    'chausses',
    'chaussette',
    'chaussettes',
    'chausseur',
    'chausseurs',
    'chaussez',
    'chaussiez',
    'chaussions',
    'chausson',
    'chaussons',
    'chaussure',
    'chaussures',
    'chaussâmes',
    'chaussât',
    'chaussâtes',
    'chaussèrent',
    'chaussé',
    'chaussée',
    'chaussées',
    'chaussés',
    'chaut',
    'chauve',
    'chauves',
    'chauvi',
    'chauvin',
    'chauvine',
    'chauvines',
    'chauvinisme',
    'chauvinismes',
    'chauvins',
    'chauvir',
    'chauvira',
    'chauvirai',
    'chauviraient',
    'chauvirais',
    'chauvirait',
    'chauviras',
    'chauvirent',
    'chauvirez',
    'chauviriez',
    'chauvirions',
    'chauvirons',
    'chauviront',
    'chauvis',
    'chauvissais',
    'chauvissait',
    'chauvissant',
    'chauvisse',
    'chauvissent',
    'chauvisses',
    'chauvissez',
    'chauvissiez',
    'chauvissions',
    'chauvissons',
    'chauvit',
    'chauvîmes',
    'chauvît',
    'chauvîtes',
    'chaux',
    'chavira',
    'chavirai',
    'chaviraient',
    'chavirais',
    'chavirait',
    'chavirant',
    'chaviras',
    'chavirasse',
    'chavirassent',
    'chavirasses',
    'chavirassiez',
    'chavire',
    'chavirement',
    'chavirements',
    'chavirent',
    'chavirer',
    'chavirera',
    'chavirerai',
    'chavirerais',
    'chavirerait',
    'chavireras',
    'chavirerez',
    'chavireriez',
    'chavirerions',
    'chavirerons',
    'chavireront',
    'chavires',
    'chavirez',
    'chaviriez',
    'chavirions',
    'chavirons',
    'chavirâmes',
    'chavirât',
    'chavirâtes',
    'chavirèrent',
    'chaviré',
    'chavirée',
    'chavirées',
    'chavirés',
    'chaîna',
    'chaînage',
    'chaînages',
    'chaînai',
    'chaînaient',
    'chaînais',
    'chaînait',
    'chaînant',
    'chaînas',
    'chaînasse',
    'chaînassent',
    'chaînasses',
    'chaînassiez',
    'chaînassions',
    'chaîne',
    'chaînent',
    'chaîner',
    'chaînera',
    'chaînerai',
    'chaîneraient',
    'chaînerais',
    'chaînerait',
    'chaîneras',
    'chaînerez',
    'chaîneriez',
    'chaînerions',
    'chaînerons',
    'chaîneront',
    'chaînes',
    'chaînette',
    'chaînettes',
    'chaîneur',
    'chaîneurs',
    'chaîneuse',
    'chaîneuses',
    'chaînez',
    'chaînier',
    'chaîniers',
    'chaîniez',
    'chaînions',
    'chaîniste',
    'chaînistes',
    'chaînon',
    'chaînons',
    'chaînâmes',
    'chaînât',
    'chaînâtes',
    'chaînèrent',
    'chaîné',
    'chaînée',
    'chaînées',
    'chaînés',
    'check',
    'checks',
    'cheddite',
    'cheddites',
    'chef',
    'cheffe',
    'chefferie',
    'chefferies',
    'cheffes',
    'chefs',
    'cheftaine',
    'cheftaines',
    'cheik',
    'cheikh',
    'cheikhs',
    'cheiks',
    'cheire',
    'cheires',
    'chelem',
    'chelems',
    'chelingua',
    'chelinguai',
    'chelinguais',
    'chelinguait',
    'chelinguant',
    'chelinguas',
    'chelinguasse',
    'chelingue',
    'chelinguent',
    'chelinguer',
    'chelinguera',
    'chelinguerai',
    'chelingueras',
    'chelinguerez',
    'chelingues',
    'chelinguez',
    'chelinguiez',
    'chelinguions',
    'chelinguons',
    'chelinguâmes',
    'chelinguât',
    'chelinguâtes',
    'chelingué',
    'chelinguée',
    'chelinguées',
    'chelingués',
    'chelléen',
    'chelléenne',
    'chelléennes',
    'chelléens',
    'chemin',
    'chemina',
    'cheminai',
    'cheminaient',
    'cheminais',
    'cheminait',
    'cheminant',
    'cheminas',
    'cheminasse',
    'cheminassent',
    'cheminasses',
    'cheminassiez',
    'chemine',
    'cheminement',
    'cheminements',
    'cheminent',
    'cheminer',
    'cheminera',
    'cheminerai',
    'cheminerais',
    'cheminerait',
    'chemineras',
    'cheminerez',
    'chemineriez',
    'cheminerions',
    'cheminerons',
    'chemineront',
    'chemines',
    'cheminez',
    'cheminiez',
    'cheminions',
    'cheminons',
    'cheminot',
    'cheminots',
    'chemins',
    'cheminâmes',
    'cheminât',
    'cheminâtes',
    'cheminèrent',
    'cheminé',
    'cheminée',
    'cheminées',
    'chemisa',
    'chemisage',
    'chemisages',
    'chemisai',
    'chemisaient',
    'chemisais',
    'chemisait',
    'chemisant',
    'chemisas',
    'chemisasse',
    'chemisassent',
    'chemisasses',
    'chemisassiez',
    'chemise',
    'chemisent',
    'chemiser',
    'chemisera',
    'chemiserai',
    'chemiserais',
    'chemiserait',
    'chemiseras',
    'chemiserez',
    'chemiserie',
    'chemiseries',
    'chemiseriez',
    'chemiserions',
    'chemiserons',
    'chemiseront',
    'chemises',
    'chemisette',
    'chemisettes',
    'chemisez',
    'chemisier',
    'chemisiers',
    'chemisiez',
    'chemisions',
    'chemisière',
    'chemisières',
    'chemisons',
    'chemisâmes',
    'chemisât',
    'chemisâtes',
    'chemisèrent',
    'chemisé',
    'chemisée',
    'chemisées',
    'chemisés',
    'chenal',
    'chenapan',
    'chenapans',
    'chenaux',
    'chenet',
    'chenets',
    'chenil',
    'chenille',
    'chenilles',
    'chenillette',
    'chenillettes',
    'chenillé',
    'chenillée',
    'chenillées',
    'chenillés',
    'chenils',
    'chenu',
    'chenue',
    'chenues',
    'chenus',
    'cheptel',
    'cheptels',
    'cher',
    'chercha',
    'cherchai',
    'cherchaient',
    'cherchais',
    'cherchait',
    'cherchant',
    'cherchas',
    'cherchasse',
    'cherchassent',
    'cherchasses',
    'cherchassiez',
    'cherche',
    'cherchent',
    'chercher',
    'cherchera',
    'chercherai',
    'chercherais',
    'chercherait',
    'chercheras',
    'chercherez',
    'chercheriez',
    'chercherions',
    'chercherons',
    'chercheront',
    'cherches',
    'chercheur',
    'chercheurs',
    'chercheuse',
    'chercheuses',
    'cherchez',
    'cherchiez',
    'cherchions',
    'cherchons',
    'cherchâmes',
    'cherchât',
    'cherchâtes',
    'cherchèrent',
    'cherché',
    'cherchée',
    'cherchées',
    'cherchés',
    'chergui',
    'cherguis',
    'cherra',
    'cherrai',
    'cherraient',
    'cherrais',
    'cherrait',
    'cherrant',
    'cherras',
    'cherrasse',
    'cherrassent',
    'cherrasses',
    'cherrassiez',
    'cherrassions',
    'cherre',
    'cherrent',
    'cherrer',
    'cherrera',
    'cherrerai',
    'cherreraient',
    'cherrerais',
    'cherrerait',
    'cherreras',
    'cherrerez',
    'cherreriez',
    'cherrerions',
    'cherrerons',
    'cherreront',
    'cherres',
    'cherrez',
    'cherriez',
    'cherrions',
    'cherrons',
    'cherrâmes',
    'cherrât',
    'cherrâtes',
    'cherrèrent',
    'cherré',
    'chers',
    'cherté',
    'chertés',
    'chervis',
    'chester',
    'chesters',
    'cheval',
    'chevala',
    'chevalai',
    'chevalaient',
    'chevalais',
    'chevalait',
    'chevalant',
    'chevalas',
    'chevalasse',
    'chevalassent',
    'chevalasses',
    'chevalassiez',
    'chevale',
    'chevalement',
    'chevalements',
    'chevalent',
    'chevaler',
    'chevalera',
    'chevalerai',
    'chevalerais',
    'chevalerait',
    'chevaleras',
    'chevalerez',
    'chevalerie',
    'chevaleries',
    'chevaleriez',
    'chevalerions',
    'chevalerons',
    'chevaleront',
    'chevales',
    'chevalet',
    'chevalets',
    'chevalez',
    'chevalier',
    'chevaliers',
    'chevaliez',
    'chevalin',
    'chevaline',
    'chevalines',
    'chevalins',
    'chevalions',
    'chevalière',
    'chevalières',
    'chevalons',
    'chevalâmes',
    'chevalât',
    'chevalâtes',
    'chevalèrent',
    'chevalé',
    'chevalée',
    'chevalées',
    'chevalés',
    'chevaucha',
    'chevauchai',
    'chevauchais',
    'chevauchait',
    'chevauchant',
    'chevauchas',
    'chevauchasse',
    'chevauche',
    'chevauchent',
    'chevaucher',
    'chevauchera',
    'chevaucherai',
    'chevaucheras',
    'chevaucherez',
    'chevauches',
    'chevauchez',
    'chevauchiez',
    'chevauchions',
    'chevauchons',
    'chevauchâmes',
    'chevauchât',
    'chevauchâtes',
    'chevauché',
    'chevauchée',
    'chevauchées',
    'chevauchés',
    'chevaux',
    'chevelu',
    'chevelue',
    'chevelues',
    'chevelure',
    'chevelures',
    'chevelus',
    'chevet',
    'chevets',
    'cheveu',
    'cheveux',
    'chevilla',
    'chevillai',
    'chevillaient',
    'chevillais',
    'chevillait',
    'chevillant',
    'chevillard',
    'chevillards',
    'chevillas',
    'chevillasse',
    'chevillasses',
    'cheville',
    'chevillent',
    'cheviller',
    'chevillera',
    'chevillerai',
    'chevillerais',
    'chevillerait',
    'chevilleras',
    'chevillerez',
    'chevilleriez',
    'chevillerons',
    'chevilleront',
    'chevilles',
    'chevillez',
    'chevilliez',
    'chevillions',
    'chevillons',
    'chevillâmes',
    'chevillât',
    'chevillâtes',
    'chevillèrent',
    'chevillé',
    'chevillée',
    'chevillées',
    'chevillés',
    'cheviotte',
    'cheviottes',
    'chevreau',
    'chevreaux',
    'chevreta',
    'chevretai',
    'chevretaient',
    'chevretais',
    'chevretait',
    'chevretant',
    'chevretas',
    'chevretasse',
    'chevretasses',
    'chevreter',
    'chevretez',
    'chevretiez',
    'chevretions',
    'chevretons',
    'chevrette',
    'chevrettent',
    'chevretter',
    'chevrettera',
    'chevretterai',
    'chevretteras',
    'chevretterez',
    'chevrettes',
    'chevretâmes',
    'chevretât',
    'chevretâtes',
    'chevretèrent',
    'chevreté',
    'chevreuil',
    'chevreuils',
    'chevrier',
    'chevriers',
    'chevrière',
    'chevrières',
    'chevron',
    'chevronna',
    'chevronnai',
    'chevronnais',
    'chevronnait',
    'chevronnant',
    'chevronnas',
    'chevronnasse',
    'chevronne',
    'chevronnent',
    'chevronner',
    'chevronnera',
    'chevronnerai',
    'chevronneras',
    'chevronnerez',
    'chevronnes',
    'chevronnez',
    'chevronniez',
    'chevronnions',
    'chevronnons',
    'chevronnâmes',
    'chevronnât',
    'chevronnâtes',
    'chevronné',
    'chevronnée',
    'chevronnées',
    'chevronnés',
    'chevrons',
    'chevrota',
    'chevrotai',
    'chevrotaient',
    'chevrotais',
    'chevrotait',
    'chevrotant',
    'chevrotante',
    'chevrotantes',
    'chevrotants',
    'chevrotas',
    'chevrotasse',
    'chevrotasses',
    'chevrote',
    'chevrotement',
    'chevrotent',
    'chevroter',
    'chevrotera',
    'chevroterai',
    'chevroterais',
    'chevroterait',
    'chevroteras',
    'chevroterez',
    'chevroteriez',
    'chevroterons',
    'chevroteront',
    'chevrotes',
    'chevrotez',
    'chevrotiez',
    'chevrotin',
    'chevrotine',
    'chevrotines',
    'chevrotins',
    'chevrotions',
    'chevrotons',
    'chevrotâmes',
    'chevrotât',
    'chevrotâtes',
    'chevrotèrent',
    'chevroté',
    'chevêche',
    'chevêches',
    'chevêtre',
    'chevêtres',
    'chez',
    'chia',
    'chiada',
    'chiadai',
    'chiadaient',
    'chiadais',
    'chiadait',
    'chiadant',
    'chiadas',
    'chiadasse',
    'chiadassent',
    'chiadasses',
    'chiadassiez',
    'chiadassions',
    'chiade',
    'chiadent',
    'chiader',
    'chiadera',
    'chiaderai',
    'chiaderaient',
    'chiaderais',
    'chiaderait',
    'chiaderas',
    'chiaderez',
    'chiaderiez',
    'chiaderions',
    'chiaderons',
    'chiaderont',
    'chiades',
    'chiadez',
    'chiadiez',
    'chiadions',
    'chiadons',
    'chiadâmes',
    'chiadât',
    'chiadâtes',
    'chiadèrent',
    'chiadé',
    'chiadée',
    'chiadées',
    'chiadés',
    'chiai',
    'chiaient',
    'chiais',
    'chiait',
    'chiala',
    'chialai',
    'chialaient',
    'chialais',
    'chialait',
    'chialant',
    'chialas',
    'chialasse',
    'chialassent',
    'chialasses',
    'chialassiez',
    'chialassions',
    'chiale',
    'chialent',
    'chialer',
    'chialera',
    'chialerai',
    'chialeraient',
    'chialerais',
    'chialerait',
    'chialeras',
    'chialerez',
    'chialeriez',
    'chialerions',
    'chialerons',
    'chialeront',
    'chiales',
    'chialez',
    'chialiez',
    'chialions',
    'chialons',
    'chialâmes',
    'chialât',
    'chialâtes',
    'chialèrent',
    'chialé',
    'chiant',
    'chiante',
    'chiantes',
    'chianti',
    'chiantis',
    'chiants',
    'chias',
    'chiasma',
    'chiasmas',
    'chiasme',
    'chiasmes',
    'chiasse',
    'chiassent',
    'chiasses',
    'chiassiez',
    'chiassions',
    'chibouque',
    'chibouques',
    'chic',
    'chicana',
    'chicanai',
    'chicanaient',
    'chicanais',
    'chicanait',
    'chicanant',
    'chicanas',
    'chicanasse',
    'chicanassent',
    'chicanasses',
    'chicanassiez',
    'chicane',
    'chicanent',
    'chicaner',
    'chicanera',
    'chicanerai',
    'chicanerais',
    'chicanerait',
    'chicaneras',
    'chicanerez',
    'chicanerie',
    'chicaneries',
    'chicaneriez',
    'chicanerions',
    'chicanerons',
    'chicaneront',
    'chicanes',
    'chicaneur',
    'chicaneurs',
    'chicaneuse',
    'chicaneuses',
    'chicanez',
    'chicanier',
    'chicaniers',
    'chicaniez',
    'chicanions',
    'chicanière',
    'chicanières',
    'chicanons',
    'chicanâmes',
    'chicanât',
    'chicanâtes',
    'chicanèrent',
    'chicané',
    'chicanée',
    'chicanées',
    'chicanés',
    'chiche',
    'chichement',
    'chiches',
    'chichi',
    'chichis',
    'chichiteuse',
    'chichiteuses',
    'chichiteux',
    'chicon',
    'chicons',
    'chicorée',
    'chicorées',
    'chicot',
    'chicota',
    'chicotai',
    'chicotaient',
    'chicotais',
    'chicotait',
    'chicotant',
    'chicotas',
    'chicotasse',
    'chicotassent',
    'chicotasses',
    'chicotassiez',
    'chicote',
    'chicotent',
    'chicoter',
    'chicotera',
    'chicoterai',
    'chicoterais',
    'chicoterait',
    'chicoteras',
    'chicoterez',
    'chicoteriez',
    'chicoterions',
    'chicoterons',
    'chicoteront',
    'chicotes',
    'chicotez',
    'chicotiez',
    'chicotin',
    'chicotins',
    'chicotions',
    'chicotons',
    'chicots',
    'chicotâmes',
    'chicotât',
    'chicotâtes',
    'chicotèrent',
    'chicoté',
    'chics',
    'chie',
    'chien',
    'chiendent',
    'chiendents',
    'chienlit',
    'chienlits',
    'chienna',
    'chiennai',
    'chiennaient',
    'chiennais',
    'chiennait',
    'chiennant',
    'chiennas',
    'chiennasse',
    'chiennassent',
    'chiennasses',
    'chiennassiez',
    'chienne',
    'chiennent',
    'chienner',
    'chiennera',
    'chiennerai',
    'chiennerais',
    'chiennerait',
    'chienneras',
    'chiennerez',
    'chiennerie',
    'chienneries',
    'chienneriez',
    'chiennerions',
    'chiennerons',
    'chienneront',
    'chiennes',
    'chiennez',
    'chienniez',
    'chiennions',
    'chiennons',
    'chiennâmes',
    'chiennât',
    'chiennâtes',
    'chiennèrent',
    'chienné',
    'chiens',
    'chient',
    'chier',
    'chiera',
    'chierai',
    'chieraient',
    'chierais',
    'chierait',
    'chieras',
    'chierez',
    'chierie',
    'chieries',
    'chieriez',
    'chierions',
    'chierons',
    'chieront',
    'chies',
    'chiez',
    'chiffe',
    'chiffes',
    'chiffon',
    'chiffonna',
    'chiffonnade',
    'chiffonnades',
    'chiffonnage',
    'chiffonnages',
    'chiffonnai',
    'chiffonnais',
    'chiffonnait',
    'chiffonnant',
    'chiffonnas',
    'chiffonnasse',
    'chiffonne',
    'chiffonnent',
    'chiffonner',
    'chiffonnera',
    'chiffonnerai',
    'chiffonneras',
    'chiffonnerez',
    'chiffonnes',
    'chiffonnez',
    'chiffonnier',
    'chiffonniers',
    'chiffonniez',
    'chiffonnions',
    'chiffonnière',
    'chiffonnons',
    'chiffonnâmes',
    'chiffonnât',
    'chiffonnâtes',
    'chiffonné',
    'chiffonnée',
    'chiffonnées',
    'chiffonnés',
    'chiffons',
    'chiffra',
    'chiffrable',
    'chiffrables',
    'chiffrage',
    'chiffrages',
    'chiffrai',
    'chiffraient',
    'chiffrais',
    'chiffrait',
    'chiffrant',
    'chiffras',
    'chiffrasse',
    'chiffrassent',
    'chiffrasses',
    'chiffrassiez',
    'chiffre',
    'chiffrement',
    'chiffrements',
    'chiffrent',
    'chiffrer',
    'chiffrera',
    'chiffrerai',
    'chiffrerais',
    'chiffrerait',
    'chiffreras',
    'chiffrerez',
    'chiffreriez',
    'chiffrerions',
    'chiffrerons',
    'chiffreront',
    'chiffres',
    'chiffreur',
    'chiffreurs',
    'chiffreuse',
    'chiffreuses',
    'chiffrez',
    'chiffrier',
    'chiffriers',
    'chiffriez',
    'chiffrions',
    'chiffrons',
    'chiffrâmes',
    'chiffrât',
    'chiffrâtes',
    'chiffrèrent',
    'chiffré',
    'chiffrée',
    'chiffrées',
    'chiffrés',
    'chignole',
    'chignoles',
    'chignon',
    'chignons',
    'chiiez',
    'chiions',
    'chiite',
    'chiites',
    'chilien',
    'chilienne',
    'chiliennes',
    'chiliens',
    'chimie',
    'chimies',
    'chimique',
    'chimiquement',
    'chimiques',
    'chimisme',
    'chimismes',
    'chimiste',
    'chimistes',
    'chimpanzé',
    'chimpanzés',
    'chimère',
    'chimères',
    'chimérique',
    'chimériques',
    'china',
    'chinage',
    'chinages',
    'chinai',
    'chinaient',
    'chinais',
    'chinait',
    'chinant',
    'chinas',
    'chinasse',
    'chinassent',
    'chinasses',
    'chinassiez',
    'chinassions',
    'chinchilla',
    'chinchillas',
    'chine',
    'chinent',
    'chiner',
    'chinera',
    'chinerai',
    'chineraient',
    'chinerais',
    'chinerait',
    'chineras',
    'chinerez',
    'chineriez',
    'chinerions',
    'chinerons',
    'chineront',
    'chines',
    'chineur',
    'chineurs',
    'chineuse',
    'chineuses',
    'chinez',
    'chiniez',
    'chinions',
    'chinois',
    'chinoisa',
    'chinoisai',
    'chinoisaient',
    'chinoisais',
    'chinoisait',
    'chinoisant',
    'chinoisas',
    'chinoisasse',
    'chinoisasses',
    'chinoise',
    'chinoisent',
    'chinoiser',
    'chinoisera',
    'chinoiserai',
    'chinoiserais',
    'chinoiserait',
    'chinoiseras',
    'chinoiserez',
    'chinoiserie',
    'chinoiseries',
    'chinoiseriez',
    'chinoiserons',
    'chinoiseront',
    'chinoises',
    'chinoisez',
    'chinoisiez',
    'chinoisions',
    'chinoisons',
    'chinoisâmes',
    'chinoisât',
    'chinoisâtes',
    'chinoisèrent',
    'chinoisé',
    'chinons',
    'chinook',
    'chinooks',
    'chintz',
    'chinure',
    'chinures',
    'chinâmes',
    'chinât',
    'chinâtes',
    'chinèrent',
    'chiné',
    'chinée',
    'chinées',
    'chinés',
    'chions',
    'chiot',
    'chiots',
    'chiottes',
    'chiourme',
    'chiourmes',
    'chipa',
    'chipai',
    'chipaient',
    'chipais',
    'chipait',
    'chipant',
    'chipas',
    'chipasse',
    'chipassent',
    'chipasses',
    'chipassiez',
    'chipassions',
    'chipe',
    'chipent',
    'chiper',
    'chipera',
    'chiperai',
    'chiperaient',
    'chiperais',
    'chiperait',
    'chiperas',
    'chiperez',
    'chiperiez',
    'chiperions',
    'chiperons',
    'chiperont',
    'chipes',
    'chipez',
    'chipie',
    'chipies',
    'chipiez',
    'chipions',
    'chipolata',
    'chipolatas',
    'chipons',
    'chipota',
    'chipotage',
    'chipotages',
    'chipotai',
    'chipotaient',
    'chipotais',
    'chipotait',
    'chipotant',
    'chipotas',
    'chipotasse',
    'chipotassent',
    'chipotasses',
    'chipotassiez',
    'chipote',
    'chipotent',
    'chipoter',
    'chipotera',
    'chipoterai',
    'chipoterais',
    'chipoterait',
    'chipoteras',
    'chipoterez',
    'chipoteriez',
    'chipoterions',
    'chipoterons',
    'chipoteront',
    'chipotes',
    'chipoteur',
    'chipoteurs',
    'chipoteuse',
    'chipoteuses',
    'chipotez',
    'chipotiez',
    'chipotions',
    'chipotons',
    'chipotâmes',
    'chipotât',
    'chipotâtes',
    'chipotèrent',
    'chipoté',
    'chipotée',
    'chipotées',
    'chipotés',
    'chips',
    'chipâmes',
    'chipât',
    'chipâtes',
    'chipèrent',
    'chipé',
    'chipée',
    'chipées',
    'chipés',
    'chiqua',
    'chiquai',
    'chiquaient',
    'chiquais',
    'chiquait',
    'chiquant',
    'chiquas',
    'chiquasse',
    'chiquassent',
    'chiquasses',
    'chiquassiez',
    'chiquassions',
    'chique',
    'chiquement',
    'chiquenaude',
    'chiquenaudes',
    'chiquent',
    'chiquer',
    'chiquera',
    'chiquerai',
    'chiqueraient',
    'chiquerais',
    'chiquerait',
    'chiqueras',
    'chiquerez',
    'chiqueriez',
    'chiquerions',
    'chiquerons',
    'chiqueront',
    'chiques',
    'chiqueur',
    'chiqueurs',
    'chiqueuse',
    'chiqueuses',
    'chiquez',
    'chiquiez',
    'chiquions',
    'chiquons',
    'chiquâmes',
    'chiquât',
    'chiquâtes',
    'chiquèrent',
    'chiqué',
    'chiquée',
    'chiquées',
    'chiqués',
    'chirographia',
    'chirographie',
    'chirographié',
    'chiromancie',
    'chiromancien',
    'chiromancies',
    'chiropractie',
    'chiropraxie',
    'chiropraxies',
    'chirurgical',
    'chirurgicale',
    'chirurgicaux',
    'chirurgie',
    'chirurgien',
    'chirurgienne',
    'chirurgiens',
    'chirurgies',
    'chistera',
    'chisteras',
    'chitine',
    'chitines',
    'chitineuse',
    'chitineuses',
    'chitineux',
    'chiton',
    'chitons',
    'chiure',
    'chiures',
    'chiâmes',
    'chiât',
    'chiâtes',
    'chièrent',
    'chié',
    'chiée',
    'chiées',
    'chiés',
    'chlamyde',
    'chlamydes',
    'chleuhe',
    'chleuhes',
    'chlingua',
    'chlinguai',
    'chlinguaient',
    'chlinguais',
    'chlinguait',
    'chlinguant',
    'chlinguas',
    'chlinguasse',
    'chlinguasses',
    'chlingue',
    'chlinguent',
    'chlinguer',
    'chlinguera',
    'chlinguerai',
    'chlinguerais',
    'chlinguerait',
    'chlingueras',
    'chlinguerez',
    'chlingueriez',
    'chlinguerons',
    'chlingueront',
    'chlingues',
    'chlinguez',
    'chlinguiez',
    'chlinguions',
    'chlinguons',
    'chlinguâmes',
    'chlinguât',
    'chlinguâtes',
    'chlinguèrent',
    'chlingué',
    'chlinguée',
    'chlinguées',
    'chlingués',
    'chlora',
    'chlorai',
    'chloraient',
    'chlorais',
    'chlorait',
    'chloral',
    'chlorals',
    'chlorant',
    'chloras',
    'chlorasse',
    'chlorassent',
    'chlorasses',
    'chlorassiez',
    'chlorassions',
    'chlorate',
    'chlorates',
    'chlore',
    'chlorent',
    'chlorer',
    'chlorera',
    'chlorerai',
    'chloreraient',
    'chlorerais',
    'chlorerait',
    'chloreras',
    'chlorerez',
    'chloreriez',
    'chlorerions',
    'chlorerons',
    'chloreront',
    'chlores',
    'chlorez',
    'chlorhydrate',
    'chloriez',
    'chlorions',
    'chlorique',
    'chloriques',
    'chloroforma',
    'chloroformai',
    'chloroformas',
    'chloroforme',
    'chloroformer',
    'chloroformes',
    'chloroformez',
    'chloroformât',
    'chloroformé',
    'chloroformée',
    'chloroformés',
    'chlorons',
    'chlorophylle',
    'chlorose',
    'chloroses',
    'chlorotique',
    'chlorotiques',
    'chlorura',
    'chlorurai',
    'chloruraient',
    'chlorurais',
    'chlorurait',
    'chlorurant',
    'chloruras',
    'chlorurasse',
    'chlorurasses',
    'chlorure',
    'chlorurent',
    'chlorurer',
    'chlorurera',
    'chlorurerai',
    'chlorurerais',
    'chlorurerait',
    'chlorureras',
    'chlorurerez',
    'chlorureriez',
    'chlorurerons',
    'chlorureront',
    'chlorures',
    'chlorurez',
    'chloruriez',
    'chlorurions',
    'chlorurons',
    'chlorurâmes',
    'chlorurât',
    'chlorurâtes',
    'chlorurèrent',
    'chloruré',
    'chlorurée',
    'chlorurées',
    'chlorurés',
    'chlorâmes',
    'chlorât',
    'chlorâtes',
    'chlorèrent',
    'chloré',
    'chlorée',
    'chlorées',
    'chlorés',
    'choc',
    'chochotte',
    'chochottes',
    'chocolat',
    'chocolaterie',
    'chocolatier',
    'chocolatiers',
    'chocolatière',
    'chocolats',
    'chocolaté',
    'chocolatée',
    'chocolatées',
    'chocolatés',
    'chocottes',
    'chocs',
    'choeur',
    'choeurs',
    'choie',
    'choient',
    'choiera',
    'choierai',
    'choieraient',
    'choierais',
    'choierait',
    'choieras',
    'choierez',
    'choieriez',
    'choierions',
    'choierons',
    'choieront',
    'choies',
    'choir',
    'choirai',
    'choirais',
    'chois',
    'choisi',
    'choisie',
    'choisies',
    'choisir',
    'choisira',
    'choisirai',
    'choisiraient',
    'choisirais',
    'choisirait',
    'choisiras',
    'choisirent',
    'choisirez',
    'choisiriez',
    'choisirions',
    'choisirons',
    'choisiront',
    'choisis',
    'choisissais',
    'choisissait',
    'choisissant',
    'choisisse',
    'choisissent',
    'choisisses',
    'choisissez',
    'choisissiez',
    'choisissions',
    'choisissons',
    'choisit',
    'choisîmes',
    'choisît',
    'choisîtes',
    'choit',
    'choix',
    'cholagogue',
    'cholagogues',
    'cholestérol',
    'cholestérols',
    'choline',
    'cholines',
    'cholurie',
    'choluries',
    'cholécystite',
    'cholédoque',
    'cholédoques',
    'cholémie',
    'cholémies',
    'choléra',
    'choléras',
    'cholériforme',
    'cholérine',
    'cholérines',
    'cholérique',
    'cholériques',
    'chondriome',
    'chondriomes',
    'chondriosome',
    'chopa',
    'chopai',
    'chopaient',
    'chopais',
    'chopait',
    'chopant',
    'chopas',
    'chopasse',
    'chopassent',
    'chopasses',
    'chopassiez',
    'chopassions',
    'chope',
    'chopent',
    'choper',
    'chopera',
    'choperai',
    'choperaient',
    'choperais',
    'choperait',
    'choperas',
    'choperez',
    'choperiez',
    'choperions',
    'choperons',
    'choperont',
    'chopes',
    'chopez',
    'chopiez',
    'chopina',
    'chopinai',
    'chopinaient',
    'chopinais',
    'chopinait',
    'chopinant',
    'chopinas',
    'chopinasse',
    'chopinassent',
    'chopinasses',
    'chopinassiez',
    'chopine',
    'chopinent',
    'chopiner',
    'chopinera',
    'chopinerai',
    'chopinerais',
    'chopinerait',
    'chopineras',
    'chopinerez',
    'chopineriez',
    'chopinerions',
    'chopinerons',
    'chopineront',
    'chopines',
    'chopinez',
    'chopiniez',
    'chopinions',
    'chopinons',
    'chopinâmes',
    'chopinât',
    'chopinâtes',
    'chopinèrent',
    'chopiné',
    'chopions',
    'chopons',
    'choppa',
    'choppai',
    'choppaient',
    'choppais',
    'choppait',
    'choppant',
    'choppas',
    'choppasse',
    'choppassent',
    'choppasses',
    'choppassiez',
    'choppassions',
    'choppe',
    'choppent',
    'chopper',
    'choppera',
    'chopperai',
    'chopperaient',
    'chopperais',
    'chopperait',
    'chopperas',
    'chopperez',
    'chopperiez',
    'chopperions',
    'chopperons',
    'chopperont',
    'choppes',
    'choppez',
    'choppiez',
    'choppions',
    'choppons',
    'choppâmes',
    'choppât',
    'choppâtes',
    'choppèrent',
    'choppé',
    'chopâmes',
    'chopât',
    'chopâtes',
    'chopèrent',
    'chopé',
    'chopée',
    'chopées',
    'chopés',
    'choqua',
    'choquai',
    'choquaient',
    'choquais',
    'choquait',
    'choquant',
    'choquante',
    'choquantes',
    'choquants',
    'choquas',
    'choquasse',
    'choquassent',
    'choquasses',
    'choquassiez',
    'choquassions',
    'choque',
    'choquent',
    'choquer',
    'choquera',
    'choquerai',
    'choqueraient',
    'choquerais',
    'choquerait',
    'choqueras',
    'choquerez',
    'choqueriez',
    'choquerions',
    'choquerons',
    'choqueront',
    'choques',
    'choquez',
    'choquiez',
    'choquions',
    'choquons',
    'choquâmes',
    'choquât',
    'choquâtes',
    'choquèrent',
    'choqué',
    'choquée',
    'choquées',
    'choqués',
    'choral',
    'chorale',
    'chorales',
    'chorals',
    'choraux',
    'chordés',
    'choreute',
    'choreutes',
    'chorion',
    'chorions',
    'choriste',
    'choristes',
    'chorizo',
    'chorizos',
    'choroïde',
    'choroïdes',
    'choroïdien',
    'choroïdienne',
    'choroïdiens',
    'chorus',
    'chorège',
    'chorèges',
    'chorée',
    'chorées',
    'chorégraphe',
    'chorégraphes',
    'chorégraphie',
    'choréique',
    'choréiques',
    'chose',
    'choses',
    'chosifia',
    'chosifiai',
    'chosifiaient',
    'chosifiais',
    'chosifiait',
    'chosifiant',
    'chosifias',
    'chosifiasse',
    'chosifiasses',
    'chosifie',
    'chosifient',
    'chosifier',
    'chosifiera',
    'chosifierai',
    'chosifierais',
    'chosifierait',
    'chosifieras',
    'chosifierez',
    'chosifieriez',
    'chosifierons',
    'chosifieront',
    'chosifies',
    'chosifiez',
    'chosifiiez',
    'chosifiions',
    'chosifions',
    'chosifiâmes',
    'chosifiât',
    'chosifiâtes',
    'chosifièrent',
    'chosifié',
    'chosifiée',
    'chosifiées',
    'chosifiés',
    'chott',
    'chotts',
    'chou',
    'chouan',
    'chouannerie',
    'chouanneries',
    'chouans',
    'choucas',
    'chouchou',
    'chouchous',
    'chouchouta',
    'chouchoutai',
    'chouchoutais',
    'chouchoutait',
    'chouchoutant',
    'chouchoutas',
    'chouchoute',
    'chouchoutent',
    'chouchouter',
    'chouchoutera',
    'chouchoutes',
    'chouchoutez',
    'chouchoutiez',
    'chouchoutons',
    'chouchoutât',
    'chouchouté',
    'chouchoutée',
    'chouchoutées',
    'chouchoutés',
    'choucroute',
    'choucroutes',
    'chouette',
    'chouettes',
    'chouleur',
    'chouleurs',
    'chourava',
    'chouravai',
    'chouravaient',
    'chouravais',
    'chouravait',
    'chouravant',
    'chouravas',
    'chouravasse',
    'chouravasses',
    'chourave',
    'chouravent',
    'chouraver',
    'chouravera',
    'chouraverai',
    'chouraverais',
    'chouraverait',
    'chouraveras',
    'chouraverez',
    'chouraveriez',
    'chouraverons',
    'chouraveront',
    'chouraves',
    'chouravez',
    'chouraviez',
    'chouravions',
    'chouravons',
    'chouravâmes',
    'chouravât',
    'chouravâtes',
    'chouravèrent',
    'chouravé',
    'chouravée',
    'chouravées',
    'chouravés',
    'chourina',
    'chourinai',
    'chourinaient',
    'chourinais',
    'chourinait',
    'chourinant',
    'chourinas',
    'chourinasse',
    'chourinasses',
    'chourine',
    'chourinent',
    'chouriner',
    'chourinera',
    'chourinerai',
    'chourinerais',
    'chourinerait',
    'chourineras',
    'chourinerez',
    'chourineriez',
    'chourinerons',
    'chourineront',
    'chourines',
    'chourinez',
    'chouriniez',
    'chourinions',
    'chourinons',
    'chourinâmes',
    'chourinât',
    'chourinâtes',
    'chourinèrent',
    'chouriné',
    'chourinée',
    'chourinées',
    'chourinés',
    'choux',
    'choya',
    'choyai',
    'choyaient',
    'choyais',
    'choyait',
    'choyant',
    'choyas',
    'choyasse',
    'choyassent',
    'choyasses',
    'choyassiez',
    'choyassions',
    'choyer',
    'choyez',
    'choyiez',
    'choyions',
    'choyons',
    'choyâmes',
    'choyât',
    'choyâtes',
    'choyèrent',
    'choyé',
    'choyée',
    'choyées',
    'choyés',
    'chrisme',
    'chrismes',
    'christ',
    'christiania',
    'christianias',
    'christianisa',
    'christianise',
    'christianisé',
    'christique',
    'christiques',
    'christologie',
    'christs',
    'chroma',
    'chromage',
    'chromages',
    'chromai',
    'chromaient',
    'chromais',
    'chromait',
    'chromant',
    'chromas',
    'chromasse',
    'chromassent',
    'chromasses',
    'chromassiez',
    'chromassions',
    'chromate',
    'chromates',
    'chromatine',
    'chromatines',
    'chromatique',
    'chromatiques',
    'chromatisme',
    'chromatismes',
    'chromatopsie',
    'chrome',
    'chroment',
    'chromer',
    'chromera',
    'chromerai',
    'chromeraient',
    'chromerais',
    'chromerait',
    'chromeras',
    'chromerez',
    'chromeriez',
    'chromerions',
    'chromerons',
    'chromeront',
    'chromes',
    'chromez',
    'chromiez',
    'chromions',
    'chromique',
    'chromiques',
    'chromiser',
    'chromiste',
    'chromistes',
    'chromo',
    'chromogène',
    'chromogènes',
    'chromons',
    'chromos',
    'chromosome',
    'chromosomes',
    'chromosphère',
    'chromotypie',
    'chromotypies',
    'chromâmes',
    'chromât',
    'chromâtes',
    'chromèrent',
    'chromé',
    'chromée',
    'chromées',
    'chromés',
    'chronaxie',
    'chronaxies',
    'chronicité',
    'chronicités',
    'chroniqua',
    'chroniquai',
    'chroniquais',
    'chroniquait',
    'chroniquant',
    'chroniquas',
    'chroniquasse',
    'chronique',
    'chroniquent',
    'chroniquer',
    'chroniquera',
    'chroniquerai',
    'chroniqueras',
    'chroniquerez',
    'chroniques',
    'chroniqueur',
    'chroniqueurs',
    'chroniqueuse',
    'chroniquez',
    'chroniquiez',
    'chroniquions',
    'chroniquons',
    'chroniquâmes',
    'chroniquât',
    'chroniquâtes',
    'chroniqué',
    'chrono',
    'chronologie',
    'chronologies',
    'chronomètre',
    'chronomètres',
    'chronométra',
    'chronométrai',
    'chronométras',
    'chronométrer',
    'chronométrez',
    'chronométrie',
    'chronométrât',
    'chronométré',
    'chronométrée',
    'chronométrés',
    'chronos',
    'chrouma',
    'chroumai',
    'chroumaient',
    'chroumais',
    'chroumait',
    'chroumant',
    'chroumas',
    'chroumasse',
    'chroumassent',
    'chroumasses',
    'chroumassiez',
    'chroume',
    'chroument',
    'chroumer',
    'chroumes',
    'chroumez',
    'chroumiez',
    'chroumions',
    'chroumons',
    'chroumâmes',
    'chroumât',
    'chroumâtes',
    'chroumèrent',
    'chroumé',
    'chroumée',
    'chroumées',
    'chroumés',
    'chrysalide',
    'chrysalides',
    'chrysanthème',
    'chrysobéryl',
    'chrysobéryls',
    'chrysocale',
    'chrysocales',
    'chrysolithe',
    'chrysolithes',
    'chrysomèle',
    'chrysomèles',
    'chrysoprase',
    'chrysoprases',
    'chrémeau',
    'chrémeaux',
    'chrétien',
    'chrétienne',
    'chrétiennes',
    'chrétiens',
    'chrétienté',
    'chrétientés',
    'chthonien',
    'chthonienne',
    'chthoniennes',
    'chthoniens',
    'chuchota',
    'chuchotai',
    'chuchotaient',
    'chuchotais',
    'chuchotait',
    'chuchotant',
    'chuchotas',
    'chuchotasse',
    'chuchotasses',
    'chuchote',
    'chuchotement',
    'chuchotent',
    'chuchoter',
    'chuchotera',
    'chuchoterai',
    'chuchoterais',
    'chuchoterait',
    'chuchoteras',
    'chuchoterez',
    'chuchoterie',
    'chuchoteries',
    'chuchoteriez',
    'chuchoterons',
    'chuchoteront',
    'chuchotes',
    'chuchotez',
    'chuchotiez',
    'chuchotions',
    'chuchotis',
    'chuchotons',
    'chuchotâmes',
    'chuchotât',
    'chuchotâtes',
    'chuchotèrent',
    'chuchoté',
    'chuchotée',
    'chuchotées',
    'chuchotés',
    'chue',
    'chues',
    'chuinta',
    'chuintai',
    'chuintaient',
    'chuintais',
    'chuintait',
    'chuintant',
    'chuintas',
    'chuintasse',
    'chuintassent',
    'chuintasses',
    'chuintassiez',
    'chuinte',
    'chuintement',
    'chuintements',
    'chuintent',
    'chuinter',
    'chuintera',
    'chuinterai',
    'chuinterais',
    'chuinterait',
    'chuinteras',
    'chuinterez',
    'chuinteriez',
    'chuinterions',
    'chuinterons',
    'chuinteront',
    'chuintes',
    'chuintez',
    'chuintiez',
    'chuintions',
    'chuintons',
    'chuintâmes',
    'chuintât',
    'chuintâtes',
    'chuintèrent',
    'chuinté',
    'chus',
    'chut',
    'chuta',
    'chutai',
    'chutaient',
    'chutais',
    'chutait',
    'chutant',
    'chutas',
    'chutasse',
    'chutassent',
    'chutasses',
    'chutassiez',
    'chutassions',
    'chute',
    'chutent',
    'chuter',
    'chutera',
    'chuterai',
    'chuteraient',
    'chuterais',
    'chuterait',
    'chuteras',
    'chuterez',
    'chuteriez',
    'chuterions',
    'chuterons',
    'chuteront',
    'chutes',
    'chutez',
    'chutiez',
    'chutions',
    'chutons',
    'chutâmes',
    'chutât',
    'chutâtes',
    'chutèrent',
    'chuté',
    'chutée',
    'chutées',
    'chutés',
    'chyle',
    'chyles',
    'chylifère',
    'chylifères',
    'chyme',
    'chymes',
    'châle',
    'châles',
    'châlit',
    'châlits',
    'châsse',
    'châsses',
    'châssis',
    'châtaigne',
    'châtaigner',
    'châtaigners',
    'châtaignes',
    'châtaignier',
    'châtaigniers',
    'châtain',
    'châtains',
    'château',
    'châteaux',
    'châtelain',
    'châtelaine',
    'châtelaines',
    'châtelains',
    'châtellenie',
    'châtellenies',
    'châtia',
    'châtiai',
    'châtiaient',
    'châtiais',
    'châtiait',
    'châtiant',
    'châtias',
    'châtiasse',
    'châtiassent',
    'châtiasses',
    'châtiassiez',
    'châtiassions',
    'châtie',
    'châtient',
    'châtier',
    'châtiera',
    'châtierai',
    'châtieraient',
    'châtierais',
    'châtierait',
    'châtieras',
    'châtierez',
    'châtieriez',
    'châtierions',
    'châtierons',
    'châtieront',
    'châties',
    'châtiez',
    'châtiiez',
    'châtiions',
    'châtiment',
    'châtiments',
    'châtions',
    'châtiâmes',
    'châtiât',
    'châtiâtes',
    'châtièrent',
    'châtié',
    'châtiée',
    'châtiées',
    'châtiés',
    'châtra',
    'châtrai',
    'châtraient',
    'châtrais',
    'châtrait',
    'châtrant',
    'châtras',
    'châtrasse',
    'châtrassent',
    'châtrasses',
    'châtrassiez',
    'châtrassions',
    'châtre',
    'châtrent',
    'châtrer',
    'châtrera',
    'châtrerai',
    'châtreraient',
    'châtrerais',
    'châtrerait',
    'châtreras',
    'châtrerez',
    'châtreriez',
    'châtrerions',
    'châtrerons',
    'châtreront',
    'châtres',
    'châtrez',
    'châtriez',
    'châtrions',
    'châtrons',
    'châtrâmes',
    'châtrât',
    'châtrâtes',
    'châtrèrent',
    'châtré',
    'châtrée',
    'châtrées',
    'châtrés',
    'chèche',
    'chèches',
    'chènevis',
    'chènevière',
    'chènevières',
    'chèque',
    'chèques',
    'chère',
    'chèrement',
    'chères',
    'chèvre',
    'chèvres',
    'chébec',
    'chébecs',
    'chéchia',
    'chéchias',
    'chélicère',
    'chélicères',
    'chélidoine',
    'chélidoines',
    'chénopode',
    'chénopodes',
    'chéquier',
    'chéquiers',
    'chéra',
    'chérai',
    'chéraient',
    'chérais',
    'chérait',
    'chérant',
    'chéras',
    'chérasse',
    'chérassent',
    'chérasses',
    'chérassiez',
    'chérassions',
    'chére',
    'chérent',
    'chérer',
    'chérera',
    'chérerai',
    'chéreraient',
    'chérerais',
    'chérerait',
    'chéreras',
    'chérerez',
    'chéreriez',
    'chérerions',
    'chérerons',
    'chéreront',
    'chéres',
    'chérez',
    'chéri',
    'chérie',
    'chéries',
    'chériez',
    'chérif',
    'chérifien',
    'chérifienne',
    'chérifiennes',
    'chérifiens',
    'chérifs',
    'chérions',
    'chérir',
    'chérira',
    'chérirai',
    'chériraient',
    'chérirais',
    'chérirait',
    'chériras',
    'chérirent',
    'chérirez',
    'chéririez',
    'chéririons',
    'chérirons',
    'chériront',
    'chéris',
    'chérissaient',
    'chérissais',
    'chérissait',
    'chérissant',
    'chérisse',
    'chérissent',
    'chérisses',
    'chérissez',
    'chérissiez',
    'chérissions',
    'chérissons',
    'chérit',
    'chérons',
    'chérot',
    'chérots',
    'chérubin',
    'chérubins',
    'chérâmes',
    'chérât',
    'chérâtes',
    'chérèrent',
    'chéré',
    'chérîmes',
    'chérît',
    'chérîtes',
    'chétif',
    'chétifs',
    'chétive',
    'chétivement',
    'chétives',
    'chênaie',
    'chênaies',
    'chêne',
    'chênes',
    'chôma',
    'chômable',
    'chômables',
    'chômage',
    'chômages',
    'chômai',
    'chômaient',
    'chômais',
    'chômait',
    'chômant',
    'chômas',
    'chômasse',
    'chômassent',
    'chômasses',
    'chômassiez',
    'chômassions',
    'chôme',
    'chôment',
    'chômer',
    'chômera',
    'chômerai',
    'chômeraient',
    'chômerais',
    'chômerait',
    'chômeras',
    'chômerez',
    'chômeriez',
    'chômerions',
    'chômerons',
    'chômeront',
    'chômes',
    'chômeur',
    'chômeurs',
    'chômeuse',
    'chômeuses',
    'chômez',
    'chômiez',
    'chômions',
    'chômons',
    'chômâmes',
    'chômât',
    'chômâtes',
    'chômèrent',
    'chômé',
    'chômée',
    'chômées',
    'chômés',
    'chût',
    'choeur',
    'choeurs',
    'ciao',
    'cibiche',
    'cibiches',
    'cibiste',
    'cibistes',
    'cible',
    'cibler',
    'cibles',
    'ciboire',
    'ciboires',
    'ciborium',
    'ciboriums',
    'ciboule',
    'ciboules',
    'ciboulette',
    'ciboulettes',
    'ciboulot',
    'ciboulots',
    'cicatrice',
    'cicatrices',
    'cicatriciel',
    'cicatriciels',
    'cicatricule',
    'cicatricules',
    'cicatrisa',
    'cicatrisable',
    'cicatrisai',
    'cicatrisais',
    'cicatrisait',
    'cicatrisant',
    'cicatrisante',
    'cicatrisants',
    'cicatrisas',
    'cicatrisasse',
    'cicatrise',
    'cicatrisent',
    'cicatriser',
    'cicatrisera',
    'cicatriserai',
    'cicatriseras',
    'cicatriserez',
    'cicatrises',
    'cicatrisez',
    'cicatrisiez',
    'cicatrisions',
    'cicatrisons',
    'cicatrisâmes',
    'cicatrisât',
    'cicatrisâtes',
    'cicatrisé',
    'cicatrisée',
    'cicatrisées',
    'cicatrisés',
    'cicindèle',
    'cicindèles',
    'cicutine',
    'cicutines',
    'cicéro',
    'cicérone',
    'cicérones',
    'cicéronien',
    'cicéronienne',
    'cicéroniens',
    'cicéros',
    'cidre',
    'cidrerie',
    'cidreries',
    'cidres',
    'ciel',
    'ciels',
    'cierge',
    'cierges',
    'cieux',
    'cigale',
    'cigales',
    'cigare',
    'cigares',
    'cigarette',
    'cigarettes',
    'cigarillo',
    'cigarillos',
    'cigarière',
    'cigarières',
    'cigogne',
    'cigogneau',
    'cigogneaux',
    'cigognes',
    'ciguë',
    'ciguës',
    'ciliaire',
    'ciliaires',
    'cilice',
    'cilices',
    'cilié',
    'ciliée',
    'ciliées',
    'ciliés',
    'cilla',
    'cillai',
    'cillaient',
    'cillais',
    'cillait',
    'cillant',
    'cillas',
    'cillasse',
    'cillassent',
    'cillasses',
    'cillassiez',
    'cillassions',
    'cille',
    'cillement',
    'cillements',
    'cillent',
    'ciller',
    'cillera',
    'cillerai',
    'cilleraient',
    'cillerais',
    'cillerait',
    'cilleras',
    'cillerez',
    'cilleriez',
    'cillerions',
    'cillerons',
    'cilleront',
    'cilles',
    'cillez',
    'cilliez',
    'cillions',
    'cillons',
    'cillâmes',
    'cillât',
    'cillâtes',
    'cillèrent',
    'cillé',
    'cillée',
    'cillées',
    'cillés',
    'cils',
    'cimaise',
    'cimaises',
    'cime',
    'ciment',
    'cimenta',
    'cimentai',
    'cimentaient',
    'cimentais',
    'cimentait',
    'cimentant',
    'cimentas',
    'cimentasse',
    'cimentassent',
    'cimentasses',
    'cimentassiez',
    'cimentation',
    'cimentations',
    'cimente',
    'cimentent',
    'cimenter',
    'cimentera',
    'cimenterai',
    'cimenterais',
    'cimenterait',
    'cimenteras',
    'cimenterez',
    'cimenterie',
    'cimenteries',
    'cimenteriez',
    'cimenterions',
    'cimenterons',
    'cimenteront',
    'cimentes',
    'cimentez',
    'cimentier',
    'cimentiers',
    'cimentiez',
    'cimentions',
    'cimentons',
    'ciments',
    'cimentâmes',
    'cimentât',
    'cimentâtes',
    'cimentèrent',
    'cimenté',
    'cimentée',
    'cimentées',
    'cimentés',
    'cimes',
    'cimeterre',
    'cimeterres',
    'cimetière',
    'cimetières',
    'cimier',
    'cimiers',
    'cinabre',
    'cinabres',
    'cinchonine',
    'cinchonines',
    'cincle',
    'cincles',
    'cingalais',
    'cingalaise',
    'cingalaises',
    'cingla',
    'cinglai',
    'cinglaient',
    'cinglais',
    'cinglait',
    'cinglant',
    'cinglante',
    'cinglantes',
    'cinglants',
    'cinglas',
    'cinglasse',
    'cinglassent',
    'cinglasses',
    'cinglassiez',
    'cinglassions',
    'cingle',
    'cinglent',
    'cingler',
    'cinglera',
    'cinglerai',
    'cingleraient',
    'cinglerais',
    'cinglerait',
    'cingleras',
    'cinglerez',
    'cingleriez',
    'cinglerions',
    'cinglerons',
    'cingleront',
    'cingles',
    'cinglez',
    'cingliez',
    'cinglions',
    'cinglons',
    'cinglâmes',
    'cinglât',
    'cinglâtes',
    'cinglèrent',
    'cinglé',
    'cinglée',
    'cinglées',
    'cinglés',
    'cinnamome',
    'cinnamomes',
    'cinoche',
    'cinoches',
    'cinoque',
    'cinoques',
    'cinq',
    'cinquantaine',
    'cinquante',
    'cinquantième',
    'cinquième',
    'cinquièmes',
    'cintra',
    'cintrage',
    'cintrages',
    'cintrai',
    'cintraient',
    'cintrais',
    'cintrait',
    'cintrant',
    'cintras',
    'cintrasse',
    'cintrassent',
    'cintrasses',
    'cintrassiez',
    'cintrassions',
    'cintre',
    'cintrent',
    'cintrer',
    'cintrera',
    'cintrerai',
    'cintreraient',
    'cintrerais',
    'cintrerait',
    'cintreras',
    'cintrerez',
    'cintreriez',
    'cintrerions',
    'cintrerons',
    'cintreront',
    'cintres',
    'cintrez',
    'cintriez',
    'cintrions',
    'cintrons',
    'cintrâmes',
    'cintrât',
    'cintrâtes',
    'cintrèrent',
    'cintré',
    'cintrée',
    'cintrées',
    'cintrés',
    'ciné',
    'cinéaste',
    'cinéastes',
    'cinéma',
    'cinémas',
    'cinémascope',
    'cinémascopes',
    'cinémathèque',
    'cinématique',
    'cinématiques',
    'cinémomètre',
    'cinémomètres',
    'cinéphile',
    'cinéphiles',
    'cinéraire',
    'cinéraires',
    'cinérama',
    'cinérite',
    'cinérites',
    'cinés',
    'cinétique',
    'cinétiques',
    'cinétir',
    'cinétirs',
    'cipaye',
    'cipayes',
    'cipolin',
    'cipolins',
    'cippe',
    'cippes',
    'cira',
    'cirage',
    'cirages',
    'cirai',
    'ciraient',
    'cirais',
    'cirait',
    'cirant',
    'ciras',
    'cirasse',
    'cirassent',
    'cirasses',
    'cirassiez',
    'cirassions',
    'circadien',
    'circadienne',
    'circadiennes',
    'circadiens',
    'circoncira',
    'circoncirai',
    'circoncirais',
    'circoncirait',
    'circonciras',
    'circoncire',
    'circoncirent',
    'circoncirez',
    'circonciriez',
    'circoncirons',
    'circonciront',
    'circoncis',
    'circoncisais',
    'circoncisait',
    'circoncisant',
    'circoncisez',
    'circoncisiez',
    'circoncision',
    'circoncisons',
    'circoncisse',
    'circoncisses',
    'circoncit',
    'circoncîmes',
    'circoncît',
    'circoncîtes',
    'circonflexe',
    'circonflexes',
    'circonscrira',
    'circonscrire',
    'circonscris',
    'circonscrit',
    'circonscrite',
    'circonscrits',
    'circonscrive',
    'circonspect',
    'circonspecte',
    'circonspects',
    'circonstance',
    'circonvenais',
    'circonvenait',
    'circonvenant',
    'circonvenez',
    'circonveniez',
    'circonvenir',
    'circonvenons',
    'circonvenu',
    'circonvenue',
    'circonvenues',
    'circonvenus',
    'circonvienne',
    'circonviens',
    'circonvient',
    'circonvins',
    'circonvinsse',
    'circonvint',
    'circonvînmes',
    'circonvînt',
    'circonvîntes',
    'circuit',
    'circuits',
    'circula',
    'circulai',
    'circulaient',
    'circulaire',
    'circulaires',
    'circulais',
    'circulait',
    'circulant',
    'circulariser',
    'circularité',
    'circularités',
    'circulas',
    'circulasse',
    'circulassent',
    'circulasses',
    'circulassiez',
    'circulation',
    'circulations',
    'circulatoire',
    'circule',
    'circulent',
    'circuler',
    'circulera',
    'circulerai',
    'circulerais',
    'circulerait',
    'circuleras',
    'circulerez',
    'circuleriez',
    'circulerions',
    'circulerons',
    'circuleront',
    'circules',
    'circulez',
    'circuliez',
    'circulions',
    'circulons',
    'circulâmes',
    'circulât',
    'circulâtes',
    'circulèrent',
    'circulé',
    'cire',
    'cirent',
    'cirer',
    'cirera',
    'cirerai',
    'cireraient',
    'cirerais',
    'cirerait',
    'cireras',
    'cirerez',
    'cireriez',
    'cirerions',
    'cirerons',
    'cireront',
    'cires',
    'cireur',
    'cireurs',
    'cireuse',
    'cireuses',
    'cireux',
    'cirez',
    'cirier',
    'ciriers',
    'ciriez',
    'cirions',
    'cirière',
    'cirières',
    'ciron',
    'cirons',
    'cirque',
    'cirques',
    'cirre',
    'cirres',
    'cirrhose',
    'cirrhoses',
    'cirrus',
    'cirâmes',
    'cirât',
    'cirâtes',
    'cirèrent',
    'ciré',
    'cirée',
    'cirées',
    'cirés',
    'cisailla',
    'cisaillai',
    'cisaillaient',
    'cisaillais',
    'cisaillait',
    'cisaillant',
    'cisaillas',
    'cisaillasse',
    'cisaillasses',
    'cisaille',
    'cisaillement',
    'cisaillent',
    'cisailler',
    'cisaillera',
    'cisaillerai',
    'cisaillerais',
    'cisaillerait',
    'cisailleras',
    'cisaillerez',
    'cisailleriez',
    'cisaillerons',
    'cisailleront',
    'cisailles',
    'cisaillez',
    'cisailliez',
    'cisaillions',
    'cisaillons',
    'cisaillâmes',
    'cisaillât',
    'cisaillâtes',
    'cisaillèrent',
    'cisaillé',
    'cisaillée',
    'cisaillées',
    'cisaillés',
    'cisalpin',
    'cisalpins',
    'ciseau',
    'ciseaux',
    'cisela',
    'ciselai',
    'ciselaient',
    'ciselais',
    'ciselait',
    'ciselant',
    'ciselas',
    'ciselasse',
    'ciselassent',
    'ciselasses',
    'ciselassiez',
    'ciselassions',
    'ciseler',
    'ciselet',
    'ciselets',
    'ciseleur',
    'ciseleurs',
    'ciselez',
    'ciseliez',
    'ciselions',
    'cisellement',
    'cisellements',
    'ciselons',
    'ciselure',
    'ciselures',
    'ciselâmes',
    'ciselât',
    'ciselâtes',
    'ciselèrent',
    'ciselé',
    'ciselée',
    'ciselées',
    'ciselés',
    'cisoires',
    'ciste',
    'cistercien',
    'cistercienne',
    'cisterciens',
    'cistes',
    'cistre',
    'cistres',
    'cistron',
    'cistrons',
    'cistude',
    'cistudes',
    'cisèle',
    'cisèlement',
    'cisèlements',
    'cisèlent',
    'cisèlera',
    'cisèlerai',
    'cisèleraient',
    'cisèlerais',
    'cisèlerait',
    'cisèleras',
    'cisèlerez',
    'cisèleriez',
    'cisèlerions',
    'cisèlerons',
    'cisèleront',
    'cisèles',
    'cisélera',
    'cisélerai',
    'ciséleraient',
    'cisélerais',
    'cisélerait',
    'ciséleras',
    'cisélerez',
    'ciséleriez',
    'cisélerions',
    'cisélerons',
    'ciséleront',
    'cita',
    'citadelle',
    'citadelles',
    'citadin',
    'citadine',
    'citadines',
    'citadins',
    'citai',
    'citaient',
    'citais',
    'citait',
    'citant',
    'citas',
    'citasse',
    'citassent',
    'citasses',
    'citassiez',
    'citassions',
    'citation',
    'citations',
    'citatteur',
    'citatteurs',
    'citattrice',
    'citattrices',
    'cite',
    'citent',
    'citer',
    'citera',
    'citerai',
    'citeraient',
    'citerais',
    'citerait',
    'citeras',
    'citerez',
    'citeriez',
    'citerions',
    'citerne',
    'citernes',
    'citerons',
    'citeront',
    'cites',
    'citez',
    'cithare',
    'cithares',
    'cithariste',
    'citharistes',
    'citiez',
    'citions',
    'citons',
    'citoyen',
    'citoyenne',
    'citoyennes',
    'citoyenneté',
    'citoyennetés',
    'citoyens',
    'citrate',
    'citrates',
    'citrin',
    'citrine',
    'citrines',
    'citrins',
    'citrique',
    'citriques',
    'citron',
    'citronnade',
    'citronnades',
    'citronnelle',
    'citronnelles',
    'citronnier',
    'citronniers',
    'citronné',
    'citronnée',
    'citronnées',
    'citronnés',
    'citrons',
    'citrouille',
    'citrouilles',
    'citrus',
    'citâmes',
    'citât',
    'citâtes',
    'citèrent',
    'cité',
    'citée',
    'citées',
    'cités',
    'civelle',
    'civelles',
    'civet',
    'civets',
    'civette',
    'civettes',
    'civil',
    'civile',
    'civilement',
    'civiles',
    'civilisa',
    'civilisable',
    'civilisables',
    'civilisai',
    'civilisaient',
    'civilisais',
    'civilisait',
    'civilisant',
    'civilisas',
    'civilisasse',
    'civilisasses',
    'civilisateur',
    'civilisation',
    'civilise',
    'civilisent',
    'civiliser',
    'civilisera',
    'civiliserai',
    'civiliserais',
    'civiliserait',
    'civiliseras',
    'civiliserez',
    'civiliseriez',
    'civiliserons',
    'civiliseront',
    'civilises',
    'civilisez',
    'civilisiez',
    'civilisions',
    'civilisons',
    'civiliste',
    'civilistes',
    'civilisâmes',
    'civilisât',
    'civilisâtes',
    'civilisèrent',
    'civilisé',
    'civilisée',
    'civilisées',
    'civilisés',
    'civilité',
    'civilités',
    'civils',
    'civique',
    'civiques',
    'civisme',
    'civismes',
    'civière',
    'civières',
    'clabaud',
    'clabauda',
    'clabaudage',
    'clabaudages',
    'clabaudai',
    'clabaudaient',
    'clabaudais',
    'clabaudait',
    'clabaudant',
    'clabaudas',
    'clabaudasse',
    'clabaudasses',
    'clabaude',
    'clabaudent',
    'clabauder',
    'clabaudera',
    'clabauderai',
    'clabauderais',
    'clabauderait',
    'clabauderas',
    'clabauderez',
    'clabauderie',
    'clabauderies',
    'clabauderiez',
    'clabauderons',
    'clabauderont',
    'clabaudes',
    'clabaudeur',
    'clabaudeurs',
    'clabaudeuse',
    'clabaudeuses',
    'clabaudez',
    'clabaudiez',
    'clabaudions',
    'clabaudons',
    'clabauds',
    'clabaudâmes',
    'clabaudât',
    'clabaudâtes',
    'clabaudèrent',
    'clabaudé',
    'clabot',
    'clabota',
    'clabotage',
    'clabotages',
    'clabotai',
    'clabotaient',
    'clabotais',
    'clabotait',
    'clabotant',
    'clabotas',
    'clabotasse',
    'clabotassent',
    'clabotasses',
    'clabotassiez',
    'clabote',
    'clabotent',
    'claboter',
    'clabotera',
    'claboterai',
    'claboterais',
    'claboterait',
    'claboteras',
    'claboterez',
    'claboteriez',
    'claboterions',
    'claboterons',
    'claboteront',
    'clabotes',
    'clabotez',
    'clabotiez',
    'clabotions',
    'clabotons',
    'clabots',
    'clabotâmes',
    'clabotât',
    'clabotâtes',
    'clabotèrent',
    'claboté',
    'clabotée',
    'clabotées',
    'clabotés',
    'clade',
    'clades',
    'clafoutis',
    'claie',
    'claies',
    'clair',
    'clairance',
    'clairances',
    'claire',
    'clairement',
    'claires',
    'clairet',
    'clairets',
    'clairette',
    'clairettes',
    'clairière',
    'clairières',
    'clairon',
    'claironna',
    'claironnai',
    'claironnais',
    'claironnait',
    'claironnant',
    'claironnante',
    'claironnants',
    'claironnas',
    'claironnasse',
    'claironne',
    'claironnent',
    'claironner',
    'claironnera',
    'claironnerai',
    'claironneras',
    'claironnerez',
    'claironnes',
    'claironnez',
    'claironniez',
    'claironnions',
    'claironnons',
    'claironnâmes',
    'claironnât',
    'claironnâtes',
    'claironné',
    'claironnée',
    'claironnées',
    'claironnés',
    'clairons',
    'clairs',
    'clairsemé',
    'clairsemée',
    'clairsemées',
    'clairsemés',
    'clairvoyance',
    'clairvoyant',
    'clairvoyante',
    'clairvoyants',
    'clam',
    'clama',
    'clamai',
    'clamaient',
    'clamais',
    'clamait',
    'clamant',
    'clamas',
    'clamasse',
    'clamassent',
    'clamasses',
    'clamassiez',
    'clamassions',
    'clame',
    'clamecer',
    'clament',
    'clamer',
    'clamera',
    'clamerai',
    'clameraient',
    'clamerais',
    'clamerait',
    'clameras',
    'clamerez',
    'clameriez',
    'clamerions',
    'clamerons',
    'clameront',
    'clames',
    'clameur',
    'clameurs',
    'clamez',
    'clamiez',
    'clamions',
    'clamons',
    'clamp',
    'clampa',
    'clampai',
    'clampaient',
    'clampais',
    'clampait',
    'clampant',
    'clampas',
    'clampasse',
    'clampassent',
    'clampasses',
    'clampassiez',
    'clampassions',
    'clampe',
    'clampent',
    'clamper',
    'clampera',
    'clamperai',
    'clamperaient',
    'clamperais',
    'clamperait',
    'clamperas',
    'clamperez',
    'clamperiez',
    'clamperions',
    'clamperons',
    'clamperont',
    'clampes',
    'clampez',
    'clampiez',
    'clampions',
    'clampons',
    'clamps',
    'clampsa',
    'clampsai',
    'clampsaient',
    'clampsais',
    'clampsait',
    'clampsant',
    'clampsas',
    'clampsasse',
    'clampsassent',
    'clampsasses',
    'clampsassiez',
    'clampse',
    'clampsent',
    'clampser',
    'clampsera',
    'clampserai',
    'clampserais',
    'clampserait',
    'clampseras',
    'clampserez',
    'clampseriez',
    'clampserions',
    'clampserons',
    'clampseront',
    'clampses',
    'clampsez',
    'clampsiez',
    'clampsions',
    'clampsons',
    'clampsâmes',
    'clampsât',
    'clampsâtes',
    'clampsèrent',
    'clampsé',
    'clampsée',
    'clampsées',
    'clampsés',
    'clampâmes',
    'clampât',
    'clampâtes',
    'clampèrent',
    'clampé',
    'clampée',
    'clampées',
    'clampés',
    'clams',
    'clamsa',
    'clamsai',
    'clamsaient',
    'clamsais',
    'clamsait',
    'clamsant',
    'clamsas',
    'clamsasse',
    'clamsassent',
    'clamsasses',
    'clamsassiez',
    'clamsassions',
    'clamse',
    'clamsent',
    'clamser',
    'clamsera',
    'clamserai',
    'clamseraient',
    'clamserais',
    'clamserait',
    'clamseras',
    'clamserez',
    'clamseriez',
    'clamserions',
    'clamserons',
    'clamseront',
    'clamses',
    'clamsez',
    'clamsiez',
    'clamsions',
    'clamsons',
    'clamsâmes',
    'clamsât',
    'clamsâtes',
    'clamsèrent',
    'clamsé',
    'clamâmes',
    'clamât',
    'clamâtes',
    'clamèrent',
    'clamé',
    'clamée',
    'clamées',
    'clamés',
    'clan',
    'clandestin',
    'clandestine',
    'clandestines',
    'clandestins',
    'clandé',
    'clandés',
    'clanique',
    'claniques',
    'clans',
    'clapa',
    'clapai',
    'clapaient',
    'clapais',
    'clapait',
    'clapant',
    'clapas',
    'clapasse',
    'clapassent',
    'clapasses',
    'clapassiez',
    'clapassions',
    'clape',
    'clapent',
    'claper',
    'clapera',
    'claperai',
    'claperaient',
    'claperais',
    'claperait',
    'claperas',
    'claperez',
    'claperiez',
    'claperions',
    'claperons',
    'claperont',
    'clapes',
    'clapet',
    'clapets',
    'clapeyron',
    'clapez',
    'clapi',
    'clapier',
    'clapiers',
    'clapiez',
    'clapions',
    'clapir',
    'clapira',
    'clapirai',
    'clapiraient',
    'clapirais',
    'clapirait',
    'clapiras',
    'clapirent',
    'clapirez',
    'clapiriez',
    'clapirions',
    'clapirons',
    'clapiront',
    'clapis',
    'clapissaient',
    'clapissais',
    'clapissait',
    'clapissant',
    'clapisse',
    'clapissent',
    'clapisses',
    'clapissez',
    'clapissiez',
    'clapissions',
    'clapissons',
    'clapit',
    'clapons',
    'clapota',
    'clapotage',
    'clapotages',
    'clapotai',
    'clapotaient',
    'clapotais',
    'clapotait',
    'clapotant',
    'clapotante',
    'clapotantes',
    'clapotants',
    'clapotas',
    'clapotasse',
    'clapotassent',
    'clapotasses',
    'clapotassiez',
    'clapote',
    'clapotement',
    'clapotements',
    'clapotent',
    'clapoter',
    'clapotera',
    'clapoterai',
    'clapoterais',
    'clapoterait',
    'clapoteras',
    'clapoterez',
    'clapoteriez',
    'clapoterions',
    'clapoterons',
    'clapoteront',
    'clapotes',
    'clapotez',
    'clapotiez',
    'clapotions',
    'clapotis',
    'clapotons',
    'clapotâmes',
    'clapotât',
    'clapotâtes',
    'clapotèrent',
    'clapoté',
    'clappa',
    'clappai',
    'clappaient',
    'clappais',
    'clappait',
    'clappant',
    'clappas',
    'clappasse',
    'clappassent',
    'clappasses',
    'clappassiez',
    'clappassions',
    'clappe',
    'clappement',
    'clappements',
    'clappent',
    'clapper',
    'clappera',
    'clapperai',
    'clapperaient',
    'clapperais',
    'clapperait',
    'clapperas',
    'clapperez',
    'clapperiez',
    'clapperions',
    'clapperons',
    'clapperont',
    'clappes',
    'clappez',
    'clappiez',
    'clappions',
    'clappons',
    'clappâmes',
    'clappât',
    'clappâtes',
    'clappèrent',
    'clappé',
    'clapsa',
    'clapsai',
    'clapsaient',
    'clapsais',
    'clapsait',
    'clapsant',
    'clapsas',
    'clapsasse',
    'clapsassent',
    'clapsasses',
    'clapsassiez',
    'clapsassions',
    'clapse',
    'clapsent',
    'clapser',
    'clapsera',
    'clapserai',
    'clapseraient',
    'clapserais',
    'clapserait',
    'clapseras',
    'clapserez',
    'clapseriez',
    'clapserions',
    'clapserons',
    'clapseront',
    'clapses',
    'clapsez',
    'clapsiez',
    'clapsions',
    'clapsons',
    'clapsâmes',
    'clapsât',
    'clapsâtes',
    'clapsèrent',
    'clapsé',
    'clapâmes',
    'clapât',
    'clapâtes',
    'clapèrent',
    'clapé',
    'clapîmes',
    'clapît',
    'clapîtes',
    'claqua',
    'claquage',
    'claquages',
    'claquai',
    'claquaient',
    'claquais',
    'claquait',
    'claquant',
    'claquante',
    'claquantes',
    'claquants',
    'claquas',
    'claquasse',
    'claquassent',
    'claquasses',
    'claquassiez',
    'claquassions',
    'claque',
    'claquement',
    'claquements',
    'claquemura',
    'claquemurai',
    'claquemurais',
    'claquemurait',
    'claquemurant',
    'claquemuras',
    'claquemure',
    'claquemurent',
    'claquemurer',
    'claquemurera',
    'claquemures',
    'claquemurez',
    'claquemuriez',
    'claquemurons',
    'claquemurât',
    'claquemuré',
    'claquemurée',
    'claquemurées',
    'claquemurés',
    'claquent',
    'claquer',
    'claquera',
    'claquerai',
    'claqueraient',
    'claquerais',
    'claquerait',
    'claqueras',
    'claquerez',
    'claqueriez',
    'claquerions',
    'claquerons',
    'claqueront',
    'claques',
    'claquet',
    'claqueta',
    'claquetai',
    'claquetaient',
    'claquetais',
    'claquetait',
    'claquetant',
    'claquetas',
    'claquetasse',
    'claquetasses',
    'claqueter',
    'claquetez',
    'claquetiez',
    'claquetions',
    'claquetons',
    'claquets',
    'claquette',
    'claquettent',
    'claquettera',
    'claquetterai',
    'claquetteras',
    'claquetterez',
    'claquettes',
    'claquetâmes',
    'claquetât',
    'claquetâtes',
    'claquetèrent',
    'claqueté',
    'claquez',
    'claquiez',
    'claquions',
    'claquoir',
    'claquoirs',
    'claquons',
    'claquâmes',
    'claquât',
    'claquâtes',
    'claquèrent',
    'claqué',
    'claquée',
    'claquées',
    'claqués',
    'clarifia',
    'clarifiai',
    'clarifiaient',
    'clarifiais',
    'clarifiait',
    'clarifiant',
    'clarifias',
    'clarifiasse',
    'clarifiasses',
    'clarifie',
    'clarifient',
    'clarifier',
    'clarifiera',
    'clarifierai',
    'clarifierais',
    'clarifierait',
    'clarifieras',
    'clarifierez',
    'clarifieriez',
    'clarifierons',
    'clarifieront',
    'clarifies',
    'clarifiez',
    'clarifiiez',
    'clarifiions',
    'clarifions',
    'clarifiâmes',
    'clarifiât',
    'clarifiâtes',
    'clarifièrent',
    'clarifié',
    'clarifiée',
    'clarifiées',
    'clarifiés',
    'clarine',
    'clarines',
    'clarinette',
    'clarinettes',
    'clarisse',
    'clarisses',
    'clarté',
    'clartés',
    'classa',
    'classable',
    'classables',
    'classai',
    'classaient',
    'classais',
    'classait',
    'classant',
    'classas',
    'classasse',
    'classassent',
    'classasses',
    'classassiez',
    'classassions',
    'classe',
    'classement',
    'classements',
    'classent',
    'classer',
    'classera',
    'classerai',
    'classeraient',
    'classerais',
    'classerait',
    'classeras',
    'classerez',
    'classeriez',
    'classerions',
    'classerons',
    'classeront',
    'classes',
    'classeur',
    'classeurs',
    'classez',
    'classicisme',
    'classicismes',
    'classiez',
    'classifia',
    'classifiai',
    'classifiais',
    'classifiait',
    'classifiant',
    'classifias',
    'classifiasse',
    'classifie',
    'classifient',
    'classifier',
    'classifiera',
    'classifierai',
    'classifieras',
    'classifierez',
    'classifies',
    'classifiez',
    'classifiiez',
    'classifiions',
    'classifions',
    'classifiâmes',
    'classifiât',
    'classifiâtes',
    'classifié',
    'classifiée',
    'classifiées',
    'classifiés',
    'classions',
    'classique',
    'classiques',
    'classons',
    'classâmes',
    'classât',
    'classâtes',
    'classèrent',
    'classé',
    'classée',
    'classées',
    'classés',
    'clastique',
    'clastiques',
    'claudicant',
    'claudicante',
    'claudicantes',
    'claudicants',
    'claudication',
    'claudiqua',
    'claudiquai',
    'claudiquais',
    'claudiquait',
    'claudiquant',
    'claudiquas',
    'claudiquasse',
    'claudique',
    'claudiquent',
    'claudiquer',
    'claudiquera',
    'claudiquerai',
    'claudiqueras',
    'claudiquerez',
    'claudiques',
    'claudiquez',
    'claudiquiez',
    'claudiquions',
    'claudiquons',
    'claudiquâmes',
    'claudiquât',
    'claudiquâtes',
    'claudiqué',
    'clause',
    'clauses',
    'claustra',
    'claustrai',
    'claustraient',
    'claustrais',
    'claustrait',
    'claustral',
    'claustrale',
    'claustrales',
    'claustrant',
    'claustras',
    'claustrasse',
    'claustrasses',
    'claustration',
    'claustraux',
    'claustre',
    'claustrent',
    'claustrer',
    'claustrera',
    'claustrerai',
    'claustrerais',
    'claustrerait',
    'claustreras',
    'claustrerez',
    'claustreriez',
    'claustrerons',
    'claustreront',
    'claustres',
    'claustrez',
    'claustriez',
    'claustrions',
    'claustrons',
    'claustrâmes',
    'claustrât',
    'claustrâtes',
    'claustrèrent',
    'claustré',
    'claustrée',
    'claustrées',
    'claustrés',
    'clausule',
    'clausules',
    'clausus',
    'clava',
    'clavai',
    'clavaient',
    'clavaire',
    'clavaires',
    'clavais',
    'clavait',
    'clavant',
    'clavas',
    'clavasse',
    'clavassent',
    'clavasses',
    'clavassiez',
    'clavassions',
    'clave',
    'claveau',
    'claveaus',
    'clavecin',
    'claveciniste',
    'clavecins',
    'clavelé',
    'clavelée',
    'clavelées',
    'clavelés',
    'clavent',
    'claver',
    'clavera',
    'claverai',
    'claveraient',
    'claverais',
    'claverait',
    'claveras',
    'claverez',
    'claveriez',
    'claverions',
    'claverons',
    'claveront',
    'claves',
    'claveta',
    'clavetage',
    'clavetages',
    'clavetai',
    'clavetaient',
    'clavetais',
    'clavetait',
    'clavetant',
    'clavetas',
    'clavetasse',
    'clavetassent',
    'clavetasses',
    'clavetassiez',
    'claveter',
    'clavetez',
    'clavetiez',
    'clavetions',
    'clavetons',
    'clavetta',
    'clavettai',
    'clavettaient',
    'clavettais',
    'clavettait',
    'clavettant',
    'clavettas',
    'clavettasse',
    'clavettasses',
    'clavette',
    'clavettent',
    'clavetter',
    'clavettera',
    'clavetterai',
    'clavetterais',
    'clavetterait',
    'clavetteras',
    'clavetterez',
    'clavetteriez',
    'clavetterons',
    'clavetteront',
    'clavettes',
    'clavettez',
    'clavettiez',
    'clavettions',
    'clavettons',
    'clavettâmes',
    'clavettât',
    'clavettâtes',
    'clavettèrent',
    'clavetté',
    'clavettée',
    'clavettées',
    'clavettés',
    'clavetâmes',
    'clavetât',
    'clavetâtes',
    'clavetèrent',
    'claveté',
    'clavetée',
    'clavetées',
    'clavetés',
    'clavez',
    'clavicorde',
    'clavicordes',
    'clavicule',
    'clavicules',
    'clavier',
    'claviers',
    'claviez',
    'clavions',
    'claviste',
    'clavistes',
    'clavons',
    'clavâmes',
    'clavât',
    'clavâtes',
    'clavèrent',
    'clavé',
    'clavée',
    'clavées',
    'clavés',
    'clayette',
    'clayettes',
    'claymore',
    'claymores',
    'clayon',
    'clayonna',
    'clayonnage',
    'clayonnages',
    'clayonnai',
    'clayonnaient',
    'clayonnais',
    'clayonnait',
    'clayonnant',
    'clayonnas',
    'clayonnasse',
    'clayonnasses',
    'clayonne',
    'clayonnent',
    'clayonner',
    'clayonnera',
    'clayonnerai',
    'clayonnerais',
    'clayonnerait',
    'clayonneras',
    'clayonnerez',
    'clayonneriez',
    'clayonnerons',
    'clayonneront',
    'clayonnes',
    'clayonnez',
    'clayonniez',
    'clayonnions',
    'clayonnons',
    'clayonnâmes',
    'clayonnât',
    'clayonnâtes',
    'clayonnèrent',
    'clayonné',
    'clayonnée',
    'clayonnées',
    'clayonnés',
    'clayons',
    'clayère',
    'clayères',
    'clearing',
    'clearings',
    'clebs',
    'clef',
    'clefs',
    'clenche',
    'clenches',
    'clephte',
    'clephtes',
    'clepsydre',
    'clepsydres',
    'cleptomane',
    'cleptomanes',
    'cleptomanie',
    'cleptomanies',
    'clerc',
    'clercs',
    'clergie',
    'clergies',
    'clergyman',
    'clergymen',
    'clergé',
    'clergés',
    'clic',
    'clicha',
    'clichage',
    'clichages',
    'clichai',
    'clichaient',
    'clichais',
    'clichait',
    'clichant',
    'clichas',
    'clichasse',
    'clichassent',
    'clichasses',
    'clichassiez',
    'clichassions',
    'cliche',
    'clichent',
    'clicher',
    'clichera',
    'clicherai',
    'clicheraient',
    'clicherais',
    'clicherait',
    'clicheras',
    'clicherez',
    'clicherie',
    'clicheries',
    'clicheriez',
    'clicherions',
    'clicherons',
    'clicheront',
    'cliches',
    'clicheur',
    'clicheurs',
    'clichez',
    'clichiez',
    'clichions',
    'clichons',
    'clichâmes',
    'clichât',
    'clichâtes',
    'clichèrent',
    'cliché',
    'clichée',
    'clichées',
    'clichés',
    'clics',
    'client',
    'cliente',
    'clientes',
    'clients',
    'clientèle',
    'clientèles',
    'cligna',
    'clignai',
    'clignaient',
    'clignais',
    'clignait',
    'clignant',
    'clignas',
    'clignasse',
    'clignassent',
    'clignasses',
    'clignassiez',
    'clignassions',
    'cligne',
    'clignement',
    'clignements',
    'clignent',
    'cligner',
    'clignera',
    'clignerai',
    'cligneraient',
    'clignerais',
    'clignerait',
    'cligneras',
    'clignerez',
    'cligneriez',
    'clignerions',
    'clignerons',
    'cligneront',
    'clignes',
    'clignez',
    'cligniez',
    'clignions',
    'clignons',
    'clignota',
    'clignotai',
    'clignotaient',
    'clignotais',
    'clignotait',
    'clignotant',
    'clignotante',
    'clignotantes',
    'clignotants',
    'clignotas',
    'clignotasse',
    'clignotasses',
    'clignote',
    'clignotement',
    'clignotent',
    'clignoter',
    'clignotera',
    'clignoterai',
    'clignoterais',
    'clignoterait',
    'clignoteras',
    'clignoterez',
    'clignoteriez',
    'clignoterons',
    'clignoteront',
    'clignotes',
    'clignotez',
    'clignotiez',
    'clignotions',
    'clignotons',
    'clignotâmes',
    'clignotât',
    'clignotâtes',
    'clignotèrent',
    'clignoté',
    'clignâmes',
    'clignât',
    'clignâtes',
    'clignèrent',
    'cligné',
    'clignée',
    'clignées',
    'clignés',
    'climat',
    'climatique',
    'climatiques',
    'climatisa',
    'climatisai',
    'climatisais',
    'climatisait',
    'climatisant',
    'climatisante',
    'climatisants',
    'climatisas',
    'climatisasse',
    'climatise',
    'climatisent',
    'climatiser',
    'climatisera',
    'climatiserai',
    'climatiseras',
    'climatiserez',
    'climatises',
    'climatiseur',
    'climatiseurs',
    'climatisez',
    'climatisiez',
    'climatisions',
    'climatisme',
    'climatismes',
    'climatisons',
    'climatisâmes',
    'climatisât',
    'climatisâtes',
    'climatisé',
    'climatisée',
    'climatisées',
    'climatisés',
    'climatologie',
    'climatologue',
    'climats',
    'climatère',
    'climatères',
    'climatérique',
    'clin',
    'clinfoc',
    'clinfocs',
    'clinicat',
    'clinicats',
    'clinicien',
    'clinicienne',
    'cliniciennes',
    'cliniciens',
    'clinique',
    'cliniquement',
    'cliniques',
    'clinomètre',
    'clinomètres',
    'clinquant',
    'clinquante',
    'clinquantes',
    'clinquants',
    'clins',
    'clip',
    'clips',
    'clique',
    'cliquer',
    'cliques',
    'cliquet',
    'cliqueta',
    'cliquetai',
    'cliquetaient',
    'cliquetais',
    'cliquetait',
    'cliquetant',
    'cliquetas',
    'cliquetasse',
    'cliquetasses',
    'cliqueter',
    'cliquetez',
    'cliquetiez',
    'cliquetions',
    'cliquetis',
    'cliquetons',
    'cliquets',
    'cliquette',
    'cliquettent',
    'cliquettera',
    'cliquetterai',
    'cliquetteras',
    'cliquetterez',
    'cliquettes',
    'cliquetâmes',
    'cliquetât',
    'cliquetâtes',
    'cliquetèrent',
    'cliqueté',
    'cliquètement',
    'clissa',
    'clissai',
    'clissaient',
    'clissais',
    'clissait',
    'clissant',
    'clissas',
    'clissasse',
    'clissassent',
    'clissasses',
    'clissassiez',
    'clissassions',
    'clisse',
    'clissent',
    'clisser',
    'clissera',
    'clisserai',
    'clisseraient',
    'clisserais',
    'clisserait',
    'clisseras',
    'clisserez',
    'clisseriez',
    'clisserions',
    'clisserons',
    'clisseront',
    'clisses',
    'clissez',
    'clissiez',
    'clissions',
    'clissons',
    'clissâmes',
    'clissât',
    'clissâtes',
    'clissèrent',
    'clissé',
    'clissée',
    'clissées',
    'clissés',
    'clitoridien',
    'clitoridiens',
    'clitoris',
    'cliva',
    'clivable',
    'clivables',
    'clivage',
    'clivages',
    'clivai',
    'clivaient',
    'clivais',
    'clivait',
    'clivant',
    'clivas',
    'clivasse',
    'clivassent',
    'clivasses',
    'clivassiez',
    'clivassions',
    'clive',
    'clivent',
    'cliver',
    'clivera',
    'cliverai',
    'cliveraient',
    'cliverais',
    'cliverait',
    'cliveras',
    'cliverez',
    'cliveriez',
    'cliverions',
    'cliverons',
    'cliveront',
    'clives',
    'clivez',
    'cliviez',
    'clivions',
    'clivons',
    'clivâmes',
    'clivât',
    'clivâtes',
    'clivèrent',
    'clivé',
    'clivée',
    'clivées',
    'clivés',
    'cloaque',
    'cloaques',
    'clocha',
    'clochai',
    'clochaient',
    'clochais',
    'clochait',
    'clochant',
    'clochard',
    'clocharde',
    'clochardes',
    'clochardisa',
    'clochardisai',
    'clochardisas',
    'clochardise',
    'clochardiser',
    'clochardises',
    'clochardisez',
    'clochardisât',
    'clochardisé',
    'clochardisée',
    'clochardisés',
    'clochards',
    'clochas',
    'clochasse',
    'clochassent',
    'clochasses',
    'clochassiez',
    'clochassions',
    'cloche',
    'clochent',
    'clocher',
    'clochera',
    'clocherai',
    'clocheraient',
    'clocherais',
    'clocherait',
    'clocheras',
    'clocherez',
    'clocheriez',
    'clocherions',
    'clocherons',
    'clocheront',
    'clochers',
    'cloches',
    'clocheton',
    'clochetons',
    'clochette',
    'clochettes',
    'clochez',
    'clochiez',
    'clochions',
    'clochons',
    'clochâmes',
    'clochât',
    'clochâtes',
    'clochèrent',
    'cloché',
    'clochée',
    'clochées',
    'clochés',
    'clodo',
    'clodos',
    'cloison',
    'cloisonna',
    'cloisonnai',
    'cloisonnais',
    'cloisonnait',
    'cloisonnant',
    'cloisonnante',
    'cloisonnants',
    'cloisonnas',
    'cloisonnasse',
    'cloisonne',
    'cloisonnent',
    'cloisonner',
    'cloisonnera',
    'cloisonnerai',
    'cloisonneras',
    'cloisonnerez',
    'cloisonnes',
    'cloisonnez',
    'cloisonniez',
    'cloisonnions',
    'cloisonnons',
    'cloisonnâmes',
    'cloisonnât',
    'cloisonnâtes',
    'cloisonné',
    'cloisonnée',
    'cloisonnées',
    'cloisonnés',
    'cloisons',
    'clone',
    'cloner',
    'clones',
    'clope',
    'clopes',
    'clopina',
    'clopinai',
    'clopinaient',
    'clopinais',
    'clopinait',
    'clopinant',
    'clopinas',
    'clopinasse',
    'clopinassent',
    'clopinasses',
    'clopinassiez',
    'clopine',
    'clopinent',
    'clopiner',
    'clopinera',
    'clopinerai',
    'clopinerais',
    'clopinerait',
    'clopineras',
    'clopinerez',
    'clopineriez',
    'clopinerions',
    'clopinerons',
    'clopineront',
    'clopines',
    'clopinettes',
    'clopinez',
    'clopiniez',
    'clopinions',
    'clopinons',
    'clopinâmes',
    'clopinât',
    'clopinâtes',
    'clopinèrent',
    'clopiné',
    'cloporte',
    'cloportes',
    'cloqua',
    'cloquai',
    'cloquaient',
    'cloquais',
    'cloquait',
    'cloquant',
    'cloquas',
    'cloquasse',
    'cloquassent',
    'cloquasses',
    'cloquassiez',
    'cloquassions',
    'cloque',
    'cloquent',
    'cloquer',
    'cloquera',
    'cloquerai',
    'cloqueraient',
    'cloquerais',
    'cloquerait',
    'cloqueras',
    'cloquerez',
    'cloqueriez',
    'cloquerions',
    'cloquerons',
    'cloqueront',
    'cloques',
    'cloquez',
    'cloquiez',
    'cloquions',
    'cloquons',
    'cloquâmes',
    'cloquât',
    'cloquâtes',
    'cloquèrent',
    'cloqué',
    'clora',
    'clorai',
    'cloraient',
    'clorais',
    'clorait',
    'cloras',
    'clore',
    'clorez',
    'cloriez',
    'clorions',
    'clorons',
    'cloront',
    'clos',
    'closant',
    'close',
    'closent',
    'closerie',
    'closeries',
    'closes',
    'closez',
    'closiez',
    'closions',
    'closons',
    'clou',
    'cloua',
    'clouai',
    'clouaient',
    'clouais',
    'clouait',
    'clouant',
    'clouas',
    'clouasse',
    'clouassent',
    'clouasses',
    'clouassiez',
    'clouassions',
    'cloue',
    'clouent',
    'clouer',
    'clouera',
    'clouerai',
    'cloueraient',
    'clouerais',
    'clouerait',
    'cloueras',
    'clouerez',
    'cloueriez',
    'clouerions',
    'clouerons',
    'cloueront',
    'cloues',
    'clouez',
    'clouiez',
    'clouions',
    'clouons',
    'clous',
    'clouta',
    'cloutage',
    'cloutages',
    'cloutai',
    'cloutaient',
    'cloutais',
    'cloutait',
    'cloutant',
    'cloutard',
    'cloutards',
    'cloutas',
    'cloutasse',
    'cloutassent',
    'cloutasses',
    'cloutassiez',
    'cloutassions',
    'cloute',
    'cloutent',
    'clouter',
    'cloutera',
    'clouterai',
    'clouteraient',
    'clouterais',
    'clouterait',
    'clouteras',
    'clouterez',
    'clouterie',
    'clouteries',
    'clouteriez',
    'clouterions',
    'clouterons',
    'clouteront',
    'cloutes',
    'cloutez',
    'cloutier',
    'cloutiers',
    'cloutiez',
    'cloutions',
    'cloutons',
    'cloutâmes',
    'cloutât',
    'cloutâtes',
    'cloutèrent',
    'clouté',
    'cloutée',
    'cloutées',
    'cloutés',
    'clouâmes',
    'clouât',
    'clouâtes',
    'clouèrent',
    'cloué',
    'clouée',
    'clouées',
    'cloués',
    'clovisse',
    'clovisses',
    'clown',
    'clownerie',
    'clowneries',
    'clownesque',
    'clownesques',
    'clowns',
    'cloyère',
    'cloyères',
    'cloîtra',
    'cloîtrai',
    'cloîtraient',
    'cloîtrais',
    'cloîtrait',
    'cloîtrant',
    'cloîtras',
    'cloîtrasse',
    'cloîtrassent',
    'cloîtrasses',
    'cloîtrassiez',
    'cloître',
    'cloîtrent',
    'cloîtrer',
    'cloîtrera',
    'cloîtrerai',
    'cloîtrerais',
    'cloîtrerait',
    'cloîtreras',
    'cloîtrerez',
    'cloîtreriez',
    'cloîtrerions',
    'cloîtrerons',
    'cloîtreront',
    'cloîtres',
    'cloîtrez',
    'cloîtriez',
    'cloîtrions',
    'cloîtrons',
    'cloîtrâmes',
    'cloîtrât',
    'cloîtrâtes',
    'cloîtrèrent',
    'cloîtré',
    'cloîtrée',
    'cloîtrées',
    'cloîtrés',
    'club',
    'clubiste',
    'clubistes',
    'clubs',
    'clunisien',
    'clunisienne',
    'clunisiennes',
    'clunisiens',
    'cluse',
    'cluses',
    'clystère',
    'clystères',
    'clématite',
    'clématites',
    'clémence',
    'clémences',
    'clément',
    'clémente',
    'clémentes',
    'clémentine',
    'clémentines',
    'clémentinier',
    'cléments',
    'clérical',
    'cléricale',
    'cléricales',
    'cléricalisme',
    'cléricature',
    'cléricatures',
    'cléricaux',
    'clés',
    'clôt',
    'clôtura',
    'clôturai',
    'clôturaient',
    'clôturais',
    'clôturait',
    'clôturant',
    'clôturas',
    'clôturasse',
    'clôturassent',
    'clôturasses',
    'clôturassiez',
    'clôture',
    'clôturent',
    'clôturer',
    'clôturera',
    'clôturerai',
    'clôturerais',
    'clôturerait',
    'clôtureras',
    'clôturerez',
    'clôtureriez',
    'clôturerions',
    'clôturerons',
    'clôtureront',
    'clôtures',
    'clôturez',
    'clôturiez',
    'clôturions',
    'clôturons',
    'clôturâmes',
    'clôturât',
    'clôturâtes',
    'clôturèrent',
    'clôturé',
    'clôturée',
    'clôturées',
    'clôturés',
    'cnémide',
    'cnémides',
    'coaccusé',
    'coaccusée',
    'coaccusées',
    'coaccusés',
    'coach',
    'coaches',
    'coacquéreur',
    'coacquéreurs',
    'coadjuteur',
    'coadjuteurs',
    'coadjutrice',
    'coadjutrices',
    'coagula',
    'coagulable',
    'coagulables',
    'coagulai',
    'coagulaient',
    'coagulais',
    'coagulait',
    'coagulant',
    'coagulante',
    'coagulantes',
    'coagulants',
    'coagulas',
    'coagulasse',
    'coagulassent',
    'coagulasses',
    'coagulassiez',
    'coagulateur',
    'coagulateurs',
    'coagulation',
    'coagulations',
    'coagulatrice',
    'coagule',
    'coagulent',
    'coaguler',
    'coagulera',
    'coagulerai',
    'coagulerais',
    'coagulerait',
    'coaguleras',
    'coagulerez',
    'coaguleriez',
    'coagulerions',
    'coagulerons',
    'coaguleront',
    'coagules',
    'coagulez',
    'coaguliez',
    'coagulions',
    'coagulons',
    'coagulum',
    'coagulums',
    'coagulâmes',
    'coagulât',
    'coagulâtes',
    'coagulèrent',
    'coagulé',
    'coagulée',
    'coagulées',
    'coagulés',
    'coalescence',
    'coalescences',
    'coalescer',
    'coalisa',
    'coalisai',
    'coalisaient',
    'coalisais',
    'coalisait',
    'coalisant',
    'coalisas',
    'coalisasse',
    'coalisassent',
    'coalisasses',
    'coalisassiez',
    'coalise',
    'coalisent',
    'coaliser',
    'coalisera',
    'coaliserai',
    'coaliserais',
    'coaliserait',
    'coaliseras',
    'coaliserez',
    'coaliseriez',
    'coaliserions',
    'coaliserons',
    'coaliseront',
    'coalises',
    'coalisez',
    'coalisiez',
    'coalisions',
    'coalisons',
    'coalisâmes',
    'coalisât',
    'coalisâtes',
    'coalisèrent',
    'coalisé',
    'coalisée',
    'coalisées',
    'coalisés',
    'coalition',
    'coalitions',
    'coaltar',
    'coaltars',
    'coaptation',
    'coaptations',
    'coarctation',
    'coarctations',
    'coassa',
    'coassai',
    'coassaient',
    'coassais',
    'coassait',
    'coassant',
    'coassas',
    'coassasse',
    'coassassent',
    'coassasses',
    'coassassiez',
    'coassassions',
    'coasse',
    'coassement',
    'coassements',
    'coassent',
    'coasser',
    'coassera',
    'coasserai',
    'coasseraient',
    'coasserais',
    'coasserait',
    'coasseras',
    'coasserez',
    'coasseriez',
    'coasserions',
    'coasserons',
    'coasseront',
    'coasses',
    'coassez',
    'coassiez',
    'coassions',
    'coassocié',
    'coassociée',
    'coassociées',
    'coassociés',
    'coassons',
    'coassurance',
    'coassurances',
    'coassâmes',
    'coassât',
    'coassâtes',
    'coassèrent',
    'coassé',
    'coati',
    'coatis',
    'coauteur',
    'coauteurs',
    'coaxial',
    'coaxiale',
    'coaxiales',
    'coaxiaux',
    'cobalt',
    'cobaye',
    'cobayes',
    'cobol',
    'cobra',
    'cobras',
    'cobéa',
    'cobéas',
    'coca',
    'cocagne',
    'cocarde',
    'cocardes',
    'cocardier',
    'cocardiers',
    'cocardière',
    'cocardières',
    'cocas',
    'cocasse',
    'cocasserie',
    'cocasseries',
    'cocasses',
    'cocaution',
    'cocaïne',
    'cocaïnomane',
    'cocaïnomanes',
    'cocaïnomanie',
    'coccidie',
    'coccidies',
    'coccidiose',
    'coccidioses',
    'coccinelle',
    'coccinelles',
    'coccygien',
    'coccygienne',
    'coccygiennes',
    'coccygiens',
    'coccyx',
    'cocha',
    'cochai',
    'cochaient',
    'cochais',
    'cochait',
    'cochant',
    'cochas',
    'cochasse',
    'cochassent',
    'cochasses',
    'cochassiez',
    'cochassions',
    'coche',
    'cochenille',
    'cochenilles',
    'cochent',
    'cocher',
    'cochera',
    'cocherai',
    'cocheraient',
    'cocherais',
    'cocherait',
    'cocheras',
    'cocherez',
    'cocheriez',
    'cocherions',
    'cocherons',
    'cocheront',
    'cochers',
    'coches',
    'cochez',
    'cochiez',
    'cochions',
    'cochléaire',
    'cochléaires',
    'cochléaria',
    'cochléarias',
    'cochon',
    'cochonceté',
    'cochoncetés',
    'cochonna',
    'cochonnai',
    'cochonnaient',
    'cochonnaille',
    'cochonnais',
    'cochonnait',
    'cochonnant',
    'cochonnas',
    'cochonnasse',
    'cochonnasses',
    'cochonne',
    'cochonnent',
    'cochonner',
    'cochonnera',
    'cochonnerai',
    'cochonnerais',
    'cochonnerait',
    'cochonneras',
    'cochonnerez',
    'cochonnerie',
    'cochonneries',
    'cochonneriez',
    'cochonnerons',
    'cochonneront',
    'cochonnes',
    'cochonnet',
    'cochonnets',
    'cochonnez',
    'cochonniez',
    'cochonnions',
    'cochonnons',
    'cochonnâmes',
    'cochonnât',
    'cochonnâtes',
    'cochonnèrent',
    'cochonné',
    'cochonnée',
    'cochonnées',
    'cochonnés',
    'cochons',
    'cochylis',
    'cochâmes',
    'cochât',
    'cochâtes',
    'cochère',
    'cochèrent',
    'cochères',
    'coché',
    'cochée',
    'cochées',
    'cochés',
    'cocker',
    'cockers',
    'cockney',
    'cockneys',
    'cockpit',
    'cockpits',
    'cocktail',
    'cocktails',
    'coco',
    'cocon',
    'cocons',
    'cocorico',
    'cocoricos',
    'cocos',
    'cocotier',
    'cocotiers',
    'cocotte',
    'cocottes',
    'cocréancier',
    'cocréanciers',
    'cocréancière',
    'coction',
    'coctions',
    'cocu',
    'cocuage',
    'cocuages',
    'cocufia',
    'cocufiai',
    'cocufiaient',
    'cocufiais',
    'cocufiait',
    'cocufiant',
    'cocufias',
    'cocufiasse',
    'cocufiassent',
    'cocufiasses',
    'cocufiassiez',
    'cocufie',
    'cocufient',
    'cocufier',
    'cocufiera',
    'cocufierai',
    'cocufierais',
    'cocufierait',
    'cocufieras',
    'cocufierez',
    'cocufieriez',
    'cocufierions',
    'cocufierons',
    'cocufieront',
    'cocufies',
    'cocufiez',
    'cocufiiez',
    'cocufiions',
    'cocufions',
    'cocufiâmes',
    'cocufiât',
    'cocufiâtes',
    'cocufièrent',
    'cocufié',
    'cocufiée',
    'cocufiées',
    'cocufiés',
    'cocus',
    'cocyclique',
    'cocycliques',
    'coda',
    'codage',
    'codages',
    'codai',
    'codaient',
    'codais',
    'codait',
    'codant',
    'codas',
    'codasse',
    'codassent',
    'codasses',
    'codassiez',
    'codassions',
    'code',
    'codemandeur',
    'codemandeurs',
    'codent',
    'coder',
    'codera',
    'coderai',
    'coderaient',
    'coderais',
    'coderait',
    'coderas',
    'coderez',
    'coderiez',
    'coderions',
    'coderons',
    'coderont',
    'codes',
    'codeur',
    'codeurs',
    'codeuse',
    'codeuses',
    'codex',
    'codez',
    'codicille',
    'codicilles',
    'codiez',
    'codifia',
    'codifiai',
    'codifiaient',
    'codifiais',
    'codifiait',
    'codifiant',
    'codifias',
    'codifiasse',
    'codifiassent',
    'codifiasses',
    'codifiassiez',
    'codificateur',
    'codification',
    'codifie',
    'codifient',
    'codifier',
    'codifiera',
    'codifierai',
    'codifierais',
    'codifierait',
    'codifieras',
    'codifierez',
    'codifieriez',
    'codifierions',
    'codifierons',
    'codifieront',
    'codifies',
    'codifiez',
    'codifiiez',
    'codifiions',
    'codifions',
    'codifiâmes',
    'codifiât',
    'codifiâtes',
    'codifièrent',
    'codifié',
    'codifiée',
    'codifiées',
    'codifiés',
    'codions',
    'codirecteur',
    'codirecteurs',
    'codirection',
    'codirections',
    'codirectrice',
    'codominance',
    'codominances',
    'codon',
    'codons',
    'codâmes',
    'codât',
    'codâtes',
    'codèrent',
    'codé',
    'codébiteur',
    'codébiteurs',
    'codébitrice',
    'codébitrices',
    'codée',
    'codées',
    'codéine',
    'codés',
    'codétenteur',
    'codétenteurs',
    'codétentrice',
    'codétenu',
    'codétenue',
    'codétenues',
    'codétenus',
    'coefficient',
    'coefficients',
    'coelacanthe',
    'coelacanthes',
    'coeliaque',
    'coeliaques',
    'coelioscopie',
    'coenzyme',
    'coenzymes',
    'coercibilité',
    'coercible',
    'coercibles',
    'coercitif',
    'coercitifs',
    'coercition',
    'coercitions',
    'coercitive',
    'coercitives',
    'coeur',
    'coeurs',
    'coexista',
    'coexistai',
    'coexistaient',
    'coexistais',
    'coexistait',
    'coexistant',
    'coexistante',
    'coexistantes',
    'coexistants',
    'coexistas',
    'coexistasse',
    'coexistasses',
    'coexiste',
    'coexistence',
    'coexistences',
    'coexistent',
    'coexister',
    'coexistera',
    'coexisterai',
    'coexisterais',
    'coexisterait',
    'coexisteras',
    'coexisterez',
    'coexisteriez',
    'coexisterons',
    'coexisteront',
    'coexistes',
    'coexistez',
    'coexistiez',
    'coexistions',
    'coexistons',
    'coexistâmes',
    'coexistât',
    'coexistâtes',
    'coexistèrent',
    'coexisté',
    'coextensif',
    'coextensifs',
    'coextensive',
    'coextensives',
    'cofacé',
    'cofacée',
    'cofacées',
    'cofacés',
    'coffin',
    'coffins',
    'coffra',
    'coffrage',
    'coffrages',
    'coffrai',
    'coffraient',
    'coffrais',
    'coffrait',
    'coffrant',
    'coffras',
    'coffrasse',
    'coffrassent',
    'coffrasses',
    'coffrassiez',
    'coffrassions',
    'coffre',
    'coffrent',
    'coffrer',
    'coffrera',
    'coffrerai',
    'coffreraient',
    'coffrerais',
    'coffrerait',
    'coffreras',
    'coffrerez',
    'coffreriez',
    'coffrerions',
    'coffrerons',
    'coffreront',
    'coffres',
    'coffret',
    'coffrets',
    'coffrez',
    'coffriez',
    'coffrions',
    'coffrons',
    'coffrâmes',
    'coffrât',
    'coffrâtes',
    'coffrèrent',
    'coffré',
    'coffrée',
    'coffrées',
    'coffrés',
    'cogestion',
    'cogestions',
    'cogita',
    'cogitai',
    'cogitaient',
    'cogitais',
    'cogitait',
    'cogitant',
    'cogitante',
    'cogitantes',
    'cogitants',
    'cogitas',
    'cogitasse',
    'cogitassent',
    'cogitasses',
    'cogitassiez',
    'cogitassions',
    'cogitation',
    'cogitations',
    'cogite',
    'cogitent',
    'cogiter',
    'cogitera',
    'cogiterai',
    'cogiteraient',
    'cogiterais',
    'cogiterait',
    'cogiteras',
    'cogiterez',
    'cogiteriez',
    'cogiterions',
    'cogiterons',
    'cogiteront',
    'cogites',
    'cogitez',
    'cogitiez',
    'cogitions',
    'cogito',
    'cogitons',
    'cogitâmes',
    'cogitât',
    'cogitâtes',
    'cogitèrent',
    'cogité',
    'cogitée',
    'cogitées',
    'cogités',
    'cogna',
    'cognac',
    'cognacs',
    'cognai',
    'cognaient',
    'cognais',
    'cognait',
    'cognant',
    'cognas',
    'cognasse',
    'cognassent',
    'cognasses',
    'cognassier',
    'cognassiers',
    'cognassiez',
    'cognassions',
    'cognat',
    'cognation',
    'cognations',
    'cognats',
    'cogne',
    'cognement',
    'cognements',
    'cognent',
    'cogner',
    'cognera',
    'cognerai',
    'cogneraient',
    'cognerais',
    'cognerait',
    'cogneras',
    'cognerez',
    'cogneriez',
    'cognerions',
    'cognerons',
    'cogneront',
    'cognes',
    'cognez',
    'cogniez',
    'cognions',
    'cognitif',
    'cognitifs',
    'cognitive',
    'cognitives',
    'cognons',
    'cognâmes',
    'cognât',
    'cognâtes',
    'cognèrent',
    'cogné',
    'cognée',
    'cognées',
    'cognés',
    'cogère',
    'cogèrent',
    'cogères',
    'cogéra',
    'cogéraient',
    'cogérais',
    'cogérait',
    'cogérance',
    'cogérances',
    'cogérant',
    'cogérante',
    'cogérantes',
    'cogérants',
    'cogérer',
    'cogérera',
    'cogérerai',
    'cogéreraient',
    'cogérerais',
    'cogérerait',
    'cogéreras',
    'cogérerez',
    'cogéreriez',
    'cogérerions',
    'cogérerons',
    'cogéreront',
    'cogérez',
    'cogériez',
    'cogérions',
    'cogérons',
    'cogérèrent',
    'cogéré',
    'cogérée',
    'cogérées',
    'cogérés',
    'cohabita',
    'cohabitai',
    'cohabitaient',
    'cohabitais',
    'cohabitait',
    'cohabitant',
    'cohabitante',
    'cohabitantes',
    'cohabitants',
    'cohabitas',
    'cohabitasse',
    'cohabitasses',
    'cohabitation',
    'cohabite',
    'cohabitent',
    'cohabiter',
    'cohabitera',
    'cohabiterai',
    'cohabiterais',
    'cohabiterait',
    'cohabiteras',
    'cohabiterez',
    'cohabiteriez',
    'cohabiterons',
    'cohabiteront',
    'cohabites',
    'cohabitez',
    'cohabitiez',
    'cohabitions',
    'cohabitons',
    'cohabitâmes',
    'cohabitât',
    'cohabitâtes',
    'cohabitèrent',
    'cohabité',
    'cohorte',
    'cohortes',
    'cohue',
    'cohues',
    'cohérence',
    'cohérences',
    'cohérent',
    'cohérente',
    'cohérentes',
    'cohérents',
    'cohéreur',
    'cohéreurs',
    'cohérita',
    'cohéritai',
    'cohéritaient',
    'cohéritais',
    'cohéritait',
    'cohéritant',
    'cohéritas',
    'cohéritasse',
    'cohéritasses',
    'cohérite',
    'cohéritent',
    'cohériter',
    'cohéritera',
    'cohériterai',
    'cohériterais',
    'cohériterait',
    'cohériteras',
    'cohériterez',
    'cohériteriez',
    'cohériterons',
    'cohériteront',
    'cohérites',
    'cohéritez',
    'cohéritier',
    'cohéritiers',
    'cohéritiez',
    'cohéritions',
    'cohéritière',
    'cohéritières',
    'cohéritons',
    'cohéritâmes',
    'cohéritât',
    'cohéritâtes',
    'cohéritèrent',
    'cohérité',
    'cohésif',
    'cohésifs',
    'cohésion',
    'cohésions',
    'cohésive',
    'cohésives',
    'coiffa',
    'coiffai',
    'coiffaient',
    'coiffais',
    'coiffait',
    'coiffant',
    'coiffante',
    'coiffantes',
    'coiffants',
    'coiffas',
    'coiffasse',
    'coiffassent',
    'coiffasses',
    'coiffassiez',
    'coiffassions',
    'coiffe',
    'coiffent',
    'coiffer',
    'coiffera',
    'coifferai',
    'coifferaient',
    'coifferais',
    'coifferait',
    'coifferas',
    'coifferez',
    'coifferiez',
    'coifferions',
    'coifferons',
    'coifferont',
    'coiffes',
    'coiffeur',
    'coiffeurs',
    'coiffeuse',
    'coiffeuses',
    'coiffez',
    'coiffiez',
    'coiffions',
    'coiffons',
    'coiffure',
    'coiffures',
    'coiffâmes',
    'coiffât',
    'coiffâtes',
    'coiffèrent',
    'coiffé',
    'coiffée',
    'coiffées',
    'coiffés',
    'coin',
    'coince',
    'coincement',
    'coincements',
    'coincent',
    'coincer',
    'coincera',
    'coincerai',
    'coinceraient',
    'coincerais',
    'coincerait',
    'coinceras',
    'coincerez',
    'coinceriez',
    'coincerions',
    'coincerons',
    'coinceront',
    'coinces',
    'coincez',
    'coinciez',
    'coincions',
    'coincèrent',
    'coincé',
    'coincée',
    'coincées',
    'coincés',
    'coing',
    'coings',
    'coins',
    'coinça',
    'coinçai',
    'coinçaient',
    'coinçais',
    'coinçait',
    'coinçant',
    'coinças',
    'coinçasse',
    'coinçassent',
    'coinçasses',
    'coinçassiez',
    'coinçassions',
    'coinçons',
    'coinçâmes',
    'coinçât',
    'coinçâtes',
    'cois',
    'coite',
    'coites',
    'coke',
    'cokerie',
    'cokeries',
    'cokéfaction',
    'cokéfactions',
    'cokéfia',
    'cokéfiai',
    'cokéfiaient',
    'cokéfiais',
    'cokéfiait',
    'cokéfiant',
    'cokéfiante',
    'cokéfiantes',
    'cokéfiants',
    'cokéfias',
    'cokéfiasse',
    'cokéfiassent',
    'cokéfiasses',
    'cokéfiassiez',
    'cokéfie',
    'cokéfient',
    'cokéfier',
    'cokéfiera',
    'cokéfierai',
    'cokéfierais',
    'cokéfierait',
    'cokéfieras',
    'cokéfierez',
    'cokéfieriez',
    'cokéfierions',
    'cokéfierons',
    'cokéfieront',
    'cokéfies',
    'cokéfiez',
    'cokéfiiez',
    'cokéfiions',
    'cokéfions',
    'cokéfiâmes',
    'cokéfiât',
    'cokéfiâtes',
    'cokéfièrent',
    'cokéfié',
    'cokéfiée',
    'cokéfiées',
    'cokéfiés',
    'cola',
    'colature',
    'colatures',
    'colback',
    'colbacks',
    'colchicine',
    'colchicines',
    'colchique',
    'colchiques',
    'colcotar',
    'colcotars',
    'colibacille',
    'colibacilles',
    'colibri',
    'colibris',
    'colicitant',
    'colicitante',
    'colicitantes',
    'colicitants',
    'colifichet',
    'colifichets',
    'colimaçon',
    'colimaçons',
    'colin',
    'colineau',
    'colineaux',
    'colinot',
    'colinots',
    'colins',
    'colique',
    'coliques',
    'colis',
    'colistier',
    'colistiers',
    'colistière',
    'colistières',
    'colite',
    'colites',
    'colla',
    'collabora',
    'collaborai',
    'collaborais',
    'collaborait',
    'collaborant',
    'collaboras',
    'collaborasse',
    'collabore',
    'collaborent',
    'collaborer',
    'collaborera',
    'collaborerai',
    'collaboreras',
    'collaborerez',
    'collabores',
    'collaborez',
    'collaboriez',
    'collaborions',
    'collaborons',
    'collaborâmes',
    'collaborât',
    'collaborâtes',
    'collaboré',
    'collaborée',
    'collaborées',
    'collaborés',
    'collage',
    'collages',
    'collagène',
    'collagènes',
    'collai',
    'collaient',
    'collais',
    'collait',
    'collant',
    'collante',
    'collantes',
    'collants',
    'collapsus',
    'collargol',
    'collas',
    'collasse',
    'collassent',
    'collasses',
    'collassiez',
    'collassions',
    'collateur',
    'collateurs',
    'collation',
    'collationna',
    'collationnai',
    'collationnas',
    'collationne',
    'collationner',
    'collationnes',
    'collationnez',
    'collationnât',
    'collationné',
    'collationnée',
    'collationnés',
    'collations',
    'collatéral',
    'collatérale',
    'collatérales',
    'collatéraux',
    'colle',
    'collecta',
    'collectage',
    'collectages',
    'collectai',
    'collectaient',
    'collectais',
    'collectait',
    'collectant',
    'collectas',
    'collectasse',
    'collectasses',
    'collecte',
    'collectent',
    'collecter',
    'collectera',
    'collecterai',
    'collecterais',
    'collecterait',
    'collecteras',
    'collecterez',
    'collecteriez',
    'collecterons',
    'collecteront',
    'collectes',
    'collecteur',
    'collecteurs',
    'collectez',
    'collectiez',
    'collectif',
    'collectifs',
    'collection',
    'collectionna',
    'collectionne',
    'collectionné',
    'collections',
    'collective',
    'collectives',
    'collectivisa',
    'collectivise',
    'collectivisé',
    'collectivité',
    'collectons',
    'collectrice',
    'collectrices',
    'collectâmes',
    'collectât',
    'collectâtes',
    'collectèrent',
    'collecté',
    'collectée',
    'collectées',
    'collectés',
    'collent',
    'coller',
    'collera',
    'collerai',
    'colleraient',
    'collerais',
    'collerait',
    'colleras',
    'collerette',
    'collerettes',
    'collerez',
    'colleriez',
    'collerions',
    'collerons',
    'colleront',
    'colles',
    'collet',
    'colleta',
    'colletai',
    'colletaient',
    'colletais',
    'colletait',
    'colletant',
    'colletas',
    'colletasse',
    'colletassent',
    'colletasses',
    'colletassiez',
    'colleter',
    'colleteur',
    'colleteurs',
    'colletez',
    'colletiez',
    'colletions',
    'colletons',
    'collets',
    'collette',
    'collettent',
    'collettera',
    'colletterai',
    'colletterais',
    'colletterait',
    'colletteras',
    'colletterez',
    'colletteriez',
    'colletterons',
    'colletteront',
    'collettes',
    'colletâmes',
    'colletât',
    'colletâtes',
    'colletèrent',
    'colleté',
    'colletée',
    'colletées',
    'colletés',
    'colleur',
    'colleurs',
    'colleuse',
    'colleuses',
    'colley',
    'colleys',
    'collez',
    'collier',
    'colliers',
    'colliez',
    'collige',
    'colligea',
    'colligeai',
    'colligeaient',
    'colligeais',
    'colligeait',
    'colligeant',
    'colligeas',
    'colligeasse',
    'colligeasses',
    'colligent',
    'colligeons',
    'colliger',
    'colligera',
    'colligerai',
    'colligerais',
    'colligerait',
    'colligeras',
    'colligerez',
    'colligeriez',
    'colligerions',
    'colligerons',
    'colligeront',
    'colliges',
    'colligez',
    'colligeâmes',
    'colligeât',
    'colligeâtes',
    'colligiez',
    'colligions',
    'colligèrent',
    'colligé',
    'colligée',
    'colligées',
    'colligés',
    'collimateur',
    'collimateurs',
    'collimation',
    'collimations',
    'colline',
    'collines',
    'collions',
    'collision',
    'collisions',
    'collocation',
    'collocations',
    'collodion',
    'collodions',
    'collons',
    'colloqua',
    'colloquai',
    'colloquaient',
    'colloquais',
    'colloquait',
    'colloquant',
    'colloquas',
    'colloquasse',
    'colloquasses',
    'colloque',
    'colloquent',
    'colloquer',
    'colloquera',
    'colloquerai',
    'colloquerais',
    'colloquerait',
    'colloqueras',
    'colloquerez',
    'colloqueriez',
    'colloquerons',
    'colloqueront',
    'colloques',
    'colloquez',
    'colloquiez',
    'colloquions',
    'colloquons',
    'colloquâmes',
    'colloquât',
    'colloquâtes',
    'colloquèrent',
    'colloqué',
    'colloquée',
    'colloquées',
    'colloqués',
    'colloïdal',
    'colloïdale',
    'colloïdales',
    'colloïdaux',
    'colloïde',
    'colloïdes',
    'collusion',
    'collusions',
    'collusoire',
    'collusoires',
    'collutoire',
    'collutoires',
    'colluvion',
    'colluvions',
    'collyre',
    'collyres',
    'collâmes',
    'collât',
    'collâtes',
    'collège',
    'collèges',
    'collègue',
    'collègues',
    'collèrent',
    'collé',
    'collée',
    'collées',
    'collégial',
    'collégiale',
    'collégiales',
    'collégialité',
    'collégiaux',
    'collégien',
    'collégienne',
    'collégiennes',
    'collégiens',
    'collés',
    'colmata',
    'colmatage',
    'colmatages',
    'colmatai',
    'colmataient',
    'colmatais',
    'colmatait',
    'colmatant',
    'colmatas',
    'colmatasse',
    'colmatassent',
    'colmatasses',
    'colmatassiez',
    'colmate',
    'colmatent',
    'colmater',
    'colmatera',
    'colmaterai',
    'colmaterais',
    'colmaterait',
    'colmateras',
    'colmaterez',
    'colmateriez',
    'colmaterions',
    'colmaterons',
    'colmateront',
    'colmates',
    'colmatez',
    'colmatiez',
    'colmations',
    'colmatons',
    'colmatâmes',
    'colmatât',
    'colmatâtes',
    'colmatèrent',
    'colmaté',
    'colmatée',
    'colmatées',
    'colmatés',
    'colocase',
    'colocases',
    'colocataire',
    'colocataires',
    'cologarithme',
    'colombage',
    'colombages',
    'colombe',
    'colombes',
    'colombier',
    'colombiers',
    'colombin',
    'colombine',
    'colombines',
    'colombins',
    'colombophile',
    'colon',
    'colonage',
    'colonages',
    'colonat',
    'colonats',
    'colonel',
    'colonelle',
    'colonelles',
    'colonels',
    'colonial',
    'coloniale',
    'coloniales',
    'colonialisme',
    'colonialiste',
    'coloniaux',
    'colonie',
    'colonies',
    'colonisa',
    'colonisai',
    'colonisaient',
    'colonisais',
    'colonisait',
    'colonisant',
    'colonisas',
    'colonisasse',
    'colonisasses',
    'colonisateur',
    'colonisation',
    'colonise',
    'colonisent',
    'coloniser',
    'colonisera',
    'coloniserai',
    'coloniserais',
    'coloniserait',
    'coloniseras',
    'coloniserez',
    'coloniseriez',
    'coloniserons',
    'coloniseront',
    'colonises',
    'colonisez',
    'colonisiez',
    'colonisions',
    'colonisons',
    'colonisâmes',
    'colonisât',
    'colonisâtes',
    'colonisèrent',
    'colonisé',
    'colonisée',
    'colonisées',
    'colonisés',
    'colonnade',
    'colonnades',
    'colonne',
    'colonnes',
    'colonnette',
    'colonnettes',
    'colons',
    'colophane',
    'colophanes',
    'coloquinte',
    'coloquintes',
    'colora',
    'colorai',
    'coloraient',
    'colorais',
    'colorait',
    'colorant',
    'colorante',
    'colorantes',
    'colorants',
    'coloras',
    'colorasse',
    'colorassent',
    'colorasses',
    'colorassiez',
    'colorassions',
    'coloration',
    'colorations',
    'colore',
    'colorent',
    'colorer',
    'colorera',
    'colorerai',
    'coloreraient',
    'colorerais',
    'colorerait',
    'coloreras',
    'colorerez',
    'coloreriez',
    'colorerions',
    'colorerons',
    'coloreront',
    'colores',
    'colorez',
    'coloria',
    'coloriage',
    'coloriages',
    'coloriai',
    'coloriaient',
    'coloriais',
    'coloriait',
    'coloriant',
    'colorias',
    'coloriasse',
    'coloriassent',
    'coloriasses',
    'coloriassiez',
    'colorie',
    'colorient',
    'colorier',
    'coloriera',
    'colorierai',
    'colorierais',
    'colorierait',
    'colorieras',
    'colorierez',
    'colorieriez',
    'colorierions',
    'colorierons',
    'colorieront',
    'colories',
    'coloriez',
    'coloriiez',
    'coloriions',
    'colorimètre',
    'colorimètres',
    'colorimétrie',
    'colorions',
    'coloris',
    'colorisation',
    'coloriste',
    'coloristes',
    'coloriâmes',
    'coloriât',
    'coloriâtes',
    'colorièrent',
    'colorié',
    'coloriée',
    'coloriées',
    'coloriés',
    'colorlinks',
    'colorons',
    'colorâmes',
    'colorât',
    'colorâtes',
    'colorèrent',
    'coloré',
    'colorée',
    'colorées',
    'colorés',
    'colossal',
    'colossale',
    'colossales',
    'colossaux',
    'colosse',
    'colosses',
    'colostrum',
    'colostrums',
    'colourall',
    'colporta',
    'colportage',
    'colportages',
    'colportai',
    'colportaient',
    'colportais',
    'colportait',
    'colportant',
    'colportas',
    'colportasse',
    'colportasses',
    'colporte',
    'colportent',
    'colporter',
    'colportera',
    'colporterai',
    'colporterais',
    'colporterait',
    'colporteras',
    'colporterez',
    'colporteriez',
    'colporterons',
    'colporteront',
    'colportes',
    'colporteur',
    'colporteurs',
    'colporteuse',
    'colporteuses',
    'colportez',
    'colportiez',
    'colportions',
    'colportons',
    'colportâmes',
    'colportât',
    'colportâtes',
    'colportèrent',
    'colporté',
    'colportée',
    'colportées',
    'colportés',
    'colposcopie',
    'colposcopies',
    'cols',
    'colt',
    'coltina',
    'coltinage',
    'coltinages',
    'coltinai',
    'coltinaient',
    'coltinais',
    'coltinait',
    'coltinant',
    'coltinas',
    'coltinasse',
    'coltinassent',
    'coltinasses',
    'coltinassiez',
    'coltine',
    'coltinent',
    'coltiner',
    'coltinera',
    'coltinerai',
    'coltinerais',
    'coltinerait',
    'coltineras',
    'coltinerez',
    'coltineriez',
    'coltinerions',
    'coltinerons',
    'coltineront',
    'coltines',
    'coltinez',
    'coltiniez',
    'coltinions',
    'coltinons',
    'coltinâmes',
    'coltinât',
    'coltinâtes',
    'coltinèrent',
    'coltiné',
    'coltinée',
    'coltinées',
    'coltinés',
    'colts',
    'columbarium',
    'columbariums',
    'columelle',
    'columelles',
    'colvert',
    'colverts',
    'colza',
    'colzatier',
    'colzatiers',
    'colère',
    'colères',
    'colégataire',
    'colégataires',
    'coléoptère',
    'coléoptères',
    'coléreuse',
    'coléreuses',
    'coléreux',
    'colérique',
    'colériques',
    'coma',
    'comas',
    'comateuse',
    'comateuses',
    'comateux',
    'combat',
    'combatif',
    'combatifs',
    'combative',
    'combatives',
    'combativité',
    'combativités',
    'combats',
    'combattaient',
    'combattais',
    'combattait',
    'combattant',
    'combattante',
    'combattantes',
    'combattants',
    'combatte',
    'combattent',
    'combattes',
    'combattez',
    'combattiez',
    'combattions',
    'combattirent',
    'combattis',
    'combattisse',
    'combattisses',
    'combattit',
    'combattons',
    'combattra',
    'combattrai',
    'combattrais',
    'combattrait',
    'combattras',
    'combattre',
    'combattrez',
    'combattriez',
    'combattrions',
    'combattrons',
    'combattront',
    'combattu',
    'combattue',
    'combattues',
    'combattus',
    'combattîmes',
    'combattît',
    'combattîtes',
    'combe',
    'combes',
    'combien',
    'combientième',
    'combina',
    'combinable',
    'combinables',
    'combinai',
    'combinaient',
    'combinais',
    'combinaison',
    'combinaisons',
    'combinait',
    'combinant',
    'combinard',
    'combinarde',
    'combinardes',
    'combinards',
    'combinas',
    'combinasse',
    'combinassent',
    'combinasses',
    'combinassiez',
    'combinat',
    'combinateur',
    'combinateurs',
    'combinatoire',
    'combinats',
    'combine',
    'combinent',
    'combiner',
    'combinera',
    'combinerai',
    'combinerais',
    'combinerait',
    'combineras',
    'combinerez',
    'combineriez',
    'combinerions',
    'combinerons',
    'combineront',
    'combines',
    'combinez',
    'combiniez',
    'combinions',
    'combinons',
    'combinâmes',
    'combinât',
    'combinâtes',
    'combinèrent',
    'combiné',
    'combinée',
    'combinées',
    'combinés',
    'combla',
    'comblai',
    'comblaient',
    'comblais',
    'comblait',
    'comblanchien',
    'comblant',
    'comblas',
    'comblasse',
    'comblassent',
    'comblasses',
    'comblassiez',
    'comblassions',
    'comble',
    'comblement',
    'comblements',
    'comblent',
    'combler',
    'comblera',
    'comblerai',
    'combleraient',
    'comblerais',
    'comblerait',
    'combleras',
    'comblerez',
    'combleriez',
    'comblerions',
    'comblerons',
    'combleront',
    'combles',
    'comblez',
    'combliez',
    'comblions',
    'comblons',
    'comblâmes',
    'comblât',
    'comblâtes',
    'comblèrent',
    'comblé',
    'comblée',
    'comblées',
    'comblés',
    'comburant',
    'comburante',
    'comburantes',
    'comburants',
    'combustible',
    'combustibles',
    'combustion',
    'combustions',
    'comestible',
    'comestibles',
    'comice',
    'comices',
    'comics',
    'comique',
    'comiquement',
    'comiques',
    'comité',
    'comités',
    'comma',
    'commanda',
    'commandai',
    'commandaient',
    'commandais',
    'commandait',
    'commandant',
    'commandante',
    'commandantes',
    'commandants',
    'commandas',
    'commandasse',
    'commandasses',
    'commande',
    'commandement',
    'commandent',
    'commander',
    'commandera',
    'commanderai',
    'commanderais',
    'commanderait',
    'commanderas',
    'commanderez',
    'commanderie',
    'commanderies',
    'commanderiez',
    'commanderons',
    'commanderont',
    'commandes',
    'commandeur',
    'commandeurs',
    'commandeuse',
    'commandeuses',
    'commandez',
    'commandiez',
    'commandions',
    'commandita',
    'commanditai',
    'commanditais',
    'commanditait',
    'commanditant',
    'commanditas',
    'commandite',
    'commanditent',
    'commanditer',
    'commanditera',
    'commandites',
    'commanditez',
    'commanditiez',
    'commanditons',
    'commanditât',
    'commandité',
    'commanditée',
    'commanditées',
    'commandités',
    'commando',
    'commandons',
    'commandos',
    'commandâmes',
    'commandât',
    'commandâtes',
    'commandèrent',
    'commandé',
    'commandée',
    'commandées',
    'commandés',
    'commas',
    'comme',
    'commence',
    'commencement',
    'commencent',
    'commencer',
    'commencera',
    'commencerai',
    'commencerais',
    'commencerait',
    'commenceras',
    'commencerez',
    'commenceriez',
    'commencerons',
    'commenceront',
    'commences',
    'commencez',
    'commenciez',
    'commencions',
    'commencèrent',
    'commencé',
    'commencée',
    'commencées',
    'commencés',
    'commensal',
    'commensale',
    'commensales',
    'commensaux',
    'comment',
    'commenta',
    'commentai',
    'commentaient',
    'commentaire',
    'commentaires',
    'commentais',
    'commentait',
    'commentant',
    'commentas',
    'commentasse',
    'commentasses',
    'commentateur',
    'commente',
    'commentent',
    'commenter',
    'commentera',
    'commenterai',
    'commenterais',
    'commenterait',
    'commenteras',
    'commenterez',
    'commenteriez',
    'commenterons',
    'commenteront',
    'commentes',
    'commentez',
    'commentiez',
    'commentions',
    'commentons',
    'commentâmes',
    'commentât',
    'commentâtes',
    'commentèrent',
    'commenté',
    'commentée',
    'commentées',
    'commentés',
    'commença',
    'commençai',
    'commençaient',
    'commençais',
    'commençait',
    'commençant',
    'commençante',
    'commençantes',
    'commençants',
    'commenças',
    'commençasse',
    'commençasses',
    'commençons',
    'commençâmes',
    'commençât',
    'commençâtes',
    'commerce',
    'commercent',
    'commercer',
    'commercera',
    'commercerai',
    'commercerais',
    'commercerait',
    'commerceras',
    'commercerez',
    'commerceriez',
    'commercerons',
    'commerceront',
    'commerces',
    'commercez',
    'commercial',
    'commerciale',
    'commerciales',
    'commerciaux',
    'commerciez',
    'commercions',
    'commercèrent',
    'commercé',
    'commerça',
    'commerçai',
    'commerçaient',
    'commerçais',
    'commerçait',
    'commerçant',
    'commerçante',
    'commerçantes',
    'commerçants',
    'commerças',
    'commerçasse',
    'commerçasses',
    'commerçons',
    'commerçâmes',
    'commerçât',
    'commerçâtes',
    'commet',
    'commets',
    'commettaient',
    'commettais',
    'commettait',
    'commettant',
    'commettante',
    'commettantes',
    'commettants',
    'commette',
    'commettent',
    'commettes',
    'commettez',
    'commettiez',
    'commettions',
    'commettons',
    'commettra',
    'commettrai',
    'commettrais',
    'commettrait',
    'commettras',
    'commettre',
    'commettrez',
    'commettriez',
    'commettrions',
    'commettrons',
    'commettront',
    'comminatoire',
    'comminutif',
    'comminutifs',
    'comminutive',
    'comminutives',
    'commirent',
    'commis',
    'commise',
    'commises',
    'commissaire',
    'commissaires',
    'commissariat',
    'commisse',
    'commissent',
    'commisses',
    'commissiez',
    'commission',
    'commissionna',
    'commissionne',
    'commissionné',
    'commissions',
    'commissoire',
    'commissoires',
    'commissural',
    'commissurale',
    'commissuraux',
    'commissure',
    'commissures',
    'commit',
    'commode',
    'commodes',
    'commodité',
    'commodités',
    'commodore',
    'commodores',
    'commodément',
    'commotion',
    'commotionna',
    'commotionnai',
    'commotionnas',
    'commotionne',
    'commotionner',
    'commotionnes',
    'commotionnez',
    'commotionnât',
    'commotionné',
    'commotionnée',
    'commotionnés',
    'commotions',
    'commua',
    'commuable',
    'commuables',
    'commuai',
    'commuaient',
    'commuais',
    'commuait',
    'commuant',
    'commuas',
    'commuasse',
    'commuassent',
    'commuasses',
    'commuassiez',
    'commuassions',
    'commue',
    'commuent',
    'commuer',
    'commuera',
    'commuerai',
    'commueraient',
    'commuerais',
    'commuerait',
    'commueras',
    'commuerez',
    'commueriez',
    'commuerions',
    'commuerons',
    'commueront',
    'commues',
    'commuez',
    'commuiez',
    'commuions',
    'commun',
    'communal',
    'communale',
    'communales',
    'communalise',
    'communaliser',
    'communalises',
    'communalisez',
    'communalisé',
    'communalisée',
    'communalisés',
    'communard',
    'communarde',
    'communardes',
    'communards',
    'communauté',
    'communautés',
    'communaux',
    'commune',
    'communes',
    'communia',
    'communiai',
    'communiaient',
    'communiais',
    'communiait',
    'communiant',
    'communiante',
    'communiantes',
    'communiants',
    'communias',
    'communiasse',
    'communiasses',
    'communicable',
    'communicant',
    'communicante',
    'communicants',
    'communicatif',
    'communie',
    'communient',
    'communier',
    'communiera',
    'communierai',
    'communierais',
    'communierait',
    'communieras',
    'communierez',
    'communieriez',
    'communierons',
    'communieront',
    'communies',
    'communiez',
    'communiiez',
    'communiions',
    'communion',
    'communions',
    'communiqua',
    'communiquai',
    'communiquais',
    'communiquait',
    'communiquant',
    'communiquas',
    'communique',
    'communiquent',
    'communiquer',
    'communiquera',
    'communiques',
    'communiquez',
    'communiquiez',
    'communiquons',
    'communiquât',
    'communiqué',
    'communiquée',
    'communiquées',
    'communiqués',
    'communisant',
    'communisante',
    'communisants',
    'communisme',
    'communismes',
    'communiste',
    'communistes',
    'communiâmes',
    'communiât',
    'communiâtes',
    'communièrent',
    'communié',
    'communs',
    'communément',
    'commuons',
    'commuta',
    'commutable',
    'commutables',
    'commutai',
    'commutaient',
    'commutais',
    'commutait',
    'commutant',
    'commutas',
    'commutasse',
    'commutassent',
    'commutasses',
    'commutassiez',
    'commutateur',
    'commutateurs',
    'commutatif',
    'commutatifs',
    'commutation',
    'commutations',
    'commutative',
    'commutatives',
    'commute',
    'commutent',
    'commuter',
    'commutera',
    'commuterai',
    'commuterais',
    'commuterait',
    'commuteras',
    'commuterez',
    'commuteriez',
    'commuterions',
    'commuterons',
    'commuteront',
    'commutes',
    'commutez',
    'commutiez',
    'commutions',
    'commutons',
    'commutâmes',
    'commutât',
    'commutâtes',
    'commutèrent',
    'commuté',
    'commutée',
    'commutées',
    'commutés',
    'commuâmes',
    'commuât',
    'commuâtes',
    'commuèrent',
    'commué',
    'commuée',
    'commuées',
    'commués',
    'commère',
    'commèrent',
    'commères',
    'commémora',
    'commémorai',
    'commémorais',
    'commémorait',
    'commémorant',
    'commémoras',
    'commémorasse',
    'commémoratif',
    'commémore',
    'commémorent',
    'commémorer',
    'commémorera',
    'commémorerai',
    'commémoreras',
    'commémorerez',
    'commémores',
    'commémorez',
    'commémoriez',
    'commémorions',
    'commémorons',
    'commémorâmes',
    'commémorât',
    'commémorâtes',
    'commémoré',
    'commémorée',
    'commémorées',
    'commémorés',
    'comméra',
    'commérage',
    'commérages',
    'commérai',
    'comméraient',
    'commérais',
    'commérait',
    'commérant',
    'comméras',
    'commérasse',
    'commérassent',
    'commérasses',
    'commérassiez',
    'commérer',
    'commérera',
    'commérerai',
    'commérerais',
    'commérerait',
    'comméreras',
    'commérerez',
    'comméreriez',
    'commérerions',
    'commérerons',
    'comméreront',
    'commérez',
    'commériez',
    'commérions',
    'commérons',
    'commérâmes',
    'commérât',
    'commérâtes',
    'commérèrent',
    'comméré',
    'commîmes',
    'commît',
    'commîtes',
    'compacité',
    'compacités',
    'compact',
    'compactage',
    'compactages',
    'compacte',
    'compactes',
    'compacts',
    'compagne',
    'compagnes',
    'compagnie',
    'compagnies',
    'compagnon',
    'compagnons',
    'compara',
    'comparable',
    'comparables',
    'comparai',
    'comparaient',
    'comparais',
    'comparaison',
    'comparaisons',
    'comparaisse',
    'comparaisses',
    'comparaissez',
    'comparait',
    'comparant',
    'comparas',
    'comparasse',
    'comparassent',
    'comparasses',
    'comparassiez',
    'comparateur',
    'comparateurs',
    'comparatif',
    'comparatifs',
    'comparatisme',
    'comparatiste',
    'comparative',
    'comparatives',
    'comparatrice',
    'comparaît',
    'comparaîtra',
    'comparaîtrai',
    'comparaîtras',
    'comparaître',
    'comparaîtrez',
    'compare',
    'comparent',
    'comparer',
    'comparera',
    'comparerai',
    'comparerais',
    'comparerait',
    'compareras',
    'comparerez',
    'compareriez',
    'comparerions',
    'comparerons',
    'compareront',
    'compares',
    'comparez',
    'compariez',
    'comparions',
    'comparons',
    'comparse',
    'comparses',
    'compartiment',
    'comparu',
    'comparue',
    'comparues',
    'comparurent',
    'comparus',
    'comparusse',
    'comparussent',
    'comparusses',
    'comparussiez',
    'comparut',
    'comparution',
    'comparutions',
    'comparâmes',
    'comparât',
    'comparâtes',
    'comparèrent',
    'comparé',
    'comparée',
    'comparées',
    'comparés',
    'comparûmes',
    'comparût',
    'comparûtes',
    'compas',
    'compassa',
    'compassai',
    'compassaient',
    'compassais',
    'compassait',
    'compassant',
    'compassas',
    'compassasse',
    'compassasses',
    'compasse',
    'compassent',
    'compasser',
    'compassera',
    'compasserai',
    'compasserais',
    'compasserait',
    'compasseras',
    'compasserez',
    'compasseriez',
    'compasserons',
    'compasseront',
    'compasses',
    'compassez',
    'compassiez',
    'compassion',
    'compassions',
    'compassons',
    'compassâmes',
    'compassât',
    'compassâtes',
    'compassèrent',
    'compassé',
    'compassée',
    'compassées',
    'compassés',
    'compati',
    'compatible',
    'compatibles',
    'compatir',
    'compatira',
    'compatirai',
    'compatirais',
    'compatirait',
    'compatiras',
    'compatirent',
    'compatirez',
    'compatiriez',
    'compatirions',
    'compatirons',
    'compatiront',
    'compatis',
    'compatissais',
    'compatissait',
    'compatissant',
    'compatisse',
    'compatissent',
    'compatisses',
    'compatissez',
    'compatissiez',
    'compatissons',
    'compatit',
    'compatriote',
    'compatriotes',
    'compatîmes',
    'compatît',
    'compatîtes',
    'compendieuse',
    'compendieux',
    'compendium',
    'compendiums',
    'compensa',
    'compensable',
    'compensables',
    'compensai',
    'compensaient',
    'compensais',
    'compensait',
    'compensant',
    'compensas',
    'compensasse',
    'compensasses',
    'compensateur',
    'compensation',
    'compense',
    'compensent',
    'compenser',
    'compensera',
    'compenserai',
    'compenserais',
    'compenserait',
    'compenseras',
    'compenserez',
    'compenseriez',
    'compenserons',
    'compenseront',
    'compenses',
    'compensez',
    'compensiez',
    'compensions',
    'compensons',
    'compensâmes',
    'compensât',
    'compensâtes',
    'compensèrent',
    'compensé',
    'compensée',
    'compensées',
    'compensés',
    'compila',
    'compilai',
    'compilaient',
    'compilais',
    'compilait',
    'compilant',
    'compilas',
    'compilasse',
    'compilassent',
    'compilasses',
    'compilassiez',
    'compilateur',
    'compilateurs',
    'compilation',
    'compilations',
    'compilatrice',
    'compile',
    'compilent',
    'compiler',
    'compilera',
    'compilerai',
    'compilerais',
    'compilerait',
    'compileras',
    'compilerez',
    'compileriez',
    'compilerions',
    'compilerons',
    'compileront',
    'compiles',
    'compilez',
    'compiliez',
    'compilions',
    'compilons',
    'compilâmes',
    'compilât',
    'compilâtes',
    'compilèrent',
    'compilé',
    'compilée',
    'compilées',
    'compilés',
    'compissa',
    'compissai',
    'compissaient',
    'compissais',
    'compissait',
    'compissant',
    'compissas',
    'compissasse',
    'compissasses',
    'compisse',
    'compissent',
    'compisser',
    'compissera',
    'compisserai',
    'compisserais',
    'compisserait',
    'compisseras',
    'compisserez',
    'compisseriez',
    'compisserons',
    'compisseront',
    'compisses',
    'compissez',
    'compissiez',
    'compissions',
    'compissons',
    'compissâmes',
    'compissât',
    'compissâtes',
    'compissèrent',
    'compissé',
    'compissée',
    'compissées',
    'compissés',
    'complainte',
    'complaintes',
    'complaira',
    'complairai',
    'complairais',
    'complairait',
    'complairas',
    'complaire',
    'complairez',
    'complairiez',
    'complairions',
    'complairons',
    'complairont',
    'complais',
    'complaisais',
    'complaisait',
    'complaisance',
    'complaisant',
    'complaisante',
    'complaisants',
    'complaise',
    'complaisent',
    'complaises',
    'complaisez',
    'complaisiez',
    'complaisions',
    'complaisons',
    'complanter',
    'complaît',
    'complet',
    'complets',
    'complexa',
    'complexai',
    'complexaient',
    'complexais',
    'complexait',
    'complexant',
    'complexas',
    'complexasse',
    'complexasses',
    'complexe',
    'complexent',
    'complexer',
    'complexera',
    'complexerai',
    'complexerais',
    'complexerait',
    'complexeras',
    'complexerez',
    'complexeriez',
    'complexerons',
    'complexeront',
    'complexes',
    'complexez',
    'complexiez',
    'complexifia',
    'complexifiai',
    'complexifias',
    'complexifie',
    'complexifier',
    'complexifies',
    'complexifiez',
    'complexifiât',
    'complexifié',
    'complexifiée',
    'complexifiés',
    'complexion',
    'complexions',
    'complexité',
    'complexités',
    'complexons',
    'complexâmes',
    'complexât',
    'complexâtes',
    'complexèrent',
    'complexé',
    'complexée',
    'complexées',
    'complexés',
    'complication',
    'complice',
    'complices',
    'complicité',
    'complicités',
    'complies',
    'compliment',
    'complimenta',
    'complimentai',
    'complimentas',
    'complimente',
    'complimenter',
    'complimentes',
    'complimentez',
    'compliments',
    'complimentât',
    'complimenté',
    'complimentée',
    'complimentés',
    'compliqua',
    'compliquai',
    'compliquais',
    'compliquait',
    'compliquant',
    'compliquas',
    'compliquasse',
    'complique',
    'compliquent',
    'compliquer',
    'compliquera',
    'compliquerai',
    'compliqueras',
    'compliquerez',
    'compliques',
    'compliquez',
    'compliquiez',
    'compliquions',
    'compliquons',
    'compliquâmes',
    'compliquât',
    'compliquâtes',
    'compliqué',
    'compliquée',
    'compliquées',
    'compliqués',
    'complot',
    'complota',
    'complotai',
    'complotaient',
    'complotais',
    'complotait',
    'complotant',
    'complotas',
    'complotasse',
    'complotasses',
    'complote',
    'complotent',
    'comploter',
    'complotera',
    'comploterai',
    'comploterais',
    'comploterait',
    'comploteras',
    'comploterez',
    'comploteriez',
    'comploterons',
    'comploteront',
    'complotes',
    'comploteur',
    'comploteurs',
    'comploteuse',
    'comploteuses',
    'complotez',
    'complotiez',
    'complotions',
    'complotons',
    'complots',
    'complotâmes',
    'complotât',
    'complotâtes',
    'complotèrent',
    'comploté',
    'complotée',
    'complotées',
    'complotés',
    'complu',
    'complurent',
    'complus',
    'complusse',
    'complussent',
    'complusses',
    'complussiez',
    'complussions',
    'complut',
    'complète',
    'complètement',
    'complètent',
    'complètes',
    'complément',
    'compléments',
    'compléta',
    'complétai',
    'complétaient',
    'complétais',
    'complétait',
    'complétant',
    'complétas',
    'complétasse',
    'complétasses',
    'compléter',
    'complétera',
    'compléterai',
    'compléterais',
    'compléterait',
    'compléteras',
    'compléterez',
    'compléteriez',
    'compléterons',
    'compléteront',
    'complétez',
    'complétiez',
    'complétif',
    'complétifs',
    'complétion',
    'complétions',
    'complétive',
    'complétives',
    'complétons',
    'complétâmes',
    'complétât',
    'complétâtes',
    'complétèrent',
    'complété',
    'complétée',
    'complétées',
    'complétés',
    'complûmes',
    'complût',
    'complûtes',
    'componction',
    'componctions',
    'componé',
    'componée',
    'componées',
    'componés',
    'comporta',
    'comportai',
    'comportaient',
    'comportais',
    'comportait',
    'comportant',
    'comportas',
    'comportasse',
    'comportasses',
    'comporte',
    'comportement',
    'comportent',
    'comporter',
    'comportera',
    'comporterai',
    'comporterais',
    'comporterait',
    'comporteras',
    'comporterez',
    'comporteriez',
    'comporterons',
    'comporteront',
    'comportes',
    'comportez',
    'comportiez',
    'comportions',
    'comportons',
    'comportâmes',
    'comportât',
    'comportâtes',
    'comportèrent',
    'comporté',
    'comportée',
    'comportées',
    'comportés',
    'composa',
    'composai',
    'composaient',
    'composais',
    'composait',
    'composant',
    'composante',
    'composantes',
    'composants',
    'composas',
    'composasse',
    'composassent',
    'composasses',
    'composassiez',
    'compose',
    'composent',
    'composer',
    'composera',
    'composerai',
    'composerais',
    'composerait',
    'composeras',
    'composerasse',
    'composerez',
    'composeriez',
    'composerions',
    'composerons',
    'composeront',
    'composerâmes',
    'composerât',
    'composerâtes',
    'composes',
    'composeur',
    'composeurs',
    'composeuse',
    'composeuses',
    'composez',
    'composiez',
    'composions',
    'composite',
    'composites',
    'compositeur',
    'compositeurs',
    'composition',
    'compositions',
    'compositrice',
    'composons',
    'compost',
    'composta',
    'compostage',
    'compostages',
    'compostai',
    'compostaient',
    'compostais',
    'compostait',
    'compostant',
    'compostas',
    'compostasse',
    'compostasses',
    'composte',
    'compostent',
    'composter',
    'compostera',
    'composterai',
    'composterais',
    'composterait',
    'composteras',
    'composterez',
    'composteriez',
    'composterons',
    'composteront',
    'compostes',
    'composteur',
    'composteurs',
    'compostez',
    'compostiez',
    'compostions',
    'compostons',
    'composts',
    'compostâmes',
    'compostât',
    'compostâtes',
    'compostèrent',
    'composté',
    'compostée',
    'compostées',
    'compostés',
    'composâmes',
    'composât',
    'composâtes',
    'composèrent',
    'composé',
    'composée',
    'composées',
    'composés',
    'compote',
    'compotes',
    'compotier',
    'compotiers',
    'compound',
    'comprenaient',
    'comprenais',
    'comprenait',
    'comprenant',
    'comprend',
    'comprendra',
    'comprendrai',
    'comprendrais',
    'comprendrait',
    'comprendras',
    'comprendre',
    'comprendrez',
    'comprendriez',
    'comprendrons',
    'comprendront',
    'comprends',
    'comprenette',
    'comprenettes',
    'comprenez',
    'compreniez',
    'comprenions',
    'comprenne',
    'comprennent',
    'comprennes',
    'comprenons',
    'compressa',
    'compressai',
    'compressais',
    'compressait',
    'compressant',
    'compressas',
    'compressasse',
    'compresse',
    'compressent',
    'compresser',
    'compressera',
    'compresserai',
    'compresseras',
    'compresserez',
    'compresses',
    'compresseur',
    'compresseurs',
    'compressez',
    'compressible',
    'compressiez',
    'compressif',
    'compressifs',
    'compression',
    'compressions',
    'compressive',
    'compressives',
    'compressons',
    'compressâmes',
    'compressât',
    'compressâtes',
    'compressé',
    'compressée',
    'compressées',
    'compressés',
    'comprima',
    'comprimable',
    'comprimables',
    'comprimai',
    'comprimaient',
    'comprimais',
    'comprimait',
    'comprimant',
    'comprimante',
    'comprimantes',
    'comprimants',
    'comprimas',
    'comprimasse',
    'comprimasses',
    'comprime',
    'compriment',
    'comprimer',
    'comprimera',
    'comprimerai',
    'comprimerais',
    'comprimerait',
    'comprimeras',
    'comprimerez',
    'comprimeriez',
    'comprimerons',
    'comprimeront',
    'comprimes',
    'comprimez',
    'comprimiez',
    'comprimions',
    'comprimons',
    'comprimâmes',
    'comprimât',
    'comprimâtes',
    'comprimèrent',
    'comprimé',
    'comprimée',
    'comprimées',
    'comprimés',
    'comprirent',
    'compris',
    'comprise',
    'comprises',
    'comprisse',
    'comprissent',
    'comprisses',
    'comprissiez',
    'comprissions',
    'comprit',
    'compromet',
    'compromets',
    'compromette',
    'compromettes',
    'compromettez',
    'compromettra',
    'compromettre',
    'compromirent',
    'compromis',
    'compromise',
    'compromises',
    'compromisse',
    'compromisses',
    'compromit',
    'compromîmes',
    'compromît',
    'compromîtes',
    'compréhensif',
    'comprîmes',
    'comprît',
    'comprîtes',
    'compta',
    'comptabilisa',
    'comptabilise',
    'comptabilisé',
    'comptabilité',
    'comptable',
    'comptables',
    'comptage',
    'comptages',
    'comptai',
    'comptaient',
    'comptais',
    'comptait',
    'comptant',
    'comptas',
    'comptasse',
    'comptassent',
    'comptasses',
    'comptassiez',
    'comptassions',
    'compte',
    'comptent',
    'compter',
    'comptera',
    'compterai',
    'compteraient',
    'compterais',
    'compterait',
    'compteras',
    'compterez',
    'compteriez',
    'compterions',
    'compterons',
    'compteront',
    'comptes',
    'compteur',
    'compteurs',
    'comptez',
    'comptiez',
    'comptine',
    'comptines',
    'comptions',
    'comptoir',
    'comptoirs',
    'comptons',
    'comptâmes',
    'comptât',
    'comptâtes',
    'comptèrent',
    'compté',
    'comptée',
    'comptées',
    'comptés',
    'compulsa',
    'compulsai',
    'compulsaient',
    'compulsais',
    'compulsait',
    'compulsant',
    'compulsas',
    'compulsasse',
    'compulsasses',
    'compulse',
    'compulsent',
    'compulser',
    'compulsera',
    'compulserai',
    'compulserais',
    'compulserait',
    'compulseras',
    'compulserez',
    'compulseriez',
    'compulserons',
    'compulseront',
    'compulses',
    'compulsez',
    'compulsiez',
    'compulsif',
    'compulsifs',
    'compulsion',
    'compulsions',
    'compulsive',
    'compulsives',
    'compulsons',
    'compulsâmes',
    'compulsât',
    'compulsâtes',
    'compulsèrent',
    'compulsé',
    'compulsée',
    'compulsées',
    'compulsés',
    'comput',
    'computa',
    'computai',
    'computaient',
    'computais',
    'computait',
    'computant',
    'computas',
    'computasse',
    'computassent',
    'computasses',
    'computassiez',
    'computation',
    'computations',
    'compute',
    'computent',
    'computer',
    'computera',
    'computerai',
    'computerais',
    'computerait',
    'computeras',
    'computerez',
    'computeriez',
    'computerions',
    'computerons',
    'computeront',
    'computes',
    'computez',
    'computiez',
    'computions',
    'computons',
    'computs',
    'computâmes',
    'computât',
    'computâtes',
    'computèrent',
    'computé',
    'computée',
    'computées',
    'computés',
    'compère',
    'compères',
    'compète',
    'compètent',
    'compètes',
    'compérage',
    'compérages',
    'compéta',
    'compétai',
    'compétaient',
    'compétais',
    'compétait',
    'compétant',
    'compétas',
    'compétasse',
    'compétassent',
    'compétasses',
    'compétassiez',
    'compétence',
    'compétences',
    'compétent',
    'compétente',
    'compétentes',
    'compétents',
    'compéter',
    'compétera',
    'compéterai',
    'compéterais',
    'compéterait',
    'compéteras',
    'compéterez',
    'compéteriez',
    'compéterions',
    'compéterons',
    'compéteront',
    'compétez',
    'compétiez',
    'compétions',
    'compétiteur',
    'compétiteurs',
    'compétitif',
    'compétitifs',
    'compétition',
    'compétitions',
    'compétitive',
    'compétitives',
    'compétitrice',
    'compétons',
    'compétâmes',
    'compétât',
    'compétâtes',
    'compétèrent',
    'compété',
    'comtal',
    'comtale',
    'comtales',
    'comtaux',
    'comte',
    'comtes',
    'comtesse',
    'comtesses',
    'comté',
    'comtés',
    'comète',
    'comètes',
    'comédie',
    'comédien',
    'comédienne',
    'comédiennes',
    'comédiens',
    'comédies',
    'comédon',
    'comédons',
    'cométaire',
    'cométaires',
    'conard',
    'conarde',
    'conardes',
    'conards',
    'conasse',
    'conasses',
    'conatif',
    'conatifs',
    'conation',
    'conations',
    'conative',
    'conatives',
    'concassa',
    'concassage',
    'concassages',
    'concassai',
    'concassaient',
    'concassais',
    'concassait',
    'concassant',
    'concassas',
    'concassasse',
    'concassasses',
    'concasse',
    'concassent',
    'concasser',
    'concassera',
    'concasserai',
    'concasserais',
    'concasserait',
    'concasseras',
    'concasserez',
    'concasseriez',
    'concasserons',
    'concasseront',
    'concasses',
    'concasseur',
    'concasseurs',
    'concassez',
    'concassiez',
    'concassions',
    'concassons',
    'concassâmes',
    'concassât',
    'concassâtes',
    'concassèrent',
    'concassé',
    'concassée',
    'concassées',
    'concassés',
    'concatène',
    'concatènent',
    'concatènes',
    'concaténa',
    'concaténai',
    'concaténais',
    'concaténait',
    'concaténant',
    'concaténas',
    'concaténasse',
    'concaténer',
    'concaténera',
    'concaténerai',
    'concaténeras',
    'concaténerez',
    'concaténez',
    'concaténiez',
    'concaténions',
    'concaténons',
    'concaténâmes',
    'concaténât',
    'concaténâtes',
    'concaténé',
    'concaténée',
    'concaténées',
    'concaténés',
    'concave',
    'concaves',
    'concavité',
    'concavités',
    'concentra',
    'concentrai',
    'concentrais',
    'concentrait',
    'concentrant',
    'concentras',
    'concentrasse',
    'concentre',
    'concentrent',
    'concentrer',
    'concentrera',
    'concentrerai',
    'concentreras',
    'concentrerez',
    'concentres',
    'concentrez',
    'concentriez',
    'concentrions',
    'concentrique',
    'concentrons',
    'concentrâmes',
    'concentrât',
    'concentrâtes',
    'concentré',
    'concentrée',
    'concentrées',
    'concentrés',
    'concept',
    'conceptacle',
    'conceptacles',
    'concepteur',
    'concepteurs',
    'conception',
    'conceptions',
    'conceptisme',
    'conceptismes',
    'conceptrice',
    'conceptrices',
    'concepts',
    'conceptuel',
    'conceptuelle',
    'conceptuels',
    'concerna',
    'concernai',
    'concernaient',
    'concernais',
    'concernait',
    'concernant',
    'concernas',
    'concernasse',
    'concernasses',
    'concerne',
    'concernent',
    'concerner',
    'concernera',
    'concernerai',
    'concernerais',
    'concernerait',
    'concerneras',
    'concernerez',
    'concerneriez',
    'concernerons',
    'concerneront',
    'concernes',
    'concernez',
    'concerniez',
    'concernions',
    'concernons',
    'concernâmes',
    'concernât',
    'concernâtes',
    'concernèrent',
    'concerné',
    'concernée',
    'concernées',
    'concernés',
    'concert',
    'concerta',
    'concertai',
    'concertaient',
    'concertais',
    'concertait',
    'concertant',
    'concertante',
    'concertantes',
    'concertants',
    'concertas',
    'concertasse',
    'concertasses',
    'concertation',
    'concerte',
    'concertent',
    'concerter',
    'concertera',
    'concerterai',
    'concerterais',
    'concerterait',
    'concerteras',
    'concerterez',
    'concerteriez',
    'concerterons',
    'concerteront',
    'concertes',
    'concertez',
    'concertiez',
    'concertino',
    'concertinos',
    'concertions',
    'concertiste',
    'concertistes',
    'concerto',
    'concertons',
    'concertos',
    'concerts',
    'concertâmes',
    'concertât',
    'concertâtes',
    'concertèrent',
    'concerté',
    'concertée',
    'concertées',
    'concertés',
    'concessif',
    'concessifs',
    'concession',
    'concessions',
    'concessive',
    'concessives',
    'concetti',
    'concevable',
    'concevables',
    'concevaient',
    'concevais',
    'concevait',
    'concevant',
    'concevez',
    'conceviez',
    'concevions',
    'concevoir',
    'concevons',
    'concevra',
    'concevrai',
    'concevraient',
    'concevrais',
    'concevrait',
    'concevras',
    'concevrez',
    'concevriez',
    'concevrions',
    'concevrons',
    'concevront',
    'conchoïdal',
    'conchoïdale',
    'conchoïdales',
    'conchoïdaux',
    'conchoïde',
    'conchoïdes',
    'conchylien',
    'conchylienne',
    'conchyliens',
    'concierge',
    'conciergerie',
    'concierges',
    'concile',
    'conciles',
    'concilia',
    'conciliable',
    'conciliables',
    'conciliabule',
    'conciliai',
    'conciliaient',
    'conciliaire',
    'conciliaires',
    'conciliais',
    'conciliait',
    'conciliant',
    'conciliante',
    'conciliantes',
    'conciliants',
    'concilias',
    'conciliasse',
    'conciliasses',
    'conciliateur',
    'conciliation',
    'concilie',
    'concilient',
    'concilier',
    'conciliera',
    'concilierai',
    'concilierais',
    'concilierait',
    'concilieras',
    'concilierez',
    'concilieriez',
    'concilierons',
    'concilieront',
    'concilies',
    'conciliez',
    'conciliiez',
    'conciliions',
    'concilions',
    'conciliâmes',
    'conciliât',
    'conciliâtes',
    'concilièrent',
    'concilié',
    'conciliée',
    'conciliées',
    'conciliés',
    'concis',
    'concise',
    'concises',
    'concision',
    'concisions',
    'concitoyen',
    'concitoyenne',
    'concitoyens',
    'conclave',
    'conclaves',
    'conclaviste',
    'conclavistes',
    'conclu',
    'concluaient',
    'concluais',
    'concluait',
    'concluant',
    'concluante',
    'concluantes',
    'concluants',
    'conclue',
    'concluent',
    'conclues',
    'concluez',
    'concluiez',
    'concluions',
    'concluons',
    'conclura',
    'conclurai',
    'concluraient',
    'conclurais',
    'conclurait',
    'concluras',
    'conclure',
    'conclurent',
    'conclurez',
    'concluriez',
    'conclurions',
    'conclurons',
    'concluront',
    'conclus',
    'conclusion',
    'conclusions',
    'conclusse',
    'conclussent',
    'conclusses',
    'conclussiez',
    'conclussions',
    'conclut',
    'conclûmes',
    'conclût',
    'conclûtes',
    'concocta',
    'concoctai',
    'concoctaient',
    'concoctais',
    'concoctait',
    'concoctant',
    'concoctas',
    'concoctasse',
    'concoctasses',
    'concocte',
    'concoctent',
    'concocter',
    'concoctera',
    'concocterai',
    'concocterais',
    'concocterait',
    'concocteras',
    'concocterez',
    'concocteriez',
    'concocterons',
    'concocteront',
    'concoctes',
    'concoctez',
    'concoctiez',
    'concoctions',
    'concoctons',
    'concoctâmes',
    'concoctât',
    'concoctâtes',
    'concoctèrent',
    'concocté',
    'concoctée',
    'concoctées',
    'concoctés',
    'concombre',
    'concombres',
    'concomitance',
    'concomitant',
    'concomitante',
    'concomitants',
    'concorda',
    'concordai',
    'concordaient',
    'concordais',
    'concordait',
    'concordance',
    'concordances',
    'concordant',
    'concordante',
    'concordantes',
    'concordants',
    'concordas',
    'concordasse',
    'concordasses',
    'concordat',
    'concordats',
    'concorde',
    'concordent',
    'concorder',
    'concordera',
    'concorderai',
    'concorderais',
    'concorderait',
    'concorderas',
    'concorderez',
    'concorderiez',
    'concorderons',
    'concorderont',
    'concordes',
    'concordez',
    'concordiez',
    'concordions',
    'concordons',
    'concordâmes',
    'concordât',
    'concordâtes',
    'concordèrent',
    'concordé',
    'concordée',
    'concordées',
    'concordés',
    'concouraient',
    'concourais',
    'concourait',
    'concourant',
    'concourante',
    'concourantes',
    'concourants',
    'concoure',
    'concourent',
    'concoures',
    'concourez',
    'concouriez',
    'concourions',
    'concourir',
    'concourons',
    'concourra',
    'concourrai',
    'concourrais',
    'concourrait',
    'concourras',
    'concourrez',
    'concourriez',
    'concourrions',
    'concourrons',
    'concourront',
    'concours',
    'concourt',
    'concouru',
    'concourue',
    'concourues',
    'concoururent',
    'concourus',
    'concourusse',
    'concourusses',
    'concourut',
    'concourûmes',
    'concourût',
    'concourûtes',
    'concret',
    'concrets',
    'concrète',
    'concrètement',
    'concrètent',
    'concrètes',
    'concréta',
    'concrétai',
    'concrétaient',
    'concrétais',
    'concrétait',
    'concrétant',
    'concrétas',
    'concrétasse',
    'concrétasses',
    'concréter',
    'concrétera',
    'concréterai',
    'concréterais',
    'concréterait',
    'concréteras',
    'concréterez',
    'concréteriez',
    'concréterons',
    'concréteront',
    'concrétez',
    'concrétiez',
    'concrétion',
    'concrétions',
    'concrétisa',
    'concrétisai',
    'concrétisais',
    'concrétisait',
    'concrétisant',
    'concrétisas',
    'concrétise',
    'concrétisent',
    'concrétiser',
    'concrétisera',
    'concrétises',
    'concrétisez',
    'concrétisiez',
    'concrétisons',
    'concrétisât',
    'concrétisé',
    'concrétisée',
    'concrétisées',
    'concrétisés',
    'concrétons',
    'concrétâmes',
    'concrétât',
    'concrétâtes',
    'concrétèrent',
    'concrété',
    'concrétée',
    'concrétées',
    'concrétés',
    'concubin',
    'concubinage',
    'concubinages',
    'concubine',
    'concubines',
    'concubins',
    'concupiscent',
    'concurrence',
    'concurrencer',
    'concurrences',
    'concurrencez',
    'concurrencé',
    'concurrencée',
    'concurrencés',
    'concurrent',
    'concurrente',
    'concurrentes',
    'concurrents',
    'concurrença',
    'concurrençai',
    'concurrenças',
    'concurrençât',
    'concussion',
    'concussions',
    'concède',
    'concèdent',
    'concèdes',
    'concéda',
    'concédai',
    'concédaient',
    'concédais',
    'concédait',
    'concédant',
    'concédas',
    'concédasse',
    'concédassent',
    'concédasses',
    'concédassiez',
    'concéder',
    'concédera',
    'concéderai',
    'concéderais',
    'concéderait',
    'concéderas',
    'concéderez',
    'concéderiez',
    'concéderions',
    'concéderons',
    'concéderont',
    'concédez',
    'concédiez',
    'concédions',
    'concédons',
    'concédâmes',
    'concédât',
    'concédâtes',
    'concédèrent',
    'concédé',
    'concédée',
    'concédées',
    'concédés',
    'concélèbre',
    'concélèbrent',
    'concélèbres',
    'concélébra',
    'concélébrai',
    'concélébrais',
    'concélébrait',
    'concélébrant',
    'concélébras',
    'concélébrer',
    'concélébrera',
    'concélébrez',
    'concélébriez',
    'concélébrons',
    'concélébrât',
    'concélébré',
    'concélébrée',
    'concélébrées',
    'concélébrés',
    'condamna',
    'condamnable',
    'condamnables',
    'condamnai',
    'condamnaient',
    'condamnais',
    'condamnait',
    'condamnant',
    'condamnas',
    'condamnasse',
    'condamnasses',
    'condamnation',
    'condamne',
    'condamnent',
    'condamner',
    'condamnera',
    'condamnerai',
    'condamnerais',
    'condamnerait',
    'condamneras',
    'condamnerez',
    'condamneriez',
    'condamnerons',
    'condamneront',
    'condamnes',
    'condamnez',
    'condamniez',
    'condamnions',
    'condamnons',
    'condamnâmes',
    'condamnât',
    'condamnâtes',
    'condamnèrent',
    'condamné',
    'condamnée',
    'condamnées',
    'condamnés',
    'condensa',
    'condensable',
    'condensables',
    'condensai',
    'condensaient',
    'condensais',
    'condensait',
    'condensant',
    'condensas',
    'condensasse',
    'condensasses',
    'condensateur',
    'condensation',
    'condense',
    'condensent',
    'condenser',
    'condensera',
    'condenserai',
    'condenserais',
    'condenserait',
    'condenseras',
    'condenserez',
    'condenseriez',
    'condenserons',
    'condenseront',
    'condenses',
    'condenseur',
    'condenseurs',
    'condensez',
    'condensiez',
    'condensions',
    'condensons',
    'condensâmes',
    'condensât',
    'condensâtes',
    'condensèrent',
    'condensé',
    'condensée',
    'condensées',
    'condensés',
    'condescend',
    'condescende',
    'condescendes',
    'condescendez',
    'condescendis',
    'condescendit',
    'condescendra',
    'condescendre',
    'condescends',
    'condescendu',
    'condescendue',
    'condescendus',
    'condescendît',
    'condiment',
    'condiments',
    'condisciple',
    'condisciples',
    'condition',
    'conditionna',
    'conditionnai',
    'conditionnas',
    'conditionne',
    'conditionnel',
    'conditionner',
    'conditionnes',
    'conditionnez',
    'conditionnât',
    'conditionné',
    'conditionnée',
    'conditionnés',
    'conditions',
    'condoléances',
    'condom',
    'condominium',
    'condominiums',
    'condoms',
    'condor',
    'condors',
    'condottiere',
    'condottieres',
    'conductance',
    'conductances',
    'conducteur',
    'conducteurs',
    'conductible',
    'conductibles',
    'conduction',
    'conductions',
    'conductivité',
    'conductrice',
    'conductrices',
    'conduira',
    'conduirai',
    'conduiraient',
    'conduirais',
    'conduirait',
    'conduiras',
    'conduire',
    'conduirez',
    'conduiriez',
    'conduirions',
    'conduirons',
    'conduiront',
    'conduis',
    'conduisaient',
    'conduisais',
    'conduisait',
    'conduisant',
    'conduise',
    'conduisent',
    'conduises',
    'conduisez',
    'conduisiez',
    'conduisions',
    'conduisirent',
    'conduisis',
    'conduisisse',
    'conduisisses',
    'conduisit',
    'conduisons',
    'conduisîmes',
    'conduisît',
    'conduisîtes',
    'conduit',
    'conduite',
    'conduites',
    'conduits',
    'condyle',
    'condyles',
    'condylien',
    'condylienne',
    'condyliennes',
    'condyliens',
    'condylome',
    'condylomes',
    'condé',
    'condés',
    'conf',
    'confection',
    'confectionna',
    'confectionne',
    'confectionné',
    'confections',
    'confer',
    'conferve',
    'conferves',
    'confessa',
    'confessai',
    'confessaient',
    'confessais',
    'confessait',
    'confessant',
    'confessas',
    'confessasse',
    'confessasses',
    'confesse',
    'confessent',
    'confesser',
    'confessera',
    'confesserai',
    'confesserais',
    'confesserait',
    'confesseras',
    'confesserez',
    'confesseriez',
    'confesserons',
    'confesseront',
    'confesses',
    'confesseur',
    'confesseurs',
    'confessez',
    'confessiez',
    'confession',
    'confessions',
    'confessons',
    'confessâmes',
    'confessât',
    'confessâtes',
    'confessèrent',
    'confessé',
    'confessée',
    'confessées',
    'confessés',
    'confetti',
    'confettis',
    'confia',
    'confiai',
    'confiaient',
    'confiais',
    'confiait',
    'confiance',
    'confiances',
    'confiant',
    'confiante',
    'confiantes',
    'confiants',
    'confias',
    'confiasse',
    'confiassent',
    'confiasses',
    'confiassiez',
    'confiassions',
    'confidence',
    'confidences',
    'confident',
    'confidente',
    'confidentes',
    'confidentiel',
    'confidents',
    'confie',
    'confient',
    'confier',
    'confiera',
    'confierai',
    'confieraient',
    'confierais',
    'confierait',
    'confieras',
    'confierez',
    'confieriez',
    'confierions',
    'confierons',
    'confieront',
    'confies',
    'confiez',
    'configura',
    'configurai',
    'configurais',
    'configurait',
    'configurant',
    'configuras',
    'configurasse',
    'configure',
    'configurent',
    'configurer',
    'configurera',
    'configurerai',
    'configureras',
    'configurerez',
    'configures',
    'configurez',
    'configuriez',
    'configurions',
    'configurons',
    'configurâmes',
    'configurât',
    'configurâtes',
    'configuré',
    'configurée',
    'configurées',
    'configurés',
    'confiiez',
    'confiions',
    'confina',
    'confinai',
    'confinaient',
    'confinais',
    'confinait',
    'confinant',
    'confinas',
    'confinasse',
    'confinassent',
    'confinasses',
    'confinassiez',
    'confine',
    'confinement',
    'confinements',
    'confinent',
    'confiner',
    'confinera',
    'confinerai',
    'confinerais',
    'confinerait',
    'confineras',
    'confinerez',
    'confineriez',
    'confinerions',
    'confinerons',
    'confineront',
    'confines',
    'confinez',
    'confiniez',
    'confinions',
    'confinons',
    'confins',
    'confinâmes',
    'confinât',
    'confinâtes',
    'confinèrent',
    'confiné',
    'confinée',
    'confinées',
    'confinés',
    'confions',
    'confira',
    'confirai',
    'confiraient',
    'confirais',
    'confirait',
    'confiras',
    'confire',
    'confirent',
    'confirez',
    'confiriez',
    'confirions',
    'confirma',
    'confirmai',
    'confirmaient',
    'confirmais',
    'confirmait',
    'confirmand',
    'confirmande',
    'confirmandes',
    'confirmands',
    'confirmant',
    'confirmas',
    'confirmasse',
    'confirmasses',
    'confirmatif',
    'confirmatifs',
    'confirmation',
    'confirmative',
    'confirme',
    'confirment',
    'confirmer',
    'confirmera',
    'confirmerai',
    'confirmerais',
    'confirmerait',
    'confirmeras',
    'confirmerez',
    'confirmeriez',
    'confirmerons',
    'confirmeront',
    'confirmes',
    'confirmez',
    'confirmiez',
    'confirmions',
    'confirmons',
    'confirmâmes',
    'confirmât',
    'confirmâtes',
    'confirmèrent',
    'confirmé',
    'confirmée',
    'confirmées',
    'confirmés',
    'confirons',
    'confiront',
    'confis',
    'confisaient',
    'confisais',
    'confisait',
    'confisant',
    'confiscable',
    'confiscables',
    'confiscation',
    'confise',
    'confisent',
    'confiserie',
    'confiseries',
    'confises',
    'confiseur',
    'confiseurs',
    'confiseuse',
    'confiseuses',
    'confisez',
    'confisiez',
    'confisions',
    'confisons',
    'confisqua',
    'confisquai',
    'confisquais',
    'confisquait',
    'confisquant',
    'confisquas',
    'confisquasse',
    'confisque',
    'confisquent',
    'confisquer',
    'confisquera',
    'confisquerai',
    'confisqueras',
    'confisquerez',
    'confisques',
    'confisquez',
    'confisquiez',
    'confisquions',
    'confisquons',
    'confisquâmes',
    'confisquât',
    'confisquâtes',
    'confisqué',
    'confisquée',
    'confisquées',
    'confisqués',
    'confisse',
    'confissent',
    'confisses',
    'confissiez',
    'confissions',
    'confit',
    'confite',
    'confiteor',
    'confites',
    'confits',
    'confiture',
    'confiturerie',
    'confitures',
    'confiturier',
    'confituriers',
    'confiturière',
    'confiâmes',
    'confiât',
    'confiâtes',
    'confièrent',
    'confié',
    'confiée',
    'confiées',
    'confiés',
    'conflictuel',
    'conflictuels',
    'conflit',
    'conflits',
    'conflua',
    'confluai',
    'confluaient',
    'confluais',
    'confluait',
    'confluant',
    'confluas',
    'confluasse',
    'confluassent',
    'confluasses',
    'confluassiez',
    'conflue',
    'confluence',
    'confluences',
    'confluent',
    'confluents',
    'confluer',
    'confluera',
    'confluerai',
    'confluerais',
    'confluerait',
    'conflueras',
    'confluerez',
    'conflueriez',
    'confluerions',
    'confluerons',
    'conflueront',
    'conflues',
    'confluez',
    'confluiez',
    'confluions',
    'confluons',
    'confluâmes',
    'confluât',
    'confluâtes',
    'confluèrent',
    'conflué',
    'confluée',
    'confluées',
    'conflués',
    'confond',
    'confondaient',
    'confondais',
    'confondait',
    'confondant',
    'confondante',
    'confondantes',
    'confondants',
    'confonde',
    'confondent',
    'confondes',
    'confondez',
    'confondiez',
    'confondions',
    'confondirent',
    'confondis',
    'confondisse',
    'confondisses',
    'confondit',
    'confondons',
    'confondra',
    'confondrai',
    'confondrais',
    'confondrait',
    'confondras',
    'confondre',
    'confondrez',
    'confondriez',
    'confondrions',
    'confondrons',
    'confondront',
    'confonds',
    'confondu',
    'confondue',
    'confondues',
    'confondus',
    'confondîmes',
    'confondît',
    'confondîtes',
    'conforma',
    'conformai',
    'conformaient',
    'conformais',
    'conformait',
    'conformant',
    'conformas',
    'conformasse',
    'conformasses',
    'conformateur',
    'conformation',
    'conforme',
    'conforment',
    'conformer',
    'conformera',
    'conformerai',
    'conformerais',
    'conformerait',
    'conformeras',
    'conformerez',
    'conformeriez',
    'conformerons',
    'conformeront',
    'conformes',
    'conformez',
    'conformiez',
    'conformions',
    'conformisme',
    'conformismes',
    'conformiste',
    'conformistes',
    'conformité',
    'conformités',
    'conformons',
    'conformâmes',
    'conformât',
    'conformâtes',
    'conformèrent',
    'conformé',
    'conformée',
    'conformées',
    'conformément',
    'conformés',
    'confort',
    'conforta',
    'confortable',
    'confortables',
    'confortai',
    'confortaient',
    'confortais',
    'confortait',
    'confortant',
    'confortas',
    'confortasse',
    'confortasses',
    'conforte',
    'confortent',
    'conforter',
    'confortera',
    'conforterai',
    'conforterais',
    'conforterait',
    'conforteras',
    'conforterez',
    'conforteriez',
    'conforterons',
    'conforteront',
    'confortes',
    'confortez',
    'confortiez',
    'confortions',
    'confortons',
    'conforts',
    'confortâmes',
    'confortât',
    'confortâtes',
    'confortèrent',
    'conforté',
    'confortée',
    'confortées',
    'confortés',
    'confraternel',
    'confronta',
    'confrontai',
    'confrontais',
    'confrontait',
    'confrontant',
    'confrontas',
    'confrontasse',
    'confronte',
    'confrontent',
    'confronter',
    'confrontera',
    'confronterai',
    'confronteras',
    'confronterez',
    'confrontes',
    'confrontez',
    'confrontiez',
    'confrontions',
    'confrontons',
    'confrontâmes',
    'confrontât',
    'confrontâtes',
    'confronté',
    'confrontée',
    'confrontées',
    'confrontés',
    'confrère',
    'confrères',
    'confrérie',
    'confréries',
    'confus',
    'confuse',
    'confuses',
    'confusion',
    'confusionnel',
    'confusions',
    'confusément',
    'confère',
    'confèrent',
    'confères',
    'confédère',
    'confédèrent',
    'confédères',
    'confédéra',
    'confédérai',
    'confédérais',
    'confédérait',
    'confédéral',
    'confédérale',
    'confédérales',
    'confédérant',
    'confédéras',
    'confédérasse',
    'confédéraux',
    'confédérer',
    'confédérera',
    'confédérerai',
    'confédéreras',
    'confédérerez',
    'confédérez',
    'confédériez',
    'confédérions',
    'confédérons',
    'confédérâmes',
    'confédérât',
    'confédérâtes',
    'confédéré',
    'confédérée',
    'confédérées',
    'confédérés',
    'conféra',
    'conférai',
    'conféraient',
    'conférais',
    'conférait',
    'conférant',
    'conféras',
    'conférasse',
    'conférassent',
    'conférasses',
    'conférassiez',
    'conférence',
    'conférences',
    'conférencier',
    'conférer',
    'conférera',
    'conférerai',
    'conférerais',
    'conférerait',
    'conféreras',
    'conférerez',
    'conféreriez',
    'conférerions',
    'conférerons',
    'conféreront',
    'conférez',
    'confériez',
    'conférions',
    'conférons',
    'conférâmes',
    'conférât',
    'conférâtes',
    'conférèrent',
    'conféré',
    'conférée',
    'conférées',
    'conférés',
    'confîmes',
    'confît',
    'confîtes',
    'conga',
    'congas',
    'congaye',
    'congayes',
    'congaï',
    'congaïs',
    'congela',
    'congelable',
    'congelables',
    'congelai',
    'congelaient',
    'congelais',
    'congelait',
    'congelant',
    'congelas',
    'congelasse',
    'congelassent',
    'congelasses',
    'congelassiez',
    'congeler',
    'congelez',
    'congeliez',
    'congelions',
    'congelons',
    'congelâmes',
    'congelât',
    'congelâtes',
    'congelèrent',
    'congelé',
    'congelée',
    'congelées',
    'congelés',
    'congestif',
    'congestifs',
    'congestion',
    'congestionna',
    'congestionne',
    'congestionné',
    'congestions',
    'congestive',
    'congestives',
    'conglomère',
    'conglomèrent',
    'conglomères',
    'congloméra',
    'conglomérai',
    'conglomérais',
    'conglomérait',
    'conglomérant',
    'congloméras',
    'conglomérat',
    'conglomérats',
    'conglomérer',
    'conglomérera',
    'conglomérez',
    'conglomériez',
    'conglomérons',
    'conglomérât',
    'congloméré',
    'conglomérée',
    'conglomérées',
    'conglomérés',
    'conglutina',
    'conglutinai',
    'conglutinais',
    'conglutinait',
    'conglutinant',
    'conglutinas',
    'conglutine',
    'conglutinent',
    'conglutiner',
    'conglutinera',
    'conglutines',
    'conglutinez',
    'conglutiniez',
    'conglutinons',
    'conglutinât',
    'conglutiné',
    'conglutinée',
    'conglutinées',
    'conglutinés',
    'congolais',
    'congolaise',
    'congolaises',
    'congratula',
    'congratulai',
    'congratulais',
    'congratulait',
    'congratulant',
    'congratulas',
    'congratule',
    'congratulent',
    'congratuler',
    'congratulera',
    'congratules',
    'congratulez',
    'congratuliez',
    'congratulons',
    'congratulât',
    'congratulé',
    'congratulée',
    'congratulées',
    'congratulés',
    'congre',
    'congres',
    'congressiste',
    'congru',
    'congrue',
    'congruence',
    'congruences',
    'congruent',
    'congruente',
    'congruentes',
    'congruents',
    'congrues',
    'congrus',
    'congrès',
    'congréa',
    'congréai',
    'congréaient',
    'congréais',
    'congréait',
    'congréant',
    'congréas',
    'congréasse',
    'congréassent',
    'congréasses',
    'congréassiez',
    'congrée',
    'congréent',
    'congréer',
    'congréera',
    'congréerai',
    'congréerais',
    'congréerait',
    'congréeras',
    'congréerez',
    'congréeriez',
    'congréerions',
    'congréerons',
    'congréeront',
    'congrées',
    'congréez',
    'congrégation',
    'congréiez',
    'congréions',
    'congréons',
    'congréâmes',
    'congréât',
    'congréâtes',
    'congréèrent',
    'congréé',
    'congréée',
    'congréées',
    'congréés',
    'congèle',
    'congèlent',
    'congèlera',
    'congèlerai',
    'congèlerais',
    'congèlerait',
    'congèleras',
    'congèlerez',
    'congèleriez',
    'congèlerions',
    'congèlerons',
    'congèleront',
    'congèles',
    'congère',
    'congères',
    'congé',
    'congédia',
    'congédiable',
    'congédiables',
    'congédiai',
    'congédiaient',
    'congédiais',
    'congédiait',
    'congédiant',
    'congédias',
    'congédiasse',
    'congédiasses',
    'congédie',
    'congédiement',
    'congédient',
    'congédier',
    'congédiera',
    'congédierai',
    'congédierais',
    'congédierait',
    'congédieras',
    'congédierez',
    'congédieriez',
    'congédierons',
    'congédieront',
    'congédies',
    'congédiez',
    'congédiiez',
    'congédiions',
    'congédions',
    'congédiâmes',
    'congédiât',
    'congédiâtes',
    'congédièrent',
    'congédié',
    'congédiée',
    'congédiées',
    'congédiés',
    'congélateur',
    'congélateurs',
    'congélation',
    'congélations',
    'congénital',
    'congénitale',
    'congénitales',
    'congénitaux',
    'congénère',
    'congénères',
    'congés',
    'conicine',
    'conicines',
    'conicité',
    'conicités',
    'conidie',
    'conidies',
    'conifère',
    'conifères',
    'conique',
    'coniques',
    'conirostre',
    'conirostres',
    'conjectura',
    'conjecturai',
    'conjecturais',
    'conjecturait',
    'conjectural',
    'conjecturale',
    'conjecturant',
    'conjecturas',
    'conjecturaux',
    'conjecture',
    'conjecturent',
    'conjecturer',
    'conjecturera',
    'conjectures',
    'conjecturez',
    'conjecturiez',
    'conjecturons',
    'conjecturât',
    'conjecturé',
    'conjecturée',
    'conjecturées',
    'conjecturés',
    'conjoignais',
    'conjoignait',
    'conjoignant',
    'conjoigne',
    'conjoignent',
    'conjoignes',
    'conjoignez',
    'conjoigniez',
    'conjoignions',
    'conjoignis',
    'conjoignisse',
    'conjoignit',
    'conjoignons',
    'conjoignîmes',
    'conjoignît',
    'conjoignîtes',
    'conjoindra',
    'conjoindrai',
    'conjoindrais',
    'conjoindrait',
    'conjoindras',
    'conjoindre',
    'conjoindrez',
    'conjoindriez',
    'conjoindrons',
    'conjoindront',
    'conjoins',
    'conjoint',
    'conjointe',
    'conjointes',
    'conjoints',
    'conjoncteur',
    'conjoncteurs',
    'conjonctif',
    'conjonctifs',
    'conjonction',
    'conjonctions',
    'conjonctival',
    'conjonctive',
    'conjonctives',
    'conjoncture',
    'conjoncturel',
    'conjonctures',
    'conjugaison',
    'conjugaisons',
    'conjugal',
    'conjugale',
    'conjugales',
    'conjugaux',
    'conjugua',
    'conjuguai',
    'conjuguaient',
    'conjuguais',
    'conjuguait',
    'conjuguant',
    'conjuguas',
    'conjuguasse',
    'conjuguasses',
    'conjugue',
    'conjuguent',
    'conjuguer',
    'conjuguera',
    'conjuguerai',
    'conjuguerais',
    'conjuguerait',
    'conjugueras',
    'conjuguerez',
    'conjugueriez',
    'conjuguerons',
    'conjugueront',
    'conjugues',
    'conjuguez',
    'conjuguiez',
    'conjuguions',
    'conjuguons',
    'conjuguâmes',
    'conjuguât',
    'conjuguâtes',
    'conjuguèrent',
    'conjugué',
    'conjuguée',
    'conjuguées',
    'conjugués',
    'conjungo',
    'conjura',
    'conjurai',
    'conjuraient',
    'conjurais',
    'conjurait',
    'conjurant',
    'conjuras',
    'conjurasse',
    'conjurassent',
    'conjurasses',
    'conjurassiez',
    'conjurateur',
    'conjurateurs',
    'conjuration',
    'conjurations',
    'conjuratrice',
    'conjure',
    'conjurent',
    'conjurer',
    'conjurera',
    'conjurerai',
    'conjurerais',
    'conjurerait',
    'conjureras',
    'conjurerez',
    'conjureriez',
    'conjurerions',
    'conjurerons',
    'conjureront',
    'conjures',
    'conjurez',
    'conjuriez',
    'conjurions',
    'conjurons',
    'conjurâmes',
    'conjurât',
    'conjurâtes',
    'conjurèrent',
    'conjuré',
    'conjurée',
    'conjurées',
    'conjurés',
    'connais',
    'connaissable',
    'connaissais',
    'connaissait',
    'connaissance',
    'connaissant',
    'connaisse',
    'connaissent',
    'connaisses',
    'connaisseur',
    'connaisseurs',
    'connaisseuse',
    'connaissez',
    'connaissiez',
    'connaissions',
    'connaissons',
    'connard',
    'connarde',
    'connardes',
    'connards',
    'connasse',
    'connasses',
    'connaît',
    'connaîtra',
    'connaîtrai',
    'connaîtrais',
    'connaîtrait',
    'connaîtras',
    'connaître',
    'connaîtrez',
    'connaîtriez',
    'connaîtrions',
    'connaîtrons',
    'connaîtront',
    'connecta',
    'connectai',
    'connectaient',
    'connectais',
    'connectait',
    'connectant',
    'connectas',
    'connectasse',
    'connectasses',
    'connecte',
    'connectent',
    'connecter',
    'connectera',
    'connecterai',
    'connecterais',
    'connecterait',
    'connecteras',
    'connecterez',
    'connecteriez',
    'connecterons',
    'connecteront',
    'connectes',
    'connecteur',
    'connecteurs',
    'connectez',
    'connectiez',
    'connectif',
    'connectifs',
    'connections',
    'connective',
    'connectives',
    'connectons',
    'connectâmes',
    'connectât',
    'connectâtes',
    'connectèrent',
    'connecté',
    'connectée',
    'connectées',
    'connectés',
    'connerie',
    'conneries',
    'connexe',
    'connexes',
    'connexion',
    'connexions',
    'connexité',
    'connexités',
    'connivence',
    'connivences',
    'connivent',
    'connivente',
    'conniventes',
    'connivents',
    'connota',
    'connotai',
    'connotaient',
    'connotais',
    'connotait',
    'connotant',
    'connotas',
    'connotasse',
    'connotassent',
    'connotasses',
    'connotassiez',
    'connotation',
    'connotations',
    'connote',
    'connotent',
    'connoter',
    'connotera',
    'connoterai',
    'connoterais',
    'connoterait',
    'connoteras',
    'connoterez',
    'connoteriez',
    'connoterions',
    'connoterons',
    'connoteront',
    'connotes',
    'connotez',
    'connotiez',
    'connotions',
    'connotons',
    'connotâmes',
    'connotât',
    'connotâtes',
    'connotèrent',
    'connoté',
    'connotée',
    'connotées',
    'connotés',
    'connu',
    'connue',
    'connues',
    'connurent',
    'connus',
    'connusse',
    'connussent',
    'connusses',
    'connussiez',
    'connussions',
    'connut',
    'connétable',
    'connétables',
    'connûmes',
    'connût',
    'connûtes',
    'conobra',
    'conobrai',
    'conobraient',
    'conobrais',
    'conobrait',
    'conobrant',
    'conobras',
    'conobrasse',
    'conobrassent',
    'conobrasses',
    'conobrassiez',
    'conobre',
    'conobrent',
    'conobrer',
    'conobrera',
    'conobrerai',
    'conobrerais',
    'conobrerait',
    'conobreras',
    'conobrerez',
    'conobreriez',
    'conobrerions',
    'conobrerons',
    'conobreront',
    'conobres',
    'conobrez',
    'conobriez',
    'conobrions',
    'conobrons',
    'conobrâmes',
    'conobrât',
    'conobrâtes',
    'conobrèrent',
    'conobré',
    'conobrée',
    'conobrées',
    'conobrés',
    'conopée',
    'conopées',
    'conoïde',
    'conoïdes',
    'conpressa',
    'conpressai',
    'conpressais',
    'conpressait',
    'conpressant',
    'conpressante',
    'conpressants',
    'conpressas',
    'conpressasse',
    'conpresse',
    'conpressent',
    'conpresser',
    'conpressera',
    'conpresserai',
    'conpresseras',
    'conpresserez',
    'conpresses',
    'conpressez',
    'conpressiez',
    'conpressions',
    'conpressons',
    'conpressâmes',
    'conpressât',
    'conpressâtes',
    'conpressé',
    'conpressée',
    'conpressées',
    'conpressés',
    'conque',
    'conquerra',
    'conquerrai',
    'conquerrais',
    'conquerrait',
    'conquerras',
    'conquerrez',
    'conquerriez',
    'conquerrions',
    'conquerrons',
    'conquerront',
    'conques',
    'conquiers',
    'conquiert',
    'conquirent',
    'conquis',
    'conquise',
    'conquises',
    'conquisse',
    'conquissent',
    'conquisses',
    'conquissiez',
    'conquissions',
    'conquistador',
    'conquit',
    'conquière',
    'conquièrent',
    'conquières',
    'conquéraient',
    'conquérais',
    'conquérait',
    'conquérant',
    'conquérante',
    'conquérantes',
    'conquérants',
    'conquérez',
    'conquériez',
    'conquérions',
    'conquérir',
    'conquérons',
    'conquéru',
    'conquérue',
    'conquérues',
    'conquérus',
    'conquêt',
    'conquête',
    'conquêtes',
    'conquêts',
    'conquîmes',
    'conquît',
    'conquîtes',
    'cons',
    'consacra',
    'consacrai',
    'consacraient',
    'consacrais',
    'consacrait',
    'consacrant',
    'consacras',
    'consacrasse',
    'consacrasses',
    'consacre',
    'consacrent',
    'consacrer',
    'consacrera',
    'consacrerai',
    'consacrerais',
    'consacrerait',
    'consacreras',
    'consacrerez',
    'consacreriez',
    'consacrerons',
    'consacreront',
    'consacres',
    'consacrez',
    'consacriez',
    'consacrions',
    'consacrons',
    'consacrâmes',
    'consacrât',
    'consacrâtes',
    'consacrèrent',
    'consacré',
    'consacrée',
    'consacrées',
    'consacrés',
    'consanguin',
    'consanguine',
    'consanguines',
    'consanguins',
    'consciemment',
    'conscience',
    'consciences',
    'conscient',
    'consciente',
    'conscientes',
    'conscients',
    'conscription',
    'conscrit',
    'conscrits',
    'conseil',
    'conseilla',
    'conseillai',
    'conseillais',
    'conseillait',
    'conseillant',
    'conseillas',
    'conseillasse',
    'conseille',
    'conseillent',
    'conseiller',
    'conseillera',
    'conseillerai',
    'conseilleras',
    'conseillerez',
    'conseillers',
    'conseilles',
    'conseilleur',
    'conseilleurs',
    'conseilleuse',
    'conseillez',
    'conseilliez',
    'conseillions',
    'conseillons',
    'conseillâmes',
    'conseillât',
    'conseillâtes',
    'conseillère',
    'conseillères',
    'conseillé',
    'conseillée',
    'conseillées',
    'conseillés',
    'conseils',
    'consens',
    'consensus',
    'consent',
    'consentaient',
    'consentais',
    'consentait',
    'consentant',
    'consentante',
    'consentantes',
    'consentants',
    'consente',
    'consentement',
    'consentent',
    'consentes',
    'consentez',
    'consenti',
    'consentie',
    'consenties',
    'consentiez',
    'consentions',
    'consentir',
    'consentira',
    'consentirai',
    'consentirais',
    'consentirait',
    'consentiras',
    'consentirent',
    'consentirez',
    'consentiriez',
    'consentirons',
    'consentiront',
    'consentis',
    'consentisse',
    'consentisses',
    'consentit',
    'consentons',
    'consentîmes',
    'consentît',
    'consentîtes',
    'conserva',
    'conservai',
    'conservaient',
    'conservais',
    'conservait',
    'conservant',
    'conservas',
    'conservasse',
    'conservasses',
    'conservateur',
    'conservation',
    'conserve',
    'conservent',
    'conserver',
    'conservera',
    'conserverai',
    'conserverais',
    'conserverait',
    'conserveras',
    'conserverez',
    'conserverie',
    'conserveries',
    'conserveriez',
    'conserverons',
    'conserveront',
    'conserves',
    'conservez',
    'conserviez',
    'conservions',
    'conservons',
    'conservâmes',
    'conservât',
    'conservâtes',
    'conservèrent',
    'conservé',
    'conservée',
    'conservées',
    'conservés',
    'considère',
    'considèrent',
    'considères',
    'considéra',
    'considérable',
    'considérai',
    'considérais',
    'considérait',
    'considérant',
    'considérante',
    'considérants',
    'considéras',
    'considérasse',
    'considérer',
    'considérera',
    'considérerai',
    'considéreras',
    'considérerez',
    'considérez',
    'considériez',
    'considérions',
    'considérons',
    'considérâmes',
    'considérât',
    'considérâtes',
    'considéré',
    'considérée',
    'considérées',
    'considérés',
    'consigna',
    'consignai',
    'consignaient',
    'consignais',
    'consignait',
    'consignant',
    'consignas',
    'consignasse',
    'consignasses',
    'consignation',
    'consigne',
    'consignent',
    'consigner',
    'consignera',
    'consignerai',
    'consignerais',
    'consignerait',
    'consigneras',
    'consignerez',
    'consigneriez',
    'consignerons',
    'consigneront',
    'consignes',
    'consignez',
    'consigniez',
    'consignions',
    'consignons',
    'consignâmes',
    'consignât',
    'consignâtes',
    'consignèrent',
    'consigné',
    'consignée',
    'consignées',
    'consignés',
    'consista',
    'consistai',
    'consistaient',
    'consistais',
    'consistait',
    'consistance',
    'consistances',
    'consistant',
    'consistante',
    'consistantes',
    'consistants',
    'consistas',
    'consistasse',
    'consistasses',
    'consiste',
    'consistent',
    'consister',
    'consistera',
    'consisterai',
    'consisterais',
    'consisterait',
    'consisteras',
    'consisterez',
    'consisteriez',
    'consisterons',
    'consisteront',
    'consistes',
    'consistez',
    'consistiez',
    'consistions',
    'consistoire',
    'consistoires',
    'consistons',
    'consistorial',
    'consistâmes',
    'consistât',
    'consistâtes',
    'consistèrent',
    'consisté',
    'consoeur',
    'consoeurs',
    'consola',
    'consolable',
    'consolables',
    'consolai',
    'consolaient',
    'consolais',
    'consolait',
    'consolant',
    'consolante',
    'consolantes',
    'consolants',
    'consolas',
    'consolasse',
    'consolassent',
    'consolasses',
    'consolassiez',
    'consolateur',
    'consolateurs',
    'consolation',
    'consolations',
    'consolatrice',
    'console',
    'consolent',
    'consoler',
    'consolera',
    'consolerai',
    'consolerais',
    'consolerait',
    'consoleras',
    'consolerez',
    'consoleriez',
    'consolerions',
    'consolerons',
    'consoleront',
    'consoles',
    'consolez',
    'consolida',
    'consolidai',
    'consolidais',
    'consolidait',
    'consolidant',
    'consolidas',
    'consolidasse',
    'consolide',
    'consolident',
    'consolider',
    'consolidera',
    'consoliderai',
    'consolideras',
    'consoliderez',
    'consolides',
    'consolidez',
    'consolidiez',
    'consolidions',
    'consolidons',
    'consolidâmes',
    'consolidât',
    'consolidâtes',
    'consolidé',
    'consolidée',
    'consolidées',
    'consolidés',
    'consoliez',
    'consolions',
    'consolons',
    'consolâmes',
    'consolât',
    'consolâtes',
    'consolèrent',
    'consolé',
    'consolée',
    'consolées',
    'consolés',
    'consomma',
    'consommable',
    'consommables',
    'consommai',
    'consommaient',
    'consommais',
    'consommait',
    'consommant',
    'consommas',
    'consommasse',
    'consommasses',
    'consommateur',
    'consommation',
    'consomme',
    'consomment',
    'consommer',
    'consommera',
    'consommerai',
    'consommerais',
    'consommerait',
    'consommeras',
    'consommerez',
    'consommeriez',
    'consommerons',
    'consommeront',
    'consommes',
    'consommez',
    'consommiez',
    'consommions',
    'consommons',
    'consommâmes',
    'consommât',
    'consommâtes',
    'consommèrent',
    'consommé',
    'consommée',
    'consommées',
    'consommés',
    'consomptible',
    'consomptif',
    'consomptifs',
    'consomption',
    'consomptions',
    'consomptive',
    'consomptives',
    'consona',
    'consonai',
    'consonaient',
    'consonais',
    'consonait',
    'consonance',
    'consonances',
    'consonant',
    'consonas',
    'consonasse',
    'consonassent',
    'consonasses',
    'consonassiez',
    'consone',
    'consonent',
    'consoner',
    'consonera',
    'consonerai',
    'consonerais',
    'consonerait',
    'consoneras',
    'consonerez',
    'consoneriez',
    'consonerions',
    'consonerons',
    'consoneront',
    'consones',
    'consonez',
    'consoniez',
    'consonions',
    'consonne',
    'consonnes',
    'consonons',
    'consonâmes',
    'consonât',
    'consonâtes',
    'consonèrent',
    'consoné',
    'consort',
    'consortium',
    'consortiums',
    'consorts',
    'conspira',
    'conspirai',
    'conspiraient',
    'conspirais',
    'conspirait',
    'conspirant',
    'conspiras',
    'conspirasse',
    'conspirasses',
    'conspirateur',
    'conspiration',
    'conspire',
    'conspirent',
    'conspirer',
    'conspirera',
    'conspirerai',
    'conspirerais',
    'conspirerait',
    'conspireras',
    'conspirerez',
    'conspireriez',
    'conspirerons',
    'conspireront',
    'conspires',
    'conspirez',
    'conspiriez',
    'conspirions',
    'conspirons',
    'conspirâmes',
    'conspirât',
    'conspirâtes',
    'conspirèrent',
    'conspiré',
    'conspirée',
    'conspirées',
    'conspirés',
    'conspua',
    'conspuai',
    'conspuaient',
    'conspuais',
    'conspuait',
    'conspuant',
    'conspuas',
    'conspuasse',
    'conspuassent',
    'conspuasses',
    'conspuassiez',
    'conspue',
    'conspuent',
    'conspuer',
    'conspuera',
    'conspuerai',
    'conspuerais',
    'conspuerait',
    'conspueras',
    'conspuerez',
    'conspueriez',
    'conspuerions',
    'conspuerons',
    'conspueront',
    'conspues',
    'conspuez',
    'conspuiez',
    'conspuions',
    'conspuons',
    'conspuâmes',
    'conspuât',
    'conspuâtes',
    'conspuèrent',
    'conspué',
    'conspuée',
    'conspuées',
    'conspués',
    'constable',
    'constables',
    'constamment',
    'constance',
    'constances',
    'constant',
    'constantan',
    'constantans',
    'constante',
    'constantes',
    'constants',
    'constat',
    'constata',
    'constatai',
    'constataient',
    'constatais',
    'constatait',
    'constatant',
    'constatas',
    'constatasse',
    'constatasses',
    'constatation',
    'constate',
    'constatent',
    'constater',
    'constatera',
    'constaterai',
    'constaterais',
    'constaterait',
    'constateras',
    'constaterez',
    'constateriez',
    'constaterons',
    'constateront',
    'constates',
    'constatez',
    'constatiez',
    'constations',
    'constatons',
    'constats',
    'constatâmes',
    'constatât',
    'constatâtes',
    'constatèrent',
    'constaté',
    'constatée',
    'constatées',
    'constatés',
    'constella',
    'constellai',
    'constellais',
    'constellait',
    'constellant',
    'constellas',
    'constellasse',
    'constelle',
    'constellent',
    'consteller',
    'constellera',
    'constellerai',
    'constelleras',
    'constellerez',
    'constelles',
    'constellez',
    'constelliez',
    'constellions',
    'constellons',
    'constellâmes',
    'constellât',
    'constellâtes',
    'constellé',
    'constellée',
    'constellées',
    'constellés',
    'consterna',
    'consternai',
    'consternais',
    'consternait',
    'consternant',
    'consternante',
    'consternants',
    'consternas',
    'consternasse',
    'consterne',
    'consternent',
    'consterner',
    'consternera',
    'consternerai',
    'consterneras',
    'consternerez',
    'consternes',
    'consternez',
    'consterniez',
    'consternions',
    'consternons',
    'consternâmes',
    'consternât',
    'consternâtes',
    'consterné',
    'consternée',
    'consternées',
    'consternés',
    'constipa',
    'constipai',
    'constipaient',
    'constipais',
    'constipait',
    'constipant',
    'constipas',
    'constipasse',
    'constipasses',
    'constipation',
    'constipe',
    'constipent',
    'constiper',
    'constipera',
    'constiperai',
    'constiperais',
    'constiperait',
    'constiperas',
    'constiperez',
    'constiperiez',
    'constiperons',
    'constiperont',
    'constipes',
    'constipez',
    'constipiez',
    'constipions',
    'constipons',
    'constipâmes',
    'constipât',
    'constipâtes',
    'constipèrent',
    'constipé',
    'constipée',
    'constipées',
    'constipés',
    'constitua',
    'constituai',
    'constituais',
    'constituait',
    'constituant',
    'constituante',
    'constituants',
    'constituas',
    'constituasse',
    'constitue',
    'constituent',
    'constituer',
    'constituera',
    'constituerai',
    'constitueras',
    'constituerez',
    'constitues',
    'constituez',
    'constituiez',
    'constituions',
    'constituons',
    'constitutif',
    'constitutifs',
    'constitution',
    'constitutive',
    'constituâmes',
    'constituât',
    'constituâtes',
    'constitué',
    'constituée',
    'constituées',
    'constitués',
    'constricteur',
    'constriction',
    'constructeur',
    'constructif',
    'constructifs',
    'construction',
    'constructive',
    'construira',
    'construirai',
    'construirais',
    'construirait',
    'construiras',
    'construire',
    'construirez',
    'construiriez',
    'construirons',
    'construiront',
    'construis',
    'construisais',
    'construisait',
    'construisant',
    'construise',
    'construisent',
    'construises',
    'construisez',
    'construisiez',
    'construisis',
    'construisit',
    'construisons',
    'construisît',
    'construit',
    'construite',
    'construites',
    'construits',
    'consul',
    'consulaire',
    'consulaires',
    'consulat',
    'consulats',
    'consuls',
    'consulta',
    'consultable',
    'consultables',
    'consultai',
    'consultaient',
    'consultais',
    'consultait',
    'consultant',
    'consultante',
    'consultantes',
    'consultants',
    'consultas',
    'consultasse',
    'consultasses',
    'consultatif',
    'consultatifs',
    'consultation',
    'consultative',
    'consulte',
    'consultent',
    'consulter',
    'consultera',
    'consulterai',
    'consulterais',
    'consulterait',
    'consulteras',
    'consulterez',
    'consulteriez',
    'consulterons',
    'consulteront',
    'consultes',
    'consultez',
    'consultiez',
    'consultions',
    'consultons',
    'consultâmes',
    'consultât',
    'consultâtes',
    'consultèrent',
    'consulté',
    'consultée',
    'consultées',
    'consultés',
    'consuma',
    'consumai',
    'consumaient',
    'consumais',
    'consumait',
    'consumant',
    'consumas',
    'consumasse',
    'consumassent',
    'consumasses',
    'consumassiez',
    'consume',
    'consument',
    'consumer',
    'consumera',
    'consumerai',
    'consumerais',
    'consumerait',
    'consumeras',
    'consumerez',
    'consumeriez',
    'consumerions',
    'consumerons',
    'consumeront',
    'consumes',
    'consumez',
    'consumiez',
    'consumions',
    'consumons',
    'consumâmes',
    'consumât',
    'consumâtes',
    'consumèrent',
    'consumé',
    'consumée',
    'consumées',
    'consumérisme',
    'consumériste',
    'consumés',
    'consécration',
    'consécutif',
    'consécutifs',
    'consécution',
    'consécutions',
    'consécutive',
    'consécutives',
    'conséquence',
    'conséquences',
    'conséquent',
    'conséquente',
    'conséquentes',
    'conséquents',
    'conta',
    'contact',
    'contacta',
    'contactai',
    'contactaient',
    'contactais',
    'contactait',
    'contactant',
    'contactas',
    'contactasse',
    'contactasses',
    'contacte',
    'contactent',
    'contacter',
    'contactera',
    'contacterai',
    'contacterais',
    'contacterait',
    'contacteras',
    'contacterez',
    'contacteriez',
    'contacterons',
    'contacteront',
    'contactes',
    'contacteur',
    'contacteurs',
    'contactez',
    'contactiez',
    'contactions',
    'contactons',
    'contactrice',
    'contactrices',
    'contacts',
    'contactâmes',
    'contactât',
    'contactâtes',
    'contactèrent',
    'contacté',
    'contactée',
    'contactées',
    'contactés',
    'contage',
    'contages',
    'contagieuse',
    'contagieuses',
    'contagieux',
    'contagion',
    'contagionna',
    'contagionnai',
    'contagionnas',
    'contagionne',
    'contagionner',
    'contagionnes',
    'contagionnez',
    'contagionnât',
    'contagionné',
    'contagionnée',
    'contagionnés',
    'contagions',
    'contagiosité',
    'contai',
    'contaient',
    'container',
    'containerisa',
    'containerise',
    'containerisé',
    'containers',
    'contais',
    'contait',
    'contamina',
    'contaminai',
    'contaminais',
    'contaminait',
    'contaminant',
    'contaminas',
    'contaminasse',
    'contamine',
    'contaminent',
    'contaminer',
    'contaminera',
    'contaminerai',
    'contamineras',
    'contaminerez',
    'contamines',
    'contaminez',
    'contaminiez',
    'contaminions',
    'contaminons',
    'contaminâmes',
    'contaminât',
    'contaminâtes',
    'contaminé',
    'contaminée',
    'contaminées',
    'contaminés',
    'contant',
    'contas',
    'contasse',
    'contassent',
    'contasses',
    'contassiez',
    'contassions',
    'conte',
    'contempla',
    'contemplai',
    'contemplais',
    'contemplait',
    'contemplant',
    'contemplas',
    'contemplasse',
    'contemplatif',
    'contemple',
    'contemplent',
    'contempler',
    'contemplera',
    'contemplerai',
    'contempleras',
    'contemplerez',
    'contemples',
    'contemplez',
    'contempliez',
    'contemplions',
    'contemplons',
    'contemplâmes',
    'contemplât',
    'contemplâtes',
    'contemplé',
    'contemplée',
    'contemplées',
    'contemplés',
    'contemporain',
    'contempteur',
    'contempteurs',
    'contemptrice',
    'contenaient',
    'contenais',
    'contenait',
    'contenance',
    'contenances',
    'contenant',
    'contenante',
    'contenantes',
    'contenants',
    'conteneur',
    'conteneurisa',
    'conteneurise',
    'conteneurisé',
    'conteneurs',
    'contenez',
    'conteniez',
    'contenions',
    'contenir',
    'contenons',
    'content',
    'contenta',
    'contentai',
    'contentaient',
    'contentais',
    'contentait',
    'contentant',
    'contentas',
    'contentasse',
    'contentasses',
    'contente',
    'contentement',
    'contentent',
    'contenter',
    'contentera',
    'contenterai',
    'contenterais',
    'contenterait',
    'contenteras',
    'contenterez',
    'contenteriez',
    'contenterons',
    'contenteront',
    'contentes',
    'contentez',
    'contentieuse',
    'contentieux',
    'contentiez',
    'contentif',
    'contentifs',
    'contention',
    'contentions',
    'contentive',
    'contentives',
    'contentons',
    'contents',
    'contentâmes',
    'contentât',
    'contentâtes',
    'contentèrent',
    'contenté',
    'contentée',
    'contentées',
    'contentés',
    'contenu',
    'contenue',
    'contenues',
    'contenus',
    'conter',
    'contera',
    'conterai',
    'conteraient',
    'conterais',
    'conterait',
    'conteras',
    'conterez',
    'conteriez',
    'conterions',
    'conterons',
    'conteront',
    'contes',
    'contesta',
    'contestable',
    'contestables',
    'contestai',
    'contestaient',
    'contestais',
    'contestait',
    'contestant',
    'contestas',
    'contestasse',
    'contestasses',
    'contestation',
    'conteste',
    'contestent',
    'contester',
    'contestera',
    'contesterai',
    'contesterais',
    'contesterait',
    'contesteras',
    'contesterez',
    'contesteriez',
    'contesterons',
    'contesteront',
    'contestes',
    'contestez',
    'contestiez',
    'contestions',
    'contestons',
    'contestâmes',
    'contestât',
    'contestâtes',
    'contestèrent',
    'contesté',
    'contestée',
    'contestées',
    'contestés',
    'conteur',
    'conteurs',
    'conteuse',
    'conteuses',
    'contexte',
    'contextes',
    'contextuel',
    'contextuelle',
    'contextuels',
    'contexture',
    'contextures',
    'contez',
    'contiendra',
    'contiendrai',
    'contiendrais',
    'contiendrait',
    'contiendras',
    'contiendrez',
    'contiendriez',
    'contiendrons',
    'contiendront',
    'contienne',
    'contiennent',
    'contiennes',
    'contiens',
    'contient',
    'contiez',
    'contigu',
    'contigus',
    'contiguë',
    'contiguës',
    'contiguïté',
    'contiguïtés',
    'continence',
    'continences',
    'continent',
    'continental',
    'continentale',
    'continentaux',
    'continents',
    'contingence',
    'contingences',
    'contingent',
    'contingenta',
    'contingentai',
    'contingentas',
    'contingente',
    'contingenter',
    'contingentes',
    'contingentez',
    'contingents',
    'contingentât',
    'contingenté',
    'contingentée',
    'contingentés',
    'continrent',
    'contins',
    'continsse',
    'continssent',
    'continsses',
    'continssiez',
    'continssions',
    'contint',
    'continu',
    'continua',
    'continuai',
    'continuaient',
    'continuais',
    'continuait',
    'continuant',
    'continuas',
    'continuasse',
    'continuasses',
    'continuateur',
    'continuation',
    'continue',
    'continuel',
    'continuelle',
    'continuelles',
    'continuels',
    'continuent',
    'continuer',
    'continuera',
    'continuerai',
    'continuerais',
    'continuerait',
    'continueras',
    'continuerez',
    'continueriez',
    'continuerons',
    'continueront',
    'continues',
    'continuez',
    'continuiez',
    'continuions',
    'continuité',
    'continuités',
    'continuo',
    'continuons',
    'continuos',
    'continus',
    'continuum',
    'continuums',
    'continuâmes',
    'continuât',
    'continuâtes',
    'continuèrent',
    'continué',
    'continuée',
    'continuées',
    'continués',
    'continûment',
    'contions',
    'contondant',
    'contondante',
    'contondantes',
    'contondants',
    'contons',
    'contorsion',
    'contorsionna',
    'contorsionne',
    'contorsionné',
    'contorsions',
    'contour',
    'contourna',
    'contournai',
    'contournais',
    'contournait',
    'contournant',
    'contournas',
    'contournasse',
    'contourne',
    'contournent',
    'contourner',
    'contournera',
    'contournerai',
    'contourneras',
    'contournerez',
    'contournes',
    'contournez',
    'contourniez',
    'contournions',
    'contournons',
    'contournâmes',
    'contournât',
    'contournâtes',
    'contourné',
    'contournée',
    'contournées',
    'contournés',
    'contours',
    'contra',
    'contraceptif',
    'contracta',
    'contractai',
    'contractais',
    'contractait',
    'contractant',
    'contractante',
    'contractants',
    'contractas',
    'contractasse',
    'contracte',
    'contractent',
    'contracter',
    'contractera',
    'contracterai',
    'contracteras',
    'contracterez',
    'contractes',
    'contractez',
    'contractiez',
    'contraction',
    'contractions',
    'contractons',
    'contractuel',
    'contractuels',
    'contractura',
    'contracturai',
    'contracturas',
    'contracture',
    'contracturer',
    'contractures',
    'contracturez',
    'contracturât',
    'contracturé',
    'contracturée',
    'contracturés',
    'contractâmes',
    'contractât',
    'contractâtes',
    'contracté',
    'contractée',
    'contractées',
    'contractés',
    'contrai',
    'contraient',
    'contraignais',
    'contraignait',
    'contraignant',
    'contraigne',
    'contraignent',
    'contraignes',
    'contraignez',
    'contraigniez',
    'contraignis',
    'contraignit',
    'contraignons',
    'contraignît',
    'contraindra',
    'contraindrai',
    'contraindras',
    'contraindre',
    'contraindrez',
    'contrains',
    'contraint',
    'contrainte',
    'contraintes',
    'contraints',
    'contraire',
    'contraires',
    'contrais',
    'contrait',
    'contralto',
    'contraltos',
    'contrant',
    'contraposa',
    'contraposai',
    'contraposais',
    'contraposait',
    'contraposant',
    'contraposas',
    'contrapose',
    'contraposent',
    'contraposer',
    'contraposera',
    'contraposes',
    'contraposez',
    'contraposiez',
    'contraposons',
    'contraposât',
    'contraposé',
    'contraposée',
    'contraposées',
    'contraposés',
    'contraria',
    'contrariai',
    'contrariais',
    'contrariait',
    'contrariant',
    'contrariante',
    'contrariants',
    'contrarias',
    'contrariasse',
    'contrarie',
    'contrarient',
    'contrarier',
    'contrariera',
    'contrarierai',
    'contrarieras',
    'contrarierez',
    'contraries',
    'contrariez',
    'contrariiez',
    'contrariions',
    'contrarions',
    'contrariâmes',
    'contrariât',
    'contrariâtes',
    'contrarié',
    'contrariée',
    'contrariées',
    'contrariés',
    'contrariété',
    'contrariétés',
    'contras',
    'contrasse',
    'contrassent',
    'contrasses',
    'contrassiez',
    'contrassions',
    'contrasta',
    'contrastai',
    'contrastais',
    'contrastait',
    'contrastant',
    'contrastas',
    'contrastasse',
    'contraste',
    'contrastent',
    'contraster',
    'contrastera',
    'contrasterai',
    'contrasteras',
    'contrasterez',
    'contrastes',
    'contrastez',
    'contrastiez',
    'contrastions',
    'contrastons',
    'contrastâmes',
    'contrastât',
    'contrastâtes',
    'contrasté',
    'contrastée',
    'contrastées',
    'contrastés',
    'contrat',
    'contrats',
    'contre',
    'contrebande',
    'contrebandes',
    'contrebas',
    'contrebasse',
    'contrebasses',
    'contrebasson',
    'contrebat',
    'contrebats',
    'contrebatte',
    'contrebattes',
    'contrebattez',
    'contrebattis',
    'contrebattit',
    'contrebattra',
    'contrebattre',
    'contrebattu',
    'contrebattue',
    'contrebattus',
    'contrebattît',
    'contrebouta',
    'contreboutai',
    'contreboutas',
    'contreboute',
    'contrebouter',
    'contreboutes',
    'contreboutez',
    'contreboutât',
    'contrebouté',
    'contreboutée',
    'contreboutés',
    'contrebuta',
    'contrebutai',
    'contrebutais',
    'contrebutait',
    'contrebutant',
    'contrebutas',
    'contrebute',
    'contrebutent',
    'contrebuter',
    'contrebutera',
    'contrebutes',
    'contrebutez',
    'contrebutiez',
    'contrebutons',
    'contrebutât',
    'contrebuté',
    'contrebutée',
    'contrebutées',
    'contrebutés',
    'contrecarra',
    'contrecarrai',
    'contrecarras',
    'contrecarre',
    'contrecarrer',
    'contrecarres',
    'contrecarrez',
    'contrecarrât',
    'contrecarré',
    'contrecarrée',
    'contrecarrés',
    'contrechamp',
    'contrechamps',
    'contrecoeur',
    'contrecoeurs',
    'contrecoup',
    'contrecoups',
    'contrecoeur',
    'contredanse',
    'contredanses',
    'contredira',
    'contredirai',
    'contredirais',
    'contredirait',
    'contrediras',
    'contredire',
    'contredirent',
    'contredirez',
    'contrediriez',
    'contredirons',
    'contrediront',
    'contredis',
    'contredisais',
    'contredisait',
    'contredisant',
    'contredise',
    'contredisent',
    'contredises',
    'contredisez',
    'contredisiez',
    'contredisons',
    'contredisse',
    'contredisses',
    'contredit',
    'contredite',
    'contredites',
    'contredits',
    'contredîmes',
    'contredît',
    'contredîtes',
    'contrefaire',
    'contrefais',
    'contrefait',
    'contrefaite',
    'contrefaites',
    'contrefaits',
    'contrefasse',
    'contrefasses',
    'contrefaçon',
    'contrefaçons',
    'contrefera',
    'contreferai',
    'contreferais',
    'contreferait',
    'contreferas',
    'contreferez',
    'contreferiez',
    'contreferons',
    'contreferont',
    'contreficha',
    'contrefichai',
    'contrefichas',
    'contrefiche',
    'contreficher',
    'contrefiches',
    'contrefichez',
    'contrefichât',
    'contrefiché',
    'contrefichée',
    'contrefichés',
    'contrefirent',
    'contrefis',
    'contrefisse',
    'contrefisses',
    'contrefit',
    'contrefont',
    'contrefort',
    'contreforts',
    'contrefous',
    'contrefout',
    'contrefoute',
    'contrefoutes',
    'contrefoutez',
    'contrefoutra',
    'contrefoutre',
    'contrefoutu',
    'contrefoutue',
    'contrefoutus',
    'contrefîmes',
    'contrefît',
    'contrefîtes',
    'contremanda',
    'contremandai',
    'contremandas',
    'contremande',
    'contremander',
    'contremandes',
    'contremandez',
    'contremandât',
    'contremandé',
    'contremandée',
    'contremandés',
    'contremarche',
    'contremarqua',
    'contremarque',
    'contremarqué',
    'contremaître',
    'contrent',
    'contrepartie',
    'contrepoids',
    'contrepoint',
    'contrepoints',
    'contrepoison',
    'contrer',
    'contrera',
    'contrerai',
    'contreraient',
    'contrerais',
    'contrerait',
    'contreras',
    'contrerez',
    'contreriez',
    'contrerions',
    'contrerons',
    'contreront',
    'contres',
    'contrescarpe',
    'contreseing',
    'contreseings',
    'contresens',
    'contresigna',
    'contresignai',
    'contresignas',
    'contresigne',
    'contresigner',
    'contresignes',
    'contresignez',
    'contresignât',
    'contresigné',
    'contresignée',
    'contresignés',
    'contretemps',
    'contretype',
    'contretyper',
    'contretypes',
    'contrevenais',
    'contrevenait',
    'contrevenant',
    'contrevenez',
    'contreveniez',
    'contrevenir',
    'contrevenons',
    'contrevent',
    'contreventer',
    'contrevents',
    'contrevenu',
    'contrevenue',
    'contrevenues',
    'contrevenus',
    'contrevienne',
    'contreviens',
    'contrevient',
    'contrevins',
    'contrevinsse',
    'contrevint',
    'contrevérité',
    'contrevînmes',
    'contrevînt',
    'contrevîntes',
    'contrez',
    'contribua',
    'contribuable',
    'contribuai',
    'contribuais',
    'contribuait',
    'contribuant',
    'contribuas',
    'contribuasse',
    'contribue',
    'contribuent',
    'contribuer',
    'contribuera',
    'contribuerai',
    'contribueras',
    'contribuerez',
    'contribues',
    'contribuez',
    'contribuiez',
    'contribuions',
    'contribuons',
    'contributeur',
    'contributif',
    'contributifs',
    'contribution',
    'contributive',
    'contribuâmes',
    'contribuât',
    'contribuâtes',
    'contribué',
    'contriez',
    'contrions',
    'contrista',
    'contristai',
    'contristais',
    'contristait',
    'contristant',
    'contristas',
    'contristasse',
    'contriste',
    'contristent',
    'contrister',
    'contristera',
    'contristerai',
    'contristeras',
    'contristerez',
    'contristes',
    'contristez',
    'contristiez',
    'contristions',
    'contristons',
    'contristâmes',
    'contristât',
    'contristâtes',
    'contristé',
    'contristée',
    'contristées',
    'contristés',
    'contrit',
    'contrite',
    'contrites',
    'contrition',
    'contritions',
    'contrits',
    'controns',
    'contrordre',
    'contrordres',
    'controuva',
    'controuvai',
    'controuvais',
    'controuvait',
    'controuvant',
    'controuvas',
    'controuvasse',
    'controuve',
    'controuvent',
    'controuver',
    'controuvera',
    'controuverai',
    'controuveras',
    'controuverez',
    'controuves',
    'controuvez',
    'controuviez',
    'controuvions',
    'controuvons',
    'controuvâmes',
    'controuvât',
    'controuvâtes',
    'controuvé',
    'controuvée',
    'controuvées',
    'controuvés',
    'controversa',
    'controversai',
    'controversas',
    'controverse',
    'controverser',
    'controverses',
    'controversez',
    'controversât',
    'controversé',
    'controversée',
    'controversés',
    'contrâmes',
    'contrât',
    'contrâtes',
    'contrèrent',
    'contré',
    'contrée',
    'contrées',
    'contrés',
    'contrôla',
    'contrôlable',
    'contrôlables',
    'contrôlai',
    'contrôlaient',
    'contrôlais',
    'contrôlait',
    'contrôlant',
    'contrôlas',
    'contrôlasse',
    'contrôlasses',
    'contrôle',
    'contrôlent',
    'contrôler',
    'contrôlera',
    'contrôlerai',
    'contrôlerais',
    'contrôlerait',
    'contrôleras',
    'contrôlerez',
    'contrôleriez',
    'contrôlerons',
    'contrôleront',
    'contrôles',
    'contrôleur',
    'contrôleurs',
    'contrôleuse',
    'contrôleuses',
    'contrôlez',
    'contrôliez',
    'contrôlions',
    'contrôlons',
    'contrôlâmes',
    'contrôlât',
    'contrôlâtes',
    'contrôlèrent',
    'contrôlé',
    'contrôlée',
    'contrôlées',
    'contrôlés',
    'contumace',
    'contumaces',
    'contumax',
    'contusion',
    'contusionna',
    'contusionnai',
    'contusionnas',
    'contusionne',
    'contusionner',
    'contusionnes',
    'contusionnez',
    'contusionnât',
    'contusionné',
    'contusionnée',
    'contusionnés',
    'contusions',
    'contâmes',
    'contât',
    'contâtes',
    'contèrent',
    'conté',
    'contée',
    'contées',
    'contés',
    'contînmes',
    'contînt',
    'contîntes',
    'conurbation',
    'conurbations',
    'convainc',
    'convaincant',
    'convaincante',
    'convaincants',
    'convaincra',
    'convaincrai',
    'convaincrais',
    'convaincrait',
    'convaincras',
    'convaincre',
    'convaincrez',
    'convaincriez',
    'convaincrons',
    'convaincront',
    'convaincs',
    'convaincu',
    'convaincue',
    'convaincues',
    'convaincus',
    'convainquais',
    'convainquait',
    'convainquant',
    'convainque',
    'convainquent',
    'convainques',
    'convainquez',
    'convainquiez',
    'convainquis',
    'convainquit',
    'convainquons',
    'convainquît',
    'convalescent',
    'convenable',
    'convenables',
    'convenaient',
    'convenais',
    'convenait',
    'convenance',
    'convenances',
    'convenant',
    'convenante',
    'convenantes',
    'convenants',
    'convenez',
    'conveniez',
    'convenions',
    'convenir',
    'convenons',
    'convention',
    'conventionna',
    'conventionne',
    'conventionné',
    'conventions',
    'conventuel',
    'conventuelle',
    'conventuels',
    'convenu',
    'convenue',
    'convenues',
    'convenus',
    'converge',
    'convergea',
    'convergeai',
    'convergeais',
    'convergeait',
    'convergeant',
    'convergeante',
    'convergeants',
    'convergeas',
    'convergeasse',
    'convergence',
    'convergences',
    'convergent',
    'convergente',
    'convergentes',
    'convergents',
    'convergeons',
    'converger',
    'convergera',
    'convergerai',
    'convergerais',
    'convergerait',
    'convergeras',
    'convergerez',
    'convergeriez',
    'convergerons',
    'convergeront',
    'converges',
    'convergez',
    'convergeâmes',
    'convergeât',
    'convergeâtes',
    'convergiez',
    'convergions',
    'convergèrent',
    'convergé',
    'convers',
    'conversa',
    'conversai',
    'conversaient',
    'conversais',
    'conversait',
    'conversant',
    'conversas',
    'conversasse',
    'conversasses',
    'conversation',
    'converse',
    'conversent',
    'converser',
    'conversera',
    'converserai',
    'converserais',
    'converserait',
    'converseras',
    'converserez',
    'converseriez',
    'converserons',
    'converseront',
    'converses',
    'conversez',
    'conversiez',
    'conversion',
    'conversions',
    'conversons',
    'conversâmes',
    'conversât',
    'conversâtes',
    'conversèrent',
    'conversé',
    'converti',
    'convertible',
    'convertibles',
    'convertie',
    'converties',
    'convertir',
    'convertira',
    'convertirai',
    'convertirais',
    'convertirait',
    'convertiras',
    'convertirent',
    'convertirez',
    'convertiriez',
    'convertirons',
    'convertiront',
    'convertis',
    'convertisse',
    'convertisses',
    'convertissez',
    'convertit',
    'convertîmes',
    'convertît',
    'convertîtes',
    'convexe',
    'convexes',
    'convexité',
    'convexités',
    'convia',
    'conviai',
    'conviaient',
    'conviais',
    'conviait',
    'conviant',
    'convias',
    'conviasse',
    'conviassent',
    'conviasses',
    'conviassiez',
    'conviassions',
    'conviction',
    'convictions',
    'convie',
    'conviendra',
    'conviendrai',
    'conviendrais',
    'conviendrait',
    'conviendras',
    'conviendrez',
    'conviendriez',
    'conviendrons',
    'conviendront',
    'convienne',
    'conviennent',
    'conviennes',
    'conviens',
    'convient',
    'convier',
    'conviera',
    'convierai',
    'convieraient',
    'convierais',
    'convierait',
    'convieras',
    'convierez',
    'convieriez',
    'convierions',
    'convierons',
    'convieront',
    'convies',
    'conviez',
    'conviiez',
    'conviions',
    'convinrent',
    'convins',
    'convinsse',
    'convinssent',
    'convinsses',
    'convinssiez',
    'convinssions',
    'convint',
    'convions',
    'convive',
    'convives',
    'convivial',
    'conviviale',
    'conviviales',
    'convivialité',
    'conviviaux',
    'conviâmes',
    'conviât',
    'conviâtes',
    'convièrent',
    'convié',
    'conviée',
    'conviées',
    'conviés',
    'convocation',
    'convocations',
    'convoi',
    'convoie',
    'convoient',
    'convoiera',
    'convoierai',
    'convoierais',
    'convoierait',
    'convoieras',
    'convoierez',
    'convoieriez',
    'convoierions',
    'convoierons',
    'convoieront',
    'convoies',
    'convois',
    'convoita',
    'convoitai',
    'convoitaient',
    'convoitais',
    'convoitait',
    'convoitant',
    'convoitas',
    'convoitasse',
    'convoitasses',
    'convoite',
    'convoitent',
    'convoiter',
    'convoitera',
    'convoiterai',
    'convoiterais',
    'convoiterait',
    'convoiteras',
    'convoiterez',
    'convoiteriez',
    'convoiterons',
    'convoiteront',
    'convoites',
    'convoitez',
    'convoitiez',
    'convoitions',
    'convoitise',
    'convoitises',
    'convoitons',
    'convoitâmes',
    'convoitât',
    'convoitâtes',
    'convoitèrent',
    'convoité',
    'convoitée',
    'convoitées',
    'convoités',
    'convola',
    'convolai',
    'convolaient',
    'convolais',
    'convolait',
    'convolant',
    'convolas',
    'convolasse',
    'convolassent',
    'convolasses',
    'convolassiez',
    'convole',
    'convolent',
    'convoler',
    'convolera',
    'convolerai',
    'convolerais',
    'convolerait',
    'convoleras',
    'convolerez',
    'convoleriez',
    'convolerions',
    'convolerons',
    'convoleront',
    'convoles',
    'convolez',
    'convoliez',
    'convolions',
    'convolons',
    'convolution',
    'convolutions',
    'convolâmes',
    'convolât',
    'convolâtes',
    'convolèrent',
    'convolé',
    'convoqua',
    'convoquai',
    'convoquaient',
    'convoquais',
    'convoquait',
    'convoquant',
    'convoquas',
    'convoquasse',
    'convoquasses',
    'convoque',
    'convoquent',
    'convoquer',
    'convoquera',
    'convoquerai',
    'convoquerais',
    'convoquerait',
    'convoqueras',
    'convoquerez',
    'convoqueriez',
    'convoquerons',
    'convoqueront',
    'convoques',
    'convoquez',
    'convoquiez',
    'convoquions',
    'convoquons',
    'convoquâmes',
    'convoquât',
    'convoquâtes',
    'convoquèrent',
    'convoqué',
    'convoquée',
    'convoquées',
    'convoqués',
    'convoya',
    'convoyai',
    'convoyaient',
    'convoyais',
    'convoyait',
    'convoyant',
    'convoyas',
    'convoyasse',
    'convoyassent',
    'convoyasses',
    'convoyassiez',
    'convoyer',
    'convoyeur',
    'convoyeurs',
    'convoyeuse',
    'convoyeuses',
    'convoyez',
    'convoyiez',
    'convoyions',
    'convoyons',
    'convoyâmes',
    'convoyât',
    'convoyâtes',
    'convoyèrent',
    'convoyé',
    'convoyée',
    'convoyées',
    'convoyés',
    'convulsa',
    'convulsai',
    'convulsaient',
    'convulsais',
    'convulsait',
    'convulsant',
    'convulsas',
    'convulsasse',
    'convulsasses',
    'convulse',
    'convulsent',
    'convulser',
    'convulsera',
    'convulserai',
    'convulserais',
    'convulserait',
    'convulseras',
    'convulserez',
    'convulseriez',
    'convulserons',
    'convulseront',
    'convulses',
    'convulsez',
    'convulsiez',
    'convulsif',
    'convulsifs',
    'convulsion',
    'convulsionna',
    'convulsionne',
    'convulsionné',
    'convulsions',
    'convulsive',
    'convulsives',
    'convulsons',
    'convulsâmes',
    'convulsât',
    'convulsâtes',
    'convulsèrent',
    'convulsé',
    'convulsée',
    'convulsées',
    'convulsés',
    'convînmes',
    'convînt',
    'convîntes',
    'conçois',
    'conçoit',
    'conçoive',
    'conçoivent',
    'conçoives',
    'conçu',
    'conçue',
    'conçues',
    'conçurent',
    'conçus',
    'conçusse',
    'conçussent',
    'conçusses',
    'conçussiez',
    'conçussions',
    'conçut',
    'conçûmes',
    'conçût',
    'conçûtes',
    'cool',
    'coolie',
    'coolies',
    'coopta',
    'cooptai',
    'cooptaient',
    'cooptais',
    'cooptait',
    'cooptant',
    'cooptas',
    'cooptasse',
    'cooptassent',
    'cooptasses',
    'cooptassiez',
    'cooptassions',
    'cooptation',
    'cooptations',
    'coopte',
    'cooptent',
    'coopter',
    'cooptera',
    'coopterai',
    'coopteraient',
    'coopterais',
    'coopterait',
    'coopteras',
    'coopterez',
    'coopteriez',
    'coopterions',
    'coopterons',
    'coopteront',
    'cooptes',
    'cooptez',
    'cooptiez',
    'cooptions',
    'cooptons',
    'cooptâmes',
    'cooptât',
    'cooptâtes',
    'cooptèrent',
    'coopté',
    'cooptée',
    'cooptées',
    'cooptés',
    'coopère',
    'coopèrent',
    'coopères',
    'coopéra',
    'coopérai',
    'coopéraient',
    'coopérais',
    'coopérait',
    'coopérant',
    'coopérante',
    'coopérantes',
    'coopérants',
    'coopéras',
    'coopérasse',
    'coopérassent',
    'coopérasses',
    'coopérassiez',
    'coopérateur',
    'coopérateurs',
    'coopératif',
    'coopératifs',
    'coopération',
    'coopérations',
    'coopératisme',
    'coopérative',
    'coopératives',
    'coopératrice',
    'coopérer',
    'coopérera',
    'coopérerai',
    'coopérerais',
    'coopérerait',
    'coopéreras',
    'coopérerez',
    'coopéreriez',
    'coopérerions',
    'coopérerons',
    'coopéreront',
    'coopérez',
    'coopériez',
    'coopérions',
    'coopérons',
    'coopérâmes',
    'coopérât',
    'coopérâtes',
    'coopérèrent',
    'coopéré',
    'coordinateur',
    'coordination',
    'coordonna',
    'coordonnai',
    'coordonnais',
    'coordonnait',
    'coordonnant',
    'coordonnas',
    'coordonnasse',
    'coordonne',
    'coordonnent',
    'coordonner',
    'coordonnera',
    'coordonnerai',
    'coordonneras',
    'coordonnerez',
    'coordonnes',
    'coordonnez',
    'coordonniez',
    'coordonnions',
    'coordonnons',
    'coordonnâmes',
    'coordonnât',
    'coordonnâtes',
    'coordonné',
    'coordonnée',
    'coordonnées',
    'coordonnés',
    'copain',
    'copains',
    'copal',
    'copals',
    'copartage',
    'copartageant',
    'copartager',
    'copartages',
    'copaïer',
    'copaïers',
    'copeau',
    'copeaux',
    'copermuta',
    'copermutai',
    'copermutais',
    'copermutait',
    'copermutant',
    'copermutas',
    'copermutasse',
    'copermute',
    'copermutent',
    'copermuter',
    'copermutera',
    'copermuterai',
    'copermuteras',
    'copermuterez',
    'copermutes',
    'copermutez',
    'copermutiez',
    'copermutions',
    'copermutons',
    'copermutâmes',
    'copermutât',
    'copermutâtes',
    'copermuté',
    'copermutée',
    'copermutées',
    'copermutés',
    'copernicien',
    'coperniciens',
    'copia',
    'copiage',
    'copiages',
    'copiai',
    'copiaient',
    'copiais',
    'copiait',
    'copiant',
    'copias',
    'copiasse',
    'copiassent',
    'copiasses',
    'copiassiez',
    'copiassions',
    'copie',
    'copient',
    'copier',
    'copiera',
    'copierai',
    'copieraient',
    'copierais',
    'copierait',
    'copieras',
    'copierez',
    'copieriez',
    'copierions',
    'copierons',
    'copieront',
    'copies',
    'copieur',
    'copieurs',
    'copieuse',
    'copieusement',
    'copieuses',
    'copieux',
    'copiez',
    'copiiez',
    'copiions',
    'copilote',
    'copilotes',
    'copina',
    'copinage',
    'copinages',
    'copinai',
    'copinaient',
    'copinais',
    'copinait',
    'copinant',
    'copinas',
    'copinasse',
    'copinassent',
    'copinasses',
    'copinassiez',
    'copinassions',
    'copine',
    'copinent',
    'copiner',
    'copinera',
    'copinerai',
    'copineraient',
    'copinerais',
    'copinerait',
    'copineras',
    'copinerez',
    'copinerie',
    'copineries',
    'copineriez',
    'copinerions',
    'copinerons',
    'copineront',
    'copines',
    'copinez',
    'copiniez',
    'copinions',
    'copinons',
    'copinâmes',
    'copinât',
    'copinâtes',
    'copinèrent',
    'copiné',
    'copions',
    'copiste',
    'copistes',
    'copiâmes',
    'copiât',
    'copiâtes',
    'copièrent',
    'copié',
    'copiée',
    'copiées',
    'copiés',
    'coplanaire',
    'coplanaires',
    'copossesseur',
    'copossède',
    'copossèdent',
    'copossèdes',
    'coposséder',
    'copossédé',
    'copossédée',
    'copossédées',
    'copossédés',
    'copposéda',
    'copposédai',
    'copposédais',
    'copposédait',
    'copposédant',
    'copposédas',
    'copposédasse',
    'copposédera',
    'copposéderai',
    'copposéderas',
    'copposéderez',
    'copposédez',
    'copposédiez',
    'copposédions',
    'copposédons',
    'copposédâmes',
    'copposédât',
    'copposédâtes',
    'copra',
    'coprah',
    'coprahs',
    'copras',
    'coproduction',
    'coprolithe',
    'coprolithes',
    'copropriété',
    'copropriétés',
    'coprésidence',
    'coprésident',
    'coprésidente',
    'coprésidents',
    'copte',
    'coptes',
    'copula',
    'copulai',
    'copulaient',
    'copulais',
    'copulait',
    'copulant',
    'copulas',
    'copulasse',
    'copulassent',
    'copulasses',
    'copulassiez',
    'copulassions',
    'copulatif',
    'copulatifs',
    'copulation',
    'copulations',
    'copulative',
    'copulatives',
    'copule',
    'copulent',
    'copuler',
    'copulera',
    'copulerai',
    'copuleraient',
    'copulerais',
    'copulerait',
    'copuleras',
    'copulerez',
    'copuleriez',
    'copulerions',
    'copulerons',
    'copuleront',
    'copules',
    'copulez',
    'copuliez',
    'copulions',
    'copulons',
    'copulâmes',
    'copulât',
    'copulâtes',
    'copulèrent',
    'copulé',
    'copyright',
    'coqs',
    'coqua',
    'coquai',
    'coquaient',
    'coquais',
    'coquait',
    'coquant',
    'coquard',
    'coquards',
    'coquart',
    'coquarts',
    'coquas',
    'coquasse',
    'coquassent',
    'coquasses',
    'coquassiez',
    'coquassions',
    'coque',
    'coquelet',
    'coquelets',
    'coqueleux',
    'coquelicot',
    'coquelicots',
    'coqueluche',
    'coqueluches',
    'coquelucheux',
    'coquent',
    'coquer',
    'coquera',
    'coquerai',
    'coqueraient',
    'coquerais',
    'coquerait',
    'coqueras',
    'coquerez',
    'coquerico',
    'coquericos',
    'coqueriez',
    'coquerions',
    'coquerons',
    'coqueront',
    'coques',
    'coquet',
    'coqueta',
    'coquetai',
    'coquetaient',
    'coquetais',
    'coquetait',
    'coquetant',
    'coquetas',
    'coquetasse',
    'coquetassent',
    'coquetasses',
    'coquetassiez',
    'coqueter',
    'coquetez',
    'coquetier',
    'coquetiers',
    'coquetiez',
    'coquetions',
    'coquetons',
    'coquets',
    'coquette',
    'coquettement',
    'coquettent',
    'coquettera',
    'coquetterai',
    'coquetterais',
    'coquetterait',
    'coquetteras',
    'coquetterez',
    'coquetterie',
    'coquetteries',
    'coquetteriez',
    'coquetterons',
    'coquetteront',
    'coquettes',
    'coquetâmes',
    'coquetât',
    'coquetâtes',
    'coquetèrent',
    'coqueté',
    'coquez',
    'coquiez',
    'coquilla',
    'coquillage',
    'coquillages',
    'coquillai',
    'coquillaient',
    'coquillais',
    'coquillait',
    'coquillant',
    'coquillart',
    'coquillarts',
    'coquillas',
    'coquillasse',
    'coquillasses',
    'coquille',
    'coquillent',
    'coquiller',
    'coquillera',
    'coquillerai',
    'coquillerais',
    'coquillerait',
    'coquilleras',
    'coquillerez',
    'coquilleriez',
    'coquillerons',
    'coquilleront',
    'coquilles',
    'coquillette',
    'coquillettes',
    'coquillez',
    'coquillier',
    'coquilliers',
    'coquilliez',
    'coquillions',
    'coquillière',
    'coquillières',
    'coquillons',
    'coquillâmes',
    'coquillât',
    'coquillâtes',
    'coquillèrent',
    'coquillé',
    'coquin',
    'coquine',
    'coquinerie',
    'coquineries',
    'coquines',
    'coquins',
    'coquions',
    'coquons',
    'coquâmes',
    'coquât',
    'coquâtes',
    'coquèrent',
    'coqué',
    'coquée',
    'coquées',
    'coqués',
    'corail',
    'corallien',
    'corallienne',
    'coralliennes',
    'coralliens',
    'coran',
    'coranique',
    'coraniques',
    'corans',
    'coraux',
    'corbeau',
    'corbeaux',
    'corbeille',
    'corbeilles',
    'corbillard',
    'corbillards',
    'corbillat',
    'corbillats',
    'corbin',
    'corbins',
    'corda',
    'cordage',
    'cordages',
    'cordai',
    'cordaient',
    'cordais',
    'cordait',
    'cordant',
    'cordas',
    'cordasse',
    'cordassent',
    'cordasses',
    'cordassiez',
    'cordassions',
    'corde',
    'cordeau',
    'cordeaux',
    'cordela',
    'cordelai',
    'cordelaient',
    'cordelais',
    'cordelait',
    'cordelant',
    'cordelas',
    'cordelasse',
    'cordelassent',
    'cordelasses',
    'cordelassiez',
    'cordeler',
    'cordelette',
    'cordelettes',
    'cordelez',
    'cordelier',
    'cordeliers',
    'cordeliez',
    'cordelions',
    'cordelière',
    'cordelières',
    'cordelle',
    'cordellent',
    'cordellera',
    'cordellerai',
    'cordellerais',
    'cordellerait',
    'cordelleras',
    'cordellerez',
    'cordelleriez',
    'cordellerons',
    'cordelleront',
    'cordelles',
    'cordelons',
    'cordelâmes',
    'cordelât',
    'cordelâtes',
    'cordelèrent',
    'cordelé',
    'cordelée',
    'cordelées',
    'cordelés',
    'cordent',
    'corder',
    'cordera',
    'corderai',
    'corderaient',
    'corderais',
    'corderait',
    'corderas',
    'corderez',
    'corderiez',
    'corderions',
    'corderons',
    'corderont',
    'cordes',
    'cordez',
    'cordial',
    'cordiale',
    'cordialement',
    'cordiales',
    'cordialité',
    'cordialités',
    'cordiaux',
    'cordier',
    'cordiers',
    'cordiez',
    'cordillère',
    'cordillères',
    'cordions',
    'cordon',
    'cordonna',
    'cordonnai',
    'cordonnaient',
    'cordonnais',
    'cordonnait',
    'cordonnant',
    'cordonnas',
    'cordonnasse',
    'cordonnasses',
    'cordonne',
    'cordonnent',
    'cordonner',
    'cordonnera',
    'cordonnerai',
    'cordonnerais',
    'cordonnerait',
    'cordonneras',
    'cordonnerez',
    'cordonnerie',
    'cordonneries',
    'cordonneriez',
    'cordonnerons',
    'cordonneront',
    'cordonnes',
    'cordonnet',
    'cordonnets',
    'cordonnez',
    'cordonnier',
    'cordonniers',
    'cordonniez',
    'cordonnions',
    'cordonnons',
    'cordonnâmes',
    'cordonnât',
    'cordonnâtes',
    'cordonnèrent',
    'cordonné',
    'cordonnée',
    'cordonnées',
    'cordonnés',
    'cordons',
    'cordâmes',
    'cordât',
    'cordâtes',
    'cordèrent',
    'cordé',
    'cordée',
    'cordées',
    'cordés',
    'coriace',
    'coriaces',
    'coriandre',
    'coriandres',
    'coricide',
    'coricides',
    'corindon',
    'corindons',
    'corinthien',
    'corinthienne',
    'corinthiens',
    'cormier',
    'cormiers',
    'cormoran',
    'cormorans',
    'corna',
    'cornac',
    'cornacs',
    'cornai',
    'cornaient',
    'cornais',
    'cornait',
    'cornaline',
    'cornalines',
    'cornant',
    'cornard',
    'cornards',
    'cornas',
    'cornasse',
    'cornassent',
    'cornasses',
    'cornassiez',
    'cornassions',
    'corne',
    'corneille',
    'corneilles',
    'cornemuse',
    'cornemuses',
    'cornemuseur',
    'cornemuseurs',
    'cornent',
    'corner',
    'cornera',
    'cornerai',
    'corneraient',
    'cornerais',
    'cornerait',
    'corneras',
    'cornerez',
    'corneriez',
    'cornerions',
    'cornerons',
    'corneront',
    'corners',
    'cornes',
    'cornet',
    'cornets',
    'cornette',
    'cornettes',
    'cornettiste',
    'cornettistes',
    'cornez',
    'corniaud',
    'corniauds',
    'corniche',
    'corniches',
    'cornichon',
    'cornichons',
    'cornier',
    'corniers',
    'corniez',
    'cornions',
    'corniste',
    'cornistes',
    'cornière',
    'cornières',
    'cornons',
    'cornu',
    'cornue',
    'cornues',
    'cornus',
    'cornâmes',
    'cornât',
    'cornâtes',
    'cornèrent',
    'corné',
    'cornée',
    'cornéen',
    'cornéenne',
    'cornéennes',
    'cornéens',
    'cornées',
    'cornélien',
    'cornélienne',
    'cornéliennes',
    'cornéliens',
    'cornés',
    'corollaire',
    'corollaires',
    'corolle',
    'corolles',
    'coron',
    'coronaire',
    'coronaires',
    'coronarien',
    'coronarienne',
    'coronariens',
    'coronarite',
    'coronarites',
    'coroner',
    'coroners',
    'coronille',
    'coronilles',
    'corons',
    'corozo',
    'corozos',
    'corporal',
    'corporatif',
    'corporatifs',
    'corporation',
    'corporations',
    'corporatisme',
    'corporatiste',
    'corporative',
    'corporatives',
    'corporaux',
    'corporel',
    'corporelle',
    'corporelles',
    'corporels',
    'corps',
    'corpulence',
    'corpulences',
    'corpulent',
    'corpulente',
    'corpulentes',
    'corpulents',
    'corpus',
    'corpuscule',
    'corpuscules',
    'corral',
    'corrals',
    'correct',
    'correcte',
    'correctement',
    'correctes',
    'correcteur',
    'correcteurs',
    'correctif',
    'correctifs',
    'correction',
    'corrections',
    'corrective',
    'correctives',
    'correctrice',
    'correctrices',
    'corrects',
    'correspond',
    'corresponde',
    'correspondes',
    'correspondez',
    'correspondis',
    'correspondit',
    'correspondra',
    'correspondre',
    'corresponds',
    'correspondu',
    'correspondue',
    'correspondus',
    'correspondît',
    'corrida',
    'corridas',
    'corridor',
    'corridors',
    'corrige',
    'corrigea',
    'corrigeai',
    'corrigeaient',
    'corrigeais',
    'corrigeait',
    'corrigeant',
    'corrigeas',
    'corrigeasse',
    'corrigeasses',
    'corrigent',
    'corrigeons',
    'corriger',
    'corrigera',
    'corrigerai',
    'corrigerais',
    'corrigerait',
    'corrigeras',
    'corrigerez',
    'corrigeriez',
    'corrigerions',
    'corrigerons',
    'corrigeront',
    'corriges',
    'corrigez',
    'corrigeâmes',
    'corrigeât',
    'corrigeâtes',
    'corrigible',
    'corrigibles',
    'corrigiez',
    'corrigions',
    'corrigèrent',
    'corrigé',
    'corrigée',
    'corrigées',
    'corrigés',
    'corrobora',
    'corroborai',
    'corroborais',
    'corroborait',
    'corroborant',
    'corroboras',
    'corroborasse',
    'corrobore',
    'corroborent',
    'corroborer',
    'corroborera',
    'corroborerai',
    'corroboreras',
    'corroborerez',
    'corrobores',
    'corroborez',
    'corroboriez',
    'corroborions',
    'corroborons',
    'corroborâmes',
    'corroborât',
    'corroborâtes',
    'corroboré',
    'corroborée',
    'corroborées',
    'corroborés',
    'corroda',
    'corrodai',
    'corrodaient',
    'corrodais',
    'corrodait',
    'corrodant',
    'corrodas',
    'corrodasse',
    'corrodassent',
    'corrodasses',
    'corrodassiez',
    'corrode',
    'corrodent',
    'corroder',
    'corrodera',
    'corroderai',
    'corroderais',
    'corroderait',
    'corroderas',
    'corroderez',
    'corroderiez',
    'corroderions',
    'corroderons',
    'corroderont',
    'corrodes',
    'corrodez',
    'corrodiez',
    'corrodions',
    'corrodons',
    'corrodâmes',
    'corrodât',
    'corrodâtes',
    'corrodèrent',
    'corrodé',
    'corrodée',
    'corrodées',
    'corrodés',
    'corroie',
    'corroient',
    'corroiera',
    'corroierai',
    'corroierais',
    'corroierait',
    'corroieras',
    'corroierez',
    'corroieriez',
    'corroierions',
    'corroierons',
    'corroieront',
    'corroies',
    'corrompaient',
    'corrompais',
    'corrompait',
    'corrompant',
    'corrompe',
    'corrompent',
    'corrompes',
    'corrompez',
    'corrompiez',
    'corrompions',
    'corrompirent',
    'corrompis',
    'corrompisse',
    'corrompisses',
    'corrompit',
    'corrompons',
    'corrompra',
    'corromprai',
    'corromprais',
    'corromprait',
    'corrompras',
    'corrompre',
    'corromprez',
    'corrompriez',
    'corromprions',
    'corromprons',
    'corrompront',
    'corromps',
    'corrompt',
    'corrompu',
    'corrompue',
    'corrompues',
    'corrompus',
    'corrompîmes',
    'corrompît',
    'corrompîtes',
    'corrosif',
    'corrosifs',
    'corrosion',
    'corrosions',
    'corrosive',
    'corrosives',
    'corroya',
    'corroyage',
    'corroyages',
    'corroyai',
    'corroyaient',
    'corroyais',
    'corroyait',
    'corroyant',
    'corroyas',
    'corroyasse',
    'corroyassent',
    'corroyasses',
    'corroyassiez',
    'corroyer',
    'corroyeur',
    'corroyeurs',
    'corroyez',
    'corroyiez',
    'corroyions',
    'corroyons',
    'corroyâmes',
    'corroyât',
    'corroyâtes',
    'corroyèrent',
    'corroyé',
    'corroyée',
    'corroyées',
    'corroyés',
    'corrupteur',
    'corrupteurs',
    'corruptible',
    'corruptibles',
    'corruption',
    'corruptions',
    'corruptrice',
    'corruptrices',
    'corrèle',
    'corrèlent',
    'corrèles',
    'corréla',
    'corrélai',
    'corrélaient',
    'corrélais',
    'corrélait',
    'corrélant',
    'corrélas',
    'corrélasse',
    'corrélassent',
    'corrélasses',
    'corrélassiez',
    'corrélatif',
    'corrélatifs',
    'corrélation',
    'corrélations',
    'corrélative',
    'corrélatives',
    'corréler',
    'corrélera',
    'corrélerai',
    'corrélerais',
    'corrélerait',
    'corréleras',
    'corrélerez',
    'corréleriez',
    'corrélerions',
    'corrélerons',
    'corréleront',
    'corrélez',
    'corréliez',
    'corrélions',
    'corrélons',
    'corrélâmes',
    'corrélât',
    'corrélâtes',
    'corrélèrent',
    'corrélé',
    'corrélée',
    'corrélées',
    'corrélés',
    'cors',
    'corsa',
    'corsage',
    'corsages',
    'corsai',
    'corsaient',
    'corsaire',
    'corsaires',
    'corsais',
    'corsait',
    'corsant',
    'corsas',
    'corsasse',
    'corsassent',
    'corsasses',
    'corsassiez',
    'corsassions',
    'corse',
    'corselet',
    'corselets',
    'corsent',
    'corser',
    'corsera',
    'corserai',
    'corseraient',
    'corserais',
    'corserait',
    'corseras',
    'corserez',
    'corseriez',
    'corserions',
    'corserons',
    'corseront',
    'corses',
    'corset',
    'corseta',
    'corsetai',
    'corsetaient',
    'corsetais',
    'corsetait',
    'corsetant',
    'corsetas',
    'corsetasse',
    'corsetassent',
    'corsetasses',
    'corsetassiez',
    'corseter',
    'corsetez',
    'corsetier',
    'corsetiers',
    'corsetiez',
    'corsetions',
    'corsetière',
    'corsetières',
    'corsetons',
    'corsets',
    'corsetâmes',
    'corsetât',
    'corsetâtes',
    'corsetèrent',
    'corseté',
    'corsetée',
    'corsetées',
    'corsetés',
    'corsez',
    'corsiez',
    'corsions',
    'corsons',
    'corsâmes',
    'corsât',
    'corsâtes',
    'corsèrent',
    'corsète',
    'corsètent',
    'corsètera',
    'corsèterai',
    'corsèterais',
    'corsèterait',
    'corsèteras',
    'corsèterez',
    'corsèteriez',
    'corsèterions',
    'corsèterons',
    'corsèteront',
    'corsètes',
    'corsé',
    'corsée',
    'corsées',
    'corsés',
    'cortex',
    'cortical',
    'corticale',
    'corticales',
    'corticaux',
    'cortisone',
    'cortège',
    'cortèges',
    'corvette',
    'corvettes',
    'corvéable',
    'corvéables',
    'corvée',
    'corvées',
    'coryphée',
    'coryphées',
    'coryza',
    'coryzas',
    'coréen',
    'coréenne',
    'coréennes',
    'coréens',
    'cosaque',
    'cosaques',
    'cosignataire',
    'cosinus',
    'cosmique',
    'cosmiques',
    'cosmodrome',
    'cosmodromes',
    'cosmogonie',
    'cosmogonies',
    'cosmogonique',
    'cosmographie',
    'cosmologie',
    'cosmologies',
    'cosmonaute',
    'cosmonautes',
    'cosmopolite',
    'cosmopolites',
    'cosmos',
    'cosmétiqua',
    'cosmétiquai',
    'cosmétiquais',
    'cosmétiquait',
    'cosmétiquant',
    'cosmétiquas',
    'cosmétique',
    'cosmétiquent',
    'cosmétiquer',
    'cosmétiquera',
    'cosmétiques',
    'cosmétiquez',
    'cosmétiquiez',
    'cosmétiquons',
    'cosmétiquât',
    'cosmétiqué',
    'cosmétiquée',
    'cosmétiquées',
    'cosmétiqués',
    'cosmétologie',
    'cosmétologue',
    'cossa',
    'cossai',
    'cossaient',
    'cossais',
    'cossait',
    'cossant',
    'cossard',
    'cossarde',
    'cossardes',
    'cossards',
    'cossas',
    'cossasse',
    'cossassent',
    'cossasses',
    'cossassiez',
    'cossassions',
    'cosse',
    'cossent',
    'cosser',
    'cossera',
    'cosserai',
    'cosseraient',
    'cosserais',
    'cosserait',
    'cosseras',
    'cosserez',
    'cosseriez',
    'cosserions',
    'cosserons',
    'cosseront',
    'cosses',
    'cossez',
    'cossiez',
    'cossions',
    'cossons',
    'cossu',
    'cossue',
    'cossues',
    'cossus',
    'cossâmes',
    'cossât',
    'cossâtes',
    'cossèrent',
    'cossé',
    'costal',
    'costale',
    'costales',
    'costard',
    'costards',
    'costaud',
    'costaude',
    'costaudes',
    'costauds',
    'costaux',
    'costuma',
    'costumai',
    'costumaient',
    'costumais',
    'costumait',
    'costumant',
    'costumas',
    'costumasse',
    'costumassent',
    'costumasses',
    'costumassiez',
    'costume',
    'costument',
    'costumer',
    'costumera',
    'costumerai',
    'costumerais',
    'costumerait',
    'costumeras',
    'costumerez',
    'costumeriez',
    'costumerions',
    'costumerons',
    'costumeront',
    'costumes',
    'costumez',
    'costumier',
    'costumiers',
    'costumiez',
    'costumions',
    'costumière',
    'costumières',
    'costumons',
    'costumâmes',
    'costumât',
    'costumâtes',
    'costumèrent',
    'costumé',
    'costumée',
    'costumées',
    'costumés',
    'cosy',
    'cosys',
    'cota',
    'cotable',
    'cotables',
    'cotai',
    'cotaient',
    'cotais',
    'cotait',
    'cotant',
    'cotas',
    'cotasse',
    'cotassent',
    'cotasses',
    'cotassiez',
    'cotassions',
    'cotation',
    'cotations',
    'cote',
    'coteau',
    'coteaux',
    'cotent',
    'coter',
    'cotera',
    'coterai',
    'coteraient',
    'coterais',
    'coterait',
    'coteras',
    'coterez',
    'coterie',
    'coteries',
    'coteriez',
    'coterions',
    'coterons',
    'coteront',
    'cotes',
    'cotez',
    'cothurne',
    'cothurnes',
    'coti',
    'cotie',
    'coties',
    'cotiez',
    'cotillon',
    'cotillons',
    'cotions',
    'cotir',
    'cotira',
    'cotirai',
    'cotiraient',
    'cotirais',
    'cotirait',
    'cotiras',
    'cotirent',
    'cotirez',
    'cotiriez',
    'cotirions',
    'cotirons',
    'cotiront',
    'cotis',
    'cotisa',
    'cotisai',
    'cotisaient',
    'cotisais',
    'cotisait',
    'cotisant',
    'cotisante',
    'cotisantes',
    'cotisants',
    'cotisas',
    'cotisasse',
    'cotisassent',
    'cotisasses',
    'cotisassiez',
    'cotisassions',
    'cotisation',
    'cotisations',
    'cotise',
    'cotisent',
    'cotiser',
    'cotisera',
    'cotiserai',
    'cotiseraient',
    'cotiserais',
    'cotiserait',
    'cotiseras',
    'cotiserez',
    'cotiseriez',
    'cotiserions',
    'cotiserons',
    'cotiseront',
    'cotises',
    'cotisez',
    'cotisiez',
    'cotisions',
    'cotisons',
    'cotissaient',
    'cotissais',
    'cotissait',
    'cotissant',
    'cotisse',
    'cotissent',
    'cotisses',
    'cotissez',
    'cotissiez',
    'cotissions',
    'cotissons',
    'cotisâmes',
    'cotisât',
    'cotisâtes',
    'cotisèrent',
    'cotisé',
    'cotisée',
    'cotisées',
    'cotisés',
    'cotit',
    'coton',
    'cotonna',
    'cotonnade',
    'cotonnades',
    'cotonnai',
    'cotonnaient',
    'cotonnais',
    'cotonnait',
    'cotonnant',
    'cotonnas',
    'cotonnasse',
    'cotonnassent',
    'cotonnasses',
    'cotonnassiez',
    'cotonne',
    'cotonnent',
    'cotonner',
    'cotonnera',
    'cotonnerai',
    'cotonnerais',
    'cotonnerait',
    'cotonneras',
    'cotonnerez',
    'cotonneriez',
    'cotonnerions',
    'cotonnerons',
    'cotonneront',
    'cotonnes',
    'cotonneuse',
    'cotonneuses',
    'cotonneux',
    'cotonnez',
    'cotonnier',
    'cotonniers',
    'cotonniez',
    'cotonnions',
    'cotonnière',
    'cotonnières',
    'cotonnons',
    'cotonnâmes',
    'cotonnât',
    'cotonnâtes',
    'cotonnèrent',
    'cotonné',
    'cotonnée',
    'cotonnées',
    'cotonnés',
    'cotons',
    'cottage',
    'cottages',
    'cotte',
    'cottes',
    'cotylédon',
    'cotylédons',
    'cotâmes',
    'cotât',
    'cotâtes',
    'cotèrent',
    'coté',
    'cotée',
    'cotées',
    'cotés',
    'cotîmes',
    'cotît',
    'cotîtes',
    'couac',
    'couacs',
    'couard',
    'couarde',
    'couardes',
    'couardise',
    'couardises',
    'couards',
    'coucha',
    'couchage',
    'couchages',
    'couchai',
    'couchaient',
    'couchailla',
    'couchaillai',
    'couchaillais',
    'couchaillas',
    'couchaille',
    'couchaillent',
    'couchailler',
    'couchaillera',
    'couchailles',
    'couchaillât',
    'couchaillé',
    'couchais',
    'couchait',
    'couchant',
    'couchante',
    'couchantes',
    'couchants',
    'couchas',
    'couchasse',
    'couchassent',
    'couchasses',
    'couchassiez',
    'couchassions',
    'couche',
    'couchent',
    'coucher',
    'couchera',
    'coucherai',
    'coucheraient',
    'coucherais',
    'coucherait',
    'coucheras',
    'coucherez',
    'coucheriez',
    'coucherions',
    'coucherons',
    'coucheront',
    'couchers',
    'couches',
    'couchette',
    'couchettes',
    'coucheur',
    'coucheurs',
    'coucheuse',
    'coucheuses',
    'couchez',
    'couchiez',
    'couchions',
    'couchons',
    'couchâmes',
    'couchât',
    'couchâtes',
    'couchèrent',
    'couché',
    'couchée',
    'couchées',
    'couchés',
    'coucou',
    'coucous',
    'coud',
    'couda',
    'coudai',
    'coudaient',
    'coudais',
    'coudait',
    'coudant',
    'coudas',
    'coudasse',
    'coudassent',
    'coudasses',
    'coudassiez',
    'coudassions',
    'coude',
    'coudent',
    'couder',
    'coudera',
    'couderai',
    'couderaient',
    'couderais',
    'couderait',
    'couderas',
    'couderez',
    'couderiez',
    'couderions',
    'couderons',
    'couderont',
    'coudes',
    'coudez',
    'coudiez',
    'coudions',
    'coudoie',
    'coudoiement',
    'coudoiements',
    'coudoient',
    'coudoiera',
    'coudoierai',
    'coudoierais',
    'coudoierait',
    'coudoieras',
    'coudoierez',
    'coudoieriez',
    'coudoierions',
    'coudoierons',
    'coudoieront',
    'coudoies',
    'coudons',
    'coudoya',
    'coudoyai',
    'coudoyaient',
    'coudoyais',
    'coudoyait',
    'coudoyant',
    'coudoyas',
    'coudoyasse',
    'coudoyassent',
    'coudoyasses',
    'coudoyassiez',
    'coudoyer',
    'coudoyez',
    'coudoyiez',
    'coudoyions',
    'coudoyons',
    'coudoyâmes',
    'coudoyât',
    'coudoyâtes',
    'coudoyèrent',
    'coudoyé',
    'coudoyée',
    'coudoyées',
    'coudoyés',
    'coudra',
    'coudrai',
    'coudraie',
    'coudraient',
    'coudraies',
    'coudrais',
    'coudrait',
    'coudras',
    'coudre',
    'coudrez',
    'coudrier',
    'coudriers',
    'coudriez',
    'coudrions',
    'coudrons',
    'coudront',
    'couds',
    'coudâmes',
    'coudât',
    'coudâtes',
    'coudèrent',
    'coudé',
    'coudée',
    'coudées',
    'coudés',
    'couenne',
    'couennes',
    'couette',
    'couettes',
    'couffin',
    'couffins',
    'coufique',
    'coufiques',
    'cougouar',
    'cougouars',
    'couguar',
    'couguars',
    'couic',
    'couille',
    'couilles',
    'couillon',
    'couillonna',
    'couillonnai',
    'couillonnais',
    'couillonnait',
    'couillonnant',
    'couillonnas',
    'couillonne',
    'couillonnent',
    'couillonner',
    'couillonnera',
    'couillonnes',
    'couillonnez',
    'couillonniez',
    'couillonnons',
    'couillonnât',
    'couillonné',
    'couillonnée',
    'couillonnées',
    'couillonnés',
    'couillons',
    'couina',
    'couinai',
    'couinaient',
    'couinais',
    'couinait',
    'couinant',
    'couinas',
    'couinasse',
    'couinassent',
    'couinasses',
    'couinassiez',
    'couinassions',
    'couine',
    'couinement',
    'couinements',
    'couinent',
    'couiner',
    'couinera',
    'couinerai',
    'couineraient',
    'couinerais',
    'couinerait',
    'couineras',
    'couinerez',
    'couineriez',
    'couinerions',
    'couinerons',
    'couineront',
    'couines',
    'couinez',
    'couiniez',
    'couinions',
    'couinons',
    'couinâmes',
    'couinât',
    'couinâtes',
    'couinèrent',
    'couiné',
    'coula',
    'coulage',
    'coulages',
    'coulai',
    'coulaient',
    'coulais',
    'coulait',
    'coulant',
    'coulante',
    'coulantes',
    'coulants',
    'coulas',
    'coulasse',
    'coulassent',
    'coulasses',
    'coulassiez',
    'coulassions',
    'coule',
    'coulent',
    'couler',
    'coulera',
    'coulerai',
    'couleraient',
    'coulerais',
    'coulerait',
    'couleras',
    'coulerez',
    'couleriez',
    'coulerions',
    'coulerons',
    'couleront',
    'coules',
    'couleur',
    'couleurs',
    'couleuvre',
    'couleuvres',
    'coulez',
    'couliez',
    'coulions',
    'coulis',
    'coulissa',
    'coulissai',
    'coulissaient',
    'coulissais',
    'coulissait',
    'coulissant',
    'coulissante',
    'coulissantes',
    'coulissants',
    'coulissas',
    'coulissasse',
    'coulissasses',
    'coulisse',
    'coulissement',
    'coulissent',
    'coulisser',
    'coulissera',
    'coulisserai',
    'coulisserais',
    'coulisserait',
    'coulisseras',
    'coulisserez',
    'coulisseriez',
    'coulisserons',
    'coulisseront',
    'coulisses',
    'coulissez',
    'coulissier',
    'coulissiers',
    'coulissiez',
    'coulissions',
    'coulissons',
    'coulissâmes',
    'coulissât',
    'coulissâtes',
    'coulissèrent',
    'coulissé',
    'coulissée',
    'coulissées',
    'coulissés',
    'couloir',
    'couloirs',
    'coulomb',
    'coulombs',
    'coulommiers',
    'coulons',
    'coulure',
    'coulures',
    'coulâmes',
    'coulât',
    'coulâtes',
    'coulèrent',
    'coulé',
    'coulée',
    'coulées',
    'coulés',
    'country',
    'coup',
    'coupa',
    'coupable',
    'coupables',
    'coupage',
    'coupages',
    'coupai',
    'coupaient',
    'coupailla',
    'coupaillai',
    'coupaillais',
    'coupaillait',
    'coupaillant',
    'coupaillas',
    'coupaillasse',
    'coupaille',
    'coupaillent',
    'coupailler',
    'coupaillera',
    'coupaillerai',
    'coupailleras',
    'coupaillerez',
    'coupailles',
    'coupaillez',
    'coupailliez',
    'coupaillions',
    'coupaillons',
    'coupaillâmes',
    'coupaillât',
    'coupaillâtes',
    'coupaillé',
    'coupaillée',
    'coupaillées',
    'coupaillés',
    'coupais',
    'coupait',
    'coupant',
    'coupante',
    'coupantes',
    'coupants',
    'coupas',
    'coupasse',
    'coupassent',
    'coupasses',
    'coupassiez',
    'coupassions',
    'coupe',
    'coupella',
    'coupellai',
    'coupellaient',
    'coupellais',
    'coupellait',
    'coupellant',
    'coupellas',
    'coupellasse',
    'coupellasses',
    'coupelle',
    'coupellent',
    'coupeller',
    'coupellera',
    'coupellerai',
    'coupellerais',
    'coupellerait',
    'coupelleras',
    'coupellerez',
    'coupelleriez',
    'coupellerons',
    'coupelleront',
    'coupelles',
    'coupellez',
    'coupelliez',
    'coupellions',
    'coupellons',
    'coupellâmes',
    'coupellât',
    'coupellâtes',
    'coupellèrent',
    'coupellé',
    'coupellée',
    'coupellées',
    'coupellés',
    'coupent',
    'couper',
    'coupera',
    'couperai',
    'couperaient',
    'couperais',
    'couperait',
    'couperas',
    'couperet',
    'couperets',
    'couperez',
    'couperiez',
    'couperions',
    'couperons',
    'couperont',
    'couperose',
    'couperoses',
    'couperosé',
    'couperosée',
    'couperosées',
    'couperosés',
    'coupes',
    'coupez',
    'coupiez',
    'coupions',
    'coupla',
    'couplage',
    'couplages',
    'couplai',
    'couplaient',
    'couplais',
    'couplait',
    'couplant',
    'couplas',
    'couplasse',
    'couplassent',
    'couplasses',
    'couplassiez',
    'couplassions',
    'couple',
    'couplent',
    'coupler',
    'couplera',
    'couplerai',
    'coupleraient',
    'couplerais',
    'couplerait',
    'coupleras',
    'couplerez',
    'coupleriez',
    'couplerions',
    'couplerons',
    'coupleront',
    'couples',
    'couplet',
    'couplets',
    'coupleur',
    'coupleurs',
    'couplez',
    'coupliez',
    'couplions',
    'couplons',
    'couplâmes',
    'couplât',
    'couplâtes',
    'couplèrent',
    'couplé',
    'couplée',
    'couplées',
    'couplés',
    'coupole',
    'coupoles',
    'coupon',
    'coupons',
    'coups',
    'coupure',
    'coupures',
    'coupâmes',
    'coupât',
    'coupâtes',
    'coupèrent',
    'coupé',
    'coupée',
    'coupées',
    'coupés',
    'cour',
    'courage',
    'courages',
    'courageuse',
    'courageuses',
    'courageux',
    'couraient',
    'courailla',
    'couraillai',
    'couraillais',
    'couraillait',
    'couraillant',
    'couraillas',
    'couraillasse',
    'couraille',
    'couraillent',
    'courailler',
    'couraillera',
    'couraillerai',
    'courailleras',
    'couraillerez',
    'courailles',
    'couraillez',
    'courailliez',
    'couraillions',
    'couraillons',
    'couraillâmes',
    'couraillât',
    'couraillâtes',
    'couraillé',
    'courais',
    'courait',
    'couramment',
    'courant',
    'courante',
    'courantes',
    'courants',
    'courba',
    'courbai',
    'courbaient',
    'courbais',
    'courbait',
    'courbant',
    'courbas',
    'courbasse',
    'courbassent',
    'courbasses',
    'courbassiez',
    'courbassions',
    'courbatu',
    'courbatue',
    'courbatues',
    'courbatura',
    'courbaturai',
    'courbaturais',
    'courbaturait',
    'courbaturant',
    'courbaturas',
    'courbature',
    'courbaturent',
    'courbaturer',
    'courbaturera',
    'courbatures',
    'courbaturez',
    'courbaturiez',
    'courbaturons',
    'courbaturât',
    'courbaturé',
    'courbaturée',
    'courbaturées',
    'courbaturés',
    'courbatus',
    'courbe',
    'courbement',
    'courbements',
    'courbent',
    'courber',
    'courbera',
    'courberai',
    'courberaient',
    'courberais',
    'courberait',
    'courberas',
    'courberez',
    'courberiez',
    'courberions',
    'courberons',
    'courberont',
    'courbes',
    'courbette',
    'courbettes',
    'courbez',
    'courbiez',
    'courbions',
    'courbons',
    'courbure',
    'courbures',
    'courbâmes',
    'courbât',
    'courbâtes',
    'courbèrent',
    'courbé',
    'courbée',
    'courbées',
    'courbés',
    'courcailler',
    'courcaillet',
    'courcaillets',
    'coure',
    'courent',
    'coures',
    'courette',
    'courettes',
    'coureur',
    'coureurs',
    'coureuse',
    'coureuses',
    'courez',
    'courge',
    'courges',
    'courgette',
    'courgettes',
    'couriez',
    'courions',
    'courir',
    'courlieu',
    'courlieus',
    'courlis',
    'couronna',
    'couronnai',
    'couronnaient',
    'couronnais',
    'couronnait',
    'couronnant',
    'couronnas',
    'couronnasse',
    'couronnasses',
    'couronne',
    'couronnement',
    'couronnent',
    'couronner',
    'couronnera',
    'couronnerai',
    'couronnerais',
    'couronnerait',
    'couronneras',
    'couronnerez',
    'couronneriez',
    'couronnerons',
    'couronneront',
    'couronnes',
    'couronnez',
    'couronniez',
    'couronnions',
    'couronnons',
    'couronnâmes',
    'couronnât',
    'couronnâtes',
    'couronnèrent',
    'couronné',
    'couronnée',
    'couronnées',
    'couronnés',
    'courons',
    'courra',
    'courrai',
    'courraient',
    'courrais',
    'courrait',
    'courras',
    'courre',
    'courrez',
    'courrier',
    'courriers',
    'courriez',
    'courrions',
    'courroie',
    'courroies',
    'courrons',
    'courront',
    'courrouce',
    'courroucent',
    'courroucer',
    'courroucera',
    'courroucerai',
    'courrouceras',
    'courroucerez',
    'courrouces',
    'courroucez',
    'courrouciez',
    'courroucions',
    'courroucé',
    'courroucée',
    'courroucées',
    'courroucés',
    'courroux',
    'courrouça',
    'courrouçai',
    'courrouçais',
    'courrouçait',
    'courrouçant',
    'courrouças',
    'courrouçasse',
    'courrouçons',
    'courrouçâmes',
    'courrouçât',
    'courrouçâtes',
    'cours',
    'coursa',
    'coursai',
    'coursaient',
    'coursais',
    'coursait',
    'coursant',
    'coursas',
    'coursasse',
    'coursassent',
    'coursasses',
    'coursassiez',
    'coursassions',
    'course',
    'coursent',
    'courser',
    'coursera',
    'courserai',
    'courseraient',
    'courserais',
    'courserait',
    'courseras',
    'courserez',
    'courseriez',
    'courserions',
    'courserons',
    'courseront',
    'courses',
    'coursez',
    'coursier',
    'coursiers',
    'coursiez',
    'coursions',
    'coursive',
    'coursives',
    'coursière',
    'coursières',
    'courson',
    'coursons',
    'coursâmes',
    'coursât',
    'coursâtes',
    'coursèrent',
    'coursé',
    'coursée',
    'coursées',
    'coursés',
    'court',
    'courtage',
    'courtages',
    'courtaud',
    'courtauda',
    'courtaudai',
    'courtaudais',
    'courtaudait',
    'courtaudant',
    'courtaudas',
    'courtaudasse',
    'courtaude',
    'courtaudent',
    'courtauder',
    'courtaudera',
    'courtauderai',
    'courtauderas',
    'courtauderez',
    'courtaudes',
    'courtaudez',
    'courtaudiez',
    'courtaudions',
    'courtaudons',
    'courtauds',
    'courtaudâmes',
    'courtaudât',
    'courtaudâtes',
    'courtaudé',
    'courtaudée',
    'courtaudées',
    'courtaudés',
    'courte',
    'courtepointe',
    'courtes',
    'courtier',
    'courtiers',
    'courtilière',
    'courtilières',
    'courtine',
    'courtines',
    'courtisa',
    'courtisai',
    'courtisaient',
    'courtisais',
    'courtisait',
    'courtisan',
    'courtisane',
    'courtisanes',
    'courtisans',
    'courtisant',
    'courtisas',
    'courtisasse',
    'courtisasses',
    'courtise',
    'courtisent',
    'courtiser',
    'courtisera',
    'courtiserai',
    'courtiserais',
    'courtiserait',
    'courtiseras',
    'courtiserez',
    'courtiseriez',
    'courtiserons',
    'courtiseront',
    'courtises',
    'courtisez',
    'courtisiez',
    'courtisions',
    'courtisons',
    'courtisâmes',
    'courtisât',
    'courtisâtes',
    'courtisèrent',
    'courtisé',
    'courtisée',
    'courtisées',
    'courtisés',
    'courtière',
    'courtières',
    'courtois',
    'courtoise',
    'courtoises',
    'courtoisie',
    'courtoisies',
    'courts',
    'couru',
    'courue',
    'courues',
    'coururent',
    'courus',
    'courusse',
    'courussent',
    'courusses',
    'courussiez',
    'courussions',
    'courut',
    'courûmes',
    'courût',
    'courûtes',
    'cous',
    'cousaient',
    'cousais',
    'cousait',
    'cousant',
    'couscous',
    'couse',
    'cousent',
    'couses',
    'couseur',
    'couseurs',
    'couseuse',
    'couseuses',
    'cousez',
    'cousiez',
    'cousin',
    'cousina',
    'cousinai',
    'cousinaient',
    'cousinais',
    'cousinait',
    'cousinant',
    'cousinas',
    'cousinasse',
    'cousinassent',
    'cousinasses',
    'cousinassiez',
    'cousine',
    'cousinent',
    'cousiner',
    'cousinera',
    'cousinerai',
    'cousinerais',
    'cousinerait',
    'cousineras',
    'cousinerez',
    'cousineriez',
    'cousinerions',
    'cousinerons',
    'cousineront',
    'cousines',
    'cousinez',
    'cousiniez',
    'cousinions',
    'cousinons',
    'cousins',
    'cousinâmes',
    'cousinât',
    'cousinâtes',
    'cousinèrent',
    'cousiné',
    'cousinée',
    'cousinées',
    'cousinés',
    'cousions',
    'cousirent',
    'cousis',
    'cousisse',
    'cousissent',
    'cousisses',
    'cousissiez',
    'cousissions',
    'cousit',
    'cousons',
    'coussin',
    'coussinet',
    'coussinets',
    'coussins',
    'cousu',
    'cousue',
    'cousues',
    'cousus',
    'cousîmes',
    'cousît',
    'cousîtes',
    'couteau',
    'couteaux',
    'coutelas',
    'coutelier',
    'couteliers',
    'coutelière',
    'coutelières',
    'coutellerie',
    'coutelleries',
    'coutil',
    'coutils',
    'coutre',
    'coutres',
    'coutume',
    'coutumes',
    'coutumier',
    'coutumiers',
    'coutumière',
    'coutumières',
    'coutura',
    'couturai',
    'couturaient',
    'couturais',
    'couturait',
    'couturant',
    'couturas',
    'couturasse',
    'couturassent',
    'couturasses',
    'couturassiez',
    'couture',
    'couturent',
    'couturer',
    'couturera',
    'couturerai',
    'couturerais',
    'couturerait',
    'coutureras',
    'couturerez',
    'coutureriez',
    'couturerions',
    'couturerons',
    'coutureront',
    'coutures',
    'couturez',
    'couturier',
    'couturiers',
    'couturiez',
    'couturions',
    'couturière',
    'couturières',
    'couturons',
    'couturâmes',
    'couturât',
    'couturâtes',
    'couturèrent',
    'couturé',
    'couturée',
    'couturées',
    'couturés',
    'couva',
    'couvai',
    'couvaient',
    'couvain',
    'couvains',
    'couvais',
    'couvaison',
    'couvaisons',
    'couvait',
    'couvant',
    'couvas',
    'couvasse',
    'couvassent',
    'couvasses',
    'couvassiez',
    'couvassions',
    'couve',
    'couvent',
    'couvents',
    'couver',
    'couvera',
    'couverai',
    'couveraient',
    'couverais',
    'couverait',
    'couveras',
    'couvercle',
    'couvercles',
    'couverez',
    'couveriez',
    'couverions',
    'couverons',
    'couveront',
    'couvert',
    'couverte',
    'couvertes',
    'couverts',
    'couverture',
    'couvertures',
    'couves',
    'couveuse',
    'couveuses',
    'couvez',
    'couviez',
    'couvions',
    'couvons',
    'couvraient',
    'couvrais',
    'couvrait',
    'couvrant',
    'couvrante',
    'couvrantes',
    'couvrants',
    'couvre',
    'couvrent',
    'couvres',
    'couvreur',
    'couvreurs',
    'couvreuse',
    'couvreuses',
    'couvrez',
    'couvriez',
    'couvrions',
    'couvrir',
    'couvrira',
    'couvrirai',
    'couvriraient',
    'couvrirais',
    'couvrirait',
    'couvriras',
    'couvrirent',
    'couvrirez',
    'couvririez',
    'couvririons',
    'couvrirons',
    'couvriront',
    'couvris',
    'couvrisse',
    'couvrissent',
    'couvrisses',
    'couvrissiez',
    'couvrissions',
    'couvrit',
    'couvrons',
    'couvru',
    'couvrue',
    'couvrues',
    'couvrus',
    'couvrîmes',
    'couvrît',
    'couvrîtes',
    'couvâmes',
    'couvât',
    'couvâtes',
    'couvèrent',
    'couvé',
    'couvée',
    'couvées',
    'couvés',
    'covariance',
    'covariances',
    'covendeur',
    'covendeurs',
    'covendeuse',
    'covendeuses',
    'coxal',
    'coxale',
    'coxales',
    'coxalgie',
    'coxalgies',
    'coxalgique',
    'coxalgiques',
    'coxarthrose',
    'coxarthroses',
    'coxaux',
    'coyau',
    'coyaus',
    'coyote',
    'coyotes',
    'cozanet',
    'coéditeur',
    'coéditeurs',
    'coédition',
    'coéditions',
    'coéditrice',
    'coéditrices',
    'coéquipier',
    'coéquipiers',
    'coéquipière',
    'coéquipières',
    'coïncida',
    'coïncidai',
    'coïncidaient',
    'coïncidais',
    'coïncidait',
    'coïncidant',
    'coïncidas',
    'coïncidasse',
    'coïncidasses',
    'coïncide',
    'coïncidence',
    'coïncidences',
    'coïncident',
    'coïncidente',
    'coïncidentes',
    'coïncidents',
    'coïncider',
    'coïncidera',
    'coïnciderai',
    'coïnciderais',
    'coïnciderait',
    'coïncideras',
    'coïnciderez',
    'coïncideriez',
    'coïnciderons',
    'coïncideront',
    'coïncides',
    'coïncidez',
    'coïncidiez',
    'coïncidions',
    'coïncidons',
    'coïncidâmes',
    'coïncidât',
    'coïncidâtes',
    'coïncidèrent',
    'coïncidé',
    'coïnculpé',
    'coïnculpée',
    'coïnculpées',
    'coïnculpés',
    'coït',
    'coïta',
    'coïtai',
    'coïtaient',
    'coïtais',
    'coïtait',
    'coïtant',
    'coïtas',
    'coïtasse',
    'coïtassent',
    'coïtasses',
    'coïtassiez',
    'coïtassions',
    'coïte',
    'coïtent',
    'coïter',
    'coïtera',
    'coïterai',
    'coïteraient',
    'coïterais',
    'coïterait',
    'coïteras',
    'coïterez',
    'coïteriez',
    'coïterions',
    'coïterons',
    'coïteront',
    'coïtes',
    'coïtez',
    'coïtiez',
    'coïtions',
    'coïtons',
    'coïts',
    'coïtâmes',
    'coïtât',
    'coïtâtes',
    'coïtèrent',
    'coïté',
    'coût',
    'coûta',
    'coûtai',
    'coûtaient',
    'coûtais',
    'coûtait',
    'coûtant',
    'coûtante',
    'coûtantes',
    'coûtants',
    'coûtas',
    'coûtasse',
    'coûtassent',
    'coûtasses',
    'coûtassiez',
    'coûtassions',
    'coûte',
    'coûtent',
    'coûter',
    'coûtera',
    'coûterai',
    'coûteraient',
    'coûterais',
    'coûterait',
    'coûteras',
    'coûterez',
    'coûteriez',
    'coûterions',
    'coûterons',
    'coûteront',
    'coûtes',
    'coûteuse',
    'coûteusement',
    'coûteuses',
    'coûteux',
    'coûtez',
    'coûtiez',
    'coûtions',
    'coûtons',
    'coûts',
    'coûtâmes',
    'coûtât',
    'coûtâtes',
    'coûtèrent',
    'coûté',
    'coûtée',
    'coûtées',
    'coûtés',
    'crabe',
    'crabes',
    'crabier',
    'crabiers',
    'crabot',
    'crabotage',
    'crabotages',
    'craboter',
    'crabots',
    'crac',
    'cracha',
    'crachai',
    'crachaient',
    'crachais',
    'crachait',
    'crachant',
    'crachas',
    'crachasse',
    'crachassent',
    'crachasses',
    'crachassiez',
    'crachassions',
    'crachat',
    'crachats',
    'crache',
    'crachement',
    'crachements',
    'crachent',
    'cracher',
    'crachera',
    'cracherai',
    'cracheraient',
    'cracherais',
    'cracherait',
    'cracheras',
    'cracherez',
    'cracheriez',
    'cracherions',
    'cracherons',
    'cracheront',
    'craches',
    'cracheur',
    'cracheurs',
    'cracheuse',
    'cracheuses',
    'crachez',
    'crachiez',
    'crachin',
    'crachina',
    'crachinait',
    'crachine',
    'crachiner',
    'crachinera',
    'crachinerait',
    'crachins',
    'crachinât',
    'crachiné',
    'crachions',
    'crachoir',
    'crachoirs',
    'crachons',
    'crachota',
    'crachotai',
    'crachotaient',
    'crachotais',
    'crachotait',
    'crachotant',
    'crachotas',
    'crachotasse',
    'crachotasses',
    'crachote',
    'crachotement',
    'crachotent',
    'crachoter',
    'crachotera',
    'crachoterai',
    'crachoterais',
    'crachoterait',
    'crachoteras',
    'crachoterez',
    'crachoteriez',
    'crachoterons',
    'crachoteront',
    'crachotes',
    'crachotez',
    'crachotiez',
    'crachotions',
    'crachotons',
    'crachotâmes',
    'crachotât',
    'crachotâtes',
    'crachotèrent',
    'crachoté',
    'crachouilla',
    'crachouillai',
    'crachouillas',
    'crachouille',
    'crachouiller',
    'crachouilles',
    'crachouillez',
    'crachouillât',
    'crachouillé',
    'crachâmes',
    'crachât',
    'crachâtes',
    'crachèrent',
    'craché',
    'crachée',
    'crachées',
    'crachés',
    'crack',
    'cracker',
    'crackers',
    'cracking',
    'cracks',
    'cracra',
    'crado',
    'craie',
    'craies',
    'craignaient',
    'craignais',
    'craignait',
    'craignant',
    'craigne',
    'craignent',
    'craignes',
    'craignez',
    'craigniez',
    'craignions',
    'craignirent',
    'craignis',
    'craignisse',
    'craignissent',
    'craignisses',
    'craignissiez',
    'craignit',
    'craignons',
    'craignîmes',
    'craignît',
    'craignîtes',
    'crailla',
    'craillai',
    'craillaient',
    'craillais',
    'craillait',
    'craillant',
    'craillas',
    'craillasse',
    'craillassent',
    'craillasses',
    'craillassiez',
    'craille',
    'craillent',
    'crailler',
    'craillera',
    'craillerai',
    'craillerais',
    'craillerait',
    'crailleras',
    'craillerez',
    'crailleriez',
    'craillerions',
    'craillerons',
    'crailleront',
    'crailles',
    'craillez',
    'crailliez',
    'craillions',
    'craillons',
    'craillâmes',
    'craillât',
    'craillâtes',
    'craillèrent',
    'craillé',
    'craindra',
    'craindrai',
    'craindraient',
    'craindrais',
    'craindrait',
    'craindras',
    'craindre',
    'craindrez',
    'craindriez',
    'craindrions',
    'craindrons',
    'craindront',
    'crains',
    'craint',
    'crainte',
    'craintes',
    'craintif',
    'craintifs',
    'craintive',
    'craintives',
    'craints',
    'crama',
    'cramai',
    'cramaient',
    'cramais',
    'cramait',
    'cramant',
    'cramas',
    'cramasse',
    'cramassent',
    'cramasses',
    'cramassiez',
    'cramassions',
    'crambé',
    'crambés',
    'crame',
    'crament',
    'cramer',
    'cramera',
    'cramerai',
    'crameraient',
    'cramerais',
    'cramerait',
    'crameras',
    'cramerez',
    'crameriez',
    'cramerions',
    'cramerons',
    'crameront',
    'crames',
    'cramez',
    'cramiez',
    'cramions',
    'cramique',
    'cramiques',
    'cramoisi',
    'cramoisie',
    'cramoisies',
    'cramoisis',
    'cramons',
    'crampe',
    'crampes',
    'crampillon',
    'crampillons',
    'crampon',
    'cramponna',
    'cramponnai',
    'cramponnais',
    'cramponnait',
    'cramponnant',
    'cramponnas',
    'cramponnasse',
    'cramponne',
    'cramponnent',
    'cramponner',
    'cramponnera',
    'cramponnerai',
    'cramponneras',
    'cramponnerez',
    'cramponnes',
    'cramponnet',
    'cramponnets',
    'cramponnez',
    'cramponniez',
    'cramponnions',
    'cramponnons',
    'cramponnâmes',
    'cramponnât',
    'cramponnâtes',
    'cramponné',
    'cramponnée',
    'cramponnées',
    'cramponnés',
    'crampons',
    'crampsa',
    'crampsai',
    'crampsaient',
    'crampsais',
    'crampsait',
    'crampsant',
    'crampsas',
    'crampsasse',
    'crampsassent',
    'crampsasses',
    'crampsassiez',
    'crampse',
    'crampsent',
    'crampser',
    'crampsera',
    'crampserai',
    'crampserais',
    'crampserait',
    'crampseras',
    'crampserez',
    'crampseriez',
    'crampserions',
    'crampserons',
    'crampseront',
    'crampses',
    'crampsez',
    'crampsiez',
    'crampsions',
    'crampsons',
    'crampsâmes',
    'crampsât',
    'crampsâtes',
    'crampsèrent',
    'crampsé',
    'cramsa',
    'cramsai',
    'cramsaient',
    'cramsais',
    'cramsait',
    'cramsant',
    'cramsas',
    'cramsasse',
    'cramsassent',
    'cramsasses',
    'cramsassiez',
    'cramsassions',
    'cramse',
    'cramsent',
    'cramser',
    'cramsera',
    'cramserai',
    'cramseraient',
    'cramserais',
    'cramserait',
    'cramseras',
    'cramserez',
    'cramseriez',
    'cramserions',
    'cramserons',
    'cramseront',
    'cramses',
    'cramsez',
    'cramsiez',
    'cramsions',
    'cramsons',
    'cramsâmes',
    'cramsât',
    'cramsâtes',
    'cramsèrent',
    'cramsé',
    'cramâmes',
    'cramât',
    'cramâtes',
    'cramèrent',
    'cramé',
    'cramée',
    'cramées',
    'cramés',
    'cran',
    'crana',
    'cranai',
    'cranaient',
    'cranais',
    'cranait',
    'cranant',
    'cranas',
    'cranasse',
    'cranassent',
    'cranasses',
    'cranassiez',
    'cranassions',
    'crane',
    'cranent',
    'craner',
    'cranera',
    'cranerai',
    'craneraient',
    'cranerais',
    'cranerait',
    'craneras',
    'cranerez',
    'craneriez',
    'cranerions',
    'cranerons',
    'craneront',
    'cranes',
    'cranez',
    'craniez',
    'cranions',
    'cranons',
    'crans',
    'cranta',
    'crantai',
    'crantaient',
    'crantais',
    'crantait',
    'crantant',
    'crantas',
    'crantasse',
    'crantassent',
    'crantasses',
    'crantassiez',
    'crantassions',
    'crante',
    'crantent',
    'cranter',
    'crantera',
    'cranterai',
    'cranteraient',
    'cranterais',
    'cranterait',
    'cranteras',
    'cranterez',
    'cranteriez',
    'cranterions',
    'cranterons',
    'cranteront',
    'crantes',
    'crantez',
    'crantiez',
    'crantions',
    'crantons',
    'crantâmes',
    'crantât',
    'crantâtes',
    'crantèrent',
    'cranté',
    'crantée',
    'crantées',
    'crantés',
    'cranâmes',
    'cranât',
    'cranâtes',
    'cranèrent',
    'crané',
    'cranée',
    'cranées',
    'cranés',
    'crapahuta',
    'crapahutai',
    'crapahutais',
    'crapahutait',
    'crapahutant',
    'crapahutas',
    'crapahutasse',
    'crapahute',
    'crapahutent',
    'crapahuter',
    'crapahutera',
    'crapahuterai',
    'crapahuteras',
    'crapahuterez',
    'crapahutes',
    'crapahutez',
    'crapahutiez',
    'crapahutions',
    'crapahutons',
    'crapahutâmes',
    'crapahutât',
    'crapahutâtes',
    'crapahuté',
    'crapahutée',
    'crapahutées',
    'crapahutés',
    'crapaud',
    'crapaudine',
    'crapaudines',
    'crapauds',
    'crapaüta',
    'crapaütai',
    'crapaütaient',
    'crapaütais',
    'crapaütait',
    'crapaütant',
    'crapaütas',
    'crapaütasse',
    'crapaütasses',
    'crapaüte',
    'crapaütent',
    'crapaüter',
    'crapaütera',
    'crapaüterai',
    'crapaüterais',
    'crapaüterait',
    'crapaüteras',
    'crapaüterez',
    'crapaüteriez',
    'crapaüterons',
    'crapaüteront',
    'crapaütes',
    'crapaütez',
    'crapaütiez',
    'crapaütions',
    'crapaütons',
    'crapaütâmes',
    'crapaütât',
    'crapaütâtes',
    'crapaütèrent',
    'crapaüté',
    'crapaütée',
    'crapaütées',
    'crapaütés',
    'crapouillot',
    'crapouillots',
    'crapoussin',
    'crapoussine',
    'crapoussines',
    'crapoussins',
    'crapula',
    'crapulai',
    'crapulaient',
    'crapulais',
    'crapulait',
    'crapulant',
    'crapulas',
    'crapulasse',
    'crapulassent',
    'crapulasses',
    'crapulassiez',
    'crapule',
    'crapulent',
    'crapuler',
    'crapulera',
    'crapulerai',
    'crapulerais',
    'crapulerait',
    'crapuleras',
    'crapulerez',
    'crapulerie',
    'crapuleries',
    'crapuleriez',
    'crapulerions',
    'crapulerons',
    'crapuleront',
    'crapules',
    'crapuleuse',
    'crapuleuses',
    'crapuleux',
    'crapulez',
    'crapuliez',
    'crapulions',
    'crapulons',
    'crapulâmes',
    'crapulât',
    'crapulâtes',
    'crapulèrent',
    'crapulé',
    'craqua',
    'craquage',
    'craquages',
    'craquai',
    'craquaient',
    'craquais',
    'craquait',
    'craquant',
    'craquas',
    'craquasse',
    'craquassent',
    'craquasses',
    'craquassiez',
    'craquassions',
    'craque',
    'craquela',
    'craquelage',
    'craquelages',
    'craquelai',
    'craquelaient',
    'craquelais',
    'craquelait',
    'craquelant',
    'craquelas',
    'craquelasse',
    'craquelasses',
    'craqueler',
    'craquelez',
    'craqueliez',
    'craquelions',
    'craquelle',
    'craquellent',
    'craquellera',
    'craquellerai',
    'craquelleras',
    'craquellerez',
    'craquelles',
    'craquelons',
    'craquelure',
    'craquelures',
    'craquelâmes',
    'craquelât',
    'craquelâtes',
    'craquelèrent',
    'craquelé',
    'craquelée',
    'craquelées',
    'craquelés',
    'craquement',
    'craquements',
    'craquent',
    'craquer',
    'craquera',
    'craquerai',
    'craqueraient',
    'craquerais',
    'craquerait',
    'craqueras',
    'craquerez',
    'craqueriez',
    'craquerions',
    'craquerons',
    'craqueront',
    'craques',
    'craqueta',
    'craquetai',
    'craquetaient',
    'craquetais',
    'craquetait',
    'craquetant',
    'craquetas',
    'craquetasse',
    'craquetasses',
    'craqueter',
    'craquetez',
    'craquetiez',
    'craquetions',
    'craquetons',
    'craquette',
    'craquettent',
    'craquettera',
    'craquetterai',
    'craquetteras',
    'craquetterez',
    'craquettes',
    'craquetâmes',
    'craquetât',
    'craquetâtes',
    'craquetèrent',
    'craqueté',
    'craquez',
    'craquiez',
    'craquions',
    'craquons',
    'craquâmes',
    'craquât',
    'craquâtes',
    'craquèlement',
    'craquèrent',
    'craquètement',
    'craqué',
    'craquée',
    'craquées',
    'craqués',
    'crase',
    'crases',
    'crash',
    'crashes',
    'crashs',
    'crassa',
    'crassai',
    'crassaient',
    'crassais',
    'crassait',
    'crassane',
    'crassanes',
    'crassant',
    'crassas',
    'crassasse',
    'crassassent',
    'crassasses',
    'crassassiez',
    'crassassions',
    'crasse',
    'crassent',
    'crasser',
    'crassera',
    'crasserai',
    'crasseraient',
    'crasserais',
    'crasserait',
    'crasseras',
    'crasserez',
    'crasseriez',
    'crasserions',
    'crasserons',
    'crasseront',
    'crasses',
    'crasseuse',
    'crasseuses',
    'crasseux',
    'crassez',
    'crassier',
    'crassiers',
    'crassiez',
    'crassions',
    'crassons',
    'crassâmes',
    'crassât',
    'crassâtes',
    'crassèrent',
    'crassé',
    'crassée',
    'crassées',
    'crassés',
    'craterelle',
    'craterelles',
    'cratère',
    'cratères',
    'cratériforme',
    'cravacha',
    'cravachai',
    'cravachaient',
    'cravachais',
    'cravachait',
    'cravachant',
    'cravachas',
    'cravachasse',
    'cravachasses',
    'cravache',
    'cravachent',
    'cravacher',
    'cravachera',
    'cravacherai',
    'cravacherais',
    'cravacherait',
    'cravacheras',
    'cravacherez',
    'cravacheriez',
    'cravacherons',
    'cravacheront',
    'cravaches',
    'cravachez',
    'cravachiez',
    'cravachions',
    'cravachons',
    'cravachâmes',
    'cravachât',
    'cravachâtes',
    'cravachèrent',
    'cravaché',
    'cravachée',
    'cravachées',
    'cravachés',
    'cravata',
    'cravatai',
    'cravataient',
    'cravatais',
    'cravatait',
    'cravatant',
    'cravatas',
    'cravatasse',
    'cravatassent',
    'cravatasses',
    'cravatassiez',
    'cravate',
    'cravatent',
    'cravater',
    'cravatera',
    'cravaterai',
    'cravaterais',
    'cravaterait',
    'cravateras',
    'cravaterez',
    'cravateriez',
    'cravaterions',
    'cravaterons',
    'cravateront',
    'cravates',
    'cravatez',
    'cravatiez',
    'cravations',
    'cravatons',
    'cravatâmes',
    'cravatât',
    'cravatâtes',
    'cravatèrent',
    'cravaté',
    'cravatée',
    'cravatées',
    'cravatés',
    'crave',
    'craves',
    'crawl',
    'crawla',
    'crawlai',
    'crawlaient',
    'crawlais',
    'crawlait',
    'crawlant',
    'crawlas',
    'crawlasse',
    'crawlassent',
    'crawlasses',
    'crawlassiez',
    'crawlassions',
    'crawle',
    'crawlent',
    'crawler',
    'crawlera',
    'crawlerai',
    'crawleraient',
    'crawlerais',
    'crawlerait',
    'crawleras',
    'crawlerez',
    'crawleriez',
    'crawlerions',
    'crawlerons',
    'crawleront',
    'crawles',
    'crawleur',
    'crawleurs',
    'crawleuse',
    'crawleuses',
    'crawlez',
    'crawliez',
    'crawlions',
    'crawlons',
    'crawlâmes',
    'crawlât',
    'crawlâtes',
    'crawlèrent',
    'crawlé',
    'crawlée',
    'crawlées',
    'crawlés',
    'crayeuse',
    'crayeuses',
    'crayeux',
    'crayon',
    'crayonna',
    'crayonnage',
    'crayonnages',
    'crayonnai',
    'crayonnaient',
    'crayonnais',
    'crayonnait',
    'crayonnant',
    'crayonnas',
    'crayonnasse',
    'crayonnasses',
    'crayonne',
    'crayonnent',
    'crayonner',
    'crayonnera',
    'crayonnerai',
    'crayonnerais',
    'crayonnerait',
    'crayonneras',
    'crayonnerez',
    'crayonneriez',
    'crayonnerons',
    'crayonneront',
    'crayonnes',
    'crayonnez',
    'crayonniez',
    'crayonnions',
    'crayonnons',
    'crayonnâmes',
    'crayonnât',
    'crayonnâtes',
    'crayonnèrent',
    'crayonné',
    'crayonnée',
    'crayonnées',
    'crayonnés',
    'crayons',
    'credo',
    'cremona',
    'crescendo',
    'crescendos',
    'cresson',
    'cressonnière',
    'cressons',
    'cretonne',
    'cretonnes',
    'creusa',
    'creusage',
    'creusages',
    'creusai',
    'creusaient',
    'creusais',
    'creusait',
    'creusant',
    'creusas',
    'creusasse',
    'creusassent',
    'creusasses',
    'creusassiez',
    'creusassions',
    'creuse',
    'creusement',
    'creusements',
    'creusent',
    'creuser',
    'creusera',
    'creuserai',
    'creuseraient',
    'creuserais',
    'creuserait',
    'creuseras',
    'creuserez',
    'creuseriez',
    'creuserions',
    'creuserons',
    'creuseront',
    'creuses',
    'creuset',
    'creusets',
    'creusez',
    'creusiez',
    'creusions',
    'creusons',
    'creusâmes',
    'creusât',
    'creusâtes',
    'creusèrent',
    'creusé',
    'creusée',
    'creusées',
    'creusés',
    'creux',
    'creva',
    'crevai',
    'crevaient',
    'crevais',
    'crevaison',
    'crevaisons',
    'crevait',
    'crevant',
    'crevas',
    'crevassa',
    'crevassai',
    'crevassaient',
    'crevassais',
    'crevassait',
    'crevassant',
    'crevassas',
    'crevassasse',
    'crevassasses',
    'crevasse',
    'crevassent',
    'crevasser',
    'crevassera',
    'crevasserai',
    'crevasserais',
    'crevasserait',
    'crevasseras',
    'crevasserez',
    'crevasseriez',
    'crevasserons',
    'crevasseront',
    'crevasses',
    'crevassez',
    'crevassiez',
    'crevassions',
    'crevassons',
    'crevassâmes',
    'crevassât',
    'crevassâtes',
    'crevassèrent',
    'crevassé',
    'crevassée',
    'crevassées',
    'crevassés',
    'crever',
    'crevette',
    'crevettes',
    'crevez',
    'creviez',
    'crevions',
    'crevons',
    'crevâmes',
    'crevât',
    'crevâtes',
    'crevèrent',
    'crevé',
    'crevée',
    'crevées',
    'crevés',
    'cria',
    'criai',
    'criaient',
    'criailla',
    'criaillai',
    'criaillaient',
    'criaillais',
    'criaillait',
    'criaillant',
    'criaillas',
    'criaillasse',
    'criaillasses',
    'criaille',
    'criaillement',
    'criaillent',
    'criailler',
    'criaillera',
    'criaillerai',
    'criaillerais',
    'criaillerait',
    'criailleras',
    'criaillerez',
    'criaillerie',
    'criailleries',
    'criailleriez',
    'criaillerons',
    'criailleront',
    'criailles',
    'criaillez',
    'criailliez',
    'criaillions',
    'criaillons',
    'criaillâmes',
    'criaillât',
    'criaillâtes',
    'criaillèrent',
    'criaillé',
    'criais',
    'criait',
    'criant',
    'criante',
    'criantes',
    'criants',
    'criard',
    'criarde',
    'criardes',
    'criards',
    'crias',
    'criasse',
    'criassent',
    'criasses',
    'criassiez',
    'criassions',
    'cribla',
    'criblage',
    'criblages',
    'criblai',
    'criblaient',
    'criblais',
    'criblait',
    'criblant',
    'criblas',
    'criblasse',
    'criblassent',
    'criblasses',
    'criblassiez',
    'criblassions',
    'crible',
    'criblent',
    'cribler',
    'criblera',
    'criblerai',
    'cribleraient',
    'criblerais',
    'criblerait',
    'cribleras',
    'criblerez',
    'cribleriez',
    'criblerions',
    'criblerons',
    'cribleront',
    'cribles',
    'criblez',
    'cribliez',
    'criblions',
    'criblons',
    'criblâmes',
    'criblât',
    'criblâtes',
    'criblèrent',
    'criblé',
    'criblée',
    'criblées',
    'criblés',
    'cric',
    'cricket',
    'crickets',
    'cricri',
    'cricris',
    'crics',
    'crie',
    'crient',
    'crier',
    'criera',
    'crierai',
    'crieraient',
    'crierais',
    'crierait',
    'crieras',
    'crierez',
    'crieriez',
    'crierions',
    'crierons',
    'crieront',
    'cries',
    'crieur',
    'crieurs',
    'crieuse',
    'crieuses',
    'criez',
    'criiez',
    'criions',
    'crime',
    'crimes',
    'criminalisa',
    'criminalisai',
    'criminalisas',
    'criminalise',
    'criminaliser',
    'criminalises',
    'criminalisez',
    'criminalisât',
    'criminalisé',
    'criminalisée',
    'criminalisés',
    'criminalité',
    'criminalités',
    'criminel',
    'criminelle',
    'criminelles',
    'criminels',
    'criminologie',
    'criminologue',
    'crin',
    'crinière',
    'crinières',
    'crinoline',
    'crinolines',
    'crins',
    'crions',
    'crique',
    'criques',
    'criquet',
    'criquets',
    'cris',
    'crise',
    'crises',
    'crispa',
    'crispai',
    'crispaient',
    'crispais',
    'crispait',
    'crispant',
    'crispante',
    'crispantes',
    'crispants',
    'crispas',
    'crispasse',
    'crispassent',
    'crispasses',
    'crispassiez',
    'crispassions',
    'crispation',
    'crispations',
    'crispe',
    'crispent',
    'crisper',
    'crispera',
    'crisperai',
    'crisperaient',
    'crisperais',
    'crisperait',
    'crisperas',
    'crisperez',
    'crisperiez',
    'crisperions',
    'crisperons',
    'crisperont',
    'crispes',
    'crispez',
    'crispiez',
    'crispions',
    'crispons',
    'crispâmes',
    'crispât',
    'crispâtes',
    'crispèrent',
    'crispé',
    'crispée',
    'crispées',
    'crispés',
    'crissa',
    'crissai',
    'crissaient',
    'crissais',
    'crissait',
    'crissant',
    'crissas',
    'crissasse',
    'crissassent',
    'crissasses',
    'crissassiez',
    'crissassions',
    'crisse',
    'crissement',
    'crissements',
    'crissent',
    'crisser',
    'crissera',
    'crisserai',
    'crisseraient',
    'crisserais',
    'crisserait',
    'crisseras',
    'crisserez',
    'crisseriez',
    'crisserions',
    'crisserons',
    'crisseront',
    'crisses',
    'crissez',
    'crissiez',
    'crissions',
    'crissons',
    'crissâmes',
    'crissât',
    'crissâtes',
    'crissèrent',
    'crissé',
    'cristal',
    'cristallerie',
    'cristallin',
    'cristalline',
    'cristallines',
    'cristallins',
    'cristallisa',
    'cristallisai',
    'cristallisas',
    'cristallise',
    'cristalliser',
    'cristallises',
    'cristallisez',
    'cristallisât',
    'cristallisé',
    'cristallisée',
    'cristallisés',
    'cristaux',
    'criticailla',
    'criticaillai',
    'criticaillas',
    'criticaille',
    'criticailler',
    'criticailles',
    'criticaillez',
    'criticaillât',
    'criticaillé',
    'criticaillée',
    'criticaillés',
    'critiqua',
    'critiquable',
    'critiquables',
    'critiquai',
    'critiquaient',
    'critiquais',
    'critiquait',
    'critiquant',
    'critiquas',
    'critiquasse',
    'critiquasses',
    'critique',
    'critiquent',
    'critiquer',
    'critiquera',
    'critiquerai',
    'critiquerais',
    'critiquerait',
    'critiqueras',
    'critiquerez',
    'critiqueriez',
    'critiquerons',
    'critiqueront',
    'critiques',
    'critiquez',
    'critiquiez',
    'critiquions',
    'critiquons',
    'critiquâmes',
    'critiquât',
    'critiquâtes',
    'critiquèrent',
    'critiqué',
    'critiquée',
    'critiquées',
    'critiqués',
    'critère',
    'critères',
    'critérium',
    'critériums',
    'criâmes',
    'criât',
    'criâtes',
    'crièrent',
    'crié',
    'criée',
    'criées',
    'criés',
    'croassa',
    'croassai',
    'croassaient',
    'croassais',
    'croassait',
    'croassant',
    'croassas',
    'croassasse',
    'croassassent',
    'croassasses',
    'croassassiez',
    'croasse',
    'croassement',
    'croassements',
    'croassent',
    'croasser',
    'croassera',
    'croasserai',
    'croasserais',
    'croasserait',
    'croasseras',
    'croasserez',
    'croasseriez',
    'croasserions',
    'croasserons',
    'croasseront',
    'croasses',
    'croassez',
    'croassiez',
    'croassions',
    'croassons',
    'croassâmes',
    'croassât',
    'croassâtes',
    'croassèrent',
    'croassé',
    'croate',
    'croates',
    'croc',
    'crocha',
    'crochai',
    'crochaient',
    'crochais',
    'crochait',
    'crochant',
    'crochas',
    'crochasse',
    'crochassent',
    'crochasses',
    'crochassiez',
    'crochassions',
    'croche',
    'crochent',
    'crocher',
    'crochera',
    'crocherai',
    'crocheraient',
    'crocherais',
    'crocherait',
    'crocheras',
    'crocherez',
    'crocheriez',
    'crocherions',
    'crocherons',
    'crocheront',
    'croches',
    'crochet',
    'crocheta',
    'crochetage',
    'crochetages',
    'crochetai',
    'crochetaient',
    'crochetais',
    'crochetait',
    'crochetant',
    'crochetas',
    'crochetasse',
    'crochetasses',
    'crocheter',
    'crocheteur',
    'crocheteurs',
    'crochetez',
    'crochetiez',
    'crochetions',
    'crochetons',
    'crochets',
    'crochetâmes',
    'crochetât',
    'crochetâtes',
    'crochetèrent',
    'crocheté',
    'crochetée',
    'crochetées',
    'crochetés',
    'crochez',
    'crochiez',
    'crochions',
    'crochons',
    'crochu',
    'crochue',
    'crochues',
    'crochus',
    'crochâmes',
    'crochât',
    'crochâtes',
    'crochèrent',
    'crochète',
    'crochètent',
    'crochètera',
    'crochèterai',
    'crochèterais',
    'crochèterait',
    'crochèteras',
    'crochèterez',
    'crochèteriez',
    'crochèterons',
    'crochèteront',
    'crochètes',
    'croché',
    'crochée',
    'crochées',
    'crochés',
    'crocodile',
    'crocodiles',
    'crocs',
    'crocus',
    'croie',
    'croient',
    'croies',
    'croira',
    'croirai',
    'croiraient',
    'croirais',
    'croirait',
    'croiras',
    'croire',
    'croirez',
    'croiriez',
    'croirions',
    'croirons',
    'croiront',
    'crois',
    'croisa',
    'croisade',
    'croisades',
    'croisai',
    'croisaient',
    'croisais',
    'croisait',
    'croisant',
    'croisas',
    'croisasse',
    'croisassent',
    'croisasses',
    'croisassiez',
    'croisassions',
    'croise',
    'croisement',
    'croisements',
    'croisent',
    'croiser',
    'croisera',
    'croiserai',
    'croiseraient',
    'croiserais',
    'croiserait',
    'croiseras',
    'croiserez',
    'croiseriez',
    'croiserions',
    'croiserons',
    'croiseront',
    'croises',
    'croiseur',
    'croiseurs',
    'croisez',
    'croisiez',
    'croisillon',
    'croisillons',
    'croisions',
    'croisière',
    'croisières',
    'croisons',
    'croissaient',
    'croissais',
    'croissait',
    'croissance',
    'croissances',
    'croissant',
    'croissante',
    'croissantes',
    'croissants',
    'croisse',
    'croissent',
    'croisses',
    'croissez',
    'croissiez',
    'croissions',
    'croissons',
    'croisâmes',
    'croisât',
    'croisâtes',
    'croisèrent',
    'croisé',
    'croisée',
    'croisées',
    'croisés',
    'croit',
    'croix',
    'croqua',
    'croquai',
    'croquaient',
    'croquais',
    'croquait',
    'croquant',
    'croquante',
    'croquantes',
    'croquants',
    'croquas',
    'croquasse',
    'croquassent',
    'croquasses',
    'croquassiez',
    'croquassions',
    'croque',
    'croquent',
    'croquer',
    'croquera',
    'croquerai',
    'croqueraient',
    'croquerais',
    'croquerait',
    'croqueras',
    'croquerez',
    'croqueriez',
    'croquerions',
    'croquerons',
    'croqueront',
    'croques',
    'croquet',
    'croquets',
    'croquette',
    'croquettes',
    'croquez',
    'croquiez',
    'croquions',
    'croquis',
    'croquons',
    'croquâmes',
    'croquât',
    'croquâtes',
    'croquèrent',
    'croqué',
    'croquée',
    'croquées',
    'croqués',
    'cross',
    'crossa',
    'crossai',
    'crossaient',
    'crossais',
    'crossait',
    'crossant',
    'crossas',
    'crossasse',
    'crossassent',
    'crossasses',
    'crossassiez',
    'crossassions',
    'crosse',
    'crossent',
    'crosser',
    'crossera',
    'crosserai',
    'crosseraient',
    'crosserais',
    'crosserait',
    'crosseras',
    'crosserez',
    'crosseriez',
    'crosserions',
    'crosserons',
    'crosseront',
    'crosses',
    'crossez',
    'crossiez',
    'crossions',
    'crossons',
    'crossâmes',
    'crossât',
    'crossâtes',
    'crossèrent',
    'crossé',
    'crossée',
    'crossées',
    'crossés',
    'crotale',
    'crotales',
    'crotta',
    'crottai',
    'crottaient',
    'crottais',
    'crottait',
    'crottant',
    'crottas',
    'crottasse',
    'crottassent',
    'crottasses',
    'crottassiez',
    'crottassions',
    'crotte',
    'crottent',
    'crotter',
    'crottera',
    'crotterai',
    'crotteraient',
    'crotterais',
    'crotterait',
    'crotteras',
    'crotterez',
    'crotteriez',
    'crotterions',
    'crotterons',
    'crotteront',
    'crottes',
    'crottez',
    'crottiez',
    'crottin',
    'crottins',
    'crottions',
    'crottons',
    'crottâmes',
    'crottât',
    'crottâtes',
    'crottèrent',
    'crotté',
    'crottée',
    'crottées',
    'crottés',
    'crouillat',
    'crouillats',
    'crouille',
    'crouilles',
    'croula',
    'croulai',
    'croulaient',
    'croulais',
    'croulait',
    'croulant',
    'croulante',
    'croulantes',
    'croulants',
    'croulas',
    'croulasse',
    'croulassent',
    'croulasses',
    'croulassiez',
    'croulassions',
    'croule',
    'croulent',
    'crouler',
    'croulera',
    'croulerai',
    'crouleraient',
    'croulerais',
    'croulerait',
    'crouleras',
    'croulerez',
    'crouleriez',
    'croulerions',
    'croulerons',
    'crouleront',
    'croules',
    'croulez',
    'crouliez',
    'croulions',
    'croulons',
    'croulâmes',
    'croulât',
    'croulâtes',
    'croulèrent',
    'croulé',
    'croupe',
    'croupes',
    'croupi',
    'croupie',
    'croupier',
    'croupiers',
    'croupies',
    'croupion',
    'croupions',
    'croupir',
    'croupira',
    'croupirai',
    'croupiraient',
    'croupirais',
    'croupirait',
    'croupiras',
    'croupirent',
    'croupirez',
    'croupiriez',
    'croupirions',
    'croupirons',
    'croupiront',
    'croupis',
    'croupissais',
    'croupissait',
    'croupissant',
    'croupissante',
    'croupissants',
    'croupisse',
    'croupissent',
    'croupisses',
    'croupissez',
    'croupissiez',
    'croupissions',
    'croupissons',
    'croupit',
    'croupière',
    'croupières',
    'croupîmes',
    'croupît',
    'croupîtes',
    'croustade',
    'croustades',
    'croustilla',
    'croustillai',
    'croustillais',
    'croustillait',
    'croustillant',
    'croustillas',
    'croustille',
    'croustillent',
    'croustiller',
    'croustillera',
    'croustilles',
    'croustillez',
    'croustilliez',
    'croustillons',
    'croustillât',
    'croustillé',
    'croustillée',
    'croustillées',
    'croustillés',
    'croyable',
    'croyables',
    'croyaient',
    'croyais',
    'croyait',
    'croyance',
    'croyances',
    'croyant',
    'croyante',
    'croyantes',
    'croyants',
    'croyez',
    'croyiez',
    'croyions',
    'croyons',
    'croîs',
    'croît',
    'croîtra',
    'croîtrai',
    'croîtraient',
    'croîtrais',
    'croîtrait',
    'croîtras',
    'croître',
    'croîtrez',
    'croîtriez',
    'croîtrions',
    'croîtrons',
    'croîtront',
    'croûta',
    'croûtai',
    'croûtaient',
    'croûtais',
    'croûtait',
    'croûtant',
    'croûtas',
    'croûtasse',
    'croûtassent',
    'croûtasses',
    'croûtassiez',
    'croûtassions',
    'croûte',
    'croûtent',
    'croûter',
    'croûtera',
    'croûterai',
    'croûteraient',
    'croûterais',
    'croûterait',
    'croûteras',
    'croûterez',
    'croûteriez',
    'croûterions',
    'croûterons',
    'croûteront',
    'croûtes',
    'croûtez',
    'croûtiez',
    'croûtions',
    'croûton',
    'croûtons',
    'croûtâmes',
    'croûtât',
    'croûtâtes',
    'croûtèrent',
    'croûté',
    'croûtée',
    'croûtées',
    'croûtés',
    'cruauté',
    'cruautés',
    'cruche',
    'cruches',
    'cruchon',
    'cruchons',
    'crucial',
    'cruciale',
    'cruciales',
    'cruciaux',
    'crucifia',
    'crucifiai',
    'crucifiaient',
    'crucifiais',
    'crucifiait',
    'crucifiant',
    'crucifias',
    'crucifiasse',
    'crucifiasses',
    'crucifie',
    'crucifiement',
    'crucifient',
    'crucifier',
    'crucifiera',
    'crucifierai',
    'crucifierais',
    'crucifierait',
    'crucifieras',
    'crucifierez',
    'crucifieriez',
    'crucifierons',
    'crucifieront',
    'crucifies',
    'crucifiez',
    'crucifiiez',
    'crucifiions',
    'crucifions',
    'crucifix',
    'crucifixion',
    'crucifixions',
    'crucifiâmes',
    'crucifiât',
    'crucifiâtes',
    'crucifièrent',
    'crucifié',
    'crucifiée',
    'crucifiées',
    'crucifiés',
    'crudité',
    'crudités',
    'crue',
    'cruel',
    'cruelle',
    'cruellement',
    'cruelles',
    'cruels',
    'crues',
    'crurent',
    'crus',
    'crusse',
    'crussent',
    'crusses',
    'crussiez',
    'crussions',
    'crustacé',
    'crustacés',
    'crut',
    'cruzeiro',
    'cruzeiros',
    'cryo',
    'crypta',
    'cryptai',
    'cryptaient',
    'cryptais',
    'cryptait',
    'cryptant',
    'cryptas',
    'cryptasse',
    'cryptassent',
    'cryptasses',
    'cryptassiez',
    'cryptassions',
    'crypte',
    'cryptent',
    'crypter',
    'cryptera',
    'crypterai',
    'crypteraient',
    'crypterais',
    'crypterait',
    'crypteras',
    'crypterez',
    'crypteriez',
    'crypterions',
    'crypterons',
    'crypteront',
    'cryptes',
    'cryptez',
    'cryptiez',
    'cryptions',
    'cryptique',
    'cryptiques',
    'cryptogramme',
    'cryptons',
    'cryptâmes',
    'cryptât',
    'cryptâtes',
    'cryptèrent',
    'crypté',
    'cryptée',
    'cryptées',
    'cryptés',
    'crâna',
    'crânai',
    'crânaient',
    'crânais',
    'crânait',
    'crânant',
    'crânas',
    'crânasse',
    'crânassent',
    'crânasses',
    'crânassiez',
    'crânassions',
    'crâne',
    'crânement',
    'crânent',
    'crâner',
    'crânera',
    'crânerai',
    'crâneraient',
    'crânerais',
    'crânerait',
    'crâneras',
    'crânerez',
    'crânerie',
    'crâneries',
    'crâneriez',
    'crânerions',
    'crânerons',
    'crâneront',
    'crânes',
    'crâneur',
    'crâneurs',
    'crâneuse',
    'crâneuses',
    'crânez',
    'crânien',
    'crânienne',
    'crâniennes',
    'crâniens',
    'crâniez',
    'crânions',
    'crânons',
    'crânâmes',
    'crânât',
    'crânâtes',
    'crânèrent',
    'crâné',
    'crèche',
    'crèchent',
    'crèches',
    'crème',
    'crèment',
    'crèmes',
    'crène',
    'crènent',
    'crènes',
    'crève',
    'crèvent',
    'crèvera',
    'crèverai',
    'crèveraient',
    'crèverais',
    'crèverait',
    'crèveras',
    'crèverez',
    'crèveriez',
    'crèverions',
    'crèverons',
    'crèveront',
    'crèves',
    'créa',
    'créai',
    'créaient',
    'créais',
    'créait',
    'créance',
    'créances',
    'créancier',
    'créanciers',
    'créancière',
    'créancières',
    'créant',
    'créas',
    'créasse',
    'créassent',
    'créasses',
    'créassiez',
    'créassions',
    'créateur',
    'créateurs',
    'créatif',
    'créatifs',
    'créatine',
    'créatines',
    'créatinine',
    'créatinines',
    'création',
    'créations',
    'créative',
    'créatives',
    'créativité',
    'créativités',
    'créatrice',
    'créatrices',
    'créature',
    'créatures',
    'crécelle',
    'crécelles',
    'crécerelle',
    'crécerelles',
    'crécha',
    'créchai',
    'créchaient',
    'créchais',
    'créchait',
    'créchant',
    'créchas',
    'créchasse',
    'créchassent',
    'créchasses',
    'créchassiez',
    'créchassions',
    'crécher',
    'créchera',
    'crécherai',
    'crécheraient',
    'crécherais',
    'crécherait',
    'crécheras',
    'crécherez',
    'crécheriez',
    'crécherions',
    'crécherons',
    'crécheront',
    'créchez',
    'créchiez',
    'créchions',
    'créchons',
    'créchâmes',
    'créchât',
    'créchâtes',
    'créchèrent',
    'créché',
    'crédence',
    'crédences',
    'crédibiliser',
    'crédibilité',
    'crédibilités',
    'crédible',
    'crédibles',
    'crédit',
    'crédita',
    'créditai',
    'créditaient',
    'créditais',
    'créditait',
    'créditant',
    'créditas',
    'créditasse',
    'créditassent',
    'créditasses',
    'créditassiez',
    'crédite',
    'créditent',
    'créditer',
    'créditera',
    'créditerai',
    'créditerais',
    'créditerait',
    'créditeras',
    'créditerez',
    'créditeriez',
    'créditerions',
    'créditerons',
    'créditeront',
    'crédites',
    'créditeur',
    'créditeurs',
    'créditez',
    'créditiez',
    'créditions',
    'créditiste',
    'créditistes',
    'créditons',
    'créditrice',
    'créditrices',
    'crédits',
    'créditâmes',
    'créditât',
    'créditâtes',
    'créditèrent',
    'crédité',
    'créditée',
    'créditées',
    'crédités',
    'crédule',
    'crédules',
    'crédulité',
    'crédulités',
    'crée',
    'créent',
    'créer',
    'créera',
    'créerai',
    'créeraient',
    'créerais',
    'créerait',
    'créeras',
    'créerez',
    'créeriez',
    'créerions',
    'créerons',
    'créeront',
    'crées',
    'créez',
    'créiez',
    'créions',
    'créma',
    'crémai',
    'crémaient',
    'crémaillère',
    'crémaillères',
    'crémais',
    'crémait',
    'crémant',
    'crémante',
    'crémantes',
    'crémants',
    'crémas',
    'crémasse',
    'crémassent',
    'crémasses',
    'crémassiez',
    'crémassions',
    'crémation',
    'crémations',
    'crématoire',
    'crématoires',
    'crémer',
    'crémera',
    'crémerai',
    'crémeraient',
    'crémerais',
    'crémerait',
    'crémeras',
    'crémerez',
    'crémerie',
    'crémeries',
    'crémeriez',
    'crémerions',
    'crémerons',
    'crémeront',
    'crémeuse',
    'crémeuses',
    'crémeux',
    'crémez',
    'crémier',
    'crémiers',
    'crémiez',
    'crémions',
    'crémière',
    'crémières',
    'crémons',
    'crémâmes',
    'crémât',
    'crémâtes',
    'crémèrent',
    'crémé',
    'créna',
    'crénai',
    'crénaient',
    'crénais',
    'crénait',
    'crénant',
    'crénas',
    'crénasse',
    'crénassent',
    'crénasses',
    'crénassiez',
    'crénassions',
    'créneau',
    'créneaux',
    'crénela',
    'crénelai',
    'crénelaient',
    'crénelais',
    'crénelait',
    'crénelant',
    'crénelas',
    'crénelasse',
    'crénelassent',
    'crénelasses',
    'crénelassiez',
    'créneler',
    'crénelez',
    'créneliez',
    'crénelions',
    'crénelle',
    'crénellent',
    'crénellera',
    'crénellerai',
    'crénellerais',
    'crénellerait',
    'crénelleras',
    'crénellerez',
    'crénelleriez',
    'crénellerons',
    'crénelleront',
    'crénelles',
    'crénelons',
    'crénelâmes',
    'crénelât',
    'crénelâtes',
    'crénelèrent',
    'crénelé',
    'crénelée',
    'crénelées',
    'crénelés',
    'créner',
    'crénera',
    'crénerai',
    'créneraient',
    'crénerais',
    'crénerait',
    'créneras',
    'crénerez',
    'créneriez',
    'crénerions',
    'crénerons',
    'créneront',
    'crénez',
    'créniez',
    'crénions',
    'crénons',
    'crénâmes',
    'crénât',
    'crénâtes',
    'crénèrent',
    'créné',
    'crénée',
    'crénées',
    'crénés',
    'créole',
    'créoles',
    'créolisa',
    'créolisai',
    'créolisaient',
    'créolisais',
    'créolisait',
    'créolisant',
    'créolisas',
    'créolisasse',
    'créolisasses',
    'créolise',
    'créolisent',
    'créoliser',
    'créolisera',
    'créoliserai',
    'créoliserais',
    'créoliserait',
    'créoliseras',
    'créoliserez',
    'créoliseriez',
    'créoliserons',
    'créoliseront',
    'créolises',
    'créolisez',
    'créolisiez',
    'créolisions',
    'créolisons',
    'créolisâmes',
    'créolisât',
    'créolisâtes',
    'créolisèrent',
    'créolisé',
    'créolisée',
    'créolisées',
    'créolisés',
    'créons',
    'créosota',
    'créosotai',
    'créosotaient',
    'créosotais',
    'créosotait',
    'créosotant',
    'créosotas',
    'créosotasse',
    'créosotasses',
    'créosote',
    'créosotent',
    'créosoter',
    'créosotera',
    'créosoterai',
    'créosoterais',
    'créosoterait',
    'créosoteras',
    'créosoterez',
    'créosoteriez',
    'créosoterons',
    'créosoteront',
    'créosotes',
    'créosotez',
    'créosotiez',
    'créosotions',
    'créosotons',
    'créosotâmes',
    'créosotât',
    'créosotâtes',
    'créosotèrent',
    'créosoté',
    'créosotée',
    'créosotées',
    'créosotés',
    'crépi',
    'crépie',
    'crépies',
    'crépine',
    'crépines',
    'crépir',
    'crépira',
    'crépirai',
    'crépiraient',
    'crépirais',
    'crépirait',
    'crépiras',
    'crépirent',
    'crépirez',
    'crépiriez',
    'crépirions',
    'crépirons',
    'crépiront',
    'crépis',
    'crépissage',
    'crépissages',
    'crépissaient',
    'crépissais',
    'crépissait',
    'crépissant',
    'crépisse',
    'crépissent',
    'crépisses',
    'crépissez',
    'crépissiez',
    'crépissions',
    'crépissons',
    'crépit',
    'crépita',
    'crépitai',
    'crépitaient',
    'crépitais',
    'crépitait',
    'crépitant',
    'crépitas',
    'crépitasse',
    'crépitassent',
    'crépitasses',
    'crépitassiez',
    'crépitation',
    'crépitations',
    'crépite',
    'crépitement',
    'crépitements',
    'crépitent',
    'crépiter',
    'crépitera',
    'crépiterai',
    'crépiterais',
    'crépiterait',
    'crépiteras',
    'crépiterez',
    'crépiteriez',
    'crépiterions',
    'crépiterons',
    'crépiteront',
    'crépites',
    'crépitez',
    'crépitiez',
    'crépitions',
    'crépitons',
    'crépitâmes',
    'crépitât',
    'crépitâtes',
    'crépitèrent',
    'crépité',
    'crépon',
    'crépons',
    'crépu',
    'crépue',
    'crépues',
    'crépus',
    'crépuscule',
    'crépuscules',
    'crépîmes',
    'crépît',
    'crépîtes',
    'crétacé',
    'crétacée',
    'crétacées',
    'crétacés',
    'crétin',
    'crétine',
    'crétines',
    'crétinisa',
    'crétinisai',
    'crétinisais',
    'crétinisait',
    'crétinisant',
    'crétinisas',
    'crétinisasse',
    'crétinise',
    'crétinisent',
    'crétiniser',
    'crétinisera',
    'crétiniserai',
    'crétiniseras',
    'crétiniserez',
    'crétinises',
    'crétinisez',
    'crétinisiez',
    'crétinisions',
    'crétinisme',
    'crétinismes',
    'crétinisons',
    'crétinisâmes',
    'crétinisât',
    'crétinisâtes',
    'crétinisé',
    'crétinisée',
    'crétinisées',
    'crétinisés',
    'crétins',
    'crétois',
    'crétoise',
    'crétoises',
    'créâmes',
    'créât',
    'créâtes',
    'créèrent',
    'créé',
    'créée',
    'créées',
    'créés',
    'crêpa',
    'crêpage',
    'crêpages',
    'crêpai',
    'crêpaient',
    'crêpais',
    'crêpait',
    'crêpant',
    'crêpas',
    'crêpasse',
    'crêpassent',
    'crêpasses',
    'crêpassiez',
    'crêpassions',
    'crêpe',
    'crêpent',
    'crêper',
    'crêpera',
    'crêperai',
    'crêperaient',
    'crêperais',
    'crêperait',
    'crêperas',
    'crêperez',
    'crêperie',
    'crêperies',
    'crêperiez',
    'crêperions',
    'crêperons',
    'crêperont',
    'crêpes',
    'crêpez',
    'crêpiez',
    'crêpions',
    'crêpons',
    'crêpâmes',
    'crêpât',
    'crêpâtes',
    'crêpèrent',
    'crêpé',
    'crêpée',
    'crêpées',
    'crêpés',
    'crête',
    'crêtes',
    'crûment',
    'crûmes',
    'crûrent',
    'crûs',
    'crûsse',
    'crûssent',
    'crûsses',
    'crûssiez',
    'crûssions',
    'crût',
    'crûtes',
    'cuba',
    'cubage',
    'cubages',
    'cubai',
    'cubaient',
    'cubain',
    'cubaine',
    'cubaines',
    'cubains',
    'cubais',
    'cubait',
    'cubant',
    'cubas',
    'cubasse',
    'cubassent',
    'cubasses',
    'cubassiez',
    'cubassions',
    'cube',
    'cubent',
    'cuber',
    'cubera',
    'cuberai',
    'cuberaient',
    'cuberais',
    'cuberait',
    'cuberas',
    'cuberez',
    'cuberiez',
    'cuberions',
    'cuberons',
    'cuberont',
    'cubes',
    'cubez',
    'cubiez',
    'cubions',
    'cubique',
    'cubiques',
    'cubisme',
    'cubismes',
    'cubiste',
    'cubistes',
    'cubitus',
    'cubons',
    'cubâmes',
    'cubât',
    'cubâtes',
    'cubèrent',
    'cubé',
    'cubée',
    'cubées',
    'cubés',
    'cucurbite',
    'cucurbites',
    'cucurbitin',
    'cucurbitins',
    'cueillaient',
    'cueillais',
    'cueillait',
    'cueillant',
    'cueille',
    'cueillent',
    'cueillera',
    'cueillerai',
    'cueillerais',
    'cueillerait',
    'cueilleras',
    'cueillerez',
    'cueilleriez',
    'cueillerions',
    'cueillerons',
    'cueilleront',
    'cueilles',
    'cueillette',
    'cueillettes',
    'cueillez',
    'cueilli',
    'cueillie',
    'cueillies',
    'cueilliez',
    'cueillions',
    'cueillir',
    'cueillirent',
    'cueillis',
    'cueillisse',
    'cueillissent',
    'cueillisses',
    'cueillissiez',
    'cueillit',
    'cueillons',
    'cueillîmes',
    'cueillît',
    'cueillîtes',
    'cuesta',
    'cuestas',
    'cuiller',
    'cuillers',
    'cuillerée',
    'cuillerées',
    'cuillère',
    'cuillères',
    'cuir',
    'cuira',
    'cuirai',
    'cuiraient',
    'cuirais',
    'cuirait',
    'cuiras',
    'cuirassa',
    'cuirassai',
    'cuirassaient',
    'cuirassais',
    'cuirassait',
    'cuirassant',
    'cuirassas',
    'cuirassasse',
    'cuirassasses',
    'cuirasse',
    'cuirassent',
    'cuirasser',
    'cuirassera',
    'cuirasserai',
    'cuirasserais',
    'cuirasserait',
    'cuirasseras',
    'cuirasserez',
    'cuirasseriez',
    'cuirasserons',
    'cuirasseront',
    'cuirasses',
    'cuirassez',
    'cuirassier',
    'cuirassiers',
    'cuirassiez',
    'cuirassions',
    'cuirassons',
    'cuirassâmes',
    'cuirassât',
    'cuirassâtes',
    'cuirassèrent',
    'cuirassé',
    'cuirassée',
    'cuirassées',
    'cuirassés',
    'cuire',
    'cuirez',
    'cuiriez',
    'cuirions',
    'cuirons',
    'cuiront',
    'cuirs',
    'cuis',
    'cuisaient',
    'cuisais',
    'cuisait',
    'cuisant',
    'cuisante',
    'cuisantes',
    'cuisants',
    'cuise',
    'cuisent',
    'cuises',
    'cuisez',
    'cuisiez',
    'cuisina',
    'cuisinai',
    'cuisinaient',
    'cuisinais',
    'cuisinait',
    'cuisinant',
    'cuisinas',
    'cuisinasse',
    'cuisinassent',
    'cuisinasses',
    'cuisinassiez',
    'cuisine',
    'cuisinent',
    'cuisiner',
    'cuisinera',
    'cuisinerai',
    'cuisinerais',
    'cuisinerait',
    'cuisineras',
    'cuisinerez',
    'cuisineriez',
    'cuisinerions',
    'cuisinerons',
    'cuisineront',
    'cuisines',
    'cuisinette',
    'cuisinettes',
    'cuisinez',
    'cuisinier',
    'cuisiniers',
    'cuisiniez',
    'cuisinions',
    'cuisinière',
    'cuisinières',
    'cuisinons',
    'cuisinâmes',
    'cuisinât',
    'cuisinâtes',
    'cuisinèrent',
    'cuisiné',
    'cuisinée',
    'cuisinées',
    'cuisinés',
    'cuisions',
    'cuisirent',
    'cuisis',
    'cuisisse',
    'cuisissent',
    'cuisisses',
    'cuisissiez',
    'cuisissions',
    'cuisit',
    'cuisons',
    'cuissard',
    'cuissarde',
    'cuissardes',
    'cuissards',
    'cuisse',
    'cuisseau',
    'cuisseaux',
    'cuisses',
    'cuisson',
    'cuissons',
    'cuissot',
    'cuissots',
    'cuistre',
    'cuistrerie',
    'cuistreries',
    'cuistres',
    'cuisîmes',
    'cuisît',
    'cuisîtes',
    'cuit',
    'cuita',
    'cuitai',
    'cuitaient',
    'cuitais',
    'cuitait',
    'cuitant',
    'cuitas',
    'cuitasse',
    'cuitassent',
    'cuitasses',
    'cuitassiez',
    'cuitassions',
    'cuite',
    'cuitent',
    'cuiter',
    'cuitera',
    'cuiterai',
    'cuiteraient',
    'cuiterais',
    'cuiterait',
    'cuiteras',
    'cuiterez',
    'cuiteriez',
    'cuiterions',
    'cuiterons',
    'cuiteront',
    'cuites',
    'cuitez',
    'cuitiez',
    'cuitions',
    'cuitons',
    'cuits',
    'cuitâmes',
    'cuitât',
    'cuitâtes',
    'cuitèrent',
    'cuité',
    'cuivra',
    'cuivrai',
    'cuivraient',
    'cuivrais',
    'cuivrait',
    'cuivrant',
    'cuivras',
    'cuivrasse',
    'cuivrassent',
    'cuivrasses',
    'cuivrassiez',
    'cuivrassions',
    'cuivre',
    'cuivrent',
    'cuivrer',
    'cuivrera',
    'cuivrerai',
    'cuivreraient',
    'cuivrerais',
    'cuivrerait',
    'cuivreras',
    'cuivrerez',
    'cuivreriez',
    'cuivrerions',
    'cuivrerons',
    'cuivreront',
    'cuivres',
    'cuivreuse',
    'cuivreuses',
    'cuivreux',
    'cuivrez',
    'cuivriez',
    'cuivrions',
    'cuivrique',
    'cuivriques',
    'cuivrons',
    'cuivrâmes',
    'cuivrât',
    'cuivrâtes',
    'cuivrèrent',
    'cuivré',
    'cuivrée',
    'cuivrées',
    'cuivrés',
    'cula',
    'culai',
    'culaient',
    'culais',
    'culait',
    'culant',
    'culas',
    'culasse',
    'culassent',
    'culasses',
    'culassiez',
    'culassions',
    'culbuta',
    'culbutage',
    'culbutages',
    'culbutai',
    'culbutaient',
    'culbutais',
    'culbutait',
    'culbutant',
    'culbutas',
    'culbutasse',
    'culbutassent',
    'culbutasses',
    'culbutassiez',
    'culbute',
    'culbutent',
    'culbuter',
    'culbutera',
    'culbuterai',
    'culbuterais',
    'culbuterait',
    'culbuteras',
    'culbuterez',
    'culbuteriez',
    'culbuterions',
    'culbuterons',
    'culbuteront',
    'culbutes',
    'culbuteur',
    'culbuteurs',
    'culbutez',
    'culbutiez',
    'culbutions',
    'culbutons',
    'culbutâmes',
    'culbutât',
    'culbutâtes',
    'culbutèrent',
    'culbuté',
    'culbutée',
    'culbutées',
    'culbutés',
    'cule',
    'culent',
    'culer',
    'culera',
    'culerai',
    'culeraient',
    'culerais',
    'culerait',
    'culeras',
    'culerez',
    'culeriez',
    'culerions',
    'culeron',
    'culerons',
    'culeront',
    'cules',
    'culex',
    'culez',
    'culiez',
    'culinaire',
    'culinaires',
    'culions',
    'culmina',
    'culminai',
    'culminaient',
    'culminais',
    'culminait',
    'culminant',
    'culminante',
    'culminantes',
    'culminants',
    'culminas',
    'culminasse',
    'culminassent',
    'culminasses',
    'culminassiez',
    'culmination',
    'culminations',
    'culmine',
    'culminent',
    'culminer',
    'culminera',
    'culminerai',
    'culminerais',
    'culminerait',
    'culmineras',
    'culminerez',
    'culmineriez',
    'culminerions',
    'culminerons',
    'culmineront',
    'culmines',
    'culminez',
    'culminiez',
    'culminions',
    'culminons',
    'culminâmes',
    'culminât',
    'culminâtes',
    'culminèrent',
    'culminé',
    'culons',
    'culot',
    'culots',
    'culotta',
    'culottage',
    'culottages',
    'culottai',
    'culottaient',
    'culottais',
    'culottait',
    'culottant',
    'culottas',
    'culottasse',
    'culottassent',
    'culottasses',
    'culottassiez',
    'culotte',
    'culottent',
    'culotter',
    'culottera',
    'culotterai',
    'culotterais',
    'culotterait',
    'culotteras',
    'culotterez',
    'culotteriez',
    'culotterions',
    'culotterons',
    'culotteront',
    'culottes',
    'culottez',
    'culottier',
    'culottiers',
    'culottiez',
    'culottions',
    'culottière',
    'culottières',
    'culottons',
    'culottâmes',
    'culottât',
    'culottâtes',
    'culottèrent',
    'culotté',
    'culottée',
    'culottées',
    'culottés',
    'culpabilisa',
    'culpabilisai',
    'culpabilisas',
    'culpabilise',
    'culpabiliser',
    'culpabilises',
    'culpabilisez',
    'culpabilisât',
    'culpabilisé',
    'culpabilisée',
    'culpabilisés',
    'culpabilité',
    'culpabilités',
    'culs',
    'culte',
    'cultes',
    'cultisme',
    'cultismes',
    'cultiva',
    'cultivable',
    'cultivables',
    'cultivai',
    'cultivaient',
    'cultivais',
    'cultivait',
    'cultivant',
    'cultivas',
    'cultivasse',
    'cultivassent',
    'cultivasses',
    'cultivassiez',
    'cultivateur',
    'cultivateurs',
    'cultivatrice',
    'cultive',
    'cultivent',
    'cultiver',
    'cultivera',
    'cultiverai',
    'cultiverais',
    'cultiverait',
    'cultiveras',
    'cultiverez',
    'cultiveriez',
    'cultiverions',
    'cultiverons',
    'cultiveront',
    'cultives',
    'cultivez',
    'cultiviez',
    'cultivions',
    'cultivons',
    'cultivâmes',
    'cultivât',
    'cultivâtes',
    'cultivèrent',
    'cultivé',
    'cultivée',
    'cultivées',
    'cultivés',
    'cultuel',
    'cultuelle',
    'cultuelles',
    'cultuels',
    'cultural',
    'culturale',
    'culturales',
    'culturalisme',
    'culturaux',
    'culture',
    'culturel',
    'culturelle',
    'culturelles',
    'culturels',
    'cultures',
    'culturisme',
    'culturismes',
    'culturistes',
    'culâmes',
    'culât',
    'culâtes',
    'culèrent',
    'culé',
    'culée',
    'culées',
    'culés',
    'cumin',
    'cumins',
    'cumul',
    'cumula',
    'cumulable',
    'cumulables',
    'cumulai',
    'cumulaient',
    'cumulais',
    'cumulait',
    'cumulant',
    'cumulard',
    'cumularde',
    'cumulardes',
    'cumulards',
    'cumulas',
    'cumulasse',
    'cumulassent',
    'cumulasses',
    'cumulassiez',
    'cumulassions',
    'cumulateur',
    'cumulateurs',
    'cumulatif',
    'cumulatifs',
    'cumulative',
    'cumulatives',
    'cumulatrice',
    'cumulatrices',
    'cumule',
    'cumulent',
    'cumuler',
    'cumulera',
    'cumulerai',
    'cumuleraient',
    'cumulerais',
    'cumulerait',
    'cumuleras',
    'cumulerez',
    'cumuleriez',
    'cumulerions',
    'cumulerons',
    'cumuleront',
    'cumules',
    'cumulez',
    'cumuliez',
    'cumulions',
    'cumulons',
    'cumuls',
    'cumulus',
    'cumulâmes',
    'cumulât',
    'cumulâtes',
    'cumulèrent',
    'cumulé',
    'cumulée',
    'cumulées',
    'cumulés',
    'cuniculture',
    'cunicultures',
    'cunnilinctus',
    'cunéiforme',
    'cunéiformes',
    'cupide',
    'cupidement',
    'cupides',
    'cupidité',
    'cupidités',
    'cuprifère',
    'cuprifères',
    'cuprique',
    'cupriques',
    'cuprite',
    'cuprites',
    'cupule',
    'cupules',
    'cura',
    'curable',
    'curables',
    'curage',
    'curages',
    'curai',
    'curaient',
    'curaillon',
    'curaillons',
    'curais',
    'curait',
    'curant',
    'curare',
    'curares',
    'curarisant',
    'curarisante',
    'curarisantes',
    'curarisants',
    'curarisation',
    'curas',
    'curasse',
    'curassent',
    'curasses',
    'curassiez',
    'curassions',
    'curatelle',
    'curatelles',
    'curateur',
    'curateurs',
    'curatif',
    'curatifs',
    'curative',
    'curatives',
    'curatrice',
    'curatrices',
    'curaçao',
    'curcuma',
    'curcumas',
    'cure',
    'curent',
    'curer',
    'curera',
    'curerai',
    'cureraient',
    'curerais',
    'curerait',
    'cureras',
    'curerez',
    'cureriez',
    'curerions',
    'curerons',
    'cureront',
    'cures',
    'cureta',
    'curetage',
    'curetages',
    'curetai',
    'curetaient',
    'curetais',
    'curetait',
    'curetant',
    'curetas',
    'curetasse',
    'curetassent',
    'curetasses',
    'curetassiez',
    'curetassions',
    'cureter',
    'curetez',
    'curetiez',
    'curetions',
    'cureton',
    'curetons',
    'curettage',
    'curettages',
    'curette',
    'curettent',
    'curettera',
    'curetterai',
    'curetterais',
    'curetterait',
    'curetteras',
    'curetterez',
    'curetteriez',
    'curetterions',
    'curetterons',
    'curetteront',
    'curettes',
    'curetâmes',
    'curetât',
    'curetâtes',
    'curetèrent',
    'cureté',
    'curetée',
    'curetées',
    'curetés',
    'curez',
    'curial',
    'curiale',
    'curiales',
    'curiaux',
    'curieuse',
    'curieusement',
    'curieuses',
    'curieux',
    'curiez',
    'curions',
    'curiosité',
    'curiosités',
    'curiste',
    'curistes',
    'curium',
    'curiums',
    'curling',
    'curons',
    'curriculum',
    'curriculums',
    'curry',
    'currys',
    'curseur',
    'curseurs',
    'cursif',
    'cursifs',
    'cursive',
    'cursives',
    'cursus',
    'curule',
    'curules',
    'curviligne',
    'curvilignes',
    'curvimètre',
    'curvimètres',
    'curâmes',
    'curât',
    'curâtes',
    'curèrent',
    'curé',
    'curée',
    'curées',
    'curés',
    'cuscute',
    'cuscutes',
    'custode',
    'custodes',
    'cutané',
    'cutanée',
    'cutanées',
    'cutanés',
    'cuti',
    'cuticule',
    'cuticules',
    'cutine',
    'cutines',
    'cutter',
    'cutters',
    'cuva',
    'cuvage',
    'cuvages',
    'cuvai',
    'cuvaient',
    'cuvais',
    'cuvaison',
    'cuvaisons',
    'cuvait',
    'cuvant',
    'cuvas',
    'cuvasse',
    'cuvassent',
    'cuvasses',
    'cuvassiez',
    'cuvassions',
    'cuve',
    'cuveau',
    'cuveaux',
    'cuvela',
    'cuvelage',
    'cuvelages',
    'cuvelai',
    'cuvelaient',
    'cuvelais',
    'cuvelait',
    'cuvelant',
    'cuvelas',
    'cuvelasse',
    'cuvelassent',
    'cuvelasses',
    'cuvelassiez',
    'cuvelassions',
    'cuveler',
    'cuvelez',
    'cuveliez',
    'cuvelions',
    'cuvelle',
    'cuvellent',
    'cuvellera',
    'cuvellerai',
    'cuvellerais',
    'cuvellerait',
    'cuvelleras',
    'cuvellerez',
    'cuvelleriez',
    'cuvellerions',
    'cuvellerons',
    'cuvelleront',
    'cuvelles',
    'cuvelons',
    'cuvelâmes',
    'cuvelât',
    'cuvelâtes',
    'cuvelèrent',
    'cuvelé',
    'cuvelée',
    'cuvelées',
    'cuvelés',
    'cuvent',
    'cuver',
    'cuvera',
    'cuverai',
    'cuveraient',
    'cuverais',
    'cuverait',
    'cuveras',
    'cuverez',
    'cuveriez',
    'cuverions',
    'cuverons',
    'cuveront',
    'cuves',
    'cuvette',
    'cuvettes',
    'cuvez',
    'cuvier',
    'cuviers',
    'cuviez',
    'cuvions',
    'cuvons',
    'cuvâmes',
    'cuvât',
    'cuvâtes',
    'cuvèrent',
    'cuvé',
    'cuvée',
    'cuvées',
    'cuvés',
    'cyan',
    'cyanamide',
    'cyanamides',
    'cyanhydrique',
    'cyanogène',
    'cyanogènes',
    'cyanosa',
    'cyanosai',
    'cyanosaient',
    'cyanosais',
    'cyanosait',
    'cyanosant',
    'cyanosas',
    'cyanosasse',
    'cyanosassent',
    'cyanosasses',
    'cyanosassiez',
    'cyanose',
    'cyanosent',
    'cyanoser',
    'cyanosera',
    'cyanoserai',
    'cyanoserais',
    'cyanoserait',
    'cyanoseras',
    'cyanoserez',
    'cyanoseriez',
    'cyanoserions',
    'cyanoserons',
    'cyanoseront',
    'cyanoses',
    'cyanosez',
    'cyanosiez',
    'cyanosions',
    'cyanosons',
    'cyanosâmes',
    'cyanosât',
    'cyanosâtes',
    'cyanosèrent',
    'cyanosé',
    'cyanosée',
    'cyanosées',
    'cyanosés',
    'cyans',
    'cyanura',
    'cyanurai',
    'cyanuraient',
    'cyanurais',
    'cyanurait',
    'cyanurant',
    'cyanuras',
    'cyanurasse',
    'cyanurassent',
    'cyanurasses',
    'cyanurassiez',
    'cyanuration',
    'cyanurations',
    'cyanure',
    'cyanurent',
    'cyanurer',
    'cyanurera',
    'cyanurerai',
    'cyanurerais',
    'cyanurerait',
    'cyanureras',
    'cyanurerez',
    'cyanureriez',
    'cyanurerions',
    'cyanurerons',
    'cyanureront',
    'cyanures',
    'cyanurez',
    'cyanuriez',
    'cyanurions',
    'cyanurons',
    'cyanurâmes',
    'cyanurât',
    'cyanurâtes',
    'cyanurèrent',
    'cyanuré',
    'cyanurée',
    'cyanurées',
    'cyanurés',
    'cybernétique',
    'cycas',
    'cyclable',
    'cyclables',
    'cyclamen',
    'cyclamens',
    'cyclane',
    'cyclanes',
    'cycle',
    'cycles',
    'cyclique',
    'cycliques',
    'cyclisa',
    'cyclisai',
    'cyclisaient',
    'cyclisais',
    'cyclisait',
    'cyclisant',
    'cyclisas',
    'cyclisasse',
    'cyclisassent',
    'cyclisasses',
    'cyclisassiez',
    'cyclise',
    'cyclisent',
    'cycliser',
    'cyclisera',
    'cycliserai',
    'cycliserais',
    'cycliserait',
    'cycliseras',
    'cycliserez',
    'cycliseriez',
    'cycliserions',
    'cycliserons',
    'cycliseront',
    'cyclises',
    'cyclisez',
    'cyclisiez',
    'cyclisions',
    'cyclisme',
    'cyclismes',
    'cyclisons',
    'cycliste',
    'cyclistes',
    'cyclisâmes',
    'cyclisât',
    'cyclisâtes',
    'cyclisèrent',
    'cyclisé',
    'cyclisée',
    'cyclisées',
    'cyclisés',
    'cyclomoteur',
    'cyclomoteurs',
    'cyclonal',
    'cyclonale',
    'cyclonales',
    'cyclonaux',
    'cyclone',
    'cyclones',
    'cyclonique',
    'cycloniques',
    'cyclope',
    'cyclopes',
    'cyclopéen',
    'cyclopéenne',
    'cyclopéennes',
    'cyclopéens',
    'cyclorameur',
    'cyclorameurs',
    'cyclostome',
    'cyclostomes',
    'cyclothymie',
    'cyclothymies',
    'cyclotron',
    'cyclotrons',
    'cycloïdal',
    'cycloïdale',
    'cycloïdales',
    'cycloïdaux',
    'cycloïde',
    'cycloïdes',
    'cygne',
    'cygnes',
    'cylindra',
    'cylindrage',
    'cylindrages',
    'cylindrai',
    'cylindraient',
    'cylindrais',
    'cylindrait',
    'cylindrant',
    'cylindras',
    'cylindrasse',
    'cylindrasses',
    'cylindraxe',
    'cylindraxes',
    'cylindre',
    'cylindrent',
    'cylindrer',
    'cylindrera',
    'cylindrerai',
    'cylindrerais',
    'cylindrerait',
    'cylindreras',
    'cylindrerez',
    'cylindreriez',
    'cylindrerons',
    'cylindreront',
    'cylindres',
    'cylindreur',
    'cylindreurs',
    'cylindreuse',
    'cylindreuses',
    'cylindrez',
    'cylindriez',
    'cylindrions',
    'cylindrique',
    'cylindriques',
    'cylindrons',
    'cylindrâmes',
    'cylindrât',
    'cylindrâtes',
    'cylindrèrent',
    'cylindré',
    'cylindrée',
    'cylindrées',
    'cylindrés',
    'cymaise',
    'cymaises',
    'cymbalaire',
    'cymbalaires',
    'cymbale',
    'cymbales',
    'cymbalier',
    'cymbaliers',
    'cymbaliste',
    'cymbalistes',
    'cymbalière',
    'cymbalières',
    'cymbalum',
    'cymbalums',
    'cynips',
    'cynique',
    'cyniquement',
    'cyniques',
    'cynisme',
    'cynismes',
    'cynocéphale',
    'cynocéphales',
    'cynodrome',
    'cynodromes',
    'cynoglosse',
    'cynoglosses',
    'cynophile',
    'cynophiles',
    'cynorhodon',
    'cynorhodons',
    'cynégétique',
    'cynégétiques',
    'cyphose',
    'cyphoses',
    'cyprin',
    'cyprins',
    'cypriote',
    'cypriotes',
    'cyprière',
    'cyprières',
    'cyprès',
    'cyrillique',
    'cyrilliques',
    'cystectomie',
    'cystectomies',
    'cysticerque',
    'cysticerques',
    'cystine',
    'cystines',
    'cystique',
    'cystiques',
    'cystite',
    'cystites',
    'cystographie',
    'cystoscope',
    'cystoscopes',
    'cystoscopie',
    'cystoscopies',
    'cystotomie',
    'cystotomies',
    'cystéine',
    'cystéines',
    'cytise',
    'cytises',
    'cytologie',
    'cytologies',
    'cytologique',
    'cytologiques',
    'cytologiste',
    'cytologistes',
    'cytolyse',
    'cytolyses',
    'cytoplasme',
    'cytoplasmes',
    'czar',
    'czars',
    'czimbalum',
    'czimbalums',
    'câbla',
    'câblage',
    'câblages',
    'câblai',
    'câblaient',
    'câblais',
    'câblait',
    'câblant',
    'câblas',
    'câblasse',
    'câblassent',
    'câblasses',
    'câblassiez',
    'câblassions',
    'câble',
    'câblent',
    'câbler',
    'câblera',
    'câblerai',
    'câbleraient',
    'câblerais',
    'câblerait',
    'câbleras',
    'câblerez',
    'câblerie',
    'câbleries',
    'câbleriez',
    'câblerions',
    'câblerons',
    'câbleront',
    'câbles',
    'câbleur',
    'câbleurs',
    'câbleuse',
    'câbleuses',
    'câblez',
    'câblier',
    'câbliers',
    'câbliez',
    'câblions',
    'câbliste',
    'câblistes',
    'câblogramme',
    'câblogrammes',
    'câblons',
    'câblot',
    'câblots',
    'câblâmes',
    'câblât',
    'câblâtes',
    'câblèrent',
    'câblé',
    'câblée',
    'câblées',
    'câblés',
    'câlin',
    'câlina',
    'câlinai',
    'câlinaient',
    'câlinais',
    'câlinait',
    'câlinant',
    'câlinante',
    'câlinantes',
    'câlinants',
    'câlinas',
    'câlinasse',
    'câlinassent',
    'câlinasses',
    'câlinassiez',
    'câlinassions',
    'câline',
    'câlinent',
    'câliner',
    'câlinera',
    'câlinerai',
    'câlineraient',
    'câlinerais',
    'câlinerait',
    'câlineras',
    'câlinerez',
    'câlinerie',
    'câlineries',
    'câlineriez',
    'câlinerions',
    'câlinerons',
    'câlineront',
    'câlines',
    'câlinez',
    'câliniez',
    'câlinions',
    'câlinons',
    'câlins',
    'câlinâmes',
    'câlinât',
    'câlinâtes',
    'câlinèrent',
    'câliné',
    'câlinée',
    'câlinées',
    'câlinés',
    'câpre',
    'câpres',
    'câprier',
    'câpriers',
    'cætera',
    'cède',
    'cèdent',
    'cèdes',
    'cèdre',
    'cèdres',
    'cèle',
    'cèlent',
    'cèlera',
    'cèlerai',
    'cèleraient',
    'cèlerais',
    'cèlerait',
    'cèleras',
    'cèlerez',
    'cèleriez',
    'cèlerions',
    'cèlerons',
    'cèleront',
    'cèles',
    'cène',
    'cènes',
    'cèpe',
    'cèpes',
    'céans',
    'cécidie',
    'cécidies',
    'cécité',
    'céda',
    'cédai',
    'cédaient',
    'cédais',
    'cédait',
    'cédant',
    'cédante',
    'cédantes',
    'cédants',
    'cédas',
    'cédasse',
    'cédassent',
    'cédasses',
    'cédassiez',
    'cédassions',
    'céder',
    'cédera',
    'céderai',
    'céderaient',
    'céderais',
    'céderait',
    'céderas',
    'céderez',
    'céderiez',
    'céderions',
    'céderons',
    'céderont',
    'cédez',
    'cédiez',
    'cédille',
    'cédilles',
    'cédions',
    'cédons',
    'cédraie',
    'cédraies',
    'cédrat',
    'cédratier',
    'cédratiers',
    'cédrats',
    'cédulaire',
    'cédulaires',
    'cédule',
    'cédules',
    'cédâmes',
    'cédât',
    'cédâtes',
    'cédèrent',
    'cédé',
    'cédée',
    'cédées',
    'cédés',
    'cédétiste',
    'cédétistes',
    'cégésimal',
    'cégésimale',
    'cégésimales',
    'cégésimaux',
    'cégétiste',
    'cégétistes',
    'céladon',
    'céleri',
    'céleris',
    'célesta',
    'célestas',
    'céleste',
    'célestes',
    'célestin',
    'célestins',
    'célibat',
    'célibataire',
    'célibataires',
    'célibats',
    'célèbre',
    'célèbrent',
    'célèbres',
    'célébra',
    'célébrai',
    'célébraient',
    'célébrais',
    'célébrait',
    'célébrant',
    'célébras',
    'célébrasse',
    'célébrassent',
    'célébrasses',
    'célébrassiez',
    'célébration',
    'célébrations',
    'célébrer',
    'célébrera',
    'célébrerai',
    'célébrerais',
    'célébrerait',
    'célébreras',
    'célébrerez',
    'célébreriez',
    'célébrerions',
    'célébrerons',
    'célébreront',
    'célébrez',
    'célébriez',
    'célébrions',
    'célébrité',
    'célébrités',
    'célébrons',
    'célébrâmes',
    'célébrât',
    'célébrâtes',
    'célébrèrent',
    'célébré',
    'célébrée',
    'célébrées',
    'célébrés',
    'célérifère',
    'célérifères',
    'célérité',
    'cément',
    'cémenta',
    'cémentai',
    'cémentaient',
    'cémentais',
    'cémentait',
    'cémentant',
    'cémentas',
    'cémentasse',
    'cémentassent',
    'cémentasses',
    'cémentassiez',
    'cémentation',
    'cémentations',
    'cémente',
    'cémentent',
    'cémenter',
    'cémentera',
    'cémenterai',
    'cémenterais',
    'cémenterait',
    'cémenteras',
    'cémenterez',
    'cémenteriez',
    'cémenterions',
    'cémenterons',
    'cémenteront',
    'cémentes',
    'cémentez',
    'cémentiez',
    'cémentions',
    'cémentons',
    'céments',
    'cémentâmes',
    'cémentât',
    'cémentâtes',
    'cémentèrent',
    'cémenté',
    'cémentée',
    'cémentées',
    'cémentés',
    'cénacle',
    'cénacles',
    'cénesthésie',
    'cénesthésies',
    'cénobite',
    'cénobites',
    'cénobitique',
    'cénobitiques',
    'cénobitisme',
    'cénobitismes',
    'cénotaphe',
    'cénotaphes',
    'cénure',
    'cénures',
    'cépage',
    'cépages',
    'céphalalgie',
    'céphalalgies',
    'céphalique',
    'céphaliques',
    'céphalée',
    'céphalées',
    'céphéide',
    'céphéides',
    'cérambyx',
    'cérame',
    'cérames',
    'céramique',
    'céramiques',
    'céramiste',
    'céramistes',
    'céraste',
    'cérastes',
    'cérat',
    'cérats',
    'cérite',
    'cérites',
    'cérithe',
    'cérithes',
    'cérium',
    'cériums',
    'céruléen',
    'céruléenne',
    'céruléennes',
    'céruléens',
    'cérumen',
    'cérumineuse',
    'cérumineuses',
    'cérumineux',
    'céruse',
    'céruses',
    'céréale',
    'céréales',
    'céréalier',
    'céréaliers',
    'céréalière',
    'céréalières',
    'cérébelleuse',
    'cérébelleux',
    'cérébral',
    'cérébrale',
    'cérébrales',
    'cérébralité',
    'cérébralités',
    'cérébraux',
    'cérémonial',
    'cérémonials',
    'cérémonie',
    'cérémoniel',
    'cérémonielle',
    'cérémoniels',
    'cérémonies',
    'cérémonieuse',
    'cérémonieux',
    'césar',
    'césarien',
    'césarienne',
    'césariennes',
    'césariens',
    'césarisme',
    'césarismes',
    'césars',
    'césium',
    'césiums',
    'césure',
    'césures',
    'cétacé',
    'cétacés',
    'cétane',
    'cétanes',
    'cétoine',
    'cétoines',
    'cétone',
    'cétones',
    'cétérac',
    'cétéracs',
    'côcha',
    'côchai',
    'côchaient',
    'côchais',
    'côchait',
    'côchant',
    'côchas',
    'côchasse',
    'côchassent',
    'côchasses',
    'côchassiez',
    'côchassions',
    'côche',
    'côchent',
    'côcher',
    'côchera',
    'côcherai',
    'côcheraient',
    'côcherais',
    'côcherait',
    'côcheras',
    'côcherez',
    'côcheriez',
    'côcherions',
    'côcherons',
    'côcheront',
    'côches',
    'côchez',
    'côchiez',
    'côchions',
    'côchons',
    'côchâmes',
    'côchât',
    'côchâtes',
    'côchèrent',
    'côché',
    'côchée',
    'côchées',
    'côchés',
    'côlon',
    'côlons',
    'cône',
    'cônes',
    'côni',
    'cônie',
    'cônies',
    'cônir',
    'cônira',
    'cônirai',
    'côniraient',
    'cônirais',
    'cônirait',
    'côniras',
    'cônirent',
    'cônirez',
    'côniriez',
    'cônirions',
    'cônirons',
    'côniront',
    'cônis',
    'cônissaient',
    'cônissais',
    'cônissait',
    'cônissant',
    'cônisse',
    'cônissent',
    'cônisses',
    'cônissez',
    'cônissiez',
    'cônissions',
    'cônissons',
    'cônit',
    'cônîmes',
    'cônît',
    'cônîtes',
    'côte',
    'côtelette',
    'côtelettes',
    'côtelé',
    'côtelée',
    'côtelées',
    'côtelés',
    'côtes',
    'côtier',
    'côtiers',
    'côtière',
    'côtières',
    'côtoie',
    'côtoiement',
    'côtoiements',
    'côtoient',
    'côtoiera',
    'côtoierai',
    'côtoieraient',
    'côtoierais',
    'côtoierait',
    'côtoieras',
    'côtoierez',
    'côtoieriez',
    'côtoierions',
    'côtoierons',
    'côtoieront',
    'côtoies',
    'côtoya',
    'côtoyai',
    'côtoyaient',
    'côtoyais',
    'côtoyait',
    'côtoyant',
    'côtoyas',
    'côtoyasse',
    'côtoyassent',
    'côtoyasses',
    'côtoyassiez',
    'côtoyassions',
    'côtoyer',
    'côtoyez',
    'côtoyiez',
    'côtoyions',
    'côtoyons',
    'côtoyâmes',
    'côtoyât',
    'côtoyâtes',
    'côtoyèrent',
    'côtoyé',
    'côtoyée',
    'côtoyées',
    'côtoyés',
    'côté',
    'côtés',
    'coelioscopie',
    'coeur',
    'coeurs',
    'dactyle',
    'dactyles',
    'dactylique',
    'dactyliques',
    'dactylo',
    'dactylologie',
    'dactylos',
    'dada',
    'dadais',
    'dadas',
    'dadaïsme',
    'dadaïsmes',
    'dagua',
    'daguai',
    'daguaient',
    'daguais',
    'daguait',
    'daguant',
    'daguas',
    'daguasse',
    'daguassent',
    'daguasses',
    'daguassiez',
    'daguassions',
    'dague',
    'daguent',
    'daguer',
    'daguera',
    'daguerai',
    'dagueraient',
    'daguerais',
    'daguerait',
    'dagueras',
    'daguerez',
    'dagueriez',
    'daguerions',
    'daguerons',
    'dagueront',
    'dagues',
    'daguet',
    'daguets',
    'daguez',
    'daguiez',
    'daguions',
    'daguons',
    'daguâmes',
    'daguât',
    'daguâtes',
    'daguèrent',
    'dagué',
    'daguée',
    'daguées',
    'dagués',
    'dahir',
    'dahirs',
    'dahlia',
    'dahlias',
    'dahoméen',
    'dahoméenne',
    'dahoméennes',
    'dahoméens',
    'daigna',
    'daignai',
    'daignaient',
    'daignais',
    'daignait',
    'daignant',
    'daignas',
    'daignasse',
    'daignassent',
    'daignasses',
    'daignassiez',
    'daignassions',
    'daigne',
    'daignent',
    'daigner',
    'daignera',
    'daignerai',
    'daigneraient',
    'daignerais',
    'daignerait',
    'daigneras',
    'daignerez',
    'daigneriez',
    'daignerions',
    'daignerons',
    'daigneront',
    'daignes',
    'daignez',
    'daigniez',
    'daignions',
    'daignons',
    'daignâmes',
    'daignât',
    'daignâtes',
    'daignèrent',
    'daigné',
    'daignée',
    'daignées',
    'daignés',
    'daim',
    'daims',
    'daine',
    'daines',
    'dais',
    'daleau',
    'daleaus',
    'dalla',
    'dallage',
    'dallages',
    'dallai',
    'dallaient',
    'dallais',
    'dallait',
    'dallant',
    'dallas',
    'dallasse',
    'dallassent',
    'dallasses',
    'dallassiez',
    'dallassions',
    'dalle',
    'dallent',
    'daller',
    'dallera',
    'dallerai',
    'dalleraient',
    'dallerais',
    'dallerait',
    'dalleras',
    'dallerez',
    'dalleriez',
    'dallerions',
    'dallerons',
    'dalleront',
    'dalles',
    'dalleur',
    'dalleurs',
    'dallez',
    'dalliez',
    'dallions',
    'dallons',
    'dallâmes',
    'dallât',
    'dallâtes',
    'dallèrent',
    'dallé',
    'dallée',
    'dallées',
    'dallés',
    'dalmate',
    'dalmates',
    'dalmatien',
    'dalmatiens',
    'dalmatique',
    'dalmatiques',
    'dalot',
    'dalots',
    'dalton',
    'daltonien',
    'daltonienne',
    'daltoniennes',
    'daltoniens',
    'daltonisme',
    'daltonismes',
    'daltons',
    'dama',
    'damage',
    'damages',
    'damai',
    'damaient',
    'damais',
    'damait',
    'damalisque',
    'damalisques',
    'daman',
    'damans',
    'damant',
    'damas',
    'damasquina',
    'damasquinage',
    'damasquinai',
    'damasquinais',
    'damasquinait',
    'damasquinant',
    'damasquinas',
    'damasquine',
    'damasquinent',
    'damasquiner',
    'damasquinera',
    'damasquines',
    'damasquineur',
    'damasquinez',
    'damasquiniez',
    'damasquinons',
    'damasquinât',
    'damasquiné',
    'damasquinée',
    'damasquinées',
    'damasquinés',
    'damassa',
    'damassai',
    'damassaient',
    'damassais',
    'damassait',
    'damassant',
    'damassas',
    'damassasse',
    'damassassent',
    'damassasses',
    'damassassiez',
    'damasse',
    'damassent',
    'damasser',
    'damassera',
    'damasserai',
    'damasserais',
    'damasserait',
    'damasseras',
    'damasserez',
    'damasseriez',
    'damasserions',
    'damasserons',
    'damasseront',
    'damasses',
    'damassez',
    'damassiez',
    'damassions',
    'damassons',
    'damassure',
    'damassures',
    'damassâmes',
    'damassât',
    'damassâtes',
    'damassèrent',
    'damassé',
    'damassée',
    'damassées',
    'damassés',
    'dame',
    'dament',
    'damer',
    'damera',
    'damerai',
    'dameraient',
    'damerais',
    'damerait',
    'dameras',
    'damerez',
    'dameriez',
    'damerions',
    'damerons',
    'dameront',
    'dames',
    'damez',
    'damier',
    'damiers',
    'damiez',
    'damions',
    'damna',
    'damnable',
    'damnables',
    'damnai',
    'damnaient',
    'damnais',
    'damnait',
    'damnant',
    'damnas',
    'damnasse',
    'damnassent',
    'damnasses',
    'damnassiez',
    'damnassions',
    'damnation',
    'damnations',
    'damne',
    'damnent',
    'damner',
    'damnera',
    'damnerai',
    'damneraient',
    'damnerais',
    'damnerait',
    'damneras',
    'damnerez',
    'damneriez',
    'damnerions',
    'damnerons',
    'damneront',
    'damnes',
    'damnez',
    'damniez',
    'damnions',
    'damnons',
    'damnâmes',
    'damnât',
    'damnâtes',
    'damnèrent',
    'damné',
    'damnée',
    'damnées',
    'damnés',
    'damoiseau',
    'damoiseaux',
    'damons',
    'damâmes',
    'damât',
    'damâtes',
    'damèrent',
    'damé',
    'damée',
    'damées',
    'damés',
    'danaïde',
    'danaïdes',
    'dancing',
    'dancings',
    'dandin',
    'dandina',
    'dandinai',
    'dandinaient',
    'dandinais',
    'dandinait',
    'dandinant',
    'dandinas',
    'dandinasse',
    'dandinassent',
    'dandinasses',
    'dandinassiez',
    'dandine',
    'dandinement',
    'dandinements',
    'dandinent',
    'dandiner',
    'dandinera',
    'dandinerai',
    'dandinerais',
    'dandinerait',
    'dandineras',
    'dandinerez',
    'dandineriez',
    'dandinerions',
    'dandinerons',
    'dandineront',
    'dandines',
    'dandinette',
    'dandinettes',
    'dandinez',
    'dandiniez',
    'dandinions',
    'dandinons',
    'dandins',
    'dandinâmes',
    'dandinât',
    'dandinâtes',
    'dandinèrent',
    'dandiné',
    'dandinée',
    'dandinées',
    'dandinés',
    'dandy',
    'dandys',
    'dandysme',
    'danger',
    'dangereuse',
    'dangereuses',
    'dangereux',
    'dangerosité',
    'dangerosités',
    'dangers',
    'danien',
    'danienne',
    'daniennes',
    'daniens',
    'danois',
    'danoise',
    'danoises',
    'dans',
    'dansa',
    'dansable',
    'dansables',
    'dansai',
    'dansaient',
    'dansais',
    'dansait',
    'dansant',
    'dansante',
    'dansantes',
    'dansants',
    'dansas',
    'dansasse',
    'dansassent',
    'dansasses',
    'dansassiez',
    'dansassions',
    'danse',
    'dansent',
    'danser',
    'dansera',
    'danserai',
    'danseraient',
    'danserais',
    'danserait',
    'danseras',
    'danserez',
    'danseriez',
    'danserions',
    'danserons',
    'danseront',
    'danses',
    'danseur',
    'danseurs',
    'danseuse',
    'danseuses',
    'dansez',
    'dansiez',
    'dansions',
    'dansons',
    'dansoter',
    'dansotta',
    'dansottai',
    'dansottaient',
    'dansottais',
    'dansottait',
    'dansottant',
    'dansottas',
    'dansottasse',
    'dansottasses',
    'dansotte',
    'dansottent',
    'dansotter',
    'dansottera',
    'dansotterai',
    'dansotterais',
    'dansotterait',
    'dansotteras',
    'dansotterez',
    'dansotteriez',
    'dansotterons',
    'dansotteront',
    'dansottes',
    'dansottez',
    'dansottiez',
    'dansottions',
    'dansottons',
    'dansottâmes',
    'dansottât',
    'dansottâtes',
    'dansottèrent',
    'dansotté',
    'dansâmes',
    'dansât',
    'dansâtes',
    'dansèrent',
    'dansé',
    'dansée',
    'dansées',
    'dansés',
    'dantesque',
    'dantesques',
    'daphnie',
    'daphnies',
    'daphné',
    'daphnés',
    'daraise',
    'daraises',
    'darbouka',
    'darboukas',
    'darce',
    'darces',
    'dard',
    'darda',
    'dardai',
    'dardaient',
    'dardais',
    'dardait',
    'dardant',
    'dardas',
    'dardasse',
    'dardassent',
    'dardasses',
    'dardassiez',
    'dardassions',
    'darde',
    'dardent',
    'darder',
    'dardera',
    'darderai',
    'darderaient',
    'darderais',
    'darderait',
    'darderas',
    'darderez',
    'darderiez',
    'darderions',
    'darderons',
    'darderont',
    'dardes',
    'dardez',
    'dardiez',
    'dardions',
    'dardons',
    'dards',
    'dardâmes',
    'dardât',
    'dardâtes',
    'dardèrent',
    'dardé',
    'dardée',
    'dardées',
    'dardés',
    'dariole',
    'darioles',
    'darique',
    'dariques',
    'darkblue',
    'darne',
    'darnes',
    'darse',
    'darses',
    'dartois',
    'dartre',
    'dartres',
    'dartreuse',
    'dartreuses',
    'dartreux',
    'dartrose',
    'dartroses',
    'darwinien',
    'darwinienne',
    'darwiniennes',
    'darwiniens',
    'darwinisme',
    'darwinismes',
    'darwiniste',
    'darwinistes',
    'dasyure',
    'dasyures',
    'data',
    'datable',
    'datables',
    'datage',
    'datages',
    'datai',
    'dataient',
    'dataire',
    'dataires',
    'datais',
    'datait',
    'datant',
    'datas',
    'datasse',
    'datassent',
    'datasses',
    'datassiez',
    'datassions',
    'datation',
    'datations',
    'datcha',
    'datchas',
    'date',
    'datent',
    'dater',
    'datera',
    'daterai',
    'dateraient',
    'daterais',
    'daterait',
    'dateras',
    'daterez',
    'daterie',
    'dateries',
    'dateriez',
    'daterions',
    'daterons',
    'dateront',
    'dates',
    'dateur',
    'dateurs',
    'dateuse',
    'dateuses',
    'datez',
    'datiez',
    'datif',
    'datifs',
    'dation',
    'dations',
    'dative',
    'datives',
    'datons',
    'datte',
    'dattes',
    'dattier',
    'dattiers',
    'datura',
    'daturas',
    'datâmes',
    'datât',
    'datâtes',
    'datèrent',
    'daté',
    'datée',
    'datées',
    'datés',
    'dauba',
    'daubai',
    'daubaient',
    'daubais',
    'daubait',
    'daubant',
    'daubas',
    'daubasse',
    'daubassent',
    'daubasses',
    'daubassiez',
    'daubassions',
    'daube',
    'daubent',
    'dauber',
    'daubera',
    'dauberai',
    'dauberaient',
    'dauberais',
    'dauberait',
    'dauberas',
    'dauberez',
    'dauberiez',
    'dauberions',
    'dauberons',
    'dauberont',
    'daubes',
    'daubeur',
    'daubeurs',
    'daubeuse',
    'daubeuses',
    'daubez',
    'daubiez',
    'daubions',
    'daubière',
    'daubières',
    'daubons',
    'daubâmes',
    'daubât',
    'daubâtes',
    'daubèrent',
    'daubé',
    'daubée',
    'daubées',
    'daubés',
    'dauphin',
    'dauphine',
    'dauphinelle',
    'dauphinelles',
    'dauphines',
    'dauphinois',
    'dauphinoise',
    'dauphinoises',
    'dauphins',
    'daurade',
    'daurades',
    'davantage',
    'davier',
    'daviers',
    'dazibao',
    'dazibaos',
    'daïmio',
    'daïmios',
    'dealer',
    'dealers',
    'debout',
    'decauville',
    'decauvilles',
    'dedans',
    'degré',
    'degrés',
    'dehors',
    'delco',
    'delcos',
    'deleatur',
    'delphinium',
    'delphiniums',
    'delta',
    'deltacisme',
    'deltacismes',
    'deltaplane',
    'deltaplanes',
    'deltas',
    'deltaïque',
    'deltaïques',
    'deltoïde',
    'deltoïdes',
    'deltoïdien',
    'deltoïdienne',
    'deltoïdiens',
    'delà',
    'demain',
    'demains',
    'demanda',
    'demandai',
    'demandaient',
    'demandais',
    'demandait',
    'demandant',
    'demandas',
    'demandasse',
    'demandassent',
    'demandasses',
    'demandassiez',
    'demande',
    'demandent',
    'demander',
    'demandera',
    'demanderai',
    'demanderais',
    'demanderait',
    'demanderas',
    'demanderez',
    'demanderiez',
    'demanderions',
    'demanderons',
    'demanderont',
    'demandes',
    'demandeur',
    'demandeurs',
    'demandeuse',
    'demandeuses',
    'demandez',
    'demandiez',
    'demandions',
    'demandons',
    'demandâmes',
    'demandât',
    'demandâtes',
    'demandèrent',
    'demandé',
    'demandée',
    'demandées',
    'demandés',
    'demeura',
    'demeurai',
    'demeuraient',
    'demeurais',
    'demeurait',
    'demeurant',
    'demeuras',
    'demeurasse',
    'demeurassent',
    'demeurasses',
    'demeurassiez',
    'demeure',
    'demeurent',
    'demeurer',
    'demeurera',
    'demeurerai',
    'demeurerais',
    'demeurerait',
    'demeureras',
    'demeurerez',
    'demeureriez',
    'demeurerions',
    'demeurerons',
    'demeureront',
    'demeures',
    'demeurez',
    'demeuriez',
    'demeurions',
    'demeurons',
    'demeurâmes',
    'demeurât',
    'demeurâtes',
    'demeurèrent',
    'demeuré',
    'demeurée',
    'demeurées',
    'demeurés',
    'demi',
    'demiard',
    'demiards',
    'demie',
    'demies',
    'demis',
    'demodex',
    'demoiselle',
    'demoiselles',
    'dendrite',
    'dendrites',
    'dendritique',
    'dengue',
    'dengues',
    'denier',
    'deniers',
    'denrée',
    'denrées',
    'dense',
    'denses',
    'densifier',
    'densimétrie',
    'densimétries',
    'densité',
    'densités',
    'dent',
    'dentaire',
    'dentaires',
    'dental',
    'dentale',
    'dentales',
    'dentaux',
    'dentela',
    'dentelai',
    'dentelaient',
    'dentelaire',
    'dentelaires',
    'dentelais',
    'dentelait',
    'dentelant',
    'dentelas',
    'dentelasse',
    'dentelassent',
    'dentelasses',
    'dentelassiez',
    'denteler',
    'dentelez',
    'denteliez',
    'dentelions',
    'dentelle',
    'dentellent',
    'dentellera',
    'dentellerai',
    'dentellerais',
    'dentellerait',
    'dentelleras',
    'dentellerez',
    'dentellerie',
    'dentelleries',
    'dentelleriez',
    'dentellerons',
    'dentelleront',
    'dentelles',
    'dentellier',
    'dentelliers',
    'dentellière',
    'dentellières',
    'dentelons',
    'dentelure',
    'dentelures',
    'dentelâmes',
    'dentelât',
    'dentelâtes',
    'dentelèrent',
    'dentelé',
    'dentelée',
    'dentelées',
    'dentelés',
    'denticule',
    'denticules',
    'dentier',
    'dentiers',
    'dentifrice',
    'dentifrices',
    'dentine',
    'dentines',
    'dentiste',
    'dentisterie',
    'dentisteries',
    'dentistes',
    'dentition',
    'dentitions',
    'dents',
    'denture',
    'dentures',
    'denté',
    'dentée',
    'dentées',
    'dentés',
    'depuis',
    'derby',
    'derbys',
    'derechef',
    'dermatite',
    'dermatites',
    'dermatologie',
    'dermatologue',
    'dermatose',
    'dermatoses',
    'derme',
    'dermes',
    'dermeste',
    'dermestes',
    'dermique',
    'dermiques',
    'dermite',
    'dermites',
    'dermographie',
    'dernier',
    'derniers',
    'dernière',
    'dernièrement',
    'dernières',
    'derny',
    'dernys',
    'derrick',
    'derricks',
    'derrière',
    'derrières',
    'derviche',
    'derviches',
    'descella',
    'descellai',
    'descellaient',
    'descellais',
    'descellait',
    'descellant',
    'descellas',
    'descellasse',
    'descellasses',
    'descelle',
    'descellement',
    'descellent',
    'desceller',
    'descellera',
    'descellerai',
    'descellerais',
    'descellerait',
    'descelleras',
    'descellerez',
    'descelleriez',
    'descellerons',
    'descelleront',
    'descelles',
    'descellez',
    'descelliez',
    'descellions',
    'descellons',
    'descellâmes',
    'descellât',
    'descellâtes',
    'descellèrent',
    'descellé',
    'descellée',
    'descellées',
    'descellés',
    'descend',
    'descendaient',
    'descendais',
    'descendait',
    'descendance',
    'descendances',
    'descendant',
    'descendante',
    'descendantes',
    'descendants',
    'descende',
    'descendent',
    'descenderie',
    'descenderies',
    'descendes',
    'descendeur',
    'descendeurs',
    'descendeuse',
    'descendeuses',
    'descendez',
    'descendiez',
    'descendions',
    'descendirent',
    'descendis',
    'descendisse',
    'descendisses',
    'descendit',
    'descendons',
    'descendra',
    'descendrai',
    'descendrais',
    'descendrait',
    'descendras',
    'descendre',
    'descendrez',
    'descendriez',
    'descendrions',
    'descendrons',
    'descendront',
    'descends',
    'descendu',
    'descendue',
    'descendues',
    'descendus',
    'descendîmes',
    'descendît',
    'descendîtes',
    'descenseur',
    'descenseurs',
    'descente',
    'descentes',
    'descriptible',
    'descriptif',
    'descriptifs',
    'description',
    'descriptions',
    'descriptive',
    'descriptives',
    'desiderata',
    'design',
    'designer',
    'designers',
    'designs',
    'desman',
    'desmans',
    'desperado',
    'desperados',
    'despote',
    'despotes',
    'despotique',
    'despotiques',
    'despotisme',
    'despotismes',
    'desquama',
    'desquamai',
    'desquamaient',
    'desquamais',
    'desquamait',
    'desquamant',
    'desquamas',
    'desquamasse',
    'desquamasses',
    'desquamation',
    'desquame',
    'desquament',
    'desquamer',
    'desquamera',
    'desquamerai',
    'desquamerais',
    'desquamerait',
    'desquameras',
    'desquamerez',
    'desquameriez',
    'desquamerons',
    'desquameront',
    'desquames',
    'desquamez',
    'desquamiez',
    'desquamions',
    'desquamons',
    'desquamâmes',
    'desquamât',
    'desquamâtes',
    'desquamèrent',
    'desquamé',
    'desquamée',
    'desquamées',
    'desquamés',
    'desquelles',
    'desquels',
    'dessabla',
    'dessablai',
    'dessablaient',
    'dessablais',
    'dessablait',
    'dessablant',
    'dessablas',
    'dessablasse',
    'dessablasses',
    'dessable',
    'dessablent',
    'dessabler',
    'dessablera',
    'dessablerai',
    'dessablerais',
    'dessablerait',
    'dessableras',
    'dessablerez',
    'dessableriez',
    'dessablerons',
    'dessableront',
    'dessables',
    'dessablez',
    'dessabliez',
    'dessablions',
    'dessablons',
    'dessablâmes',
    'dessablât',
    'dessablâtes',
    'dessablèrent',
    'dessablé',
    'dessablée',
    'dessablées',
    'dessablés',
    'dessaisi',
    'dessaisie',
    'dessaisies',
    'dessaisir',
    'dessaisira',
    'dessaisirai',
    'dessaisirais',
    'dessaisirait',
    'dessaisiras',
    'dessaisirent',
    'dessaisirez',
    'dessaisiriez',
    'dessaisirons',
    'dessaisiront',
    'dessaisis',
    'dessaisisse',
    'dessaisisses',
    'dessaisissez',
    'dessaisit',
    'dessaisîmes',
    'dessaisît',
    'dessaisîtes',
    'dessala',
    'dessalage',
    'dessalages',
    'dessalai',
    'dessalaient',
    'dessalais',
    'dessalait',
    'dessalant',
    'dessalas',
    'dessalasse',
    'dessalassent',
    'dessalasses',
    'dessalassiez',
    'dessale',
    'dessalement',
    'dessalements',
    'dessalent',
    'dessaler',
    'dessalera',
    'dessalerai',
    'dessalerais',
    'dessalerait',
    'dessaleras',
    'dessalerez',
    'dessaleriez',
    'dessalerions',
    'dessalerons',
    'dessaleront',
    'dessales',
    'dessalez',
    'dessaliez',
    'dessalions',
    'dessalons',
    'dessalâmes',
    'dessalât',
    'dessalâtes',
    'dessalèrent',
    'dessalé',
    'dessalée',
    'dessalées',
    'dessalés',
    'dessangla',
    'dessanglai',
    'dessanglais',
    'dessanglait',
    'dessanglant',
    'dessanglas',
    'dessanglasse',
    'dessangle',
    'dessanglent',
    'dessangler',
    'dessanglera',
    'dessanglerai',
    'dessangleras',
    'dessanglerez',
    'dessangles',
    'dessanglez',
    'dessangliez',
    'dessanglions',
    'dessanglons',
    'dessanglâmes',
    'dessanglât',
    'dessanglâtes',
    'dessanglé',
    'dessanglée',
    'dessanglées',
    'dessanglés',
    'dessaoula',
    'dessaoulai',
    'dessaoulais',
    'dessaoulait',
    'dessaoulant',
    'dessaoulas',
    'dessaoulasse',
    'dessaoule',
    'dessaoulent',
    'dessaouler',
    'dessaoulera',
    'dessaoulerai',
    'dessaouleras',
    'dessaoulerez',
    'dessaoules',
    'dessaoulez',
    'dessaouliez',
    'dessaoulions',
    'dessaoulons',
    'dessaoulâmes',
    'dessaoulât',
    'dessaoulâtes',
    'dessaoulé',
    'dessaoulée',
    'dessaoulées',
    'dessaoulés',
    'dessein',
    'desseins',
    'dessella',
    'dessellai',
    'dessellaient',
    'dessellais',
    'dessellait',
    'dessellant',
    'dessellas',
    'dessellasse',
    'dessellasses',
    'desselle',
    'dessellent',
    'desseller',
    'dessellera',
    'dessellerai',
    'dessellerais',
    'dessellerait',
    'desselleras',
    'dessellerez',
    'desselleriez',
    'dessellerons',
    'desselleront',
    'desselles',
    'dessellez',
    'desselliez',
    'dessellions',
    'dessellons',
    'dessellâmes',
    'dessellât',
    'dessellâtes',
    'dessellèrent',
    'dessellé',
    'dessellée',
    'dessellées',
    'dessellés',
    'desserra',
    'desserrage',
    'desserrages',
    'desserrai',
    'desserraient',
    'desserrais',
    'desserrait',
    'desserrant',
    'desserras',
    'desserrasse',
    'desserrasses',
    'desserre',
    'desserrent',
    'desserrer',
    'desserrera',
    'desserrerai',
    'desserrerais',
    'desserrerait',
    'desserreras',
    'desserrerez',
    'desserreriez',
    'desserrerons',
    'desserreront',
    'desserres',
    'desserrez',
    'desserriez',
    'desserrions',
    'desserrons',
    'desserrâmes',
    'desserrât',
    'desserrâtes',
    'desserrèrent',
    'desserré',
    'desserrée',
    'desserrées',
    'desserrés',
    'dessers',
    'dessert',
    'desserte',
    'dessertes',
    'desserti',
    'dessertie',
    'desserties',
    'dessertir',
    'dessertira',
    'dessertirai',
    'dessertirais',
    'dessertirait',
    'dessertiras',
    'dessertirent',
    'dessertirez',
    'dessertiriez',
    'dessertirons',
    'dessertiront',
    'dessertis',
    'dessertisse',
    'dessertisses',
    'dessertissez',
    'dessertit',
    'desserts',
    'dessertîmes',
    'dessertît',
    'dessertîtes',
    'desservaient',
    'desservais',
    'desservait',
    'desservant',
    'desservants',
    'desserve',
    'desservent',
    'desserves',
    'desservez',
    'desservi',
    'desservie',
    'desservies',
    'desserviez',
    'desservions',
    'desservir',
    'desservira',
    'desservirai',
    'desservirais',
    'desservirait',
    'desserviras',
    'desservirent',
    'desservirez',
    'desserviriez',
    'desservirons',
    'desserviront',
    'desservis',
    'desservisse',
    'desservisses',
    'desservit',
    'desservons',
    'desservîmes',
    'desservît',
    'desservîtes',
    'dessiccatif',
    'dessiccatifs',
    'dessiccation',
    'dessiccative',
    'dessilla',
    'dessillai',
    'dessillaient',
    'dessillais',
    'dessillait',
    'dessillant',
    'dessillas',
    'dessillasse',
    'dessillasses',
    'dessille',
    'dessillent',
    'dessiller',
    'dessillera',
    'dessillerai',
    'dessillerais',
    'dessillerait',
    'dessilleras',
    'dessillerez',
    'dessilleriez',
    'dessillerons',
    'dessilleront',
    'dessilles',
    'dessillez',
    'dessilliez',
    'dessillions',
    'dessillons',
    'dessillâmes',
    'dessillât',
    'dessillâtes',
    'dessillèrent',
    'dessillé',
    'dessillée',
    'dessillées',
    'dessillés',
    'dessin',
    'dessina',
    'dessinai',
    'dessinaient',
    'dessinais',
    'dessinait',
    'dessinant',
    'dessinas',
    'dessinasse',
    'dessinassent',
    'dessinasses',
    'dessinassiez',
    'dessinateur',
    'dessinateurs',
    'dessinatrice',
    'dessine',
    'dessinent',
    'dessiner',
    'dessinera',
    'dessinerai',
    'dessinerais',
    'dessinerait',
    'dessineras',
    'dessinerez',
    'dessineriez',
    'dessinerions',
    'dessinerons',
    'dessineront',
    'dessines',
    'dessinez',
    'dessiniez',
    'dessinions',
    'dessinons',
    'dessins',
    'dessinâmes',
    'dessinât',
    'dessinâtes',
    'dessinèrent',
    'dessiné',
    'dessinée',
    'dessinées',
    'dessinés',
    'dessola',
    'dessolai',
    'dessolaient',
    'dessolais',
    'dessolait',
    'dessolant',
    'dessolas',
    'dessolasse',
    'dessolassent',
    'dessolasses',
    'dessolassiez',
    'dessole',
    'dessolement',
    'dessolements',
    'dessolent',
    'dessoler',
    'dessolera',
    'dessolerai',
    'dessolerais',
    'dessolerait',
    'dessoleras',
    'dessolerez',
    'dessoleriez',
    'dessolerions',
    'dessolerons',
    'dessoleront',
    'dessoles',
    'dessolez',
    'dessoliez',
    'dessolions',
    'dessolons',
    'dessolâmes',
    'dessolât',
    'dessolâtes',
    'dessolèrent',
    'dessolé',
    'dessolée',
    'dessolées',
    'dessolés',
    'dessouda',
    'dessoudai',
    'dessoudaient',
    'dessoudais',
    'dessoudait',
    'dessoudant',
    'dessoudas',
    'dessoudasse',
    'dessoudasses',
    'dessoude',
    'dessoudent',
    'dessouder',
    'dessoudera',
    'dessouderai',
    'dessouderais',
    'dessouderait',
    'dessouderas',
    'dessouderez',
    'dessouderiez',
    'dessouderons',
    'dessouderont',
    'dessoudes',
    'dessoudez',
    'dessoudiez',
    'dessoudions',
    'dessoudons',
    'dessoudâmes',
    'dessoudât',
    'dessoudâtes',
    'dessoudèrent',
    'dessoudé',
    'dessoudée',
    'dessoudées',
    'dessoudés',
    'dessoula',
    'dessoulai',
    'dessoulaient',
    'dessoulais',
    'dessoulait',
    'dessoulant',
    'dessoulas',
    'dessoulasse',
    'dessoulasses',
    'dessoule',
    'dessoulent',
    'dessouler',
    'dessoulera',
    'dessoulerai',
    'dessoulerais',
    'dessoulerait',
    'dessouleras',
    'dessoulerez',
    'dessouleriez',
    'dessoulerons',
    'dessouleront',
    'dessoules',
    'dessoulez',
    'dessouliez',
    'dessoulions',
    'dessoulons',
    'dessoulâmes',
    'dessoulât',
    'dessoulâtes',
    'dessoulèrent',
    'dessoulé',
    'dessoulée',
    'dessoulées',
    'dessoulés',
    'dessous',
    'dessoûla',
    'dessoûlai',
    'dessoûlaient',
    'dessoûlais',
    'dessoûlait',
    'dessoûlant',
    'dessoûlas',
    'dessoûlasse',
    'dessoûlasses',
    'dessoûle',
    'dessoûlent',
    'dessoûler',
    'dessoûlera',
    'dessoûlerai',
    'dessoûlerais',
    'dessoûlerait',
    'dessoûleras',
    'dessoûlerez',
    'dessoûleriez',
    'dessoûlerons',
    'dessoûleront',
    'dessoûles',
    'dessoûlez',
    'dessoûliez',
    'dessoûlions',
    'dessoûlons',
    'dessoûlâmes',
    'dessoûlât',
    'dessoûlâtes',
    'dessoûlèrent',
    'dessoûlé',
    'dessoûlée',
    'dessoûlées',
    'dessoûlés',
    'dessuintage',
    'dessuintages',
    'dessuinter',
    'dessuita',
    'dessuitai',
    'dessuitaient',
    'dessuitais',
    'dessuitait',
    'dessuitant',
    'dessuitas',
    'dessuitasse',
    'dessuitasses',
    'dessuite',
    'dessuitent',
    'dessuiter',
    'dessuitera',
    'dessuiterai',
    'dessuiterais',
    'dessuiterait',
    'dessuiteras',
    'dessuiterez',
    'dessuiteriez',
    'dessuiterons',
    'dessuiteront',
    'dessuites',
    'dessuitez',
    'dessuitiez',
    'dessuitions',
    'dessuitons',
    'dessuitâmes',
    'dessuitât',
    'dessuitâtes',
    'dessuitèrent',
    'dessuité',
    'dessuitée',
    'dessuitées',
    'dessuités',
    'dessus',
    'dessèche',
    'dessèchement',
    'dessèchent',
    'dessèches',
    'dessécha',
    'desséchai',
    'desséchaient',
    'desséchais',
    'desséchait',
    'desséchant',
    'desséchante',
    'desséchantes',
    'desséchants',
    'desséchas',
    'desséchasse',
    'desséchasses',
    'dessécher',
    'desséchera',
    'dessécherai',
    'dessécherais',
    'dessécherait',
    'dessécheras',
    'dessécherez',
    'dessécheriez',
    'dessécherons',
    'dessécheront',
    'desséchez',
    'desséchiez',
    'desséchions',
    'desséchons',
    'desséchâmes',
    'desséchât',
    'desséchâtes',
    'desséchèrent',
    'desséché',
    'desséchée',
    'desséchées',
    'desséchés',
    'destin',
    'destina',
    'destinai',
    'destinaient',
    'destinais',
    'destinait',
    'destinant',
    'destinas',
    'destinasse',
    'destinassent',
    'destinasses',
    'destinassiez',
    'destinataire',
    'destination',
    'destinations',
    'destine',
    'destinent',
    'destiner',
    'destinera',
    'destinerai',
    'destinerais',
    'destinerait',
    'destineras',
    'destinerez',
    'destineriez',
    'destinerions',
    'destinerons',
    'destineront',
    'destines',
    'destinez',
    'destiniez',
    'destinions',
    'destinons',
    'destins',
    'destinâmes',
    'destinât',
    'destinâtes',
    'destinèrent',
    'destiné',
    'destinée',
    'destinées',
    'destinés',
    'destitua',
    'destituai',
    'destituaient',
    'destituais',
    'destituait',
    'destituant',
    'destitue',
    'destituent',
    'destituer',
    'destituera',
    'destituerai',
    'destituerais',
    'destituerait',
    'destitueras',
    'destituerez',
    'destitueriez',
    'destituerons',
    'destitueront',
    'destitues',
    'destituez',
    'destituiez',
    'destituions',
    'destituons',
    'destitution',
    'destitutions',
    'destituèrent',
    'destitué',
    'destituée',
    'destituées',
    'destitués',
    'destrier',
    'destriers',
    'destroyer',
    'destroyers',
    'destructeur',
    'destructeurs',
    'destructible',
    'destructif',
    'destructifs',
    'destruction',
    'destructions',
    'destructive',
    'destructives',
    'destructrice',
    'destructura',
    'destructurai',
    'destructuras',
    'destructure',
    'destructurer',
    'destructures',
    'destructurez',
    'destructurât',
    'destructuré',
    'destructurée',
    'destructurés',
    'dette',
    'dettes',
    'deuil',
    'deuils',
    'deutérium',
    'deutériums',
    'deutéron',
    'deutérons',
    'deux',
    'deuxième',
    'deuxièmement',
    'deuxièmes',
    'devaient',
    'devais',
    'devait',
    'devance',
    'devancement',
    'devancements',
    'devancent',
    'devancer',
    'devancera',
    'devancerai',
    'devancerais',
    'devancerait',
    'devanceras',
    'devancerez',
    'devanceriez',
    'devancerions',
    'devancerons',
    'devanceront',
    'devances',
    'devancez',
    'devancier',
    'devanciers',
    'devanciez',
    'devancions',
    'devancière',
    'devancières',
    'devancèrent',
    'devancé',
    'devancée',
    'devancées',
    'devancés',
    'devant',
    'devants',
    'devanture',
    'devantures',
    'devança',
    'devançai',
    'devançaient',
    'devançais',
    'devançait',
    'devançant',
    'devanças',
    'devançasse',
    'devançassent',
    'devançasses',
    'devançassiez',
    'devançons',
    'devançâmes',
    'devançât',
    'devançâtes',
    'devenaient',
    'devenais',
    'devenait',
    'devenant',
    'devenez',
    'deveniez',
    'devenions',
    'devenir',
    'devenons',
    'devenu',
    'devenue',
    'devenues',
    'devenus',
    'devers',
    'devez',
    'deviendra',
    'deviendrai',
    'deviendrais',
    'deviendrait',
    'deviendras',
    'deviendrez',
    'deviendriez',
    'deviendrions',
    'deviendrons',
    'deviendront',
    'devienne',
    'deviennent',
    'deviennes',
    'deviens',
    'devient',
    'deviez',
    'devin',
    'devina',
    'devinable',
    'devinables',
    'devinai',
    'devinaient',
    'devinais',
    'devinait',
    'devinant',
    'devinas',
    'devinasse',
    'devinassent',
    'devinasses',
    'devinassiez',
    'devinassions',
    'devine',
    'devinent',
    'deviner',
    'devinera',
    'devinerai',
    'devineraient',
    'devinerais',
    'devinerait',
    'devineras',
    'devineresse',
    'devineresses',
    'devinerez',
    'devineriez',
    'devinerions',
    'devinerons',
    'devineront',
    'devines',
    'devinette',
    'devinettes',
    'devinez',
    'deviniez',
    'devinions',
    'devinons',
    'devinrent',
    'devins',
    'devinsse',
    'devinssent',
    'devinsses',
    'devinssiez',
    'devinssions',
    'devint',
    'devinâmes',
    'devinât',
    'devinâtes',
    'devinèrent',
    'deviné',
    'devinée',
    'devinées',
    'devinés',
    'devions',
    'devis',
    'devisa',
    'devisai',
    'devisaient',
    'devisais',
    'devisait',
    'devisant',
    'devisas',
    'devisasse',
    'devisassent',
    'devisasses',
    'devisassiez',
    'devisassions',
    'devise',
    'devisent',
    'deviser',
    'devisera',
    'deviserai',
    'deviseraient',
    'deviserais',
    'deviserait',
    'deviseras',
    'deviserez',
    'deviseriez',
    'deviserions',
    'deviserons',
    'deviseront',
    'devises',
    'devisez',
    'devisiez',
    'devisions',
    'devisons',
    'devisâmes',
    'devisât',
    'devisâtes',
    'devisèrent',
    'devisé',
    'devoir',
    'devoirs',
    'devons',
    'devra',
    'devrai',
    'devraient',
    'devrais',
    'devrait',
    'devras',
    'devrez',
    'devriez',
    'devrions',
    'devrons',
    'devront',
    'devînmes',
    'devînt',
    'devîntes',
    'dextralité',
    'dextralités',
    'dextre',
    'dextres',
    'dextrine',
    'dextrines',
    'dextrocardie',
    'dextrogyre',
    'dextrogyres',
    'dextrorsum',
    'dextrose',
    'dextroses',
    'dextérité',
    'dextérités',
    'deys',
    'deçà',
    'diable',
    'diablement',
    'diablerie',
    'diableries',
    'diables',
    'diablesse',
    'diablesses',
    'diablotin',
    'diablotins',
    'diabolique',
    'diaboliques',
    'diabolo',
    'diabolos',
    'diabète',
    'diabètes',
    'diabétique',
    'diabétiques',
    'diachronie',
    'diachronies',
    'diachronique',
    'diachylon',
    'diachylons',
    'diachylum',
    'diacide',
    'diacides',
    'diaclase',
    'diaclases',
    'diacode',
    'diacodes',
    'diaconal',
    'diaconale',
    'diaconales',
    'diaconat',
    'diaconats',
    'diaconaux',
    'diaconesse',
    'diaconesses',
    'diacoustique',
    'diacre',
    'diacres',
    'diacritique',
    'diacritiques',
    'diadoque',
    'diadoques',
    'diadème',
    'diadèmes',
    'diagnose',
    'diagnoses',
    'diagnostic',
    'diagnostics',
    'diagnostiqua',
    'diagnostique',
    'diagnostiqué',
    'diagonal',
    'diagonale',
    'diagonales',
    'diagonaliser',
    'diagonaux',
    'diagramme',
    'diagrammes',
    'dialectal',
    'dialectale',
    'dialectales',
    'dialectalisa',
    'dialectalise',
    'dialectalisé',
    'dialectaux',
    'dialecte',
    'dialectes',
    'dialecticien',
    'dialectique',
    'dialectiques',
    'dialectisa',
    'dialectisai',
    'dialectisais',
    'dialectisait',
    'dialectisant',
    'dialectisas',
    'dialectise',
    'dialectisent',
    'dialectiser',
    'dialectisera',
    'dialectises',
    'dialectisez',
    'dialectisiez',
    'dialectisons',
    'dialectisât',
    'dialectisé',
    'dialectisée',
    'dialectisées',
    'dialectisés',
    'dialogique',
    'dialogiques',
    'dialogua',
    'dialoguai',
    'dialoguaient',
    'dialoguais',
    'dialoguait',
    'dialoguant',
    'dialoguas',
    'dialoguasse',
    'dialoguasses',
    'dialogue',
    'dialoguent',
    'dialoguer',
    'dialoguera',
    'dialoguerai',
    'dialoguerais',
    'dialoguerait',
    'dialogueras',
    'dialoguerez',
    'dialogueriez',
    'dialoguerons',
    'dialogueront',
    'dialogues',
    'dialoguez',
    'dialoguiez',
    'dialoguions',
    'dialoguiste',
    'dialoguistes',
    'dialoguons',
    'dialoguâmes',
    'dialoguât',
    'dialoguâtes',
    'dialoguèrent',
    'dialogué',
    'dialoguée',
    'dialoguées',
    'dialogués',
    'dialypétale',
    'dialypétales',
    'dialysa',
    'dialysai',
    'dialysaient',
    'dialysais',
    'dialysait',
    'dialysant',
    'dialysas',
    'dialysasse',
    'dialysassent',
    'dialysasses',
    'dialysassiez',
    'dialyse',
    'dialysent',
    'dialyser',
    'dialysera',
    'dialyserai',
    'dialyserais',
    'dialyserait',
    'dialyseras',
    'dialyserez',
    'dialyseriez',
    'dialyserions',
    'dialyserons',
    'dialyseront',
    'dialyses',
    'dialyseur',
    'dialyseurs',
    'dialysez',
    'dialysiez',
    'dialysions',
    'dialysons',
    'dialysâmes',
    'dialysât',
    'dialysâtes',
    'dialysèrent',
    'dialysé',
    'dialysée',
    'dialysées',
    'dialysés',
    'diamant',
    'diamanta',
    'diamantai',
    'diamantaient',
    'diamantaire',
    'diamantaires',
    'diamantais',
    'diamantait',
    'diamantant',
    'diamantas',
    'diamantasse',
    'diamantasses',
    'diamante',
    'diamantent',
    'diamanter',
    'diamantera',
    'diamanterai',
    'diamanterais',
    'diamanterait',
    'diamanteras',
    'diamanterez',
    'diamanteriez',
    'diamanterons',
    'diamanteront',
    'diamantes',
    'diamantez',
    'diamantiez',
    'diamantifère',
    'diamantin',
    'diamantine',
    'diamantines',
    'diamantins',
    'diamantions',
    'diamantons',
    'diamants',
    'diamantâmes',
    'diamantât',
    'diamantâtes',
    'diamantèrent',
    'diamanté',
    'diamantée',
    'diamantées',
    'diamantés',
    'diamide',
    'diamides',
    'diamètre',
    'diamètres',
    'diamétral',
    'diamétrale',
    'diamétrales',
    'diamétraux',
    'diane',
    'dianes',
    'diantre',
    'diantrement',
    'diapason',
    'diapasons',
    'diaphane',
    'diaphanes',
    'diaphanéité',
    'diaphanéités',
    'diaphonie',
    'diaphonies',
    'diaphorèse',
    'diaphorèses',
    'diaphragma',
    'diaphragmai',
    'diaphragmais',
    'diaphragmait',
    'diaphragmant',
    'diaphragmas',
    'diaphragme',
    'diaphragment',
    'diaphragmer',
    'diaphragmera',
    'diaphragmes',
    'diaphragmez',
    'diaphragmiez',
    'diaphragmons',
    'diaphragmât',
    'diaphragmé',
    'diaphragmée',
    'diaphragmées',
    'diaphragmés',
    'diaphyse',
    'diaphyses',
    'diapo',
    'diapos',
    'diapositive',
    'diapositives',
    'diapra',
    'diaprai',
    'diapraient',
    'diaprais',
    'diaprait',
    'diaprant',
    'diapras',
    'diaprasse',
    'diaprassent',
    'diaprasses',
    'diaprassiez',
    'diaprassions',
    'diapre',
    'diaprent',
    'diaprer',
    'diaprera',
    'diaprerai',
    'diapreraient',
    'diaprerais',
    'diaprerait',
    'diapreras',
    'diaprerez',
    'diapreriez',
    'diaprerions',
    'diaprerons',
    'diapreront',
    'diapres',
    'diaprez',
    'diapriez',
    'diaprions',
    'diaprons',
    'diaprure',
    'diaprures',
    'diaprâmes',
    'diaprât',
    'diaprâtes',
    'diaprèrent',
    'diapré',
    'diaprée',
    'diaprées',
    'diaprés',
    'diapédèse',
    'diapédèses',
    'diarrhée',
    'diarrhées',
    'diarrhéique',
    'diarrhéiques',
    'diarthrose',
    'diarthroses',
    'diascope',
    'diascopes',
    'diascopie',
    'diascopies',
    'diaspora',
    'diastase',
    'diastases',
    'diastasique',
    'diastasiques',
    'diastole',
    'diastoles',
    'diastolique',
    'diastoliques',
    'diathèse',
    'diathèses',
    'diatomique',
    'diatomiques',
    'diatomite',
    'diatomites',
    'diatomée',
    'diatomées',
    'diatonique',
    'diatoniques',
    'diatribe',
    'diatribes',
    'diaule',
    'diaules',
    'diazoïque',
    'diazoïques',
    'dibasique',
    'dibasiques',
    'dichotomie',
    'dichotomies',
    'dichotomique',
    'dichroïque',
    'dichroïques',
    'dichroïsme',
    'dichroïsmes',
    'dicline',
    'diclines',
    'dico',
    'dicos',
    'dicotylédone',
    'dicrote',
    'dicrotes',
    'dicta',
    'dictai',
    'dictaient',
    'dictais',
    'dictait',
    'dictame',
    'dictames',
    'dictant',
    'dictaphone',
    'dictaphones',
    'dictas',
    'dictasse',
    'dictassent',
    'dictasses',
    'dictassiez',
    'dictassions',
    'dictateur',
    'dictateurs',
    'dictatorial',
    'dictatoriale',
    'dictatoriaux',
    'dictatrice',
    'dictatrices',
    'dictature',
    'dictatures',
    'dicte',
    'dictent',
    'dicter',
    'dictera',
    'dicterai',
    'dicteraient',
    'dicterais',
    'dicterait',
    'dicteras',
    'dicterez',
    'dicteriez',
    'dicterions',
    'dicterons',
    'dicteront',
    'dictes',
    'dictez',
    'dictiez',
    'diction',
    'dictionnaire',
    'dictions',
    'dicton',
    'dictons',
    'dictâmes',
    'dictât',
    'dictâtes',
    'dictèrent',
    'dicté',
    'dictée',
    'dictées',
    'dictés',
    'didacticiel',
    'didacticiels',
    'didactique',
    'didactiques',
    'didactisme',
    'didactismes',
    'didactyle',
    'didactyles',
    'didascalie',
    'didascalies',
    'diduction',
    'diductions',
    'didyme',
    'didymes',
    'diencéphale',
    'diencéphales',
    'diergol',
    'diergols',
    'diesel',
    'diesels',
    'dieu',
    'dieux',
    'diffa',
    'diffama',
    'diffamai',
    'diffamaient',
    'diffamais',
    'diffamait',
    'diffamant',
    'diffamante',
    'diffamantes',
    'diffamants',
    'diffamas',
    'diffamasse',
    'diffamassent',
    'diffamasses',
    'diffamassiez',
    'diffamateur',
    'diffamateurs',
    'diffamation',
    'diffamations',
    'diffamatoire',
    'diffamatrice',
    'diffame',
    'diffament',
    'diffamer',
    'diffamera',
    'diffamerai',
    'diffamerais',
    'diffamerait',
    'diffameras',
    'diffamerez',
    'diffameriez',
    'diffamerions',
    'diffamerons',
    'diffameront',
    'diffames',
    'diffamez',
    'diffamiez',
    'diffamions',
    'diffamons',
    'diffamâmes',
    'diffamât',
    'diffamâtes',
    'diffamèrent',
    'diffamé',
    'diffamée',
    'diffamées',
    'diffamés',
    'diffas',
    'difficile',
    'difficiles',
    'difficulté',
    'difficultés',
    'difforma',
    'difformai',
    'difformaient',
    'difformais',
    'difformait',
    'difformant',
    'difformas',
    'difformasse',
    'difformasses',
    'difforme',
    'difforment',
    'difformer',
    'difformera',
    'difformerai',
    'difformerais',
    'difformerait',
    'difformeras',
    'difformerez',
    'difformeriez',
    'difformerons',
    'difformeront',
    'difformes',
    'difformez',
    'difformiez',
    'difformions',
    'difformité',
    'difformités',
    'difformons',
    'difformâmes',
    'difformât',
    'difformâtes',
    'difformèrent',
    'difformé',
    'difformée',
    'difformées',
    'difformés',
    'diffracta',
    'diffractai',
    'diffractais',
    'diffractait',
    'diffractant',
    'diffractas',
    'diffractasse',
    'diffracte',
    'diffractent',
    'diffracter',
    'diffractera',
    'diffracterai',
    'diffracteras',
    'diffracterez',
    'diffractes',
    'diffractez',
    'diffractiez',
    'diffraction',
    'diffractions',
    'diffractons',
    'diffractâmes',
    'diffractât',
    'diffractâtes',
    'diffracté',
    'diffractée',
    'diffractées',
    'diffractés',
    'diffus',
    'diffusa',
    'diffusai',
    'diffusaient',
    'diffusais',
    'diffusait',
    'diffusant',
    'diffusas',
    'diffusasse',
    'diffusassent',
    'diffusasses',
    'diffusassiez',
    'diffuse',
    'diffusent',
    'diffuser',
    'diffusera',
    'diffuserai',
    'diffuserais',
    'diffuserait',
    'diffuseras',
    'diffuserez',
    'diffuseriez',
    'diffuserions',
    'diffuserons',
    'diffuseront',
    'diffuses',
    'diffuseur',
    'diffuseurs',
    'diffuseuse',
    'diffuseuses',
    'diffusez',
    'diffusible',
    'diffusibles',
    'diffusiez',
    'diffusion',
    'diffusions',
    'diffusons',
    'diffusâmes',
    'diffusât',
    'diffusâtes',
    'diffusèrent',
    'diffusé',
    'diffusée',
    'diffusées',
    'diffusément',
    'diffusés',
    'diffère',
    'diffèrent',
    'diffères',
    'différa',
    'différai',
    'différaient',
    'différais',
    'différait',
    'différant',
    'différas',
    'différasse',
    'différassent',
    'différasses',
    'différassiez',
    'différemment',
    'différence',
    'différences',
    'différencia',
    'différenciai',
    'différencias',
    'différencie',
    'différencier',
    'différencies',
    'différenciez',
    'différenciât',
    'différencié',
    'différenciée',
    'différenciés',
    'différend',
    'différends',
    'différent',
    'différente',
    'différentes',
    'différentiel',
    'différentier',
    'différents',
    'différer',
    'différera',
    'différerai',
    'différerais',
    'différerait',
    'différeras',
    'différerez',
    'différeriez',
    'différerions',
    'différerons',
    'différeront',
    'différez',
    'différiez',
    'différions',
    'différons',
    'différâmes',
    'différât',
    'différâtes',
    'différèrent',
    'différé',
    'différée',
    'différées',
    'différés',
    'digest',
    'digeste',
    'digestes',
    'digesteur',
    'digesteurs',
    'digestible',
    'digestibles',
    'digestif',
    'digestifs',
    'digestion',
    'digestions',
    'digestive',
    'digestives',
    'digests',
    'digit',
    'digital',
    'digitale',
    'digitales',
    'digitaline',
    'digitalines',
    'digitalisa',
    'digitalisai',
    'digitalisais',
    'digitalisait',
    'digitalisant',
    'digitalisas',
    'digitalise',
    'digitalisent',
    'digitaliser',
    'digitalises',
    'digitalisez',
    'digitalisiez',
    'digitalisons',
    'digitalisât',
    'digitalisé',
    'digitalisée',
    'digitalisées',
    'digitalisés',
    'digitaux',
    'digitiforme',
    'digitiformes',
    'digitigrade',
    'digitigrades',
    'digits',
    'digité',
    'digitée',
    'digitées',
    'digités',
    'digne',
    'dignement',
    'dignes',
    'dignitaire',
    'dignitaires',
    'dignité',
    'dignités',
    'digon',
    'digons',
    'digramme',
    'digrammes',
    'digraphie',
    'digraphies',
    'digression',
    'digressions',
    'digtalisera',
    'digtaliserai',
    'digtaliseras',
    'digtaliserez',
    'digue',
    'digues',
    'digère',
    'digèrent',
    'digères',
    'digéra',
    'digérai',
    'digéraient',
    'digérais',
    'digérait',
    'digérant',
    'digéras',
    'digérasse',
    'digérassent',
    'digérasses',
    'digérassiez',
    'digérassions',
    'digérer',
    'digérera',
    'digérerai',
    'digéreraient',
    'digérerais',
    'digérerait',
    'digéreras',
    'digérerez',
    'digéreriez',
    'digérerions',
    'digérerons',
    'digéreront',
    'digérez',
    'digériez',
    'digérions',
    'digérons',
    'digérâmes',
    'digérât',
    'digérâtes',
    'digérèrent',
    'digéré',
    'digérée',
    'digérées',
    'digérés',
    'diktat',
    'diktats',
    'dilacère',
    'dilacèrent',
    'dilacères',
    'dilacéra',
    'dilacérai',
    'dilacéraient',
    'dilacérais',
    'dilacérait',
    'dilacérant',
    'dilacéras',
    'dilacérasse',
    'dilacérasses',
    'dilacération',
    'dilacérer',
    'dilacérera',
    'dilacérerai',
    'dilacérerais',
    'dilacérerait',
    'dilacéreras',
    'dilacérerez',
    'dilacéreriez',
    'dilacérerons',
    'dilacéreront',
    'dilacérez',
    'dilacériez',
    'dilacérions',
    'dilacérons',
    'dilacérâmes',
    'dilacérât',
    'dilacérâtes',
    'dilacérèrent',
    'dilacéré',
    'dilacérée',
    'dilacérées',
    'dilacérés',
    'dilapida',
    'dilapidai',
    'dilapidaient',
    'dilapidais',
    'dilapidait',
    'dilapidant',
    'dilapidas',
    'dilapidasse',
    'dilapidasses',
    'dilapidateur',
    'dilapidation',
    'dilapide',
    'dilapident',
    'dilapider',
    'dilapidera',
    'dilapiderai',
    'dilapiderais',
    'dilapiderait',
    'dilapideras',
    'dilapiderez',
    'dilapideriez',
    'dilapiderons',
    'dilapideront',
    'dilapides',
    'dilapidez',
    'dilapidiez',
    'dilapidions',
    'dilapidons',
    'dilapidâmes',
    'dilapidât',
    'dilapidâtes',
    'dilapidèrent',
    'dilapidé',
    'dilapidée',
    'dilapidées',
    'dilapidés',
    'dilata',
    'dilatabilité',
    'dilatable',
    'dilatables',
    'dilatai',
    'dilataient',
    'dilatais',
    'dilatait',
    'dilatant',
    'dilatante',
    'dilatantes',
    'dilatants',
    'dilatas',
    'dilatasse',
    'dilatassent',
    'dilatasses',
    'dilatassiez',
    'dilatassions',
    'dilatateur',
    'dilatateurs',
    'dilatation',
    'dilatations',
    'dilatatrice',
    'dilatatrices',
    'dilate',
    'dilatent',
    'dilater',
    'dilatera',
    'dilaterai',
    'dilateraient',
    'dilaterais',
    'dilaterait',
    'dilateras',
    'dilaterez',
    'dilateriez',
    'dilaterions',
    'dilaterons',
    'dilateront',
    'dilates',
    'dilatez',
    'dilatiez',
    'dilations',
    'dilatoire',
    'dilatoires',
    'dilatomètre',
    'dilatomètres',
    'dilatons',
    'dilatâmes',
    'dilatât',
    'dilatâtes',
    'dilatèrent',
    'dilaté',
    'dilatée',
    'dilatées',
    'dilatés',
    'dilection',
    'dilections',
    'dilemme',
    'dilemmes',
    'dilettante',
    'dilettantes',
    'diligemment',
    'diligence',
    'diligences',
    'diligent',
    'diligente',
    'diligentes',
    'diligents',
    'dilua',
    'diluai',
    'diluaient',
    'diluais',
    'diluait',
    'diluant',
    'diluante',
    'diluantes',
    'diluants',
    'diluas',
    'diluasse',
    'diluassent',
    'diluasses',
    'diluassiez',
    'diluassions',
    'dilue',
    'diluent',
    'diluer',
    'diluera',
    'diluerai',
    'dilueraient',
    'diluerais',
    'diluerait',
    'dilueras',
    'diluerez',
    'dilueriez',
    'diluerions',
    'diluerons',
    'dilueront',
    'dilues',
    'diluez',
    'diluiez',
    'diluions',
    'diluons',
    'dilution',
    'dilutions',
    'diluvial',
    'diluviale',
    'diluviales',
    'diluviaux',
    'diluvien',
    'diluvienne',
    'diluviennes',
    'diluviens',
    'diluvium',
    'diluviums',
    'diluâmes',
    'diluât',
    'diluâtes',
    'diluèrent',
    'dilué',
    'diluée',
    'diluées',
    'dilués',
    'dimanche',
    'dimanches',
    'dimension',
    'dimensionna',
    'dimensionnai',
    'dimensionnas',
    'dimensionne',
    'dimensionnel',
    'dimensionner',
    'dimensionnes',
    'dimensionnez',
    'dimensionnât',
    'dimensionné',
    'dimensionnée',
    'dimensionnés',
    'dimensions',
    'diminua',
    'diminuai',
    'diminuaient',
    'diminuais',
    'diminuait',
    'diminuant',
    'diminuas',
    'diminuasse',
    'diminuassent',
    'diminuasses',
    'diminuassiez',
    'diminue',
    'diminuendo',
    'diminuent',
    'diminuer',
    'diminuera',
    'diminuerai',
    'diminuerais',
    'diminuerait',
    'diminueras',
    'diminuerez',
    'diminueriez',
    'diminuerions',
    'diminuerons',
    'diminueront',
    'diminues',
    'diminuez',
    'diminuiez',
    'diminuions',
    'diminuons',
    'diminutif',
    'diminutifs',
    'diminution',
    'diminutions',
    'diminutive',
    'diminutives',
    'diminuâmes',
    'diminuât',
    'diminuâtes',
    'diminuèrent',
    'diminué',
    'diminuée',
    'diminuées',
    'diminués',
    'dimissoire',
    'dimissoires',
    'dimorphe',
    'dimorphes',
    'dimorphisme',
    'dimorphismes',
    'dinanderie',
    'dinanderies',
    'dinandier',
    'dinandiers',
    'dinar',
    'dinars',
    'dinde',
    'dindes',
    'dindon',
    'dindonna',
    'dindonnai',
    'dindonnaient',
    'dindonnais',
    'dindonnait',
    'dindonnant',
    'dindonnas',
    'dindonnasse',
    'dindonnasses',
    'dindonne',
    'dindonneau',
    'dindonneaux',
    'dindonnent',
    'dindonner',
    'dindonnera',
    'dindonnerai',
    'dindonnerais',
    'dindonnerait',
    'dindonneras',
    'dindonnerez',
    'dindonneriez',
    'dindonnerons',
    'dindonneront',
    'dindonnes',
    'dindonnez',
    'dindonniez',
    'dindonnions',
    'dindonnons',
    'dindonnâmes',
    'dindonnât',
    'dindonnâtes',
    'dindonnèrent',
    'dindonné',
    'dindonnée',
    'dindonnées',
    'dindonnés',
    'dindons',
    'ding',
    'dinghie',
    'dinghies',
    'dinghy',
    'dinghys',
    'dingo',
    'dingos',
    'dingua',
    'dinguai',
    'dinguaient',
    'dinguais',
    'dinguait',
    'dinguant',
    'dinguas',
    'dinguasse',
    'dinguassent',
    'dinguasses',
    'dinguassiez',
    'dinguassions',
    'dingue',
    'dinguent',
    'dinguer',
    'dinguera',
    'dinguerai',
    'dingueraient',
    'dinguerais',
    'dinguerait',
    'dingueras',
    'dinguerez',
    'dinguerie',
    'dingueries',
    'dingueriez',
    'dinguerions',
    'dinguerons',
    'dingueront',
    'dingues',
    'dinguez',
    'dinguiez',
    'dinguions',
    'dinguons',
    'dinguâmes',
    'dinguât',
    'dinguâtes',
    'dinguèrent',
    'dingué',
    'dinguée',
    'dinguées',
    'dingués',
    'dinornis',
    'dinosaure',
    'dinosaures',
    'dinothérium',
    'dinothériums',
    'diocèse',
    'diocèses',
    'diocésain',
    'diocésaine',
    'diocésaines',
    'diocésains',
    'diode',
    'diodes',
    'dionysiaque',
    'dionysiaques',
    'dionée',
    'dionées',
    'dioptre',
    'dioptres',
    'dioptrie',
    'dioptries',
    'dioptrique',
    'dioptriques',
    'diorama',
    'dioramas',
    'diorite',
    'diorites',
    'dioxine',
    'dioxines',
    'dioxyde',
    'dioxydes',
    'dipalide',
    'dipalident',
    'dipalides',
    'diphasé',
    'diphasée',
    'diphasées',
    'diphasés',
    'diphtongua',
    'diphtonguai',
    'diphtonguais',
    'diphtonguait',
    'diphtonguant',
    'diphtonguas',
    'diphtongue',
    'diphtonguent',
    'diphtonguer',
    'diphtonguera',
    'diphtongues',
    'diphtonguez',
    'diphtonguiez',
    'diphtonguons',
    'diphtonguât',
    'diphtongué',
    'diphtonguée',
    'diphtonguées',
    'diphtongués',
    'diphtérie',
    'diphtéries',
    'diphtérique',
    'diphtériques',
    'diplocoque',
    'diplocoques',
    'diplodocus',
    'diplomate',
    'diplomates',
    'diplomatie',
    'diplomaties',
    'diplomatique',
    'diplopie',
    'diplopies',
    'diploïde',
    'diploïdes',
    'diplôma',
    'diplômai',
    'diplômaient',
    'diplômais',
    'diplômait',
    'diplômant',
    'diplômas',
    'diplômasse',
    'diplômassent',
    'diplômasses',
    'diplômassiez',
    'diplôme',
    'diplôment',
    'diplômer',
    'diplômera',
    'diplômerai',
    'diplômerais',
    'diplômerait',
    'diplômeras',
    'diplômerez',
    'diplômeriez',
    'diplômerions',
    'diplômerons',
    'diplômeront',
    'diplômes',
    'diplômez',
    'diplômiez',
    'diplômions',
    'diplômons',
    'diplômâmes',
    'diplômât',
    'diplômâtes',
    'diplômèrent',
    'diplômé',
    'diplômée',
    'diplômées',
    'diplômés',
    'dipneumoné',
    'dipneumonée',
    'dipneumonées',
    'dipneumonés',
    'dipode',
    'dipodes',
    'dipolaire',
    'dipolaires',
    'dipsomane',
    'dipsomanes',
    'dipsomanie',
    'dipsomanies',
    'diptyque',
    'diptyques',
    'diptère',
    'diptères',
    'dipétale',
    'dipétales',
    'dipôle',
    'dipôles',
    'dira',
    'dirai',
    'diraient',
    'dirais',
    'dirait',
    'diras',
    'dire',
    'direct',
    'directe',
    'directement',
    'directes',
    'directeur',
    'directeurs',
    'directif',
    'directifs',
    'direction',
    'directions',
    'directive',
    'directives',
    'directivisme',
    'directivité',
    'directivités',
    'directoire',
    'directoires',
    'directorat',
    'directorats',
    'directorial',
    'directoriale',
    'directoriaux',
    'directrice',
    'directrices',
    'directs',
    'dirent',
    'dires',
    'direz',
    'dirham',
    'dirhams',
    'dirhem',
    'dirhems',
    'diriez',
    'dirige',
    'dirigea',
    'dirigeable',
    'dirigeables',
    'dirigeai',
    'dirigeaient',
    'dirigeais',
    'dirigeait',
    'dirigeant',
    'dirigeante',
    'dirigeantes',
    'dirigeants',
    'dirigeas',
    'dirigeasse',
    'dirigeassent',
    'dirigeasses',
    'dirigeassiez',
    'dirigent',
    'dirigeons',
    'diriger',
    'dirigera',
    'dirigerai',
    'dirigeraient',
    'dirigerais',
    'dirigerait',
    'dirigeras',
    'dirigerez',
    'dirigeriez',
    'dirigerions',
    'dirigerons',
    'dirigeront',
    'diriges',
    'dirigez',
    'dirigeâmes',
    'dirigeât',
    'dirigeâtes',
    'dirigiez',
    'dirigions',
    'dirigisme',
    'dirigismes',
    'dirigiste',
    'dirigistes',
    'dirigèrent',
    'dirigé',
    'dirigée',
    'dirigées',
    'dirigés',
    'dirimant',
    'dirimante',
    'dirimantes',
    'dirimants',
    'dirions',
    'dirons',
    'diront',
    'disaccharide',
    'disaient',
    'disais',
    'disait',
    'disant',
    'discal',
    'discale',
    'discales',
    'discarthrose',
    'discaux',
    'discerna',
    'discernable',
    'discernables',
    'discernai',
    'discernaient',
    'discernais',
    'discernait',
    'discernant',
    'discernas',
    'discernasse',
    'discernasses',
    'discerne',
    'discernement',
    'discernent',
    'discerner',
    'discernera',
    'discernerai',
    'discernerais',
    'discernerait',
    'discerneras',
    'discernerez',
    'discerneriez',
    'discernerons',
    'discerneront',
    'discernes',
    'discernez',
    'discerniez',
    'discernions',
    'discernons',
    'discernâmes',
    'discernât',
    'discernâtes',
    'discernèrent',
    'discerné',
    'discernée',
    'discernées',
    'discernés',
    'disciple',
    'disciples',
    'disciplina',
    'disciplinai',
    'disciplinais',
    'disciplinait',
    'disciplinant',
    'disciplinas',
    'discipline',
    'disciplinent',
    'discipliner',
    'disciplinera',
    'disciplines',
    'disciplinez',
    'discipliniez',
    'disciplinons',
    'disciplinât',
    'discipliné',
    'disciplinée',
    'disciplinées',
    'disciplinés',
    'disco',
    'discobole',
    'discoboles',
    'discographie',
    'discontinu',
    'discontinua',
    'discontinuai',
    'discontinuas',
    'discontinue',
    'discontinuer',
    'discontinues',
    'discontinuez',
    'discontinus',
    'discontinuât',
    'discontinué',
    'disconvenais',
    'disconvenait',
    'disconvenant',
    'disconvenez',
    'disconveniez',
    'disconvenir',
    'disconvenons',
    'disconvenu',
    'disconvenue',
    'disconvenues',
    'disconvenus',
    'disconvienne',
    'disconviens',
    'disconvient',
    'disconvins',
    'disconvinsse',
    'disconvint',
    'disconvînmes',
    'disconvînt',
    'disconvîntes',
    'discopathie',
    'discopathies',
    'discophile',
    'discophiles',
    'discophilie',
    'discophilies',
    'discorda',
    'discordai',
    'discordaient',
    'discordais',
    'discordait',
    'discordance',
    'discordances',
    'discordant',
    'discordante',
    'discordantes',
    'discordants',
    'discordas',
    'discordasse',
    'discordasses',
    'discorde',
    'discordent',
    'discorder',
    'discordera',
    'discorderai',
    'discorderais',
    'discorderait',
    'discorderas',
    'discorderez',
    'discorderiez',
    'discorderons',
    'discorderont',
    'discordes',
    'discordez',
    'discordiez',
    'discordions',
    'discordons',
    'discordâmes',
    'discordât',
    'discordâtes',
    'discordèrent',
    'discordé',
    'discos',
    'discothèque',
    'discothèques',
    'discount',
    'discounter',
    'discounters',
    'discounteur',
    'discounteurs',
    'discounts',
    'discounté',
    'discountée',
    'discountées',
    'discountés',
    'discouraient',
    'discourais',
    'discourait',
    'discourant',
    'discoure',
    'discourent',
    'discoures',
    'discoureur',
    'discoureurs',
    'discoureuse',
    'discoureuses',
    'discourez',
    'discouriez',
    'discourions',
    'discourir',
    'discourons',
    'discourra',
    'discourrai',
    'discourrais',
    'discourrait',
    'discourras',
    'discourrez',
    'discourriez',
    'discourrions',
    'discourrons',
    'discourront',
    'discours',
    'discourt',
    'discourtois',
    'discourtoise',
    'discouru',
    'discourue',
    'discourues',
    'discoururent',
    'discourus',
    'discourusse',
    'discourusses',
    'discourut',
    'discourûmes',
    'discourût',
    'discourûtes',
    'discoïdal',
    'discoïdale',
    'discoïdales',
    'discoïdaux',
    'discoïde',
    'discoïdes',
    'discret',
    'discrets',
    'discrimina',
    'discriminai',
    'discriminais',
    'discriminait',
    'discriminant',
    'discriminas',
    'discrimine',
    'discriminent',
    'discriminer',
    'discriminera',
    'discrimines',
    'discriminez',
    'discriminiez',
    'discriminons',
    'discriminât',
    'discriminé',
    'discriminée',
    'discriminées',
    'discriminés',
    'discrète',
    'discrètement',
    'discrètes',
    'discrédit',
    'discrédita',
    'discréditai',
    'discréditais',
    'discréditait',
    'discréditant',
    'discréditas',
    'discrédite',
    'discréditent',
    'discréditer',
    'discréditera',
    'discrédites',
    'discréditez',
    'discréditiez',
    'discréditons',
    'discrédits',
    'discréditât',
    'discrédité',
    'discréditée',
    'discréditées',
    'discrédités',
    'discrétion',
    'discrétions',
    'discrétoire',
    'discrétoires',
    'disculpa',
    'disculpai',
    'disculpaient',
    'disculpais',
    'disculpait',
    'disculpant',
    'disculpas',
    'disculpasse',
    'disculpasses',
    'disculpation',
    'disculpe',
    'disculpent',
    'disculper',
    'disculpera',
    'disculperai',
    'disculperais',
    'disculperait',
    'disculperas',
    'disculperez',
    'disculperiez',
    'disculperons',
    'disculperont',
    'disculpes',
    'disculpez',
    'disculpiez',
    'disculpions',
    'disculpons',
    'disculpâmes',
    'disculpât',
    'disculpâtes',
    'disculpèrent',
    'disculpé',
    'disculpée',
    'disculpées',
    'disculpés',
    'discursif',
    'discursifs',
    'discursive',
    'discursives',
    'discussion',
    'discussions',
    'discuta',
    'discutable',
    'discutables',
    'discutai',
    'discutaient',
    'discutailla',
    'discutaillai',
    'discutaillas',
    'discutaille',
    'discutailler',
    'discutailles',
    'discutaillez',
    'discutaillât',
    'discutaillé',
    'discutaillée',
    'discutaillés',
    'discutais',
    'discutait',
    'discutant',
    'discutas',
    'discutasse',
    'discutassent',
    'discutasses',
    'discutassiez',
    'discute',
    'discutent',
    'discuter',
    'discutera',
    'discuterai',
    'discuterais',
    'discuterait',
    'discuteras',
    'discuterez',
    'discuteriez',
    'discuterions',
    'discuterons',
    'discuteront',
    'discutes',
    'discuteur',
    'discuteurs',
    'discuteuse',
    'discuteuses',
    'discutez',
    'discutiez',
    'discutions',
    'discutons',
    'discutâmes',
    'discutât',
    'discutâtes',
    'discutèrent',
    'discuté',
    'discutée',
    'discutées',
    'discutés',
    'dise',
    'disent',
    'disert',
    'diserte',
    'disertement',
    'disertes',
    'diserts',
    'dises',
    'disette',
    'disettes',
    'disetteuse',
    'disetteuses',
    'disetteux',
    'diseur',
    'diseurs',
    'diseuse',
    'diseuses',
    'disgracia',
    'disgraciai',
    'disgraciais',
    'disgraciait',
    'disgraciant',
    'disgracias',
    'disgraciasse',
    'disgracie',
    'disgracient',
    'disgracier',
    'disgraciera',
    'disgracierai',
    'disgracieras',
    'disgracierez',
    'disgracies',
    'disgracieuse',
    'disgracieux',
    'disgraciez',
    'disgraciiez',
    'disgraciions',
    'disgracions',
    'disgraciâmes',
    'disgraciât',
    'disgraciâtes',
    'disgracié',
    'disgraciée',
    'disgraciées',
    'disgraciés',
    'disgrâce',
    'disgrâces',
    'disharmonie',
    'disharmonies',
    'disiez',
    'disions',
    'disjoignais',
    'disjoignait',
    'disjoignant',
    'disjoigne',
    'disjoignent',
    'disjoignes',
    'disjoignez',
    'disjoigniez',
    'disjoignions',
    'disjoignis',
    'disjoignisse',
    'disjoignit',
    'disjoignons',
    'disjoignîmes',
    'disjoignît',
    'disjoignîtes',
    'disjoindra',
    'disjoindrai',
    'disjoindrais',
    'disjoindrait',
    'disjoindras',
    'disjoindre',
    'disjoindrez',
    'disjoindriez',
    'disjoindrons',
    'disjoindront',
    'disjoins',
    'disjoint',
    'disjointe',
    'disjointes',
    'disjoints',
    'disjoncta',
    'disjonctai',
    'disjonctais',
    'disjonctait',
    'disjonctant',
    'disjonctas',
    'disjonctasse',
    'disjoncte',
    'disjonctent',
    'disjoncter',
    'disjonctera',
    'disjoncterai',
    'disjoncteras',
    'disjoncterez',
    'disjonctes',
    'disjoncteur',
    'disjoncteurs',
    'disjonctez',
    'disjonctiez',
    'disjonctif',
    'disjonctifs',
    'disjonction',
    'disjonctions',
    'disjonctive',
    'disjonctives',
    'disjonctons',
    'disjonctâmes',
    'disjonctât',
    'disjonctâtes',
    'disjoncté',
    'disjonctée',
    'disjonctées',
    'disjonctés',
    'dislocation',
    'dislocations',
    'disloqua',
    'disloquai',
    'disloquaient',
    'disloquais',
    'disloquait',
    'disloquant',
    'disloquas',
    'disloquasse',
    'disloquasses',
    'disloque',
    'disloquent',
    'disloquer',
    'disloquera',
    'disloquerai',
    'disloquerais',
    'disloquerait',
    'disloqueras',
    'disloquerez',
    'disloqueriez',
    'disloquerons',
    'disloqueront',
    'disloques',
    'disloquez',
    'disloquiez',
    'disloquions',
    'disloquons',
    'disloquâmes',
    'disloquât',
    'disloquâtes',
    'disloquèrent',
    'disloqué',
    'disloquée',
    'disloquées',
    'disloqués',
    'disons',
    'disparais',
    'disparaisse',
    'disparaisses',
    'disparaissez',
    'disparate',
    'disparates',
    'disparation',
    'disparations',
    'disparaît',
    'disparaîtra',
    'disparaîtrai',
    'disparaîtras',
    'disparaître',
    'disparaîtrez',
    'disparition',
    'disparitions',
    'disparité',
    'disparités',
    'disparu',
    'disparue',
    'disparues',
    'disparurent',
    'disparus',
    'disparusse',
    'disparussent',
    'disparusses',
    'disparussiez',
    'disparut',
    'disparûmes',
    'disparût',
    'disparûtes',
    'dispatch',
    'dispatcher',
    'dispatchers',
    'dispatching',
    'dispatchings',
    'dispendieuse',
    'dispendieux',
    'dispensa',
    'dispensable',
    'dispensables',
    'dispensai',
    'dispensaient',
    'dispensaire',
    'dispensaires',
    'dispensais',
    'dispensait',
    'dispensant',
    'dispensas',
    'dispensasse',
    'dispensasses',
    'dispensateur',
    'dispense',
    'dispensent',
    'dispenser',
    'dispensera',
    'dispenserai',
    'dispenserais',
    'dispenserait',
    'dispenseras',
    'dispenserez',
    'dispenseriez',
    'dispenserons',
    'dispenseront',
    'dispenses',
    'dispensez',
    'dispensiez',
    'dispensions',
    'dispensons',
    'dispensâmes',
    'dispensât',
    'dispensâtes',
    'dispensèrent',
    'dispensé',
    'dispensée',
    'dispensées',
    'dispensés',
    'dispersa',
    'dispersai',
    'dispersaient',
    'dispersais',
    'dispersait',
    'dispersal',
    'dispersals',
    'dispersant',
    'dispersante',
    'dispersantes',
    'dispersants',
    'dispersas',
    'dispersasse',
    'dispersasses',
    'disperse',
    'dispersement',
    'dispersent',
    'disperser',
    'dispersera',
    'disperserai',
    'disperserais',
    'disperserait',
    'disperseras',
    'disperserez',
    'disperseriez',
    'disperserons',
    'disperseront',
    'disperses',
    'dispersez',
    'dispersiez',
    'dispersif',
    'dispersifs',
    'dispersion',
    'dispersions',
    'dispersive',
    'dispersives',
    'dispersons',
    'dispersâmes',
    'dispersât',
    'dispersâtes',
    'dispersèrent',
    'dispersé',
    'dispersée',
    'dispersées',
    'dispersés',
    'disponible',
    'disponibles',
    'dispos',
    'disposa',
    'disposai',
    'disposaient',
    'disposais',
    'disposait',
    'disposant',
    'disposas',
    'disposasse',
    'disposassent',
    'disposasses',
    'disposassiez',
    'dispose',
    'disposent',
    'disposer',
    'disposera',
    'disposerai',
    'disposerais',
    'disposerait',
    'disposeras',
    'disposerez',
    'disposeriez',
    'disposerions',
    'disposerons',
    'disposeront',
    'disposes',
    'disposez',
    'disposiez',
    'disposions',
    'dispositif',
    'dispositifs',
    'disposition',
    'dispositions',
    'disposons',
    'disposâmes',
    'disposât',
    'disposâtes',
    'disposèrent',
    'disposé',
    'disposée',
    'disposées',
    'disposés',
    'disputa',
    'disputai',
    'disputaient',
    'disputailla',
    'disputaillai',
    'disputaillas',
    'disputaille',
    'disputailler',
    'disputailles',
    'disputaillez',
    'disputaillât',
    'disputaillé',
    'disputais',
    'disputait',
    'disputant',
    'disputas',
    'disputasse',
    'disputassent',
    'disputasses',
    'disputassiez',
    'dispute',
    'disputent',
    'disputer',
    'disputera',
    'disputerai',
    'disputerais',
    'disputerait',
    'disputeras',
    'disputerez',
    'disputeriez',
    'disputerions',
    'disputerons',
    'disputeront',
    'disputes',
    'disputez',
    'disputiez',
    'disputions',
    'disputons',
    'disputâmes',
    'disputât',
    'disputâtes',
    'disputèrent',
    'disputé',
    'disputée',
    'disputées',
    'disputés',
    'disquaire',
    'disquaires',
    'disqualifia',
    'disqualifiai',
    'disqualifias',
    'disqualifie',
    'disqualifier',
    'disqualifies',
    'disqualifiez',
    'disqualifiât',
    'disqualifié',
    'disqualifiée',
    'disqualifiés',
    'disque',
    'disques',
    'disquette',
    'disquettes',
    'disruptif',
    'disruptifs',
    'disruptive',
    'disruptives',
    'disse',
    'dissecteur',
    'dissecteurs',
    'dissection',
    'dissections',
    'dissemblable',
    'dissemblance',
    'dissension',
    'dissensions',
    'dissent',
    'dissentiment',
    'disserta',
    'dissertai',
    'dissertaient',
    'dissertais',
    'dissertait',
    'dissertant',
    'dissertas',
    'dissertasse',
    'dissertasses',
    'dissertation',
    'disserte',
    'dissertent',
    'disserter',
    'dissertera',
    'disserterai',
    'disserterais',
    'disserterait',
    'disserteras',
    'disserterez',
    'disserteriez',
    'disserterons',
    'disserteront',
    'dissertes',
    'dissertez',
    'dissertiez',
    'dissertions',
    'dissertons',
    'dissertâmes',
    'dissertât',
    'dissertâtes',
    'dissertèrent',
    'disserté',
    'disses',
    'dissidence',
    'dissidences',
    'dissident',
    'dissidente',
    'dissidentes',
    'dissidents',
    'dissiez',
    'dissimula',
    'dissimulai',
    'dissimulais',
    'dissimulait',
    'dissimulant',
    'dissimulas',
    'dissimulasse',
    'dissimule',
    'dissimulent',
    'dissimuler',
    'dissimulera',
    'dissimulerai',
    'dissimuleras',
    'dissimulerez',
    'dissimules',
    'dissimulez',
    'dissimuliez',
    'dissimulions',
    'dissimulons',
    'dissimulâmes',
    'dissimulât',
    'dissimulâtes',
    'dissimulé',
    'dissimulée',
    'dissimulées',
    'dissimulés',
    'dissions',
    'dissipa',
    'dissipai',
    'dissipaient',
    'dissipais',
    'dissipait',
    'dissipant',
    'dissipas',
    'dissipasse',
    'dissipassent',
    'dissipasses',
    'dissipassiez',
    'dissipateur',
    'dissipateurs',
    'dissipation',
    'dissipations',
    'dissipatrice',
    'dissipe',
    'dissipent',
    'dissiper',
    'dissipera',
    'dissiperai',
    'dissiperais',
    'dissiperait',
    'dissiperas',
    'dissiperez',
    'dissiperiez',
    'dissiperions',
    'dissiperons',
    'dissiperont',
    'dissipes',
    'dissipez',
    'dissipiez',
    'dissipions',
    'dissipons',
    'dissipâmes',
    'dissipât',
    'dissipâtes',
    'dissipèrent',
    'dissipé',
    'dissipée',
    'dissipées',
    'dissipés',
    'dissocia',
    'dissociable',
    'dissociables',
    'dissociai',
    'dissociaient',
    'dissociais',
    'dissociait',
    'dissociant',
    'dissocias',
    'dissociasse',
    'dissociasses',
    'dissociation',
    'dissocie',
    'dissocient',
    'dissocier',
    'dissociera',
    'dissocierai',
    'dissocierais',
    'dissocierait',
    'dissocieras',
    'dissocierez',
    'dissocieriez',
    'dissocierons',
    'dissocieront',
    'dissocies',
    'dissociez',
    'dissociiez',
    'dissociions',
    'dissocions',
    'dissociâmes',
    'dissociât',
    'dissociâtes',
    'dissocièrent',
    'dissocié',
    'dissociée',
    'dissociées',
    'dissociés',
    'dissolu',
    'dissoluble',
    'dissolubles',
    'dissolue',
    'dissolues',
    'dissolus',
    'dissolutif',
    'dissolutifs',
    'dissolution',
    'dissolutions',
    'dissolutive',
    'dissolutives',
    'dissolvaient',
    'dissolvais',
    'dissolvait',
    'dissolvant',
    'dissolvante',
    'dissolvantes',
    'dissolvants',
    'dissolve',
    'dissolvent',
    'dissolves',
    'dissolvez',
    'dissolviez',
    'dissolvions',
    'dissolvons',
    'dissona',
    'dissonai',
    'dissonaient',
    'dissonais',
    'dissonait',
    'dissonance',
    'dissonances',
    'dissonant',
    'dissonante',
    'dissonantes',
    'dissonants',
    'dissonas',
    'dissonasse',
    'dissonassent',
    'dissonasses',
    'dissonassiez',
    'dissone',
    'dissonent',
    'dissoner',
    'dissonera',
    'dissonerai',
    'dissonerais',
    'dissonerait',
    'dissoneras',
    'dissonerez',
    'dissoneriez',
    'dissonerions',
    'dissonerons',
    'dissoneront',
    'dissones',
    'dissonez',
    'dissoniez',
    'dissonions',
    'dissonons',
    'dissonâmes',
    'dissonât',
    'dissonâtes',
    'dissonèrent',
    'dissoné',
    'dissoudra',
    'dissoudrai',
    'dissoudrais',
    'dissoudrait',
    'dissoudras',
    'dissoudre',
    'dissoudrez',
    'dissoudriez',
    'dissoudrions',
    'dissoudrons',
    'dissoudront',
    'dissous',
    'dissout',
    'dissoute',
    'dissoutes',
    'dissuada',
    'dissuadai',
    'dissuadaient',
    'dissuadais',
    'dissuadait',
    'dissuadant',
    'dissuadas',
    'dissuadasse',
    'dissuadasses',
    'dissuade',
    'dissuadent',
    'dissuader',
    'dissuadera',
    'dissuaderai',
    'dissuaderais',
    'dissuaderait',
    'dissuaderas',
    'dissuaderez',
    'dissuaderiez',
    'dissuaderons',
    'dissuaderont',
    'dissuades',
    'dissuadez',
    'dissuadiez',
    'dissuadions',
    'dissuadons',
    'dissuadâmes',
    'dissuadât',
    'dissuadâtes',
    'dissuadèrent',
    'dissuadé',
    'dissuadée',
    'dissuadées',
    'dissuadés',
    'dissuasif',
    'dissuasifs',
    'dissuasion',
    'dissuasions',
    'dissuasive',
    'dissuasives',
    'dissyllabe',
    'dissyllabes',
    'dissymétrie',
    'dissymétries',
    'dissèque',
    'dissèquent',
    'dissèques',
    'dissémina',
    'disséminai',
    'disséminais',
    'disséminait',
    'disséminant',
    'disséminas',
    'disséminasse',
    'dissémine',
    'disséminent',
    'disséminer',
    'disséminera',
    'disséminerai',
    'dissémineras',
    'disséminerez',
    'dissémines',
    'disséminez',
    'disséminiez',
    'disséminions',
    'disséminons',
    'disséminâmes',
    'disséminât',
    'disséminâtes',
    'disséminé',
    'disséminée',
    'disséminées',
    'disséminés',
    'disséqua',
    'disséquai',
    'disséquaient',
    'disséquais',
    'disséquait',
    'disséquant',
    'disséquas',
    'disséquasse',
    'disséquasses',
    'disséquer',
    'disséquera',
    'disséquerai',
    'disséquerais',
    'disséquerait',
    'disséqueras',
    'disséquerez',
    'disséqueriez',
    'disséquerons',
    'disséqueront',
    'disséqueur',
    'disséqueurs',
    'disséquez',
    'disséquiez',
    'disséquions',
    'disséquons',
    'disséquâmes',
    'disséquât',
    'disséquâtes',
    'disséquèrent',
    'disséqué',
    'disséquée',
    'disséquées',
    'disséqués',
    'distal',
    'distale',
    'distales',
    'distance',
    'distancent',
    'distancer',
    'distancera',
    'distancerai',
    'distancerais',
    'distancerait',
    'distanceras',
    'distancerez',
    'distanceriez',
    'distancerons',
    'distanceront',
    'distances',
    'distancez',
    'distancia',
    'distanciai',
    'distanciais',
    'distanciait',
    'distanciant',
    'distancias',
    'distanciasse',
    'distancie',
    'distancient',
    'distancier',
    'distanciera',
    'distancierai',
    'distancieras',
    'distancierez',
    'distancies',
    'distanciez',
    'distanciiez',
    'distanciions',
    'distancions',
    'distanciâmes',
    'distanciât',
    'distanciâtes',
    'distancié',
    'distanciée',
    'distanciées',
    'distanciés',
    'distancèrent',
    'distancé',
    'distancée',
    'distancées',
    'distancés',
    'distant',
    'distante',
    'distantes',
    'distants',
    'distança',
    'distançai',
    'distançaient',
    'distançais',
    'distançait',
    'distançant',
    'distanças',
    'distançasse',
    'distançasses',
    'distançons',
    'distançâmes',
    'distançât',
    'distançâtes',
    'distaux',
    'distend',
    'distendaient',
    'distendais',
    'distendait',
    'distendant',
    'distende',
    'distendent',
    'distendes',
    'distendez',
    'distendiez',
    'distendions',
    'distendirent',
    'distendis',
    'distendisse',
    'distendisses',
    'distendit',
    'distendons',
    'distendra',
    'distendrai',
    'distendrais',
    'distendrait',
    'distendras',
    'distendre',
    'distendrez',
    'distendriez',
    'distendrions',
    'distendrons',
    'distendront',
    'distends',
    'distendu',
    'distendue',
    'distendues',
    'distendus',
    'distendîmes',
    'distendît',
    'distendîtes',
    'distension',
    'distensions',
    'disthène',
    'disthènes',
    'distilla',
    'distillai',
    'distillaient',
    'distillais',
    'distillait',
    'distillant',
    'distillas',
    'distillasse',
    'distillasses',
    'distillat',
    'distillateur',
    'distillation',
    'distillats',
    'distille',
    'distillent',
    'distiller',
    'distillera',
    'distillerai',
    'distillerais',
    'distillerait',
    'distilleras',
    'distillerez',
    'distillerie',
    'distilleries',
    'distilleriez',
    'distillerons',
    'distilleront',
    'distilles',
    'distillez',
    'distilliez',
    'distillions',
    'distillons',
    'distillâmes',
    'distillât',
    'distillâtes',
    'distillèrent',
    'distillé',
    'distillée',
    'distillées',
    'distillés',
    'distinct',
    'distincte',
    'distinctes',
    'distinctif',
    'distinctifs',
    'distinction',
    'distinctions',
    'distinctive',
    'distinctives',
    'distincts',
    'distingua',
    'distinguable',
    'distinguai',
    'distinguais',
    'distinguait',
    'distinguant',
    'distinguas',
    'distinguasse',
    'distingue',
    'distinguent',
    'distinguer',
    'distinguera',
    'distinguerai',
    'distingueras',
    'distinguerez',
    'distingues',
    'distinguez',
    'distinguiez',
    'distinguions',
    'distinguo',
    'distinguons',
    'distinguos',
    'distinguâmes',
    'distinguât',
    'distinguâtes',
    'distingué',
    'distinguée',
    'distinguées',
    'distingués',
    'distique',
    'distiques',
    'distord',
    'distordaient',
    'distordais',
    'distordait',
    'distordant',
    'distorde',
    'distordent',
    'distordes',
    'distordez',
    'distordiez',
    'distordions',
    'distordirent',
    'distordis',
    'distordisse',
    'distordisses',
    'distordit',
    'distordons',
    'distordra',
    'distordrai',
    'distordrais',
    'distordrait',
    'distordras',
    'distordre',
    'distordrez',
    'distordriez',
    'distordrions',
    'distordrons',
    'distordront',
    'distords',
    'distordu',
    'distordue',
    'distordues',
    'distordus',
    'distordîmes',
    'distordît',
    'distordîtes',
    'distorsion',
    'distorsions',
    'distraction',
    'distractions',
    'distraie',
    'distraient',
    'distraies',
    'distraira',
    'distrairai',
    'distrairais',
    'distrairait',
    'distrairas',
    'distraire',
    'distrairez',
    'distrairiez',
    'distrairions',
    'distrairons',
    'distrairont',
    'distrais',
    'distrait',
    'distraite',
    'distraites',
    'distraits',
    'distrayaient',
    'distrayais',
    'distrayait',
    'distrayant',
    'distrayante',
    'distrayantes',
    'distrayants',
    'distrayez',
    'distrayiez',
    'distrayions',
    'distrayons',
    'distribua',
    'distribuable',
    'distribuai',
    'distribuais',
    'distribuait',
    'distribuant',
    'distribuas',
    'distribuasse',
    'distribue',
    'distribuent',
    'distribuer',
    'distribuera',
    'distribuerai',
    'distribueras',
    'distribuerez',
    'distribues',
    'distribuez',
    'distribuiez',
    'distribuions',
    'distribuons',
    'distributeur',
    'distributif',
    'distributifs',
    'distribution',
    'distributive',
    'distribuâmes',
    'distribuât',
    'distribuâtes',
    'distribué',
    'distribuée',
    'distribuées',
    'distribués',
    'district',
    'districts',
    'distyle',
    'distyles',
    'dite',
    'dites',
    'dithyrambe',
    'dithyrambes',
    'dito',
    'dits',
    'diurnal',
    'diurnaux',
    'diurne',
    'diurnes',
    'diurèse',
    'diurèses',
    'diurétique',
    'diurétiques',
    'diva',
    'divagateur',
    'divagateurs',
    'divagation',
    'divagations',
    'divagatrice',
    'divagatrices',
    'divagua',
    'divaguai',
    'divaguaient',
    'divaguais',
    'divaguait',
    'divaguant',
    'divaguas',
    'divaguasse',
    'divaguassent',
    'divaguasses',
    'divaguassiez',
    'divague',
    'divaguent',
    'divaguer',
    'divaguera',
    'divaguerai',
    'divaguerais',
    'divaguerait',
    'divagueras',
    'divaguerez',
    'divagueriez',
    'divaguerions',
    'divaguerons',
    'divagueront',
    'divagues',
    'divaguez',
    'divaguiez',
    'divaguions',
    'divaguons',
    'divaguâmes',
    'divaguât',
    'divaguâtes',
    'divaguèrent',
    'divagué',
    'divan',
    'divans',
    'divas',
    'diverge',
    'divergea',
    'divergeai',
    'divergeaient',
    'divergeais',
    'divergeait',
    'divergeant',
    'divergeas',
    'divergeasse',
    'divergeasses',
    'divergence',
    'divergences',
    'divergent',
    'divergente',
    'divergentes',
    'divergents',
    'divergeons',
    'diverger',
    'divergera',
    'divergerai',
    'divergerais',
    'divergerait',
    'divergeras',
    'divergerez',
    'divergeriez',
    'divergerions',
    'divergerons',
    'divergeront',
    'diverges',
    'divergez',
    'divergeâmes',
    'divergeât',
    'divergeâtes',
    'divergiez',
    'divergions',
    'divergèrent',
    'divergé',
    'divergée',
    'divergées',
    'divergés',
    'divers',
    'diverse',
    'diversement',
    'diverses',
    'diversifia',
    'diversifiai',
    'diversifiais',
    'diversifiait',
    'diversifiant',
    'diversifias',
    'diversifie',
    'diversifient',
    'diversifier',
    'diversifiera',
    'diversifies',
    'diversifiez',
    'diversifiiez',
    'diversifions',
    'diversifiât',
    'diversifié',
    'diversifiée',
    'diversifiées',
    'diversifiés',
    'diversiforme',
    'diversion',
    'diversions',
    'diversité',
    'diversités',
    'diverti',
    'diverticule',
    'diverticules',
    'divertie',
    'diverties',
    'divertimento',
    'divertir',
    'divertira',
    'divertirai',
    'divertirais',
    'divertirait',
    'divertiras',
    'divertirent',
    'divertirez',
    'divertiriez',
    'divertirions',
    'divertirons',
    'divertiront',
    'divertis',
    'divertissais',
    'divertissait',
    'divertissant',
    'divertisse',
    'divertissent',
    'divertisses',
    'divertissez',
    'divertissiez',
    'divertissons',
    'divertit',
    'divertîmes',
    'divertît',
    'divertîtes',
    'divette',
    'divettes',
    'dividende',
    'dividendes',
    'divin',
    'divinateur',
    'divinateurs',
    'divination',
    'divinations',
    'divinatoire',
    'divinatoires',
    'divinatrice',
    'divinatrices',
    'divine',
    'divinement',
    'divines',
    'divinisa',
    'divinisai',
    'divinisaient',
    'divinisais',
    'divinisait',
    'divinisant',
    'divinisas',
    'divinisasse',
    'divinisasses',
    'divinisation',
    'divinise',
    'divinisent',
    'diviniser',
    'divinisera',
    'diviniserai',
    'diviniserais',
    'diviniserait',
    'diviniseras',
    'diviniserez',
    'diviniseriez',
    'diviniserons',
    'diviniseront',
    'divinises',
    'divinisez',
    'divinisiez',
    'divinisions',
    'divinisons',
    'divinisâmes',
    'divinisât',
    'divinisâtes',
    'divinisèrent',
    'divinisé',
    'divinisée',
    'divinisées',
    'divinisés',
    'divinité',
    'divinités',
    'divins',
    'divis',
    'divisa',
    'divisai',
    'divisaient',
    'divisais',
    'divisait',
    'divisant',
    'divisas',
    'divisasse',
    'divisassent',
    'divisasses',
    'divisassiez',
    'divisassions',
    'divise',
    'divisent',
    'diviser',
    'divisera',
    'diviserai',
    'diviseraient',
    'diviserais',
    'diviserait',
    'diviseras',
    'diviserez',
    'diviseriez',
    'diviserions',
    'diviserons',
    'diviseront',
    'divises',
    'diviseur',
    'diviseurs',
    'divisez',
    'divisibilité',
    'divisible',
    'divisibles',
    'divisiez',
    'division',
    'divisions',
    'divisons',
    'divisâmes',
    'divisât',
    'divisâtes',
    'divisèrent',
    'divisé',
    'divisée',
    'divisées',
    'divisés',
    'divorce',
    'divorcent',
    'divorcer',
    'divorcera',
    'divorcerai',
    'divorcerais',
    'divorcerait',
    'divorceras',
    'divorcerez',
    'divorceriez',
    'divorcerions',
    'divorcerons',
    'divorceront',
    'divorces',
    'divorcez',
    'divorciez',
    'divorcions',
    'divorcèrent',
    'divorcé',
    'divorcée',
    'divorcées',
    'divorcés',
    'divorça',
    'divorçai',
    'divorçaient',
    'divorçais',
    'divorçait',
    'divorçant',
    'divorças',
    'divorçasse',
    'divorçassent',
    'divorçasses',
    'divorçassiez',
    'divorçons',
    'divorçâmes',
    'divorçât',
    'divorçâtes',
    'divulgateur',
    'divulgateurs',
    'divulgation',
    'divulgations',
    'divulgatrice',
    'divulgua',
    'divulguai',
    'divulguaient',
    'divulguais',
    'divulguait',
    'divulguant',
    'divulguas',
    'divulguasse',
    'divulguasses',
    'divulgue',
    'divulguent',
    'divulguer',
    'divulguera',
    'divulguerai',
    'divulguerais',
    'divulguerait',
    'divulgueras',
    'divulguerez',
    'divulgueriez',
    'divulguerons',
    'divulgueront',
    'divulgues',
    'divulguez',
    'divulguiez',
    'divulguions',
    'divulguons',
    'divulguâmes',
    'divulguât',
    'divulguâtes',
    'divulguèrent',
    'divulgué',
    'divulguée',
    'divulguées',
    'divulgués',
    'dixième',
    'dixièmes',
    'dizain',
    'dizaine',
    'dizaines',
    'dizains',
    'dizygote',
    'dizygotes',
    'dièse',
    'dièses',
    'diète',
    'diètes',
    'diélectrique',
    'diérèse',
    'diérèses',
    'diéser',
    'diéséliste',
    'diésélistes',
    'diététicien',
    'diététiciens',
    'diététique',
    'diététiques',
    'djaïn',
    'djaïnisme',
    'djaïnismes',
    'djaïns',
    'djellaba',
    'djellabas',
    'djinn',
    'djinns',
    'doberman',
    'dobermans',
    'docile',
    'docilement',
    'dociles',
    'docilité',
    'docilités',
    'docimasie',
    'docimasies',
    'docimologie',
    'docimologies',
    'dock',
    'docker',
    'dockers',
    'docks',
    'docte',
    'doctement',
    'doctes',
    'docteur',
    'docteurs',
    'doctoral',
    'doctorale',
    'doctorales',
    'doctorant',
    'doctorante',
    'doctorantes',
    'doctorants',
    'doctorat',
    'doctorats',
    'doctoraux',
    'doctoresse',
    'doctoresses',
    'doctrinaire',
    'doctrinaires',
    'doctrinal',
    'doctrinale',
    'doctrinales',
    'doctrinaux',
    'doctrine',
    'doctrines',
    'document',
    'documenta',
    'documentai',
    'documentaire',
    'documentais',
    'documentait',
    'documentant',
    'documentas',
    'documentasse',
    'documente',
    'documentent',
    'documenter',
    'documentera',
    'documenterai',
    'documenteras',
    'documenterez',
    'documentes',
    'documentez',
    'documentiez',
    'documentions',
    'documentons',
    'documents',
    'documentâmes',
    'documentât',
    'documentâtes',
    'documenté',
    'documentée',
    'documentées',
    'documentés',
    'dodelina',
    'dodelinai',
    'dodelinaient',
    'dodelinais',
    'dodelinait',
    'dodelinant',
    'dodelinas',
    'dodelinasse',
    'dodelinasses',
    'dodeline',
    'dodelinement',
    'dodelinent',
    'dodeliner',
    'dodelinera',
    'dodelinerai',
    'dodelinerais',
    'dodelinerait',
    'dodelineras',
    'dodelinerez',
    'dodelineriez',
    'dodelinerons',
    'dodelineront',
    'dodelines',
    'dodelinez',
    'dodeliniez',
    'dodelinions',
    'dodelinons',
    'dodelinâmes',
    'dodelinât',
    'dodelinâtes',
    'dodelinèrent',
    'dodeliné',
    'dodelinée',
    'dodelinées',
    'dodelinés',
    'dodina',
    'dodinai',
    'dodinaient',
    'dodinais',
    'dodinait',
    'dodinant',
    'dodinas',
    'dodinasse',
    'dodinassent',
    'dodinasses',
    'dodinassiez',
    'dodinassions',
    'dodine',
    'dodinent',
    'dodiner',
    'dodinera',
    'dodinerai',
    'dodineraient',
    'dodinerais',
    'dodinerait',
    'dodineras',
    'dodinerez',
    'dodineriez',
    'dodinerions',
    'dodinerons',
    'dodineront',
    'dodines',
    'dodinez',
    'dodiniez',
    'dodinions',
    'dodinons',
    'dodinâmes',
    'dodinât',
    'dodinâtes',
    'dodinèrent',
    'dodiné',
    'dodinée',
    'dodinées',
    'dodinés',
    'dodo',
    'dodos',
    'dodu',
    'dodue',
    'dodues',
    'dodus',
    'dodécagonal',
    'dodécagonale',
    'dodécagonaux',
    'dodécagone',
    'dodécagones',
    'dodécastyle',
    'dodécastyles',
    'doge',
    'doges',
    'dogger',
    'doggers',
    'dogmatique',
    'dogmatiques',
    'dogmatisa',
    'dogmatisai',
    'dogmatisais',
    'dogmatisait',
    'dogmatisant',
    'dogmatisas',
    'dogmatisasse',
    'dogmatise',
    'dogmatisent',
    'dogmatiser',
    'dogmatisera',
    'dogmatiserai',
    'dogmatiseras',
    'dogmatiserez',
    'dogmatises',
    'dogmatiseur',
    'dogmatiseurs',
    'dogmatisez',
    'dogmatisiez',
    'dogmatisions',
    'dogmatisme',
    'dogmatismes',
    'dogmatisons',
    'dogmatiste',
    'dogmatistes',
    'dogmatisâmes',
    'dogmatisât',
    'dogmatisâtes',
    'dogmatisé',
    'dogmatisée',
    'dogmatisées',
    'dogmatisés',
    'dogme',
    'dogmes',
    'dogue',
    'dogues',
    'doigt',
    'doigta',
    'doigtai',
    'doigtaient',
    'doigtais',
    'doigtait',
    'doigtant',
    'doigtas',
    'doigtasse',
    'doigtassent',
    'doigtasses',
    'doigtassiez',
    'doigtassions',
    'doigte',
    'doigtent',
    'doigter',
    'doigtera',
    'doigterai',
    'doigteraient',
    'doigterais',
    'doigterait',
    'doigteras',
    'doigterez',
    'doigteriez',
    'doigterions',
    'doigterons',
    'doigteront',
    'doigtes',
    'doigtez',
    'doigtier',
    'doigtiers',
    'doigtiez',
    'doigtions',
    'doigtons',
    'doigts',
    'doigtâmes',
    'doigtât',
    'doigtâtes',
    'doigtèrent',
    'doigté',
    'doigtée',
    'doigtées',
    'doigtés',
    'dois',
    'doit',
    'doive',
    'doivent',
    'doives',
    'dola',
    'dolai',
    'dolaient',
    'dolais',
    'dolait',
    'dolant',
    'dolas',
    'dolasse',
    'dolassent',
    'dolasses',
    'dolassiez',
    'dolassions',
    'dolce',
    'dolcissimo',
    'dole',
    'doleau',
    'doleaux',
    'dolent',
    'dolente',
    'dolentes',
    'dolents',
    'doler',
    'dolera',
    'dolerai',
    'doleraient',
    'dolerais',
    'dolerait',
    'doleras',
    'dolerez',
    'doleriez',
    'dolerions',
    'dolerons',
    'doleront',
    'doles',
    'dolez',
    'dolic',
    'dolics',
    'doliez',
    'doline',
    'dolines',
    'dolions',
    'dollar',
    'dollars',
    'dolman',
    'dolmans',
    'dolmen',
    'dolmens',
    'doloire',
    'doloires',
    'dolomie',
    'dolomies',
    'dolomite',
    'dolomites',
    'dolomitique',
    'dolomitiques',
    'dolons',
    'dolorisme',
    'dolorismes',
    'dolosif',
    'dolosifs',
    'dolosive',
    'dolosives',
    'dols',
    'dolâmes',
    'dolât',
    'dolâtes',
    'dolèrent',
    'dolé',
    'doléances',
    'dolée',
    'dolées',
    'dolés',
    'domaine',
    'domaines',
    'domanial',
    'domaniale',
    'domaniales',
    'domanialité',
    'domanialités',
    'domaniaux',
    'domesticité',
    'domesticités',
    'domestiqua',
    'domestiquai',
    'domestiquais',
    'domestiquait',
    'domestiquant',
    'domestiquas',
    'domestique',
    'domestiquent',
    'domestiquer',
    'domestiquera',
    'domestiques',
    'domestiquez',
    'domestiquiez',
    'domestiquons',
    'domestiquât',
    'domestiqué',
    'domestiquée',
    'domestiquées',
    'domestiqués',
    'domicile',
    'domiciles',
    'domicilia',
    'domiciliai',
    'domiciliaire',
    'domiciliais',
    'domiciliait',
    'domiciliant',
    'domicilias',
    'domiciliasse',
    'domicilie',
    'domicilient',
    'domicilier',
    'domiciliera',
    'domicilierai',
    'domicilieras',
    'domicilierez',
    'domicilies',
    'domiciliez',
    'domiciliiez',
    'domiciliions',
    'domicilions',
    'domiciliâmes',
    'domiciliât',
    'domiciliâtes',
    'domicilié',
    'domiciliée',
    'domiciliées',
    'domiciliés',
    'domina',
    'dominai',
    'dominaient',
    'dominais',
    'dominait',
    'dominance',
    'dominances',
    'dominant',
    'dominante',
    'dominantes',
    'dominants',
    'dominas',
    'dominasse',
    'dominassent',
    'dominasses',
    'dominassiez',
    'dominassions',
    'dominateur',
    'dominateurs',
    'domination',
    'dominations',
    'dominatrice',
    'dominatrices',
    'domine',
    'dominent',
    'dominer',
    'dominera',
    'dominerai',
    'domineraient',
    'dominerais',
    'dominerait',
    'domineras',
    'dominerez',
    'domineriez',
    'dominerions',
    'dominerons',
    'domineront',
    'domines',
    'dominez',
    'dominicain',
    'dominicaine',
    'dominicaines',
    'dominicains',
    'dominical',
    'dominicale',
    'dominicales',
    'dominicaux',
    'dominiez',
    'dominion',
    'dominions',
    'domino',
    'dominons',
    'dominos',
    'dominoterie',
    'dominoteries',
    'dominotier',
    'dominotiers',
    'dominotière',
    'dominotières',
    'dominâmes',
    'dominât',
    'dominâtes',
    'dominèrent',
    'dominé',
    'dominée',
    'dominées',
    'dominés',
    'domisme',
    'domismes',
    'dommage',
    'dommageable',
    'dommageables',
    'dommages',
    'dompta',
    'domptable',
    'domptables',
    'domptage',
    'domptages',
    'domptai',
    'domptaient',
    'domptais',
    'domptait',
    'domptant',
    'domptas',
    'domptasse',
    'domptassent',
    'domptasses',
    'domptassiez',
    'domptassions',
    'dompte',
    'domptent',
    'dompter',
    'domptera',
    'dompterai',
    'dompteraient',
    'dompterais',
    'dompterait',
    'dompteras',
    'dompterez',
    'dompteriez',
    'dompterions',
    'dompterons',
    'dompteront',
    'domptes',
    'dompteur',
    'dompteurs',
    'dompteuse',
    'dompteuses',
    'domptez',
    'domptiez',
    'domptions',
    'domptons',
    'domptâmes',
    'domptât',
    'domptâtes',
    'domptèrent',
    'dompté',
    'domptée',
    'domptées',
    'domptés',
    'donacie',
    'donacies',
    'donataire',
    'donataires',
    'donateur',
    'donateurs',
    'donation',
    'donations',
    'donatisme',
    'donatismes',
    'donatiste',
    'donatistes',
    'donatrice',
    'donatrices',
    'donc',
    'dondaine',
    'dondaines',
    'dondon',
    'dondons',
    'donjon',
    'donjons',
    'donjuanesque',
    'donjuaniser',
    'donjuanisme',
    'donjuanismes',
    'donna',
    'donnai',
    'donnaient',
    'donnais',
    'donnait',
    'donnant',
    'donnas',
    'donnasse',
    'donnassent',
    'donnasses',
    'donnassiez',
    'donnassions',
    'donne',
    'donnent',
    'donner',
    'donnera',
    'donnerai',
    'donneraient',
    'donnerais',
    'donnerait',
    'donneras',
    'donnerez',
    'donneriez',
    'donnerions',
    'donnerons',
    'donneront',
    'donnes',
    'donneur',
    'donneurs',
    'donneuse',
    'donneuses',
    'donnez',
    'donniez',
    'donnions',
    'donnons',
    'donnâmes',
    'donnât',
    'donnâtes',
    'donnèrent',
    'donné',
    'donnée',
    'données',
    'donnés',
    'dons',
    'dont',
    'donzelle',
    'donzelles',
    'dopa',
    'dopage',
    'dopages',
    'dopai',
    'dopaient',
    'dopais',
    'dopait',
    'dopamine',
    'dopamines',
    'dopant',
    'dopante',
    'dopantes',
    'dopants',
    'dopas',
    'dopasse',
    'dopassent',
    'dopasses',
    'dopassiez',
    'dopassions',
    'dope',
    'dopent',
    'doper',
    'dopera',
    'doperai',
    'doperaient',
    'doperais',
    'doperait',
    'doperas',
    'doperez',
    'doperiez',
    'doperions',
    'doperons',
    'doperont',
    'dopes',
    'dopez',
    'dopiez',
    'doping',
    'dopings',
    'dopions',
    'dopons',
    'dopâmes',
    'dopât',
    'dopâtes',
    'dopèrent',
    'dopé',
    'dopée',
    'dopées',
    'dopés',
    'dora',
    'dorade',
    'dorades',
    'dorage',
    'dorages',
    'dorai',
    'doraient',
    'dorais',
    'dorait',
    'dorant',
    'doras',
    'dorasse',
    'dorassent',
    'dorasses',
    'dorassiez',
    'dorassions',
    'dore',
    'dorent',
    'dorer',
    'dorera',
    'dorerai',
    'doreraient',
    'dorerais',
    'dorerait',
    'doreras',
    'dorerez',
    'doreriez',
    'dorerions',
    'dorerons',
    'doreront',
    'dores',
    'doreur',
    'doreurs',
    'doreuse',
    'doreuses',
    'dorez',
    'dorien',
    'dorienne',
    'doriennes',
    'doriens',
    'doriez',
    'dorions',
    'dorique',
    'doriques',
    'doris',
    'dorlota',
    'dorlotai',
    'dorlotaient',
    'dorlotais',
    'dorlotait',
    'dorlotant',
    'dorlotas',
    'dorlotasse',
    'dorlotassent',
    'dorlotasses',
    'dorlotassiez',
    'dorlote',
    'dorlotement',
    'dorlotements',
    'dorlotent',
    'dorloter',
    'dorlotera',
    'dorloterai',
    'dorloterais',
    'dorloterait',
    'dorloteras',
    'dorloterez',
    'dorloteriez',
    'dorloterions',
    'dorloterons',
    'dorloteront',
    'dorlotes',
    'dorlotez',
    'dorlotiez',
    'dorlotions',
    'dorlotons',
    'dorlotâmes',
    'dorlotât',
    'dorlotâtes',
    'dorlotèrent',
    'dorloté',
    'dorlotée',
    'dorlotées',
    'dorlotés',
    'dormaient',
    'dormais',
    'dormait',
    'dormant',
    'dormante',
    'dormantes',
    'dormants',
    'dorme',
    'dorment',
    'dormes',
    'dormeur',
    'dormeurs',
    'dormeuse',
    'dormeuses',
    'dormez',
    'dormi',
    'dormiez',
    'dormions',
    'dormir',
    'dormira',
    'dormirai',
    'dormiraient',
    'dormirais',
    'dormirait',
    'dormiras',
    'dormirent',
    'dormirez',
    'dormiriez',
    'dormirions',
    'dormirons',
    'dormiront',
    'dormis',
    'dormisse',
    'dormissent',
    'dormisses',
    'dormissiez',
    'dormissions',
    'dormit',
    'dormitif',
    'dormitifs',
    'dormition',
    'dormitions',
    'dormitive',
    'dormitives',
    'dormons',
    'dormîmes',
    'dormît',
    'dormîtes',
    'dorons',
    'dors',
    'dorsal',
    'dorsale',
    'dorsales',
    'dorsalgie',
    'dorsalgies',
    'dorsaux',
    'dort',
    'dortoir',
    'dortoirs',
    'dorure',
    'dorures',
    'doryphore',
    'doryphores',
    'dorâmes',
    'dorât',
    'dorâtes',
    'dorèrent',
    'doré',
    'dorée',
    'dorées',
    'dorénavant',
    'dorés',
    'dosa',
    'dosable',
    'dosables',
    'dosage',
    'dosages',
    'dosai',
    'dosaient',
    'dosais',
    'dosait',
    'dosant',
    'dosas',
    'dosasse',
    'dosassent',
    'dosasses',
    'dosassiez',
    'dosassions',
    'dose',
    'dosent',
    'doser',
    'dosera',
    'doserai',
    'doseraient',
    'doserais',
    'doserait',
    'doseras',
    'doserez',
    'doseriez',
    'doserions',
    'doserons',
    'doseront',
    'doses',
    'doseur',
    'doseurs',
    'dosez',
    'dosiez',
    'dosimètre',
    'dosimètres',
    'dosions',
    'dosons',
    'dossard',
    'dossards',
    'dosse',
    'dosseret',
    'dosserets',
    'dosses',
    'dossier',
    'dossiers',
    'dossière',
    'dossières',
    'dosâmes',
    'dosât',
    'dosâtes',
    'dosèrent',
    'dosé',
    'dosée',
    'dosées',
    'dosés',
    'dota',
    'dotai',
    'dotaient',
    'dotais',
    'dotait',
    'dotal',
    'dotale',
    'dotales',
    'dotalité',
    'dotalités',
    'dotant',
    'dotas',
    'dotasse',
    'dotassent',
    'dotasses',
    'dotassiez',
    'dotassions',
    'dotation',
    'dotations',
    'dotaux',
    'dote',
    'dotent',
    'doter',
    'dotera',
    'doterai',
    'doteraient',
    'doterais',
    'doterait',
    'doteras',
    'doterez',
    'doteriez',
    'doterions',
    'doterons',
    'doteront',
    'dotes',
    'dotez',
    'dotiez',
    'dotions',
    'dotons',
    'dots',
    'dotâmes',
    'dotât',
    'dotâtes',
    'dotèrent',
    'doté',
    'dotée',
    'dotées',
    'dotés',
    'doua',
    'douai',
    'douaient',
    'douaire',
    'douaires',
    'douairière',
    'douairières',
    'douais',
    'douait',
    'douane',
    'douanes',
    'douanier',
    'douaniers',
    'douanière',
    'douanières',
    'douant',
    'douar',
    'douars',
    'douas',
    'douasse',
    'douassent',
    'douasses',
    'douassiez',
    'douassions',
    'doubla',
    'doublage',
    'doublages',
    'doublai',
    'doublaient',
    'doublais',
    'doublait',
    'doublant',
    'doublas',
    'doublasse',
    'doublassent',
    'doublasses',
    'doublassiez',
    'doublassions',
    'double',
    'doubleau',
    'doubleaux',
    'doublement',
    'doublements',
    'doublent',
    'doubler',
    'doublera',
    'doublerai',
    'doubleraient',
    'doublerais',
    'doublerait',
    'doubleras',
    'doublerez',
    'doubleriez',
    'doublerions',
    'doublerons',
    'doubleront',
    'doubles',
    'doublet',
    'doublets',
    'doubleur',
    'doubleurs',
    'doubleuse',
    'doubleuses',
    'doublez',
    'doublier',
    'doubliers',
    'doubliez',
    'doublions',
    'doublon',
    'doublons',
    'doublure',
    'doublures',
    'doublâmes',
    'doublât',
    'doublâtes',
    'doublèrent',
    'doublé',
    'doublée',
    'doublées',
    'doublés',
    'douce',
    'doucement',
    'doucereuse',
    'doucereuses',
    'doucereux',
    'douces',
    'doucet',
    'doucets',
    'doucette',
    'doucettement',
    'doucettes',
    'douceur',
    'douceurs',
    'douceâtre',
    'douceâtres',
    'doucha',
    'douchai',
    'douchaient',
    'douchais',
    'douchait',
    'douchant',
    'douchas',
    'douchasse',
    'douchassent',
    'douchasses',
    'douchassiez',
    'douchassions',
    'douche',
    'douchent',
    'doucher',
    'douchera',
    'doucherai',
    'doucheraient',
    'doucherais',
    'doucherait',
    'doucheras',
    'doucherez',
    'doucheriez',
    'doucherions',
    'doucherons',
    'doucheront',
    'douches',
    'doucheur',
    'doucheurs',
    'doucheuse',
    'doucheuses',
    'douchez',
    'douchiez',
    'douchions',
    'douchons',
    'douchâmes',
    'douchât',
    'douchâtes',
    'douchèrent',
    'douché',
    'douchée',
    'douchées',
    'douchés',
    'douci',
    'doucie',
    'doucies',
    'doucin',
    'doucine',
    'doucines',
    'doucins',
    'doucir',
    'doucira',
    'doucirai',
    'douciraient',
    'doucirais',
    'doucirait',
    'douciras',
    'doucirent',
    'doucirez',
    'douciriez',
    'doucirions',
    'doucirons',
    'douciront',
    'doucis',
    'doucissage',
    'doucissages',
    'doucissaient',
    'doucissais',
    'doucissait',
    'doucissant',
    'doucisse',
    'doucissent',
    'doucisses',
    'doucissez',
    'doucissiez',
    'doucissions',
    'doucissons',
    'doucit',
    'doucîmes',
    'doucît',
    'doucîtes',
    'doue',
    'douelle',
    'douelles',
    'douer',
    'douera',
    'douerai',
    'doueraient',
    'douerais',
    'douerait',
    'doueras',
    'douerez',
    'doueriez',
    'douerions',
    'douerons',
    'doueront',
    'douez',
    'douiez',
    'douille',
    'douilles',
    'douillet',
    'douillets',
    'douillette',
    'douillettes',
    'douions',
    'douleur',
    'douleurs',
    'douloureuse',
    'douloureuses',
    'douloureux',
    'doum',
    'doums',
    'douons',
    'dourine',
    'dourines',
    'douro',
    'douros',
    'douta',
    'doutai',
    'doutaient',
    'doutais',
    'doutait',
    'doutant',
    'doutas',
    'doutasse',
    'doutassent',
    'doutasses',
    'doutassiez',
    'doutassions',
    'doute',
    'doutent',
    'douter',
    'doutera',
    'douterai',
    'douteraient',
    'douterais',
    'douterait',
    'douteras',
    'douterez',
    'douteriez',
    'douterions',
    'douterons',
    'douteront',
    'doutes',
    'douteur',
    'douteurs',
    'douteuse',
    'douteusement',
    'douteuses',
    'douteux',
    'doutez',
    'doutiez',
    'doutions',
    'doutons',
    'doutâmes',
    'doutât',
    'doutâtes',
    'doutèrent',
    'douté',
    'doutée',
    'doutées',
    'doutés',
    'douvain',
    'douvains',
    'douve',
    'douvelle',
    'douvelles',
    'douves',
    'doux',
    'douzain',
    'douzaine',
    'douzaines',
    'douzains',
    'douze',
    'douzième',
    'douzièmement',
    'douzièmes',
    'douâmes',
    'douât',
    'douâtes',
    'douèrent',
    'doué',
    'douée',
    'douées',
    'doués',
    'doxologie',
    'doxologies',
    'doyen',
    'doyenne',
    'doyennes',
    'doyenneté',
    'doyennetés',
    'doyenné',
    'doyennés',
    'doyens',
    'drachme',
    'drachmes',
    'draconien',
    'draconienne',
    'draconiennes',
    'draconiens',
    'dracéna',
    'dracénas',
    'dragage',
    'dragages',
    'drageoir',
    'drageoirs',
    'drageon',
    'drageonna',
    'drageonnage',
    'drageonnages',
    'drageonnai',
    'drageonnais',
    'drageonnait',
    'drageonnant',
    'drageonnas',
    'drageonnasse',
    'drageonne',
    'drageonnent',
    'drageonner',
    'drageonnera',
    'drageonnerai',
    'drageonneras',
    'drageonnerez',
    'drageonnes',
    'drageonnez',
    'drageonniez',
    'drageonnions',
    'drageonnons',
    'drageonnâmes',
    'drageonnât',
    'drageonnâtes',
    'drageonné',
    'drageons',
    'dragline',
    'draglines',
    'dragon',
    'dragonnade',
    'dragonnades',
    'dragonne',
    'dragonnes',
    'dragonnier',
    'dragonniers',
    'dragons',
    'dragua',
    'draguai',
    'draguaient',
    'draguais',
    'draguait',
    'draguant',
    'draguas',
    'draguasse',
    'draguassent',
    'draguasses',
    'draguassiez',
    'draguassions',
    'drague',
    'draguent',
    'draguer',
    'draguera',
    'draguerai',
    'dragueraient',
    'draguerais',
    'draguerait',
    'dragueras',
    'draguerez',
    'dragueriez',
    'draguerions',
    'draguerons',
    'dragueront',
    'dragues',
    'dragueur',
    'dragueurs',
    'dragueuse',
    'dragueuses',
    'draguez',
    'draguiez',
    'draguions',
    'draguons',
    'draguâmes',
    'draguât',
    'draguâtes',
    'draguèrent',
    'dragué',
    'draguée',
    'draguées',
    'dragués',
    'dragée',
    'dragées',
    'dragéifia',
    'dragéifiai',
    'dragéifiais',
    'dragéifiait',
    'dragéifiant',
    'dragéifias',
    'dragéifiasse',
    'dragéifie',
    'dragéifient',
    'dragéifier',
    'dragéifiera',
    'dragéifierai',
    'dragéifieras',
    'dragéifierez',
    'dragéifies',
    'dragéifiez',
    'dragéifiiez',
    'dragéifiions',
    'dragéifions',
    'dragéifiâmes',
    'dragéifiât',
    'dragéifiâtes',
    'dragéifié',
    'dragéifiée',
    'dragéifiées',
    'dragéifiés',
    'draie',
    'draient',
    'draiera',
    'draierai',
    'draieraient',
    'draierais',
    'draierait',
    'draieras',
    'draierez',
    'draieriez',
    'draierions',
    'draierons',
    'draieront',
    'draies',
    'draille',
    'drailles',
    'drain',
    'draina',
    'drainage',
    'drainages',
    'drainai',
    'drainaient',
    'drainais',
    'drainait',
    'drainant',
    'drainas',
    'drainasse',
    'drainassent',
    'drainasses',
    'drainassiez',
    'drainassions',
    'draine',
    'drainent',
    'drainer',
    'drainera',
    'drainerai',
    'draineraient',
    'drainerais',
    'drainerait',
    'draineras',
    'drainerez',
    'draineriez',
    'drainerions',
    'drainerons',
    'draineront',
    'draines',
    'draineur',
    'draineurs',
    'draineuse',
    'draineuses',
    'drainez',
    'drainiez',
    'drainions',
    'drainons',
    'drains',
    'drainâmes',
    'drainât',
    'drainâtes',
    'drainèrent',
    'drainé',
    'drainée',
    'drainées',
    'drainés',
    'draisienne',
    'draisiennes',
    'draisine',
    'draisines',
    'drakkar',
    'drakkars',
    'dramatique',
    'dramatiques',
    'dramatisa',
    'dramatisai',
    'dramatisais',
    'dramatisait',
    'dramatisant',
    'dramatisas',
    'dramatisasse',
    'dramatise',
    'dramatisent',
    'dramatiser',
    'dramatisera',
    'dramatiserai',
    'dramatiseras',
    'dramatiserez',
    'dramatises',
    'dramatisez',
    'dramatisiez',
    'dramatisions',
    'dramatisons',
    'dramatisâmes',
    'dramatisât',
    'dramatisâtes',
    'dramatisé',
    'dramatisée',
    'dramatisées',
    'dramatisés',
    'dramaturge',
    'dramaturges',
    'dramaturgie',
    'dramaturgies',
    'drame',
    'drames',
    'drap',
    'drapa',
    'drapai',
    'drapaient',
    'drapais',
    'drapait',
    'drapant',
    'drapas',
    'drapasse',
    'drapassent',
    'drapasses',
    'drapassiez',
    'drapassions',
    'drape',
    'drapeau',
    'drapeaux',
    'drapement',
    'drapements',
    'drapent',
    'draper',
    'drapera',
    'draperai',
    'draperaient',
    'draperais',
    'draperait',
    'draperas',
    'draperez',
    'draperie',
    'draperies',
    'draperiez',
    'draperions',
    'draperons',
    'draperont',
    'drapes',
    'drapez',
    'drapier',
    'drapiers',
    'drapiez',
    'drapions',
    'drapière',
    'drapières',
    'drapons',
    'draps',
    'drapâmes',
    'drapât',
    'drapâtes',
    'drapèrent',
    'drapé',
    'drapée',
    'drapées',
    'drapés',
    'drastique',
    'drastiques',
    'drave',
    'draves',
    'draveur',
    'draveurs',
    'dravidien',
    'dravidienne',
    'dravidiennes',
    'dravidiens',
    'drawback',
    'drawbacks',
    'draya',
    'drayai',
    'drayaient',
    'drayais',
    'drayait',
    'drayant',
    'drayas',
    'drayasse',
    'drayassent',
    'drayasses',
    'drayassiez',
    'drayassions',
    'draye',
    'drayent',
    'drayer',
    'drayera',
    'drayerai',
    'drayeraient',
    'drayerais',
    'drayerait',
    'drayeras',
    'drayerez',
    'drayeriez',
    'drayerions',
    'drayerons',
    'drayeront',
    'drayes',
    'drayez',
    'drayiez',
    'drayions',
    'drayoir',
    'drayoire',
    'drayoires',
    'drayoirs',
    'drayons',
    'drayâmes',
    'drayât',
    'drayâtes',
    'drayèrent',
    'drayé',
    'drayée',
    'drayées',
    'drayés',
    'dreadnought',
    'dreadnoughts',
    'drelin',
    'drenne',
    'drennes',
    'dressa',
    'dressage',
    'dressages',
    'dressai',
    'dressaient',
    'dressais',
    'dressait',
    'dressant',
    'dressante',
    'dressantes',
    'dressants',
    'dressas',
    'dressasse',
    'dressassent',
    'dressasses',
    'dressassiez',
    'dressassions',
    'dresse',
    'dressent',
    'dresser',
    'dressera',
    'dresserai',
    'dresseraient',
    'dresserais',
    'dresserait',
    'dresseras',
    'dresserez',
    'dresseriez',
    'dresserions',
    'dresserons',
    'dresseront',
    'dresses',
    'dresseur',
    'dresseurs',
    'dresseuse',
    'dresseuses',
    'dressez',
    'dressiez',
    'dressions',
    'dressoir',
    'dressoirs',
    'dressons',
    'dressâmes',
    'dressât',
    'dressâtes',
    'dressèrent',
    'dressé',
    'dressée',
    'dressées',
    'dressés',
    'dreyfusard',
    'dreyfusarde',
    'dreyfusardes',
    'dreyfusards',
    'dribbla',
    'dribblai',
    'dribblaient',
    'dribblais',
    'dribblait',
    'dribblant',
    'dribblas',
    'dribblasse',
    'dribblassent',
    'dribblasses',
    'dribblassiez',
    'dribble',
    'dribblent',
    'dribbler',
    'dribblera',
    'dribblerai',
    'dribblerais',
    'dribblerait',
    'dribbleras',
    'dribblerez',
    'dribbleriez',
    'dribblerions',
    'dribblerons',
    'dribbleront',
    'dribbles',
    'dribbleur',
    'dribbleurs',
    'dribbleuse',
    'dribbleuses',
    'dribblez',
    'dribbliez',
    'dribblions',
    'dribblons',
    'dribblâmes',
    'dribblât',
    'dribblâtes',
    'dribblèrent',
    'dribblé',
    'dribblée',
    'dribblées',
    'dribblés',
    'drill',
    'drilla',
    'drillai',
    'drillaient',
    'drillais',
    'drillait',
    'drillant',
    'drillas',
    'drillasse',
    'drillassent',
    'drillasses',
    'drillassiez',
    'drillassions',
    'drille',
    'drillent',
    'driller',
    'drillera',
    'drillerai',
    'drilleraient',
    'drillerais',
    'drillerait',
    'drilleras',
    'drillerez',
    'drilleriez',
    'drillerions',
    'drillerons',
    'drilleront',
    'drilles',
    'drillez',
    'drilliez',
    'drillions',
    'drillons',
    'drills',
    'drillâmes',
    'drillât',
    'drillâtes',
    'drillèrent',
    'drillé',
    'drillée',
    'drillées',
    'drillés',
    'dring',
    'drink',
    'drinks',
    'drisse',
    'drisses',
    'driva',
    'drivai',
    'drivaient',
    'drivais',
    'drivait',
    'drivant',
    'drivas',
    'drivasse',
    'drivassent',
    'drivasses',
    'drivassiez',
    'drivassions',
    'drive',
    'drivent',
    'driver',
    'drivera',
    'driverai',
    'driveraient',
    'driverais',
    'driverait',
    'driveras',
    'driverez',
    'driveriez',
    'driverions',
    'driverons',
    'driveront',
    'drivers',
    'drives',
    'drivez',
    'driviez',
    'drivions',
    'drivons',
    'drivâmes',
    'drivât',
    'drivâtes',
    'drivèrent',
    'drivé',
    'drivée',
    'drivées',
    'drivés',
    'drogman',
    'drogmans',
    'drogua',
    'droguai',
    'droguaient',
    'droguais',
    'droguait',
    'droguant',
    'droguas',
    'droguasse',
    'droguassent',
    'droguasses',
    'droguassiez',
    'droguassions',
    'drogue',
    'droguent',
    'droguer',
    'droguera',
    'droguerai',
    'drogueraient',
    'droguerais',
    'droguerait',
    'drogueras',
    'droguerez',
    'droguerie',
    'drogueries',
    'drogueriez',
    'droguerions',
    'droguerons',
    'drogueront',
    'drogues',
    'droguet',
    'droguets',
    'droguez',
    'droguiez',
    'droguions',
    'droguiste',
    'droguistes',
    'droguons',
    'droguâmes',
    'droguât',
    'droguâtes',
    'droguèrent',
    'drogué',
    'droguée',
    'droguées',
    'drogués',
    'droit',
    'droite',
    'droitement',
    'droites',
    'droitier',
    'droitiers',
    'droitière',
    'droitières',
    'droits',
    'droiture',
    'droitures',
    'drolatique',
    'drolatiques',
    'dromadaire',
    'dromadaires',
    'dronte',
    'drontes',
    'drop',
    'dropa',
    'dropai',
    'dropaient',
    'dropais',
    'dropait',
    'dropant',
    'dropas',
    'dropasse',
    'dropassent',
    'dropasses',
    'dropassiez',
    'dropassions',
    'drope',
    'dropent',
    'droper',
    'dropera',
    'droperai',
    'droperaient',
    'droperais',
    'droperait',
    'droperas',
    'droperez',
    'droperiez',
    'droperions',
    'droperons',
    'droperont',
    'dropes',
    'dropez',
    'dropiez',
    'dropions',
    'dropons',
    'droppa',
    'droppage',
    'droppages',
    'droppai',
    'droppaient',
    'droppais',
    'droppait',
    'droppant',
    'droppas',
    'droppasse',
    'droppassent',
    'droppasses',
    'droppassiez',
    'droppassions',
    'droppe',
    'droppent',
    'dropper',
    'droppera',
    'dropperai',
    'dropperaient',
    'dropperais',
    'dropperait',
    'dropperas',
    'dropperez',
    'dropperiez',
    'dropperions',
    'dropperons',
    'dropperont',
    'droppes',
    'droppez',
    'droppiez',
    'droppions',
    'droppons',
    'droppâmes',
    'droppât',
    'droppâtes',
    'droppèrent',
    'droppé',
    'droppée',
    'droppées',
    'droppés',
    'drops',
    'dropâmes',
    'dropât',
    'dropâtes',
    'dropèrent',
    'dropé',
    'dropée',
    'dropées',
    'dropés',
    'drosophile',
    'drosophiles',
    'drossa',
    'drossai',
    'drossaient',
    'drossais',
    'drossait',
    'drossant',
    'drossas',
    'drossasse',
    'drossassent',
    'drossasses',
    'drossassiez',
    'drossassions',
    'drosse',
    'drossent',
    'drosser',
    'drossera',
    'drosserai',
    'drosseraient',
    'drosserais',
    'drosserait',
    'drosseras',
    'drosserez',
    'drosseriez',
    'drosserions',
    'drosserons',
    'drosseront',
    'drosses',
    'drossez',
    'drossiez',
    'drossions',
    'drossons',
    'drossâmes',
    'drossât',
    'drossâtes',
    'drossèrent',
    'drossé',
    'drossée',
    'drossées',
    'drossés',
    'drue',
    'drues',
    'drugstore',
    'drugstores',
    'druide',
    'druides',
    'druidesse',
    'druidesses',
    'druidique',
    'druidiques',
    'druidisme',
    'druidismes',
    'drumlin',
    'drumlins',
    'drummer',
    'drummers',
    'drupe',
    'drupes',
    'drus',
    'dryade',
    'dryades',
    'drège',
    'drèges',
    'drôle',
    'drôlement',
    'drôlerie',
    'drôleries',
    'drôles',
    'drôlesse',
    'drôlesses',
    'dual',
    'duale',
    'duales',
    'dualisme',
    'dualismes',
    'dualiste',
    'dualistes',
    'dualité',
    'dualités',
    'duaux',
    'dubitatif',
    'dubitatifs',
    'dubitative',
    'dubitatives',
    'ducal',
    'ducale',
    'ducales',
    'ducasse',
    'ducasses',
    'ducat',
    'ducats',
    'ducaux',
    'duce',
    'duces',
    'duchesse',
    'duchesses',
    'duché',
    'duchés',
    'ducroire',
    'ducroires',
    'ducs',
    'ductile',
    'ductiles',
    'ductilité',
    'ductilités',
    'dudgeonner',
    'duel',
    'duelliste',
    'duellistes',
    'duels',
    'dues',
    'duettiste',
    'duettistes',
    'duetto',
    'duettos',
    'dugong',
    'dugongs',
    'duhamel',
    'duit',
    'duite',
    'duites',
    'duits',
    'dulcifia',
    'dulcifiai',
    'dulcifiaient',
    'dulcifiais',
    'dulcifiait',
    'dulcifiant',
    'dulcifias',
    'dulcifiasse',
    'dulcifiasses',
    'dulcifie',
    'dulcifient',
    'dulcifier',
    'dulcifiera',
    'dulcifierai',
    'dulcifierais',
    'dulcifierait',
    'dulcifieras',
    'dulcifierez',
    'dulcifieriez',
    'dulcifierons',
    'dulcifieront',
    'dulcifies',
    'dulcifiez',
    'dulcifiiez',
    'dulcifiions',
    'dulcifions',
    'dulcifiâmes',
    'dulcifiât',
    'dulcifiâtes',
    'dulcifièrent',
    'dulcifié',
    'dulcifiée',
    'dulcifiées',
    'dulcifiés',
    'dulcinée',
    'dulcinées',
    'dulcite',
    'dulcites',
    'dulie',
    'dulies',
    'dumping',
    'dumpings',
    'dundee',
    'dundees',
    'dune',
    'dunes',
    'dunette',
    'dunettes',
    'duodi',
    'duodis',
    'duodécimal',
    'duodécimale',
    'duodécimales',
    'duodécimaux',
    'duodénal',
    'duodénale',
    'duodénales',
    'duodénaux',
    'duodénite',
    'duodénites',
    'duodénum',
    'duodénums',
    'duopole',
    'duopoles',
    'duos',
    'dupa',
    'dupai',
    'dupaient',
    'dupais',
    'dupait',
    'dupant',
    'dupas',
    'dupasse',
    'dupassent',
    'dupasses',
    'dupassiez',
    'dupassions',
    'dupe',
    'dupent',
    'duper',
    'dupera',
    'duperai',
    'duperaient',
    'duperais',
    'duperait',
    'duperas',
    'duperez',
    'duperie',
    'duperies',
    'duperiez',
    'duperions',
    'duperons',
    'duperont',
    'dupes',
    'dupeur',
    'dupeurs',
    'dupeuse',
    'dupeuses',
    'dupez',
    'dupiez',
    'dupions',
    'duplex',
    'duplexa',
    'duplexai',
    'duplexaient',
    'duplexais',
    'duplexait',
    'duplexant',
    'duplexas',
    'duplexasse',
    'duplexassent',
    'duplexasses',
    'duplexassiez',
    'duplexe',
    'duplexent',
    'duplexer',
    'duplexera',
    'duplexerai',
    'duplexerais',
    'duplexerait',
    'duplexeras',
    'duplexerez',
    'duplexeriez',
    'duplexerions',
    'duplexerons',
    'duplexeront',
    'duplexes',
    'duplexez',
    'duplexiez',
    'duplexions',
    'duplexons',
    'duplexâmes',
    'duplexât',
    'duplexâtes',
    'duplexèrent',
    'duplexé',
    'duplexée',
    'duplexées',
    'duplexés',
    'duplicata',
    'duplicateur',
    'duplicateurs',
    'duplication',
    'duplications',
    'duplicité',
    'duplicités',
    'dupliqua',
    'dupliquai',
    'dupliquaient',
    'dupliquais',
    'dupliquait',
    'dupliquant',
    'dupliquas',
    'dupliquasse',
    'dupliquasses',
    'duplique',
    'dupliquent',
    'dupliquer',
    'dupliquera',
    'dupliquerai',
    'dupliquerais',
    'dupliquerait',
    'dupliqueras',
    'dupliquerez',
    'dupliqueriez',
    'dupliquerons',
    'dupliqueront',
    'dupliques',
    'dupliquez',
    'dupliquiez',
    'dupliquions',
    'dupliquons',
    'dupliquâmes',
    'dupliquât',
    'dupliquâtes',
    'dupliquèrent',
    'dupliqué',
    'dupliquée',
    'dupliquées',
    'dupliqués',
    'dupons',
    'dupâmes',
    'dupât',
    'dupâtes',
    'dupèrent',
    'dupé',
    'dupée',
    'dupées',
    'dupés',
    'duquel',
    'dura',
    'durabilité',
    'durabilités',
    'durable',
    'durablement',
    'durables',
    'durai',
    'duraient',
    'durais',
    'durait',
    'duralumin',
    'duralumins',
    'duramen',
    'duramens',
    'durant',
    'duras',
    'durasse',
    'durassent',
    'durasses',
    'durassiez',
    'durassions',
    'duratif',
    'duratifs',
    'durative',
    'duratives',
    'durci',
    'durcie',
    'durcies',
    'durcir',
    'durcira',
    'durcirai',
    'durciraient',
    'durcirais',
    'durcirait',
    'durciras',
    'durcirent',
    'durcirez',
    'durciriez',
    'durcirions',
    'durcirons',
    'durciront',
    'durcis',
    'durcissaient',
    'durcissais',
    'durcissait',
    'durcissant',
    'durcisse',
    'durcissement',
    'durcissent',
    'durcisses',
    'durcisseur',
    'durcisseurs',
    'durcissez',
    'durcissiez',
    'durcissions',
    'durcissons',
    'durcit',
    'durcîmes',
    'durcît',
    'durcîtes',
    'dure',
    'durement',
    'durent',
    'durer',
    'durera',
    'durerai',
    'dureraient',
    'durerais',
    'durerait',
    'dureras',
    'durerez',
    'dureriez',
    'durerions',
    'durerons',
    'dureront',
    'dures',
    'dureté',
    'duretés',
    'durez',
    'duriez',
    'durillon',
    'durillons',
    'durion',
    'durions',
    'durit',
    'durits',
    'durons',
    'durs',
    'durâmes',
    'durât',
    'durâtes',
    'durèrent',
    'duré',
    'durée',
    'durées',
    'dusse',
    'dussent',
    'dusses',
    'dussiez',
    'dussions',
    'duumvir',
    'duumvirat',
    'duumvirats',
    'duumviri',
    'duumvirs',
    'duvet',
    'duveta',
    'duvetai',
    'duvetaient',
    'duvetais',
    'duvetait',
    'duvetant',
    'duvetas',
    'duvetasse',
    'duvetassent',
    'duvetasses',
    'duvetassiez',
    'duvetassions',
    'duveter',
    'duveteuse',
    'duveteuses',
    'duveteux',
    'duvetez',
    'duvetiez',
    'duvetions',
    'duvetons',
    'duvets',
    'duvette',
    'duvettent',
    'duvettera',
    'duvetterai',
    'duvetterais',
    'duvetterait',
    'duvetteras',
    'duvetterez',
    'duvetteriez',
    'duvetterions',
    'duvetterons',
    'duvetteront',
    'duvettes',
    'duvetâmes',
    'duvetât',
    'duvetâtes',
    'duvetèrent',
    'duveté',
    'duvetée',
    'duvetées',
    'duvetés',
    'duègne',
    'duègnes',
    'dyade',
    'dyades',
    'dynamique',
    'dynamiques',
    'dynamisa',
    'dynamisai',
    'dynamisaient',
    'dynamisais',
    'dynamisait',
    'dynamisant',
    'dynamisas',
    'dynamisasse',
    'dynamisasses',
    'dynamisation',
    'dynamise',
    'dynamisent',
    'dynamiser',
    'dynamisera',
    'dynamiserai',
    'dynamiserais',
    'dynamiserait',
    'dynamiseras',
    'dynamiserez',
    'dynamiseriez',
    'dynamiserons',
    'dynamiseront',
    'dynamises',
    'dynamisez',
    'dynamisiez',
    'dynamisions',
    'dynamisme',
    'dynamismes',
    'dynamisons',
    'dynamiste',
    'dynamistes',
    'dynamisâmes',
    'dynamisât',
    'dynamisâtes',
    'dynamisèrent',
    'dynamisé',
    'dynamisée',
    'dynamisées',
    'dynamisés',
    'dynamita',
    'dynamitage',
    'dynamitages',
    'dynamitai',
    'dynamitaient',
    'dynamitais',
    'dynamitait',
    'dynamitant',
    'dynamitas',
    'dynamitasse',
    'dynamitasses',
    'dynamite',
    'dynamitent',
    'dynamiter',
    'dynamitera',
    'dynamiterai',
    'dynamiterais',
    'dynamiterait',
    'dynamiteras',
    'dynamiterez',
    'dynamiteriez',
    'dynamiterons',
    'dynamiteront',
    'dynamites',
    'dynamiteur',
    'dynamiteurs',
    'dynamitez',
    'dynamitiez',
    'dynamitions',
    'dynamitons',
    'dynamitâmes',
    'dynamitât',
    'dynamitâtes',
    'dynamitèrent',
    'dynamité',
    'dynamitée',
    'dynamitées',
    'dynamités',
    'dynamo',
    'dynamographe',
    'dynamogène',
    'dynamogènes',
    'dynamomètre',
    'dynamomètres',
    'dynamos',
    'dynaste',
    'dynastes',
    'dynastie',
    'dynasties',
    'dynastique',
    'dynastiques',
    'dysarthrie',
    'dysarthries',
    'dyscalculie',
    'dyscalculies',
    'dyschromie',
    'dyschromies',
    'dyscrasie',
    'dyscrasies',
    'dysenterie',
    'dysenteries',
    'dysentérique',
    'dysfonction',
    'dysfonctions',
    'dysgraphie',
    'dysgraphies',
    'dyshidrose',
    'dyshidroses',
    'dysidrose',
    'dysidroses',
    'dyslexie',
    'dyslexies',
    'dyslexique',
    'dyslexiques',
    'dysménorrhée',
    'dyspepsie',
    'dyspepsies',
    'dyspepsique',
    'dyspepsiques',
    'dyspeptique',
    'dyspeptiques',
    'dysphasie',
    'dysphasies',
    'dysphonie',
    'dysphonies',
    'dysphorie',
    'dysphories',
    'dysplasie',
    'dysplasies',
    'dyspnée',
    'dyspnées',
    'dyspraxie',
    'dyspraxies',
    'dysprosium',
    'dysprosiums',
    'dystasie',
    'dystasies',
    'dystocie',
    'dystocies',
    'dystomie',
    'dystomies',
    'dystonie',
    'dystonies',
    'dystrophie',
    'dystrophies',
    'dysurie',
    'dysuries',
    'dytique',
    'dytiques',
    'dzêta',
    'dèche',
    'dèches',
    'dème',
    'dèmes',
    'déactiva',
    'déactivai',
    'déactivaient',
    'déactivais',
    'déactivait',
    'déactivant',
    'déactivas',
    'déactivasse',
    'déactivasses',
    'déactive',
    'déactivent',
    'déactiver',
    'déactivera',
    'déactiverai',
    'déactiverais',
    'déactiverait',
    'déactiveras',
    'déactiverez',
    'déactiveriez',
    'déactiverons',
    'déactiveront',
    'déactives',
    'déactivez',
    'déactiviez',
    'déactivions',
    'déactivons',
    'déactivâmes',
    'déactivât',
    'déactivâtes',
    'déactivèrent',
    'déactivé',
    'déactivée',
    'déactivées',
    'déactivés',
    'déambula',
    'déambulai',
    'déambulaient',
    'déambulais',
    'déambulait',
    'déambulant',
    'déambulas',
    'déambulasse',
    'déambulasses',
    'déambulation',
    'déambule',
    'déambulent',
    'déambuler',
    'déambulera',
    'déambulerai',
    'déambulerais',
    'déambulerait',
    'déambuleras',
    'déambulerez',
    'déambuleriez',
    'déambulerons',
    'déambuleront',
    'déambules',
    'déambulez',
    'déambuliez',
    'déambulions',
    'déambulons',
    'déambulâmes',
    'déambulât',
    'déambulâtes',
    'déambulèrent',
    'déambulé',
    'débagoula',
    'débagoulai',
    'débagoulais',
    'débagoulait',
    'débagoulant',
    'débagoulas',
    'débagoulasse',
    'débagoule',
    'débagoulent',
    'débagouler',
    'débagoulera',
    'débagoulerai',
    'débagouleras',
    'débagoulerez',
    'débagoules',
    'débagoulez',
    'débagouliez',
    'débagoulions',
    'débagoulons',
    'débagoulâmes',
    'débagoulât',
    'débagoulâtes',
    'débagoulé',
    'débagoulée',
    'débagoulées',
    'débagoulés',
    'déballa',
    'déballage',
    'déballages',
    'déballai',
    'déballaient',
    'déballais',
    'déballait',
    'déballant',
    'déballas',
    'déballasse',
    'déballassent',
    'déballasses',
    'déballassiez',
    'déballastage',
    'déballe',
    'déballent',
    'déballer',
    'déballera',
    'déballerai',
    'déballerais',
    'déballerait',
    'déballeras',
    'déballerez',
    'déballeriez',
    'déballerions',
    'déballerons',
    'déballeront',
    'déballes',
    'déballez',
    'déballiez',
    'déballions',
    'déballonna',
    'déballonnai',
    'déballonnais',
    'déballonnait',
    'déballonnant',
    'déballonnas',
    'déballonne',
    'déballonnent',
    'déballonner',
    'déballonnera',
    'déballonnes',
    'déballonnez',
    'déballonniez',
    'déballonnons',
    'déballonnât',
    'déballonné',
    'déballonnée',
    'déballonnées',
    'déballonnés',
    'déballons',
    'déballâmes',
    'déballât',
    'déballâtes',
    'déballèrent',
    'déballé',
    'déballée',
    'déballées',
    'déballés',
    'débalourda',
    'débalourdai',
    'débalourdais',
    'débalourdait',
    'débalourdant',
    'débalourdas',
    'débalourde',
    'débalourdent',
    'débalourder',
    'débalourdera',
    'débalourdes',
    'débalourdez',
    'débalourdiez',
    'débalourdons',
    'débalourdât',
    'débalourdé',
    'débalourdée',
    'débalourdées',
    'débalourdés',
    'débanalisa',
    'débanalisai',
    'débanalisais',
    'débanalisait',
    'débanalisant',
    'débanalisas',
    'débanalise',
    'débanalisent',
    'débanaliser',
    'débanalisera',
    'débanalises',
    'débanalisez',
    'débanalisiez',
    'débanalisons',
    'débanalisât',
    'débanalisé',
    'débanalisée',
    'débanalisées',
    'débanalisés',
    'débanda',
    'débandade',
    'débandades',
    'débandai',
    'débandaient',
    'débandais',
    'débandait',
    'débandant',
    'débandas',
    'débandasse',
    'débandassent',
    'débandasses',
    'débandassiez',
    'débande',
    'débandent',
    'débander',
    'débandera',
    'débanderai',
    'débanderais',
    'débanderait',
    'débanderas',
    'débanderez',
    'débanderiez',
    'débanderions',
    'débanderons',
    'débanderont',
    'débandes',
    'débandez',
    'débandiez',
    'débandions',
    'débandons',
    'débandâmes',
    'débandât',
    'débandâtes',
    'débandèrent',
    'débandé',
    'débandée',
    'débandées',
    'débandés',
    'débaptisa',
    'débaptisai',
    'débaptisais',
    'débaptisait',
    'débaptisant',
    'débaptisas',
    'débaptisasse',
    'débaptise',
    'débaptisent',
    'débaptiser',
    'débaptisera',
    'débaptiserai',
    'débaptiseras',
    'débaptiserez',
    'débaptises',
    'débaptisez',
    'débaptisiez',
    'débaptisions',
    'débaptisons',
    'débaptisâmes',
    'débaptisât',
    'débaptisâtes',
    'débaptisé',
    'débaptisée',
    'débaptisées',
    'débaptisés',
    'débarbouilla',
    'débarbouille',
    'débarbouillé',
    'débarcadère',
    'débarcadères',
    'débarda',
    'débardage',
    'débardages',
    'débardai',
    'débardaient',
    'débardais',
    'débardait',
    'débardant',
    'débardas',
    'débardasse',
    'débardassent',
    'débardasses',
    'débardassiez',
    'débarde',
    'débardent',
    'débarder',
    'débardera',
    'débarderai',
    'débarderais',
    'débarderait',
    'débarderas',
    'débarderez',
    'débarderiez',
    'débarderions',
    'débarderons',
    'débarderont',
    'débardes',
    'débardeur',
    'débardeurs',
    'débardeuse',
    'débardeuses',
    'débardez',
    'débardiez',
    'débardions',
    'débardons',
    'débardâmes',
    'débardât',
    'débardâtes',
    'débardèrent',
    'débardé',
    'débardée',
    'débardées',
    'débardés',
    'débarqua',
    'débarquai',
    'débarquaient',
    'débarquais',
    'débarquait',
    'débarquant',
    'débarquas',
    'débarquasse',
    'débarquasses',
    'débarque',
    'débarquement',
    'débarquent',
    'débarquer',
    'débarquera',
    'débarquerai',
    'débarquerais',
    'débarquerait',
    'débarqueras',
    'débarquerez',
    'débarqueriez',
    'débarquerons',
    'débarqueront',
    'débarques',
    'débarquez',
    'débarquiez',
    'débarquions',
    'débarquons',
    'débarquâmes',
    'débarquât',
    'débarquâtes',
    'débarquèrent',
    'débarqué',
    'débarquée',
    'débarquées',
    'débarqués',
    'débarra',
    'débarrai',
    'débarraient',
    'débarrais',
    'débarrait',
    'débarrant',
    'débarras',
    'débarrassa',
    'débarrassai',
    'débarrassais',
    'débarrassait',
    'débarrassant',
    'débarrassas',
    'débarrasse',
    'débarrassent',
    'débarrasser',
    'débarrassera',
    'débarrasses',
    'débarrassez',
    'débarrassiez',
    'débarrassons',
    'débarrassât',
    'débarrassé',
    'débarrassée',
    'débarrassées',
    'débarrassés',
    'débarre',
    'débarrent',
    'débarrer',
    'débarrera',
    'débarrerai',
    'débarrerais',
    'débarrerait',
    'débarreras',
    'débarrerez',
    'débarreriez',
    'débarrerions',
    'débarrerons',
    'débarreront',
    'débarres',
    'débarrez',
    'débarriez',
    'débarrions',
    'débarrons',
    'débarrâmes',
    'débarrât',
    'débarrâtes',
    'débarrèrent',
    'débarré',
    'débarrée',
    'débarrées',
    'débarrés',
    'débat',
    'débats',
    'débattaient',
    'débattais',
    'débattait',
    'débattant',
    'débatte',
    'débattement',
    'débattements',
    'débattent',
    'débattes',
    'débatteur',
    'débatteurs',
    'débattez',
    'débattiez',
    'débattions',
    'débattirent',
    'débattis',
    'débattisse',
    'débattissent',
    'débattisses',
    'débattissiez',
    'débattit',
    'débattons',
    'débattra',
    'débattrai',
    'débattraient',
    'débattrais',
    'débattrait',
    'débattras',
    'débattre',
    'débattrez',
    'débattriez',
    'débattrions',
    'débattrons',
    'débattront',
    'débattu',
    'débattue',
    'débattues',
    'débattus',
    'débattîmes',
    'débattît',
    'débattîtes',
    'débaucha',
    'débauchage',
    'débauchages',
    'débauchai',
    'débauchaient',
    'débauchais',
    'débauchait',
    'débauchant',
    'débauchas',
    'débauchasse',
    'débauchasses',
    'débauche',
    'débauchent',
    'débaucher',
    'débauchera',
    'débaucherai',
    'débaucherais',
    'débaucherait',
    'débaucheras',
    'débaucherez',
    'débaucheriez',
    'débaucherons',
    'débaucheront',
    'débauches',
    'débauchez',
    'débauchiez',
    'débauchions',
    'débauchons',
    'débauchâmes',
    'débauchât',
    'débauchâtes',
    'débauchèrent',
    'débauché',
    'débauchée',
    'débauchées',
    'débauchés',
    'débecqueta',
    'débecquetai',
    'débecquetais',
    'débecquetait',
    'débecquetant',
    'débecquetas',
    'débecqueter',
    'débecquetez',
    'débecquetiez',
    'débecquetons',
    'débecquette',
    'débecquettes',
    'débecquetât',
    'débecqueté',
    'débecquetée',
    'débecquetées',
    'débecquetés',
    'débecta',
    'débectai',
    'débectaient',
    'débectais',
    'débectait',
    'débectant',
    'débectas',
    'débectasse',
    'débectassent',
    'débectasses',
    'débectassiez',
    'débecte',
    'débectent',
    'débecter',
    'débectera',
    'débecterai',
    'débecterais',
    'débecterait',
    'débecteras',
    'débecterez',
    'débecteriez',
    'débecterions',
    'débecterons',
    'débecteront',
    'débectes',
    'débectez',
    'débectiez',
    'débections',
    'débectons',
    'débectâmes',
    'débectât',
    'débectâtes',
    'débectèrent',
    'débecté',
    'débectée',
    'débectées',
    'débectés',
    'débenzola',
    'débenzolage',
    'débenzolages',
    'débenzolai',
    'débenzolais',
    'débenzolait',
    'débenzolant',
    'débenzolas',
    'débenzolasse',
    'débenzole',
    'débenzolent',
    'débenzoler',
    'débenzolera',
    'débenzolerai',
    'débenzoleras',
    'débenzolerez',
    'débenzoles',
    'débenzolez',
    'débenzoliez',
    'débenzolions',
    'débenzolons',
    'débenzolâmes',
    'débenzolât',
    'débenzolâtes',
    'débenzolé',
    'débenzolée',
    'débenzolées',
    'débenzolés',
    'débet',
    'débets',
    'débile',
    'débilement',
    'débiles',
    'débilita',
    'débilitai',
    'débilitaient',
    'débilitais',
    'débilitait',
    'débilitant',
    'débilitante',
    'débilitantes',
    'débilitants',
    'débilitas',
    'débilitasse',
    'débilitasses',
    'débilite',
    'débilitent',
    'débiliter',
    'débilitera',
    'débiliterai',
    'débiliterais',
    'débiliterait',
    'débiliteras',
    'débiliterez',
    'débiliteriez',
    'débiliterons',
    'débiliteront',
    'débilites',
    'débilitez',
    'débilitiez',
    'débilitions',
    'débilitons',
    'débilitâmes',
    'débilitât',
    'débilitâtes',
    'débilitèrent',
    'débilité',
    'débilitée',
    'débilitées',
    'débilités',
    'débillarda',
    'débillardai',
    'débillardais',
    'débillardait',
    'débillardant',
    'débillardas',
    'débillarde',
    'débillardent',
    'débillarder',
    'débillardera',
    'débillardes',
    'débillardez',
    'débillardiez',
    'débillardons',
    'débillardât',
    'débillardé',
    'débillardée',
    'débillardées',
    'débillardés',
    'débina',
    'débinai',
    'débinaient',
    'débinais',
    'débinait',
    'débinant',
    'débinas',
    'débinasse',
    'débinassent',
    'débinasses',
    'débinassiez',
    'débinassions',
    'débine',
    'débinent',
    'débiner',
    'débinera',
    'débinerai',
    'débineraient',
    'débinerais',
    'débinerait',
    'débineras',
    'débinerez',
    'débineriez',
    'débinerions',
    'débinerons',
    'débineront',
    'débines',
    'débinez',
    'débiniez',
    'débinions',
    'débinons',
    'débinâmes',
    'débinât',
    'débinâtes',
    'débinèrent',
    'débiné',
    'débinée',
    'débinées',
    'débinés',
    'débit',
    'débita',
    'débitable',
    'débitables',
    'débitage',
    'débitages',
    'débitai',
    'débitaient',
    'débitais',
    'débitait',
    'débitant',
    'débitante',
    'débitantes',
    'débitants',
    'débitas',
    'débitasse',
    'débitassent',
    'débitasses',
    'débitassiez',
    'débitassions',
    'débite',
    'débitent',
    'débiter',
    'débitera',
    'débiterai',
    'débiteraient',
    'débiterais',
    'débiterait',
    'débiteras',
    'débiterez',
    'débiteriez',
    'débiterions',
    'débiterons',
    'débiteront',
    'débites',
    'débiteur',
    'débiteurs',
    'débitez',
    'débitiez',
    'débitions',
    'débitmètre',
    'débitmètres',
    'débitons',
    'débitrice',
    'débitrices',
    'débits',
    'débitâmes',
    'débitât',
    'débitâtes',
    'débitèrent',
    'débité',
    'débitée',
    'débitées',
    'débités',
    'déblai',
    'déblaie',
    'déblaiement',
    'déblaiements',
    'déblaient',
    'déblaiera',
    'déblaierai',
    'déblaierais',
    'déblaierait',
    'déblaieras',
    'déblaierez',
    'déblaieriez',
    'déblaierions',
    'déblaierons',
    'déblaieront',
    'déblaies',
    'déblais',
    'déblatère',
    'déblatèrent',
    'déblatères',
    'déblatéra',
    'déblatérai',
    'déblatérais',
    'déblatérait',
    'déblatérant',
    'déblatéras',
    'déblatérasse',
    'déblatérer',
    'déblatérera',
    'déblatérerai',
    'déblatéreras',
    'déblatérerez',
    'déblatérez',
    'déblatériez',
    'déblatérions',
    'déblatérons',
    'déblatérâmes',
    'déblatérât',
    'déblatérâtes',
    'déblatéré',
    'déblaya',
    'déblayage',
    'déblayages',
    'déblayai',
    'déblayaient',
    'déblayais',
    'déblayait',
    'déblayant',
    'déblayas',
    'déblayasse',
    'déblayassent',
    'déblayasses',
    'déblayassiez',
    'déblaye',
    'déblayent',
    'déblayer',
    'déblayera',
    'déblayerai',
    'déblayerais',
    'déblayerait',
    'déblayeras',
    'déblayerez',
    'déblayeriez',
    'déblayerions',
    'déblayerons',
    'déblayeront',
    'déblayes',
    'déblayez',
    'déblayiez',
    'déblayions',
    'déblayons',
    'déblayâmes',
    'déblayât',
    'déblayâtes',
    'déblayèrent',
    'déblayé',
    'déblayée',
    'déblayées',
    'déblayés',
    'débleui',
    'débleuie',
    'débleuies',
    'débleuir',
    'débleuira',
    'débleuirai',
    'débleuirais',
    'débleuirait',
    'débleuiras',
    'débleuirent',
    'débleuirez',
    'débleuiriez',
    'débleuirions',
    'débleuirons',
    'débleuiront',
    'débleuis',
    'débleuissais',
    'débleuissait',
    'débleuissant',
    'débleuisse',
    'débleuissent',
    'débleuisses',
    'débleuissez',
    'débleuissiez',
    'débleuissons',
    'débleuit',
    'débleuîmes',
    'débleuît',
    'débleuîtes',
    'déblocage',
    'déblocages',
    'débloqua',
    'débloquai',
    'débloquaient',
    'débloquais',
    'débloquait',
    'débloquant',
    'débloquas',
    'débloquasse',
    'débloquasses',
    'débloque',
    'débloquent',
    'débloquer',
    'débloquera',
    'débloquerai',
    'débloquerais',
    'débloquerait',
    'débloqueras',
    'débloquerez',
    'débloqueriez',
    'débloquerons',
    'débloqueront',
    'débloques',
    'débloquez',
    'débloquiez',
    'débloquions',
    'débloquons',
    'débloquâmes',
    'débloquât',
    'débloquâtes',
    'débloquèrent',
    'débloqué',
    'débloquée',
    'débloquées',
    'débloqués',
    'débobina',
    'débobinai',
    'débobinaient',
    'débobinais',
    'débobinait',
    'débobinant',
    'débobinas',
    'débobinasse',
    'débobinasses',
    'débobine',
    'débobinent',
    'débobiner',
    'débobinera',
    'débobinerai',
    'débobinerais',
    'débobinerait',
    'débobineras',
    'débobinerez',
    'débobineriez',
    'débobinerons',
    'débobineront',
    'débobines',
    'débobinez',
    'débobiniez',
    'débobinions',
    'débobinons',
    'débobinâmes',
    'débobinât',
    'débobinâtes',
    'débobinèrent',
    'débobiné',
    'débobinée',
    'débobinées',
    'débobinés',
    'débogua',
    'déboguai',
    'déboguaient',
    'déboguais',
    'déboguait',
    'déboguant',
    'déboguas',
    'déboguasse',
    'déboguassent',
    'déboguasses',
    'déboguassiez',
    'débogue',
    'déboguent',
    'déboguer',
    'déboguera',
    'déboguerai',
    'déboguerais',
    'déboguerait',
    'débogueras',
    'déboguerez',
    'débogueriez',
    'déboguerions',
    'déboguerons',
    'débogueront',
    'débogues',
    'déboguez',
    'déboguiez',
    'déboguions',
    'déboguons',
    'déboguâmes',
    'déboguât',
    'déboguâtes',
    'déboguèrent',
    'débogué',
    'déboguée',
    'déboguées',
    'débogués',
    'déboire',
    'déboires',
    'déboisa',
    'déboisage',
    'déboisages',
    'déboisai',
    'déboisaient',
    'déboisais',
    'déboisait',
    'déboisant',
    'déboisas',
    'déboisasse',
    'déboisassent',
    'déboisasses',
    'déboisassiez',
    'déboise',
    'déboisement',
    'déboisements',
    'déboisent',
    'déboiser',
    'déboisera',
    'déboiserai',
    'déboiserais',
    'déboiserait',
    'déboiseras',
    'déboiserez',
    'déboiseriez',
    'déboiserions',
    'déboiserons',
    'déboiseront',
    'déboises',
    'déboisez',
    'déboisiez',
    'déboisions',
    'déboisons',
    'déboisâmes',
    'déboisât',
    'déboisâtes',
    'déboisèrent',
    'déboisé',
    'déboisée',
    'déboisées',
    'déboisés',
    'débonda',
    'débondai',
    'débondaient',
    'débondais',
    'débondait',
    'débondant',
    'débondas',
    'débondasse',
    'débondassent',
    'débondasses',
    'débondassiez',
    'débonde',
    'débondent',
    'débonder',
    'débondera',
    'débonderai',
    'débonderais',
    'débonderait',
    'débonderas',
    'débonderez',
    'débonderiez',
    'débonderions',
    'débonderons',
    'débonderont',
    'débondes',
    'débondez',
    'débondiez',
    'débondions',
    'débondons',
    'débondâmes',
    'débondât',
    'débondâtes',
    'débondèrent',
    'débondé',
    'débondée',
    'débondées',
    'débondés',
    'débonnaire',
    'débonnaires',
    'débonnaireté',
    'débord',
    'déborda',
    'débordai',
    'débordaient',
    'débordais',
    'débordait',
    'débordant',
    'débordante',
    'débordantes',
    'débordants',
    'débordas',
    'débordasse',
    'débordassent',
    'débordasses',
    'débordassiez',
    'déborde',
    'débordement',
    'débordements',
    'débordent',
    'déborder',
    'débordera',
    'déborderai',
    'déborderais',
    'déborderait',
    'déborderas',
    'déborderez',
    'déborderiez',
    'déborderions',
    'déborderons',
    'déborderont',
    'débordes',
    'débordez',
    'débordiez',
    'débordions',
    'débordons',
    'débords',
    'débordâmes',
    'débordât',
    'débordâtes',
    'débordèrent',
    'débordé',
    'débordée',
    'débordées',
    'débordés',
    'débossela',
    'débosselai',
    'débosselais',
    'débosselait',
    'débosselant',
    'débosselas',
    'débosselasse',
    'débosseler',
    'débosselez',
    'débosseliez',
    'débosselions',
    'débosselle',
    'débossellent',
    'débossellera',
    'débosselles',
    'débosselons',
    'débosselâmes',
    'débosselât',
    'débosselâtes',
    'débosselé',
    'débosselée',
    'débosselées',
    'débosselés',
    'débotta',
    'débottai',
    'débottaient',
    'débottais',
    'débottait',
    'débottant',
    'débottas',
    'débottasse',
    'débottassent',
    'débottasses',
    'débottassiez',
    'débotte',
    'débottent',
    'débotter',
    'débottera',
    'débotterai',
    'débotterais',
    'débotterait',
    'débotteras',
    'débotterez',
    'débotteriez',
    'débotterions',
    'débotterons',
    'débotteront',
    'débottes',
    'débottez',
    'débottiez',
    'débottions',
    'débottons',
    'débottâmes',
    'débottât',
    'débottâtes',
    'débottèrent',
    'débotté',
    'débottée',
    'débottées',
    'débottés',
    'déboucha',
    'débouchage',
    'débouchages',
    'débouchai',
    'débouchaient',
    'débouchais',
    'débouchait',
    'débouchant',
    'débouchas',
    'débouchasse',
    'débouchasses',
    'débouche',
    'débouchement',
    'débouchent',
    'déboucher',
    'débouchera',
    'déboucherai',
    'déboucherais',
    'déboucherait',
    'déboucheras',
    'déboucherez',
    'déboucheriez',
    'déboucherons',
    'déboucheront',
    'débouches',
    'déboucheur',
    'déboucheurs',
    'débouchez',
    'débouchiez',
    'débouchions',
    'débouchoir',
    'débouchoirs',
    'débouchons',
    'débouchâmes',
    'débouchât',
    'débouchâtes',
    'débouchèrent',
    'débouché',
    'débouchée',
    'débouchées',
    'débouchés',
    'déboucla',
    'débouclai',
    'débouclaient',
    'débouclais',
    'débouclait',
    'débouclant',
    'débouclas',
    'débouclasse',
    'débouclasses',
    'déboucle',
    'débouclent',
    'déboucler',
    'débouclera',
    'débouclerai',
    'débouclerais',
    'débouclerait',
    'déboucleras',
    'débouclerez',
    'déboucleriez',
    'débouclerons',
    'déboucleront',
    'déboucles',
    'débouclez',
    'déboucliez',
    'débouclions',
    'débouclons',
    'débouclâmes',
    'débouclât',
    'débouclâtes',
    'débouclèrent',
    'débouclé',
    'débouclée',
    'débouclées',
    'débouclés',
    'débouda',
    'déboudai',
    'déboudaient',
    'déboudais',
    'déboudait',
    'déboudant',
    'déboudas',
    'déboudasse',
    'déboudassent',
    'déboudasses',
    'déboudassiez',
    'déboude',
    'déboudent',
    'débouder',
    'déboudera',
    'débouderai',
    'débouderais',
    'débouderait',
    'débouderas',
    'débouderez',
    'débouderiez',
    'débouderions',
    'débouderons',
    'débouderont',
    'déboudes',
    'déboudez',
    'déboudiez',
    'déboudions',
    'déboudons',
    'déboudâmes',
    'déboudât',
    'déboudâtes',
    'déboudèrent',
    'déboudé',
    'déboudée',
    'déboudées',
    'déboudés',
    'débouillais',
    'débouillait',
    'débouillant',
    'débouille',
    'débouillent',
    'débouilles',
    'débouillez',
    'débouilli',
    'débouillie',
    'débouillies',
    'débouilliez',
    'débouillions',
    'débouillir',
    'débouillira',
    'débouillirai',
    'débouilliras',
    'débouillirez',
    'débouillis',
    'débouillisse',
    'débouillit',
    'débouillons',
    'débouillîmes',
    'débouillît',
    'débouillîtes',
    'déboula',
    'déboulai',
    'déboulaient',
    'déboulais',
    'déboulait',
    'déboulant',
    'déboulas',
    'déboulasse',
    'déboulassent',
    'déboulasses',
    'déboulassiez',
    'déboule',
    'déboulent',
    'débouler',
    'déboulera',
    'déboulerai',
    'déboulerais',
    'déboulerait',
    'débouleras',
    'déboulerez',
    'débouleriez',
    'déboulerions',
    'déboulerons',
    'débouleront',
    'déboules',
    'déboulez',
    'débouliez',
    'déboulions',
    'déboulonna',
    'déboulonnage',
    'déboulonnai',
    'déboulonnais',
    'déboulonnait',
    'déboulonnant',
    'déboulonnas',
    'déboulonne',
    'déboulonnent',
    'déboulonner',
    'déboulonnera',
    'déboulonnes',
    'déboulonnez',
    'déboulonniez',
    'déboulonnons',
    'déboulonnât',
    'déboulonné',
    'déboulonnée',
    'déboulonnées',
    'déboulonnés',
    'déboulons',
    'déboulâmes',
    'déboulât',
    'déboulâtes',
    'déboulèrent',
    'déboulé',
    'déboulée',
    'déboulées',
    'déboulés',
    'débouqua',
    'débouquai',
    'débouquaient',
    'débouquais',
    'débouquait',
    'débouquant',
    'débouquas',
    'débouquasse',
    'débouquasses',
    'débouque',
    'débouquement',
    'débouquent',
    'débouquer',
    'débouquera',
    'débouquerai',
    'débouquerais',
    'débouquerait',
    'débouqueras',
    'débouquerez',
    'débouqueriez',
    'débouquerons',
    'débouqueront',
    'débouques',
    'débouquez',
    'débouquiez',
    'débouquions',
    'débouquons',
    'débouquâmes',
    'débouquât',
    'débouquâtes',
    'débouquèrent',
    'débouqué',
    'débourba',
    'débourbage',
    'débourbages',
    'débourbai',
    'débourbaient',
    'débourbais',
    'débourbait',
    'débourbant',
    'débourbas',
    'débourbasse',
    'débourbasses',
    'débourbe',
    'débourbent',
    'débourber',
    'débourbera',
    'débourberai',
    'débourberais',
    'débourberait',
    'débourberas',
    'débourberez',
    'débourberiez',
    'débourberons',
    'débourberont',
    'débourbes',
    'débourbeur',
    'débourbeurs',
    'débourbez',
    'débourbiez',
    'débourbions',
    'débourbons',
    'débourbâmes',
    'débourbât',
    'débourbâtes',
    'débourbèrent',
    'débourbé',
    'débourbée',
    'débourbées',
    'débourbés',
    'débourgeoisé',
    'débourra',
    'débourrage',
    'débourrages',
    'débourrai',
    'débourraient',
    'débourrais',
    'débourrait',
    'débourrant',
    'débourras',
    'débourrasse',
    'débourrasses',
    'débourre',
    'débourrement',
    'débourrent',
    'débourrer',
    'débourrera',
    'débourrerai',
    'débourrerais',
    'débourrerait',
    'débourreras',
    'débourrerez',
    'débourreriez',
    'débourrerons',
    'débourreront',
    'débourres',
    'débourrez',
    'débourriez',
    'débourrions',
    'débourrons',
    'débourrâmes',
    'débourrât',
    'débourrâtes',
    'débourrèrent',
    'débourré',
    'débourrée',
    'débourrées',
    'débourrés',
    'débours',
    'déboursa',
    'déboursai',
    'déboursaient',
    'déboursais',
    'déboursait',
    'déboursant',
    'déboursas',
    'déboursasse',
    'déboursasses',
    'débourse',
    'déboursement',
    'déboursent',
    'débourser',
    'déboursera',
    'débourserai',
    'débourserais',
    'débourserait',
    'débourseras',
    'débourserez',
    'débourseriez',
    'débourserons',
    'débourseront',
    'débourses',
    'déboursez',
    'déboursiez',
    'déboursions',
    'déboursons',
    'déboursâmes',
    'déboursât',
    'déboursâtes',
    'déboursèrent',
    'déboursé',
    'déboursée',
    'déboursées',
    'déboursés',
    'débous',
    'déboussola',
    'déboussolai',
    'déboussolais',
    'déboussolait',
    'déboussolant',
    'déboussolas',
    'déboussole',
    'déboussolent',
    'déboussoler',
    'déboussolera',
    'déboussoles',
    'déboussolez',
    'déboussoliez',
    'déboussolons',
    'déboussolât',
    'déboussolé',
    'déboussolée',
    'déboussolées',
    'déboussolés',
    'débout',
    'débouta',
    'déboutai',
    'déboutaient',
    'déboutais',
    'déboutait',
    'déboutant',
    'déboutas',
    'déboutasse',
    'déboutassent',
    'déboutasses',
    'déboutassiez',
    'déboute',
    'déboutement',
    'déboutements',
    'déboutent',
    'débouter',
    'déboutera',
    'débouterai',
    'débouterais',
    'débouterait',
    'débouteras',
    'débouterez',
    'débouteriez',
    'débouterions',
    'débouterons',
    'débouteront',
    'déboutes',
    'déboutez',
    'déboutiez',
    'déboutions',
    'déboutonna',
    'déboutonnage',
    'déboutonnai',
    'déboutonnais',
    'déboutonnait',
    'déboutonnant',
    'déboutonnas',
    'déboutonne',
    'déboutonnent',
    'déboutonner',
    'déboutonnera',
    'déboutonnes',
    'déboutonnez',
    'déboutonniez',
    'déboutonnons',
    'déboutonnât',
    'déboutonné',
    'déboutonnée',
    'déboutonnées',
    'déboutonnés',
    'déboutons',
    'déboutâmes',
    'déboutât',
    'déboutâtes',
    'déboutèrent',
    'débouté',
    'déboutée',
    'déboutées',
    'déboutés',
    'déboîta',
    'déboîtai',
    'déboîtaient',
    'déboîtais',
    'déboîtait',
    'déboîtant',
    'déboîtas',
    'déboîtasse',
    'déboîtassent',
    'déboîtasses',
    'déboîtassiez',
    'déboîte',
    'déboîtement',
    'déboîtements',
    'déboîtent',
    'déboîter',
    'déboîtera',
    'déboîterai',
    'déboîterais',
    'déboîterait',
    'déboîteras',
    'déboîterez',
    'déboîteriez',
    'déboîterions',
    'déboîterons',
    'déboîteront',
    'déboîtes',
    'déboîtez',
    'déboîtiez',
    'déboîtions',
    'déboîtons',
    'déboîtâmes',
    'déboîtât',
    'déboîtâtes',
    'déboîtèrent',
    'déboîté',
    'déboîtée',
    'déboîtées',
    'déboîtés',
    'débraguetta',
    'débraguettai',
    'débraguettas',
    'débraguette',
    'débraguetter',
    'débraguettes',
    'débraguettez',
    'débraguettât',
    'débraguetté',
    'débraguettée',
    'débraguettés',
    'débraie',
    'débraient',
    'débraiera',
    'débraierai',
    'débraierais',
    'débraierait',
    'débraieras',
    'débraierez',
    'débraieriez',
    'débraierions',
    'débraierons',
    'débraieront',
    'débraies',
    'débrailla',
    'débraillai',
    'débraillais',
    'débraillait',
    'débraillant',
    'débraillas',
    'débraillasse',
    'débraille',
    'débraillent',
    'débrailler',
    'débraillera',
    'débraillerai',
    'débrailleras',
    'débraillerez',
    'débrailles',
    'débraillez',
    'débrailliez',
    'débraillions',
    'débraillons',
    'débraillâmes',
    'débraillât',
    'débraillâtes',
    'débraillé',
    'débraillée',
    'débraillées',
    'débraillés',
    'débrancha',
    'débranchai',
    'débranchais',
    'débranchait',
    'débranchant',
    'débranchas',
    'débranchasse',
    'débranche',
    'débranchent',
    'débrancher',
    'débranchera',
    'débrancherai',
    'débrancheras',
    'débrancherez',
    'débranches',
    'débranchez',
    'débranchiez',
    'débranchions',
    'débranchons',
    'débranchâmes',
    'débranchât',
    'débranchâtes',
    'débranché',
    'débranchée',
    'débranchées',
    'débranchés',
    'débraya',
    'débrayage',
    'débrayages',
    'débrayai',
    'débrayaient',
    'débrayais',
    'débrayait',
    'débrayant',
    'débrayas',
    'débrayasse',
    'débrayassent',
    'débrayasses',
    'débrayassiez',
    'débraye',
    'débrayent',
    'débrayer',
    'débrayera',
    'débrayerai',
    'débrayerais',
    'débrayerait',
    'débrayeras',
    'débrayerez',
    'débrayeriez',
    'débrayerions',
    'débrayerons',
    'débrayeront',
    'débrayes',
    'débrayez',
    'débrayiez',
    'débrayions',
    'débrayons',
    'débrayâmes',
    'débrayât',
    'débrayâtes',
    'débrayèrent',
    'débrayé',
    'débrayée',
    'débrayées',
    'débrayés',
    'débrida',
    'débridai',
    'débridaient',
    'débridais',
    'débridait',
    'débridant',
    'débridas',
    'débridasse',
    'débridassent',
    'débridasses',
    'débridassiez',
    'débride',
    'débridement',
    'débridements',
    'débrident',
    'débrider',
    'débridera',
    'débriderai',
    'débriderais',
    'débriderait',
    'débrideras',
    'débriderez',
    'débrideriez',
    'débriderions',
    'débriderons',
    'débrideront',
    'débrides',
    'débridez',
    'débridiez',
    'débridions',
    'débridons',
    'débridâmes',
    'débridât',
    'débridâtes',
    'débridèrent',
    'débridé',
    'débridée',
    'débridées',
    'débridés',
    'débris',
    'débrocha',
    'débrochage',
    'débrochages',
    'débrochai',
    'débrochaient',
    'débrochais',
    'débrochait',
    'débrochant',
    'débrochas',
    'débrochasse',
    'débrochasses',
    'débroche',
    'débrochent',
    'débrocher',
    'débrochera',
    'débrocherai',
    'débrocherais',
    'débrocherait',
    'débrocheras',
    'débrocherez',
    'débrocheriez',
    'débrocherons',
    'débrocheront',
    'débroches',
    'débrochez',
    'débrochiez',
    'débrochions',
    'débrochons',
    'débrochâmes',
    'débrochât',
    'débrochâtes',
    'débrochèrent',
    'débroché',
    'débrochée',
    'débrochées',
    'débrochés',
    'débrouilla',
    'débrouillage',
    'débrouillai',
    'débrouillais',
    'débrouillait',
    'débrouillant',
    'débrouillard',
    'débrouillas',
    'débrouille',
    'débrouillent',
    'débrouiller',
    'débrouillera',
    'débrouilles',
    'débrouillez',
    'débrouilliez',
    'débrouillons',
    'débrouillât',
    'débrouillé',
    'débrouillée',
    'débrouillées',
    'débrouillés',
    'débucha',
    'débuchai',
    'débuchaient',
    'débuchais',
    'débuchait',
    'débuchant',
    'débuchas',
    'débuchasse',
    'débuchassent',
    'débuchasses',
    'débuchassiez',
    'débuche',
    'débuchent',
    'débucher',
    'débuchera',
    'débucherai',
    'débucherais',
    'débucherait',
    'débucheras',
    'débucherez',
    'débucheriez',
    'débucherions',
    'débucherons',
    'débucheront',
    'débuches',
    'débuchez',
    'débuchiez',
    'débuchions',
    'débuchons',
    'débuchâmes',
    'débuchât',
    'débuchâtes',
    'débuchèrent',
    'débuché',
    'débuchée',
    'débuchées',
    'débuchés',
    'débudgétisa',
    'débudgétisai',
    'débudgétisas',
    'débudgétise',
    'débudgétiser',
    'débudgétises',
    'débudgétisez',
    'débudgétisât',
    'débudgétisé',
    'débudgétisée',
    'débudgétisés',
    'débulla',
    'débullai',
    'débullaient',
    'débullais',
    'débullait',
    'débullant',
    'débullas',
    'débullasse',
    'débullassent',
    'débullasses',
    'débullassiez',
    'débulle',
    'débullent',
    'débuller',
    'débullera',
    'débullerai',
    'débullerais',
    'débullerait',
    'débulleras',
    'débullerez',
    'débulleriez',
    'débullerions',
    'débullerons',
    'débulleront',
    'débulles',
    'débullez',
    'débulliez',
    'débullions',
    'débullons',
    'débullâmes',
    'débullât',
    'débullâtes',
    'débullèrent',
    'débullé',
    'débullée',
    'débullées',
    'débullés',
    'débusqua',
    'débusquai',
    'débusquaient',
    'débusquais',
    'débusquait',
    'débusquant',
    'débusquas',
    'débusquasse',
    'débusquasses',
    'débusque',
    'débusquement',
    'débusquent',
    'débusquer',
    'débusquera',
    'débusquerai',
    'débusquerais',
    'débusquerait',
    'débusqueras',
    'débusquerez',
    'débusqueriez',
    'débusquerons',
    'débusqueront',
    'débusques',
    'débusquez',
    'débusquiez',
    'débusquions',
    'débusquons',
    'débusquâmes',
    'débusquât',
    'débusquâtes',
    'débusquèrent',
    'débusqué',
    'débusquée',
    'débusquées',
    'débusqués',
    'début',
    'débuta',
    'débutai',
    'débutaient',
    'débutais',
    'débutait',
    'débutant',
    'débutante',
    'débutantes',
    'débutants',
    'débutas',
    'débutasse',
    'débutassent',
    'débutasses',
    'débutassiez',
    'débutassions',
    'débute',
    'débutent',
    'débuter',
    'débutera',
    'débuterai',
    'débuteraient',
    'débuterais',
    'débuterait',
    'débuteras',
    'débuterez',
    'débuteriez',
    'débuterions',
    'débuterons',
    'débuteront',
    'débutes',
    'débutez',
    'débutiez',
    'débutions',
    'débutons',
    'débuts',
    'débutâmes',
    'débutât',
    'débutâtes',
    'débutèrent',
    'débuté',
    'débutée',
    'débutées',
    'débutés',
    'débâcha',
    'débâchai',
    'débâchaient',
    'débâchais',
    'débâchait',
    'débâchant',
    'débâchas',
    'débâchasse',
    'débâchassent',
    'débâchasses',
    'débâchassiez',
    'débâche',
    'débâchent',
    'débâcher',
    'débâchera',
    'débâcherai',
    'débâcherais',
    'débâcherait',
    'débâcheras',
    'débâcherez',
    'débâcheriez',
    'débâcherions',
    'débâcherons',
    'débâcheront',
    'débâches',
    'débâchez',
    'débâchiez',
    'débâchions',
    'débâchons',
    'débâchâmes',
    'débâchât',
    'débâchâtes',
    'débâchèrent',
    'débâché',
    'débâchée',
    'débâchées',
    'débâchés',
    'débâcla',
    'débâclai',
    'débâclaient',
    'débâclais',
    'débâclait',
    'débâclant',
    'débâclas',
    'débâclasse',
    'débâclassent',
    'débâclasses',
    'débâclassiez',
    'débâcle',
    'débâclent',
    'débâcler',
    'débâclera',
    'débâclerai',
    'débâclerais',
    'débâclerait',
    'débâcleras',
    'débâclerez',
    'débâcleriez',
    'débâclerions',
    'débâclerons',
    'débâcleront',
    'débâcles',
    'débâclez',
    'débâcliez',
    'débâclions',
    'débâclons',
    'débâclâmes',
    'débâclât',
    'débâclâtes',
    'débâclèrent',
    'débâclé',
    'débâillonna',
    'débâillonnai',
    'débâillonnas',
    'débâillonne',
    'débâillonner',
    'débâillonnes',
    'débâillonnez',
    'débâillonnât',
    'débâillonné',
    'débâillonnée',
    'débâillonnés',
    'débâta',
    'débâtai',
    'débâtaient',
    'débâtais',
    'débâtait',
    'débâtant',
    'débâtas',
    'débâtasse',
    'débâtassent',
    'débâtasses',
    'débâtassiez',
    'débâtassions',
    'débâte',
    'débâtent',
    'débâter',
    'débâtera',
    'débâterai',
    'débâteraient',
    'débâterais',
    'débâterait',
    'débâteras',
    'débâterez',
    'débâteriez',
    'débâterions',
    'débâterons',
    'débâteront',
    'débâtes',
    'débâtez',
    'débâti',
    'débâtie',
    'débâties',
    'débâtiez',
    'débâtions',
    'débâtir',
    'débâtira',
    'débâtirai',
    'débâtiraient',
    'débâtirais',
    'débâtirait',
    'débâtiras',
    'débâtirent',
    'débâtirez',
    'débâtiriez',
    'débâtirions',
    'débâtirons',
    'débâtiront',
    'débâtis',
    'débâtissais',
    'débâtissait',
    'débâtissant',
    'débâtisse',
    'débâtissent',
    'débâtisses',
    'débâtissez',
    'débâtissiez',
    'débâtissions',
    'débâtissons',
    'débâtit',
    'débâtons',
    'débâtâmes',
    'débâtât',
    'débâtâtes',
    'débâtèrent',
    'débâté',
    'débâtée',
    'débâtées',
    'débâtés',
    'débâtîmes',
    'débâtît',
    'débâtîtes',
    'débéqueter',
    'déca',
    'décacheta',
    'décachetai',
    'décachetais',
    'décachetait',
    'décachetant',
    'décachetas',
    'décachetasse',
    'décacheter',
    'décachetez',
    'décachetiez',
    'décachetions',
    'décachetons',
    'décachette',
    'décachettent',
    'décachettera',
    'décachettes',
    'décachetâmes',
    'décachetât',
    'décachetâtes',
    'décacheté',
    'décachetée',
    'décachetées',
    'décachetés',
    'décadaire',
    'décadaires',
    'décade',
    'décadenassa',
    'décadenassai',
    'décadenassas',
    'décadenasse',
    'décadenasser',
    'décadenasses',
    'décadenassez',
    'décadenassât',
    'décadenassé',
    'décadenassée',
    'décadenassés',
    'décadence',
    'décadences',
    'décadent',
    'décadente',
    'décadentes',
    'décadents',
    'décades',
    'décadi',
    'décadis',
    'décadrer',
    'décaféina',
    'décaféinai',
    'décaféinais',
    'décaféinait',
    'décaféinant',
    'décaféinas',
    'décaféinasse',
    'décaféine',
    'décaféinent',
    'décaféiner',
    'décaféinera',
    'décaféinerai',
    'décaféineras',
    'décaféinerez',
    'décaféines',
    'décaféinez',
    'décaféiniez',
    'décaféinions',
    'décaféinons',
    'décaféinâmes',
    'décaféinât',
    'décaféinâtes',
    'décaféiné',
    'décaféinée',
    'décaféinées',
    'décaféinés',
    'décagonal',
    'décagonale',
    'décagonales',
    'décagonaux',
    'décagone',
    'décagones',
    'décagramme',
    'décagrammes',
    'décaissa',
    'décaissai',
    'décaissaient',
    'décaissais',
    'décaissait',
    'décaissant',
    'décaissas',
    'décaissasse',
    'décaissasses',
    'décaisse',
    'décaissement',
    'décaissent',
    'décaisser',
    'décaissera',
    'décaisserai',
    'décaisserais',
    'décaisserait',
    'décaisseras',
    'décaisserez',
    'décaisseriez',
    'décaisserons',
    'décaisseront',
    'décaisses',
    'décaissez',
    'décaissiez',
    'décaissions',
    'décaissons',
    'décaissâmes',
    'décaissât',
    'décaissâtes',
    'décaissèrent',
    'décaissé',
    'décaissée',
    'décaissées',
    'décaissés',
    'décala',
    'décalage',
    'décalages',
    'décalai',
    'décalaient',
    'décalais',
    'décalait',
    'décalamina',
    'décalaminage',
    'décalaminai',
    'décalaminais',
    'décalaminait',
    'décalaminant',
    'décalaminas',
    'décalamine',
    'décalaminent',
    'décalaminer',
    'décalaminera',
    'décalamines',
    'décalaminez',
    'décalaminiez',
    'décalaminons',
    'décalaminât',
    'décalaminé',
    'décalaminée',
    'décalaminées',
    'décalaminés',
    'décalant',
    'décalas',
    'décalasse',
    'décalassent',
    'décalasses',
    'décalassiez',
    'décalassions',
    'décalcifia',
    'décalcifiai',
    'décalcifiais',
    'décalcifiait',
    'décalcifiant',
    'décalcifias',
    'décalcifie',
    'décalcifient',
    'décalcifier',
    'décalcifiera',
    'décalcifies',
    'décalcifiez',
    'décalcifiiez',
    'décalcifions',
    'décalcifiât',
    'décalcifié',
    'décalcifiée',
    'décalcifiées',
    'décalcifiés',
    'décalcomanie',
    'décale',
    'décalent',
    'décaler',
    'décalera',
    'décalerai',
    'décaleraient',
    'décalerais',
    'décalerait',
    'décaleras',
    'décalerez',
    'décaleriez',
    'décalerions',
    'décalerons',
    'décaleront',
    'décales',
    'décalez',
    'décaliez',
    'décalions',
    'décalitre',
    'décalitres',
    'décalogue',
    'décalogues',
    'décalons',
    'décalotta',
    'décalottai',
    'décalottais',
    'décalottait',
    'décalottant',
    'décalottas',
    'décalottasse',
    'décalotte',
    'décalottent',
    'décalotter',
    'décalottera',
    'décalotterai',
    'décalotteras',
    'décalotterez',
    'décalottes',
    'décalottez',
    'décalottiez',
    'décalottions',
    'décalottons',
    'décalottâmes',
    'décalottât',
    'décalottâtes',
    'décalotté',
    'décalottée',
    'décalottées',
    'décalottés',
    'décalqua',
    'décalquage',
    'décalquages',
    'décalquai',
    'décalquaient',
    'décalquais',
    'décalquait',
    'décalquant',
    'décalquas',
    'décalquasse',
    'décalquasses',
    'décalque',
    'décalquent',
    'décalquer',
    'décalquera',
    'décalquerai',
    'décalquerais',
    'décalquerait',
    'décalqueras',
    'décalquerez',
    'décalqueriez',
    'décalquerons',
    'décalqueront',
    'décalques',
    'décalquez',
    'décalquiez',
    'décalquions',
    'décalquons',
    'décalquâmes',
    'décalquât',
    'décalquâtes',
    'décalquèrent',
    'décalqué',
    'décalquée',
    'décalquées',
    'décalqués',
    'décalvant',
    'décalvante',
    'décalvantes',
    'décalvants',
    'décalâmes',
    'décalât',
    'décalâtes',
    'décalèrent',
    'décalé',
    'décalée',
    'décalées',
    'décalés',
    'décampa',
    'décampai',
    'décampaient',
    'décampais',
    'décampait',
    'décampant',
    'décampas',
    'décampasse',
    'décampassent',
    'décampasses',
    'décampassiez',
    'décampe',
    'décampent',
    'décamper',
    'décampera',
    'décamperai',
    'décamperais',
    'décamperait',
    'décamperas',
    'décamperez',
    'décamperiez',
    'décamperions',
    'décamperons',
    'décamperont',
    'décampes',
    'décampez',
    'décampiez',
    'décampions',
    'décampons',
    'décampâmes',
    'décampât',
    'décampâtes',
    'décampèrent',
    'décampé',
    'décamètre',
    'décamètres',
    'décan',
    'décanal',
    'décanale',
    'décanales',
    'décanat',
    'décanats',
    'décanaux',
    'décanilla',
    'décanillai',
    'décanillais',
    'décanillait',
    'décanillant',
    'décanillas',
    'décanillasse',
    'décanille',
    'décanillent',
    'décaniller',
    'décanillera',
    'décanillerai',
    'décanilleras',
    'décanillerez',
    'décanilles',
    'décanillez',
    'décanilliez',
    'décanillions',
    'décanillons',
    'décanillâmes',
    'décanillât',
    'décanillâtes',
    'décanillé',
    'décans',
    'décanta',
    'décantai',
    'décantaient',
    'décantais',
    'décantait',
    'décantant',
    'décantas',
    'décantasse',
    'décantassent',
    'décantasses',
    'décantassiez',
    'décantation',
    'décantations',
    'décante',
    'décantent',
    'décanter',
    'décantera',
    'décanterai',
    'décanterais',
    'décanterait',
    'décanteras',
    'décanterez',
    'décanteriez',
    'décanterions',
    'décanterons',
    'décanteront',
    'décantes',
    'décanteur',
    'décanteurs',
    'décanteuse',
    'décanteuses',
    'décantez',
    'décantiez',
    'décantions',
    'décantons',
    'décantâmes',
    'décantât',
    'décantâtes',
    'décantèrent',
    'décanté',
    'décantée',
    'décantées',
    'décantés',
    'décapa',
    'décapage',
    'décapages',
    'décapai',
    'décapaient',
    'décapais',
    'décapait',
    'décapant',
    'décapante',
    'décapantes',
    'décapants',
    'décapas',
    'décapasse',
    'décapassent',
    'décapasses',
    'décapassiez',
    'décapassions',
    'décape',
    'décapela',
    'décapelai',
    'décapelaient',
    'décapelais',
    'décapelait',
    'décapelant',
    'décapelas',
    'décapelasse',
    'décapelasses',
    'décapeler',
    'décapelez',
    'décapeliez',
    'décapelions',
    'décapelle',
    'décapellent',
    'décapellera',
    'décapellerai',
    'décapelleras',
    'décapellerez',
    'décapelles',
    'décapelons',
    'décapelâmes',
    'décapelât',
    'décapelâtes',
    'décapelèrent',
    'décapelé',
    'décapelée',
    'décapelées',
    'décapelés',
    'décapent',
    'décaper',
    'décapera',
    'décaperai',
    'décaperaient',
    'décaperais',
    'décaperait',
    'décaperas',
    'décaperez',
    'décaperiez',
    'décaperions',
    'décaperons',
    'décaperont',
    'décapes',
    'décapeur',
    'décapeurs',
    'décapeuse',
    'décapeuses',
    'décapez',
    'décapiez',
    'décapions',
    'décapita',
    'décapitai',
    'décapitaient',
    'décapitais',
    'décapitait',
    'décapitalisa',
    'décapitalise',
    'décapitalisé',
    'décapitant',
    'décapitas',
    'décapitasse',
    'décapitasses',
    'décapitation',
    'décapite',
    'décapitent',
    'décapiter',
    'décapitera',
    'décapiterai',
    'décapiterais',
    'décapiterait',
    'décapiteras',
    'décapiterez',
    'décapiteriez',
    'décapiterons',
    'décapiteront',
    'décapites',
    'décapitez',
    'décapitiez',
    'décapitions',
    'décapitons',
    'décapitâmes',
    'décapitât',
    'décapitâtes',
    'décapitèrent',
    'décapité',
    'décapitée',
    'décapitées',
    'décapités',
    'décapons',
    'décapota',
    'décapotable',
    'décapotables',
    'décapotai',
    'décapotaient',
    'décapotais',
    'décapotait',
    'décapotant',
    'décapotas',
    'décapotasse',
    'décapotasses',
    'décapote',
    'décapotent',
    'décapoter',
    'décapotera',
    'décapoterai',
    'décapoterais',
    'décapoterait',
    'décapoteras',
    'décapoterez',
    'décapoteriez',
    'décapoterons',
    'décapoteront',
    'décapotes',
    'décapotez',
    'décapotiez',
    'décapotions',
    'décapotons',
    'décapotâmes',
    'décapotât',
    'décapotâtes',
    'décapotèrent',
    'décapoté',
    'décapotée',
    'décapotées',
    'décapotés',
    'décapsula',
    'décapsulage',
    'décapsulages',
    'décapsulai',
    'décapsulais',
    'décapsulait',
    'décapsulant',
    'décapsulas',
    'décapsulasse',
    'décapsule',
    'décapsulent',
    'décapsuler',
    'décapsulera',
    'décapsulerai',
    'décapsuleras',
    'décapsulerez',
    'décapsules',
    'décapsuleur',
    'décapsuleurs',
    'décapsulez',
    'décapsuliez',
    'décapsulions',
    'décapsulons',
    'décapsulâmes',
    'décapsulât',
    'décapsulâtes',
    'décapsulé',
    'décapsulée',
    'décapsulées',
    'décapsulés',
    'décapuchonna',
    'décapuchonne',
    'décapuchonné',
    'décapâmes',
    'décapât',
    'décapâtes',
    'décapèrent',
    'décapé',
    'décapée',
    'décapées',
    'décapés',
    'décarbonata',
    'décarbonatai',
    'décarbonatas',
    'décarbonate',
    'décarbonater',
    'décarbonates',
    'décarbonatez',
    'décarbonatât',
    'décarbonaté',
    'décarbonatée',
    'décarbonatés',
    'décarbura',
    'décarburai',
    'décarburais',
    'décarburait',
    'décarburant',
    'décarburas',
    'décarburasse',
    'décarbure',
    'décarburent',
    'décarburer',
    'décarburera',
    'décarburerai',
    'décarbureras',
    'décarburerez',
    'décarbures',
    'décarburez',
    'décarburiez',
    'décarburions',
    'décarburons',
    'décarburâmes',
    'décarburât',
    'décarburâtes',
    'décarburé',
    'décarburée',
    'décarburées',
    'décarburés',
    'décarcassa',
    'décarcassai',
    'décarcassais',
    'décarcassait',
    'décarcassant',
    'décarcassas',
    'décarcasse',
    'décarcassent',
    'décarcasser',
    'décarcassera',
    'décarcasses',
    'décarcassez',
    'décarcassiez',
    'décarcassons',
    'décarcassât',
    'décarcassé',
    'décarcassée',
    'décarcassées',
    'décarcassés',
    'décarra',
    'décarrai',
    'décarraient',
    'décarrais',
    'décarrait',
    'décarrant',
    'décarras',
    'décarrasse',
    'décarrassent',
    'décarrasses',
    'décarrassiez',
    'décarre',
    'décarrela',
    'décarrelai',
    'décarrelais',
    'décarrelait',
    'décarrelant',
    'décarrelas',
    'décarrelasse',
    'décarreler',
    'décarrelez',
    'décarreliez',
    'décarrelions',
    'décarrelle',
    'décarrellent',
    'décarrellera',
    'décarrelles',
    'décarrelons',
    'décarrelâmes',
    'décarrelât',
    'décarrelâtes',
    'décarrelé',
    'décarrelée',
    'décarrelées',
    'décarrelés',
    'décarrent',
    'décarrer',
    'décarrera',
    'décarrerai',
    'décarrerais',
    'décarrerait',
    'décarreras',
    'décarrerez',
    'décarreriez',
    'décarrerions',
    'décarrerons',
    'décarreront',
    'décarres',
    'décarrez',
    'décarriez',
    'décarrions',
    'décarrons',
    'décarrâmes',
    'décarrât',
    'décarrâtes',
    'décarrèrent',
    'décarré',
    'décartonna',
    'décartonnai',
    'décartonnais',
    'décartonnait',
    'décartonnant',
    'décartonnas',
    'décartonne',
    'décartonnent',
    'décartonner',
    'décartonnera',
    'décartonnes',
    'décartonnez',
    'décartonniez',
    'décartonnons',
    'décartonnât',
    'décartonné',
    'décartonnée',
    'décartonnées',
    'décartonnés',
    'décas',
    'décasyllabe',
    'décasyllabes',
    'décathlon',
    'décathlonien',
    'décathlons',
    'décati',
    'décatie',
    'décaties',
    'décatir',
    'décatira',
    'décatirai',
    'décatiraient',
    'décatirais',
    'décatirait',
    'décatiras',
    'décatirent',
    'décatirez',
    'décatiriez',
    'décatirions',
    'décatirons',
    'décatiront',
    'décatis',
    'décatissais',
    'décatissait',
    'décatissant',
    'décatisse',
    'décatissent',
    'décatisses',
    'décatissez',
    'décatissiez',
    'décatissions',
    'décatissons',
    'décatit',
    'décatîmes',
    'décatît',
    'décatîtes',
    'décausa',
    'décausai',
    'décausaient',
    'décausais',
    'décausait',
    'décausant',
    'décausas',
    'décausasse',
    'décausassent',
    'décausasses',
    'décausassiez',
    'décause',
    'décausent',
    'décauser',
    'décausera',
    'décauserai',
    'décauserais',
    'décauserait',
    'décauseras',
    'décauserez',
    'décauseriez',
    'décauserions',
    'décauserons',
    'décauseront',
    'décauses',
    'décausez',
    'décausiez',
    'décausions',
    'décausons',
    'décausâmes',
    'décausât',
    'décausâtes',
    'décausèrent',
    'décausé',
    'décausée',
    'décausées',
    'décausés',
    'décaver',
    'décavé',
    'décavée',
    'décavées',
    'décavés',
    'décaèdre',
    'décaèdres',
    'décela',
    'décelable',
    'décelables',
    'décelai',
    'décelaient',
    'décelais',
    'décelait',
    'décelant',
    'décelas',
    'décelasse',
    'décelassent',
    'décelasses',
    'décelassiez',
    'décelassions',
    'déceler',
    'décelez',
    'déceliez',
    'décelions',
    'décelons',
    'décelâmes',
    'décelât',
    'décelâtes',
    'décelèrent',
    'décelé',
    'décelée',
    'décelées',
    'décelés',
    'décembre',
    'décemment',
    'décemvir',
    'décemviral',
    'décemvirale',
    'décemvirales',
    'décemvirat',
    'décemvirats',
    'décemviraux',
    'décemviri',
    'décemvirs',
    'décence',
    'décences',
    'décennal',
    'décennale',
    'décennales',
    'décennaux',
    'décennie',
    'décennies',
    'décent',
    'décente',
    'décentes',
    'décentra',
    'décentrai',
    'décentraient',
    'décentrais',
    'décentrait',
    'décentralisa',
    'décentralise',
    'décentralisé',
    'décentrant',
    'décentras',
    'décentrasse',
    'décentrasses',
    'décentre',
    'décentrent',
    'décentrer',
    'décentrera',
    'décentrerai',
    'décentrerais',
    'décentrerait',
    'décentreras',
    'décentrerez',
    'décentreriez',
    'décentrerons',
    'décentreront',
    'décentres',
    'décentrez',
    'décentriez',
    'décentrions',
    'décentrons',
    'décentrâmes',
    'décentrât',
    'décentrâtes',
    'décentrèrent',
    'décentré',
    'décentrée',
    'décentrées',
    'décentrés',
    'décents',
    'déception',
    'déceptions',
    'décercla',
    'décerclai',
    'décerclaient',
    'décerclais',
    'décerclait',
    'décerclant',
    'décerclas',
    'décerclasse',
    'décerclasses',
    'décercle',
    'décerclent',
    'décercler',
    'décerclera',
    'décerclerai',
    'décerclerais',
    'décerclerait',
    'décercleras',
    'décerclerez',
    'décercleriez',
    'décerclerons',
    'décercleront',
    'décercles',
    'décerclez',
    'décercliez',
    'décerclions',
    'décerclons',
    'décerclâmes',
    'décerclât',
    'décerclâtes',
    'décerclèrent',
    'décerclé',
    'décerclée',
    'décerclées',
    'décerclés',
    'décerna',
    'décernai',
    'décernaient',
    'décernais',
    'décernait',
    'décernant',
    'décernas',
    'décernasse',
    'décernassent',
    'décernasses',
    'décernassiez',
    'décerne',
    'décernent',
    'décerner',
    'décernera',
    'décernerai',
    'décernerais',
    'décernerait',
    'décerneras',
    'décernerez',
    'décerneriez',
    'décernerions',
    'décernerons',
    'décerneront',
    'décernes',
    'décernez',
    'décerniez',
    'décernions',
    'décernons',
    'décernâmes',
    'décernât',
    'décernâtes',
    'décernèrent',
    'décerné',
    'décernée',
    'décernées',
    'décernés',
    'décervelage',
    'décervelages',
    'décerveler',
    'décessa',
    'décessai',
    'décessaient',
    'décessais',
    'décessait',
    'décessant',
    'décessas',
    'décessasse',
    'décessassent',
    'décessasses',
    'décessassiez',
    'décesse',
    'décessent',
    'décesser',
    'décessera',
    'décesserai',
    'décesserais',
    'décesserait',
    'décesseras',
    'décesserez',
    'décesseriez',
    'décesserions',
    'décesserons',
    'décesseront',
    'décesses',
    'décessez',
    'décessiez',
    'décessions',
    'décessons',
    'décessâmes',
    'décessât',
    'décessâtes',
    'décessèrent',
    'décessé',
    'décessée',
    'décessées',
    'décessés',
    'décevaient',
    'décevais',
    'décevait',
    'décevant',
    'décevante',
    'décevantes',
    'décevants',
    'décevez',
    'déceviez',
    'décevions',
    'décevoir',
    'décevons',
    'décevra',
    'décevrai',
    'décevraient',
    'décevrais',
    'décevrait',
    'décevras',
    'décevrez',
    'décevriez',
    'décevrions',
    'décevrons',
    'décevront',
    'déchagrina',
    'déchagrinai',
    'déchagrinais',
    'déchagrinait',
    'déchagrinant',
    'déchagrinas',
    'déchagrine',
    'déchagrinent',
    'déchagriner',
    'déchagrinera',
    'déchagrines',
    'déchagrinez',
    'déchagriniez',
    'déchagrinons',
    'déchagrinât',
    'déchagriné',
    'déchagrinée',
    'déchagrinées',
    'déchagrinés',
    'déchanta',
    'déchantai',
    'déchantaient',
    'déchantais',
    'déchantait',
    'déchantant',
    'déchantas',
    'déchantasse',
    'déchantasses',
    'déchante',
    'déchantent',
    'déchanter',
    'déchantera',
    'déchanterai',
    'déchanterais',
    'déchanterait',
    'déchanteras',
    'déchanterez',
    'déchanteriez',
    'déchanterons',
    'déchanteront',
    'déchantes',
    'déchantez',
    'déchantiez',
    'déchantions',
    'déchantons',
    'déchantâmes',
    'déchantât',
    'déchantâtes',
    'déchantèrent',
    'déchanté',
    'déchapa',
    'déchapai',
    'déchapaient',
    'déchapais',
    'déchapait',
    'déchapant',
    'déchapas',
    'déchapasse',
    'déchapassent',
    'déchapasses',
    'déchapassiez',
    'déchape',
    'déchapent',
    'déchaper',
    'déchapera',
    'déchaperai',
    'déchaperais',
    'déchaperait',
    'déchaperas',
    'déchaperez',
    'déchaperiez',
    'déchaperions',
    'déchaperonna',
    'déchaperonne',
    'déchaperonné',
    'déchaperons',
    'déchaperont',
    'déchapes',
    'déchapez',
    'déchapiez',
    'déchapions',
    'déchapons',
    'déchapâmes',
    'déchapât',
    'déchapâtes',
    'déchapèrent',
    'déchapé',
    'déchapée',
    'déchapées',
    'déchapés',
    'décharge',
    'déchargea',
    'déchargeai',
    'déchargeais',
    'déchargeait',
    'déchargeant',
    'déchargeas',
    'déchargeasse',
    'déchargement',
    'déchargent',
    'déchargeoir',
    'déchargeoirs',
    'déchargeons',
    'décharger',
    'déchargera',
    'déchargerai',
    'déchargerais',
    'déchargerait',
    'déchargeras',
    'déchargerez',
    'déchargeriez',
    'déchargerons',
    'déchargeront',
    'décharges',
    'déchargez',
    'déchargeâmes',
    'déchargeât',
    'déchargeâtes',
    'déchargiez',
    'déchargions',
    'déchargèrent',
    'déchargé',
    'déchargée',
    'déchargées',
    'déchargés',
    'décharna',
    'décharnai',
    'décharnaient',
    'décharnais',
    'décharnait',
    'décharnant',
    'décharnas',
    'décharnasse',
    'décharnasses',
    'décharne',
    'décharnent',
    'décharner',
    'décharnera',
    'décharnerai',
    'décharnerais',
    'décharnerait',
    'décharneras',
    'décharnerez',
    'décharneriez',
    'décharnerons',
    'décharneront',
    'décharnes',
    'décharnez',
    'décharniez',
    'décharnions',
    'décharnons',
    'décharnâmes',
    'décharnât',
    'décharnâtes',
    'décharnèrent',
    'décharné',
    'décharnée',
    'décharnées',
    'décharnés',
    'déchauma',
    'déchaumage',
    'déchaumages',
    'déchaumai',
    'déchaumaient',
    'déchaumais',
    'déchaumait',
    'déchaumant',
    'déchaumas',
    'déchaumasse',
    'déchaumasses',
    'déchaume',
    'déchaument',
    'déchaumer',
    'déchaumera',
    'déchaumerai',
    'déchaumerais',
    'déchaumerait',
    'déchaumeras',
    'déchaumerez',
    'déchaumeriez',
    'déchaumerons',
    'déchaumeront',
    'déchaumes',
    'déchaumeuse',
    'déchaumeuses',
    'déchaumez',
    'déchaumiez',
    'déchaumions',
    'déchaumons',
    'déchaumâmes',
    'déchaumât',
    'déchaumâtes',
    'déchaumèrent',
    'déchaumé',
    'déchaumée',
    'déchaumées',
    'déchaumés',
    'déchaussa',
    'déchaussage',
    'déchaussages',
    'déchaussai',
    'déchaussais',
    'déchaussait',
    'déchaussant',
    'déchaussas',
    'déchaussasse',
    'déchausse',
    'déchaussent',
    'déchausser',
    'déchaussera',
    'déchausserai',
    'déchausseras',
    'déchausserez',
    'déchausses',
    'déchaussez',
    'déchaussiez',
    'déchaussions',
    'déchaussons',
    'déchaussâmes',
    'déchaussât',
    'déchaussâtes',
    'déchaussé',
    'déchaussée',
    'déchaussées',
    'déchaussés',
    'déchaîna',
    'déchaînai',
    'déchaînaient',
    'déchaînais',
    'déchaînait',
    'déchaînant',
    'déchaînas',
    'déchaînasse',
    'déchaînasses',
    'déchaîne',
    'déchaînement',
    'déchaînent',
    'déchaîner',
    'déchaînera',
    'déchaînerai',
    'déchaînerais',
    'déchaînerait',
    'déchaîneras',
    'déchaînerez',
    'déchaîneriez',
    'déchaînerons',
    'déchaîneront',
    'déchaînes',
    'déchaînez',
    'déchaîniez',
    'déchaînions',
    'déchaînons',
    'déchaînâmes',
    'déchaînât',
    'déchaînâtes',
    'déchaînèrent',
    'déchaîné',
    'déchaînée',
    'déchaînées',
    'déchaînés',
    'déchet',
    'déchets',
    'déchevilla',
    'déchevillai',
    'déchevillais',
    'déchevillait',
    'déchevillant',
    'déchevillas',
    'décheville',
    'déchevillent',
    'décheviller',
    'déchevillera',
    'déchevilles',
    'déchevillez',
    'déchevilliez',
    'déchevillons',
    'déchevillât',
    'déchevillé',
    'déchevillée',
    'déchevillées',
    'déchevillés',
    'déchevêtra',
    'déchevêtrai',
    'déchevêtrais',
    'déchevêtrait',
    'déchevêtrant',
    'déchevêtras',
    'déchevêtre',
    'déchevêtrent',
    'déchevêtrer',
    'déchevêtrera',
    'déchevêtres',
    'déchevêtrez',
    'déchevêtriez',
    'déchevêtrons',
    'déchevêtrât',
    'déchevêtré',
    'déchevêtrée',
    'déchevêtrées',
    'déchevêtrés',
    'déchiffonna',
    'déchiffonnai',
    'déchiffonnas',
    'déchiffonne',
    'déchiffonner',
    'déchiffonnes',
    'déchiffonnez',
    'déchiffonnât',
    'déchiffonné',
    'déchiffonnée',
    'déchiffonnés',
    'déchiffra',
    'déchiffrable',
    'déchiffrage',
    'déchiffrages',
    'déchiffrai',
    'déchiffrais',
    'déchiffrait',
    'déchiffrant',
    'déchiffras',
    'déchiffrasse',
    'déchiffre',
    'déchiffrent',
    'déchiffrer',
    'déchiffrera',
    'déchiffrerai',
    'déchiffreras',
    'déchiffrerez',
    'déchiffres',
    'déchiffreur',
    'déchiffreurs',
    'déchiffrez',
    'déchiffriez',
    'déchiffrions',
    'déchiffrons',
    'déchiffrâmes',
    'déchiffrât',
    'déchiffrâtes',
    'déchiffré',
    'déchiffrée',
    'déchiffrées',
    'déchiffrés',
    'déchiqueta',
    'déchiquetage',
    'déchiquetai',
    'déchiquetais',
    'déchiquetait',
    'déchiquetant',
    'déchiquetas',
    'déchiqueter',
    'déchiqueteur',
    'déchiquetez',
    'déchiquetiez',
    'déchiquetons',
    'déchiquette',
    'déchiquettes',
    'déchiqueture',
    'déchiquetât',
    'déchiqueté',
    'déchiquetée',
    'déchiquetées',
    'déchiquetés',
    'déchira',
    'déchirai',
    'déchiraient',
    'déchirais',
    'déchirait',
    'déchirant',
    'déchirante',
    'déchirantes',
    'déchirants',
    'déchiras',
    'déchirasse',
    'déchirassent',
    'déchirasses',
    'déchirassiez',
    'déchire',
    'déchirement',
    'déchirements',
    'déchirent',
    'déchirer',
    'déchirera',
    'déchirerai',
    'déchirerais',
    'déchirerait',
    'déchireras',
    'déchirerez',
    'déchireriez',
    'déchirerions',
    'déchirerons',
    'déchireront',
    'déchires',
    'déchirez',
    'déchiriez',
    'déchirions',
    'déchirons',
    'déchirure',
    'déchirures',
    'déchirâmes',
    'déchirât',
    'déchirâtes',
    'déchirèrent',
    'déchiré',
    'déchirée',
    'déchirées',
    'déchirés',
    'déchlorura',
    'déchlorurai',
    'déchlorurais',
    'déchlorurait',
    'déchlorurant',
    'déchloruras',
    'déchlorure',
    'déchlorurent',
    'déchlorurer',
    'déchlorurera',
    'déchlorures',
    'déchlorurez',
    'déchloruriez',
    'déchlorurons',
    'déchlorurât',
    'déchloruré',
    'déchlorurée',
    'déchlorurées',
    'déchlorurés',
    'déchoie',
    'déchoient',
    'déchoies',
    'déchoir',
    'déchoira',
    'déchoirai',
    'déchoiraient',
    'déchoirais',
    'déchoirait',
    'déchoiras',
    'déchoirez',
    'déchoiriez',
    'déchoirions',
    'déchoirons',
    'déchoiront',
    'déchois',
    'déchoit',
    'déchoyez',
    'déchoyiez',
    'déchoyions',
    'déchoyons',
    'déchroma',
    'déchromai',
    'déchromaient',
    'déchromais',
    'déchromait',
    'déchromant',
    'déchromas',
    'déchromasse',
    'déchromasses',
    'déchrome',
    'déchroment',
    'déchromer',
    'déchromera',
    'déchromerai',
    'déchromerais',
    'déchromerait',
    'déchromeras',
    'déchromerez',
    'déchromeriez',
    'déchromerons',
    'déchromeront',
    'déchromes',
    'déchromez',
    'déchromiez',
    'déchromions',
    'déchromons',
    'déchromâmes',
    'déchromât',
    'déchromâtes',
    'déchromèrent',
    'déchromé',
    'déchromée',
    'déchromées',
    'déchromés',
    'déchu',
    'déchue',
    'déchues',
    'déchurent',
    'déchus',
    'déchusse',
    'déchussent',
    'déchusses',
    'déchussiez',
    'déchussions',
    'déchut',
    'déchéance',
    'déchéances',
    'déchûmes',
    'déchût',
    'déchûtes',
    'déci',
    'décibel',
    'décibels',
    'décida',
    'décidabilité',
    'décidable',
    'décidables',
    'décidai',
    'décidaient',
    'décidais',
    'décidait',
    'décidant',
    'décidas',
    'décidasse',
    'décidassent',
    'décidasses',
    'décidassiez',
    'décidassions',
    'décide',
    'décident',
    'décider',
    'décidera',
    'déciderai',
    'décideraient',
    'déciderais',
    'déciderait',
    'décideras',
    'déciderez',
    'décideriez',
    'déciderions',
    'déciderons',
    'décideront',
    'décides',
    'décideur',
    'décideurs',
    'décideuse',
    'décideuses',
    'décidez',
    'décidiez',
    'décidions',
    'décidons',
    'déciduale',
    'déciduales',
    'décidâmes',
    'décidât',
    'décidâtes',
    'décidèrent',
    'décidé',
    'décidée',
    'décidées',
    'décidément',
    'décidés',
    'décigrade',
    'décigrades',
    'décigramme',
    'décigrammes',
    'décilage',
    'décilages',
    'décile',
    'déciles',
    'décilitre',
    'décilitres',
    'décima',
    'décimai',
    'décimaient',
    'décimais',
    'décimait',
    'décimal',
    'décimale',
    'décimales',
    'décimalisa',
    'décimalisai',
    'décimalisais',
    'décimalisait',
    'décimalisant',
    'décimalisas',
    'décimalise',
    'décimalisent',
    'décimaliser',
    'décimalisera',
    'décimalises',
    'décimalisez',
    'décimalisiez',
    'décimalisons',
    'décimalisât',
    'décimalisé',
    'décimalisée',
    'décimalisées',
    'décimalisés',
    'décimalité',
    'décimalités',
    'décimant',
    'décimas',
    'décimasse',
    'décimassent',
    'décimasses',
    'décimassiez',
    'décimassions',
    'décimation',
    'décimations',
    'décimaux',
    'décime',
    'déciment',
    'décimer',
    'décimera',
    'décimerai',
    'décimeraient',
    'décimerais',
    'décimerait',
    'décimeras',
    'décimerez',
    'décimeriez',
    'décimerions',
    'décimerons',
    'décimeront',
    'décimes',
    'décimez',
    'décimiez',
    'décimions',
    'décimons',
    'décimâmes',
    'décimât',
    'décimâtes',
    'décimèrent',
    'décimètre',
    'décimètres',
    'décimé',
    'décimée',
    'décimées',
    'décimés',
    'décimétrique',
    'décintra',
    'décintrage',
    'décintrages',
    'décintrai',
    'décintraient',
    'décintrais',
    'décintrait',
    'décintrant',
    'décintras',
    'décintrasse',
    'décintrasses',
    'décintre',
    'décintrement',
    'décintrent',
    'décintrer',
    'décintrera',
    'décintrerai',
    'décintreras',
    'décintrerât',
    'décintres',
    'décintrez',
    'décintriez',
    'décintrions',
    'décintrons',
    'décintrâmes',
    'décintrât',
    'décintrâtes',
    'décintrèrent',
    'décintré',
    'décintrée',
    'décintrées',
    'décintrés',
    'décis',
    'décisif',
    'décisifs',
    'décision',
    'décisionnel',
    'décisionnels',
    'décisions',
    'décisive',
    'décisivement',
    'décisives',
    'décisoire',
    'décisoires',
    'déclama',
    'déclamai',
    'déclamaient',
    'déclamais',
    'déclamait',
    'déclamant',
    'déclamas',
    'déclamasse',
    'déclamassent',
    'déclamasses',
    'déclamassiez',
    'déclamateur',
    'déclamateurs',
    'déclamation',
    'déclamations',
    'déclamatoire',
    'déclamatrice',
    'déclame',
    'déclament',
    'déclamer',
    'déclamera',
    'déclamerai',
    'déclamerais',
    'déclamerait',
    'déclameras',
    'déclamerez',
    'déclameriez',
    'déclamerions',
    'déclamerons',
    'déclameront',
    'déclames',
    'déclamez',
    'déclamiez',
    'déclamions',
    'déclamons',
    'déclamâmes',
    'déclamât',
    'déclamâtes',
    'déclamèrent',
    'déclamé',
    'déclamée',
    'déclamées',
    'déclamés',
    'déclara',
    'déclarai',
    'déclaraient',
    'déclarais',
    'déclarait',
    'déclarant',
    'déclarante',
    'déclarantes',
    'déclarants',
    'déclaras',
    'déclarasse',
    'déclarassent',
    'déclarasses',
    'déclarassiez',
    'déclaratif',
    'déclaratifs',
    'déclaration',
    'déclarations',
    'déclarative',
    'déclaratives',
    'déclaratoire',
    'déclare',
    'déclarent',
    'déclarer',
    'déclarera',
    'déclarerai',
    'déclarerais',
    'déclarerait',
    'déclareras',
    'déclarerez',
    'déclareriez',
    'déclarerions',
    'déclarerons',
    'déclareront',
    'déclares',
    'déclarez',
    'déclariez',
    'déclarions',
    'déclarons',
    'déclarâmes',
    'déclarât',
    'déclarâtes',
    'déclarèrent',
    'déclaré',
    'déclarée',
    'déclarées',
    'déclarés',
    'déclassa',
    'déclassai',
    'déclassaient',
    'déclassais',
    'déclassait',
    'déclassant',
    'déclassas',
    'déclassasse',
    'déclassasses',
    'déclasse',
    'déclassement',
    'déclassent',
    'déclasser',
    'déclassera',
    'déclasserai',
    'déclasserais',
    'déclasserait',
    'déclasseras',
    'déclasserez',
    'déclasseriez',
    'déclasserons',
    'déclasseront',
    'déclasses',
    'déclassez',
    'déclassiez',
    'déclassions',
    'déclassons',
    'déclassâmes',
    'déclassât',
    'déclassâtes',
    'déclassèrent',
    'déclassé',
    'déclassée',
    'déclassées',
    'déclassés',
    'déclaveta',
    'déclavetai',
    'déclavetais',
    'déclavetait',
    'déclavetant',
    'déclavetas',
    'déclavetasse',
    'déclaveter',
    'déclavetez',
    'déclavetiez',
    'déclavetions',
    'déclavetons',
    'déclavette',
    'déclavettent',
    'déclavettera',
    'déclavettes',
    'déclavetâmes',
    'déclavetât',
    'déclavetâtes',
    'déclaveté',
    'déclavetée',
    'déclavetées',
    'déclavetés',
    'déclencha',
    'déclenchable',
    'déclenchai',
    'déclenchais',
    'déclenchait',
    'déclenchant',
    'déclenchas',
    'déclenchasse',
    'déclenche',
    'déclenchent',
    'déclencher',
    'déclenchera',
    'déclencherai',
    'déclencheras',
    'déclencherez',
    'déclenches',
    'déclencheur',
    'déclencheurs',
    'déclenchez',
    'déclenchiez',
    'déclenchions',
    'déclenchons',
    'déclenchâmes',
    'déclenchât',
    'déclenchâtes',
    'déclenché',
    'déclenchée',
    'déclenchées',
    'déclenchés',
    'déclic',
    'déclics',
    'déclin',
    'déclina',
    'déclinable',
    'déclinables',
    'déclinai',
    'déclinaient',
    'déclinais',
    'déclinaison',
    'déclinaisons',
    'déclinait',
    'déclinant',
    'déclinante',
    'déclinantes',
    'déclinants',
    'déclinas',
    'déclinasse',
    'déclinassent',
    'déclinasses',
    'déclinassiez',
    'décline',
    'déclinent',
    'décliner',
    'déclinera',
    'déclinerai',
    'déclinerais',
    'déclinerait',
    'déclineras',
    'déclinerez',
    'déclineriez',
    'déclinerions',
    'déclinerons',
    'déclineront',
    'déclines',
    'déclinez',
    'décliniez',
    'déclinions',
    'déclinons',
    'déclinquer',
    'déclins',
    'déclinâmes',
    'déclinât',
    'déclinâtes',
    'déclinèrent',
    'décliné',
    'déclinée',
    'déclinées',
    'déclinés',
    'décliqueta',
    'décliquetage',
    'décliquetai',
    'décliquetais',
    'décliquetait',
    'décliquetant',
    'décliquetas',
    'décliqueter',
    'décliquetez',
    'décliquetiez',
    'décliquetons',
    'décliquette',
    'décliquettes',
    'décliquetât',
    'décliqueté',
    'décliquetée',
    'décliquetées',
    'décliquetés',
    'déclive',
    'déclives',
    'déclivité',
    'déclivités',
    'décloisonna',
    'décloisonnai',
    'décloisonnas',
    'décloisonne',
    'décloisonner',
    'décloisonnes',
    'décloisonnez',
    'décloisonnât',
    'décloisonné',
    'décloisonnée',
    'décloisonnés',
    'déclora',
    'déclorai',
    'décloraient',
    'déclorais',
    'déclorait',
    'décloras',
    'déclore',
    'déclorez',
    'décloriez',
    'déclorions',
    'déclorons',
    'décloront',
    'déclos',
    'déclose',
    'déclosent',
    'décloses',
    'déclot',
    'décloua',
    'déclouai',
    'déclouaient',
    'déclouais',
    'déclouait',
    'déclouant',
    'déclouas',
    'déclouasse',
    'déclouassent',
    'déclouasses',
    'déclouassiez',
    'décloue',
    'déclouent',
    'déclouer',
    'déclouera',
    'déclouerai',
    'déclouerais',
    'déclouerait',
    'décloueras',
    'déclouerez',
    'décloueriez',
    'déclouerions',
    'déclouerons',
    'décloueront',
    'décloues',
    'déclouez',
    'déclouiez',
    'déclouions',
    'déclouons',
    'déclouâmes',
    'déclouât',
    'déclouâtes',
    'déclouèrent',
    'décloué',
    'déclouée',
    'déclouées',
    'décloués',
    'décocha',
    'décochage',
    'décochages',
    'décochai',
    'décochaient',
    'décochais',
    'décochait',
    'décochant',
    'décochas',
    'décochasse',
    'décochassent',
    'décochasses',
    'décochassiez',
    'décoche',
    'décochent',
    'décocher',
    'décochera',
    'décocherai',
    'décocherais',
    'décocherait',
    'décocheras',
    'décocherez',
    'décocheriez',
    'décocherions',
    'décocherons',
    'décocheront',
    'décoches',
    'décochez',
    'décochiez',
    'décochions',
    'décochons',
    'décochâmes',
    'décochât',
    'décochâtes',
    'décochèrent',
    'décoché',
    'décochée',
    'décochées',
    'décochés',
    'décoction',
    'décoctions',
    'décoda',
    'décodage',
    'décodages',
    'décodai',
    'décodaient',
    'décodais',
    'décodait',
    'décodant',
    'décodas',
    'décodasse',
    'décodassent',
    'décodasses',
    'décodassiez',
    'décodassions',
    'décode',
    'décodent',
    'décoder',
    'décodera',
    'décoderai',
    'décoderaient',
    'décoderais',
    'décoderait',
    'décoderas',
    'décoderez',
    'décoderiez',
    'décoderions',
    'décoderons',
    'décoderont',
    'décodes',
    'décodeur',
    'décodeurs',
    'décodeuse',
    'décodeuses',
    'décodez',
    'décodiez',
    'décodions',
    'décodons',
    'décodâmes',
    'décodât',
    'décodâtes',
    'décodèrent',
    'décodé',
    'décodée',
    'décodées',
    'décodés',
    'décoffra',
    'décoffrage',
    'décoffrages',
    'décoffrai',
    'décoffraient',
    'décoffrais',
    'décoffrait',
    'décoffrant',
    'décoffras',
    'décoffrasse',
    'décoffrasses',
    'décoffre',
    'décoffrent',
    'décoffrer',
    'décoffrera',
    'décoffrerai',
    'décoffrerais',
    'décoffrerait',
    'décoffreras',
    'décoffrerez',
    'décoffreriez',
    'décoffrerons',
    'décoffreront',
    'décoffres',
    'décoffrez',
    'décoffriez',
    'décoffrions',
    'décoffrons',
    'décoffrâmes',
    'décoffrât',
    'décoffrâtes',
    'décoffrèrent',
    'décoffré',
    'décoffrée',
    'décoffrées',
    'décoffrés',
    'décoiffa',
    'décoiffage',
    'décoiffages',
    'décoiffai',
    'décoiffaient',
    'décoiffais',
    'décoiffait',
    'décoiffant',
    'décoiffas',
    'décoiffasse',
    'décoiffasses',
    'décoiffe',
    'décoiffement',
    'décoiffent',
    'décoiffer',
    'décoiffera',
    'décoifferai',
    'décoifferais',
    'décoifferait',
    'décoifferas',
    'décoifferez',
    'décoifferiez',
    'décoifferons',
    'décoifferont',
    'décoiffes',
    'décoiffez',
    'décoiffiez',
    'décoiffions',
    'décoiffons',
    'décoiffâmes',
    'décoiffât',
    'décoiffâtes',
    'décoiffèrent',
    'décoiffé',
    'décoiffée',
    'décoiffées',
    'décoiffés',
    'décoince',
    'décoincent',
    'décoincer',
    'décoincera',
    'décoincerai',
    'décoincerais',
    'décoincerait',
    'décoinceras',
    'décoincerez',
    'décoinceriez',
    'décoincerons',
    'décoinceront',
    'décoinces',
    'décoincez',
    'décoinciez',
    'décoincions',
    'décoincèrent',
    'décoincé',
    'décoincée',
    'décoincées',
    'décoincés',
    'décoinça',
    'décoinçai',
    'décoinçaient',
    'décoinçais',
    'décoinçait',
    'décoinçant',
    'décoinças',
    'décoinçasse',
    'décoinçasses',
    'décoinçons',
    'décoinçâmes',
    'décoinçât',
    'décoinçâtes',
    'décolla',
    'décollage',
    'décollages',
    'décollai',
    'décollaient',
    'décollais',
    'décollait',
    'décollant',
    'décollas',
    'décollasse',
    'décollassent',
    'décollasses',
    'décollassiez',
    'décollation',
    'décollations',
    'décolle',
    'décollement',
    'décollements',
    'décollent',
    'décoller',
    'décollera',
    'décollerai',
    'décollerais',
    'décollerait',
    'décolleras',
    'décollerez',
    'décolleriez',
    'décollerions',
    'décollerons',
    'décolleront',
    'décolles',
    'décolleta',
    'décolletage',
    'décolletages',
    'décolletai',
    'décolletais',
    'décolletait',
    'décolletant',
    'décolletas',
    'décolletasse',
    'décolleter',
    'décolleteur',
    'décolleteurs',
    'décolleteuse',
    'décolletez',
    'décolletiez',
    'décolletions',
    'décolletons',
    'décollette',
    'décollettent',
    'décollettera',
    'décollettes',
    'décolletâmes',
    'décolletât',
    'décolletâtes',
    'décolleté',
    'décolletée',
    'décolletées',
    'décolletés',
    'décollez',
    'décolliez',
    'décollions',
    'décollons',
    'décollâmes',
    'décollât',
    'décollâtes',
    'décollèrent',
    'décollé',
    'décollée',
    'décollées',
    'décollés',
    'décolonisa',
    'décolonisai',
    'décolonisais',
    'décolonisait',
    'décolonisant',
    'décolonisas',
    'décolonise',
    'décolonisent',
    'décoloniser',
    'décolonisera',
    'décolonises',
    'décolonisez',
    'décolonisiez',
    'décolonisons',
    'décolonisât',
    'décolonisé',
    'décolonisée',
    'décolonisées',
    'décolonisés',
    'décolora',
    'décolorai',
    'décoloraient',
    'décolorais',
    'décolorait',
    'décolorant',
    'décolorante',
    'décolorantes',
    'décolorants',
    'décoloras',
    'décolorasse',
    'décolorasses',
    'décoloration',
    'décolore',
    'décolorent',
    'décolorer',
    'décolorera',
    'décolorerai',
    'décolorerais',
    'décolorerait',
    'décoloreras',
    'décolorerez',
    'décoloreriez',
    'décolorerons',
    'décoloreront',
    'décolores',
    'décolorez',
    'décoloriez',
    'décolorions',
    'décolorons',
    'décolorâmes',
    'décolorât',
    'décolorâtes',
    'décolorèrent',
    'décoloré',
    'décolorée',
    'décolorées',
    'décolorés',
    'décolère',
    'décolèrent',
    'décolères',
    'décoléra',
    'décolérai',
    'décoléraient',
    'décolérais',
    'décolérait',
    'décolérant',
    'décoléras',
    'décolérasse',
    'décolérasses',
    'décolérer',
    'décolérera',
    'décolérerai',
    'décolérerais',
    'décolérerait',
    'décoléreras',
    'décolérerez',
    'décoléreriez',
    'décolérerons',
    'décoléreront',
    'décolérez',
    'décolériez',
    'décolérions',
    'décolérons',
    'décolérâmes',
    'décolérât',
    'décolérâtes',
    'décolérèrent',
    'décoléré',
    'décombres',
    'décommanda',
    'décommandai',
    'décommandais',
    'décommandait',
    'décommandant',
    'décommandas',
    'décommande',
    'décommandent',
    'décommander',
    'décommandera',
    'décommandes',
    'décommandez',
    'décommandiez',
    'décommandons',
    'décommandât',
    'décommandé',
    'décommandée',
    'décommandées',
    'décommandés',
    'décommente',
    'décomplexa',
    'décomplexai',
    'décomplexais',
    'décomplexait',
    'décomplexant',
    'décomplexas',
    'décomplexe',
    'décomplexent',
    'décomplexer',
    'décomplexera',
    'décomplexes',
    'décomplexez',
    'décomplexiez',
    'décomplexons',
    'décomplexât',
    'décomplexé',
    'décomplexée',
    'décomplexées',
    'décomplexés',
    'décompléter',
    'décomposa',
    'décomposable',
    'décomposai',
    'décomposais',
    'décomposait',
    'décomposant',
    'décomposas',
    'décomposasse',
    'décompose',
    'décomposent',
    'décomposer',
    'décomposera',
    'décomposerai',
    'décomposeras',
    'décomposerez',
    'décomposes',
    'décomposez',
    'décomposiez',
    'décomposions',
    'décomposons',
    'décomposâmes',
    'décomposât',
    'décomposâtes',
    'décomposé',
    'décomposée',
    'décomposées',
    'décomposés',
    'décompressa',
    'décompressai',
    'décompressas',
    'décompresse',
    'décompresser',
    'décompresses',
    'décompressez',
    'décompressât',
    'décompressé',
    'décompressée',
    'décompressés',
    'décomprima',
    'décomprimai',
    'décomprimais',
    'décomprimait',
    'décomprimant',
    'décomprimas',
    'décomprime',
    'décompriment',
    'décomprimer',
    'décomprimera',
    'décomprimes',
    'décomprimez',
    'décomprimiez',
    'décomprimons',
    'décomprimât',
    'décomprimé',
    'décomprimée',
    'décomprimées',
    'décomprimés',
    'décompta',
    'décomptai',
    'décomptaient',
    'décomptais',
    'décomptait',
    'décomptant',
    'décomptas',
    'décomptasse',
    'décomptasses',
    'décompte',
    'décomptent',
    'décompter',
    'décomptera',
    'décompterai',
    'décompterais',
    'décompterait',
    'décompteras',
    'décompterez',
    'décompteriez',
    'décompterons',
    'décompteront',
    'décomptes',
    'décomptez',
    'décomptiez',
    'décomptions',
    'décomptons',
    'décomptâmes',
    'décomptât',
    'décomptâtes',
    'décomptèrent',
    'décompté',
    'décomptée',
    'décomptées',
    'décomptés',
    'déconcentra',
    'déconcentrai',
    'déconcentras',
    'déconcentre',
    'déconcentrer',
    'déconcentres',
    'déconcentrez',
    'déconcentrât',
    'déconcentré',
    'déconcentrée',
    'déconcentrés',
    'déconcerta',
    'déconcertai',
    'déconcertais',
    'déconcertait',
    'déconcertant',
    'déconcertas',
    'déconcerte',
    'déconcertent',
    'déconcerter',
    'déconcertera',
    'déconcertes',
    'déconcertez',
    'déconcertiez',
    'déconcertons',
    'déconcertât',
    'déconcerté',
    'déconcertée',
    'déconcertées',
    'déconcertés',
    'déconfira',
    'déconfirai',
    'déconfirais',
    'déconfirait',
    'déconfiras',
    'déconfire',
    'déconfirent',
    'déconfirez',
    'déconfiriez',
    'déconfirions',
    'déconfirons',
    'déconfiront',
    'déconfis',
    'déconfisais',
    'déconfisait',
    'déconfisant',
    'déconfise',
    'déconfisent',
    'déconfises',
    'déconfisez',
    'déconfisiez',
    'déconfisions',
    'déconfisons',
    'déconfisse',
    'déconfissent',
    'déconfisses',
    'déconfissiez',
    'déconfit',
    'déconfite',
    'déconfites',
    'déconfits',
    'déconfiture',
    'déconfitures',
    'déconfîmes',
    'déconfît',
    'déconfîtes',
    'décongela',
    'décongelai',
    'décongelais',
    'décongelait',
    'décongelant',
    'décongelas',
    'décongelasse',
    'décongeler',
    'décongelez',
    'décongeliez',
    'décongelions',
    'décongelons',
    'décongelâmes',
    'décongelât',
    'décongelâtes',
    'décongelé',
    'décongelée',
    'décongelées',
    'décongelés',
    'décongestif',
    'décongestifs',
    'décongestion',
    'décongestive',
    'décongèle',
    'décongèlent',
    'décongèlera',
    'décongèlerai',
    'décongèleras',
    'décongèlerez',
    'décongèles',
    'déconna',
    'déconnai',
    'déconnaient',
    'déconnais',
    'déconnait',
    'déconnant',
    'déconnas',
    'déconnasse',
    'déconnassent',
    'déconnasses',
    'déconnassiez',
    'déconne',
    'déconnecta',
    'déconnectai',
    'déconnectais',
    'déconnectait',
    'déconnectant',
    'déconnectas',
    'déconnecte',
    'déconnectent',
    'déconnecter',
    'déconnectera',
    'déconnectes',
    'déconnectez',
    'déconnectiez',
    'déconnectons',
    'déconnectât',
    'déconnecté',
    'déconnectée',
    'déconnectées',
    'déconnectés',
    'déconnent',
    'déconner',
    'déconnera',
    'déconnerai',
    'déconnerais',
    'déconnerait',
    'déconneras',
    'déconnerez',
    'déconneriez',
    'déconnerions',
    'déconnerons',
    'déconneront',
    'déconnes',
    'déconnexion',
    'déconnexions',
    'déconnez',
    'déconniez',
    'déconnions',
    'déconnons',
    'déconnâmes',
    'déconnât',
    'déconnâtes',
    'déconnèrent',
    'déconné',
    'déconseilla',
    'déconseillai',
    'déconseillas',
    'déconseille',
    'déconseiller',
    'déconseilles',
    'déconseillez',
    'déconseillât',
    'déconseillé',
    'déconseillée',
    'déconseillés',
    'déconsidère',
    'déconsidères',
    'déconsidéra',
    'déconsidérai',
    'déconsidéras',
    'déconsidérer',
    'déconsidérez',
    'déconsidérât',
    'déconsidéré',
    'déconsidérée',
    'déconsidérés',
    'déconsigna',
    'déconsignai',
    'déconsignais',
    'déconsignait',
    'déconsignant',
    'déconsignas',
    'déconsigne',
    'déconsignent',
    'déconsigner',
    'déconsignera',
    'déconsignes',
    'déconsignez',
    'déconsigniez',
    'déconsignons',
    'déconsignât',
    'déconsigné',
    'déconsignée',
    'déconsignées',
    'déconsignés',
    'déconstipa',
    'déconstipai',
    'déconstipais',
    'déconstipait',
    'déconstipant',
    'déconstipas',
    'déconstipe',
    'déconstipent',
    'déconstiper',
    'déconstipera',
    'déconstipes',
    'déconstipez',
    'déconstipiez',
    'déconstipons',
    'déconstipât',
    'déconstipé',
    'déconstipée',
    'déconstipées',
    'déconstipés',
    'décontamina',
    'décontaminai',
    'décontaminas',
    'décontamine',
    'décontaminer',
    'décontamines',
    'décontaminez',
    'décontaminât',
    'décontaminé',
    'décontaminée',
    'décontaminés',
    'décontenance',
    'décontenancé',
    'décontenança',
    'décontracta',
    'décontractai',
    'décontractas',
    'décontracte',
    'décontracter',
    'décontractes',
    'décontractez',
    'décontractât',
    'décontracté',
    'décontractée',
    'décontractés',
    'déconvenue',
    'déconvenues',
    'décor',
    'décora',
    'décorai',
    'décoraient',
    'décorais',
    'décorait',
    'décorant',
    'décoras',
    'décorasse',
    'décorassent',
    'décorasses',
    'décorassiez',
    'décorassions',
    'décorateur',
    'décorateurs',
    'décoratif',
    'décoratifs',
    'décoration',
    'décorations',
    'décorative',
    'décoratives',
    'décoratrice',
    'décoratrices',
    'décorda',
    'décordai',
    'décordaient',
    'décordais',
    'décordait',
    'décordant',
    'décordas',
    'décordasse',
    'décordassent',
    'décordasses',
    'décordassiez',
    'décorde',
    'décordent',
    'décorder',
    'décordera',
    'décorderai',
    'décorderais',
    'décorderait',
    'décorderas',
    'décorderez',
    'décorderiez',
    'décorderions',
    'décorderons',
    'décorderont',
    'décordes',
    'décordez',
    'décordiez',
    'décordions',
    'décordons',
    'décordâmes',
    'décordât',
    'décordâtes',
    'décordèrent',
    'décordé',
    'décordée',
    'décordées',
    'décordés',
    'décore',
    'décorent',
    'décorer',
    'décorera',
    'décorerai',
    'décoreraient',
    'décorerais',
    'décorerait',
    'décoreras',
    'décorerez',
    'décoreriez',
    'décorerions',
    'décorerons',
    'décoreront',
    'décores',
    'décorez',
    'décoriez',
    'décorions',
    'décorna',
    'décornai',
    'décornaient',
    'décornais',
    'décornait',
    'décornant',
    'décornas',
    'décornasse',
    'décornassent',
    'décornasses',
    'décornassiez',
    'décorne',
    'décornent',
    'décorner',
    'décornera',
    'décornerai',
    'décornerais',
    'décornerait',
    'décorneras',
    'décornerez',
    'décorneriez',
    'décornerions',
    'décornerons',
    'décorneront',
    'décornes',
    'décornez',
    'décorniez',
    'décornions',
    'décornons',
    'décornâmes',
    'décornât',
    'décornâtes',
    'décornèrent',
    'décorné',
    'décornée',
    'décornées',
    'décornés',
    'décorons',
    'décors',
    'décorticage',
    'décorticages',
    'décortiqua',
    'décortiquai',
    'décortiquais',
    'décortiquait',
    'décortiquant',
    'décortiquas',
    'décortique',
    'décortiquent',
    'décortiquer',
    'décortiquera',
    'décortiques',
    'décortiquez',
    'décortiquiez',
    'décortiquons',
    'décortiquât',
    'décortiqué',
    'décortiquée',
    'décortiquées',
    'décortiqués',
    'décorum',
    'décorums',
    'décorâmes',
    'décorât',
    'décorâtes',
    'décorèrent',
    'décoré',
    'décorée',
    'décorées',
    'décorés',
    'décote',
    'décotes',
    'décoté',
    'décotée',
    'décotées',
    'décotés',
    'découcha',
    'découchai',
    'découchaient',
    'découchais',
    'découchait',
    'découchant',
    'découchas',
    'découchasse',
    'découchasses',
    'découche',
    'découchent',
    'découcher',
    'découchera',
    'découcherai',
    'découcherais',
    'découcherait',
    'découcheras',
    'découcherez',
    'découcheriez',
    'découcherons',
    'découcheront',
    'découches',
    'découchez',
    'découchiez',
    'découchions',
    'découchons',
    'découchâmes',
    'découchât',
    'découchâtes',
    'découchèrent',
    'découché',
    'découd',
    'découdra',
    'découdrai',
    'découdraient',
    'découdrais',
    'découdrait',
    'découdras',
    'découdre',
    'découdrez',
    'découdriez',
    'découdrions',
    'découdrons',
    'découdront',
    'découds',
    'découla',
    'découlai',
    'découlaient',
    'découlais',
    'découlait',
    'découlant',
    'découlas',
    'découlasse',
    'découlassent',
    'découlasses',
    'découlassiez',
    'découle',
    'découlent',
    'découler',
    'découlera',
    'découlerai',
    'découlerais',
    'découlerait',
    'découleras',
    'découlerez',
    'découleriez',
    'découlerions',
    'découlerons',
    'découleront',
    'découles',
    'découlez',
    'découliez',
    'découlions',
    'découlons',
    'découlâmes',
    'découlât',
    'découlâtes',
    'découlèrent',
    'découlé',
    'découpa',
    'découpage',
    'découpages',
    'découpai',
    'découpaient',
    'découpais',
    'découpait',
    'découpant',
    'découpas',
    'découpasse',
    'découpassent',
    'découpasses',
    'découpassiez',
    'découpe',
    'découpent',
    'découper',
    'découpera',
    'découperai',
    'découperais',
    'découperait',
    'découperas',
    'découperez',
    'découperiez',
    'découperions',
    'découperons',
    'découperont',
    'découpes',
    'découpeur',
    'découpeurs',
    'découpeuse',
    'découpeuses',
    'découpez',
    'découpiez',
    'découpions',
    'découpla',
    'découplage',
    'découplages',
    'découplai',
    'découplaient',
    'découplais',
    'découplait',
    'découplant',
    'découplas',
    'découplasse',
    'découplasses',
    'découple',
    'découplent',
    'découpler',
    'découplera',
    'découplerai',
    'découplerais',
    'découplerait',
    'découpleras',
    'découplerez',
    'découpleriez',
    'découplerons',
    'découpleront',
    'découples',
    'découplez',
    'découpliez',
    'découplions',
    'découplons',
    'découplâmes',
    'découplât',
    'découplâtes',
    'découplèrent',
    'découplé',
    'découplée',
    'découplées',
    'découplés',
    'découpoir',
    'découpoirs',
    'découpons',
    'découpure',
    'découpures',
    'découpâmes',
    'découpât',
    'découpâtes',
    'découpèrent',
    'découpé',
    'découpée',
    'découpées',
    'découpés',
    'décourage',
    'découragea',
    'décourageai',
    'décourageais',
    'décourageait',
    'décourageant',
    'décourageas',
    'découragent',
    'décourageons',
    'décourager',
    'découragera',
    'découragerai',
    'décourageras',
    'découragerez',
    'décourages',
    'découragez',
    'décourageât',
    'découragiez',
    'découragions',
    'découragé',
    'découragée',
    'découragées',
    'découragés',
    'découronna',
    'découronnai',
    'découronnais',
    'découronnait',
    'découronnant',
    'découronnas',
    'découronne',
    'découronnent',
    'découronner',
    'découronnera',
    'découronnes',
    'découronnez',
    'découronniez',
    'découronnons',
    'découronnât',
    'découronné',
    'découronnée',
    'découronnées',
    'découronnés',
    'décours',
    'décousaient',
    'décousais',
    'décousait',
    'décousant',
    'découse',
    'décousent',
    'découses',
    'décousez',
    'décousiez',
    'décousions',
    'décousirent',
    'décousis',
    'décousisse',
    'décousissent',
    'décousisses',
    'décousissiez',
    'décousit',
    'décousons',
    'décousu',
    'décousue',
    'décousues',
    'décousure',
    'décousures',
    'décousus',
    'décousîmes',
    'décousît',
    'décousîtes',
    'découvert',
    'découverte',
    'découvertes',
    'découverts',
    'découvraient',
    'découvrais',
    'découvrait',
    'découvrant',
    'découvre',
    'découvrement',
    'découvrent',
    'découvres',
    'découvreur',
    'découvreurs',
    'découvreuse',
    'découvreuses',
    'découvrez',
    'découvriez',
    'découvrions',
    'découvrir',
    'découvrira',
    'découvrirai',
    'découvrirais',
    'découvrirait',
    'découvriras',
    'découvrirent',
    'découvrirez',
    'découvririez',
    'découvrirons',
    'découvriront',
    'découvris',
    'découvrisse',
    'découvrisses',
    'découvrit',
    'découvrons',
    'découvru',
    'découvrue',
    'découvrues',
    'découvrus',
    'découvrîmes',
    'découvrît',
    'découvrîtes',
    'décrassa',
    'décrassage',
    'décrassages',
    'décrassai',
    'décrassaient',
    'décrassais',
    'décrassait',
    'décrassant',
    'décrassas',
    'décrassasse',
    'décrassasses',
    'décrasse',
    'décrassement',
    'décrassent',
    'décrasser',
    'décrassera',
    'décrasserai',
    'décrasserais',
    'décrasserait',
    'décrasseras',
    'décrasserez',
    'décrasseriez',
    'décrasserons',
    'décrasseront',
    'décrasses',
    'décrassez',
    'décrassiez',
    'décrassions',
    'décrassons',
    'décrassâmes',
    'décrassât',
    'décrassâtes',
    'décrassèrent',
    'décrassé',
    'décrassée',
    'décrassées',
    'décrassés',
    'décret',
    'décrets',
    'décreusa',
    'décreusage',
    'décreusages',
    'décreusai',
    'décreusaient',
    'décreusais',
    'décreusait',
    'décreusant',
    'décreusas',
    'décreusasse',
    'décreusasses',
    'décreuse',
    'décreusent',
    'décreuser',
    'décreusera',
    'décreuserai',
    'décreuserais',
    'décreuserait',
    'décreuseras',
    'décreuserez',
    'décreuseriez',
    'décreuserons',
    'décreuseront',
    'décreuses',
    'décreusez',
    'décreusiez',
    'décreusions',
    'décreusons',
    'décreusâmes',
    'décreusât',
    'décreusâtes',
    'décreusèrent',
    'décreusé',
    'décreusée',
    'décreusées',
    'décreusés',
    'décri',
    'décria',
    'décriai',
    'décriaient',
    'décriais',
    'décriait',
    'décriant',
    'décrias',
    'décriasse',
    'décriassent',
    'décriasses',
    'décriassiez',
    'décriassions',
    'décrie',
    'décrient',
    'décrier',
    'décriera',
    'décrierai',
    'décrieraient',
    'décrierais',
    'décrierait',
    'décrieras',
    'décrierez',
    'décrieriez',
    'décrierions',
    'décrierons',
    'décrieront',
    'décries',
    'décriez',
    'décriiez',
    'décriions',
    'décrions',
    'décrira',
    'décrirai',
    'décriraient',
    'décrirais',
    'décrirait',
    'décriras',
    'décrire',
    'décrirez',
    'décririez',
    'décririons',
    'décrirons',
    'décriront',
    'décris',
    'décrispa',
    'décrispai',
    'décrispaient',
    'décrispais',
    'décrispait',
    'décrispant',
    'décrispas',
    'décrispasse',
    'décrispasses',
    'décrispation',
    'décrispe',
    'décrispent',
    'décrisper',
    'décrispera',
    'décrisperai',
    'décrisperais',
    'décrisperait',
    'décrisperas',
    'décrisperez',
    'décrisperiez',
    'décrisperons',
    'décrisperont',
    'décrispes',
    'décrispez',
    'décrispiez',
    'décrispions',
    'décrispons',
    'décrispâmes',
    'décrispât',
    'décrispâtes',
    'décrispèrent',
    'décrispé',
    'décrispée',
    'décrispées',
    'décrispés',
    'décrit',
    'décrite',
    'décrites',
    'décrits',
    'décrivaient',
    'décrivais',
    'décrivait',
    'décrivant',
    'décrive',
    'décrivent',
    'décrives',
    'décrivez',
    'décriviez',
    'décrivions',
    'décrivirent',
    'décrivis',
    'décrivisse',
    'décrivissent',
    'décrivisses',
    'décrivissiez',
    'décrivit',
    'décrivons',
    'décrivîmes',
    'décrivît',
    'décrivîtes',
    'décriâmes',
    'décriât',
    'décriâtes',
    'décrièrent',
    'décrié',
    'décriée',
    'décriées',
    'décriés',
    'décrocha',
    'décrochage',
    'décrochages',
    'décrochai',
    'décrochaient',
    'décrochais',
    'décrochait',
    'décrochant',
    'décrochas',
    'décrochasse',
    'décrochasses',
    'décroche',
    'décrochement',
    'décrochent',
    'décrocher',
    'décrochera',
    'décrocherai',
    'décrocherais',
    'décrocherait',
    'décrocheras',
    'décrocherez',
    'décrocheriez',
    'décrocherons',
    'décrocheront',
    'décroches',
    'décrochez',
    'décrochiez',
    'décrochions',
    'décrochons',
    'décrochâmes',
    'décrochât',
    'décrochâtes',
    'décrochèrent',
    'décroché',
    'décrochée',
    'décrochées',
    'décrochés',
    'décrois',
    'décroisa',
    'décroisai',
    'décroisaient',
    'décroisais',
    'décroisait',
    'décroisant',
    'décroisas',
    'décroisasse',
    'décroisasses',
    'décroise',
    'décroisent',
    'décroiser',
    'décroisera',
    'décroiserai',
    'décroiserais',
    'décroiserait',
    'décroiseras',
    'décroiserez',
    'décroiseriez',
    'décroiserons',
    'décroiseront',
    'décroises',
    'décroisez',
    'décroisiez',
    'décroisions',
    'décroisons',
    'décroissais',
    'décroissait',
    'décroissance',
    'décroissant',
    'décroissante',
    'décroissants',
    'décroisse',
    'décroissent',
    'décroisses',
    'décroissez',
    'décroissiez',
    'décroissions',
    'décroissons',
    'décroisâmes',
    'décroisât',
    'décroisâtes',
    'décroisèrent',
    'décroisé',
    'décroisée',
    'décroisées',
    'décroisés',
    'décrotta',
    'décrottage',
    'décrottages',
    'décrottai',
    'décrottaient',
    'décrottais',
    'décrottait',
    'décrottant',
    'décrottas',
    'décrottasse',
    'décrottasses',
    'décrotte',
    'décrottent',
    'décrotter',
    'décrottera',
    'décrotterai',
    'décrotterais',
    'décrotterait',
    'décrotteras',
    'décrotterez',
    'décrotteriez',
    'décrotterons',
    'décrotteront',
    'décrottes',
    'décrotteur',
    'décrotteurs',
    'décrottez',
    'décrottiez',
    'décrottions',
    'décrottoir',
    'décrottoirs',
    'décrottons',
    'décrottâmes',
    'décrottât',
    'décrottâtes',
    'décrottèrent',
    'décrotté',
    'décrottée',
    'décrottées',
    'décrottés',
    'décroît',
    'décroîtra',
    'décroîtrai',
    'décroîtrais',
    'décroîtrait',
    'décroîtras',
    'décroître',
    'décroîtrez',
    'décroîtriez',
    'décroîtrions',
    'décroîtrons',
    'décroîtront',
    'décroûta',
    'décroûtai',
    'décroûtaient',
    'décroûtais',
    'décroûtait',
    'décroûtant',
    'décroûtas',
    'décroûtasse',
    'décroûtasses',
    'décroûte',
    'décroûtent',
    'décroûter',
    'décroûtera',
    'décroûterai',
    'décroûterais',
    'décroûterait',
    'décroûteras',
    'décroûterez',
    'décroûteriez',
    'décroûterons',
    'décroûteront',
    'décroûtes',
    'décroûtez',
    'décroûtiez',
    'décroûtions',
    'décroûtons',
    'décroûtâmes',
    'décroûtât',
    'décroûtâtes',
    'décroûtèrent',
    'décroûté',
    'décroûtée',
    'décroûtées',
    'décroûtés',
    'décru',
    'décrua',
    'décruage',
    'décruages',
    'décruai',
    'décruaient',
    'décruais',
    'décruait',
    'décruant',
    'décruas',
    'décruasse',
    'décruassent',
    'décruasses',
    'décruassiez',
    'décruassions',
    'décrue',
    'décruent',
    'décruer',
    'décruera',
    'décruerai',
    'décrueraient',
    'décruerais',
    'décruerait',
    'décrueras',
    'décruerez',
    'décrueriez',
    'décruerions',
    'décruerons',
    'décrueront',
    'décrues',
    'décruez',
    'décruiez',
    'décruions',
    'décruons',
    'décrurent',
    'décrus',
    'décrusa',
    'décrusage',
    'décrusages',
    'décrusai',
    'décrusaient',
    'décrusais',
    'décrusait',
    'décrusant',
    'décrusas',
    'décrusasse',
    'décrusassent',
    'décrusasses',
    'décrusassiez',
    'décruse',
    'décrusent',
    'décruser',
    'décrusera',
    'décruserai',
    'décruserais',
    'décruserait',
    'décruseras',
    'décruserez',
    'décruseriez',
    'décruserions',
    'décruserons',
    'décruseront',
    'décruses',
    'décrusez',
    'décrusiez',
    'décrusions',
    'décrusons',
    'décrusse',
    'décrussent',
    'décrusses',
    'décrussiez',
    'décrussions',
    'décrusâmes',
    'décrusât',
    'décrusâtes',
    'décrusèrent',
    'décrusé',
    'décrusée',
    'décrusées',
    'décrusés',
    'décrut',
    'décruâmes',
    'décruât',
    'décruâtes',
    'décruèrent',
    'décrué',
    'décruée',
    'décruées',
    'décrués',
    'décrypta',
    'décryptage',
    'décryptages',
    'décryptai',
    'décryptaient',
    'décryptais',
    'décryptait',
    'décryptant',
    'décryptas',
    'décryptasse',
    'décryptasses',
    'décrypte',
    'décryptent',
    'décrypter',
    'décryptera',
    'décrypterai',
    'décrypterais',
    'décrypterait',
    'décrypteras',
    'décrypterez',
    'décrypteriez',
    'décrypterons',
    'décrypteront',
    'décryptes',
    'décryptez',
    'décryptiez',
    'décryptions',
    'décryptons',
    'décryptâmes',
    'décryptât',
    'décryptâtes',
    'décryptèrent',
    'décrypté',
    'décryptée',
    'décryptées',
    'décryptés',
    'décrète',
    'décrètent',
    'décrètes',
    'décrédita',
    'décréditai',
    'décréditais',
    'décréditait',
    'décréditant',
    'décréditas',
    'décréditasse',
    'décrédite',
    'décréditent',
    'décréditer',
    'décréditera',
    'décréditerai',
    'décréditeras',
    'décréditerez',
    'décrédites',
    'décréditez',
    'décréditiez',
    'décréditions',
    'décréditons',
    'décréditâmes',
    'décréditât',
    'décréditâtes',
    'décrédité',
    'décréditée',
    'décréditées',
    'décrédités',
    'décrément',
    'décréments',
    'décrépi',
    'décrépie',
    'décrépies',
    'décrépir',
    'décrépira',
    'décrépirai',
    'décrépirais',
    'décrépirait',
    'décrépiras',
    'décrépirent',
    'décrépirez',
    'décrépiriez',
    'décrépirions',
    'décrépirons',
    'décrépiront',
    'décrépis',
    'décrépissage',
    'décrépissais',
    'décrépissait',
    'décrépissant',
    'décrépisse',
    'décrépissent',
    'décrépisses',
    'décrépissez',
    'décrépissiez',
    'décrépissons',
    'décrépit',
    'décrépita',
    'décrépitai',
    'décrépitais',
    'décrépitait',
    'décrépitant',
    'décrépitas',
    'décrépitasse',
    'décrépite',
    'décrépitent',
    'décrépiter',
    'décrépitera',
    'décrépiterai',
    'décrépiteras',
    'décrépiterez',
    'décrépites',
    'décrépitez',
    'décrépitiez',
    'décrépitions',
    'décrépitons',
    'décrépitude',
    'décrépitudes',
    'décrépitâmes',
    'décrépitât',
    'décrépitâtes',
    'décrépité',
    'décrépitée',
    'décrépitées',
    'décrépités',
    'décrépîmes',
    'décrépît',
    'décrépîtes',
    'décréta',
    'décrétai',
    'décrétaient',
    'décrétais',
    'décrétait',
    'décrétant',
    'décrétas',
    'décrétasse',
    'décrétassent',
    'décrétasses',
    'décrétassiez',
    'décréter',
    'décrétera',
    'décréterai',
    'décréterais',
    'décréterait',
    'décréteras',
    'décréterez',
    'décréteriez',
    'décréterions',
    'décréterons',
    'décréteront',
    'décrétez',
    'décrétiez',
    'décrétions',
    'décrétons',
    'décrétâmes',
    'décrétât',
    'décrétâtes',
    'décrétèrent',
    'décrété',
    'décrétée',
    'décrétées',
    'décrétés',
    'décrêpa',
    'décrêpage',
    'décrêpages',
    'décrêpai',
    'décrêpaient',
    'décrêpais',
    'décrêpait',
    'décrêpant',
    'décrêpas',
    'décrêpasse',
    'décrêpassent',
    'décrêpasses',
    'décrêpassiez',
    'décrêpe',
    'décrêpent',
    'décrêper',
    'décrêpera',
    'décrêperai',
    'décrêperais',
    'décrêperait',
    'décrêperas',
    'décrêperez',
    'décrêperiez',
    'décrêperions',
    'décrêperons',
    'décrêperont',
    'décrêpes',
    'décrêpez',
    'décrêpiez',
    'décrêpions',
    'décrêpons',
    'décrêpâmes',
    'décrêpât',
    'décrêpâtes',
    'décrêpèrent',
    'décrêpé',
    'décrêpée',
    'décrêpées',
    'décrêpés',
    'décrûmes',
    'décrût',
    'décrûtes',
    'décubitus',
    'décuivra',
    'décuivrai',
    'décuivraient',
    'décuivrais',
    'décuivrait',
    'décuivrant',
    'décuivras',
    'décuivrasse',
    'décuivrasses',
    'décuivre',
    'décuivrent',
    'décuivrer',
    'décuivrera',
    'décuivrerai',
    'décuivrerais',
    'décuivrerait',
    'décuivreras',
    'décuivrerez',
    'décuivreriez',
    'décuivrerons',
    'décuivreront',
    'décuivres',
    'décuivrez',
    'décuivriez',
    'décuivrions',
    'décuivrons',
    'décuivrâmes',
    'décuivrât',
    'décuivrâtes',
    'décuivrèrent',
    'décuivré',
    'décuivrée',
    'décuivrées',
    'décuivrés',
    'déculassa',
    'déculassai',
    'déculassais',
    'déculassait',
    'déculassant',
    'déculassas',
    'déculassasse',
    'déculasse',
    'déculassent',
    'déculasser',
    'déculassera',
    'déculasserai',
    'déculasseras',
    'déculasserez',
    'déculasses',
    'déculassez',
    'déculassiez',
    'déculassions',
    'déculassons',
    'déculassâmes',
    'déculassât',
    'déculassâtes',
    'déculassé',
    'déculassée',
    'déculassées',
    'déculassés',
    'déculotta',
    'déculottai',
    'déculottais',
    'déculottait',
    'déculottant',
    'déculottas',
    'déculottasse',
    'déculotte',
    'déculottent',
    'déculotter',
    'déculottera',
    'déculotterai',
    'déculotteras',
    'déculotterez',
    'déculottes',
    'déculottez',
    'déculottiez',
    'déculottions',
    'déculottons',
    'déculottâmes',
    'déculottât',
    'déculottâtes',
    'déculotté',
    'déculottée',
    'déculottées',
    'déculottés',
    'décupla',
    'décuplai',
    'décuplaient',
    'décuplais',
    'décuplait',
    'décuplant',
    'décuplas',
    'décuplasse',
    'décuplassent',
    'décuplasses',
    'décuplassiez',
    'décuple',
    'décuplement',
    'décuplements',
    'décuplent',
    'décupler',
    'décuplera',
    'décuplerai',
    'décuplerais',
    'décuplerait',
    'décupleras',
    'décuplerez',
    'décupleriez',
    'décuplerions',
    'décuplerons',
    'décupleront',
    'décuples',
    'décuplez',
    'décupliez',
    'décuplions',
    'décuplons',
    'décuplâmes',
    'décuplât',
    'décuplâtes',
    'décuplèrent',
    'décuplé',
    'décuplée',
    'décuplées',
    'décuplés',
    'décurion',
    'décurions',
    'décurrent',
    'décurrente',
    'décurrentes',
    'décurrents',
    'décuscuteuse',
    'décussé',
    'décussée',
    'décussées',
    'décussés',
    'décuva',
    'décuvage',
    'décuvages',
    'décuvai',
    'décuvaient',
    'décuvais',
    'décuvaison',
    'décuvaisons',
    'décuvait',
    'décuvant',
    'décuvas',
    'décuvasse',
    'décuvassent',
    'décuvasses',
    'décuvassiez',
    'décuvassions',
    'décuve',
    'décuvent',
    'décuver',
    'décuvera',
    'décuverai',
    'décuveraient',
    'décuverais',
    'décuverait',
    'décuveras',
    'décuverez',
    'décuveriez',
    'décuverions',
    'décuverons',
    'décuveront',
    'décuves',
    'décuvez',
    'décuviez',
    'décuvions',
    'décuvons',
    'décuvâmes',
    'décuvât',
    'décuvâtes',
    'décuvèrent',
    'décuvé',
    'décuvée',
    'décuvées',
    'décuvés',
    'décède',
    'décèdent',
    'décèdes',
    'décèle',
    'décèlement',
    'décèlements',
    'décèlent',
    'décèlera',
    'décèlerai',
    'décèleraient',
    'décèlerais',
    'décèlerait',
    'décèleras',
    'décèlerez',
    'décèleriez',
    'décèlerions',
    'décèlerons',
    'décèleront',
    'décèles',
    'décès',
    'décéda',
    'décédai',
    'décédaient',
    'décédais',
    'décédait',
    'décédant',
    'décédas',
    'décédasse',
    'décédassent',
    'décédasses',
    'décédassiez',
    'décédassions',
    'décéder',
    'décédera',
    'décéderai',
    'décéderaient',
    'décéderais',
    'décéderait',
    'décéderas',
    'décéderez',
    'décéderiez',
    'décéderions',
    'décéderons',
    'décéderont',
    'décédez',
    'décédiez',
    'décédions',
    'décédons',
    'décédâmes',
    'décédât',
    'décédâtes',
    'décédèrent',
    'décédé',
    'décédée',
    'décédées',
    'décédés',
    'décélère',
    'décélèrent',
    'décélères',
    'décéléra',
    'décélérai',
    'décéléraient',
    'décélérais',
    'décélérait',
    'décélérant',
    'décéléras',
    'décélérasse',
    'décélérasses',
    'décélération',
    'décélérer',
    'décélérera',
    'décélérerai',
    'décélérerais',
    'décélérerait',
    'décéléreras',
    'décélérerez',
    'décéléreriez',
    'décélérerons',
    'décéléreront',
    'décélérez',
    'décélériez',
    'décélérions',
    'décélérons',
    'décélérâmes',
    'décélérât',
    'décélérâtes',
    'décélérèrent',
    'décéléré',
    'décérébrer',
    'dédaigna',
    'dédaignable',
    'dédaignables',
    'dédaignai',
    'dédaignaient',
    'dédaignais',
    'dédaignait',
    'dédaignant',
    'dédaignas',
    'dédaignasse',
    'dédaignasses',
    'dédaigne',
    'dédaignent',
    'dédaigner',
    'dédaignera',
    'dédaignerai',
    'dédaignerais',
    'dédaignerait',
    'dédaigneras',
    'dédaignerez',
    'dédaigneriez',
    'dédaignerons',
    'dédaigneront',
    'dédaignes',
    'dédaigneuse',
    'dédaigneuses',
    'dédaigneux',
    'dédaignez',
    'dédaigniez',
    'dédaignions',
    'dédaignons',
    'dédaignâmes',
    'dédaignât',
    'dédaignâtes',
    'dédaignèrent',
    'dédaigné',
    'dédaignée',
    'dédaignées',
    'dédaignés',
    'dédain',
    'dédains',
    'dédale',
    'dédales',
    'dédaléen',
    'dédaléenne',
    'dédaléennes',
    'dédaléens',
    'dédia',
    'dédiai',
    'dédiaient',
    'dédiais',
    'dédiait',
    'dédiant',
    'dédias',
    'dédiasse',
    'dédiassent',
    'dédiasses',
    'dédiassiez',
    'dédiassions',
    'dédicace',
    'dédicacent',
    'dédicacer',
    'dédicacera',
    'dédicacerai',
    'dédicacerais',
    'dédicacerait',
    'dédicaceras',
    'dédicacerez',
    'dédicaceriez',
    'dédicacerons',
    'dédicaceront',
    'dédicaces',
    'dédicacez',
    'dédicaciez',
    'dédicacions',
    'dédicacèrent',
    'dédicacé',
    'dédicacée',
    'dédicacées',
    'dédicacés',
    'dédicataire',
    'dédicataires',
    'dédicatoire',
    'dédicatoires',
    'dédicaça',
    'dédicaçai',
    'dédicaçaient',
    'dédicaçais',
    'dédicaçait',
    'dédicaçant',
    'dédicaças',
    'dédicaçasse',
    'dédicaçasses',
    'dédicaçons',
    'dédicaçâmes',
    'dédicaçât',
    'dédicaçâtes',
    'dédie',
    'dédient',
    'dédier',
    'dédiera',
    'dédierai',
    'dédieraient',
    'dédierais',
    'dédierait',
    'dédieras',
    'dédierez',
    'dédieriez',
    'dédierions',
    'dédierons',
    'dédieront',
    'dédies',
    'dédiez',
    'dédiiez',
    'dédiions',
    'dédions',
    'dédira',
    'dédirai',
    'dédiraient',
    'dédirais',
    'dédirait',
    'dédiras',
    'dédire',
    'dédirent',
    'dédirez',
    'dédiriez',
    'dédirions',
    'dédirons',
    'dédiront',
    'dédis',
    'dédisaient',
    'dédisais',
    'dédisait',
    'dédisant',
    'dédise',
    'dédisent',
    'dédises',
    'dédisez',
    'dédisiez',
    'dédisions',
    'dédisons',
    'dédisse',
    'dédissent',
    'dédisses',
    'dédissiez',
    'dédissions',
    'dédit',
    'dédite',
    'dédites',
    'dédits',
    'dédiâmes',
    'dédiât',
    'dédiâtes',
    'dédièrent',
    'dédié',
    'dédiée',
    'dédiées',
    'dédiés',
    'dédommage',
    'dédommagea',
    'dédommageai',
    'dédommageais',
    'dédommageait',
    'dédommageant',
    'dédommageas',
    'dédommagent',
    'dédommageons',
    'dédommager',
    'dédommagera',
    'dédommagerai',
    'dédommageras',
    'dédommagerez',
    'dédommages',
    'dédommagez',
    'dédommageât',
    'dédommagiez',
    'dédommagions',
    'dédommagé',
    'dédommagée',
    'dédommagées',
    'dédommagés',
    'dédora',
    'dédorage',
    'dédorages',
    'dédorai',
    'dédoraient',
    'dédorais',
    'dédorait',
    'dédorant',
    'dédoras',
    'dédorasse',
    'dédorassent',
    'dédorasses',
    'dédorassiez',
    'dédorassions',
    'dédore',
    'dédorent',
    'dédorer',
    'dédorera',
    'dédorerai',
    'dédoreraient',
    'dédorerais',
    'dédorerait',
    'dédoreras',
    'dédorerez',
    'dédoreriez',
    'dédorerions',
    'dédorerons',
    'dédoreront',
    'dédores',
    'dédorez',
    'dédoriez',
    'dédorions',
    'dédorons',
    'dédorâmes',
    'dédorât',
    'dédorâtes',
    'dédorèrent',
    'dédoré',
    'dédorée',
    'dédorées',
    'dédorés',
    'dédouana',
    'dédouanai',
    'dédouanaient',
    'dédouanais',
    'dédouanait',
    'dédouanant',
    'dédouanas',
    'dédouanasse',
    'dédouanasses',
    'dédouane',
    'dédouanement',
    'dédouanent',
    'dédouaner',
    'dédouanera',
    'dédouanerai',
    'dédouanerais',
    'dédouanerait',
    'dédouaneras',
    'dédouanerez',
    'dédouaneriez',
    'dédouanerons',
    'dédouaneront',
    'dédouanes',
    'dédouanez',
    'dédouaniez',
    'dédouanions',
    'dédouanons',
    'dédouanâmes',
    'dédouanât',
    'dédouanâtes',
    'dédouanèrent',
    'dédouané',
    'dédouanée',
    'dédouanées',
    'dédouanés',
    'dédoubla',
    'dédoublage',
    'dédoublages',
    'dédoublai',
    'dédoublaient',
    'dédoublais',
    'dédoublait',
    'dédoublant',
    'dédoublas',
    'dédoublasse',
    'dédoublasses',
    'dédouble',
    'dédoublement',
    'dédoublent',
    'dédoubler',
    'dédoublera',
    'dédoublerai',
    'dédoublerais',
    'dédoublerait',
    'dédoubleras',
    'dédoublerez',
    'dédoubleriez',
    'dédoublerons',
    'dédoubleront',
    'dédoubles',
    'dédoublez',
    'dédoubliez',
    'dédoublions',
    'dédoublons',
    'dédoublâmes',
    'dédoublât',
    'dédoublâtes',
    'dédoublèrent',
    'dédoublé',
    'dédoublée',
    'dédoublées',
    'dédoublés',
    'dédramatisa',
    'dédramatisai',
    'dédramatisas',
    'dédramatise',
    'dédramatiser',
    'dédramatises',
    'dédramatisez',
    'dédramatisât',
    'dédramatisé',
    'dédramatisée',
    'dédramatisés',
    'déductible',
    'déductibles',
    'déductif',
    'déductifs',
    'déduction',
    'déductions',
    'déductive',
    'déductives',
    'déduira',
    'déduirai',
    'déduiraient',
    'déduirais',
    'déduirait',
    'déduiras',
    'déduire',
    'déduirez',
    'déduiriez',
    'déduirions',
    'déduirons',
    'déduiront',
    'déduis',
    'déduisaient',
    'déduisais',
    'déduisait',
    'déduisant',
    'déduise',
    'déduisent',
    'déduises',
    'déduisez',
    'déduisiez',
    'déduisions',
    'déduisirent',
    'déduisis',
    'déduisisse',
    'déduisissent',
    'déduisisses',
    'déduisissiez',
    'déduisit',
    'déduisons',
    'déduisîmes',
    'déduisît',
    'déduisîtes',
    'déduit',
    'déduite',
    'déduites',
    'déduits',
    'dédîmes',
    'dédît',
    'dédîtes',
    'déesse',
    'déesses',
    'défaillaient',
    'défaillais',
    'défaillait',
    'défaillance',
    'défaillances',
    'défaillant',
    'défaillante',
    'défaillantes',
    'défaillants',
    'défaille',
    'défaillent',
    'défailles',
    'défaillez',
    'défailli',
    'défaillie',
    'défaillies',
    'défailliez',
    'défaillions',
    'défaillir',
    'défaillira',
    'défaillirai',
    'défaillirais',
    'défaillirait',
    'défailliras',
    'défaillirent',
    'défaillirez',
    'défailliriez',
    'défaillirons',
    'défailliront',
    'défaillis',
    'défaillisse',
    'défaillisses',
    'défaillit',
    'défaillons',
    'défaillîmes',
    'défaillît',
    'défaillîtes',
    'défaire',
    'défais',
    'défaisaient',
    'défaisais',
    'défaisait',
    'défaisant',
    'défaisiez',
    'défaisions',
    'défaisons',
    'défait',
    'défaite',
    'défaites',
    'défaitisme',
    'défaitismes',
    'défaitiste',
    'défaitistes',
    'défaits',
    'défalcation',
    'défalcations',
    'défalqua',
    'défalquai',
    'défalquaient',
    'défalquais',
    'défalquait',
    'défalquant',
    'défalquas',
    'défalquasse',
    'défalquasses',
    'défalque',
    'défalquent',
    'défalquer',
    'défalquera',
    'défalquerai',
    'défalquerais',
    'défalquerait',
    'défalqueras',
    'défalquerez',
    'défalqueriez',
    'défalquerons',
    'défalqueront',
    'défalques',
    'défalquez',
    'défalquiez',
    'défalquions',
    'défalquons',
    'défalquâmes',
    'défalquât',
    'défalquâtes',
    'défalquèrent',
    'défalqué',
    'défalquée',
    'défalquées',
    'défalqués',
    'défarda',
    'défardai',
    'défardaient',
    'défardais',
    'défardait',
    'défardant',
    'défardas',
    'défardasse',
    'défardassent',
    'défardasses',
    'défardassiez',
    'défarde',
    'défardent',
    'défarder',
    'défardera',
    'défarderai',
    'défarderais',
    'défarderait',
    'défarderas',
    'défarderez',
    'défarderiez',
    'défarderions',
    'défarderons',
    'défarderont',
    'défardes',
    'défardez',
    'défardiez',
    'défardions',
    'défardons',
    'défardâmes',
    'défardât',
    'défardâtes',
    'défardèrent',
    'défardé',
    'défardée',
    'défardées',
    'défardés',
    'défasse',
    'défassent',
    'défasses',
    'défassiez',
    'défassions',
    'défatigua',
    'défatiguai',
    'défatiguais',
    'défatiguait',
    'défatiguant',
    'défatiguas',
    'défatiguasse',
    'défatigue',
    'défatiguent',
    'défatiguer',
    'défatiguera',
    'défatiguerai',
    'défatigueras',
    'défatiguerez',
    'défatigues',
    'défatiguez',
    'défatiguiez',
    'défatiguions',
    'défatiguons',
    'défatiguâmes',
    'défatiguât',
    'défatiguâtes',
    'défatigué',
    'défatiguée',
    'défatiguées',
    'défatigués',
    'défaufila',
    'défaufilai',
    'défaufilais',
    'défaufilait',
    'défaufilant',
    'défaufilas',
    'défaufilasse',
    'défaufile',
    'défaufilent',
    'défaufiler',
    'défaufilera',
    'défaufilerai',
    'défaufileras',
    'défaufilerez',
    'défaufiles',
    'défaufilez',
    'défaufiliez',
    'défaufilions',
    'défaufilons',
    'défaufilâmes',
    'défaufilât',
    'défaufilâtes',
    'défaufilé',
    'défaufilée',
    'défaufilées',
    'défaufilés',
    'défaussa',
    'défaussai',
    'défaussaient',
    'défaussais',
    'défaussait',
    'défaussant',
    'défaussas',
    'défaussasse',
    'défaussasses',
    'défausse',
    'défaussent',
    'défausser',
    'défaussera',
    'défausserai',
    'défausserais',
    'défausserait',
    'défausseras',
    'défausserez',
    'défausseriez',
    'défausserons',
    'défausseront',
    'défausses',
    'défaussez',
    'défaussiez',
    'défaussions',
    'défaussons',
    'défaussâmes',
    'défaussât',
    'défaussâtes',
    'défaussèrent',
    'défaussé',
    'défaussée',
    'défaussées',
    'défaussés',
    'défaut',
    'défauts',
    'défaveur',
    'défaveurs',
    'défavorable',
    'défavorables',
    'défavorisa',
    'défavorisai',
    'défavorisais',
    'défavorisait',
    'défavorisant',
    'défavorisas',
    'défavorise',
    'défavorisent',
    'défavoriser',
    'défavorisera',
    'défavorises',
    'défavorisez',
    'défavorisiez',
    'défavorisons',
    'défavorisât',
    'défavorisé',
    'défavorisée',
    'défavorisées',
    'défavorisés',
    'défectif',
    'défectifs',
    'défection',
    'défections',
    'défective',
    'défectives',
    'défectueuse',
    'défectueuses',
    'défectueux',
    'défectuosité',
    'défend',
    'défendable',
    'défendables',
    'défendaient',
    'défendais',
    'défendait',
    'défendant',
    'défende',
    'défendent',
    'défenderesse',
    'défendes',
    'défendeur',
    'défendeurs',
    'défendez',
    'défendiez',
    'défendions',
    'défendirent',
    'défendis',
    'défendisse',
    'défendissent',
    'défendisses',
    'défendissiez',
    'défendit',
    'défendons',
    'défendra',
    'défendrai',
    'défendraient',
    'défendrais',
    'défendrait',
    'défendras',
    'défendre',
    'défendrez',
    'défendriez',
    'défendrions',
    'défendrons',
    'défendront',
    'défends',
    'défendu',
    'défendue',
    'défendues',
    'défendus',
    'défendîmes',
    'défendît',
    'défendîtes',
    'défenestrer',
    'défense',
    'défenses',
    'défenseur',
    'défenseurs',
    'défensif',
    'défensifs',
    'défensive',
    'défensives',
    'défera',
    'déferai',
    'déferaient',
    'déferais',
    'déferait',
    'déferas',
    'déferez',
    'déferiez',
    'déferions',
    'déferla',
    'déferlai',
    'déferlaient',
    'déferlais',
    'déferlait',
    'déferlant',
    'déferlante',
    'déferlantes',
    'déferlants',
    'déferlas',
    'déferlasse',
    'déferlassent',
    'déferlasses',
    'déferlassiez',
    'déferle',
    'déferlement',
    'déferlements',
    'déferlent',
    'déferler',
    'déferlera',
    'déferlerai',
    'déferlerais',
    'déferlerait',
    'déferleras',
    'déferlerez',
    'déferleriez',
    'déferlerions',
    'déferlerons',
    'déferleront',
    'déferles',
    'déferlez',
    'déferliez',
    'déferlions',
    'déferlons',
    'déferlâmes',
    'déferlât',
    'déferlâtes',
    'déferlèrent',
    'déferlé',
    'déferlée',
    'déferlées',
    'déferlés',
    'déferons',
    'déferont',
    'déferra',
    'déferrage',
    'déferrages',
    'déferrai',
    'déferraient',
    'déferrais',
    'déferrait',
    'déferrant',
    'déferras',
    'déferrasse',
    'déferrassent',
    'déferrasses',
    'déferrassiez',
    'déferre',
    'déferrement',
    'déferrements',
    'déferrent',
    'déferrer',
    'déferrera',
    'déferrerai',
    'déferrerais',
    'déferrerait',
    'déferreras',
    'déferrerez',
    'déferreriez',
    'déferrerions',
    'déferrerons',
    'déferreront',
    'déferres',
    'déferrez',
    'déferriez',
    'déferrions',
    'déferrisa',
    'déferrisai',
    'déferrisais',
    'déferrisait',
    'déferrisant',
    'déferrisas',
    'déferrisasse',
    'déferrise',
    'déferrisent',
    'déferriser',
    'déferrisera',
    'déferriserai',
    'déferriseras',
    'déferriserez',
    'déferrises',
    'déferrisez',
    'déferrisiez',
    'déferrisions',
    'déferrisons',
    'déferrisâmes',
    'déferrisât',
    'déferrisâtes',
    'déferrisé',
    'déferrisée',
    'déferrisées',
    'déferrisés',
    'déferrons',
    'déferrure',
    'déferrures',
    'déferrâmes',
    'déferrât',
    'déferrâtes',
    'déferrèrent',
    'déferré',
    'déferrée',
    'déferrées',
    'déferrés',
    'défeuilla',
    'défeuillai',
    'défeuillais',
    'défeuillait',
    'défeuillant',
    'défeuillas',
    'défeuillasse',
    'défeuille',
    'défeuillent',
    'défeuiller',
    'défeuillera',
    'défeuillerai',
    'défeuilleras',
    'défeuillerez',
    'défeuilles',
    'défeuillez',
    'défeuilliez',
    'défeuillions',
    'défeuillons',
    'défeuillâmes',
    'défeuillât',
    'défeuillâtes',
    'défeuillé',
    'défeuillée',
    'défeuillées',
    'défeuillés',
    'défeutra',
    'défeutrai',
    'défeutraient',
    'défeutrais',
    'défeutrait',
    'défeutrant',
    'défeutras',
    'défeutrasse',
    'défeutrasses',
    'défeutre',
    'défeutrent',
    'défeutrer',
    'défeutrera',
    'défeutrerai',
    'défeutrerais',
    'défeutrerait',
    'défeutreras',
    'défeutrerez',
    'défeutreriez',
    'défeutrerons',
    'défeutreront',
    'défeutres',
    'défeutrez',
    'défeutriez',
    'défeutrions',
    'défeutrons',
    'défeutrâmes',
    'défeutrât',
    'défeutrâtes',
    'défeutrèrent',
    'défeutré',
    'défeutrée',
    'défeutrées',
    'défeutrés',
    'défi',
    'défia',
    'défiai',
    'défiaient',
    'défiais',
    'défiait',
    'défiance',
    'défiances',
    'défiant',
    'défiante',
    'défiantes',
    'défiants',
    'défias',
    'défiasse',
    'défiassent',
    'défiasses',
    'défiassiez',
    'défiassions',
    'défibra',
    'défibrage',
    'défibrages',
    'défibrai',
    'défibraient',
    'défibrais',
    'défibrait',
    'défibrant',
    'défibras',
    'défibrasse',
    'défibrassent',
    'défibrasses',
    'défibrassiez',
    'défibre',
    'défibrent',
    'défibrer',
    'défibrera',
    'défibrerai',
    'défibrerais',
    'défibrerait',
    'défibreras',
    'défibrerez',
    'défibreriez',
    'défibrerions',
    'défibrerons',
    'défibreront',
    'défibres',
    'défibreur',
    'défibreurs',
    'défibreuse',
    'défibreuses',
    'défibrez',
    'défibriez',
    'défibrions',
    'défibrons',
    'défibrâmes',
    'défibrât',
    'défibrâtes',
    'défibrèrent',
    'défibré',
    'défibrée',
    'défibrées',
    'défibrés',
    'déficela',
    'déficelai',
    'déficelaient',
    'déficelais',
    'déficelait',
    'déficelant',
    'déficelas',
    'déficelasse',
    'déficelasses',
    'déficeler',
    'déficelez',
    'déficeliez',
    'déficelions',
    'déficelle',
    'déficellent',
    'déficellera',
    'déficellerai',
    'déficelleras',
    'déficellerez',
    'déficelles',
    'déficelons',
    'déficelâmes',
    'déficelât',
    'déficelâtes',
    'déficelèrent',
    'déficelé',
    'déficelée',
    'déficelées',
    'déficelés',
    'déficha',
    'défichai',
    'défichaient',
    'défichais',
    'défichait',
    'défichant',
    'défichas',
    'défichasse',
    'défichassent',
    'défichasses',
    'défichassiez',
    'défiche',
    'défichent',
    'déficher',
    'défichera',
    'déficherai',
    'déficherais',
    'déficherait',
    'déficheras',
    'déficherez',
    'déficheriez',
    'déficherions',
    'déficherons',
    'déficheront',
    'défiches',
    'défichez',
    'défichiez',
    'défichions',
    'défichons',
    'défichâmes',
    'défichât',
    'défichâtes',
    'défichèrent',
    'défiché',
    'défichée',
    'défichées',
    'défichés',
    'déficience',
    'déficiences',
    'déficient',
    'déficiente',
    'déficientes',
    'déficients',
    'déficit',
    'déficitaire',
    'déficitaires',
    'déficits',
    'défie',
    'défient',
    'défier',
    'défiera',
    'défierai',
    'défieraient',
    'défierais',
    'défierait',
    'défieras',
    'défierez',
    'défieriez',
    'défierions',
    'défierons',
    'défieront',
    'défies',
    'défiez',
    'défige',
    'défigea',
    'défigeai',
    'défigeaient',
    'défigeais',
    'défigeait',
    'défigeant',
    'défigeas',
    'défigeasse',
    'défigeassent',
    'défigeasses',
    'défigeassiez',
    'défigent',
    'défigeons',
    'défiger',
    'défigera',
    'défigerai',
    'défigeraient',
    'défigerais',
    'défigerait',
    'défigeras',
    'défigerez',
    'défigeriez',
    'défigerions',
    'défigerons',
    'défigeront',
    'défiges',
    'défigez',
    'défigeâmes',
    'défigeât',
    'défigeâtes',
    'défigiez',
    'défigions',
    'défigura',
    'défigurai',
    'défiguraient',
    'défigurais',
    'défigurait',
    'défigurant',
    'défiguras',
    'défigurasse',
    'défigurasses',
    'défiguration',
    'défigure',
    'défigurement',
    'défigurent',
    'défigurer',
    'défigurera',
    'défigurerai',
    'défigurerais',
    'défigurerait',
    'défigureras',
    'défigurerez',
    'défigureriez',
    'défigurerons',
    'défigureront',
    'défigures',
    'défigurez',
    'défiguriez',
    'défigurions',
    'défigurons',
    'défigurâmes',
    'défigurât',
    'défigurâtes',
    'défigurèrent',
    'défiguré',
    'défigurée',
    'défigurées',
    'défigurés',
    'défigèrent',
    'défigé',
    'défigée',
    'défigées',
    'défigés',
    'défiiez',
    'défiions',
    'défila',
    'défilade',
    'défilades',
    'défilage',
    'défilages',
    'défilai',
    'défilaient',
    'défilais',
    'défilait',
    'défilant',
    'défilas',
    'défilasse',
    'défilassent',
    'défilasses',
    'défilassiez',
    'défilassions',
    'défile',
    'défilement',
    'défilements',
    'défilent',
    'défiler',
    'défilera',
    'défilerai',
    'défileraient',
    'défilerais',
    'défilerait',
    'défileras',
    'défilerez',
    'défileriez',
    'défilerions',
    'défilerons',
    'défileront',
    'défiles',
    'défileuse',
    'défileuses',
    'défilez',
    'défiliez',
    'défilions',
    'défilons',
    'défilâmes',
    'défilât',
    'défilâtes',
    'défilèrent',
    'défilé',
    'défilée',
    'défilées',
    'défilés',
    'défini',
    'définie',
    'définies',
    'définir',
    'définira',
    'définirai',
    'définiraient',
    'définirais',
    'définirait',
    'définiras',
    'définirent',
    'définirez',
    'définiriez',
    'définirions',
    'définirons',
    'définiront',
    'définis',
    'définissable',
    'définissais',
    'définissait',
    'définissant',
    'définissante',
    'définissants',
    'définisse',
    'définissent',
    'définisses',
    'définissez',
    'définissiez',
    'définissions',
    'définissons',
    'définit',
    'définiteur',
    'définiteurs',
    'définitif',
    'définitifs',
    'définition',
    'définitions',
    'définitive',
    'définitives',
    'définitoire',
    'définitoires',
    'définîmes',
    'définît',
    'définîtes',
    'défions',
    'défirent',
    'défis',
    'défisse',
    'défissent',
    'défisses',
    'défissiez',
    'défissions',
    'défit',
    'défiâmes',
    'défiât',
    'défiâtes',
    'défièrent',
    'défié',
    'défiée',
    'défiées',
    'défiés',
    'déflagra',
    'déflagrai',
    'déflagraient',
    'déflagrais',
    'déflagrait',
    'déflagrant',
    'déflagrante',
    'déflagrantes',
    'déflagrants',
    'déflagras',
    'déflagrasse',
    'déflagrasses',
    'déflagrateur',
    'déflagration',
    'déflagre',
    'déflagrent',
    'déflagrer',
    'déflagrera',
    'déflagrerai',
    'déflagrerais',
    'déflagrerait',
    'déflagreras',
    'déflagrerez',
    'déflagreriez',
    'déflagrerons',
    'déflagreront',
    'déflagres',
    'déflagrez',
    'déflagriez',
    'déflagrions',
    'déflagrons',
    'déflagrâmes',
    'déflagrât',
    'déflagrâtes',
    'déflagrèrent',
    'déflagré',
    'déflaqua',
    'déflaquai',
    'déflaquaient',
    'déflaquais',
    'déflaquait',
    'déflaquant',
    'déflaquas',
    'déflaquasse',
    'déflaquasses',
    'déflaque',
    'déflaquent',
    'déflaquer',
    'déflaquera',
    'déflaquerai',
    'déflaquerais',
    'déflaquerait',
    'déflaqueras',
    'déflaquerez',
    'déflaqueriez',
    'déflaquerons',
    'déflaqueront',
    'déflaques',
    'déflaquez',
    'déflaquiez',
    'déflaquions',
    'déflaquons',
    'déflaquâmes',
    'déflaquât',
    'déflaquâtes',
    'déflaquèrent',
    'déflaqué',
    'déflation',
    'déflations',
    'déflecteur',
    'déflecteurs',
    'défleuraison',
    'défleuri',
    'défleurie',
    'défleuries',
    'défleurir',
    'défleurira',
    'défleurirai',
    'défleurirais',
    'défleurirait',
    'défleuriras',
    'défleurirent',
    'défleurirez',
    'défleuririez',
    'défleurirons',
    'défleuriront',
    'défleuris',
    'défleurisse',
    'défleurisses',
    'défleurissez',
    'défleurit',
    'défleurîmes',
    'défleurît',
    'défleurîtes',
    'déflora',
    'déflorai',
    'défloraient',
    'déflorais',
    'déflorait',
    'déflorant',
    'défloras',
    'déflorasse',
    'déflorassent',
    'déflorasses',
    'déflorassiez',
    'défloration',
    'déflorations',
    'déflore',
    'déflorent',
    'déflorer',
    'déflorera',
    'déflorerai',
    'déflorerais',
    'déflorerait',
    'défloreras',
    'déflorerez',
    'défloreriez',
    'déflorerions',
    'déflorerons',
    'défloreront',
    'déflores',
    'déflorez',
    'défloriez',
    'déflorions',
    'déflorons',
    'déflorâmes',
    'déflorât',
    'déflorâtes',
    'déflorèrent',
    'défloré',
    'déflorée',
    'déflorées',
    'déflorés',
    'défluent',
    'défluents',
    'défluviation',
    'défléchir',
    'défolia',
    'défoliai',
    'défoliaient',
    'défoliais',
    'défoliait',
    'défoliant',
    'défoliante',
    'défoliantes',
    'défoliants',
    'défolias',
    'défoliasse',
    'défoliassent',
    'défoliasses',
    'défoliassiez',
    'défoliation',
    'défoliations',
    'défolie',
    'défolient',
    'défolier',
    'défoliera',
    'défolierai',
    'défolierais',
    'défolierait',
    'défolieras',
    'défolierez',
    'défolieriez',
    'défolierions',
    'défolierons',
    'défolieront',
    'défolies',
    'défoliez',
    'défoliiez',
    'défoliions',
    'défolions',
    'défoliâmes',
    'défoliât',
    'défoliâtes',
    'défolièrent',
    'défolié',
    'défoliée',
    'défoliées',
    'défoliés',
    'défonce',
    'défoncement',
    'défoncements',
    'défoncent',
    'défoncer',
    'défoncera',
    'défoncerai',
    'défoncerais',
    'défoncerait',
    'défonceras',
    'défoncerez',
    'défonceriez',
    'défoncerions',
    'défoncerons',
    'défonceront',
    'défonces',
    'défonceuse',
    'défonceuses',
    'défoncez',
    'défonciez',
    'défoncions',
    'défoncèrent',
    'défoncé',
    'défoncée',
    'défoncées',
    'défoncés',
    'défont',
    'défonça',
    'défonçage',
    'défonçages',
    'défonçai',
    'défonçaient',
    'défonçais',
    'défonçait',
    'défonçant',
    'défonças',
    'défonçasse',
    'défonçassent',
    'défonçasses',
    'défonçassiez',
    'défonçons',
    'défonçâmes',
    'défonçât',
    'défonçâtes',
    'déforce',
    'déforcent',
    'déforcer',
    'déforcera',
    'déforcerai',
    'déforcerais',
    'déforcerait',
    'déforceras',
    'déforcerez',
    'déforceriez',
    'déforcerions',
    'déforcerons',
    'déforceront',
    'déforces',
    'déforcez',
    'déforciez',
    'déforcions',
    'déforcèrent',
    'déforcé',
    'déforcée',
    'déforcées',
    'déforcés',
    'déforma',
    'déformable',
    'déformables',
    'déformai',
    'déformaient',
    'déformais',
    'déformait',
    'déformant',
    'déformante',
    'déformantes',
    'déformants',
    'déformas',
    'déformasse',
    'déformassent',
    'déformasses',
    'déformassiez',
    'déformateur',
    'déformateurs',
    'déformation',
    'déformations',
    'déformatrice',
    'déforme',
    'déforment',
    'déformer',
    'déformera',
    'déformerai',
    'déformerais',
    'déformerait',
    'déformeras',
    'déformerez',
    'déformeriez',
    'déformerions',
    'déformerons',
    'déformeront',
    'déformes',
    'déformez',
    'déformiez',
    'déformions',
    'déformons',
    'déformâmes',
    'déformât',
    'déformâtes',
    'déformèrent',
    'déformé',
    'déformée',
    'déformées',
    'déformés',
    'déforça',
    'déforçai',
    'déforçaient',
    'déforçais',
    'déforçait',
    'déforçant',
    'déforças',
    'déforçasse',
    'déforçassent',
    'déforçasses',
    'déforçassiez',
    'déforçons',
    'déforçâmes',
    'déforçât',
    'déforçâtes',
    'défoula',
    'défoulai',
    'défoulaient',
    'défoulais',
    'défoulait',
    'défoulant',
    'défoulas',
    'défoulasse',
    'défoulassent',
    'défoulasses',
    'défoulassiez',
    'défoule',
    'défoulement',
    'défoulements',
    'défoulent',
    'défouler',
    'défoulera',
    'défoulerai',
    'défoulerais',
    'défoulerait',
    'défouleras',
    'défoulerez',
    'défouleriez',
    'défoulerions',
    'défoulerons',
    'défouleront',
    'défoules',
    'défoulez',
    'défouliez',
    'défoulions',
    'défoulons',
    'défoulâmes',
    'défoulât',
    'défoulâtes',
    'défoulèrent',
    'défoulé',
    'défoulée',
    'défoulées',
    'défoulés',
    'défourailla',
    'défouraillai',
    'défouraillas',
    'défouraille',
    'défourailler',
    'défourailles',
    'défouraillez',
    'défouraillât',
    'défouraillé',
    'défouraillée',
    'défouraillés',
    'défourna',
    'défournage',
    'défournages',
    'défournai',
    'défournaient',
    'défournais',
    'défournait',
    'défournant',
    'défournas',
    'défournasse',
    'défournasses',
    'défourne',
    'défournement',
    'défournent',
    'défourner',
    'défournera',
    'défournerai',
    'défournerais',
    'défournerait',
    'défourneras',
    'défournerez',
    'défourneriez',
    'défournerons',
    'défourneront',
    'défournes',
    'défourneur',
    'défourneurs',
    'défourneuse',
    'défourneuses',
    'défournez',
    'défourniez',
    'défournions',
    'défournons',
    'défournâmes',
    'défournât',
    'défournâtes',
    'défournèrent',
    'défourné',
    'défournée',
    'défournées',
    'défournés',
    'défourra',
    'défourrai',
    'défourraient',
    'défourrais',
    'défourrait',
    'défourrant',
    'défourras',
    'défourrasse',
    'défourrasses',
    'défourre',
    'défourrent',
    'défourrer',
    'défourrera',
    'défourrerai',
    'défourrerais',
    'défourrerait',
    'défourreras',
    'défourrerez',
    'défourreriez',
    'défourrerons',
    'défourreront',
    'défourres',
    'défourrez',
    'défourriez',
    'défourrions',
    'défourrons',
    'défourrâmes',
    'défourrât',
    'défourrâtes',
    'défourrèrent',
    'défourré',
    'défourrée',
    'défourrées',
    'défourrés',
    'défraie',
    'défraient',
    'défraiera',
    'défraierai',
    'défraierais',
    'défraierait',
    'défraieras',
    'défraierez',
    'défraieriez',
    'défraierions',
    'défraierons',
    'défraieront',
    'défraies',
    'défranchi',
    'défranchie',
    'défranchies',
    'défranchis',
    'défrancisa',
    'défrancisai',
    'défrancisais',
    'défrancisait',
    'défrancisant',
    'défrancisas',
    'défrancise',
    'défrancisent',
    'défranciser',
    'défrancisera',
    'défrancises',
    'défrancisez',
    'défrancisiez',
    'défrancisons',
    'défrancisât',
    'défrancisé',
    'défrancisée',
    'défrancisées',
    'défrancisés',
    'défraya',
    'défrayai',
    'défrayaient',
    'défrayais',
    'défrayait',
    'défrayant',
    'défrayas',
    'défrayasse',
    'défrayassent',
    'défrayasses',
    'défrayassiez',
    'défraye',
    'défrayent',
    'défrayer',
    'défrayera',
    'défrayerai',
    'défrayerais',
    'défrayerait',
    'défrayeras',
    'défrayerez',
    'défrayeriez',
    'défrayerions',
    'défrayerons',
    'défrayeront',
    'défrayes',
    'défrayez',
    'défrayiez',
    'défrayions',
    'défrayons',
    'défrayâmes',
    'défrayât',
    'défrayâtes',
    'défrayèrent',
    'défrayé',
    'défrayée',
    'défrayées',
    'défrayés',
    'défraîchi',
    'défraîchie',
    'défraîchies',
    'défraîchir',
    'défraîchira',
    'défraîchirai',
    'défraîchiras',
    'défraîchirez',
    'défraîchis',
    'défraîchisse',
    'défraîchit',
    'défraîchîmes',
    'défraîchît',
    'défraîchîtes',
    'défretta',
    'défrettai',
    'défrettaient',
    'défrettais',
    'défrettait',
    'défrettant',
    'défrettas',
    'défrettasse',
    'défrettasses',
    'défrette',
    'défrettent',
    'défretter',
    'défrettera',
    'défretterai',
    'défretterais',
    'défretterait',
    'défretteras',
    'défretterez',
    'défretteriez',
    'défretterons',
    'défretteront',
    'défrettes',
    'défrettez',
    'défrettiez',
    'défrettions',
    'défrettons',
    'défrettâmes',
    'défrettât',
    'défrettâtes',
    'défrettèrent',
    'défretté',
    'défrettée',
    'défrettées',
    'défrettés',
    'défricha',
    'défrichage',
    'défrichages',
    'défrichai',
    'défrichaient',
    'défrichais',
    'défrichait',
    'défrichant',
    'défrichas',
    'défrichasse',
    'défrichasses',
    'défriche',
    'défrichement',
    'défrichent',
    'défricher',
    'défrichera',
    'défricherai',
    'défricherais',
    'défricherait',
    'défricheras',
    'défricherez',
    'défricheriez',
    'défricherons',
    'défricheront',
    'défriches',
    'défricheur',
    'défricheurs',
    'défricheuse',
    'défricheuses',
    'défrichez',
    'défrichiez',
    'défrichions',
    'défrichons',
    'défrichâmes',
    'défrichât',
    'défrichâtes',
    'défrichèrent',
    'défriché',
    'défrichée',
    'défrichées',
    'défrichés',
    'défringua',
    'défringuai',
    'défringuais',
    'défringuait',
    'défringuant',
    'défringuas',
    'défringuasse',
    'défringue',
    'défringuent',
    'défringuer',
    'défringuera',
    'défringuerai',
    'défringueras',
    'défringuerez',
    'défringues',
    'défringuez',
    'défringuiez',
    'défringuions',
    'défringuons',
    'défringuâmes',
    'défringuât',
    'défringuâtes',
    'défringué',
    'défringuée',
    'défringuées',
    'défringués',
    'défripa',
    'défripai',
    'défripaient',
    'défripais',
    'défripait',
    'défripant',
    'défripas',
    'défripasse',
    'défripassent',
    'défripasses',
    'défripassiez',
    'défripe',
    'défripent',
    'défriper',
    'défripera',
    'défriperai',
    'défriperais',
    'défriperait',
    'défriperas',
    'défriperez',
    'défriperiez',
    'défriperions',
    'défriperons',
    'défriperont',
    'défripes',
    'défripez',
    'défripiez',
    'défripions',
    'défripons',
    'défripâmes',
    'défripât',
    'défripâtes',
    'défripèrent',
    'défripé',
    'défripée',
    'défripées',
    'défripés',
    'défrisa',
    'défrisai',
    'défrisaient',
    'défrisais',
    'défrisait',
    'défrisant',
    'défrisas',
    'défrisasse',
    'défrisassent',
    'défrisasses',
    'défrisassiez',
    'défrise',
    'défrisement',
    'défrisements',
    'défrisent',
    'défriser',
    'défrisera',
    'défriserai',
    'défriserais',
    'défriserait',
    'défriseras',
    'défriserez',
    'défriseriez',
    'défriserions',
    'défriserons',
    'défriseront',
    'défrises',
    'défrisez',
    'défrisiez',
    'défrisions',
    'défrisons',
    'défrisâmes',
    'défrisât',
    'défrisâtes',
    'défrisèrent',
    'défrisé',
    'défrisée',
    'défrisées',
    'défrisés',
    'défroissa',
    'défroissable',
    'défroissai',
    'défroissais',
    'défroissait',
    'défroissant',
    'défroissas',
    'défroissasse',
    'défroisse',
    'défroissent',
    'défroisser',
    'défroissera',
    'défroisserai',
    'défroisseras',
    'défroisserez',
    'défroisses',
    'défroissez',
    'défroissiez',
    'défroissions',
    'défroissons',
    'défroissâmes',
    'défroissât',
    'défroissâtes',
    'défroissé',
    'défroissée',
    'défroissées',
    'défroissés',
    'défronce',
    'défroncent',
    'défroncer',
    'défroncera',
    'défroncerai',
    'défroncerais',
    'défroncerait',
    'défronceras',
    'défroncerez',
    'défronceriez',
    'défroncerons',
    'défronceront',
    'défronces',
    'défroncez',
    'défronciez',
    'défroncions',
    'défroncèrent',
    'défroncé',
    'défroncée',
    'défroncées',
    'défroncés',
    'défronça',
    'défronçai',
    'défronçaient',
    'défronçais',
    'défronçait',
    'défronçant',
    'défronças',
    'défronçasse',
    'défronçasses',
    'défronçons',
    'défronçâmes',
    'défronçât',
    'défronçâtes',
    'défroqua',
    'défroquai',
    'défroquaient',
    'défroquais',
    'défroquait',
    'défroquant',
    'défroquas',
    'défroquasse',
    'défroquasses',
    'défroque',
    'défroquent',
    'défroquer',
    'défroquera',
    'défroquerai',
    'défroquerais',
    'défroquerait',
    'défroqueras',
    'défroquerez',
    'défroqueriez',
    'défroquerons',
    'défroqueront',
    'défroques',
    'défroquez',
    'défroquiez',
    'défroquions',
    'défroquons',
    'défroquâmes',
    'défroquât',
    'défroquâtes',
    'défroquèrent',
    'défroqué',
    'défroquée',
    'défroquées',
    'défroqués',
    'défruita',
    'défruitai',
    'défruitaient',
    'défruitais',
    'défruitait',
    'défruitant',
    'défruitas',
    'défruitasse',
    'défruitasses',
    'défruite',
    'défruitent',
    'défruiter',
    'défruitera',
    'défruiterai',
    'défruiterais',
    'défruiterait',
    'défruiteras',
    'défruiterez',
    'défruiteriez',
    'défruiterons',
    'défruiteront',
    'défruites',
    'défruitez',
    'défruitiez',
    'défruitions',
    'défruitons',
    'défruitâmes',
    'défruitât',
    'défruitâtes',
    'défruitèrent',
    'défruité',
    'défruitée',
    'défruitées',
    'défruités',
    'défunt',
    'défunte',
    'défuntes',
    'défunts',
    'défèque',
    'défèquent',
    'défèques',
    'défère',
    'défèrent',
    'défères',
    'défécation',
    'défécations',
    'déféqua',
    'déféquai',
    'déféquaient',
    'déféquais',
    'déféquait',
    'déféquant',
    'déféquas',
    'déféquasse',
    'déféquassent',
    'déféquasses',
    'déféquassiez',
    'déféquer',
    'déféquera',
    'déféquerai',
    'déféquerais',
    'déféquerait',
    'déféqueras',
    'déféquerez',
    'déféqueriez',
    'déféquerions',
    'déféquerons',
    'déféqueront',
    'déféquez',
    'déféquiez',
    'déféquions',
    'déféquons',
    'déféquâmes',
    'déféquât',
    'déféquâtes',
    'déféquèrent',
    'déféqué',
    'déféquée',
    'déféquées',
    'déféqués',
    'déféra',
    'déférai',
    'déféraient',
    'déférais',
    'déférait',
    'déférant',
    'déféras',
    'déférasse',
    'déférassent',
    'déférasses',
    'déférassiez',
    'déférassions',
    'déférence',
    'déférences',
    'déférent',
    'déférente',
    'déférentes',
    'déférents',
    'déférer',
    'déférera',
    'déférerai',
    'déféreraient',
    'déférerais',
    'déférerait',
    'déféreras',
    'déférerez',
    'déféreriez',
    'déférerions',
    'déférerons',
    'déféreront',
    'déférez',
    'défériez',
    'déférions',
    'déférons',
    'déférâmes',
    'déférât',
    'déférâtes',
    'déférèrent',
    'déféré',
    'déférée',
    'déférées',
    'déférés',
    'défîmes',
    'défît',
    'défîtes',
    'dégage',
    'dégagea',
    'dégageai',
    'dégageaient',
    'dégageais',
    'dégageait',
    'dégageant',
    'dégageas',
    'dégageasse',
    'dégageassent',
    'dégageasses',
    'dégageassiez',
    'dégagement',
    'dégagements',
    'dégagent',
    'dégageons',
    'dégager',
    'dégagera',
    'dégagerai',
    'dégageraient',
    'dégagerais',
    'dégagerait',
    'dégageras',
    'dégagerez',
    'dégageriez',
    'dégagerions',
    'dégagerons',
    'dégageront',
    'dégages',
    'dégagez',
    'dégageâmes',
    'dégageât',
    'dégageâtes',
    'dégagiez',
    'dégagions',
    'dégagèrent',
    'dégagé',
    'dégagée',
    'dégagées',
    'dégagés',
    'dégaina',
    'dégainai',
    'dégainaient',
    'dégainais',
    'dégainait',
    'dégainant',
    'dégainas',
    'dégainasse',
    'dégainassent',
    'dégainasses',
    'dégainassiez',
    'dégaine',
    'dégainent',
    'dégainer',
    'dégainera',
    'dégainerai',
    'dégainerais',
    'dégainerait',
    'dégaineras',
    'dégainerez',
    'dégaineriez',
    'dégainerions',
    'dégainerons',
    'dégaineront',
    'dégaines',
    'dégainez',
    'dégainiez',
    'dégainions',
    'dégainons',
    'dégainâmes',
    'dégainât',
    'dégainâtes',
    'dégainèrent',
    'dégainé',
    'dégainée',
    'dégainées',
    'dégainés',
    'dégalonna',
    'dégalonnai',
    'dégalonnais',
    'dégalonnait',
    'dégalonnant',
    'dégalonnas',
    'dégalonnasse',
    'dégalonne',
    'dégalonnent',
    'dégalonner',
    'dégalonnera',
    'dégalonnerai',
    'dégalonneras',
    'dégalonnerez',
    'dégalonnes',
    'dégalonnez',
    'dégalonniez',
    'dégalonnions',
    'dégalonnons',
    'dégalonnâmes',
    'dégalonnât',
    'dégalonnâtes',
    'dégalonné',
    'dégalonnée',
    'dégalonnées',
    'dégalonnés',
    'déganta',
    'dégantai',
    'dégantaient',
    'dégantais',
    'dégantait',
    'dégantant',
    'dégantas',
    'dégantasse',
    'dégantassent',
    'dégantasses',
    'dégantassiez',
    'dégante',
    'dégantent',
    'déganter',
    'dégantera',
    'déganterai',
    'déganterais',
    'déganterait',
    'déganteras',
    'déganterez',
    'déganteriez',
    'déganterions',
    'déganterons',
    'déganteront',
    'dégantes',
    'dégantez',
    'dégantiez',
    'dégantions',
    'dégantons',
    'dégantâmes',
    'dégantât',
    'dégantâtes',
    'dégantèrent',
    'déganté',
    'dégantée',
    'dégantées',
    'dégantés',
    'dégarni',
    'dégarnie',
    'dégarnies',
    'dégarnir',
    'dégarnira',
    'dégarnirai',
    'dégarnirais',
    'dégarnirait',
    'dégarniras',
    'dégarnirent',
    'dégarnirez',
    'dégarniriez',
    'dégarnirions',
    'dégarnirons',
    'dégarniront',
    'dégarnis',
    'dégarnissais',
    'dégarnissait',
    'dégarnissant',
    'dégarnisse',
    'dégarnissent',
    'dégarnisses',
    'dégarnissez',
    'dégarnissiez',
    'dégarnissons',
    'dégarnit',
    'dégarnîmes',
    'dégarnît',
    'dégarnîtes',
    'dégasolina',
    'dégasolinage',
    'dégasolinai',
    'dégasolinais',
    'dégasolinait',
    'dégasolinant',
    'dégasolinas',
    'dégasoline',
    'dégasolinent',
    'dégasoliner',
    'dégasolinera',
    'dégasolines',
    'dégasolinez',
    'dégasoliniez',
    'dégasolinons',
    'dégasolinât',
    'dégasoliné',
    'dégasolinée',
    'dégasolinées',
    'dégasolinés',
    'dégauchi',
    'dégauchie',
    'dégauchies',
    'dégauchir',
    'dégauchira',
    'dégauchirai',
    'dégauchirais',
    'dégauchirait',
    'dégauchiras',
    'dégauchirent',
    'dégauchirez',
    'dégauchiriez',
    'dégauchirons',
    'dégauchiront',
    'dégauchis',
    'dégauchisse',
    'dégauchisses',
    'dégauchissez',
    'dégauchit',
    'dégauchîmes',
    'dégauchît',
    'dégauchîtes',
    'dégaza',
    'dégazage',
    'dégazages',
    'dégazai',
    'dégazaient',
    'dégazais',
    'dégazait',
    'dégazant',
    'dégazas',
    'dégazasse',
    'dégazassent',
    'dégazasses',
    'dégazassiez',
    'dégazassions',
    'dégaze',
    'dégazent',
    'dégazer',
    'dégazera',
    'dégazerai',
    'dégazeraient',
    'dégazerais',
    'dégazerait',
    'dégazeras',
    'dégazerez',
    'dégazeriez',
    'dégazerions',
    'dégazerons',
    'dégazeront',
    'dégazes',
    'dégazez',
    'dégaziez',
    'dégazions',
    'dégazolina',
    'dégazolinage',
    'dégazolinai',
    'dégazolinais',
    'dégazolinait',
    'dégazolinant',
    'dégazolinas',
    'dégazoline',
    'dégazolinent',
    'dégazoliner',
    'dégazolinera',
    'dégazolines',
    'dégazolinez',
    'dégazoliniez',
    'dégazolinons',
    'dégazolinât',
    'dégazoliné',
    'dégazolinée',
    'dégazolinées',
    'dégazolinés',
    'dégazonna',
    'dégazonnage',
    'dégazonnages',
    'dégazonnai',
    'dégazonnais',
    'dégazonnait',
    'dégazonnant',
    'dégazonnas',
    'dégazonnasse',
    'dégazonne',
    'dégazonnent',
    'dégazonner',
    'dégazonnera',
    'dégazonnerai',
    'dégazonneras',
    'dégazonnerez',
    'dégazonnes',
    'dégazonnez',
    'dégazonniez',
    'dégazonnions',
    'dégazonnons',
    'dégazonnâmes',
    'dégazonnât',
    'dégazonnâtes',
    'dégazonné',
    'dégazonnée',
    'dégazonnées',
    'dégazonnés',
    'dégazons',
    'dégazâmes',
    'dégazât',
    'dégazâtes',
    'dégazèrent',
    'dégazé',
    'dégazée',
    'dégazées',
    'dégazés',
    'dégel',
    'dégela',
    'dégelai',
    'dégelaient',
    'dégelais',
    'dégelait',
    'dégelant',
    'dégelas',
    'dégelasse',
    'dégelassent',
    'dégelasses',
    'dégelassiez',
    'dégelassions',
    'dégeler',
    'dégelez',
    'dégeliez',
    'dégelions',
    'dégelons',
    'dégels',
    'dégelâmes',
    'dégelât',
    'dégelâtes',
    'dégelèrent',
    'dégelé',
    'dégelée',
    'dégelées',
    'dégelés',
    'dégerma',
    'dégermai',
    'dégermaient',
    'dégermais',
    'dégermait',
    'dégermant',
    'dégermas',
    'dégermasse',
    'dégermassent',
    'dégermasses',
    'dégermassiez',
    'dégerme',
    'dégerment',
    'dégermer',
    'dégermera',
    'dégermerai',
    'dégermerais',
    'dégermerait',
    'dégermeras',
    'dégermerez',
    'dégermeriez',
    'dégermerions',
    'dégermerons',
    'dégermeront',
    'dégermes',
    'dégermez',
    'dégermiez',
    'dégermions',
    'dégermons',
    'dégermâmes',
    'dégermât',
    'dégermâtes',
    'dégermèrent',
    'dégermé',
    'dégermée',
    'dégermées',
    'dégermés',
    'déginganda',
    'dégingandai',
    'dégingandais',
    'dégingandait',
    'dégingandant',
    'dégingandas',
    'dégingande',
    'dégingandent',
    'dégingander',
    'dégingandera',
    'dégingandes',
    'dégingandez',
    'dégingandiez',
    'dégingandons',
    'dégingandât',
    'dégingandé',
    'dégingandée',
    'dégingandées',
    'dégingandés',
    'dégivra',
    'dégivrage',
    'dégivrages',
    'dégivrai',
    'dégivraient',
    'dégivrais',
    'dégivrait',
    'dégivrant',
    'dégivras',
    'dégivrasse',
    'dégivrassent',
    'dégivrasses',
    'dégivrassiez',
    'dégivre',
    'dégivrent',
    'dégivrer',
    'dégivrera',
    'dégivrerai',
    'dégivrerais',
    'dégivrerait',
    'dégivreras',
    'dégivrerez',
    'dégivreriez',
    'dégivrerions',
    'dégivrerons',
    'dégivreront',
    'dégivres',
    'dégivreur',
    'dégivreurs',
    'dégivrez',
    'dégivriez',
    'dégivrions',
    'dégivrons',
    'dégivrâmes',
    'dégivrât',
    'dégivrâtes',
    'dégivrèrent',
    'dégivré',
    'dégivrée',
    'dégivrées',
    'dégivrés',
    'déglace',
    'déglacement',
    'déglacements',
    'déglacent',
    'déglacer',
    'déglacera',
    'déglacerai',
    'déglacerais',
    'déglacerait',
    'déglaceras',
    'déglacerez',
    'déglaceriez',
    'déglacerions',
    'déglacerons',
    'déglaceront',
    'déglaces',
    'déglacez',
    'déglaciation',
    'déglaciez',
    'déglacions',
    'déglacèrent',
    'déglacé',
    'déglacée',
    'déglacées',
    'déglacés',
    'déglaça',
    'déglaçai',
    'déglaçaient',
    'déglaçais',
    'déglaçait',
    'déglaçant',
    'déglaças',
    'déglaçasse',
    'déglaçassent',
    'déglaçasses',
    'déglaçassiez',
    'déglaçons',
    'déglaçâmes',
    'déglaçât',
    'déglaçâtes',
    'déglingua',
    'déglinguai',
    'déglinguais',
    'déglinguait',
    'déglinguant',
    'déglinguas',
    'déglinguasse',
    'déglingue',
    'déglinguent',
    'déglinguer',
    'déglinguera',
    'déglinguerai',
    'déglingueras',
    'déglinguerez',
    'déglingues',
    'déglinguez',
    'déglinguiez',
    'déglinguions',
    'déglinguons',
    'déglinguâmes',
    'déglinguât',
    'déglinguâtes',
    'déglingué',
    'déglinguée',
    'déglinguées',
    'déglingués',
    'déglua',
    'dégluai',
    'dégluaient',
    'dégluais',
    'dégluait',
    'dégluant',
    'dégluas',
    'dégluasse',
    'dégluassent',
    'dégluasses',
    'dégluassiez',
    'dégluassions',
    'déglue',
    'dégluent',
    'dégluer',
    'dégluera',
    'dégluerai',
    'déglueraient',
    'dégluerais',
    'dégluerait',
    'déglueras',
    'dégluerez',
    'déglueriez',
    'dégluerions',
    'dégluerons',
    'déglueront',
    'déglues',
    'dégluez',
    'dégluiez',
    'dégluions',
    'dégluons',
    'dégluti',
    'déglutie',
    'dégluties',
    'déglutir',
    'déglutira',
    'déglutirai',
    'déglutirais',
    'déglutirait',
    'déglutiras',
    'déglutirent',
    'déglutirez',
    'déglutiriez',
    'déglutirions',
    'déglutirons',
    'déglutiront',
    'déglutis',
    'déglutissais',
    'déglutissait',
    'déglutissant',
    'déglutisse',
    'déglutissent',
    'déglutisses',
    'déglutissez',
    'déglutissiez',
    'déglutissons',
    'déglutit',
    'déglutition',
    'déglutitions',
    'déglutîmes',
    'déglutît',
    'déglutîtes',
    'dégluâmes',
    'dégluât',
    'dégluâtes',
    'dégluèrent',
    'déglué',
    'dégluée',
    'dégluées',
    'déglués',
    'dégobilla',
    'dégobillai',
    'dégobillais',
    'dégobillait',
    'dégobillant',
    'dégobillas',
    'dégobillasse',
    'dégobille',
    'dégobillent',
    'dégobiller',
    'dégobillera',
    'dégobillerai',
    'dégobilleras',
    'dégobillerez',
    'dégobilles',
    'dégobillez',
    'dégobilliez',
    'dégobillions',
    'dégobillons',
    'dégobillâmes',
    'dégobillât',
    'dégobillâtes',
    'dégobillé',
    'dégobillée',
    'dégobillées',
    'dégobillés',
    'dégoisa',
    'dégoisai',
    'dégoisaient',
    'dégoisais',
    'dégoisait',
    'dégoisant',
    'dégoisas',
    'dégoisasse',
    'dégoisassent',
    'dégoisasses',
    'dégoisassiez',
    'dégoise',
    'dégoisent',
    'dégoiser',
    'dégoisera',
    'dégoiserai',
    'dégoiserais',
    'dégoiserait',
    'dégoiseras',
    'dégoiserez',
    'dégoiseriez',
    'dégoiserions',
    'dégoiserons',
    'dégoiseront',
    'dégoises',
    'dégoisez',
    'dégoisiez',
    'dégoisions',
    'dégoisons',
    'dégoisâmes',
    'dégoisât',
    'dégoisâtes',
    'dégoisèrent',
    'dégoisé',
    'dégoisée',
    'dégoisées',
    'dégoisés',
    'dégomma',
    'dégommage',
    'dégommages',
    'dégommai',
    'dégommaient',
    'dégommais',
    'dégommait',
    'dégommant',
    'dégommas',
    'dégommasse',
    'dégommassent',
    'dégommasses',
    'dégommassiez',
    'dégomme',
    'dégomment',
    'dégommer',
    'dégommera',
    'dégommerai',
    'dégommerais',
    'dégommerait',
    'dégommeras',
    'dégommerez',
    'dégommeriez',
    'dégommerions',
    'dégommerons',
    'dégommeront',
    'dégommes',
    'dégommez',
    'dégommiez',
    'dégommions',
    'dégommons',
    'dégommâmes',
    'dégommât',
    'dégommâtes',
    'dégommèrent',
    'dégommé',
    'dégommée',
    'dégommées',
    'dégommés',
    'dégonda',
    'dégondai',
    'dégondaient',
    'dégondais',
    'dégondait',
    'dégondant',
    'dégondas',
    'dégondasse',
    'dégondassent',
    'dégondasses',
    'dégondassiez',
    'dégonde',
    'dégondent',
    'dégonder',
    'dégondera',
    'dégonderai',
    'dégonderais',
    'dégonderait',
    'dégonderas',
    'dégonderez',
    'dégonderiez',
    'dégonderions',
    'dégonderons',
    'dégonderont',
    'dégondes',
    'dégondez',
    'dégondiez',
    'dégondions',
    'dégondons',
    'dégondâmes',
    'dégondât',
    'dégondâtes',
    'dégondèrent',
    'dégondé',
    'dégondée',
    'dégondées',
    'dégondés',
    'dégonfla',
    'dégonflage',
    'dégonflages',
    'dégonflai',
    'dégonflaient',
    'dégonflais',
    'dégonflait',
    'dégonflant',
    'dégonflas',
    'dégonflasse',
    'dégonflasses',
    'dégonfle',
    'dégonflement',
    'dégonflent',
    'dégonfler',
    'dégonflera',
    'dégonflerai',
    'dégonflerais',
    'dégonflerait',
    'dégonfleras',
    'dégonflerez',
    'dégonfleriez',
    'dégonflerons',
    'dégonfleront',
    'dégonfles',
    'dégonflez',
    'dégonfliez',
    'dégonflions',
    'dégonflons',
    'dégonflâmes',
    'dégonflât',
    'dégonflâtes',
    'dégonflèrent',
    'dégonflé',
    'dégonflée',
    'dégonflées',
    'dégonflés',
    'dégorge',
    'dégorgea',
    'dégorgeai',
    'dégorgeaient',
    'dégorgeais',
    'dégorgeait',
    'dégorgeant',
    'dégorgeas',
    'dégorgeasse',
    'dégorgeasses',
    'dégorgement',
    'dégorgements',
    'dégorgent',
    'dégorgeoir',
    'dégorgeoirs',
    'dégorgeons',
    'dégorger',
    'dégorgera',
    'dégorgerai',
    'dégorgerais',
    'dégorgerait',
    'dégorgeras',
    'dégorgerez',
    'dégorgeriez',
    'dégorgerions',
    'dégorgerons',
    'dégorgeront',
    'dégorges',
    'dégorgez',
    'dégorgeâmes',
    'dégorgeât',
    'dégorgeâtes',
    'dégorgiez',
    'dégorgions',
    'dégorgèrent',
    'dégorgé',
    'dégorgée',
    'dégorgées',
    'dégorgés',
    'dégota',
    'dégotai',
    'dégotaient',
    'dégotais',
    'dégotait',
    'dégotant',
    'dégotas',
    'dégotasse',
    'dégotassent',
    'dégotasses',
    'dégotassiez',
    'dégotassions',
    'dégote',
    'dégotent',
    'dégoter',
    'dégotera',
    'dégoterai',
    'dégoteraient',
    'dégoterais',
    'dégoterait',
    'dégoteras',
    'dégoterez',
    'dégoteriez',
    'dégoterions',
    'dégoterons',
    'dégoteront',
    'dégotes',
    'dégotez',
    'dégotiez',
    'dégotions',
    'dégotons',
    'dégotta',
    'dégottai',
    'dégottaient',
    'dégottais',
    'dégottait',
    'dégottant',
    'dégottas',
    'dégottasse',
    'dégottassent',
    'dégottasses',
    'dégottassiez',
    'dégotte',
    'dégottent',
    'dégotter',
    'dégottera',
    'dégotterai',
    'dégotterais',
    'dégotterait',
    'dégotteras',
    'dégotterez',
    'dégotteriez',
    'dégotterions',
    'dégotterons',
    'dégotteront',
    'dégottes',
    'dégottez',
    'dégottiez',
    'dégottions',
    'dégottons',
    'dégottâmes',
    'dégottât',
    'dégottâtes',
    'dégottèrent',
    'dégotté',
    'dégottée',
    'dégottées',
    'dégottés',
    'dégotâmes',
    'dégotât',
    'dégotâtes',
    'dégotèrent',
    'dégoté',
    'dégotée',
    'dégotées',
    'dégotés',
    'dégoudronna',
    'dégoudronnai',
    'dégoudronnas',
    'dégoudronne',
    'dégoudronner',
    'dégoudronnes',
    'dégoudronnez',
    'dégoudronnât',
    'dégoudronné',
    'dégoudronnée',
    'dégoudronnés',
    'dégoulina',
    'dégoulinade',
    'dégoulinades',
    'dégoulinai',
    'dégoulinais',
    'dégoulinait',
    'dégoulinant',
    'dégoulinas',
    'dégoulinasse',
    'dégouline',
    'dégoulinent',
    'dégouliner',
    'dégoulinera',
    'dégoulinerai',
    'dégoulineras',
    'dégoulinerez',
    'dégoulines',
    'dégoulinez',
    'dégouliniez',
    'dégoulinions',
    'dégoulinons',
    'dégoulinâmes',
    'dégoulinât',
    'dégoulinâtes',
    'dégouliné',
    'dégoupilla',
    'dégoupillai',
    'dégoupillais',
    'dégoupillait',
    'dégoupillant',
    'dégoupillas',
    'dégoupille',
    'dégoupillent',
    'dégoupiller',
    'dégoupillera',
    'dégoupilles',
    'dégoupillez',
    'dégoupilliez',
    'dégoupillons',
    'dégoupillât',
    'dégoupillé',
    'dégoupillée',
    'dégoupillées',
    'dégoupillés',
    'dégourdi',
    'dégourdie',
    'dégourdies',
    'dégourdir',
    'dégourdira',
    'dégourdirai',
    'dégourdirais',
    'dégourdirait',
    'dégourdiras',
    'dégourdirent',
    'dégourdirez',
    'dégourdiriez',
    'dégourdirons',
    'dégourdiront',
    'dégourdis',
    'dégourdisse',
    'dégourdisses',
    'dégourdissez',
    'dégourdit',
    'dégourdîmes',
    'dégourdît',
    'dégourdîtes',
    'dégoutta',
    'dégouttai',
    'dégouttaient',
    'dégouttais',
    'dégouttait',
    'dégouttant',
    'dégouttas',
    'dégouttasse',
    'dégouttasses',
    'dégoutte',
    'dégouttent',
    'dégoutter',
    'dégouttera',
    'dégoutterai',
    'dégoutterais',
    'dégoutterait',
    'dégoutteras',
    'dégoutterez',
    'dégoutteriez',
    'dégoutterons',
    'dégoutteront',
    'dégouttes',
    'dégouttez',
    'dégouttiez',
    'dégouttions',
    'dégouttons',
    'dégouttâmes',
    'dégouttât',
    'dégouttâtes',
    'dégouttèrent',
    'dégoutté',
    'dégouttée',
    'dégouttées',
    'dégouttés',
    'dégoût',
    'dégoûta',
    'dégoûtai',
    'dégoûtaient',
    'dégoûtais',
    'dégoûtait',
    'dégoûtamment',
    'dégoûtant',
    'dégoûtante',
    'dégoûtantes',
    'dégoûtants',
    'dégoûtas',
    'dégoûtasse',
    'dégoûtassent',
    'dégoûtasses',
    'dégoûtassiez',
    'dégoûtation',
    'dégoûtations',
    'dégoûte',
    'dégoûtent',
    'dégoûter',
    'dégoûtera',
    'dégoûterai',
    'dégoûterais',
    'dégoûterait',
    'dégoûteras',
    'dégoûterez',
    'dégoûteriez',
    'dégoûterions',
    'dégoûterons',
    'dégoûteront',
    'dégoûtes',
    'dégoûtez',
    'dégoûtiez',
    'dégoûtions',
    'dégoûtons',
    'dégoûts',
    'dégoûtâmes',
    'dégoûtât',
    'dégoûtâtes',
    'dégoûtèrent',
    'dégoûté',
    'dégoûtée',
    'dégoûtées',
    'dégoûtés',
    'dégrada',
    'dégradai',
    'dégradaient',
    'dégradais',
    'dégradait',
    'dégradant',
    'dégradante',
    'dégradantes',
    'dégradants',
    'dégradas',
    'dégradasse',
    'dégradassent',
    'dégradasses',
    'dégradassiez',
    'dégradateur',
    'dégradateurs',
    'dégradation',
    'dégradations',
    'dégrade',
    'dégradent',
    'dégrader',
    'dégradera',
    'dégraderai',
    'dégraderais',
    'dégraderait',
    'dégraderas',
    'dégraderez',
    'dégraderiez',
    'dégraderions',
    'dégraderons',
    'dégraderont',
    'dégrades',
    'dégradez',
    'dégradiez',
    'dégradions',
    'dégradons',
    'dégradâmes',
    'dégradât',
    'dégradâtes',
    'dégradèrent',
    'dégradé',
    'dégradée',
    'dégradées',
    'dégradés',
    'dégrafa',
    'dégrafai',
    'dégrafaient',
    'dégrafais',
    'dégrafait',
    'dégrafant',
    'dégrafas',
    'dégrafasse',
    'dégrafassent',
    'dégrafasses',
    'dégrafassiez',
    'dégrafe',
    'dégrafent',
    'dégrafer',
    'dégrafera',
    'dégraferai',
    'dégraferais',
    'dégraferait',
    'dégraferas',
    'dégraferez',
    'dégraferiez',
    'dégraferions',
    'dégraferons',
    'dégraferont',
    'dégrafes',
    'dégrafez',
    'dégrafiez',
    'dégrafions',
    'dégrafons',
    'dégrafâmes',
    'dégrafât',
    'dégrafâtes',
    'dégrafèrent',
    'dégrafé',
    'dégrafée',
    'dégrafées',
    'dégrafés',
    'dégraissa',
    'dégraissage',
    'dégraissages',
    'dégraissai',
    'dégraissais',
    'dégraissait',
    'dégraissant',
    'dégraissante',
    'dégraissants',
    'dégraissas',
    'dégraissasse',
    'dégraisse',
    'dégraissent',
    'dégraisser',
    'dégraissera',
    'dégraisserai',
    'dégraisseras',
    'dégraisserez',
    'dégraisses',
    'dégraissez',
    'dégraissiez',
    'dégraissions',
    'dégraissons',
    'dégraissâmes',
    'dégraissât',
    'dégraissâtes',
    'dégraissé',
    'dégraissée',
    'dégraissées',
    'dégraissés',
    'dégravoie',
    'dégravoient',
    'dégravoiera',
    'dégravoierai',
    'dégravoieras',
    'dégravoierez',
    'dégravoies',
    'dégravoya',
    'dégravoyai',
    'dégravoyais',
    'dégravoyait',
    'dégravoyant',
    'dégravoyas',
    'dégravoyasse',
    'dégravoyer',
    'dégravoyez',
    'dégravoyiez',
    'dégravoyions',
    'dégravoyons',
    'dégravoyâmes',
    'dégravoyât',
    'dégravoyâtes',
    'dégravoyé',
    'dégravoyée',
    'dégravoyées',
    'dégravoyés',
    'dégressif',
    'dégressifs',
    'dégressive',
    'dégressives',
    'dégressivité',
    'dégreva',
    'dégrevai',
    'dégrevaient',
    'dégrevais',
    'dégrevait',
    'dégrevant',
    'dégrevas',
    'dégrevasse',
    'dégrevassent',
    'dégrevasses',
    'dégrevassiez',
    'dégrever',
    'dégrevez',
    'dégreviez',
    'dégrevions',
    'dégrevons',
    'dégrevâmes',
    'dégrevât',
    'dégrevâtes',
    'dégrevèrent',
    'dégrevé',
    'dégrevée',
    'dégrevées',
    'dégrevés',
    'dégriffé',
    'dégriffée',
    'dégriffées',
    'dégriffés',
    'dégringola',
    'dégringolade',
    'dégringolai',
    'dégringolais',
    'dégringolait',
    'dégringolant',
    'dégringolas',
    'dégringole',
    'dégringolent',
    'dégringoler',
    'dégringolera',
    'dégringoles',
    'dégringolez',
    'dégringoliez',
    'dégringolons',
    'dégringolât',
    'dégringolé',
    'dégringolée',
    'dégringolées',
    'dégringolés',
    'dégrippa',
    'dégrippai',
    'dégrippaient',
    'dégrippais',
    'dégrippait',
    'dégrippant',
    'dégrippas',
    'dégrippasse',
    'dégrippasses',
    'dégrippe',
    'dégrippent',
    'dégripper',
    'dégrippera',
    'dégripperai',
    'dégripperais',
    'dégripperait',
    'dégripperas',
    'dégripperez',
    'dégripperiez',
    'dégripperons',
    'dégripperont',
    'dégrippes',
    'dégrippez',
    'dégrippiez',
    'dégrippions',
    'dégrippons',
    'dégrippâmes',
    'dégrippât',
    'dégrippâtes',
    'dégrippèrent',
    'dégrippé',
    'dégrippée',
    'dégrippées',
    'dégrippés',
    'dégrisa',
    'dégrisai',
    'dégrisaient',
    'dégrisais',
    'dégrisait',
    'dégrisant',
    'dégrisas',
    'dégrisasse',
    'dégrisassent',
    'dégrisasses',
    'dégrisassiez',
    'dégrise',
    'dégrisement',
    'dégrisements',
    'dégrisent',
    'dégriser',
    'dégrisera',
    'dégriserai',
    'dégriserais',
    'dégriserait',
    'dégriseras',
    'dégriserez',
    'dégriseriez',
    'dégriserions',
    'dégriserons',
    'dégriseront',
    'dégrises',
    'dégrisez',
    'dégrisiez',
    'dégrisions',
    'dégrisons',
    'dégrisâmes',
    'dégrisât',
    'dégrisâtes',
    'dégrisèrent',
    'dégrisé',
    'dégrisée',
    'dégrisées',
    'dégrisés',
    'dégrossa',
    'dégrossai',
    'dégrossaient',
    'dégrossais',
    'dégrossait',
    'dégrossant',
    'dégrossas',
    'dégrossasse',
    'dégrossasses',
    'dégrosse',
    'dégrossent',
    'dégrosser',
    'dégrossera',
    'dégrosserai',
    'dégrosserais',
    'dégrosserait',
    'dégrosseras',
    'dégrosserez',
    'dégrosseriez',
    'dégrosserons',
    'dégrosseront',
    'dégrosses',
    'dégrossez',
    'dégrossi',
    'dégrossie',
    'dégrossies',
    'dégrossiez',
    'dégrossions',
    'dégrossir',
    'dégrossira',
    'dégrossirai',
    'dégrossirais',
    'dégrossirait',
    'dégrossiras',
    'dégrossirent',
    'dégrossirez',
    'dégrossiriez',
    'dégrossirons',
    'dégrossiront',
    'dégrossis',
    'dégrossisse',
    'dégrossisses',
    'dégrossissez',
    'dégrossit',
    'dégrossons',
    'dégrossâmes',
    'dégrossât',
    'dégrossâtes',
    'dégrossèrent',
    'dégrossé',
    'dégrossée',
    'dégrossées',
    'dégrossés',
    'dégrossîmes',
    'dégrossît',
    'dégrossîtes',
    'dégrouilla',
    'dégrouillai',
    'dégrouillais',
    'dégrouillait',
    'dégrouillant',
    'dégrouillas',
    'dégrouille',
    'dégrouillent',
    'dégrouiller',
    'dégrouillera',
    'dégrouilles',
    'dégrouillez',
    'dégrouilliez',
    'dégrouillons',
    'dégrouillât',
    'dégrouillé',
    'dégrouillée',
    'dégrouillées',
    'dégrouillés',
    'dégroupa',
    'dégroupaient',
    'dégroupais',
    'dégroupait',
    'dégroupant',
    'dégroupe',
    'dégroupement',
    'dégroupent',
    'dégrouper',
    'dégroupera',
    'dégrouperai',
    'dégrouperais',
    'dégrouperait',
    'dégrouperas',
    'dégrouperez',
    'dégrouperiez',
    'dégrouperons',
    'dégrouperont',
    'dégroupes',
    'dégroupez',
    'dégroupiez',
    'dégroupions',
    'dégroupons',
    'dégroupèrent',
    'dégroupé',
    'dégroupée',
    'dégroupées',
    'dégroupés',
    'dégrève',
    'dégrèvement',
    'dégrèvements',
    'dégrèvent',
    'dégrèvera',
    'dégrèverai',
    'dégrèverais',
    'dégrèverait',
    'dégrèveras',
    'dégrèverez',
    'dégrèveriez',
    'dégrèverions',
    'dégrèverons',
    'dégrèveront',
    'dégrèves',
    'dégréa',
    'dégréai',
    'dégréaient',
    'dégréais',
    'dégréait',
    'dégréant',
    'dégréas',
    'dégréasse',
    'dégréassent',
    'dégréasses',
    'dégréassiez',
    'dégréassions',
    'dégrée',
    'dégréent',
    'dégréer',
    'dégréera',
    'dégréerai',
    'dégréeraient',
    'dégréerais',
    'dégréerait',
    'dégréeras',
    'dégréerez',
    'dégréeriez',
    'dégréerions',
    'dégréerons',
    'dégréeront',
    'dégrées',
    'dégréez',
    'dégréiez',
    'dégréions',
    'dégréons',
    'dégréâmes',
    'dégréât',
    'dégréâtes',
    'dégréèrent',
    'dégréé',
    'dégréée',
    'dégréées',
    'dégréés',
    'déguenillé',
    'déguenillée',
    'déguenillées',
    'déguenillés',
    'déguerpi',
    'déguerpie',
    'déguerpies',
    'déguerpir',
    'déguerpira',
    'déguerpirai',
    'déguerpirais',
    'déguerpirait',
    'déguerpiras',
    'déguerpirent',
    'déguerpirez',
    'déguerpiriez',
    'déguerpirons',
    'déguerpiront',
    'déguerpis',
    'déguerpisse',
    'déguerpisses',
    'déguerpissez',
    'déguerpit',
    'déguerpîmes',
    'déguerpît',
    'déguerpîtes',
    'dégueula',
    'dégueulai',
    'dégueulaient',
    'dégueulais',
    'dégueulait',
    'dégueulant',
    'dégueulas',
    'dégueulasse',
    'dégueulasses',
    'dégueule',
    'dégueulent',
    'dégueuler',
    'dégueulera',
    'dégueulerai',
    'dégueulerais',
    'dégueulerait',
    'dégueuleras',
    'dégueulerez',
    'dégueuleriez',
    'dégueulerons',
    'dégueuleront',
    'dégueules',
    'dégueulez',
    'dégueuliez',
    'dégueulions',
    'dégueulons',
    'dégueulâmes',
    'dégueulât',
    'dégueulâtes',
    'dégueulèrent',
    'dégueulé',
    'dégueulée',
    'dégueulées',
    'dégueulés',
    'déguisa',
    'déguisai',
    'déguisaient',
    'déguisais',
    'déguisait',
    'déguisant',
    'déguisas',
    'déguisasse',
    'déguisassent',
    'déguisasses',
    'déguisassiez',
    'déguise',
    'déguisement',
    'déguisements',
    'déguisent',
    'déguiser',
    'déguisera',
    'déguiserai',
    'déguiserais',
    'déguiserait',
    'déguiseras',
    'déguiserez',
    'déguiseriez',
    'déguiserions',
    'déguiserons',
    'déguiseront',
    'déguises',
    'déguisez',
    'déguisiez',
    'déguisions',
    'déguisons',
    'déguisâmes',
    'déguisât',
    'déguisâtes',
    'déguisèrent',
    'déguisé',
    'déguisée',
    'déguisées',
    'déguisés',
    'dégurgita',
    'dégurgitai',
    'dégurgitais',
    'dégurgitait',
    'dégurgitant',
    'dégurgitas',
    'dégurgitasse',
    'dégurgite',
    'dégurgitent',
    'dégurgiter',
    'dégurgitera',
    'dégurgiterai',
    'dégurgiteras',
    'dégurgiterez',
    'dégurgites',
    'dégurgitez',
    'dégurgitiez',
    'dégurgitions',
    'dégurgitons',
    'dégurgitâmes',
    'dégurgitât',
    'dégurgitâtes',
    'dégurgité',
    'dégurgitée',
    'dégurgitées',
    'dégurgités',
    'dégusta',
    'dégustai',
    'dégustaient',
    'dégustais',
    'dégustait',
    'dégustant',
    'dégustas',
    'dégustasse',
    'dégustassent',
    'dégustasses',
    'dégustassiez',
    'dégustateur',
    'dégustateurs',
    'dégustation',
    'dégustations',
    'dégustatrice',
    'déguste',
    'dégustent',
    'déguster',
    'dégustera',
    'dégusterai',
    'dégusterais',
    'dégusterait',
    'dégusteras',
    'dégusterez',
    'dégusteriez',
    'dégusterions',
    'dégusterons',
    'dégusteront',
    'dégustes',
    'dégustez',
    'dégustiez',
    'dégustions',
    'dégustons',
    'dégustâmes',
    'dégustât',
    'dégustâtes',
    'dégustèrent',
    'dégusté',
    'dégustée',
    'dégustées',
    'dégustés',
    'dégât',
    'dégâts',
    'dégèle',
    'dégèlent',
    'dégèlera',
    'dégèlerai',
    'dégèleraient',
    'dégèlerais',
    'dégèlerait',
    'dégèleras',
    'dégèlerez',
    'dégèleriez',
    'dégèlerions',
    'dégèlerons',
    'dégèleront',
    'dégèles',
    'dégénère',
    'dégénèrent',
    'dégénères',
    'dégénéra',
    'dégénérai',
    'dégénéraient',
    'dégénérais',
    'dégénérait',
    'dégénérant',
    'dégénéras',
    'dégénérasse',
    'dégénérasses',
    'dégénératif',
    'dégénératifs',
    'dégénérative',
    'dégénérer',
    'dégénérera',
    'dégénérerai',
    'dégénérerais',
    'dégénérerait',
    'dégénéreras',
    'dégénérerez',
    'dégénéreriez',
    'dégénérerons',
    'dégénéreront',
    'dégénérez',
    'dégénériez',
    'dégénérions',
    'dégénérons',
    'dégénérâmes',
    'dégénérât',
    'dégénérâtes',
    'dégénérèrent',
    'dégénéré',
    'dégénérée',
    'dégénérées',
    'dégénérés',
    'dégîta',
    'dégîtai',
    'dégîtaient',
    'dégîtais',
    'dégîtait',
    'dégîtant',
    'dégîtas',
    'dégîtasse',
    'dégîtassent',
    'dégîtasses',
    'dégîtassiez',
    'dégîtassions',
    'dégîte',
    'dégîtent',
    'dégîter',
    'dégîtera',
    'dégîterai',
    'dégîteraient',
    'dégîterais',
    'dégîterait',
    'dégîteras',
    'dégîterez',
    'dégîteriez',
    'dégîterions',
    'dégîterons',
    'dégîteront',
    'dégîtes',
    'dégîtez',
    'dégîtiez',
    'dégîtions',
    'dégîtons',
    'dégîtâmes',
    'dégîtât',
    'dégîtâtes',
    'dégîtèrent',
    'dégîté',
    'dégîtée',
    'dégîtées',
    'dégîtés',
    'déhala',
    'déhalai',
    'déhalaient',
    'déhalais',
    'déhalait',
    'déhalant',
    'déhalas',
    'déhalasse',
    'déhalassent',
    'déhalasses',
    'déhalassiez',
    'déhalassions',
    'déhale',
    'déhalent',
    'déhaler',
    'déhalera',
    'déhalerai',
    'déhaleraient',
    'déhalerais',
    'déhalerait',
    'déhaleras',
    'déhalerez',
    'déhaleriez',
    'déhalerions',
    'déhalerons',
    'déhaleront',
    'déhales',
    'déhalez',
    'déhaliez',
    'déhalions',
    'déhalons',
    'déhalâmes',
    'déhalât',
    'déhalâtes',
    'déhalèrent',
    'déhalé',
    'déhalée',
    'déhalées',
    'déhalés',
    'déhancha',
    'déhanchai',
    'déhanchaient',
    'déhanchais',
    'déhanchait',
    'déhanchant',
    'déhanchas',
    'déhanchasse',
    'déhanchasses',
    'déhanche',
    'déhanchement',
    'déhanchent',
    'déhancher',
    'déhanchera',
    'déhancherai',
    'déhancherais',
    'déhancherait',
    'déhancheras',
    'déhancherez',
    'déhancheriez',
    'déhancherons',
    'déhancheront',
    'déhanches',
    'déhanchez',
    'déhanchiez',
    'déhanchions',
    'déhanchons',
    'déhanchâmes',
    'déhanchât',
    'déhanchâtes',
    'déhanchèrent',
    'déhanché',
    'déhanchée',
    'déhanchées',
    'déhanchés',
    'déharda',
    'déhardai',
    'déhardaient',
    'déhardais',
    'déhardait',
    'déhardant',
    'déhardas',
    'déhardasse',
    'déhardassent',
    'déhardasses',
    'déhardassiez',
    'déharde',
    'déhardent',
    'déharder',
    'déhardera',
    'déharderai',
    'déharderais',
    'déharderait',
    'déharderas',
    'déharderez',
    'déharderiez',
    'déharderions',
    'déharderons',
    'déharderont',
    'déhardes',
    'déhardez',
    'déhardiez',
    'déhardions',
    'déhardons',
    'déhardâmes',
    'déhardât',
    'déhardâtes',
    'déhardèrent',
    'déhardé',
    'déhardée',
    'déhardées',
    'déhardés',
    'déharnacha',
    'déharnachai',
    'déharnachais',
    'déharnachait',
    'déharnachant',
    'déharnachas',
    'déharnache',
    'déharnachent',
    'déharnacher',
    'déharnachera',
    'déharnaches',
    'déharnachez',
    'déharnachiez',
    'déharnachons',
    'déharnachât',
    'déharnaché',
    'déharnachée',
    'déharnachées',
    'déharnachés',
    'déhiscence',
    'déhiscences',
    'déhiscent',
    'déhiscente',
    'déhiscentes',
    'déhiscents',
    'déhotta',
    'déhottai',
    'déhottaient',
    'déhottais',
    'déhottait',
    'déhottant',
    'déhottas',
    'déhottasse',
    'déhottassent',
    'déhottasses',
    'déhottassiez',
    'déhotte',
    'déhottent',
    'déhotter',
    'déhottera',
    'déhotterai',
    'déhotterais',
    'déhotterait',
    'déhotteras',
    'déhotterez',
    'déhotteriez',
    'déhotterions',
    'déhotterons',
    'déhotteront',
    'déhottes',
    'déhottez',
    'déhottiez',
    'déhottions',
    'déhottons',
    'déhottâmes',
    'déhottât',
    'déhottâtes',
    'déhottèrent',
    'déhotté',
    'déhottée',
    'déhottées',
    'déhottés',
    'déhouilla',
    'déhouillai',
    'déhouillais',
    'déhouillait',
    'déhouillant',
    'déhouillas',
    'déhouillasse',
    'déhouille',
    'déhouillent',
    'déhouiller',
    'déhouillera',
    'déhouillerai',
    'déhouilleras',
    'déhouillerez',
    'déhouilles',
    'déhouillez',
    'déhouilliez',
    'déhouillions',
    'déhouillons',
    'déhouillâmes',
    'déhouillât',
    'déhouillâtes',
    'déhouillé',
    'déhouillée',
    'déhouillées',
    'déhouillés',
    'déicide',
    'déicides',
    'déictique',
    'déictiques',
    'déifia',
    'déifiai',
    'déifiaient',
    'déifiais',
    'déifiait',
    'déifiant',
    'déifias',
    'déifiasse',
    'déifiassent',
    'déifiasses',
    'déifiassiez',
    'déifiassions',
    'déification',
    'déifications',
    'déifie',
    'déifient',
    'déifier',
    'déifiera',
    'déifierai',
    'déifieraient',
    'déifierais',
    'déifierait',
    'déifieras',
    'déifierez',
    'déifieriez',
    'déifierions',
    'déifierons',
    'déifieront',
    'déifies',
    'déifiez',
    'déifiiez',
    'déifiions',
    'déifions',
    'déifiâmes',
    'déifiât',
    'déifiâtes',
    'déifièrent',
    'déifié',
    'déifiée',
    'déifiées',
    'déifiés',
    'déisme',
    'déiste',
    'déistes',
    'déité',
    'déités',
    'déjanta',
    'déjantai',
    'déjantaient',
    'déjantais',
    'déjantait',
    'déjantant',
    'déjantas',
    'déjantasse',
    'déjantassent',
    'déjantasses',
    'déjantassiez',
    'déjante',
    'déjantent',
    'déjanter',
    'déjantera',
    'déjanterai',
    'déjanterais',
    'déjanterait',
    'déjanteras',
    'déjanterez',
    'déjanteriez',
    'déjanterions',
    'déjanterons',
    'déjanteront',
    'déjantes',
    'déjantez',
    'déjantiez',
    'déjantions',
    'déjantons',
    'déjantâmes',
    'déjantât',
    'déjantâtes',
    'déjantèrent',
    'déjanté',
    'déjantée',
    'déjantées',
    'déjantés',
    'déjauge',
    'déjaugea',
    'déjaugeai',
    'déjaugeaient',
    'déjaugeais',
    'déjaugeait',
    'déjaugeant',
    'déjaugeas',
    'déjaugeasse',
    'déjaugeasses',
    'déjaugent',
    'déjaugeons',
    'déjauger',
    'déjaugera',
    'déjaugerai',
    'déjaugerais',
    'déjaugerait',
    'déjaugeras',
    'déjaugerez',
    'déjaugeriez',
    'déjaugerions',
    'déjaugerons',
    'déjaugeront',
    'déjauges',
    'déjaugez',
    'déjaugeâmes',
    'déjaugeât',
    'déjaugeâtes',
    'déjaugiez',
    'déjaugions',
    'déjaugèrent',
    'déjaugé',
    'déjauni',
    'déjaunie',
    'déjaunies',
    'déjaunir',
    'déjaunira',
    'déjaunirai',
    'déjaunirais',
    'déjaunirait',
    'déjauniras',
    'déjaunirent',
    'déjaunirez',
    'déjauniriez',
    'déjaunirions',
    'déjaunirons',
    'déjauniront',
    'déjaunis',
    'déjaunissais',
    'déjaunissait',
    'déjaunissant',
    'déjaunisse',
    'déjaunissent',
    'déjaunisses',
    'déjaunissez',
    'déjaunissiez',
    'déjaunissons',
    'déjaunit',
    'déjaunîmes',
    'déjaunît',
    'déjaunîtes',
    'déjection',
    'déjections',
    'déjeta',
    'déjetai',
    'déjetaient',
    'déjetais',
    'déjetait',
    'déjetant',
    'déjetas',
    'déjetasse',
    'déjetassent',
    'déjetasses',
    'déjetassiez',
    'déjetassions',
    'déjeter',
    'déjetez',
    'déjetiez',
    'déjetions',
    'déjetons',
    'déjette',
    'déjettent',
    'déjettera',
    'déjetterai',
    'déjetterais',
    'déjetterait',
    'déjetteras',
    'déjetterez',
    'déjetteriez',
    'déjetterions',
    'déjetterons',
    'déjetteront',
    'déjettes',
    'déjetâmes',
    'déjetât',
    'déjetâtes',
    'déjetèrent',
    'déjeté',
    'déjetée',
    'déjetées',
    'déjetés',
    'déjeuna',
    'déjeunai',
    'déjeunaient',
    'déjeunais',
    'déjeunait',
    'déjeunant',
    'déjeunas',
    'déjeunasse',
    'déjeunassent',
    'déjeunasses',
    'déjeunassiez',
    'déjeune',
    'déjeunent',
    'déjeuner',
    'déjeunera',
    'déjeunerai',
    'déjeunerais',
    'déjeunerait',
    'déjeuneras',
    'déjeunerez',
    'déjeuneriez',
    'déjeunerions',
    'déjeunerons',
    'déjeuneront',
    'déjeuners',
    'déjeunes',
    'déjeunez',
    'déjeuniez',
    'déjeunions',
    'déjeunons',
    'déjeunâmes',
    'déjeunât',
    'déjeunâtes',
    'déjeunèrent',
    'déjeuné',
    'déjoua',
    'déjouai',
    'déjouaient',
    'déjouais',
    'déjouait',
    'déjouant',
    'déjouas',
    'déjouasse',
    'déjouassent',
    'déjouasses',
    'déjouassiez',
    'déjouassions',
    'déjoue',
    'déjouent',
    'déjouer',
    'déjouera',
    'déjouerai',
    'déjoueraient',
    'déjouerais',
    'déjouerait',
    'déjoueras',
    'déjouerez',
    'déjoueriez',
    'déjouerions',
    'déjouerons',
    'déjoueront',
    'déjoues',
    'déjouez',
    'déjouiez',
    'déjouions',
    'déjouons',
    'déjouâmes',
    'déjouât',
    'déjouâtes',
    'déjouèrent',
    'déjoué',
    'déjouée',
    'déjouées',
    'déjoués',
    'déjucha',
    'déjuchai',
    'déjuchaient',
    'déjuchais',
    'déjuchait',
    'déjuchant',
    'déjuchas',
    'déjuchasse',
    'déjuchassent',
    'déjuchasses',
    'déjuchassiez',
    'déjuche',
    'déjuchent',
    'déjucher',
    'déjuchera',
    'déjucherai',
    'déjucherais',
    'déjucherait',
    'déjucheras',
    'déjucherez',
    'déjucheriez',
    'déjucherions',
    'déjucherons',
    'déjucheront',
    'déjuches',
    'déjuchez',
    'déjuchiez',
    'déjuchions',
    'déjuchons',
    'déjuchâmes',
    'déjuchât',
    'déjuchâtes',
    'déjuchèrent',
    'déjuché',
    'déjuchée',
    'déjuchées',
    'déjuchés',
    'déjuge',
    'déjugea',
    'déjugeai',
    'déjugeaient',
    'déjugeais',
    'déjugeait',
    'déjugeant',
    'déjugeas',
    'déjugeasse',
    'déjugeassent',
    'déjugeasses',
    'déjugeassiez',
    'déjugent',
    'déjugeons',
    'déjuger',
    'déjugera',
    'déjugerai',
    'déjugeraient',
    'déjugerais',
    'déjugerait',
    'déjugeras',
    'déjugerez',
    'déjugeriez',
    'déjugerions',
    'déjugerons',
    'déjugeront',
    'déjuges',
    'déjugez',
    'déjugeâmes',
    'déjugeât',
    'déjugeâtes',
    'déjugiez',
    'déjugions',
    'déjugèrent',
    'déjugé',
    'déjugée',
    'déjugées',
    'déjugés',
    'déjà',
    'délabialisa',
    'délabialisai',
    'délabialisas',
    'délabialise',
    'délabialiser',
    'délabialises',
    'délabialisez',
    'délabialisât',
    'délabialisé',
    'délabialisée',
    'délabialisés',
    'délabra',
    'délabrai',
    'délabraient',
    'délabrais',
    'délabrait',
    'délabrant',
    'délabras',
    'délabrasse',
    'délabrassent',
    'délabrasses',
    'délabrassiez',
    'délabre',
    'délabrement',
    'délabrements',
    'délabrent',
    'délabrer',
    'délabrera',
    'délabrerai',
    'délabrerais',
    'délabrerait',
    'délabreras',
    'délabrerez',
    'délabreriez',
    'délabrerions',
    'délabrerons',
    'délabreront',
    'délabres',
    'délabrez',
    'délabriez',
    'délabrions',
    'délabrons',
    'délabrâmes',
    'délabrât',
    'délabrâtes',
    'délabrèrent',
    'délabré',
    'délabrée',
    'délabrées',
    'délabrés',
    'délace',
    'délacent',
    'délacer',
    'délacera',
    'délacerai',
    'délaceraient',
    'délacerais',
    'délacerait',
    'délaceras',
    'délacerez',
    'délaceriez',
    'délacerions',
    'délacerons',
    'délaceront',
    'délaces',
    'délacez',
    'délaciez',
    'délacions',
    'délacèrent',
    'délacé',
    'délacée',
    'délacées',
    'délacés',
    'délai',
    'délaie',
    'délaient',
    'délaiera',
    'délaierai',
    'délaieraient',
    'délaierais',
    'délaierait',
    'délaieras',
    'délaierez',
    'délaieriez',
    'délaierions',
    'délaierons',
    'délaieront',
    'délaies',
    'délaina',
    'délainage',
    'délainages',
    'délainai',
    'délainaient',
    'délainais',
    'délainait',
    'délainant',
    'délainas',
    'délainasse',
    'délainassent',
    'délainasses',
    'délainassiez',
    'délaine',
    'délainent',
    'délainer',
    'délainera',
    'délainerai',
    'délainerais',
    'délainerait',
    'délaineras',
    'délainerez',
    'délaineriez',
    'délainerions',
    'délainerons',
    'délaineront',
    'délaines',
    'délainez',
    'délainiez',
    'délainions',
    'délainons',
    'délainâmes',
    'délainât',
    'délainâtes',
    'délainèrent',
    'délainé',
    'délainée',
    'délainées',
    'délainés',
    'délais',
    'délaissa',
    'délaissai',
    'délaissaient',
    'délaissais',
    'délaissait',
    'délaissant',
    'délaissas',
    'délaissasse',
    'délaissasses',
    'délaisse',
    'délaissement',
    'délaissent',
    'délaisser',
    'délaissera',
    'délaisserai',
    'délaisserais',
    'délaisserait',
    'délaisseras',
    'délaisserez',
    'délaisseriez',
    'délaisserons',
    'délaisseront',
    'délaisses',
    'délaissez',
    'délaissiez',
    'délaissions',
    'délaissons',
    'délaissâmes',
    'délaissât',
    'délaissâtes',
    'délaissèrent',
    'délaissé',
    'délaissée',
    'délaissées',
    'délaissés',
    'délaita',
    'délaitai',
    'délaitaient',
    'délaitais',
    'délaitait',
    'délaitant',
    'délaitas',
    'délaitasse',
    'délaitassent',
    'délaitasses',
    'délaitassiez',
    'délaite',
    'délaitent',
    'délaiter',
    'délaitera',
    'délaiterai',
    'délaiterais',
    'délaiterait',
    'délaiteras',
    'délaiterez',
    'délaiteriez',
    'délaiterions',
    'délaiterons',
    'délaiteront',
    'délaites',
    'délaiteuse',
    'délaiteuses',
    'délaitez',
    'délaitiez',
    'délaitions',
    'délaitons',
    'délaitâmes',
    'délaitât',
    'délaitâtes',
    'délaitèrent',
    'délaité',
    'délaitée',
    'délaitées',
    'délaités',
    'délarda',
    'délardai',
    'délardaient',
    'délardais',
    'délardait',
    'délardant',
    'délardas',
    'délardasse',
    'délardassent',
    'délardasses',
    'délardassiez',
    'délarde',
    'délardent',
    'délarder',
    'délardera',
    'délarderai',
    'délarderais',
    'délarderait',
    'délarderas',
    'délarderez',
    'délarderiez',
    'délarderions',
    'délarderons',
    'délarderont',
    'délardes',
    'délardez',
    'délardiez',
    'délardions',
    'délardons',
    'délardâmes',
    'délardât',
    'délardâtes',
    'délardèrent',
    'délardé',
    'délardée',
    'délardées',
    'délardés',
    'délassa',
    'délassai',
    'délassaient',
    'délassais',
    'délassait',
    'délassant',
    'délassante',
    'délassantes',
    'délassants',
    'délassas',
    'délassasse',
    'délassassent',
    'délassasses',
    'délassassiez',
    'délasse',
    'délassement',
    'délassements',
    'délassent',
    'délasser',
    'délassera',
    'délasserai',
    'délasserais',
    'délasserait',
    'délasseras',
    'délasserez',
    'délasseriez',
    'délasserions',
    'délasserons',
    'délasseront',
    'délasses',
    'délassez',
    'délassiez',
    'délassions',
    'délassons',
    'délassâmes',
    'délassât',
    'délassâtes',
    'délassèrent',
    'délassé',
    'délassée',
    'délassées',
    'délassés',
    'délateur',
    'délateurs',
    'délation',
    'délations',
    'délatrice',
    'délatrices',
    'délatta',
    'délattai',
    'délattaient',
    'délattais',
    'délattait',
    'délattant',
    'délattas',
    'délattasse',
    'délattassent',
    'délattasses',
    'délattassiez',
    'délatte',
    'délattent',
    'délatter',
    'délattera',
    'délatterai',
    'délatterais',
    'délatterait',
    'délatteras',
    'délatterez',
    'délatteriez',
    'délatterions',
    'délatterons',
    'délatteront',
    'délattes',
    'délattez',
    'délattiez',
    'délattions',
    'délattons',
    'délattâmes',
    'délattât',
    'délattâtes',
    'délattèrent',
    'délatté',
    'délattée',
    'délattées',
    'délattés',
    'délava',
    'délavage',
    'délavages',
    'délavai',
    'délavaient',
    'délavais',
    'délavait',
    'délavant',
    'délavas',
    'délavasse',
    'délavassent',
    'délavasses',
    'délavassiez',
    'délavassions',
    'délave',
    'délavent',
    'délaver',
    'délavera',
    'délaverai',
    'délaveraient',
    'délaverais',
    'délaverait',
    'délaveras',
    'délaverez',
    'délaveriez',
    'délaverions',
    'délaverons',
    'délaveront',
    'délaves',
    'délavez',
    'délaviez',
    'délavions',
    'délavons',
    'délavâmes',
    'délavât',
    'délavâtes',
    'délavèrent',
    'délavé',
    'délavée',
    'délavées',
    'délavés',
    'délaya',
    'délayage',
    'délayages',
    'délayai',
    'délayaient',
    'délayais',
    'délayait',
    'délayant',
    'délayas',
    'délayasse',
    'délayassent',
    'délayasses',
    'délayassiez',
    'délayassions',
    'délaye',
    'délayent',
    'délayer',
    'délayera',
    'délayerai',
    'délayeraient',
    'délayerais',
    'délayerait',
    'délayeras',
    'délayerez',
    'délayeriez',
    'délayerions',
    'délayerons',
    'délayeront',
    'délayes',
    'délayez',
    'délayiez',
    'délayions',
    'délayons',
    'délayâmes',
    'délayât',
    'délayâtes',
    'délayèrent',
    'délayé',
    'délayée',
    'délayées',
    'délayés',
    'délaça',
    'délaçai',
    'délaçaient',
    'délaçais',
    'délaçait',
    'délaçant',
    'délaças',
    'délaçasse',
    'délaçassent',
    'délaçasses',
    'délaçassiez',
    'délaçassions',
    'délaçons',
    'délaçâmes',
    'délaçât',
    'délaçâtes',
    'délecta',
    'délectable',
    'délectables',
    'délectai',
    'délectaient',
    'délectais',
    'délectait',
    'délectant',
    'délectas',
    'délectasse',
    'délectassent',
    'délectasses',
    'délectassiez',
    'délectation',
    'délectations',
    'délecte',
    'délectent',
    'délecter',
    'délectera',
    'délecterai',
    'délecterais',
    'délecterait',
    'délecteras',
    'délecterez',
    'délecteriez',
    'délecterions',
    'délecterons',
    'délecteront',
    'délectes',
    'délectez',
    'délectiez',
    'délections',
    'délectons',
    'délectâmes',
    'délectât',
    'délectâtes',
    'délectèrent',
    'délecté',
    'délectée',
    'délectées',
    'délectés',
    'délesta',
    'délestage',
    'délestages',
    'délestai',
    'délestaient',
    'délestais',
    'délestait',
    'délestant',
    'délestas',
    'délestasse',
    'délestassent',
    'délestasses',
    'délestassiez',
    'déleste',
    'délestent',
    'délester',
    'délestera',
    'délesterai',
    'délesterais',
    'délesterait',
    'délesteras',
    'délesterez',
    'délesteriez',
    'délesterions',
    'délesterons',
    'délesteront',
    'délestes',
    'délestez',
    'délestiez',
    'délestions',
    'délestons',
    'délestâmes',
    'délestât',
    'délestâtes',
    'délestèrent',
    'délesté',
    'délestée',
    'délestées',
    'délestés',
    'délia',
    'déliai',
    'déliaient',
    'déliais',
    'déliait',
    'déliant',
    'délias',
    'déliasse',
    'déliassent',
    'déliasses',
    'déliassiez',
    'déliassions',
    'délibère',
    'délibèrent',
    'délibères',
    'délibéra',
    'délibérai',
    'délibéraient',
    'délibérais',
    'délibérait',
    'délibérant',
    'délibérante',
    'délibérantes',
    'délibérants',
    'délibéras',
    'délibérasse',
    'délibérasses',
    'délibératif',
    'délibératifs',
    'délibération',
    'délibérative',
    'délibérer',
    'délibérera',
    'délibérerai',
    'délibérerais',
    'délibérerait',
    'délibéreras',
    'délibérerez',
    'délibéreriez',
    'délibérerons',
    'délibéreront',
    'délibérez',
    'délibériez',
    'délibérions',
    'délibérons',
    'délibérâmes',
    'délibérât',
    'délibérâtes',
    'délibérèrent',
    'délibéré',
    'délibérée',
    'délibérées',
    'délibérément',
    'délibérés',
    'délicat',
    'délicate',
    'délicatement',
    'délicates',
    'délicatesse',
    'délicatesses',
    'délicats',
    'délice',
    'délices',
    'délicieuse',
    'délicieuses',
    'délicieux',
    'délictueuse',
    'délictueuses',
    'délictueux',
    'délie',
    'déliement',
    'déliements',
    'délient',
    'délier',
    'déliera',
    'délierai',
    'délieraient',
    'délierais',
    'délierait',
    'délieras',
    'délierez',
    'délieriez',
    'délierions',
    'délierons',
    'délieront',
    'délies',
    'déliez',
    'délignifia',
    'délignifiai',
    'délignifiais',
    'délignifiait',
    'délignifiant',
    'délignifias',
    'délignifie',
    'délignifient',
    'délignifier',
    'délignifiera',
    'délignifies',
    'délignifiez',
    'délignifiiez',
    'délignifions',
    'délignifiât',
    'délignifié',
    'délignifiée',
    'délignifiées',
    'délignifiés',
    'déliiez',
    'déliions',
    'délimita',
    'délimitai',
    'délimitaient',
    'délimitais',
    'délimitait',
    'délimitant',
    'délimitas',
    'délimitasse',
    'délimitasses',
    'délimitation',
    'délimite',
    'délimitent',
    'délimiter',
    'délimitera',
    'délimiterai',
    'délimiterais',
    'délimiterait',
    'délimiteras',
    'délimiterez',
    'délimiteriez',
    'délimiterons',
    'délimiteront',
    'délimites',
    'délimiteur',
    'délimiteurs',
    'délimitez',
    'délimitiez',
    'délimitions',
    'délimitons',
    'délimitâmes',
    'délimitât',
    'délimitâtes',
    'délimitèrent',
    'délimité',
    'délimitée',
    'délimitées',
    'délimités',
    'délinquance',
    'délinquances',
    'délinquant',
    'délinquante',
    'délinquantes',
    'délinquants',
    'délinéa',
    'délinéai',
    'délinéaient',
    'délinéais',
    'délinéait',
    'délinéament',
    'délinéaments',
    'délinéant',
    'délinéas',
    'délinéasse',
    'délinéassent',
    'délinéasses',
    'délinéassiez',
    'délinée',
    'délinéent',
    'délinéer',
    'délinéera',
    'délinéerai',
    'délinéerais',
    'délinéerait',
    'délinéeras',
    'délinéerez',
    'délinéeriez',
    'délinéerions',
    'délinéerons',
    'délinéeront',
    'délinées',
    'délinéez',
    'délinéiez',
    'délinéions',
    'délinéons',
    'délinéâmes',
    'délinéât',
    'délinéâtes',
    'délinéèrent',
    'délinéé',
    'délinéée',
    'délinéées',
    'délinéés',
    'délions',
    'déliquescent',
    'délira',
    'délirai',
    'déliraient',
    'délirais',
    'délirait',
    'délirant',
    'délirante',
    'délirantes',
    'délirants',
    'déliras',
    'délirasse',
    'délirassent',
    'délirasses',
    'délirassiez',
    'délirassions',
    'délire',
    'délirent',
    'délirer',
    'délirera',
    'délirerai',
    'délireraient',
    'délirerais',
    'délirerait',
    'délireras',
    'délirerez',
    'délireriez',
    'délirerions',
    'délirerons',
    'délireront',
    'délires',
    'délirez',
    'déliriez',
    'délirions',
    'délirons',
    'délirâmes',
    'délirât',
    'délirâtes',
    'délirèrent',
    'déliré',
    'délissa',
    'délissage',
    'délissages',
    'délissai',
    'délissaient',
    'délissais',
    'délissait',
    'délissant',
    'délissas',
    'délissasse',
    'délissassent',
    'délissasses',
    'délissassiez',
    'délisse',
    'délissent',
    'délisser',
    'délissera',
    'délisserai',
    'délisserais',
    'délisserait',
    'délisseras',
    'délisserez',
    'délisseriez',
    'délisserions',
    'délisserons',
    'délisseront',
    'délisses',
    'délissez',
    'délissiez',
    'délissions',
    'délissons',
    'délissâmes',
    'délissât',
    'délissâtes',
    'délissèrent',
    'délissé',
    'délissée',
    'délissées',
    'délissés',
    'délit',
    'délita',
    'délitage',
    'délitages',
    'délitai',
    'délitaient',
    'délitais',
    'délitait',
    'délitant',
    'délitas',
    'délitasse',
    'délitassent',
    'délitasses',
    'délitassiez',
    'délitassions',
    'délite',
    'délitent',
    'déliter',
    'délitera',
    'déliterai',
    'déliteraient',
    'déliterais',
    'déliterait',
    'déliteras',
    'déliterez',
    'déliteriez',
    'déliterions',
    'déliterons',
    'déliteront',
    'délites',
    'délitescence',
    'délitescent',
    'délitescente',
    'délitescents',
    'délitez',
    'délitiez',
    'délitions',
    'délitons',
    'délits',
    'délitâmes',
    'délitât',
    'délitâtes',
    'délitèrent',
    'délité',
    'délitée',
    'délitées',
    'délités',
    'délivra',
    'délivrai',
    'délivraient',
    'délivrais',
    'délivrait',
    'délivrance',
    'délivrances',
    'délivrant',
    'délivras',
    'délivrasse',
    'délivrassent',
    'délivrasses',
    'délivrassiez',
    'délivre',
    'délivrent',
    'délivrer',
    'délivrera',
    'délivrerai',
    'délivrerais',
    'délivrerait',
    'délivreras',
    'délivrerez',
    'délivreriez',
    'délivrerions',
    'délivrerons',
    'délivreront',
    'délivres',
    'délivreur',
    'délivreurs',
    'délivrez',
    'délivriez',
    'délivrions',
    'délivrons',
    'délivrâmes',
    'délivrât',
    'délivrâtes',
    'délivrèrent',
    'délivré',
    'délivrée',
    'délivrées',
    'délivrés',
    'déliâmes',
    'déliât',
    'déliâtes',
    'délièrent',
    'délié',
    'déliée',
    'déliées',
    'déliés',
    'déloge',
    'délogea',
    'délogeai',
    'délogeaient',
    'délogeais',
    'délogeait',
    'délogeant',
    'délogeas',
    'délogeasse',
    'délogeassent',
    'délogeasses',
    'délogeassiez',
    'délogement',
    'délogements',
    'délogent',
    'délogeons',
    'déloger',
    'délogera',
    'délogerai',
    'délogeraient',
    'délogerais',
    'délogerait',
    'délogeras',
    'délogerez',
    'délogeriez',
    'délogerions',
    'délogerons',
    'délogeront',
    'déloges',
    'délogez',
    'délogeâmes',
    'délogeât',
    'délogeâtes',
    'délogiez',
    'délogions',
    'délogèrent',
    'délogé',
    'délogée',
    'délogées',
    'délogés',
    'déloqua',
    'déloquai',
    'déloquaient',
    'déloquais',
    'déloquait',
    'déloquant',
    'déloquas',
    'déloquasse',
    'déloquassent',
    'déloquasses',
    'déloquassiez',
    'déloque',
    'déloquent',
    'déloquer',
    'déloquera',
    'déloquerai',
    'déloquerais',
    'déloquerait',
    'déloqueras',
    'déloquerez',
    'déloqueriez',
    'déloquerions',
    'déloquerons',
    'déloqueront',
    'déloques',
    'déloquez',
    'déloquiez',
    'déloquions',
    'déloquons',
    'déloquâmes',
    'déloquât',
    'déloquâtes',
    'déloquèrent',
    'déloqué',
    'déloquée',
    'déloquées',
    'déloqués',
    'délot',
    'délots',
    'délova',
    'délovai',
    'délovaient',
    'délovais',
    'délovait',
    'délovant',
    'délovas',
    'délovasse',
    'délovassent',
    'délovasses',
    'délovassiez',
    'délovassions',
    'délove',
    'délovent',
    'délover',
    'délovera',
    'déloverai',
    'déloveraient',
    'déloverais',
    'déloverait',
    'déloveras',
    'déloverez',
    'déloveriez',
    'déloverions',
    'déloverons',
    'déloveront',
    'déloves',
    'délovez',
    'déloviez',
    'délovions',
    'délovons',
    'délovâmes',
    'délovât',
    'délovâtes',
    'délovèrent',
    'délové',
    'délovée',
    'délovées',
    'délovés',
    'déloyal',
    'déloyale',
    'déloyalement',
    'déloyales',
    'déloyauté',
    'déloyautés',
    'déloyaux',
    'déluge',
    'déluges',
    'délura',
    'délurai',
    'déluraient',
    'délurais',
    'délurait',
    'délurant',
    'déluras',
    'délurasse',
    'délurassent',
    'délurasses',
    'délurassiez',
    'délurassions',
    'délure',
    'délurent',
    'délurer',
    'délurera',
    'délurerai',
    'délureraient',
    'délurerais',
    'délurerait',
    'délureras',
    'délurerez',
    'délureriez',
    'délurerions',
    'délurerons',
    'délureront',
    'délures',
    'délurez',
    'déluriez',
    'délurions',
    'délurons',
    'délurâmes',
    'délurât',
    'délurâtes',
    'délurèrent',
    'déluré',
    'délurée',
    'délurées',
    'délurés',
    'délustra',
    'délustrage',
    'délustrages',
    'délustrai',
    'délustraient',
    'délustrais',
    'délustrait',
    'délustrant',
    'délustras',
    'délustrasse',
    'délustrasses',
    'délustre',
    'délustrent',
    'délustrer',
    'délustrera',
    'délustrerai',
    'délustrerais',
    'délustrerait',
    'délustreras',
    'délustrerez',
    'délustreriez',
    'délustrerons',
    'délustreront',
    'délustres',
    'délustrez',
    'délustriez',
    'délustrions',
    'délustrons',
    'délustrâmes',
    'délustrât',
    'délustrâtes',
    'délustrèrent',
    'délustré',
    'délustrée',
    'délustrées',
    'délustrés',
    'déluta',
    'délutage',
    'délutages',
    'délutai',
    'délutaient',
    'délutais',
    'délutait',
    'délutant',
    'délutas',
    'délutasse',
    'délutassent',
    'délutasses',
    'délutassiez',
    'délutassions',
    'délute',
    'délutent',
    'déluter',
    'délutera',
    'déluterai',
    'déluteraient',
    'déluterais',
    'déluterait',
    'déluteras',
    'déluterez',
    'déluteriez',
    'déluterions',
    'déluterons',
    'déluteront',
    'délutes',
    'délutez',
    'délutiez',
    'délutions',
    'délutons',
    'délutâmes',
    'délutât',
    'délutâtes',
    'délutèrent',
    'déluté',
    'délutée',
    'délutées',
    'délutés',
    'délègue',
    'délèguent',
    'délègues',
    'déléaturer',
    'délébile',
    'délébiles',
    'délégant',
    'délégants',
    'délégataire',
    'délégataires',
    'délégation',
    'délégations',
    'délégua',
    'déléguai',
    'déléguaient',
    'déléguais',
    'déléguait',
    'déléguant',
    'déléguas',
    'déléguasse',
    'déléguassent',
    'déléguasses',
    'déléguassiez',
    'déléguer',
    'déléguera',
    'déléguerai',
    'déléguerais',
    'déléguerait',
    'délégueras',
    'déléguerez',
    'délégueriez',
    'déléguerions',
    'déléguerons',
    'délégueront',
    'déléguez',
    'déléguiez',
    'déléguions',
    'déléguons',
    'déléguâmes',
    'déléguât',
    'déléguâtes',
    'déléguèrent',
    'délégué',
    'déléguée',
    'déléguées',
    'délégués',
    'délétion',
    'délétions',
    'délétère',
    'délétères',
    'démagnétisa',
    'démagnétisai',
    'démagnétisas',
    'démagnétise',
    'démagnétiser',
    'démagnétises',
    'démagnétisez',
    'démagnétisât',
    'démagnétisé',
    'démagnétisée',
    'démagnétisés',
    'démagogie',
    'démagogies',
    'démagogique',
    'démagogiques',
    'démagogue',
    'démagogues',
    'démaigri',
    'démaigrie',
    'démaigries',
    'démaigrir',
    'démaigrira',
    'démaigrirai',
    'démaigrirais',
    'démaigrirait',
    'démaigriras',
    'démaigrirent',
    'démaigrirez',
    'démaigririez',
    'démaigrirons',
    'démaigriront',
    'démaigris',
    'démaigrisse',
    'démaigrisses',
    'démaigrissez',
    'démaigrit',
    'démaigrîmes',
    'démaigrît',
    'démaigrîtes',
    'démailla',
    'démaillage',
    'démaillages',
    'démaillai',
    'démaillaient',
    'démaillais',
    'démaillait',
    'démaillant',
    'démaillas',
    'démaillasse',
    'démaillasses',
    'démaille',
    'démaillent',
    'démailler',
    'démaillera',
    'démaillerai',
    'démaillerais',
    'démaillerait',
    'démailleras',
    'démaillerez',
    'démailleriez',
    'démaillerons',
    'démailleront',
    'démailles',
    'démaillez',
    'démailliez',
    'démaillions',
    'démaillons',
    'démaillota',
    'démaillotai',
    'démaillotais',
    'démaillotait',
    'démaillotant',
    'démaillotas',
    'démaillote',
    'démaillotent',
    'démailloter',
    'démaillotera',
    'démaillotes',
    'démaillotez',
    'démaillotiez',
    'démaillotons',
    'démaillotât',
    'démailloté',
    'démaillotée',
    'démaillotées',
    'démaillotés',
    'démaillâmes',
    'démaillât',
    'démaillâtes',
    'démaillèrent',
    'démaillé',
    'démaillée',
    'démaillées',
    'démaillés',
    'démancha',
    'démanchai',
    'démanchaient',
    'démanchais',
    'démanchait',
    'démanchant',
    'démanchas',
    'démanchasse',
    'démanchasses',
    'démanche',
    'démanchent',
    'démancher',
    'démanchera',
    'démancherai',
    'démancherais',
    'démancherait',
    'démancheras',
    'démancherez',
    'démancheriez',
    'démancherons',
    'démancheront',
    'démanches',
    'démanchez',
    'démanchiez',
    'démanchions',
    'démanchons',
    'démanchâmes',
    'démanchât',
    'démanchâtes',
    'démanchèrent',
    'démanché',
    'démanchée',
    'démanchées',
    'démanchés',
    'démange',
    'démangea',
    'démangeai',
    'démangeaient',
    'démangeais',
    'démangeaison',
    'démangeait',
    'démangeant',
    'démangeas',
    'démangeasse',
    'démangeasses',
    'démangent',
    'démangeons',
    'démanger',
    'démangera',
    'démangerai',
    'démangerais',
    'démangerait',
    'démangeras',
    'démangerez',
    'démangeriez',
    'démangerions',
    'démangerons',
    'démangeront',
    'démanges',
    'démangez',
    'démangeâmes',
    'démangeât',
    'démangeâtes',
    'démangiez',
    'démangions',
    'démangèrent',
    'démangé',
    'démangée',
    'démangées',
    'démangés',
    'démantela',
    'démantelai',
    'démantelais',
    'démantelait',
    'démantelant',
    'démantelas',
    'démantelasse',
    'démanteler',
    'démantelez',
    'démanteliez',
    'démantelions',
    'démantelons',
    'démantelâmes',
    'démantelât',
    'démantelâtes',
    'démantelé',
    'démantelée',
    'démantelées',
    'démantelés',
    'démantibula',
    'démantibulai',
    'démantibulas',
    'démantibule',
    'démantibuler',
    'démantibules',
    'démantibulez',
    'démantibulât',
    'démantibulé',
    'démantibulée',
    'démantibulés',
    'démantèle',
    'démantèlent',
    'démantèlera',
    'démantèlerai',
    'démantèleras',
    'démantèlerez',
    'démantèles',
    'démaquilla',
    'démaquillage',
    'démaquillai',
    'démaquillais',
    'démaquillait',
    'démaquillant',
    'démaquillas',
    'démaquille',
    'démaquillent',
    'démaquiller',
    'démaquillera',
    'démaquilles',
    'démaquillez',
    'démaquilliez',
    'démaquillons',
    'démaquillât',
    'démaquillé',
    'démaquillée',
    'démaquillées',
    'démaquillés',
    'démarcation',
    'démarcations',
    'démarcha',
    'démarchage',
    'démarchages',
    'démarchai',
    'démarchaient',
    'démarchais',
    'démarchait',
    'démarchant',
    'démarchas',
    'démarchasse',
    'démarchasses',
    'démarche',
    'démarchent',
    'démarcher',
    'démarchera',
    'démarcherai',
    'démarcherais',
    'démarcherait',
    'démarcheras',
    'démarcherez',
    'démarcheriez',
    'démarcherons',
    'démarcheront',
    'démarches',
    'démarcheur',
    'démarcheurs',
    'démarcheuse',
    'démarcheuses',
    'démarchez',
    'démarchiez',
    'démarchions',
    'démarchons',
    'démarchâmes',
    'démarchât',
    'démarchâtes',
    'démarchèrent',
    'démarché',
    'démarchée',
    'démarchées',
    'démarchés',
    'démaria',
    'démariai',
    'démariaient',
    'démariais',
    'démariait',
    'démariant',
    'démarias',
    'démariasse',
    'démariassent',
    'démariasses',
    'démariassiez',
    'démarie',
    'démarient',
    'démarier',
    'démariera',
    'démarierai',
    'démarierais',
    'démarierait',
    'démarieras',
    'démarierez',
    'démarieriez',
    'démarierions',
    'démarierons',
    'démarieront',
    'démaries',
    'démariez',
    'démariiez',
    'démariions',
    'démarions',
    'démariâmes',
    'démariât',
    'démariâtes',
    'démarièrent',
    'démarié',
    'démariée',
    'démariées',
    'démariés',
    'démarqua',
    'démarquage',
    'démarquages',
    'démarquai',
    'démarquaient',
    'démarquais',
    'démarquait',
    'démarquant',
    'démarquas',
    'démarquasse',
    'démarquasses',
    'démarque',
    'démarquent',
    'démarquer',
    'démarquera',
    'démarquerai',
    'démarquerais',
    'démarquerait',
    'démarqueras',
    'démarquerez',
    'démarqueriez',
    'démarquerons',
    'démarqueront',
    'démarques',
    'démarqueur',
    'démarqueurs',
    'démarquez',
    'démarquiez',
    'démarquions',
    'démarquons',
    'démarquâmes',
    'démarquât',
    'démarquâtes',
    'démarquèrent',
    'démarqué',
    'démarquée',
    'démarquées',
    'démarqués',
    'démarra',
    'démarrage',
    'démarrages',
    'démarrai',
    'démarraient',
    'démarrais',
    'démarrait',
    'démarrant',
    'démarras',
    'démarrasse',
    'démarrassent',
    'démarrasses',
    'démarrassiez',
    'démarre',
    'démarrent',
    'démarrer',
    'démarrera',
    'démarrerai',
    'démarrerais',
    'démarrerait',
    'démarreras',
    'démarrerez',
    'démarreriez',
    'démarrerions',
    'démarrerons',
    'démarreront',
    'démarres',
    'démarreur',
    'démarreurs',
    'démarrez',
    'démarriez',
    'démarrions',
    'démarrons',
    'démarrâmes',
    'démarrât',
    'démarrâtes',
    'démarrèrent',
    'démarré',
    'démarrée',
    'démarrées',
    'démarrés',
    'démascla',
    'démasclai',
    'démasclaient',
    'démasclais',
    'démasclait',
    'démasclant',
    'démasclas',
    'démasclasse',
    'démasclasses',
    'démascle',
    'démasclent',
    'démascler',
    'démasclera',
    'démasclerai',
    'démasclerais',
    'démasclerait',
    'démascleras',
    'démasclerez',
    'démascleriez',
    'démasclerons',
    'démascleront',
    'démascles',
    'démasclez',
    'démascliez',
    'démasclions',
    'démasclons',
    'démasclâmes',
    'démasclât',
    'démasclâtes',
    'démasclèrent',
    'démasclé',
    'démasclée',
    'démasclées',
    'démasclés',
    'démasqua',
    'démasquai',
    'démasquaient',
    'démasquais',
    'démasquait',
    'démasquant',
    'démasquas',
    'démasquasse',
    'démasquasses',
    'démasque',
    'démasquent',
    'démasquer',
    'démasquera',
    'démasquerai',
    'démasquerais',
    'démasquerait',
    'démasqueras',
    'démasquerez',
    'démasqueriez',
    'démasquerons',
    'démasqueront',
    'démasques',
    'démasquez',
    'démasquiez',
    'démasquions',
    'démasquons',
    'démasquâmes',
    'démasquât',
    'démasquâtes',
    'démasquèrent',
    'démasqué',
    'démasquée',
    'démasquées',
    'démasqués',
    'démastiqua',
    'démastiquai',
    'démastiquais',
    'démastiquait',
    'démastiquant',
    'démastiquas',
    'démastique',
    'démastiquent',
    'démastiquer',
    'démastiquera',
    'démastiques',
    'démastiquez',
    'démastiquiez',
    'démastiquons',
    'démastiquât',
    'démastiqué',
    'démastiquée',
    'démastiquées',
    'démastiqués',
    'démazouta',
    'démazoutai',
    'démazoutais',
    'démazoutait',
    'démazoutant',
    'démazoutas',
    'démazoutasse',
    'démazoute',
    'démazoutent',
    'démazouter',
    'démazoutera',
    'démazouterai',
    'démazouteras',
    'démazouterez',
    'démazoutes',
    'démazoutez',
    'démazoutiez',
    'démazoutions',
    'démazoutons',
    'démazoutâmes',
    'démazoutât',
    'démazoutâtes',
    'démazouté',
    'démaçonna',
    'démaçonnai',
    'démaçonnais',
    'démaçonnait',
    'démaçonnant',
    'démaçonnas',
    'démaçonnasse',
    'démaçonne',
    'démaçonnent',
    'démaçonner',
    'démaçonnera',
    'démaçonnerai',
    'démaçonneras',
    'démaçonnerez',
    'démaçonnes',
    'démaçonnez',
    'démaçonniez',
    'démaçonnions',
    'démaçonnons',
    'démaçonnâmes',
    'démaçonnât',
    'démaçonnâtes',
    'démaçonné',
    'démaçonnée',
    'démaçonnées',
    'démaçonnés',
    'démembra',
    'démembrai',
    'démembraient',
    'démembrais',
    'démembrait',
    'démembrant',
    'démembras',
    'démembrasse',
    'démembrasses',
    'démembre',
    'démembrement',
    'démembrent',
    'démembrer',
    'démembrera',
    'démembrerai',
    'démembrerais',
    'démembrerait',
    'démembreras',
    'démembrerez',
    'démembreriez',
    'démembrerons',
    'démembreront',
    'démembres',
    'démembrez',
    'démembriez',
    'démembrions',
    'démembrons',
    'démembrâmes',
    'démembrât',
    'démembrâtes',
    'démembrèrent',
    'démembré',
    'démembrée',
    'démembrées',
    'démembrés',
    'démena',
    'démenai',
    'démenaient',
    'démenais',
    'démenait',
    'démenant',
    'démenas',
    'démenasse',
    'démenassent',
    'démenasses',
    'démenassiez',
    'démenassions',
    'démence',
    'démences',
    'démener',
    'démenez',
    'démeniez',
    'démenions',
    'démenons',
    'démens',
    'dément',
    'démentaient',
    'démentais',
    'démentait',
    'démentant',
    'démente',
    'démentent',
    'démentes',
    'démentez',
    'démenti',
    'démentie',
    'démentiel',
    'démentielle',
    'démentielles',
    'démentiels',
    'démenties',
    'démentiez',
    'démentions',
    'démentir',
    'démentira',
    'démentirai',
    'démentirais',
    'démentirait',
    'démentiras',
    'démentirent',
    'démentirez',
    'démentiriez',
    'démentirions',
    'démentirons',
    'démentiront',
    'démentis',
    'démentisse',
    'démentissent',
    'démentisses',
    'démentissiez',
    'démentit',
    'démentons',
    'déments',
    'démentîmes',
    'démentît',
    'démentîtes',
    'démenâmes',
    'démenât',
    'démenâtes',
    'démenèrent',
    'démené',
    'démenée',
    'démenées',
    'démenés',
    'démerda',
    'démerdai',
    'démerdaient',
    'démerdais',
    'démerdait',
    'démerdant',
    'démerdas',
    'démerdasse',
    'démerdassent',
    'démerdasses',
    'démerdassiez',
    'démerde',
    'démerdent',
    'démerder',
    'démerdera',
    'démerderai',
    'démerderais',
    'démerderait',
    'démerderas',
    'démerderez',
    'démerderiez',
    'démerderions',
    'démerderons',
    'démerderont',
    'démerdes',
    'démerdez',
    'démerdiez',
    'démerdions',
    'démerdons',
    'démerdâmes',
    'démerdât',
    'démerdâtes',
    'démerdèrent',
    'démerdé',
    'démerdée',
    'démerdées',
    'démerdés',
    'démesure',
    'démesures',
    'démesuré',
    'démesurée',
    'démesurées',
    'démesurément',
    'démesurés',
    'démet',
    'démets',
    'démettaient',
    'démettais',
    'démettait',
    'démettant',
    'démette',
    'démettent',
    'démettes',
    'démettez',
    'démettiez',
    'démettions',
    'démettons',
    'démettra',
    'démettrai',
    'démettraient',
    'démettrais',
    'démettrait',
    'démettras',
    'démettre',
    'démettrez',
    'démettriez',
    'démettrions',
    'démettrons',
    'démettront',
    'démeubla',
    'démeublai',
    'démeublaient',
    'démeublais',
    'démeublait',
    'démeublant',
    'démeublas',
    'démeublasse',
    'démeublasses',
    'démeuble',
    'démeublent',
    'démeubler',
    'démeublera',
    'démeublerai',
    'démeublerais',
    'démeublerait',
    'démeubleras',
    'démeublerez',
    'démeubleriez',
    'démeublerons',
    'démeubleront',
    'démeubles',
    'démeublez',
    'démeubliez',
    'démeublions',
    'démeublons',
    'démeublâmes',
    'démeublât',
    'démeublâtes',
    'démeublèrent',
    'démeublé',
    'démeublée',
    'démeublées',
    'démeublés',
    'démiella',
    'démiellai',
    'démiellaient',
    'démiellais',
    'démiellait',
    'démiellant',
    'démiellas',
    'démiellasse',
    'démiellasses',
    'démielle',
    'démiellent',
    'démieller',
    'démiellera',
    'démiellerai',
    'démiellerais',
    'démiellerait',
    'démielleras',
    'démiellerez',
    'démielleriez',
    'démiellerons',
    'démielleront',
    'démielles',
    'démiellez',
    'démielliez',
    'démiellions',
    'démiellons',
    'démiellâmes',
    'démiellât',
    'démiellâtes',
    'démiellèrent',
    'démiellé',
    'démiellée',
    'démiellées',
    'démiellés',
    'démilitarisa',
    'démilitarise',
    'démilitarisé',
    'démina',
    'déminage',
    'déminages',
    'déminai',
    'déminaient',
    'déminais',
    'déminait',
    'déminant',
    'déminas',
    'déminasse',
    'déminassent',
    'déminasses',
    'déminassiez',
    'déminassions',
    'démine',
    'déminent',
    'déminer',
    'déminera',
    'déminerai',
    'démineraient',
    'déminerais',
    'déminerait',
    'démineras',
    'déminerez',
    'démineriez',
    'déminerions',
    'déminerons',
    'démineront',
    'démines',
    'démineur',
    'démineurs',
    'déminez',
    'déminiez',
    'déminions',
    'déminons',
    'déminâmes',
    'déminât',
    'déminâtes',
    'déminèrent',
    'déminé',
    'déminée',
    'déminées',
    'déminéralisa',
    'déminéralise',
    'déminéralisé',
    'déminés',
    'démirent',
    'démis',
    'démise',
    'démises',
    'démisse',
    'démissent',
    'démisses',
    'démissiez',
    'démission',
    'démissionna',
    'démissionnai',
    'démissionnas',
    'démissionne',
    'démissionner',
    'démissionnes',
    'démissionnez',
    'démissionnât',
    'démissionné',
    'démissionnée',
    'démissionnés',
    'démissions',
    'démit',
    'démiurge',
    'démiurges',
    'démobilisa',
    'démobilisai',
    'démobilisais',
    'démobilisait',
    'démobilisant',
    'démobilisas',
    'démobilise',
    'démobilisent',
    'démobiliser',
    'démobilisera',
    'démobilises',
    'démobilisez',
    'démobilisiez',
    'démobilisons',
    'démobilisât',
    'démobilisé',
    'démobilisée',
    'démobilisées',
    'démobilisés',
    'démocrate',
    'démocrates',
    'démocratie',
    'démocraties',
    'démocratique',
    'démocratisa',
    'démocratisai',
    'démocratisas',
    'démocratise',
    'démocratiser',
    'démocratises',
    'démocratisez',
    'démocratisât',
    'démocratisé',
    'démocratisée',
    'démocratisés',
    'démoda',
    'démodai',
    'démodaient',
    'démodais',
    'démodait',
    'démodant',
    'démodas',
    'démodasse',
    'démodassent',
    'démodasses',
    'démodassiez',
    'démodassions',
    'démode',
    'démodent',
    'démoder',
    'démodera',
    'démoderai',
    'démoderaient',
    'démoderais',
    'démoderait',
    'démoderas',
    'démoderez',
    'démoderiez',
    'démoderions',
    'démoderons',
    'démoderont',
    'démodes',
    'démodez',
    'démodiez',
    'démodions',
    'démodons',
    'démodula',
    'démodulai',
    'démodulaient',
    'démodulais',
    'démodulait',
    'démodulant',
    'démodulas',
    'démodulasse',
    'démodulasses',
    'démodulation',
    'démodule',
    'démodulent',
    'démoduler',
    'démodulera',
    'démodulerai',
    'démodulerais',
    'démodulerait',
    'démoduleras',
    'démodulerez',
    'démoduleriez',
    'démodulerons',
    'démoduleront',
    'démodules',
    'démodulez',
    'démoduliez',
    'démodulions',
    'démodulons',
    'démodulâmes',
    'démodulât',
    'démodulâtes',
    'démodulèrent',
    'démodulé',
    'démodulée',
    'démodulées',
    'démodulés',
    'démodâmes',
    'démodât',
    'démodâtes',
    'démodèrent',
    'démodé',
    'démodée',
    'démodées',
    'démodés',
    'démographe',
    'démographes',
    'démographie',
    'démographies',
    'démoli',
    'démolie',
    'démolies',
    'démolir',
    'démolira',
    'démolirai',
    'démoliraient',
    'démolirais',
    'démolirait',
    'démoliras',
    'démolirent',
    'démolirez',
    'démoliriez',
    'démolirions',
    'démolirons',
    'démoliront',
    'démolis',
    'démolissage',
    'démolissages',
    'démolissais',
    'démolissait',
    'démolissant',
    'démolisse',
    'démolissent',
    'démolisses',
    'démolisseur',
    'démolisseurs',
    'démolisseuse',
    'démolissez',
    'démolissiez',
    'démolissions',
    'démolissons',
    'démolit',
    'démolition',
    'démolitions',
    'démolîmes',
    'démolît',
    'démolîtes',
    'démon',
    'démoniaque',
    'démoniaques',
    'démonisme',
    'démonismes',
    'démonologie',
    'démonologies',
    'démonomanie',
    'démonomanies',
    'démons',
    'démonstratif',
    'démonta',
    'démontable',
    'démontables',
    'démontage',
    'démontages',
    'démontai',
    'démontaient',
    'démontais',
    'démontait',
    'démontant',
    'démontas',
    'démontasse',
    'démontassent',
    'démontasses',
    'démontassiez',
    'démonte',
    'démontent',
    'démonter',
    'démontera',
    'démonterai',
    'démonterais',
    'démonterait',
    'démonteras',
    'démonterez',
    'démonteriez',
    'démonterions',
    'démonterons',
    'démonteront',
    'démontes',
    'démontez',
    'démontiez',
    'démontions',
    'démontons',
    'démontra',
    'démontrable',
    'démontrables',
    'démontrai',
    'démontraient',
    'démontrais',
    'démontrait',
    'démontrant',
    'démontras',
    'démontrasse',
    'démontrasses',
    'démontre',
    'démontrent',
    'démontrer',
    'démontrera',
    'démontrerai',
    'démontrerais',
    'démontrerait',
    'démontreras',
    'démontrerez',
    'démontreriez',
    'démontrerons',
    'démontreront',
    'démontres',
    'démontrez',
    'démontriez',
    'démontrions',
    'démontrons',
    'démontrâmes',
    'démontrât',
    'démontrâtes',
    'démontrèrent',
    'démontré',
    'démontrée',
    'démontrées',
    'démontrés',
    'démontâmes',
    'démontât',
    'démontâtes',
    'démontèrent',
    'démonté',
    'démontée',
    'démontées',
    'démontés',
    'démonétisa',
    'démonétisai',
    'démonétisais',
    'démonétisait',
    'démonétisant',
    'démonétisas',
    'démonétise',
    'démonétisent',
    'démonétiser',
    'démonétisera',
    'démonétises',
    'démonétisez',
    'démonétisiez',
    'démonétisons',
    'démonétisât',
    'démonétisé',
    'démonétisée',
    'démonétisées',
    'démonétisés',
    'démoralisa',
    'démoralisai',
    'démoralisais',
    'démoralisait',
    'démoralisant',
    'démoralisas',
    'démoralise',
    'démoralisent',
    'démoraliser',
    'démoralisera',
    'démoralises',
    'démoralisez',
    'démoralisiez',
    'démoralisons',
    'démoralisât',
    'démoralisé',
    'démoralisée',
    'démoralisées',
    'démoralisés',
    'démord',
    'démordaient',
    'démordais',
    'démordait',
    'démordant',
    'démorde',
    'démordent',
    'démordes',
    'démordez',
    'démordiez',
    'démordions',
    'démordirent',
    'démordis',
    'démordisse',
    'démordissent',
    'démordisses',
    'démordissiez',
    'démordit',
    'démordons',
    'démordra',
    'démordrai',
    'démordraient',
    'démordrais',
    'démordrait',
    'démordras',
    'démordre',
    'démordrez',
    'démordriez',
    'démordrions',
    'démordrons',
    'démordront',
    'démords',
    'démordu',
    'démordue',
    'démordues',
    'démordus',
    'démordîmes',
    'démordît',
    'démordîtes',
    'démotique',
    'démotiques',
    'démotiva',
    'démotivai',
    'démotivaient',
    'démotivais',
    'démotivait',
    'démotivant',
    'démotivante',
    'démotivantes',
    'démotivants',
    'démotivas',
    'démotivasse',
    'démotivasses',
    'démotive',
    'démotivent',
    'démotiver',
    'démotivera',
    'démotiverai',
    'démotiverais',
    'démotiverait',
    'démotiveras',
    'démotiverez',
    'démotiveriez',
    'démotiverons',
    'démotiveront',
    'démotives',
    'démotivez',
    'démotiviez',
    'démotivions',
    'démotivons',
    'démotivâmes',
    'démotivât',
    'démotivâtes',
    'démotivèrent',
    'démotivé',
    'démotivée',
    'démotivées',
    'démotivés',
    'démoucheta',
    'démouchetai',
    'démouchetais',
    'démouchetait',
    'démouchetant',
    'démouchetas',
    'démoucheter',
    'démouchetez',
    'démouchetiez',
    'démouchetons',
    'démouchette',
    'démouchettes',
    'démouchetât',
    'démoucheté',
    'démouchetée',
    'démouchetées',
    'démouchetés',
    'démoula',
    'démoulage',
    'démoulages',
    'démoulai',
    'démoulaient',
    'démoulais',
    'démoulait',
    'démoulant',
    'démoulas',
    'démoulasse',
    'démoulassent',
    'démoulasses',
    'démoulassiez',
    'démoule',
    'démoulent',
    'démouler',
    'démoulera',
    'démoulerai',
    'démoulerais',
    'démoulerait',
    'démouleras',
    'démoulerez',
    'démouleriez',
    'démoulerions',
    'démoulerons',
    'démouleront',
    'démoules',
    'démoulez',
    'démouliez',
    'démoulions',
    'démoulons',
    'démoulâmes',
    'démoulât',
    'démoulâtes',
    'démoulèrent',
    'démoulé',
    'démoulée',
    'démoulées',
    'démoulés',
    'démouscailla',
    'démouscaille',
    'démouscaillé',
    'démoustiqua',
    'démoustiquai',
    'démoustiquas',
    'démoustique',
    'démoustiquer',
    'démoustiques',
    'démoustiquez',
    'démoustiquât',
    'démoustiqué',
    'démoustiquée',
    'démoustiqués',
    'démultiplia',
    'démultipliai',
    'démultiplias',
    'démultiplie',
    'démultiplier',
    'démultiplies',
    'démultipliez',
    'démultipliât',
    'démultiplié',
    'démultipliée',
    'démultipliés',
    'démuni',
    'démunie',
    'démunies',
    'démunir',
    'démunira',
    'démunirai',
    'démuniraient',
    'démunirais',
    'démunirait',
    'démuniras',
    'démunirent',
    'démunirez',
    'démuniriez',
    'démunirions',
    'démunirons',
    'démuniront',
    'démunis',
    'démunissais',
    'démunissait',
    'démunissant',
    'démunisse',
    'démunissent',
    'démunisses',
    'démunissez',
    'démunissiez',
    'démunissions',
    'démunissons',
    'démunit',
    'démunîmes',
    'démunît',
    'démunîtes',
    'démura',
    'démurai',
    'démuraient',
    'démurais',
    'démurait',
    'démurant',
    'démuras',
    'démurasse',
    'démurassent',
    'démurasses',
    'démurassiez',
    'démurassions',
    'démure',
    'démurent',
    'démurer',
    'démurera',
    'démurerai',
    'démureraient',
    'démurerais',
    'démurerait',
    'démureras',
    'démurerez',
    'démureriez',
    'démurerions',
    'démurerons',
    'démureront',
    'démures',
    'démurez',
    'démurge',
    'démurgea',
    'démurgeai',
    'démurgeaient',
    'démurgeais',
    'démurgeait',
    'démurgeant',
    'démurgeas',
    'démurgeasse',
    'démurgeasses',
    'démurgent',
    'démurgeons',
    'démurger',
    'démurgera',
    'démurgerai',
    'démurgerais',
    'démurgerait',
    'démurgeras',
    'démurgerez',
    'démurgeriez',
    'démurgerions',
    'démurgerons',
    'démurgeront',
    'démurges',
    'démurgez',
    'démurgeâmes',
    'démurgeât',
    'démurgeâtes',
    'démurgiez',
    'démurgions',
    'démurgèrent',
    'démurgé',
    'démurgée',
    'démurgées',
    'démurgés',
    'démuriez',
    'démurions',
    'démurons',
    'démurâmes',
    'démurât',
    'démurâtes',
    'démurèrent',
    'démuré',
    'démurée',
    'démurées',
    'démurés',
    'démusela',
    'démuselai',
    'démuselaient',
    'démuselais',
    'démuselait',
    'démuselant',
    'démuselas',
    'démuselasse',
    'démuselasses',
    'démuseler',
    'démuselez',
    'démuseliez',
    'démuselions',
    'démuselle',
    'démusellent',
    'démusellera',
    'démusellerai',
    'démuselleras',
    'démusellerez',
    'démuselles',
    'démuselons',
    'démuselâmes',
    'démuselât',
    'démuselâtes',
    'démuselèrent',
    'démuselé',
    'démuselée',
    'démuselées',
    'démuselés',
    'démutiser',
    'démystifia',
    'démystifiai',
    'démystifiais',
    'démystifiait',
    'démystifiant',
    'démystifias',
    'démystifie',
    'démystifient',
    'démystifier',
    'démystifiera',
    'démystifies',
    'démystifiez',
    'démystifiiez',
    'démystifions',
    'démystifiât',
    'démystifié',
    'démystifiée',
    'démystifiées',
    'démystifiés',
    'démythifia',
    'démythifiai',
    'démythifiais',
    'démythifiait',
    'démythifiant',
    'démythifias',
    'démythifie',
    'démythifient',
    'démythifier',
    'démythifiera',
    'démythifies',
    'démythifiez',
    'démythifiiez',
    'démythifions',
    'démythifiât',
    'démythifié',
    'démythifiée',
    'démythifiées',
    'démythifiés',
    'démâta',
    'démâtage',
    'démâtages',
    'démâtai',
    'démâtaient',
    'démâtais',
    'démâtait',
    'démâtant',
    'démâtas',
    'démâtasse',
    'démâtassent',
    'démâtasses',
    'démâtassiez',
    'démâtassions',
    'démâte',
    'démâtent',
    'démâter',
    'démâtera',
    'démâterai',
    'démâteraient',
    'démâterais',
    'démâterait',
    'démâteras',
    'démâterez',
    'démâteriez',
    'démâterions',
    'démâterons',
    'démâteront',
    'démâtes',
    'démâtez',
    'démâtiez',
    'démâtions',
    'démâtons',
    'démâtâmes',
    'démâtât',
    'démâtâtes',
    'démâtèrent',
    'démâté',
    'démâtée',
    'démâtées',
    'démâtés',
    'démène',
    'démènent',
    'démènera',
    'démènerai',
    'démèneraient',
    'démènerais',
    'démènerait',
    'démèneras',
    'démènerez',
    'démèneriez',
    'démènerions',
    'démènerons',
    'démèneront',
    'démènes',
    'déméchage',
    'déméchages',
    'déménage',
    'déménagea',
    'déménageai',
    'déménageais',
    'déménageait',
    'déménageant',
    'déménageas',
    'déménageasse',
    'déménagement',
    'déménagent',
    'déménageons',
    'déménager',
    'déménagera',
    'déménagerai',
    'déménagerais',
    'déménagerait',
    'déménageras',
    'déménagerez',
    'déménageriez',
    'déménagerons',
    'déménageront',
    'déménages',
    'déménageur',
    'déménageurs',
    'déménagez',
    'déménageâmes',
    'déménageât',
    'déménageâtes',
    'déménagiez',
    'déménagions',
    'déménagèrent',
    'déménagé',
    'déménagée',
    'déménagées',
    'déménagés',
    'démérita',
    'déméritai',
    'déméritaient',
    'déméritais',
    'déméritait',
    'déméritant',
    'déméritas',
    'déméritasse',
    'déméritasses',
    'démérite',
    'déméritent',
    'démériter',
    'déméritera',
    'démériterai',
    'démériterais',
    'démériterait',
    'démériteras',
    'démériterez',
    'démériteriez',
    'démériterons',
    'démériteront',
    'démérites',
    'déméritez',
    'déméritiez',
    'déméritions',
    'déméritons',
    'déméritâmes',
    'déméritât',
    'déméritâtes',
    'déméritèrent',
    'démérité',
    'déméthanisa',
    'déméthanisai',
    'déméthanisas',
    'déméthanise',
    'déméthaniser',
    'déméthanises',
    'déméthanisez',
    'déméthanisât',
    'déméthanisé',
    'déméthanisée',
    'déméthanisés',
    'démêla',
    'démêlage',
    'démêlages',
    'démêlai',
    'démêlaient',
    'démêlais',
    'démêlait',
    'démêlant',
    'démêlante',
    'démêlantes',
    'démêlants',
    'démêlas',
    'démêlasse',
    'démêlassent',
    'démêlasses',
    'démêlassiez',
    'démêlassions',
    'démêle',
    'démêlement',
    'démêlements',
    'démêlent',
    'démêler',
    'démêlera',
    'démêlerai',
    'démêleraient',
    'démêlerais',
    'démêlerait',
    'démêleras',
    'démêlerez',
    'démêleriez',
    'démêlerions',
    'démêlerons',
    'démêleront',
    'démêles',
    'démêlez',
    'démêliez',
    'démêlions',
    'démêloir',
    'démêloirs',
    'démêlons',
    'démêlure',
    'démêlures',
    'démêlâmes',
    'démêlât',
    'démêlâtes',
    'démêlèrent',
    'démêlé',
    'démêlée',
    'démêlées',
    'démêlés',
    'démîmes',
    'démît',
    'démîtes',
    'dénanti',
    'dénantie',
    'dénanties',
    'dénantir',
    'dénantira',
    'dénantirai',
    'dénantirais',
    'dénantirait',
    'dénantiras',
    'dénantirent',
    'dénantirez',
    'dénantiriez',
    'dénantirions',
    'dénantirons',
    'dénantiront',
    'dénantis',
    'dénantissais',
    'dénantissait',
    'dénantissant',
    'dénantisse',
    'dénantissent',
    'dénantisses',
    'dénantissez',
    'dénantissiez',
    'dénantissons',
    'dénantit',
    'dénantîmes',
    'dénantît',
    'dénantîtes',
    'dénasalisa',
    'dénasalisai',
    'dénasalisais',
    'dénasalisait',
    'dénasalisant',
    'dénasalisas',
    'dénasalise',
    'dénasalisent',
    'dénasaliser',
    'dénasalisera',
    'dénasalises',
    'dénasalisez',
    'dénasalisiez',
    'dénasalisons',
    'dénasalisât',
    'dénasalisé',
    'dénasalisée',
    'dénasalisées',
    'dénasalisés',
    'dénatalité',
    'dénatalités',
    'dénatta',
    'dénattai',
    'dénattaient',
    'dénattais',
    'dénattait',
    'dénattant',
    'dénattas',
    'dénattasse',
    'dénattassent',
    'dénattasses',
    'dénattassiez',
    'dénatte',
    'dénattent',
    'dénatter',
    'dénattera',
    'dénatterai',
    'dénatterais',
    'dénatterait',
    'dénatteras',
    'dénatterez',
    'dénatteriez',
    'dénatterions',
    'dénatterons',
    'dénatteront',
    'dénattes',
    'dénattez',
    'dénattiez',
    'dénattions',
    'dénattons',
    'dénattâmes',
    'dénattât',
    'dénattâtes',
    'dénattèrent',
    'dénatté',
    'dénattée',
    'dénattées',
    'dénattés',
    'dénatura',
    'dénaturai',
    'dénaturaient',
    'dénaturais',
    'dénaturait',
    'dénaturalisa',
    'dénaturalise',
    'dénaturalisé',
    'dénaturant',
    'dénaturas',
    'dénaturasse',
    'dénaturasses',
    'dénaturation',
    'dénature',
    'dénaturent',
    'dénaturer',
    'dénaturera',
    'dénaturerai',
    'dénaturerais',
    'dénaturerait',
    'dénatureras',
    'dénaturerez',
    'dénatureriez',
    'dénaturerons',
    'dénatureront',
    'dénatures',
    'dénaturez',
    'dénaturiez',
    'dénaturions',
    'dénaturons',
    'dénaturâmes',
    'dénaturât',
    'dénaturâtes',
    'dénaturèrent',
    'dénaturé',
    'dénaturée',
    'dénaturées',
    'dénaturés',
    'dénazifier',
    'déneige',
    'déneigea',
    'déneigeai',
    'déneigeaient',
    'déneigeais',
    'déneigeait',
    'déneigeant',
    'déneigeas',
    'déneigeasse',
    'déneigeasses',
    'déneigement',
    'déneigements',
    'déneigent',
    'déneigeons',
    'déneiger',
    'déneigera',
    'déneigerai',
    'déneigerais',
    'déneigerait',
    'déneigeras',
    'déneigerez',
    'déneigeriez',
    'déneigerions',
    'déneigerons',
    'déneigeront',
    'déneiges',
    'déneigez',
    'déneigeâmes',
    'déneigeât',
    'déneigeâtes',
    'déneigiez',
    'déneigions',
    'déneigèrent',
    'déneigé',
    'déneigée',
    'déneigées',
    'déneigés',
    'dénerva',
    'dénervai',
    'dénervaient',
    'dénervais',
    'dénervait',
    'dénervant',
    'dénervas',
    'dénervasse',
    'dénervassent',
    'dénervasses',
    'dénervassiez',
    'dénerve',
    'dénervent',
    'dénerver',
    'dénervera',
    'dénerverai',
    'dénerverais',
    'dénerverait',
    'dénerveras',
    'dénerverez',
    'dénerveriez',
    'dénerverions',
    'dénerverons',
    'dénerveront',
    'dénerves',
    'dénervez',
    'dénerviez',
    'dénervions',
    'dénervons',
    'dénervâmes',
    'dénervât',
    'dénervâtes',
    'dénervèrent',
    'dénervé',
    'dénervée',
    'dénervées',
    'dénervés',
    'déni',
    'dénia',
    'déniai',
    'déniaient',
    'déniais',
    'déniaisa',
    'déniaisai',
    'déniaisaient',
    'déniaisais',
    'déniaisait',
    'déniaisant',
    'déniaisas',
    'déniaisasse',
    'déniaisasses',
    'déniaise',
    'déniaisent',
    'déniaiser',
    'déniaisera',
    'déniaiserai',
    'déniaiserais',
    'déniaiserait',
    'déniaiseras',
    'déniaiserez',
    'déniaiseriez',
    'déniaiserons',
    'déniaiseront',
    'déniaises',
    'déniaisez',
    'déniaisiez',
    'déniaisions',
    'déniaisons',
    'déniaisâmes',
    'déniaisât',
    'déniaisâtes',
    'déniaisèrent',
    'déniaisé',
    'déniaisée',
    'déniaisées',
    'déniaisés',
    'déniait',
    'déniant',
    'dénias',
    'déniasse',
    'déniassent',
    'déniasses',
    'déniassiez',
    'déniassions',
    'dénicha',
    'dénichai',
    'dénichaient',
    'dénichais',
    'dénichait',
    'dénichant',
    'dénichas',
    'dénichasse',
    'dénichassent',
    'dénichasses',
    'dénichassiez',
    'déniche',
    'dénichent',
    'dénicher',
    'dénichera',
    'dénicherai',
    'dénicherais',
    'dénicherait',
    'dénicheras',
    'dénicherez',
    'dénicheriez',
    'dénicherions',
    'dénicherons',
    'dénicheront',
    'déniches',
    'dénicheur',
    'dénicheurs',
    'dénicheuse',
    'dénicheuses',
    'dénichez',
    'dénichiez',
    'dénichions',
    'dénichons',
    'dénichâmes',
    'dénichât',
    'dénichâtes',
    'dénichèrent',
    'déniché',
    'dénichée',
    'dénichées',
    'dénichés',
    'dénickela',
    'dénickelai',
    'dénickelais',
    'dénickelait',
    'dénickelant',
    'dénickelas',
    'dénickelasse',
    'dénickele',
    'dénickelent',
    'dénickeler',
    'dénickelera',
    'dénickelerai',
    'dénickeleras',
    'dénickelerez',
    'dénickeles',
    'dénickelez',
    'dénickeliez',
    'dénickelions',
    'dénickelons',
    'dénickelâmes',
    'dénickelât',
    'dénickelâtes',
    'dénickelé',
    'dénickelée',
    'dénickelées',
    'dénickelés',
    'dénicotinisa',
    'dénicotinise',
    'dénicotinisé',
    'dénie',
    'dénient',
    'dénier',
    'déniera',
    'dénierai',
    'dénieraient',
    'dénierais',
    'dénierait',
    'dénieras',
    'dénierez',
    'dénieriez',
    'dénierions',
    'dénierons',
    'dénieront',
    'dénies',
    'déniez',
    'dénigra',
    'dénigrai',
    'dénigraient',
    'dénigrais',
    'dénigrait',
    'dénigrant',
    'dénigras',
    'dénigrasse',
    'dénigrassent',
    'dénigrasses',
    'dénigrassiez',
    'dénigre',
    'dénigrement',
    'dénigrements',
    'dénigrent',
    'dénigrer',
    'dénigrera',
    'dénigrerai',
    'dénigrerais',
    'dénigrerait',
    'dénigreras',
    'dénigrerez',
    'dénigreriez',
    'dénigrerions',
    'dénigrerons',
    'dénigreront',
    'dénigres',
    'dénigreur',
    'dénigreurs',
    'dénigreuse',
    'dénigreuses',
    'dénigrez',
    'dénigriez',
    'dénigrions',
    'dénigrons',
    'dénigrâmes',
    'dénigrât',
    'dénigrâtes',
    'dénigrèrent',
    'dénigré',
    'dénigrée',
    'dénigrées',
    'dénigrés',
    'déniiez',
    'déniions',
    'dénions',
    'dénis',
    'dénitra',
    'dénitrai',
    'dénitraient',
    'dénitrais',
    'dénitrait',
    'dénitrant',
    'dénitras',
    'dénitrasse',
    'dénitrassent',
    'dénitrasses',
    'dénitrassiez',
    'dénitre',
    'dénitrent',
    'dénitrer',
    'dénitrera',
    'dénitrerai',
    'dénitrerais',
    'dénitrerait',
    'dénitreras',
    'dénitrerez',
    'dénitreriez',
    'dénitrerions',
    'dénitrerons',
    'dénitreront',
    'dénitres',
    'dénitrez',
    'dénitriez',
    'dénitrifia',
    'dénitrifiai',
    'dénitrifiais',
    'dénitrifiait',
    'dénitrifiant',
    'dénitrifias',
    'dénitrifie',
    'dénitrifient',
    'dénitrifier',
    'dénitrifiera',
    'dénitrifies',
    'dénitrifiez',
    'dénitrifiiez',
    'dénitrifions',
    'dénitrifiât',
    'dénitrifié',
    'dénitrifiée',
    'dénitrifiées',
    'dénitrifiés',
    'dénitrions',
    'dénitrons',
    'dénitrâmes',
    'dénitrât',
    'dénitrâtes',
    'dénitrèrent',
    'dénitré',
    'dénitrée',
    'dénitrées',
    'dénitrés',
    'dénivela',
    'dénivelai',
    'dénivelaient',
    'dénivelais',
    'dénivelait',
    'dénivelant',
    'dénivelas',
    'dénivelasse',
    'dénivelasses',
    'déniveler',
    'dénivelez',
    'déniveliez',
    'dénivelions',
    'dénivelle',
    'dénivellent',
    'dénivellera',
    'dénivellerai',
    'dénivelleras',
    'dénivellerez',
    'dénivelles',
    'dénivelons',
    'dénivelâmes',
    'dénivelât',
    'dénivelâtes',
    'dénivelèrent',
    'dénivelé',
    'dénivelée',
    'dénivelées',
    'dénivelés',
    'déniâmes',
    'déniât',
    'déniâtes',
    'dénièrent',
    'dénié',
    'déniée',
    'déniées',
    'déniés',
    'dénoie',
    'dénoient',
    'dénoiera',
    'dénoierai',
    'dénoieraient',
    'dénoierais',
    'dénoierait',
    'dénoieras',
    'dénoierez',
    'dénoieriez',
    'dénoierions',
    'dénoierons',
    'dénoieront',
    'dénoies',
    'dénombra',
    'dénombrable',
    'dénombrables',
    'dénombrai',
    'dénombraient',
    'dénombrais',
    'dénombrait',
    'dénombrant',
    'dénombras',
    'dénombrasse',
    'dénombrasses',
    'dénombre',
    'dénombrement',
    'dénombrent',
    'dénombrer',
    'dénombrera',
    'dénombrerai',
    'dénombrerais',
    'dénombrerait',
    'dénombreras',
    'dénombrerez',
    'dénombreriez',
    'dénombrerons',
    'dénombreront',
    'dénombres',
    'dénombrez',
    'dénombriez',
    'dénombrions',
    'dénombrons',
    'dénombrâmes',
    'dénombrât',
    'dénombrâtes',
    'dénombrèrent',
    'dénombré',
    'dénombrée',
    'dénombrées',
    'dénombrés',
    'dénominateur',
    'dénominatif',
    'dénominatifs',
    'dénomination',
    'dénominative',
    'dénomma',
    'dénommai',
    'dénommaient',
    'dénommais',
    'dénommait',
    'dénommant',
    'dénommas',
    'dénommasse',
    'dénommassent',
    'dénommasses',
    'dénommassiez',
    'dénomme',
    'dénomment',
    'dénommer',
    'dénommera',
    'dénommerai',
    'dénommerais',
    'dénommerait',
    'dénommeras',
    'dénommerez',
    'dénommeriez',
    'dénommerions',
    'dénommerons',
    'dénommeront',
    'dénommes',
    'dénommez',
    'dénommiez',
    'dénommions',
    'dénommons',
    'dénommâmes',
    'dénommât',
    'dénommâtes',
    'dénommèrent',
    'dénommé',
    'dénommée',
    'dénommées',
    'dénommés',
    'dénonce',
    'dénoncent',
    'dénoncer',
    'dénoncera',
    'dénoncerai',
    'dénoncerais',
    'dénoncerait',
    'dénonceras',
    'dénoncerez',
    'dénonceriez',
    'dénoncerions',
    'dénoncerons',
    'dénonceront',
    'dénonces',
    'dénoncez',
    'dénonciateur',
    'dénonciation',
    'dénonciez',
    'dénoncions',
    'dénoncèrent',
    'dénoncé',
    'dénoncée',
    'dénoncées',
    'dénoncés',
    'dénonça',
    'dénonçai',
    'dénonçaient',
    'dénonçais',
    'dénonçait',
    'dénonçant',
    'dénonças',
    'dénonçasse',
    'dénonçassent',
    'dénonçasses',
    'dénonçassiez',
    'dénonçons',
    'dénonçâmes',
    'dénonçât',
    'dénonçâtes',
    'dénota',
    'dénotai',
    'dénotaient',
    'dénotais',
    'dénotait',
    'dénotant',
    'dénotas',
    'dénotasse',
    'dénotassent',
    'dénotasses',
    'dénotassiez',
    'dénotassions',
    'dénotation',
    'dénotations',
    'dénote',
    'dénotent',
    'dénoter',
    'dénotera',
    'dénoterai',
    'dénoteraient',
    'dénoterais',
    'dénoterait',
    'dénoteras',
    'dénoterez',
    'dénoteriez',
    'dénoterions',
    'dénoterons',
    'dénoteront',
    'dénotes',
    'dénotez',
    'dénotiez',
    'dénotions',
    'dénotons',
    'dénotâmes',
    'dénotât',
    'dénotâtes',
    'dénotèrent',
    'dénoté',
    'dénotée',
    'dénotées',
    'dénotés',
    'dénoua',
    'dénouai',
    'dénouaient',
    'dénouais',
    'dénouait',
    'dénouant',
    'dénouas',
    'dénouasse',
    'dénouassent',
    'dénouasses',
    'dénouassiez',
    'dénouassions',
    'dénoue',
    'dénouement',
    'dénouements',
    'dénouent',
    'dénouer',
    'dénouera',
    'dénouerai',
    'dénoueraient',
    'dénouerais',
    'dénouerait',
    'dénoueras',
    'dénouerez',
    'dénoueriez',
    'dénouerions',
    'dénouerons',
    'dénoueront',
    'dénoues',
    'dénouez',
    'dénouiez',
    'dénouions',
    'dénouons',
    'dénouâmes',
    'dénouât',
    'dénouâtes',
    'dénouèrent',
    'dénoué',
    'dénouée',
    'dénouées',
    'dénoués',
    'dénoya',
    'dénoyai',
    'dénoyaient',
    'dénoyais',
    'dénoyait',
    'dénoyant',
    'dénoyas',
    'dénoyasse',
    'dénoyassent',
    'dénoyasses',
    'dénoyassiez',
    'dénoyassions',
    'dénoyauta',
    'dénoyautai',
    'dénoyautais',
    'dénoyautait',
    'dénoyautant',
    'dénoyautas',
    'dénoyautasse',
    'dénoyaute',
    'dénoyautent',
    'dénoyauter',
    'dénoyautera',
    'dénoyauterai',
    'dénoyauteras',
    'dénoyauterez',
    'dénoyautes',
    'dénoyautez',
    'dénoyautiez',
    'dénoyautions',
    'dénoyautons',
    'dénoyautâmes',
    'dénoyautât',
    'dénoyautâtes',
    'dénoyauté',
    'dénoyautée',
    'dénoyautées',
    'dénoyautés',
    'dénoyer',
    'dénoyez',
    'dénoyiez',
    'dénoyions',
    'dénoyons',
    'dénoyâmes',
    'dénoyât',
    'dénoyâtes',
    'dénoyèrent',
    'dénoyé',
    'dénoyée',
    'dénoyées',
    'dénoyés',
    'dénua',
    'dénuai',
    'dénuaient',
    'dénuais',
    'dénuait',
    'dénuant',
    'dénuas',
    'dénuasse',
    'dénuassent',
    'dénuasses',
    'dénuassiez',
    'dénuassions',
    'dénubiliser',
    'dénucléarisa',
    'dénucléarise',
    'dénucléarisé',
    'dénuda',
    'dénudai',
    'dénudaient',
    'dénudais',
    'dénudait',
    'dénudant',
    'dénudas',
    'dénudasse',
    'dénudassent',
    'dénudasses',
    'dénudassiez',
    'dénudassions',
    'dénudation',
    'dénudations',
    'dénude',
    'dénudent',
    'dénuder',
    'dénudera',
    'dénuderai',
    'dénuderaient',
    'dénuderais',
    'dénuderait',
    'dénuderas',
    'dénuderez',
    'dénuderiez',
    'dénuderions',
    'dénuderons',
    'dénuderont',
    'dénudes',
    'dénudez',
    'dénudiez',
    'dénudions',
    'dénudons',
    'dénudâmes',
    'dénudât',
    'dénudâtes',
    'dénudèrent',
    'dénudé',
    'dénudée',
    'dénudées',
    'dénudés',
    'dénue',
    'dénuement',
    'dénuements',
    'dénuent',
    'dénuer',
    'dénuera',
    'dénuerai',
    'dénueraient',
    'dénuerais',
    'dénuerait',
    'dénueras',
    'dénuerez',
    'dénueriez',
    'dénuerions',
    'dénuerons',
    'dénueront',
    'dénues',
    'dénuez',
    'dénuiez',
    'dénuions',
    'dénuons',
    'dénutrition',
    'dénutritions',
    'dénuâmes',
    'dénuât',
    'dénuâtes',
    'dénuèrent',
    'dénué',
    'dénuée',
    'dénuées',
    'dénués',
    'dénébuler',
    'dénébulisa',
    'dénébulisai',
    'dénébulisais',
    'dénébulisait',
    'dénébulisas',
    'dénébulisaît',
    'dénébulise',
    'dénébulisent',
    'dénébuliser',
    'dénébulisera',
    'dénébulises',
    'dénébulisât',
    'dénébulisé',
    'dénébulisée',
    'dénébulisées',
    'dénébulisés',
    'dénégation',
    'dénégations',
    'dénégatoire',
    'dénégatoires',
    'déodorant',
    'déodorante',
    'déodorantes',
    'déodorants',
    'déontologie',
    'déontologies',
    'dépailla',
    'dépaillage',
    'dépaillages',
    'dépaillai',
    'dépaillaient',
    'dépaillais',
    'dépaillait',
    'dépaillant',
    'dépaillas',
    'dépaillasse',
    'dépaillasses',
    'dépaille',
    'dépaillent',
    'dépailler',
    'dépaillera',
    'dépaillerai',
    'dépaillerais',
    'dépaillerait',
    'dépailleras',
    'dépaillerez',
    'dépailleriez',
    'dépaillerons',
    'dépailleront',
    'dépailles',
    'dépaillez',
    'dépailliez',
    'dépaillions',
    'dépaillons',
    'dépaillâmes',
    'dépaillât',
    'dépaillâtes',
    'dépaillèrent',
    'dépaillé',
    'dépaillée',
    'dépaillées',
    'dépaillés',
    'dépaissela',
    'dépaisselai',
    'dépaisselais',
    'dépaisselait',
    'dépaisselant',
    'dépaisselas',
    'dépaisseler',
    'dépaisselez',
    'dépaisseliez',
    'dépaisselle',
    'dépaisselles',
    'dépaisselons',
    'dépaisselât',
    'dépaisselé',
    'dépaisselée',
    'dépaisselées',
    'dépaisselés',
    'dépalissa',
    'dépalissai',
    'dépalissais',
    'dépalissait',
    'dépalissant',
    'dépalissas',
    'dépalissasse',
    'dépalisse',
    'dépalissent',
    'dépalisser',
    'dépalissera',
    'dépalisserai',
    'dépalisseras',
    'dépalisserez',
    'dépalisses',
    'dépalissez',
    'dépalissiez',
    'dépalissions',
    'dépalissons',
    'dépalissâmes',
    'dépalissât',
    'dépalissâtes',
    'dépalissé',
    'dépalissée',
    'dépalissées',
    'dépalissés',
    'dépanna',
    'dépannage',
    'dépannages',
    'dépannai',
    'dépannaient',
    'dépannais',
    'dépannait',
    'dépannant',
    'dépannas',
    'dépannasse',
    'dépannassent',
    'dépannasses',
    'dépannassiez',
    'dépanne',
    'dépannent',
    'dépanner',
    'dépannera',
    'dépannerai',
    'dépannerais',
    'dépannerait',
    'dépanneras',
    'dépannerez',
    'dépanneriez',
    'dépannerions',
    'dépannerons',
    'dépanneront',
    'dépannes',
    'dépanneur',
    'dépanneurs',
    'dépanneuse',
    'dépanneuses',
    'dépannez',
    'dépanniez',
    'dépannions',
    'dépannons',
    'dépannâmes',
    'dépannât',
    'dépannâtes',
    'dépannèrent',
    'dépanné',
    'dépannée',
    'dépannées',
    'dépannés',
    'dépaqueta',
    'dépaquetage',
    'dépaquetages',
    'dépaquetai',
    'dépaquetais',
    'dépaquetait',
    'dépaquetant',
    'dépaquetas',
    'dépaquetasse',
    'dépaqueter',
    'dépaquetez',
    'dépaquetiez',
    'dépaquetions',
    'dépaquetons',
    'dépaquette',
    'dépaquettent',
    'dépaquettera',
    'dépaquettes',
    'dépaquetâmes',
    'dépaquetât',
    'dépaquetâtes',
    'dépaqueté',
    'dépaquetée',
    'dépaquetées',
    'dépaquetés',
    'dépara',
    'déparaffina',
    'déparaffinai',
    'déparaffinas',
    'déparaffine',
    'déparaffiner',
    'déparaffines',
    'déparaffinez',
    'déparaffinât',
    'déparaffiné',
    'déparaffinée',
    'déparaffinés',
    'déparai',
    'déparaient',
    'déparais',
    'déparait',
    'déparant',
    'déparas',
    'déparasita',
    'déparasitai',
    'déparasitais',
    'déparasitait',
    'déparasitant',
    'déparasitas',
    'déparasite',
    'déparasiter',
    'déparasitera',
    'déparasitez',
    'déparasitiez',
    'déparasitons',
    'déparasitât',
    'déparasité',
    'déparasitée',
    'déparasitées',
    'déparasités',
    'déparasse',
    'déparassent',
    'déparasses',
    'déparassiez',
    'déparassions',
    'dépare',
    'dépareilla',
    'dépareillai',
    'dépareillais',
    'dépareillait',
    'dépareillant',
    'dépareillas',
    'dépareille',
    'dépareillent',
    'dépareiller',
    'dépareillera',
    'dépareilles',
    'dépareillez',
    'dépareilliez',
    'dépareillons',
    'dépareillât',
    'dépareillé',
    'dépareillée',
    'dépareillées',
    'dépareillés',
    'déparent',
    'déparer',
    'déparera',
    'déparerai',
    'dépareraient',
    'déparerais',
    'déparerait',
    'dépareras',
    'déparerez',
    'dépareriez',
    'déparerions',
    'déparerons',
    'dépareront',
    'dépares',
    'déparez',
    'déparia',
    'dépariai',
    'dépariaient',
    'dépariais',
    'dépariait',
    'dépariant',
    'déparias',
    'dépariasse',
    'dépariassent',
    'dépariasses',
    'dépariassiez',
    'déparie',
    'déparient',
    'déparier',
    'dépariera',
    'déparierai',
    'déparierais',
    'déparierait',
    'déparieras',
    'déparierez',
    'déparieriez',
    'déparierions',
    'déparierons',
    'déparieront',
    'déparies',
    'dépariez',
    'dépariiez',
    'dépariions',
    'déparions',
    'dépariâmes',
    'dépariât',
    'dépariâtes',
    'déparièrent',
    'déparié',
    'dépariée',
    'dépariées',
    'dépariés',
    'déparla',
    'déparlai',
    'déparlaient',
    'déparlais',
    'déparlait',
    'déparlant',
    'déparlas',
    'déparlasse',
    'déparlassent',
    'déparlasses',
    'déparlassiez',
    'déparle',
    'déparlent',
    'déparler',
    'déparlera',
    'déparlerai',
    'déparlerais',
    'déparlerait',
    'déparleras',
    'déparlerez',
    'déparleriez',
    'déparlerions',
    'déparlerons',
    'déparleront',
    'déparles',
    'déparlez',
    'déparliez',
    'déparlions',
    'déparlons',
    'déparlâmes',
    'déparlât',
    'déparlâtes',
    'déparlèrent',
    'déparlé',
    'déparons',
    'dépars',
    'départ',
    'départage',
    'départagea',
    'départageai',
    'départageais',
    'départageait',
    'départageant',
    'départageas',
    'départagent',
    'départageons',
    'départager',
    'départagera',
    'départagerai',
    'départageras',
    'départagerez',
    'départages',
    'départagez',
    'départageât',
    'départagiez',
    'départagions',
    'départagé',
    'départagée',
    'départagées',
    'départagés',
    'départaient',
    'départais',
    'départait',
    'départant',
    'départe',
    'département',
    'départements',
    'départent',
    'départes',
    'départez',
    'départi',
    'départie',
    'départies',
    'départiez',
    'départions',
    'départir',
    'départira',
    'départirai',
    'départirais',
    'départirait',
    'départiras',
    'départirent',
    'départirez',
    'départiriez',
    'départirions',
    'départirons',
    'départiront',
    'départis',
    'départissais',
    'départissait',
    'départissant',
    'départisse',
    'départissent',
    'départisses',
    'départissez',
    'départissiez',
    'départissons',
    'départit',
    'départons',
    'départs',
    'départîmes',
    'départît',
    'départîtes',
    'déparâmes',
    'déparât',
    'déparâtes',
    'déparèrent',
    'déparé',
    'déparée',
    'déparées',
    'déparés',
    'dépassa',
    'dépassai',
    'dépassaient',
    'dépassais',
    'dépassait',
    'dépassant',
    'dépassante',
    'dépassantes',
    'dépassants',
    'dépassas',
    'dépassasse',
    'dépassassent',
    'dépassasses',
    'dépassassiez',
    'dépasse',
    'dépassement',
    'dépassements',
    'dépassent',
    'dépasser',
    'dépassera',
    'dépasserai',
    'dépasserais',
    'dépasserait',
    'dépasseras',
    'dépasserez',
    'dépasseriez',
    'dépasserions',
    'dépasserons',
    'dépasseront',
    'dépasses',
    'dépassez',
    'dépassiez',
    'dépassionna',
    'dépassionnai',
    'dépassionnas',
    'dépassionne',
    'dépassionner',
    'dépassionnes',
    'dépassionnez',
    'dépassionnât',
    'dépassionné',
    'dépassionnée',
    'dépassionnés',
    'dépassions',
    'dépassons',
    'dépassâmes',
    'dépassât',
    'dépassâtes',
    'dépassèrent',
    'dépassé',
    'dépassée',
    'dépassées',
    'dépassés',
    'dépatouilla',
    'dépatouillai',
    'dépatouillas',
    'dépatouille',
    'dépatouiller',
    'dépatouilles',
    'dépatouillez',
    'dépatouillât',
    'dépatouillé',
    'dépatouillée',
    'dépatouillés',
    'dépava',
    'dépavage',
    'dépavages',
    'dépavai',
    'dépavaient',
    'dépavais',
    'dépavait',
    'dépavant',
    'dépavas',
    'dépavasse',
    'dépavassent',
    'dépavasses',
    'dépavassiez',
    'dépavassions',
    'dépave',
    'dépavent',
    'dépaver',
    'dépavera',
    'dépaverai',
    'dépaveraient',
    'dépaverais',
    'dépaverait',
    'dépaveras',
    'dépaverez',
    'dépaveriez',
    'dépaverions',
    'dépaverons',
    'dépaveront',
    'dépaves',
    'dépavez',
    'dépaviez',
    'dépavions',
    'dépavons',
    'dépavâmes',
    'dépavât',
    'dépavâtes',
    'dépavèrent',
    'dépavé',
    'dépavée',
    'dépavées',
    'dépavés',
    'dépaysa',
    'dépaysai',
    'dépaysaient',
    'dépaysais',
    'dépaysait',
    'dépaysant',
    'dépaysas',
    'dépaysasse',
    'dépaysassent',
    'dépaysasses',
    'dépaysassiez',
    'dépayse',
    'dépaysement',
    'dépaysements',
    'dépaysent',
    'dépayser',
    'dépaysera',
    'dépayserai',
    'dépayserais',
    'dépayserait',
    'dépayseras',
    'dépayserez',
    'dépayseriez',
    'dépayserions',
    'dépayserons',
    'dépayseront',
    'dépayses',
    'dépaysez',
    'dépaysiez',
    'dépaysions',
    'dépaysons',
    'dépaysâmes',
    'dépaysât',
    'dépaysâtes',
    'dépaysèrent',
    'dépaysé',
    'dépaysée',
    'dépaysées',
    'dépaysés',
    'dépecer',
    'dépeceur',
    'dépeceurs',
    'dépeceuse',
    'dépeceuses',
    'dépecez',
    'dépeciez',
    'dépecions',
    'dépecèrent',
    'dépecé',
    'dépecée',
    'dépecées',
    'dépecés',
    'dépeigna',
    'dépeignai',
    'dépeignaient',
    'dépeignais',
    'dépeignait',
    'dépeignant',
    'dépeignas',
    'dépeignasse',
    'dépeignasses',
    'dépeigne',
    'dépeignent',
    'dépeigner',
    'dépeignera',
    'dépeignerai',
    'dépeignerais',
    'dépeignerait',
    'dépeigneras',
    'dépeignerez',
    'dépeigneriez',
    'dépeignerons',
    'dépeigneront',
    'dépeignes',
    'dépeignez',
    'dépeigniez',
    'dépeignions',
    'dépeignirent',
    'dépeignis',
    'dépeignisse',
    'dépeignisses',
    'dépeignit',
    'dépeignons',
    'dépeignâmes',
    'dépeignât',
    'dépeignâtes',
    'dépeignèrent',
    'dépeigné',
    'dépeignée',
    'dépeignées',
    'dépeignés',
    'dépeignîmes',
    'dépeignît',
    'dépeignîtes',
    'dépeindra',
    'dépeindrai',
    'dépeindrais',
    'dépeindrait',
    'dépeindras',
    'dépeindre',
    'dépeindrez',
    'dépeindriez',
    'dépeindrions',
    'dépeindrons',
    'dépeindront',
    'dépeins',
    'dépeint',
    'dépeinte',
    'dépeintes',
    'dépeints',
    'dépelotonna',
    'dépelotonnai',
    'dépelotonnas',
    'dépelotonne',
    'dépelotonner',
    'dépelotonnes',
    'dépelotonnez',
    'dépelotonnât',
    'dépelotonné',
    'dépelotonnée',
    'dépelotonnés',
    'dépenaillé',
    'dépenaillée',
    'dépenaillées',
    'dépenaillés',
    'dépend',
    'dépendaient',
    'dépendais',
    'dépendait',
    'dépendance',
    'dépendances',
    'dépendant',
    'dépendante',
    'dépendantes',
    'dépendants',
    'dépende',
    'dépendent',
    'dépendes',
    'dépendeur',
    'dépendeurs',
    'dépendeuse',
    'dépendeuses',
    'dépendez',
    'dépendiez',
    'dépendions',
    'dépendirent',
    'dépendis',
    'dépendisse',
    'dépendissent',
    'dépendisses',
    'dépendissiez',
    'dépendit',
    'dépendons',
    'dépendra',
    'dépendrai',
    'dépendraient',
    'dépendrais',
    'dépendrait',
    'dépendras',
    'dépendre',
    'dépendrez',
    'dépendriez',
    'dépendrions',
    'dépendrons',
    'dépendront',
    'dépends',
    'dépendu',
    'dépendue',
    'dépendues',
    'dépendus',
    'dépendîmes',
    'dépendît',
    'dépendîtes',
    'dépens',
    'dépensa',
    'dépensai',
    'dépensaient',
    'dépensais',
    'dépensait',
    'dépensant',
    'dépensas',
    'dépensasse',
    'dépensassent',
    'dépensasses',
    'dépensassiez',
    'dépense',
    'dépensent',
    'dépenser',
    'dépensera',
    'dépenserai',
    'dépenserais',
    'dépenserait',
    'dépenseras',
    'dépenserez',
    'dépenseriez',
    'dépenserions',
    'dépenserons',
    'dépenseront',
    'dépenses',
    'dépensez',
    'dépensier',
    'dépensiers',
    'dépensiez',
    'dépensions',
    'dépensière',
    'dépensières',
    'dépensons',
    'dépensâmes',
    'dépensât',
    'dépensâtes',
    'dépensèrent',
    'dépensé',
    'dépensée',
    'dépensées',
    'dépensés',
    'déperdition',
    'déperditions',
    'dépeupla',
    'dépeuplai',
    'dépeuplaient',
    'dépeuplais',
    'dépeuplait',
    'dépeuplant',
    'dépeuplas',
    'dépeuplasse',
    'dépeuplasses',
    'dépeuple',
    'dépeuplement',
    'dépeuplent',
    'dépeupler',
    'dépeuplera',
    'dépeuplerai',
    'dépeuplerais',
    'dépeuplerait',
    'dépeupleras',
    'dépeuplerez',
    'dépeupleriez',
    'dépeuplerons',
    'dépeupleront',
    'dépeuples',
    'dépeuplez',
    'dépeupliez',
    'dépeuplions',
    'dépeuplons',
    'dépeuplâmes',
    'dépeuplât',
    'dépeuplâtes',
    'dépeuplèrent',
    'dépeuplé',
    'dépeuplée',
    'dépeuplées',
    'dépeuplés',
    'dépeça',
    'dépeçage',
    'dépeçages',
    'dépeçai',
    'dépeçaient',
    'dépeçais',
    'dépeçait',
    'dépeçant',
    'dépeças',
    'dépeçasse',
    'dépeçassent',
    'dépeçasses',
    'dépeçassiez',
    'dépeçassions',
    'dépeçons',
    'dépeçâmes',
    'dépeçât',
    'dépeçâtes',
    'déphasa',
    'déphasage',
    'déphasages',
    'déphasai',
    'déphasaient',
    'déphasais',
    'déphasait',
    'déphasant',
    'déphasas',
    'déphasasse',
    'déphasassent',
    'déphasasses',
    'déphasassiez',
    'déphase',
    'déphasent',
    'déphaser',
    'déphasera',
    'déphaserai',
    'déphaserais',
    'déphaserait',
    'déphaseras',
    'déphaserez',
    'déphaseriez',
    'déphaserions',
    'déphaserons',
    'déphaseront',
    'déphases',
    'déphasez',
    'déphasiez',
    'déphasions',
    'déphasons',
    'déphasâmes',
    'déphasât',
    'déphasâtes',
    'déphasèrent',
    'déphasé',
    'déphasée',
    'déphasées',
    'déphasés',
    'déphosphorer',
    'dépiauta',
    'dépiautai',
    'dépiautaient',
    'dépiautais',
    'dépiautait',
    'dépiautant',
    'dépiautas',
    'dépiautasse',
    'dépiautasses',
    'dépiaute',
    'dépiautent',
    'dépiauter',
    'dépiautera',
    'dépiauterai',
    'dépiauterais',
    'dépiauterait',
    'dépiauteras',
    'dépiauterez',
    'dépiauteriez',
    'dépiauterons',
    'dépiauteront',
    'dépiautes',
    'dépiautez',
    'dépiautiez',
    'dépiautions',
    'dépiautons',
    'dépiautâmes',
    'dépiautât',
    'dépiautâtes',
    'dépiautèrent',
    'dépiauté',
    'dépiautée',
    'dépiautées',
    'dépiautés',
    'dépicage',
    'dépicages',
    'dépila',
    'dépilage',
    'dépilages',
    'dépilai',
    'dépilaient',
    'dépilais',
    'dépilait',
    'dépilant',
    'dépilas',
    'dépilasse',
    'dépilassent',
    'dépilasses',
    'dépilassiez',
    'dépilassions',
    'dépilation',
    'dépilations',
    'dépilatoire',
    'dépilatoires',
    'dépile',
    'dépilent',
    'dépiler',
    'dépilera',
    'dépilerai',
    'dépileraient',
    'dépilerais',
    'dépilerait',
    'dépileras',
    'dépilerez',
    'dépileriez',
    'dépilerions',
    'dépilerons',
    'dépileront',
    'dépiles',
    'dépilez',
    'dépiliez',
    'dépilions',
    'dépilons',
    'dépilâmes',
    'dépilât',
    'dépilâtes',
    'dépilèrent',
    'dépilé',
    'dépilée',
    'dépilées',
    'dépilés',
    'dépingla',
    'dépinglai',
    'dépinglaient',
    'dépinglais',
    'dépinglait',
    'dépinglant',
    'dépinglas',
    'dépinglasse',
    'dépinglasses',
    'dépingle',
    'dépinglent',
    'dépingler',
    'dépinglera',
    'dépinglerai',
    'dépinglerais',
    'dépinglerait',
    'dépingleras',
    'dépinglerez',
    'dépingleriez',
    'dépinglerons',
    'dépingleront',
    'dépingles',
    'dépinglez',
    'dépingliez',
    'dépinglions',
    'dépinglons',
    'dépinglâmes',
    'dépinglât',
    'dépinglâtes',
    'dépinglèrent',
    'dépinglé',
    'dépinglée',
    'dépinglées',
    'dépinglés',
    'dépiqua',
    'dépiquage',
    'dépiquages',
    'dépiquai',
    'dépiquaient',
    'dépiquais',
    'dépiquait',
    'dépiquant',
    'dépiquas',
    'dépiquasse',
    'dépiquassent',
    'dépiquasses',
    'dépiquassiez',
    'dépique',
    'dépiquent',
    'dépiquer',
    'dépiquera',
    'dépiquerai',
    'dépiquerais',
    'dépiquerait',
    'dépiqueras',
    'dépiquerez',
    'dépiqueriez',
    'dépiquerions',
    'dépiquerons',
    'dépiqueront',
    'dépiques',
    'dépiquez',
    'dépiquiez',
    'dépiquions',
    'dépiquons',
    'dépiquâmes',
    'dépiquât',
    'dépiquâtes',
    'dépiquèrent',
    'dépiqué',
    'dépiquée',
    'dépiquées',
    'dépiqués',
    'dépista',
    'dépistage',
    'dépistages',
    'dépistai',
    'dépistaient',
    'dépistais',
    'dépistait',
    'dépistant',
    'dépistas',
    'dépistasse',
    'dépistassent',
    'dépistasses',
    'dépistassiez',
    'dépiste',
    'dépistent',
    'dépister',
    'dépistera',
    'dépisterai',
    'dépisterais',
    'dépisterait',
    'dépisteras',
    'dépisterez',
    'dépisteriez',
    'dépisterions',
    'dépisterons',
    'dépisteront',
    'dépistes',
    'dépistez',
    'dépistiez',
    'dépistions',
    'dépistons',
    'dépistâmes',
    'dépistât',
    'dépistâtes',
    'dépistèrent',
    'dépisté',
    'dépistée',
    'dépistées',
    'dépistés',
    'dépit',
    'dépita',
    'dépitai',
    'dépitaient',
    'dépitais',
    'dépitait',
    'dépitant',
    'dépitas',
    'dépitasse',
    'dépitassent',
    'dépitasses',
    'dépitassiez',
    'dépitassions',
    'dépite',
    'dépitent',
    'dépiter',
    'dépitera',
    'dépiterai',
    'dépiteraient',
    'dépiterais',
    'dépiterait',
    'dépiteras',
    'dépiterez',
    'dépiteriez',
    'dépiterions',
    'dépiterons',
    'dépiteront',
    'dépites',
    'dépitez',
    'dépitiez',
    'dépitions',
    'dépitons',
    'dépits',
    'dépitâmes',
    'dépitât',
    'dépitâtes',
    'dépitèrent',
    'dépité',
    'dépitée',
    'dépitées',
    'dépités',
    'déplace',
    'déplacement',
    'déplacements',
    'déplacent',
    'déplacer',
    'déplacera',
    'déplacerai',
    'déplacerais',
    'déplacerait',
    'déplaceras',
    'déplacerez',
    'déplaceriez',
    'déplacerions',
    'déplacerons',
    'déplaceront',
    'déplaces',
    'déplacez',
    'déplaciez',
    'déplacions',
    'déplacèrent',
    'déplacé',
    'déplacée',
    'déplacées',
    'déplacés',
    'déplafonna',
    'déplafonnai',
    'déplafonnais',
    'déplafonnait',
    'déplafonnant',
    'déplafonnas',
    'déplafonne',
    'déplafonnent',
    'déplafonner',
    'déplafonnera',
    'déplafonnes',
    'déplafonnez',
    'déplafonniez',
    'déplafonnons',
    'déplafonnât',
    'déplafonné',
    'déplafonnée',
    'déplafonnées',
    'déplafonnés',
    'déplaira',
    'déplairai',
    'déplairaient',
    'déplairais',
    'déplairait',
    'déplairas',
    'déplaire',
    'déplairez',
    'déplairiez',
    'déplairions',
    'déplairons',
    'déplairont',
    'déplais',
    'déplaisaient',
    'déplaisais',
    'déplaisait',
    'déplaisant',
    'déplaisante',
    'déplaisantes',
    'déplaisants',
    'déplaise',
    'déplaisent',
    'déplaises',
    'déplaisez',
    'déplaisiez',
    'déplaisions',
    'déplaisir',
    'déplaisirs',
    'déplaisons',
    'déplanqua',
    'déplanquai',
    'déplanquais',
    'déplanquait',
    'déplanquant',
    'déplanquas',
    'déplanquasse',
    'déplanque',
    'déplanquent',
    'déplanquer',
    'déplanquera',
    'déplanquerai',
    'déplanqueras',
    'déplanquerez',
    'déplanques',
    'déplanquez',
    'déplanquiez',
    'déplanquions',
    'déplanquons',
    'déplanquâmes',
    'déplanquât',
    'déplanquâtes',
    'déplanqué',
    'déplanquée',
    'déplanquées',
    'déplanqués',
    'déplanta',
    'déplantage',
    'déplantages',
    'déplantai',
    'déplantaient',
    'déplantais',
    'déplantait',
    'déplantant',
    'déplantas',
    'déplantasse',
    'déplantasses',
    'déplantation',
    'déplante',
    'déplantent',
    'déplanter',
    'déplantera',
    'déplanterai',
    'déplanterais',
    'déplanterait',
    'déplanteras',
    'déplanterez',
    'déplanteriez',
    'déplanterons',
    'déplanteront',
    'déplantes',
    'déplantez',
    'déplantiez',
    'déplantions',
    'déplantoir',
    'déplantoirs',
    'déplantons',
    'déplantâmes',
    'déplantât',
    'déplantâtes',
    'déplantèrent',
    'déplanté',
    'déplantée',
    'déplantées',
    'déplantés',
    'déplaça',
    'déplaçai',
    'déplaçaient',
    'déplaçais',
    'déplaçait',
    'déplaçant',
    'déplaças',
    'déplaçasse',
    'déplaçassent',
    'déplaçasses',
    'déplaçassiez',
    'déplaçons',
    'déplaçâmes',
    'déplaçât',
    'déplaçâtes',
    'déplaît',
    'déplia',
    'dépliage',
    'dépliages',
    'dépliai',
    'dépliaient',
    'dépliais',
    'dépliait',
    'dépliant',
    'dépliante',
    'dépliantes',
    'dépliants',
    'déplias',
    'dépliasse',
    'dépliassent',
    'dépliasses',
    'dépliassiez',
    'dépliassions',
    'déplie',
    'déplient',
    'déplier',
    'dépliera',
    'déplierai',
    'déplieraient',
    'déplierais',
    'déplierait',
    'déplieras',
    'déplierez',
    'déplieriez',
    'déplierions',
    'déplierons',
    'déplieront',
    'déplies',
    'dépliez',
    'dépliiez',
    'dépliions',
    'déplions',
    'déplissa',
    'déplissage',
    'déplissages',
    'déplissai',
    'déplissaient',
    'déplissais',
    'déplissait',
    'déplissant',
    'déplissas',
    'déplissasse',
    'déplissasses',
    'déplisse',
    'déplissent',
    'déplisser',
    'déplissera',
    'déplisserai',
    'déplisserais',
    'déplisserait',
    'déplisseras',
    'déplisserez',
    'déplisseriez',
    'déplisserons',
    'déplisseront',
    'déplisses',
    'déplissez',
    'déplissiez',
    'déplissions',
    'déplissons',
    'déplissâmes',
    'déplissât',
    'déplissâtes',
    'déplissèrent',
    'déplissé',
    'déplissée',
    'déplissées',
    'déplissés',
    'dépliâmes',
    'dépliât',
    'dépliâtes',
    'déplièrent',
    'déplié',
    'dépliée',
    'dépliées',
    'dépliés',
    'déploie',
    'déploiement',
    'déploiements',
    'déploient',
    'déploiera',
    'déploierai',
    'déploierais',
    'déploierait',
    'déploieras',
    'déploierez',
    'déploieriez',
    'déploierions',
    'déploierons',
    'déploieront',
    'déploies',
    'déplomba',
    'déplombage',
    'déplombages',
    'déplombai',
    'déplombaient',
    'déplombais',
    'déplombait',
    'déplombant',
    'déplombas',
    'déplombasse',
    'déplombasses',
    'déplombe',
    'déplombent',
    'déplomber',
    'déplombera',
    'déplomberai',
    'déplomberais',
    'déplomberait',
    'déplomberas',
    'déplomberez',
    'déplomberiez',
    'déplomberons',
    'déplomberont',
    'déplombes',
    'déplombez',
    'déplombiez',
    'déplombions',
    'déplombons',
    'déplombâmes',
    'déplombât',
    'déplombâtes',
    'déplombèrent',
    'déplombé',
    'déplombée',
    'déplombées',
    'déplombés',
    'déplora',
    'déplorable',
    'déplorables',
    'déplorai',
    'déploraient',
    'déplorais',
    'déplorait',
    'déplorant',
    'déploras',
    'déplorasse',
    'déplorassent',
    'déplorasses',
    'déplorassiez',
    'déplore',
    'déplorent',
    'déplorer',
    'déplorera',
    'déplorerai',
    'déplorerais',
    'déplorerait',
    'déploreras',
    'déplorerez',
    'déploreriez',
    'déplorerions',
    'déplorerons',
    'déploreront',
    'déplores',
    'déplorez',
    'déploriez',
    'déplorions',
    'déplorons',
    'déplorâmes',
    'déplorât',
    'déplorâtes',
    'déplorèrent',
    'déploré',
    'déplorée',
    'déplorées',
    'déplorés',
    'déploya',
    'déployai',
    'déployaient',
    'déployais',
    'déployait',
    'déployant',
    'déployas',
    'déployasse',
    'déployassent',
    'déployasses',
    'déployassiez',
    'déployer',
    'déployez',
    'déployiez',
    'déployions',
    'déployons',
    'déployâmes',
    'déployât',
    'déployâtes',
    'déployèrent',
    'déployé',
    'déployée',
    'déployées',
    'déployés',
    'déplu',
    'dépluma',
    'déplumai',
    'déplumaient',
    'déplumais',
    'déplumait',
    'déplumant',
    'déplumas',
    'déplumasse',
    'déplumassent',
    'déplumasses',
    'déplumassiez',
    'déplume',
    'déplument',
    'déplumer',
    'déplumera',
    'déplumerai',
    'déplumerais',
    'déplumerait',
    'déplumeras',
    'déplumerez',
    'déplumeriez',
    'déplumerions',
    'déplumerons',
    'déplumeront',
    'déplumes',
    'déplumez',
    'déplumiez',
    'déplumions',
    'déplumons',
    'déplumâmes',
    'déplumât',
    'déplumâtes',
    'déplumèrent',
    'déplumé',
    'déplumée',
    'déplumées',
    'déplumés',
    'déplurent',
    'déplus',
    'déplusse',
    'déplussent',
    'déplusses',
    'déplussiez',
    'déplussions',
    'déplut',
    'déplâtra',
    'déplâtrage',
    'déplâtrages',
    'déplâtrai',
    'déplâtraient',
    'déplâtrais',
    'déplâtrait',
    'déplâtrant',
    'déplâtras',
    'déplâtrasse',
    'déplâtrasses',
    'déplâtre',
    'déplâtrent',
    'déplâtrer',
    'déplâtrera',
    'déplâtrerai',
    'déplâtrerais',
    'déplâtrerait',
    'déplâtreras',
    'déplâtrerez',
    'déplâtreriez',
    'déplâtrerons',
    'déplâtreront',
    'déplâtres',
    'déplâtrez',
    'déplâtriez',
    'déplâtrions',
    'déplâtrons',
    'déplâtrâmes',
    'déplâtrât',
    'déplâtrâtes',
    'déplâtrèrent',
    'déplâtré',
    'déplâtrée',
    'déplâtrées',
    'déplâtrés',
    'déplûmes',
    'déplût',
    'déplûtes',
    'dépointa',
    'dépointai',
    'dépointaient',
    'dépointais',
    'dépointait',
    'dépointant',
    'dépointas',
    'dépointasse',
    'dépointasses',
    'dépointe',
    'dépointent',
    'dépointer',
    'dépointera',
    'dépointerai',
    'dépointerais',
    'dépointerait',
    'dépointeras',
    'dépointerez',
    'dépointeriez',
    'dépointerons',
    'dépointeront',
    'dépointes',
    'dépointez',
    'dépointiez',
    'dépointions',
    'dépointons',
    'dépointâmes',
    'dépointât',
    'dépointâtes',
    'dépointèrent',
    'dépointé',
    'dépointée',
    'dépointées',
    'dépointés',
    'dépoitraillé',
    'dépolarisa',
    'dépolarisai',
    'dépolarisais',
    'dépolarisait',
    'dépolarisant',
    'dépolarisas',
    'dépolarise',
    'dépolarisent',
    'dépolariser',
    'dépolarisera',
    'dépolarises',
    'dépolarisez',
    'dépolarisiez',
    'dépolarisons',
    'dépolarisât',
    'dépolarisé',
    'dépolarisée',
    'dépolarisées',
    'dépolarisés',
    'dépoli',
    'dépolie',
    'dépolies',
    'dépolir',
    'dépolira',
    'dépolirai',
    'dépoliraient',
    'dépolirais',
    'dépolirait',
    'dépoliras',
    'dépolirent',
    'dépolirez',
    'dépoliriez',
    'dépolirions',
    'dépolirons',
    'dépoliront',
    'dépolis',
    'dépolissage',
    'dépolissages',
    'dépolissais',
    'dépolissait',
    'dépolissant',
    'dépolisse',
    'dépolissent',
    'dépolisses',
    'dépolissez',
    'dépolissiez',
    'dépolissions',
    'dépolissons',
    'dépolit',
    'dépolitisa',
    'dépolitisai',
    'dépolitisais',
    'dépolitisait',
    'dépolitisant',
    'dépolitisas',
    'dépolitise',
    'dépolitisent',
    'dépolitiser',
    'dépolitisera',
    'dépolitises',
    'dépolitisez',
    'dépolitisiez',
    'dépolitisons',
    'dépolitisât',
    'dépolitisé',
    'dépolitisée',
    'dépolitisées',
    'dépolitisés',
    'dépollua',
    'dépolluai',
    'dépolluaient',
    'dépolluais',
    'dépolluait',
    'dépolluant',
    'dépolluas',
    'dépolluasse',
    'dépolluasses',
    'dépollue',
    'dépolluent',
    'dépolluer',
    'dépolluera',
    'dépolluerai',
    'dépolluerais',
    'dépolluerait',
    'dépollueras',
    'dépolluerez',
    'dépollueriez',
    'dépolluerons',
    'dépollueront',
    'dépollues',
    'dépolluez',
    'dépolluiez',
    'dépolluions',
    'dépolluons',
    'dépolluâmes',
    'dépolluât',
    'dépolluâtes',
    'dépolluèrent',
    'dépollué',
    'dépolluée',
    'dépolluées',
    'dépollués',
    'dépolymérisa',
    'dépolymérise',
    'dépolymérisé',
    'dépolîmes',
    'dépolît',
    'dépolîtes',
    'déponent',
    'déponente',
    'déponentes',
    'déponents',
    'dépontilla',
    'dépontillai',
    'dépontillais',
    'dépontillait',
    'dépontillant',
    'dépontillas',
    'dépontille',
    'dépontillent',
    'dépontiller',
    'dépontillera',
    'dépontilles',
    'dépontillez',
    'dépontilliez',
    'dépontillons',
    'dépontillât',
    'dépontillé',
    'dépopulation',
    'déport',
    'déporta',
    'déportai',
    'déportaient',
    'déportais',
    'déportait',
    'déportant',
    'déportas',
    'déportasse',
    'déportassent',
    'déportasses',
    'déportassiez',
    'déportation',
    'déportations',
    'déporte',
    'déportement',
    'déportements',
    'déportent',
    'déporter',
    'déportera',
    'déporterai',
    'déporterais',
    'déporterait',
    'déporteras',
    'déporterez',
    'déporteriez',
    'déporterions',
    'déporterons',
    'déporteront',
    'déportes',
    'déportez',
    'déportiez',
    'déportions',
    'déportons',
    'déports',
    'déportâmes',
    'déportât',
    'déportâtes',
    'déportèrent',
    'déporté',
    'déportée',
    'déportées',
    'déportés',
    'déposa',
    'déposai',
    'déposaient',
    'déposais',
    'déposait',
    'déposant',
    'déposante',
    'déposantes',
    'déposants',
    'déposas',
    'déposasse',
    'déposassent',
    'déposasses',
    'déposassiez',
    'déposassions',
    'dépose',
    'déposent',
    'déposer',
    'déposera',
    'déposerai',
    'déposeraient',
    'déposerais',
    'déposerait',
    'déposeras',
    'déposerez',
    'déposeriez',
    'déposerions',
    'déposerons',
    'déposeront',
    'déposes',
    'déposez',
    'déposiez',
    'déposions',
    'dépositaire',
    'dépositaires',
    'déposition',
    'dépositions',
    'déposons',
    'dépossession',
    'dépossède',
    'dépossèdent',
    'dépossèdes',
    'déposséda',
    'dépossédai',
    'dépossédais',
    'dépossédait',
    'dépossédant',
    'dépossédas',
    'dépossédasse',
    'déposséder',
    'dépossédera',
    'déposséderai',
    'déposséderas',
    'déposséderez',
    'dépossédez',
    'dépossédiez',
    'dépossédions',
    'dépossédons',
    'dépossédâmes',
    'dépossédât',
    'dépossédâtes',
    'dépossédé',
    'dépossédée',
    'dépossédées',
    'dépossédés',
    'déposâmes',
    'déposât',
    'déposâtes',
    'déposèrent',
    'déposé',
    'déposée',
    'déposées',
    'déposés',
    'dépota',
    'dépotage',
    'dépotages',
    'dépotai',
    'dépotaient',
    'dépotais',
    'dépotait',
    'dépotant',
    'dépotas',
    'dépotasse',
    'dépotassent',
    'dépotasses',
    'dépotassiez',
    'dépotassions',
    'dépote',
    'dépotement',
    'dépotements',
    'dépotent',
    'dépoter',
    'dépotera',
    'dépoterai',
    'dépoteraient',
    'dépoterais',
    'dépoterait',
    'dépoteras',
    'dépoterez',
    'dépoteriez',
    'dépoterions',
    'dépoterons',
    'dépoteront',
    'dépotes',
    'dépotez',
    'dépotiez',
    'dépotions',
    'dépotoir',
    'dépotoirs',
    'dépotons',
    'dépotâmes',
    'dépotât',
    'dépotâtes',
    'dépotèrent',
    'dépoté',
    'dépotée',
    'dépotées',
    'dépotés',
    'dépoudra',
    'dépoudrai',
    'dépoudraient',
    'dépoudrais',
    'dépoudrait',
    'dépoudrant',
    'dépoudras',
    'dépoudrasse',
    'dépoudrasses',
    'dépoudre',
    'dépoudrent',
    'dépoudrer',
    'dépoudrera',
    'dépoudrerai',
    'dépoudrerais',
    'dépoudrerait',
    'dépoudreras',
    'dépoudrerez',
    'dépoudreriez',
    'dépoudrerons',
    'dépoudreront',
    'dépoudres',
    'dépoudrez',
    'dépoudriez',
    'dépoudrions',
    'dépoudrons',
    'dépoudrâmes',
    'dépoudrât',
    'dépoudrâtes',
    'dépoudrèrent',
    'dépoudré',
    'dépoudrée',
    'dépoudrées',
    'dépoudrés',
    'dépouilla',
    'dépouillai',
    'dépouillais',
    'dépouillait',
    'dépouillant',
    'dépouillas',
    'dépouillasse',
    'dépouille',
    'dépouillent',
    'dépouiller',
    'dépouillera',
    'dépouillerai',
    'dépouilleras',
    'dépouillerez',
    'dépouilles',
    'dépouillez',
    'dépouilliez',
    'dépouillions',
    'dépouillons',
    'dépouillâmes',
    'dépouillât',
    'dépouillâtes',
    'dépouillé',
    'dépouillée',
    'dépouillées',
    'dépouillés',
    'dépourvoir',
    'dépourvu',
    'dépourvue',
    'dépourvues',
    'dépourvurent',
    'dépourvus',
    'dépourvut',
    'dépourvûmes',
    'dépourvûtes',
    'dépoussière',
    'dépoussières',
    'dépoussiéra',
    'dépoussiérai',
    'dépoussiéras',
    'dépoussiérer',
    'dépoussiérez',
    'dépoussiérât',
    'dépoussiéré',
    'dépoussiérée',
    'dépoussiérés',
    'dépoétisa',
    'dépoétisai',
    'dépoétisais',
    'dépoétisait',
    'dépoétisant',
    'dépoétisas',
    'dépoétisasse',
    'dépoétise',
    'dépoétisent',
    'dépoétiser',
    'dépoétisera',
    'dépoétiserai',
    'dépoétiseras',
    'dépoétiserez',
    'dépoétises',
    'dépoétisez',
    'dépoétisiez',
    'dépoétisions',
    'dépoétisons',
    'dépoétisâmes',
    'dépoétisât',
    'dépoétisâtes',
    'dépoétisé',
    'dépoétisée',
    'dépoétisées',
    'dépoétisés',
    'déprava',
    'dépravai',
    'dépravaient',
    'dépravais',
    'dépravait',
    'dépravant',
    'dépravas',
    'dépravasse',
    'dépravassent',
    'dépravasses',
    'dépravassiez',
    'dépravation',
    'dépravations',
    'déprave',
    'dépravent',
    'dépraver',
    'dépravera',
    'dépraverai',
    'dépraverais',
    'dépraverait',
    'dépraveras',
    'dépraverez',
    'dépraveriez',
    'dépraverions',
    'dépraverons',
    'dépraveront',
    'dépraves',
    'dépravez',
    'dépraviez',
    'dépravions',
    'dépravons',
    'dépravâmes',
    'dépravât',
    'dépravâtes',
    'dépravèrent',
    'dépravé',
    'dépravée',
    'dépravées',
    'dépravés',
    'déprenaient',
    'déprenais',
    'déprenait',
    'déprenant',
    'déprend',
    'déprendra',
    'déprendrai',
    'déprendrais',
    'déprendrait',
    'déprendras',
    'déprendre',
    'déprendrez',
    'déprendriez',
    'déprendrions',
    'déprendrons',
    'déprendront',
    'déprends',
    'déprenez',
    'dépreniez',
    'déprenions',
    'déprenne',
    'déprennent',
    'déprennes',
    'déprenons',
    'dépressif',
    'dépressifs',
    'dépression',
    'dépressions',
    'dépressive',
    'dépressives',
    'dépressurisa',
    'dépressurise',
    'dépressurisé',
    'déprima',
    'déprimai',
    'déprimaient',
    'déprimais',
    'déprimait',
    'déprimant',
    'déprimante',
    'déprimantes',
    'déprimants',
    'déprimas',
    'déprimasse',
    'déprimassent',
    'déprimasses',
    'déprimassiez',
    'déprime',
    'dépriment',
    'déprimer',
    'déprimera',
    'déprimerai',
    'déprimerais',
    'déprimerait',
    'déprimeras',
    'déprimerez',
    'déprimeriez',
    'déprimerions',
    'déprimerons',
    'déprimeront',
    'déprimes',
    'déprimez',
    'déprimiez',
    'déprimions',
    'déprimons',
    'déprimâmes',
    'déprimât',
    'déprimâtes',
    'déprimèrent',
    'déprimé',
    'déprimée',
    'déprimées',
    'déprimés',
    'déprirent',
    'dépris',
    'déprisa',
    'déprisai',
    'déprisaient',
    'déprisais',
    'déprisait',
    'déprisant',
    'déprisas',
    'déprisasse',
    'déprisassent',
    'déprisasses',
    'déprisassiez',
    'déprise',
    'déprisent',
    'dépriser',
    'déprisera',
    'dépriserai',
    'dépriserais',
    'dépriserait',
    'dépriseras',
    'dépriserez',
    'dépriseriez',
    'dépriserions',
    'dépriserons',
    'dépriseront',
    'déprises',
    'déprisez',
    'déprisiez',
    'déprisions',
    'déprisons',
    'déprisse',
    'déprissent',
    'déprisses',
    'déprissiez',
    'déprissions',
    'déprisâmes',
    'déprisât',
    'déprisâtes',
    'déprisèrent',
    'déprisé',
    'déprisée',
    'déprisées',
    'déprisés',
    'déprit',
    'déprogramma',
    'déprogrammai',
    'déprogrammas',
    'déprogramme',
    'déprogrammer',
    'déprogrammes',
    'déprogrammez',
    'déprogrammât',
    'déprogrammé',
    'déprogrammée',
    'déprogrammés',
    'dépropanisa',
    'dépropanisai',
    'dépropanisas',
    'dépropanise',
    'dépropaniser',
    'dépropanises',
    'dépropanisez',
    'dépropanisât',
    'dépropanisé',
    'dépropanisée',
    'dépropanisés',
    'déprécation',
    'déprécations',
    'déprécia',
    'dépréciai',
    'dépréciaient',
    'dépréciais',
    'dépréciait',
    'dépréciant',
    'déprécias',
    'dépréciasse',
    'dépréciasses',
    'dépréciateur',
    'dépréciatif',
    'dépréciatifs',
    'dépréciation',
    'dépréciative',
    'déprécie',
    'déprécient',
    'déprécier',
    'dépréciera',
    'déprécierai',
    'déprécierais',
    'déprécierait',
    'déprécieras',
    'déprécierez',
    'déprécieriez',
    'déprécierons',
    'déprécieront',
    'déprécies',
    'dépréciez',
    'dépréciiez',
    'dépréciions',
    'déprécions',
    'dépréciâmes',
    'dépréciât',
    'dépréciâtes',
    'déprécièrent',
    'déprécié',
    'dépréciée',
    'dépréciées',
    'dépréciés',
    'déprédateur',
    'déprédateurs',
    'déprédation',
    'déprédations',
    'déprédatrice',
    'déprîmes',
    'déprît',
    'déprîtes',
    'dépucela',
    'dépucelai',
    'dépucelaient',
    'dépucelais',
    'dépucelait',
    'dépucelant',
    'dépucelas',
    'dépucelasse',
    'dépucelasses',
    'dépuceler',
    'dépucelez',
    'dépuceliez',
    'dépucelions',
    'dépucelle',
    'dépucellent',
    'dépucellera',
    'dépucellerai',
    'dépucelleras',
    'dépucellerez',
    'dépucelles',
    'dépucelons',
    'dépucelâmes',
    'dépucelât',
    'dépucelâtes',
    'dépucelèrent',
    'dépucelé',
    'dépucelée',
    'dépucelées',
    'dépucelés',
    'dépulpa',
    'dépulpai',
    'dépulpaient',
    'dépulpais',
    'dépulpait',
    'dépulpant',
    'dépulpas',
    'dépulpasse',
    'dépulpassent',
    'dépulpasses',
    'dépulpassiez',
    'dépulpe',
    'dépulpent',
    'dépulper',
    'dépulpera',
    'dépulperai',
    'dépulperais',
    'dépulperait',
    'dépulperas',
    'dépulperez',
    'dépulperiez',
    'dépulperions',
    'dépulperons',
    'dépulperont',
    'dépulpes',
    'dépulpez',
    'dépulpiez',
    'dépulpions',
    'dépulpons',
    'dépulpâmes',
    'dépulpât',
    'dépulpâtes',
    'dépulpèrent',
    'dépulpé',
    'dépulpée',
    'dépulpées',
    'dépulpés',
    'dépura',
    'dépurai',
    'dépuraient',
    'dépurais',
    'dépurait',
    'dépurant',
    'dépuras',
    'dépurasse',
    'dépurassent',
    'dépurasses',
    'dépurassiez',
    'dépurassions',
    'dépuratif',
    'dépuratifs',
    'dépuration',
    'dépurations',
    'dépurative',
    'dépuratives',
    'dépure',
    'dépurent',
    'dépurer',
    'dépurera',
    'dépurerai',
    'dépureraient',
    'dépurerais',
    'dépurerait',
    'dépureras',
    'dépurerez',
    'dépureriez',
    'dépurerions',
    'dépurerons',
    'dépureront',
    'dépures',
    'dépurez',
    'dépuriez',
    'dépurions',
    'dépurons',
    'dépurâmes',
    'dépurât',
    'dépurâtes',
    'dépurèrent',
    'dépuré',
    'dépurée',
    'dépurées',
    'dépurés',
    'députa',
    'députai',
    'députaient',
    'députais',
    'députait',
    'députant',
    'députas',
    'députasse',
    'députassent',
    'députasses',
    'députassiez',
    'députassions',
    'députation',
    'députations',
    'députe',
    'députent',
    'députer',
    'députera',
    'députerai',
    'députeraient',
    'députerais',
    'députerait',
    'députeras',
    'députerez',
    'députeriez',
    'députerions',
    'députerons',
    'députeront',
    'députes',
    'députez',
    'députiez',
    'députions',
    'députons',
    'députâmes',
    'députât',
    'députâtes',
    'députèrent',
    'député',
    'députée',
    'députées',
    'députés',
    'dépèce',
    'dépècement',
    'dépècements',
    'dépècent',
    'dépècera',
    'dépècerai',
    'dépèceraient',
    'dépècerais',
    'dépècerait',
    'dépèceras',
    'dépècerez',
    'dépèceriez',
    'dépècerions',
    'dépècerons',
    'dépèceront',
    'dépèces',
    'dépénaliser',
    'dépéri',
    'dépérir',
    'dépérira',
    'dépérirai',
    'dépériraient',
    'dépérirais',
    'dépérirait',
    'dépériras',
    'dépérirent',
    'dépérirez',
    'dépéririez',
    'dépéririons',
    'dépérirons',
    'dépériront',
    'dépéris',
    'dépérissais',
    'dépérissait',
    'dépérissant',
    'dépérisse',
    'dépérissent',
    'dépérisses',
    'dépérissez',
    'dépérissiez',
    'dépérissions',
    'dépérissons',
    'dépérit',
    'dépérîmes',
    'dépérît',
    'dépérîtes',
    'dépêcha',
    'dépêchai',
    'dépêchaient',
    'dépêchais',
    'dépêchait',
    'dépêchant',
    'dépêchas',
    'dépêchasse',
    'dépêchassent',
    'dépêchasses',
    'dépêchassiez',
    'dépêche',
    'dépêchent',
    'dépêcher',
    'dépêchera',
    'dépêcherai',
    'dépêcherais',
    'dépêcherait',
    'dépêcheras',
    'dépêcherez',
    'dépêcheriez',
    'dépêcherions',
    'dépêcherons',
    'dépêcheront',
    'dépêches',
    'dépêchez',
    'dépêchiez',
    'dépêchions',
    'dépêchons',
    'dépêchâmes',
    'dépêchât',
    'dépêchâtes',
    'dépêchèrent',
    'dépêché',
    'dépêchée',
    'dépêchées',
    'dépêchés',
    'dépêtra',
    'dépêtrai',
    'dépêtraient',
    'dépêtrais',
    'dépêtrait',
    'dépêtrant',
    'dépêtras',
    'dépêtrasse',
    'dépêtrassent',
    'dépêtrasses',
    'dépêtrassiez',
    'dépêtre',
    'dépêtrent',
    'dépêtrer',
    'dépêtrera',
    'dépêtrerai',
    'dépêtrerais',
    'dépêtrerait',
    'dépêtreras',
    'dépêtrerez',
    'dépêtreriez',
    'dépêtrerions',
    'dépêtrerons',
    'dépêtreront',
    'dépêtres',
    'dépêtrez',
    'dépêtriez',
    'dépêtrions',
    'dépêtrons',
    'dépêtrâmes',
    'dépêtrât',
    'dépêtrâtes',
    'dépêtrèrent',
    'dépêtré',
    'dépêtrée',
    'dépêtrées',
    'dépêtrés',
    'dépôt',
    'dépôts',
    'déqualifier',
    'déquilla',
    'déquillai',
    'déquillaient',
    'déquillais',
    'déquillait',
    'déquillant',
    'déquillas',
    'déquillasse',
    'déquillasses',
    'déquille',
    'déquillent',
    'déquiller',
    'déquillera',
    'déquillerai',
    'déquillerais',
    'déquillerait',
    'déquilleras',
    'déquillerez',
    'déquilleriez',
    'déquillerons',
    'déquilleront',
    'déquilles',
    'déquillez',
    'déquilliez',
    'déquillions',
    'déquillons',
    'déquillâmes',
    'déquillât',
    'déquillâtes',
    'déquillèrent',
    'déquillé',
    'déquillée',
    'déquillées',
    'déquillés',
    'déracina',
    'déracinai',
    'déracinaient',
    'déracinais',
    'déracinait',
    'déracinant',
    'déracinas',
    'déracinasse',
    'déracinasses',
    'déracine',
    'déracinement',
    'déracinent',
    'déraciner',
    'déracinera',
    'déracinerai',
    'déracinerais',
    'déracinerait',
    'déracineras',
    'déracinerez',
    'déracineriez',
    'déracinerons',
    'déracineront',
    'déracines',
    'déracinez',
    'déraciniez',
    'déracinions',
    'déracinons',
    'déracinâmes',
    'déracinât',
    'déracinâtes',
    'déracinèrent',
    'déraciné',
    'déracinée',
    'déracinées',
    'déracinés',
    'dérada',
    'déradai',
    'déradaient',
    'déradais',
    'déradait',
    'déradant',
    'déradas',
    'déradasse',
    'déradassent',
    'déradasses',
    'déradassiez',
    'déradassions',
    'dérade',
    'déradent',
    'dérader',
    'déradera',
    'déraderai',
    'déraderaient',
    'déraderais',
    'déraderait',
    'déraderas',
    'déraderez',
    'déraderiez',
    'déraderions',
    'déraderons',
    'déraderont',
    'dérades',
    'déradez',
    'déradiez',
    'déradions',
    'déradons',
    'déradâmes',
    'déradât',
    'déradâtes',
    'déradèrent',
    'déradé',
    'dérage',
    'déragea',
    'dérageai',
    'dérageaient',
    'dérageais',
    'dérageait',
    'dérageant',
    'dérageas',
    'dérageasse',
    'dérageassent',
    'dérageasses',
    'dérageassiez',
    'déragent',
    'dérageons',
    'dérager',
    'déragera',
    'déragerai',
    'dérageraient',
    'déragerais',
    'déragerait',
    'dérageras',
    'déragerez',
    'dérageriez',
    'déragerions',
    'déragerons',
    'dérageront',
    'dérages',
    'déragez',
    'dérageâmes',
    'dérageât',
    'dérageâtes',
    'déragiez',
    'déragions',
    'déragèrent',
    'déragé',
    'déraidi',
    'déraidie',
    'déraidies',
    'déraidir',
    'déraidira',
    'déraidirai',
    'déraidirais',
    'déraidirait',
    'déraidiras',
    'déraidirent',
    'déraidirez',
    'déraidiriez',
    'déraidirions',
    'déraidirons',
    'déraidiront',
    'déraidis',
    'déraidissais',
    'déraidissait',
    'déraidissant',
    'déraidisse',
    'déraidissent',
    'déraidisses',
    'déraidissez',
    'déraidissiez',
    'déraidissons',
    'déraidit',
    'déraidîmes',
    'déraidît',
    'déraidîtes',
    'déraie',
    'déraient',
    'déraiera',
    'déraierai',
    'déraieraient',
    'déraierais',
    'déraierait',
    'déraieras',
    'déraierez',
    'déraieriez',
    'déraierions',
    'déraierons',
    'déraieront',
    'déraies',
    'dérailla',
    'déraillai',
    'déraillaient',
    'déraillais',
    'déraillait',
    'déraillant',
    'déraillas',
    'déraillasse',
    'déraillasses',
    'déraille',
    'déraillement',
    'déraillent',
    'dérailler',
    'déraillera',
    'déraillerai',
    'déraillerais',
    'déraillerait',
    'dérailleras',
    'déraillerez',
    'dérailleriez',
    'déraillerons',
    'dérailleront',
    'dérailles',
    'dérailleur',
    'dérailleurs',
    'déraillez',
    'dérailliez',
    'déraillions',
    'déraillons',
    'déraillâmes',
    'déraillât',
    'déraillâtes',
    'déraillèrent',
    'déraillé',
    'déraison',
    'déraisonna',
    'déraisonnai',
    'déraisonnais',
    'déraisonnait',
    'déraisonnant',
    'déraisonnas',
    'déraisonne',
    'déraisonnent',
    'déraisonner',
    'déraisonnera',
    'déraisonnes',
    'déraisonnez',
    'déraisonniez',
    'déraisonnons',
    'déraisonnât',
    'déraisonné',
    'déraisonnée',
    'déraisonnées',
    'déraisonnés',
    'déraisons',
    'dérange',
    'dérangea',
    'dérangeai',
    'dérangeaient',
    'dérangeais',
    'dérangeait',
    'dérangeant',
    'dérangeante',
    'dérangeantes',
    'dérangeants',
    'dérangeas',
    'dérangeasse',
    'dérangeasses',
    'dérangement',
    'dérangements',
    'dérangent',
    'dérangeons',
    'déranger',
    'dérangera',
    'dérangerai',
    'dérangerais',
    'dérangerait',
    'dérangeras',
    'dérangerez',
    'dérangeriez',
    'dérangerions',
    'dérangerons',
    'dérangeront',
    'déranges',
    'dérangez',
    'dérangeâmes',
    'dérangeât',
    'dérangeâtes',
    'dérangiez',
    'dérangions',
    'dérangèrent',
    'dérangé',
    'dérangée',
    'dérangées',
    'dérangés',
    'dérapa',
    'dérapage',
    'dérapages',
    'dérapai',
    'dérapaient',
    'dérapais',
    'dérapait',
    'dérapant',
    'dérapas',
    'dérapasse',
    'dérapassent',
    'dérapasses',
    'dérapassiez',
    'dérapassions',
    'dérape',
    'dérapent',
    'déraper',
    'dérapera',
    'déraperai',
    'déraperaient',
    'déraperais',
    'déraperait',
    'déraperas',
    'déraperez',
    'déraperiez',
    'déraperions',
    'déraperons',
    'déraperont',
    'dérapes',
    'dérapez',
    'dérapiez',
    'dérapions',
    'dérapons',
    'dérapâmes',
    'dérapât',
    'dérapâtes',
    'dérapèrent',
    'dérapé',
    'dérasa',
    'dérasai',
    'dérasaient',
    'dérasais',
    'dérasait',
    'dérasant',
    'dérasas',
    'dérasasse',
    'dérasassent',
    'dérasasses',
    'dérasassiez',
    'dérasassions',
    'dérase',
    'dérasent',
    'déraser',
    'dérasera',
    'déraserai',
    'déraseraient',
    'déraserais',
    'déraserait',
    'déraseras',
    'déraserez',
    'déraseriez',
    'déraserions',
    'déraserons',
    'déraseront',
    'dérases',
    'dérasez',
    'dérasiez',
    'dérasions',
    'dérasons',
    'dérasâmes',
    'dérasât',
    'dérasâtes',
    'dérasèrent',
    'dérasé',
    'dérasée',
    'dérasées',
    'dérasés',
    'dérata',
    'dératai',
    'dérataient',
    'dératais',
    'dératait',
    'dératant',
    'dératas',
    'dératasse',
    'dératassent',
    'dératasses',
    'dératassiez',
    'dératassions',
    'dérate',
    'dératent',
    'dérater',
    'dératera',
    'dératerai',
    'dérateraient',
    'dératerais',
    'dératerait',
    'dérateras',
    'dératerez',
    'dérateriez',
    'dératerions',
    'dératerons',
    'dérateront',
    'dérates',
    'dératez',
    'dératiez',
    'dérations',
    'dératisa',
    'dératisai',
    'dératisaient',
    'dératisais',
    'dératisait',
    'dératisant',
    'dératisas',
    'dératisasse',
    'dératisasses',
    'dératisation',
    'dératise',
    'dératisent',
    'dératiser',
    'dératisera',
    'dératiserai',
    'dératiserais',
    'dératiserait',
    'dératiseras',
    'dératiserez',
    'dératiseriez',
    'dératiserons',
    'dératiseront',
    'dératises',
    'dératisez',
    'dératisiez',
    'dératisions',
    'dératisons',
    'dératisâmes',
    'dératisât',
    'dératisâtes',
    'dératisèrent',
    'dératisé',
    'dératisée',
    'dératisées',
    'dératisés',
    'dératons',
    'dératâmes',
    'dératât',
    'dératâtes',
    'dératèrent',
    'dératé',
    'dératée',
    'dératées',
    'dératés',
    'déraya',
    'dérayai',
    'dérayaient',
    'dérayais',
    'dérayait',
    'dérayant',
    'dérayas',
    'dérayasse',
    'dérayassent',
    'dérayasses',
    'dérayassiez',
    'dérayassions',
    'déraye',
    'dérayent',
    'dérayer',
    'dérayera',
    'dérayerai',
    'dérayeraient',
    'dérayerais',
    'dérayerait',
    'dérayeras',
    'dérayerez',
    'dérayeriez',
    'dérayerions',
    'dérayerons',
    'dérayeront',
    'dérayes',
    'dérayez',
    'dérayiez',
    'dérayions',
    'dérayons',
    'dérayure',
    'dérayures',
    'dérayâmes',
    'dérayât',
    'dérayâtes',
    'dérayèrent',
    'dérayé',
    'dérayée',
    'dérayées',
    'dérayés',
    'dérida',
    'déridai',
    'déridaient',
    'déridais',
    'déridait',
    'déridant',
    'déridas',
    'déridasse',
    'déridassent',
    'déridasses',
    'déridassiez',
    'déridassions',
    'déride',
    'dérident',
    'dérider',
    'déridera',
    'dériderai',
    'dérideraient',
    'dériderais',
    'dériderait',
    'dérideras',
    'dériderez',
    'dérideriez',
    'dériderions',
    'dériderons',
    'dérideront',
    'dérides',
    'déridez',
    'déridiez',
    'déridions',
    'déridons',
    'déridâmes',
    'déridât',
    'déridâtes',
    'déridèrent',
    'déridé',
    'déridée',
    'déridées',
    'déridés',
    'dérision',
    'dérisions',
    'dérisoire',
    'dérisoires',
    'dériva',
    'dérivai',
    'dérivaient',
    'dérivais',
    'dérivait',
    'dérivant',
    'dérivas',
    'dérivasse',
    'dérivassent',
    'dérivasses',
    'dérivassiez',
    'dérivassions',
    'dérivatif',
    'dérivatifs',
    'dérivation',
    'dérivations',
    'dérivative',
    'dérivatives',
    'dérive',
    'dérivent',
    'dériver',
    'dérivera',
    'dériverai',
    'dériveraient',
    'dériverais',
    'dériverait',
    'dériveras',
    'dériverez',
    'dériveriez',
    'dériverions',
    'dériverons',
    'dériveront',
    'dérives',
    'dériveur',
    'dériveurs',
    'dérivez',
    'dériviez',
    'dérivions',
    'dérivons',
    'dérivâmes',
    'dérivât',
    'dérivâtes',
    'dérivèrent',
    'dérivé',
    'dérivée',
    'dérivées',
    'dérivés',
    'déroba',
    'dérobade',
    'dérobades',
    'dérobai',
    'dérobaient',
    'dérobais',
    'dérobait',
    'dérobant',
    'dérobas',
    'dérobasse',
    'dérobassent',
    'dérobasses',
    'dérobassiez',
    'dérobassions',
    'dérobe',
    'dérobent',
    'dérober',
    'dérobera',
    'déroberai',
    'déroberaient',
    'déroberais',
    'déroberait',
    'déroberas',
    'déroberez',
    'déroberiez',
    'déroberions',
    'déroberons',
    'déroberont',
    'dérobes',
    'dérobez',
    'dérobiez',
    'dérobions',
    'dérobons',
    'dérobâmes',
    'dérobât',
    'dérobâtes',
    'dérobèrent',
    'dérobé',
    'dérobée',
    'dérobées',
    'dérobés',
    'dérocha',
    'dérochage',
    'dérochages',
    'dérochai',
    'dérochaient',
    'dérochais',
    'dérochait',
    'dérochant',
    'dérochas',
    'dérochasse',
    'dérochassent',
    'dérochasses',
    'dérochassiez',
    'déroche',
    'dérochement',
    'dérochements',
    'dérochent',
    'dérocher',
    'dérochera',
    'dérocherai',
    'dérocherais',
    'dérocherait',
    'dérocheras',
    'dérocherez',
    'dérocheriez',
    'dérocherions',
    'dérocherons',
    'dérocheront',
    'déroches',
    'dérochez',
    'dérochiez',
    'dérochions',
    'dérochons',
    'dérochâmes',
    'dérochât',
    'dérochâtes',
    'dérochèrent',
    'déroché',
    'dérochée',
    'dérochées',
    'dérochés',
    'déroda',
    'dérodai',
    'dérodaient',
    'dérodais',
    'dérodait',
    'dérodant',
    'dérodas',
    'dérodasse',
    'dérodassent',
    'dérodasses',
    'dérodassiez',
    'dérodassions',
    'dérode',
    'dérodent',
    'déroder',
    'dérodera',
    'déroderai',
    'déroderaient',
    'déroderais',
    'déroderait',
    'déroderas',
    'déroderez',
    'déroderiez',
    'déroderions',
    'déroderons',
    'déroderont',
    'dérodes',
    'dérodez',
    'dérodiez',
    'dérodions',
    'dérodons',
    'dérodâmes',
    'dérodât',
    'dérodâtes',
    'dérodèrent',
    'dérodé',
    'dérodée',
    'dérodées',
    'dérodés',
    'dérogation',
    'dérogations',
    'dérogatoire',
    'dérogatoires',
    'déroge',
    'dérogea',
    'dérogeai',
    'dérogeaient',
    'dérogeais',
    'dérogeait',
    'dérogeant',
    'dérogeas',
    'dérogeasse',
    'dérogeassent',
    'dérogeasses',
    'dérogeassiez',
    'dérogent',
    'dérogeons',
    'déroger',
    'dérogera',
    'dérogerai',
    'dérogeraient',
    'dérogerais',
    'dérogerait',
    'dérogeras',
    'dérogerez',
    'dérogeriez',
    'dérogerions',
    'dérogerons',
    'dérogeront',
    'déroges',
    'dérogez',
    'dérogeâmes',
    'dérogeât',
    'dérogeâtes',
    'dérogiez',
    'dérogions',
    'dérogèrent',
    'dérogé',
    'dérougir',
    'dérouilla',
    'dérouillai',
    'dérouillais',
    'dérouillait',
    'dérouillant',
    'dérouillas',
    'dérouillasse',
    'dérouille',
    'dérouillent',
    'dérouiller',
    'dérouillera',
    'dérouillerai',
    'dérouilleras',
    'dérouillerez',
    'dérouilles',
    'dérouillez',
    'dérouilliez',
    'dérouillions',
    'dérouillons',
    'dérouillâmes',
    'dérouillât',
    'dérouillâtes',
    'dérouillé',
    'dérouillée',
    'dérouillées',
    'dérouillés',
    'déroula',
    'déroulage',
    'déroulages',
    'déroulai',
    'déroulaient',
    'déroulais',
    'déroulait',
    'déroulant',
    'déroulas',
    'déroulasse',
    'déroulassent',
    'déroulasses',
    'déroulassiez',
    'déroule',
    'déroulement',
    'déroulements',
    'déroulent',
    'dérouler',
    'déroulera',
    'déroulerai',
    'déroulerais',
    'déroulerait',
    'dérouleras',
    'déroulerez',
    'dérouleriez',
    'déroulerions',
    'déroulerons',
    'dérouleront',
    'déroules',
    'dérouleur',
    'dérouleurs',
    'dérouleuse',
    'dérouleuses',
    'déroulez',
    'dérouliez',
    'déroulions',
    'déroulons',
    'déroulâmes',
    'déroulât',
    'déroulâtes',
    'déroulèrent',
    'déroulé',
    'déroulée',
    'déroulées',
    'déroulés',
    'dérouta',
    'déroutage',
    'déroutages',
    'déroutai',
    'déroutaient',
    'déroutais',
    'déroutait',
    'déroutant',
    'déroutante',
    'déroutantes',
    'déroutants',
    'déroutas',
    'déroutasse',
    'déroutassent',
    'déroutasses',
    'déroutassiez',
    'déroute',
    'déroutement',
    'déroutements',
    'déroutent',
    'dérouter',
    'déroutera',
    'dérouterai',
    'dérouterais',
    'dérouterait',
    'dérouteras',
    'dérouterez',
    'dérouteriez',
    'dérouterions',
    'dérouterons',
    'dérouteront',
    'déroutes',
    'déroutez',
    'déroutiez',
    'déroutions',
    'déroutons',
    'déroutâmes',
    'déroutât',
    'déroutâtes',
    'déroutèrent',
    'dérouté',
    'déroutée',
    'déroutées',
    'déroutés',
    'dérègle',
    'dérèglement',
    'dérèglements',
    'dérèglent',
    'dérègles',
    'déréalisa',
    'déréalisai',
    'déréalisais',
    'déréalisait',
    'déréalisant',
    'déréalisas',
    'déréalisasse',
    'déréalise',
    'déréalisent',
    'déréaliser',
    'déréalisera',
    'déréaliserai',
    'déréaliseras',
    'déréaliserez',
    'déréalises',
    'déréalisez',
    'déréalisiez',
    'déréalisions',
    'déréalisons',
    'déréalisâmes',
    'déréalisât',
    'déréalisâtes',
    'déréalisé',
    'déréalisée',
    'déréalisées',
    'déréalisés',
    'dérégla',
    'déréglai',
    'déréglaient',
    'déréglais',
    'déréglait',
    'déréglant',
    'déréglas',
    'déréglasse',
    'déréglassent',
    'déréglasses',
    'déréglassiez',
    'dérégler',
    'déréglera',
    'déréglerai',
    'déréglerais',
    'déréglerait',
    'dérégleras',
    'déréglerez',
    'dérégleriez',
    'déréglerions',
    'déréglerons',
    'dérégleront',
    'déréglez',
    'dérégliez',
    'déréglions',
    'déréglons',
    'déréglâmes',
    'déréglât',
    'déréglâtes',
    'déréglèrent',
    'déréglé',
    'déréglée',
    'déréglées',
    'déréglés',
    'dérégula',
    'dérégulai',
    'dérégulaient',
    'dérégulais',
    'dérégulait',
    'dérégulant',
    'dérégulas',
    'dérégulasse',
    'dérégulasses',
    'dérégulation',
    'dérégule',
    'dérégulent',
    'déréguler',
    'dérégulera',
    'dérégulerai',
    'dérégulerais',
    'dérégulerait',
    'déréguleras',
    'dérégulerez',
    'déréguleriez',
    'dérégulerons',
    'déréguleront',
    'dérégules',
    'dérégulez',
    'déréguliez',
    'dérégulions',
    'dérégulons',
    'dérégulâmes',
    'dérégulât',
    'dérégulâtes',
    'dérégulèrent',
    'dérégulé',
    'dérégulée',
    'dérégulées',
    'dérégulés',
    'déréliction',
    'dérélictions',
    'désabonna',
    'désabonnai',
    'désabonnais',
    'désabonnait',
    'désabonnant',
    'désabonnas',
    'désabonnasse',
    'désabonne',
    'désabonnent',
    'désabonner',
    'désabonnera',
    'désabonnerai',
    'désabonneras',
    'désabonnerez',
    'désabonnes',
    'désabonnez',
    'désabonniez',
    'désabonnions',
    'désabonnons',
    'désabonnâmes',
    'désabonnât',
    'désabonnâtes',
    'désabonné',
    'désabonnée',
    'désabonnées',
    'désabonnés',
    'désabusa',
    'désabusai',
    'désabusaient',
    'désabusais',
    'désabusait',
    'désabusant',
    'désabusas',
    'désabusasse',
    'désabusasses',
    'désabuse',
    'désabusement',
    'désabusent',
    'désabuser',
    'désabusera',
    'désabuserai',
    'désabuserais',
    'désabuserait',
    'désabuseras',
    'désabuserez',
    'désabuseriez',
    'désabuserons',
    'désabuseront',
    'désabuses',
    'désabusez',
    'désabusiez',
    'désabusions',
    'désabusons',
    'désabusâmes',
    'désabusât',
    'désabusâtes',
    'désabusèrent',
    'désabusé',
    'désabusée',
    'désabusées',
    'désabusés',
    'désacclimata',
    'désacclimate',
    'désacclimaté',
    'désaccord',
    'désaccorda',
    'désaccordai',
    'désaccordais',
    'désaccordait',
    'désaccordant',
    'désaccordas',
    'désaccorde',
    'désaccordent',
    'désaccorder',
    'désaccordera',
    'désaccordes',
    'désaccordez',
    'désaccordiez',
    'désaccordons',
    'désaccords',
    'désaccordât',
    'désaccordé',
    'désaccordée',
    'désaccordées',
    'désaccordés',
    'désaccoupla',
    'désaccouplai',
    'désaccouplas',
    'désaccouple',
    'désaccoupler',
    'désaccouples',
    'désaccouplez',
    'désaccouplât',
    'désaccouplé',
    'désaccouplée',
    'désaccouplés',
    'désaccoutuma',
    'désaccoutume',
    'désaccoutumé',
    'désaciérer',
    'désacralisa',
    'désacralisai',
    'désacralisas',
    'désacralise',
    'désacraliser',
    'désacralises',
    'désacralisez',
    'désacralisât',
    'désacralisé',
    'désacralisée',
    'désacralisés',
    'désactiva',
    'désactivai',
    'désactivais',
    'désactivait',
    'désactivant',
    'désactivas',
    'désactivasse',
    'désactive',
    'désactivent',
    'désactiver',
    'désactivera',
    'désactiverai',
    'désactiveras',
    'désactiverez',
    'désactives',
    'désactivez',
    'désactiviez',
    'désactivions',
    'désactivons',
    'désactivâmes',
    'désactivât',
    'désactivâtes',
    'désactivé',
    'désactivée',
    'désactivées',
    'désactivés',
    'désadapta',
    'désadaptai',
    'désadaptais',
    'désadaptait',
    'désadaptant',
    'désadaptas',
    'désadaptasse',
    'désadapte',
    'désadaptent',
    'désadapter',
    'désadaptera',
    'désadapterai',
    'désadapteras',
    'désadapterez',
    'désadaptes',
    'désadaptez',
    'désadaptiez',
    'désadaptions',
    'désadaptons',
    'désadaptâmes',
    'désadaptât',
    'désadaptâtes',
    'désadapté',
    'désadaptée',
    'désadaptées',
    'désadaptés',
    'désaffecta',
    'désaffectai',
    'désaffectais',
    'désaffectait',
    'désaffectant',
    'désaffectas',
    'désaffecte',
    'désaffectent',
    'désaffecter',
    'désaffectera',
    'désaffectes',
    'désaffectez',
    'désaffectiez',
    'désaffection',
    'désaffectons',
    'désaffectât',
    'désaffecté',
    'désaffectée',
    'désaffectées',
    'désaffectés',
    'désaffilia',
    'désaffiliai',
    'désaffiliais',
    'désaffiliait',
    'désaffiliant',
    'désaffilias',
    'désaffilie',
    'désaffilient',
    'désaffilier',
    'désaffiliera',
    'désaffilies',
    'désaffiliez',
    'désaffiliiez',
    'désaffilions',
    'désaffiliât',
    'désaffilié',
    'désaffiliée',
    'désaffiliées',
    'désaffiliés',
    'désagence',
    'désagencent',
    'désagencer',
    'désagencera',
    'désagencerai',
    'désagenceras',
    'désagencerez',
    'désagences',
    'désagencez',
    'désagenciez',
    'désagencions',
    'désagencé',
    'désagencée',
    'désagencées',
    'désagencés',
    'désagença',
    'désagençai',
    'désagençais',
    'désagençait',
    'désagençant',
    'désagenças',
    'désagençasse',
    'désagençons',
    'désagençâmes',
    'désagençât',
    'désagençâtes',
    'désagrafa',
    'désagrafai',
    'désagrafais',
    'désagrafait',
    'désagrafant',
    'désagrafas',
    'désagrafasse',
    'désagrafe',
    'désagrafent',
    'désagrafer',
    'désagrafera',
    'désagraferai',
    'désagraferas',
    'désagraferez',
    'désagrafes',
    'désagrafez',
    'désagrafiez',
    'désagrafions',
    'désagrafons',
    'désagrafâmes',
    'désagrafât',
    'désagrafâtes',
    'désagrafé',
    'désagrafée',
    'désagrafées',
    'désagrafés',
    'désagrège',
    'désagrègent',
    'désagrèges',
    'désagréable',
    'désagréables',
    'désagrégea',
    'désagrégeai',
    'désagrégeais',
    'désagrégeait',
    'désagrégeant',
    'désagrégeas',
    'désagrégeons',
    'désagréger',
    'désagrégera',
    'désagrégerai',
    'désagrégeras',
    'désagrégerez',
    'désagrégez',
    'désagrégeât',
    'désagrégiez',
    'désagrégions',
    'désagrégé',
    'désagrégée',
    'désagrégées',
    'désagrégés',
    'désagrément',
    'désagréments',
    'désaimanta',
    'désaimantai',
    'désaimantais',
    'désaimantait',
    'désaimantant',
    'désaimantas',
    'désaimante',
    'désaimantent',
    'désaimanter',
    'désaimantera',
    'désaimantes',
    'désaimantez',
    'désaimantiez',
    'désaimantons',
    'désaimantât',
    'désaimanté',
    'désaimantée',
    'désaimantées',
    'désaimantés',
    'désajusta',
    'désajustai',
    'désajustais',
    'désajustait',
    'désajustant',
    'désajustas',
    'désajustasse',
    'désajuste',
    'désajustent',
    'désajuster',
    'désajustera',
    'désajusterai',
    'désajusteras',
    'désajusterez',
    'désajustes',
    'désajustez',
    'désajustiez',
    'désajustions',
    'désajustons',
    'désajustâmes',
    'désajustât',
    'désajustâtes',
    'désajusté',
    'désajustée',
    'désajustées',
    'désajustés',
    'désaligna',
    'désalignai',
    'désalignais',
    'désalignait',
    'désalignant',
    'désalignas',
    'désalignasse',
    'désaligne',
    'désalignent',
    'désaligner',
    'désalignera',
    'désalignerai',
    'désaligneras',
    'désalignerez',
    'désalignes',
    'désalignez',
    'désaligniez',
    'désalignions',
    'désalignons',
    'désalignâmes',
    'désalignât',
    'désalignâtes',
    'désaligné',
    'désalignée',
    'désalignées',
    'désalignés',
    'désaliène',
    'désaliènent',
    'désaliènes',
    'désaliéna',
    'désaliénai',
    'désaliénais',
    'désaliénait',
    'désaliénant',
    'désaliénas',
    'désaliénasse',
    'désaliéner',
    'désaliénera',
    'désaliénerai',
    'désaliéneras',
    'désaliénerez',
    'désaliénez',
    'désaliéniez',
    'désaliénions',
    'désaliénons',
    'désaliénâmes',
    'désaliénât',
    'désaliénâtes',
    'désaliéné',
    'désaliénée',
    'désaliénées',
    'désaliénés',
    'désalper',
    'désaltère',
    'désaltèrent',
    'désaltères',
    'désaltéra',
    'désaltérai',
    'désaltérais',
    'désaltérait',
    'désaltérant',
    'désaltérante',
    'désaltérants',
    'désaltéras',
    'désaltérasse',
    'désaltérer',
    'désaltérera',
    'désaltérerai',
    'désaltéreras',
    'désaltérerez',
    'désaltérez',
    'désaltériez',
    'désaltérions',
    'désaltérons',
    'désaltérâmes',
    'désaltérât',
    'désaltérâtes',
    'désaltéré',
    'désaltérée',
    'désaltérées',
    'désaltérés',
    'désamarra',
    'désamarrai',
    'désamarrais',
    'désamarrait',
    'désamarrant',
    'désamarras',
    'désamarrasse',
    'désamarre',
    'désamarrent',
    'désamarrer',
    'désamarrera',
    'désamarrerai',
    'désamarreras',
    'désamarrerez',
    'désamarres',
    'désamarrez',
    'désamarriez',
    'désamarrions',
    'désamarrons',
    'désamarrâmes',
    'désamarrât',
    'désamarrâtes',
    'désamarré',
    'désamarrée',
    'désamarrées',
    'désamarrés',
    'désambiguïsa',
    'désambiguïse',
    'désambiguïsé',
    'désamidonna',
    'désamidonnai',
    'désamidonnas',
    'désamidonne',
    'désamidonner',
    'désamidonnes',
    'désamidonnez',
    'désamidonnât',
    'désamidonné',
    'désamidonnée',
    'désamidonnés',
    'désamorce',
    'désamorcent',
    'désamorcer',
    'désamorcera',
    'désamorcerai',
    'désamorceras',
    'désamorcerez',
    'désamorces',
    'désamorcez',
    'désamorciez',
    'désamorcions',
    'désamorcé',
    'désamorcée',
    'désamorcées',
    'désamorcés',
    'désamorça',
    'désamorçage',
    'désamorçages',
    'désamorçai',
    'désamorçais',
    'désamorçait',
    'désamorçant',
    'désamorças',
    'désamorçasse',
    'désamorçons',
    'désamorçâmes',
    'désamorçât',
    'désamorçâtes',
    'désannexa',
    'désannexai',
    'désannexais',
    'désannexait',
    'désannexant',
    'désannexas',
    'désannexasse',
    'désannexe',
    'désannexent',
    'désannexer',
    'désannexera',
    'désannexerai',
    'désannexeras',
    'désannexerez',
    'désannexes',
    'désannexez',
    'désannexiez',
    'désannexions',
    'désannexons',
    'désannexâmes',
    'désannexât',
    'désannexâtes',
    'désannexé',
    'désannexée',
    'désannexées',
    'désannexés',
    'désapparia',
    'désappariai',
    'désappariais',
    'désappariait',
    'désappariant',
    'désapparias',
    'désapparie',
    'désapparient',
    'désapparier',
    'désappariera',
    'désapparies',
    'désappariez',
    'désappariiez',
    'désapparions',
    'désappariât',
    'désapparié',
    'désappariée',
    'désappariées',
    'désappariés',
    'désappointa',
    'désappointai',
    'désappointas',
    'désappointe',
    'désappointer',
    'désappointes',
    'désappointez',
    'désappointât',
    'désappointé',
    'désappointée',
    'désappointés',
    'désapprenais',
    'désapprenait',
    'désapprenant',
    'désapprend',
    'désapprendra',
    'désapprendre',
    'désapprends',
    'désapprenez',
    'désappreniez',
    'désapprenne',
    'désapprennes',
    'désapprenons',
    'désapprirent',
    'désappris',
    'désapprise',
    'désapprises',
    'désapprisse',
    'désapprisses',
    'désapprit',
    'désapprouva',
    'désapprouvai',
    'désapprouvas',
    'désapprouve',
    'désapprouver',
    'désapprouves',
    'désapprouvez',
    'désapprouvât',
    'désapprouvé',
    'désapprouvée',
    'désapprouvés',
    'désapprîmes',
    'désapprît',
    'désapprîtes',
    'désargenta',
    'désargentai',
    'désargentais',
    'désargentait',
    'désargentant',
    'désargentas',
    'désargente',
    'désargentent',
    'désargenter',
    'désargentera',
    'désargentes',
    'désargentez',
    'désargentiez',
    'désargentons',
    'désargentât',
    'désargenté',
    'désargentée',
    'désargentées',
    'désargentés',
    'désarma',
    'désarmai',
    'désarmaient',
    'désarmais',
    'désarmait',
    'désarmant',
    'désarmante',
    'désarmantes',
    'désarmants',
    'désarmas',
    'désarmasse',
    'désarmassent',
    'désarmasses',
    'désarmassiez',
    'désarme',
    'désarmement',
    'désarmements',
    'désarment',
    'désarmer',
    'désarmera',
    'désarmerai',
    'désarmerais',
    'désarmerait',
    'désarmeras',
    'désarmerez',
    'désarmeriez',
    'désarmerions',
    'désarmerons',
    'désarmeront',
    'désarmes',
    'désarmez',
    'désarmiez',
    'désarmions',
    'désarmons',
    'désarmâmes',
    'désarmât',
    'désarmâtes',
    'désarmèrent',
    'désarmé',
    'désarmée',
    'désarmées',
    'désarmés',
    'désarrima',
    'désarrimage',
    'désarrimages',
    'désarrimai',
    'désarrimais',
    'désarrimait',
    'désarrimant',
    'désarrimas',
    'désarrimasse',
    'désarrime',
    'désarriment',
    'désarrimer',
    'désarrimera',
    'désarrimerai',
    'désarrimeras',
    'désarrimerez',
    'désarrimes',
    'désarrimez',
    'désarrimiez',
    'désarrimions',
    'désarrimons',
    'désarrimâmes',
    'désarrimât',
    'désarrimâtes',
    'désarrimé',
    'désarrimée',
    'désarrimées',
    'désarrimés',
    'désarroi',
    'désarrois',
    'désarticula',
    'désarticulai',
    'désarticulas',
    'désarticule',
    'désarticuler',
    'désarticules',
    'désarticulez',
    'désarticulât',
    'désarticulé',
    'désarticulée',
    'désarticulés',
    'désarçonna',
    'désarçonnai',
    'désarçonnais',
    'désarçonnait',
    'désarçonnant',
    'désarçonnas',
    'désarçonne',
    'désarçonnent',
    'désarçonner',
    'désarçonnera',
    'désarçonnes',
    'désarçonnez',
    'désarçonniez',
    'désarçonnons',
    'désarçonnât',
    'désarçonné',
    'désarçonnée',
    'désarçonnées',
    'désarçonnés',
    'désassembla',
    'désassemblai',
    'désassemblas',
    'désassemble',
    'désassembler',
    'désassembles',
    'désassemblez',
    'désassemblât',
    'désassemblé',
    'désassemblée',
    'désassemblés',
    'désassimila',
    'désassimilai',
    'désassimilas',
    'désassimile',
    'désassimiler',
    'désassimiles',
    'désassimilez',
    'désassimilât',
    'désassimilé',
    'désassimilée',
    'désassimilés',
    'désassorti',
    'désassortie',
    'désassorties',
    'désassortir',
    'désassortira',
    'désassortis',
    'désassortit',
    'désassortît',
    'désastre',
    'désastres',
    'désastreuse',
    'désastreuses',
    'désastreux',
    'désatelliser',
    'désatomisa',
    'désatomisai',
    'désatomisais',
    'désatomisait',
    'désatomisant',
    'désatomisas',
    'désatomise',
    'désatomisent',
    'désatomiser',
    'désatomisera',
    'désatomises',
    'désatomisez',
    'désatomisiez',
    'désatomisons',
    'désatomisât',
    'désatomisé',
    'désatomisée',
    'désatomisées',
    'désatomisés',
    'désavantage',
    'désavantagea',
    'désavantager',
    'désavantages',
    'désavantagez',
    'désavantagé',
    'désavantagée',
    'désavantagés',
    'désaveu',
    'désaveugla',
    'désaveuglai',
    'désaveuglais',
    'désaveuglait',
    'désaveuglant',
    'désaveuglas',
    'désaveugle',
    'désaveuglent',
    'désaveugler',
    'désaveuglera',
    'désaveugles',
    'désaveuglez',
    'désaveugliez',
    'désaveuglons',
    'désaveuglât',
    'désaveuglé',
    'désaveuglée',
    'désaveuglées',
    'désaveuglés',
    'désaveux',
    'désavoua',
    'désavouai',
    'désavouaient',
    'désavouais',
    'désavouait',
    'désavouant',
    'désavouas',
    'désavouasse',
    'désavouasses',
    'désavoue',
    'désavouent',
    'désavouer',
    'désavouera',
    'désavouerai',
    'désavouerais',
    'désavouerait',
    'désavoueras',
    'désavouerez',
    'désavoueriez',
    'désavouerons',
    'désavoueront',
    'désavoues',
    'désavouez',
    'désavouiez',
    'désavouions',
    'désavouons',
    'désavouâmes',
    'désavouât',
    'désavouâtes',
    'désavouèrent',
    'désavoué',
    'désavouée',
    'désavouées',
    'désavoués',
    'désaxa',
    'désaxai',
    'désaxaient',
    'désaxais',
    'désaxait',
    'désaxant',
    'désaxas',
    'désaxasse',
    'désaxassent',
    'désaxasses',
    'désaxassiez',
    'désaxassions',
    'désaxe',
    'désaxent',
    'désaxer',
    'désaxera',
    'désaxerai',
    'désaxeraient',
    'désaxerais',
    'désaxerait',
    'désaxeras',
    'désaxerez',
    'désaxeriez',
    'désaxerions',
    'désaxerons',
    'désaxeront',
    'désaxes',
    'désaxez',
    'désaxiez',
    'désaxions',
    'désaxons',
    'désaxâmes',
    'désaxât',
    'désaxâtes',
    'désaxèrent',
    'désaxé',
    'désaxée',
    'désaxées',
    'désaxés',
    'désaérer',
    'déscolariser',
    'désembourba',
    'désembourbai',
    'désembourbas',
    'désembourbe',
    'désembourber',
    'désembourbes',
    'désembourbez',
    'désembourbât',
    'désembourbé',
    'désembourbée',
    'désembourbés',
    'désembraie',
    'désembraient',
    'désembraiera',
    'désembraies',
    'désembraya',
    'désembrayai',
    'désembrayais',
    'désembrayait',
    'désembrayant',
    'désembrayas',
    'désembraye',
    'désembrayent',
    'désembrayer',
    'désembrayera',
    'désembrayes',
    'désembrayez',
    'désembrayiez',
    'désembrayons',
    'désembrayât',
    'désembrayé',
    'désembrayée',
    'désembrayées',
    'désembrayés',
    'désembua',
    'désembuai',
    'désembuaient',
    'désembuais',
    'désembuait',
    'désembuant',
    'désembuas',
    'désembuasse',
    'désembuasses',
    'désembue',
    'désembuent',
    'désembuer',
    'désembuera',
    'désembuerai',
    'désembuerais',
    'désembuerait',
    'désembueras',
    'désembuerez',
    'désembueriez',
    'désembuerons',
    'désembueront',
    'désembues',
    'désembuez',
    'désembuiez',
    'désembuions',
    'désembuons',
    'désembuâmes',
    'désembuât',
    'désembuâtes',
    'désembuèrent',
    'désembué',
    'désembuée',
    'désembuées',
    'désembués',
    'désemmancha',
    'désemmanchai',
    'désemmanchas',
    'désemmanche',
    'désemmancher',
    'désemmanches',
    'désemmanchez',
    'désemmanchât',
    'désemmanché',
    'désemmanchée',
    'désemmanchés',
    'désempara',
    'désemparai',
    'désemparais',
    'désemparait',
    'désemparant',
    'désemparas',
    'désemparasse',
    'désempare',
    'désemparent',
    'désemparer',
    'désemparera',
    'désemparerai',
    'désempareras',
    'désemparerez',
    'désempares',
    'désemparez',
    'désempariez',
    'désemparions',
    'désemparons',
    'désemparâmes',
    'désemparât',
    'désemparâtes',
    'désemparé',
    'désemparée',
    'désemparées',
    'désemparés',
    'désempesa',
    'désempesai',
    'désempesais',
    'désempesait',
    'désempesant',
    'désempesas',
    'désempesasse',
    'désempeser',
    'désempesez',
    'désempesiez',
    'désempesions',
    'désempesons',
    'désempesâmes',
    'désempesât',
    'désempesâtes',
    'désempesé',
    'désempesée',
    'désempesées',
    'désempesés',
    'désempli',
    'désemplie',
    'désemplies',
    'désemplir',
    'désemplira',
    'désemplirai',
    'désemplirais',
    'désemplirait',
    'désempliras',
    'désemplirent',
    'désemplirez',
    'désempliriez',
    'désemplirons',
    'désempliront',
    'désemplis',
    'désemplisse',
    'désemplissez',
    'désemplit',
    'désempèse',
    'désempèsent',
    'désempèsera',
    'désempèserai',
    'désempèseras',
    'désempèserez',
    'désempèses',
    'désencadra',
    'désencadrai',
    'désencadrais',
    'désencadrait',
    'désencadrant',
    'désencadras',
    'désencadre',
    'désencadrent',
    'désencadrer',
    'désencadrera',
    'désencadres',
    'désencadrez',
    'désencadriez',
    'désencadrons',
    'désencadrât',
    'désencadré',
    'désencadrée',
    'désencadrées',
    'désencadrés',
    'désencarta',
    'désencartai',
    'désencartais',
    'désencartait',
    'désencartant',
    'désencartas',
    'désencarte',
    'désencartent',
    'désencarter',
    'désencartera',
    'désencartes',
    'désencartez',
    'désencartiez',
    'désencartons',
    'désencartât',
    'désencarté',
    'désencartée',
    'désencartées',
    'désencartés',
    'désenchanta',
    'désenchantai',
    'désenchantas',
    'désenchante',
    'désenchanter',
    'désenchantes',
    'désenchantez',
    'désenchantât',
    'désenchanté',
    'désenchantée',
    'désenchantés',
    'désenchaîna',
    'désenchaînai',
    'désenchaînas',
    'désenchaîne',
    'désenchaîner',
    'désenchaînes',
    'désenchaînez',
    'désenchaînât',
    'désenchaîné',
    'désenchaînée',
    'désenchaînés',
    'désenclava',
    'désenclavai',
    'désenclavais',
    'désenclavait',
    'désenclavant',
    'désenclavas',
    'désenclave',
    'désenclavent',
    'désenclaver',
    'désenclavera',
    'désenclaves',
    'désenclavez',
    'désenclaviez',
    'désenclavons',
    'désenclavât',
    'désenclavé',
    'désenclavée',
    'désenclavées',
    'désenclavés',
    'désencolla',
    'désencollai',
    'désencollais',
    'désencollait',
    'désencollant',
    'désencollas',
    'désencolle',
    'désencollent',
    'désencoller',
    'désencollera',
    'désencolles',
    'désencollez',
    'désencolliez',
    'désencollons',
    'désencollât',
    'désencollé',
    'désencollée',
    'désencollées',
    'désencollés',
    'désencombra',
    'désencombrai',
    'désencombras',
    'désencombre',
    'désencombrer',
    'désencombres',
    'désencombrez',
    'désencombrât',
    'désencombré',
    'désencombrée',
    'désencombrés',
    'désencrassa',
    'désencrassai',
    'désencrassas',
    'désencrasse',
    'désencrasser',
    'désencrasses',
    'désencrassez',
    'désencrassât',
    'désencrassé',
    'désencrassée',
    'désencrassés',
    'désendetta',
    'désendettai',
    'désendettais',
    'désendettait',
    'désendettant',
    'désendettas',
    'désendette',
    'désendettent',
    'désendetter',
    'désendettera',
    'désendettes',
    'désendettez',
    'désendettiez',
    'désendettons',
    'désendettât',
    'désendetté',
    'désendettée',
    'désendettées',
    'désendettés',
    'désenfila',
    'désenfilai',
    'désenfilais',
    'désenfilait',
    'désenfilant',
    'désenfilas',
    'désenfilasse',
    'désenfile',
    'désenfilent',
    'désenfiler',
    'désenfilera',
    'désenfilerai',
    'désenfileras',
    'désenfilerez',
    'désenfiles',
    'désenfilez',
    'désenfiliez',
    'désenfilions',
    'désenfilons',
    'désenfilâmes',
    'désenfilât',
    'désenfilâtes',
    'désenfilé',
    'désenfilée',
    'désenfilées',
    'désenfilés',
    'désenfla',
    'désenflai',
    'désenflaient',
    'désenflais',
    'désenflait',
    'désenflamma',
    'désenflammai',
    'désenflammas',
    'désenflamme',
    'désenflammer',
    'désenflammes',
    'désenflammez',
    'désenflammât',
    'désenflammé',
    'désenflammée',
    'désenflammés',
    'désenflant',
    'désenflas',
    'désenflasse',
    'désenflasses',
    'désenfle',
    'désenflent',
    'désenfler',
    'désenflera',
    'désenflerai',
    'désenflerais',
    'désenflerait',
    'désenfleras',
    'désenflerez',
    'désenfleriez',
    'désenflerons',
    'désenfleront',
    'désenfles',
    'désenflez',
    'désenfliez',
    'désenflions',
    'désenflons',
    'désenflâmes',
    'désenflât',
    'désenflâtes',
    'désenflèrent',
    'désenflé',
    'désenflée',
    'désenflées',
    'désenflés',
    'désenfuma',
    'désenfumai',
    'désenfumais',
    'désenfumait',
    'désenfumant',
    'désenfumas',
    'désenfumasse',
    'désenfume',
    'désenfument',
    'désenfumer',
    'désenfumera',
    'désenfumerai',
    'désenfumeras',
    'désenfumerez',
    'désenfumes',
    'désenfumez',
    'désenfumiez',
    'désenfumions',
    'désenfumons',
    'désenfumâmes',
    'désenfumât',
    'désenfumâtes',
    'désenfumé',
    'désenfumée',
    'désenfumées',
    'désenfumés',
    'désengage',
    'désengagea',
    'désengageai',
    'désengageais',
    'désengageait',
    'désengageant',
    'désengageas',
    'désengagent',
    'désengageons',
    'désengager',
    'désengagera',
    'désengagerai',
    'désengageras',
    'désengagerez',
    'désengages',
    'désengagez',
    'désengageât',
    'désengagiez',
    'désengagions',
    'désengagé',
    'désengagée',
    'désengagées',
    'désengagés',
    'désengorge',
    'désengorgea',
    'désengorgeai',
    'désengorgeas',
    'désengorgent',
    'désengorger',
    'désengorgera',
    'désengorges',
    'désengorgez',
    'désengorgeât',
    'désengorgiez',
    'désengorgé',
    'désengorgée',
    'désengorgées',
    'désengorgés',
    'désengourdi',
    'désengourdie',
    'désengourdir',
    'désengourdis',
    'désengourdit',
    'désengourdît',
    'désengrener',
    'désenivra',
    'désenivrai',
    'désenivrais',
    'désenivrait',
    'désenivrant',
    'désenivras',
    'désenivrasse',
    'désenivre',
    'désenivrent',
    'désenivrer',
    'désenivrera',
    'désenivrerai',
    'désenivreras',
    'désenivrerez',
    'désenivres',
    'désenivrez',
    'désenivriez',
    'désenivrions',
    'désenivrons',
    'désenivrâmes',
    'désenivrât',
    'désenivrâtes',
    'désenivré',
    'désenivrée',
    'désenivrées',
    'désenivrés',
    'désenlace',
    'désenlacent',
    'désenlacer',
    'désenlacera',
    'désenlacerai',
    'désenlaceras',
    'désenlacerez',
    'désenlaces',
    'désenlacez',
    'désenlaciez',
    'désenlacions',
    'désenlacé',
    'désenlacée',
    'désenlacées',
    'désenlacés',
    'désenlaidi',
    'désenlaidie',
    'désenlaidies',
    'désenlaidir',
    'désenlaidira',
    'désenlaidis',
    'désenlaidit',
    'désenlaidît',
    'désenlaça',
    'désenlaçai',
    'désenlaçais',
    'désenlaçait',
    'désenlaçant',
    'désenlaças',
    'désenlaçasse',
    'désenlaçons',
    'désenlaçâmes',
    'désenlaçât',
    'désenlaçâtes',
    'désennnuyer',
    'désennuie',
    'désennuient',
    'désennuiera',
    'désennuierai',
    'désennuieras',
    'désennuierez',
    'désennuies',
    'désennuya',
    'désennuyai',
    'désennuyais',
    'désennuyait',
    'désennuyant',
    'désennuyas',
    'désennuyasse',
    'désennuyer',
    'désennuyez',
    'désennuyiez',
    'désennuyions',
    'désennuyons',
    'désennuyâmes',
    'désennuyât',
    'désennuyâtes',
    'désennuyé',
    'désennuyée',
    'désennuyées',
    'désennuyés',
    'désenraie',
    'désenraient',
    'désenraiera',
    'désenraierai',
    'désenraieras',
    'désenraierez',
    'désenraies',
    'désenraya',
    'désenrayai',
    'désenrayais',
    'désenrayait',
    'désenrayant',
    'désenrayas',
    'désenrayasse',
    'désenraye',
    'désenrayent',
    'désenrayer',
    'désenrayera',
    'désenrayerai',
    'désenrayeras',
    'désenrayerez',
    'désenrayes',
    'désenrayez',
    'désenrayiez',
    'désenrayions',
    'désenrayons',
    'désenrayâmes',
    'désenrayât',
    'désenrayâtes',
    'désenrayé',
    'désenrayée',
    'désenrayées',
    'désenrayés',
    'désenrhuma',
    'désenrhumai',
    'désenrhumais',
    'désenrhumait',
    'désenrhumant',
    'désenrhumas',
    'désenrhume',
    'désenrhument',
    'désenrhumer',
    'désenrhumera',
    'désenrhumes',
    'désenrhumez',
    'désenrhumiez',
    'désenrhumons',
    'désenrhumât',
    'désenrhumé',
    'désenrhumée',
    'désenrhumées',
    'désenrhumés',
    'désenroua',
    'désenrouai',
    'désenrouais',
    'désenrouait',
    'désenrouant',
    'désenrouas',
    'désenrouasse',
    'désenroue',
    'désenrouent',
    'désenrouer',
    'désenrouera',
    'désenrouerai',
    'désenroueras',
    'désenrouerez',
    'désenroues',
    'désenrouez',
    'désenrouiez',
    'désenrouions',
    'désenrouons',
    'désenrouâmes',
    'désenrouât',
    'désenrouâtes',
    'désenroué',
    'désenrouée',
    'désenrouées',
    'désenroués',
    'désensabla',
    'désensablai',
    'désensablais',
    'désensablait',
    'désensablant',
    'désensablas',
    'désensable',
    'désensablent',
    'désensabler',
    'désensablera',
    'désensables',
    'désensablez',
    'désensabliez',
    'désensablons',
    'désensablât',
    'désensablé',
    'désensablée',
    'désensablées',
    'désensablés',
    'désensimer',
    'désensorcela',
    'désensorcelé',
    'désentoila',
    'désentoilage',
    'désentoilai',
    'désentoilais',
    'désentoilait',
    'désentoilant',
    'désentoilas',
    'désentoile',
    'désentoilent',
    'désentoiler',
    'désentoilera',
    'désentoiles',
    'désentoilez',
    'désentoiliez',
    'désentoilons',
    'désentoilât',
    'désentoilé',
    'désentoilée',
    'désentoilées',
    'désentoilés',
    'désentrava',
    'désentravai',
    'désentravais',
    'désentravait',
    'désentravant',
    'désentravas',
    'désentrave',
    'désentravent',
    'désentraver',
    'désentravera',
    'désentraves',
    'désentravez',
    'désentraviez',
    'désentravons',
    'désentravât',
    'désentravé',
    'désentravée',
    'désentravées',
    'désentravés',
    'désenvasa',
    'désenvasai',
    'désenvasais',
    'désenvasait',
    'désenvasant',
    'désenvasas',
    'désenvasasse',
    'désenvase',
    'désenvasent',
    'désenvaser',
    'désenvasera',
    'désenvaserai',
    'désenvaseras',
    'désenvaserez',
    'désenvases',
    'désenvasez',
    'désenvasiez',
    'désenvasions',
    'désenvasons',
    'désenvasâmes',
    'désenvasât',
    'désenvasâtes',
    'désenvasé',
    'désenvasée',
    'désenvasées',
    'désenvasés',
    'désenveloppa',
    'désenveloppe',
    'désenveloppé',
    'désenvenima',
    'désenvenimai',
    'désenvenimas',
    'désenvenime',
    'désenvenimer',
    'désenvenimes',
    'désenvenimez',
    'désenvenimât',
    'désenvenimé',
    'désenvenimée',
    'désenvenimés',
    'désenvergua',
    'désenverguai',
    'désenverguas',
    'désenvergue',
    'désenverguer',
    'désenvergues',
    'désenverguez',
    'désenverguât',
    'désenvergué',
    'désenverguée',
    'désenvergués',
    'désert',
    'déserta',
    'désertai',
    'désertaient',
    'désertais',
    'désertait',
    'désertant',
    'désertas',
    'désertasse',
    'désertassent',
    'désertasses',
    'désertassiez',
    'déserte',
    'désertent',
    'déserter',
    'désertera',
    'déserterai',
    'déserterais',
    'déserterait',
    'déserteras',
    'déserterez',
    'déserteriez',
    'déserterions',
    'déserterons',
    'déserteront',
    'désertes',
    'déserteur',
    'déserteurs',
    'déserteuse',
    'déserteuses',
    'désertez',
    'désertiez',
    'désertifier',
    'désertion',
    'désertions',
    'désertique',
    'désertiques',
    'désertons',
    'déserts',
    'désertâmes',
    'désertât',
    'désertâtes',
    'désertèrent',
    'déserté',
    'désertée',
    'désertées',
    'désertés',
    'désescalade',
    'désescalades',
    'désespoir',
    'désespoirs',
    'désespère',
    'désespèrent',
    'désespères',
    'désespéra',
    'désespérai',
    'désespérais',
    'désespérait',
    'désespérance',
    'désespérant',
    'désespérante',
    'désespérants',
    'désespéras',
    'désespérasse',
    'désespérer',
    'désespérera',
    'désespérerai',
    'désespéreras',
    'désespérerez',
    'désespérez',
    'désespériez',
    'désespérions',
    'désespérons',
    'désespérâmes',
    'désespérât',
    'désespérâtes',
    'désespéré',
    'désespérée',
    'désespérées',
    'désespérés',
    'désexciter',
    'désexualiser',
    'déshabilla',
    'déshabillage',
    'déshabillai',
    'déshabillais',
    'déshabillait',
    'déshabillant',
    'déshabillas',
    'déshabille',
    'déshabillent',
    'déshabiller',
    'déshabillera',
    'déshabilles',
    'déshabillez',
    'déshabilliez',
    'déshabillons',
    'déshabillât',
    'déshabillé',
    'déshabillée',
    'déshabillées',
    'déshabillés',
    'déshabitua',
    'déshabituai',
    'déshabituais',
    'déshabituait',
    'déshabituant',
    'déshabituas',
    'déshabitue',
    'déshabituent',
    'déshabituer',
    'déshabituera',
    'déshabitues',
    'déshabituez',
    'déshabituiez',
    'déshabituons',
    'déshabituât',
    'déshabitué',
    'déshabituée',
    'déshabituées',
    'déshabitués',
    'désherba',
    'désherbage',
    'désherbages',
    'désherbai',
    'désherbaient',
    'désherbais',
    'désherbait',
    'désherbant',
    'désherbante',
    'désherbantes',
    'désherbants',
    'désherbas',
    'désherbasse',
    'désherbasses',
    'désherbe',
    'désherbent',
    'désherber',
    'désherbera',
    'désherberai',
    'désherberais',
    'désherberait',
    'désherberas',
    'désherberez',
    'désherberiez',
    'désherberons',
    'désherberont',
    'désherbes',
    'désherbez',
    'désherbiez',
    'désherbions',
    'désherbons',
    'désherbâmes',
    'désherbât',
    'désherbâtes',
    'désherbèrent',
    'désherbé',
    'désherbée',
    'désherbées',
    'désherbés',
    'déshonneur',
    'déshonneurs',
    'déshonnête',
    'déshonnêtes',
    'déshonnêteté',
    'déshonora',
    'déshonorai',
    'déshonorais',
    'déshonorait',
    'déshonorant',
    'déshonorante',
    'déshonorants',
    'déshonoras',
    'déshonorasse',
    'déshonore',
    'déshonorent',
    'déshonorer',
    'déshonorera',
    'déshonorerai',
    'déshonoreras',
    'déshonorerez',
    'déshonores',
    'déshonorez',
    'déshonoriez',
    'déshonorions',
    'déshonorons',
    'déshonorâmes',
    'déshonorât',
    'déshonorâtes',
    'déshonoré',
    'déshonorée',
    'déshonorées',
    'déshonorés',
    'déshuila',
    'déshuilai',
    'déshuilaient',
    'déshuilais',
    'déshuilait',
    'déshuilant',
    'déshuilas',
    'déshuilasse',
    'déshuilasses',
    'déshuile',
    'déshuilent',
    'déshuiler',
    'déshuilera',
    'déshuilerai',
    'déshuilerais',
    'déshuilerait',
    'déshuileras',
    'déshuilerez',
    'déshuileriez',
    'déshuilerons',
    'déshuileront',
    'déshuiles',
    'déshuilez',
    'déshuiliez',
    'déshuilions',
    'déshuilons',
    'déshuilâmes',
    'déshuilât',
    'déshuilâtes',
    'déshuilèrent',
    'déshuilé',
    'déshuilée',
    'déshuilées',
    'déshuilés',
    'déshumanisa',
    'déshumanisai',
    'déshumanisas',
    'déshumanise',
    'déshumaniser',
    'déshumanises',
    'déshumanisez',
    'déshumanisât',
    'déshumanisé',
    'déshumanisée',
    'déshumanisés',
    'déshumidifia',
    'déshumidifie',
    'déshumidifié',
    'déshydrata',
    'déshydratai',
    'déshydratais',
    'déshydratait',
    'déshydratant',
    'déshydratas',
    'déshydrate',
    'déshydratent',
    'déshydrater',
    'déshydratera',
    'déshydrates',
    'déshydratez',
    'déshydratiez',
    'déshydratons',
    'déshydratât',
    'déshydraté',
    'déshydratée',
    'déshydratées',
    'déshydratés',
    'déshydrogène',
    'déshydrogéna',
    'déshydrogéné',
    'déshérence',
    'déshérences',
    'déshérita',
    'déshéritai',
    'déshéritais',
    'déshéritait',
    'déshéritant',
    'déshéritas',
    'déshéritasse',
    'déshérite',
    'déshéritent',
    'déshériter',
    'déshéritera',
    'déshériterai',
    'déshériteras',
    'déshériterez',
    'déshérites',
    'déshéritez',
    'déshéritiez',
    'déshéritions',
    'déshéritons',
    'déshéritâmes',
    'déshéritât',
    'déshéritâtes',
    'déshérité',
    'déshéritée',
    'déshéritées',
    'déshérités',
    'désigna',
    'désignai',
    'désignaient',
    'désignais',
    'désignait',
    'désignant',
    'désignas',
    'désignasse',
    'désignassent',
    'désignasses',
    'désignassiez',
    'désignatif',
    'désignatifs',
    'désignation',
    'désignations',
    'désignative',
    'désignatives',
    'désigne',
    'désignent',
    'désigner',
    'désignera',
    'désignerai',
    'désignerais',
    'désignerait',
    'désigneras',
    'désignerez',
    'désigneriez',
    'désignerions',
    'désignerons',
    'désigneront',
    'désignes',
    'désignez',
    'désigniez',
    'désignions',
    'désignons',
    'désignâmes',
    'désignât',
    'désignâtes',
    'désignèrent',
    'désigné',
    'désignée',
    'désignées',
    'désignés',
    'désiliciage',
    'désiliciages',
    'désillusion',
    'désillusions',
    'désincarna',
    'désincarnai',
    'désincarnais',
    'désincarnait',
    'désincarnant',
    'désincarnas',
    'désincarne',
    'désincarnent',
    'désincarner',
    'désincarnera',
    'désincarnes',
    'désincarnez',
    'désincarniez',
    'désincarnons',
    'désincarnât',
    'désincarné',
    'désincarnée',
    'désincarnées',
    'désincarnés',
    'désincorpora',
    'désincorpore',
    'désincorporé',
    'désincrusta',
    'désincrustai',
    'désincrustas',
    'désincruste',
    'désincruster',
    'désincrustes',
    'désincrustez',
    'désincrustât',
    'désincrusté',
    'désincrustée',
    'désincrustés',
    'désinculpa',
    'désinculpai',
    'désinculpais',
    'désinculpait',
    'désinculpant',
    'désinculpas',
    'désinculpe',
    'désinculpent',
    'désinculper',
    'désinculpera',
    'désinculpes',
    'désinculpez',
    'désinculpiez',
    'désinculpons',
    'désinculpât',
    'désinculpé',
    'désinculpée',
    'désinculpées',
    'désinculpés',
    'désindexa',
    'désindexai',
    'désindexais',
    'désindexait',
    'désindexant',
    'désindexas',
    'désindexasse',
    'désindexe',
    'désindexent',
    'désindexer',
    'désindexera',
    'désindexerai',
    'désindexeras',
    'désindexerez',
    'désindexes',
    'désindexez',
    'désindexiez',
    'désindexions',
    'désindexons',
    'désindexâmes',
    'désindexât',
    'désindexâtes',
    'désindexé',
    'désindexée',
    'désindexées',
    'désindexés',
    'désinence',
    'désinences',
    'désinentiel',
    'désinentiels',
    'désinfecta',
    'désinfectai',
    'désinfectais',
    'désinfectait',
    'désinfectant',
    'désinfectas',
    'désinfecte',
    'désinfectent',
    'désinfecter',
    'désinfectera',
    'désinfectes',
    'désinfectez',
    'désinfectiez',
    'désinfection',
    'désinfectons',
    'désinfectât',
    'désinfecté',
    'désinfectée',
    'désinfectées',
    'désinfectés',
    'désinflation',
    'désinsectisa',
    'désinsectise',
    'désinsectisé',
    'désinsertion',
    'désintoxiqua',
    'désintoxique',
    'désintoxiqué',
    'désintègre',
    'désintègrent',
    'désintègres',
    'désintégra',
    'désintégrai',
    'désintégrais',
    'désintégrait',
    'désintégrant',
    'désintégras',
    'désintégrer',
    'désintégrera',
    'désintégrez',
    'désintégriez',
    'désintégrons',
    'désintégrât',
    'désintégré',
    'désintégrée',
    'désintégrées',
    'désintégrés',
    'désintéressa',
    'désintéresse',
    'désintéressé',
    'désintérêt',
    'désintérêts',
    'désinvesti',
    'désinvestie',
    'désinvesties',
    'désinvestir',
    'désinvestira',
    'désinvestis',
    'désinvestit',
    'désinvestît',
    'désinvita',
    'désinvitai',
    'désinvitais',
    'désinvitait',
    'désinvitant',
    'désinvitas',
    'désinvitasse',
    'désinvite',
    'désinvitent',
    'désinviter',
    'désinvitera',
    'désinviterai',
    'désinviteras',
    'désinviterez',
    'désinvites',
    'désinvitez',
    'désinvitiez',
    'désinvitions',
    'désinvitons',
    'désinvitâmes',
    'désinvitât',
    'désinvitâtes',
    'désinvité',
    'désinvitée',
    'désinvitées',
    'désinvités',
    'désinvolte',
    'désinvoltes',
    'désinvolture',
    'désir',
    'désira',
    'désirable',
    'désirables',
    'désirai',
    'désiraient',
    'désirais',
    'désirait',
    'désirant',
    'désiras',
    'désirasse',
    'désirassent',
    'désirasses',
    'désirassiez',
    'désirassions',
    'désire',
    'désirent',
    'désirer',
    'désirera',
    'désirerai',
    'désireraient',
    'désirerais',
    'désirerait',
    'désireras',
    'désirerez',
    'désireriez',
    'désirerions',
    'désirerons',
    'désireront',
    'désires',
    'désireuse',
    'désireuses',
    'désireux',
    'désirez',
    'désiriez',
    'désirions',
    'désirons',
    'désirs',
    'désirâmes',
    'désirât',
    'désirâtes',
    'désirèrent',
    'désiré',
    'désirée',
    'désirées',
    'désirés',
    'désista',
    'désistai',
    'désistaient',
    'désistais',
    'désistait',
    'désistant',
    'désistas',
    'désistasse',
    'désistassent',
    'désistasses',
    'désistassiez',
    'désiste',
    'désistement',
    'désistements',
    'désistent',
    'désister',
    'désistera',
    'désisterai',
    'désisterais',
    'désisterait',
    'désisteras',
    'désisterez',
    'désisteriez',
    'désisterions',
    'désisterons',
    'désisteront',
    'désistes',
    'désistez',
    'désistiez',
    'désistions',
    'désistons',
    'désistâmes',
    'désistât',
    'désistâtes',
    'désistèrent',
    'désisté',
    'désistée',
    'désistées',
    'désistés',
    'désoblige',
    'désobligea',
    'désobligeai',
    'désobligeais',
    'désobligeait',
    'désobligeant',
    'désobligeas',
    'désobligent',
    'désobligeons',
    'désobliger',
    'désobligera',
    'désobligerai',
    'désobligeras',
    'désobligerez',
    'désobliges',
    'désobligez',
    'désobligeât',
    'désobligiez',
    'désobligions',
    'désobligé',
    'désobligée',
    'désobligées',
    'désobligés',
    'désobstrua',
    'désobstruai',
    'désobstruais',
    'désobstruait',
    'désobstruas',
    'désobstruaît',
    'désobstrue',
    'désobstruent',
    'désobstruer',
    'désobstruera',
    'désobstrues',
    'désobstruât',
    'désobstrué',
    'désobstruée',
    'désobstruées',
    'désobstrués',
    'désobéi',
    'désobéie',
    'désobéies',
    'désobéir',
    'désobéira',
    'désobéirai',
    'désobéirais',
    'désobéirait',
    'désobéiras',
    'désobéirent',
    'désobéirez',
    'désobéiriez',
    'désobéirions',
    'désobéirons',
    'désobéiront',
    'désobéis',
    'désobéissais',
    'désobéissait',
    'désobéissant',
    'désobéisse',
    'désobéissent',
    'désobéisses',
    'désobéissez',
    'désobéissiez',
    'désobéissons',
    'désobéit',
    'désobéîmes',
    'désobéît',
    'désobéîtes',
    'désoccupa',
    'désoccupai',
    'désoccupais',
    'désoccupait',
    'désoccupant',
    'désoccupas',
    'désoccupasse',
    'désoccupe',
    'désoccupent',
    'désoccuper',
    'désoccupera',
    'désoccuperai',
    'désoccuperas',
    'désoccuperez',
    'désoccupes',
    'désoccupez',
    'désoccupiez',
    'désoccupions',
    'désoccupons',
    'désoccupâmes',
    'désoccupât',
    'désoccupâtes',
    'désoccupé',
    'désoccupée',
    'désoccupées',
    'désoccupés',
    'désodorisa',
    'désodorisai',
    'désodorisais',
    'désodorisait',
    'désodorisant',
    'désodorisas',
    'désodorise',
    'désodorisent',
    'désodoriser',
    'désodorisera',
    'désodorises',
    'désodorisez',
    'désodorisiez',
    'désodorisons',
    'désodorisât',
    'désodorisé',
    'désodorisée',
    'désodorisées',
    'désodorisés',
    'désoeuvré',
    'désoeuvrée',
    'désoeuvrées',
    'désoeuvrés',
    'désola',
    'désolai',
    'désolaient',
    'désolais',
    'désolait',
    'désolant',
    'désolante',
    'désolantes',
    'désolants',
    'désolas',
    'désolasse',
    'désolassent',
    'désolasses',
    'désolassiez',
    'désolassions',
    'désolation',
    'désolations',
    'désole',
    'désolent',
    'désoler',
    'désolera',
    'désolerai',
    'désoleraient',
    'désolerais',
    'désolerait',
    'désoleras',
    'désolerez',
    'désoleriez',
    'désolerions',
    'désolerons',
    'désoleront',
    'désoles',
    'désolez',
    'désolidarisa',
    'désolidarise',
    'désolidarisé',
    'désoliez',
    'désolions',
    'désolons',
    'désolâmes',
    'désolât',
    'désolâtes',
    'désolèrent',
    'désolé',
    'désolée',
    'désolées',
    'désolés',
    'désoperculer',
    'désopila',
    'désopilai',
    'désopilaient',
    'désopilais',
    'désopilait',
    'désopilant',
    'désopilante',
    'désopilantes',
    'désopilants',
    'désopilas',
    'désopilasse',
    'désopilasses',
    'désopile',
    'désopilent',
    'désopiler',
    'désopilera',
    'désopilerai',
    'désopilerais',
    'désopilerait',
    'désopileras',
    'désopilerez',
    'désopileriez',
    'désopilerons',
    'désopileront',
    'désopiles',
    'désopilez',
    'désopiliez',
    'désopilions',
    'désopilons',
    'désopilâmes',
    'désopilât',
    'désopilâtes',
    'désopilèrent',
    'désopilé',
    'désopilée',
    'désopilées',
    'désopilés',
    'désorba',
    'désorbai',
    'désorbaient',
    'désorbais',
    'désorbait',
    'désorbant',
    'désorbas',
    'désorbasse',
    'désorbassent',
    'désorbasses',
    'désorbassiez',
    'désorbe',
    'désorbent',
    'désorber',
    'désorbera',
    'désorberai',
    'désorberais',
    'désorberait',
    'désorberas',
    'désorberez',
    'désorberiez',
    'désorberions',
    'désorberons',
    'désorberont',
    'désorbes',
    'désorbez',
    'désorbiez',
    'désorbions',
    'désorbita',
    'désorbitai',
    'désorbitais',
    'désorbitait',
    'désorbitant',
    'désorbitas',
    'désorbitasse',
    'désorbite',
    'désorbitent',
    'désorbiter',
    'désorbitera',
    'désorbiterai',
    'désorbiteras',
    'désorbiterez',
    'désorbites',
    'désorbitez',
    'désorbitiez',
    'désorbitions',
    'désorbitons',
    'désorbitâmes',
    'désorbitât',
    'désorbitâtes',
    'désorbité',
    'désorbitée',
    'désorbitées',
    'désorbités',
    'désorbons',
    'désorbâmes',
    'désorbât',
    'désorbâtes',
    'désorbèrent',
    'désorbé',
    'désorbée',
    'désorbées',
    'désorbés',
    'désordonna',
    'désordonnai',
    'désordonnais',
    'désordonnait',
    'désordonnant',
    'désordonnas',
    'désordonne',
    'désordonnent',
    'désordonner',
    'désordonnera',
    'désordonnes',
    'désordonnez',
    'désordonniez',
    'désordonnons',
    'désordonnât',
    'désordonné',
    'désordonnée',
    'désordonnées',
    'désordonnés',
    'désordre',
    'désordres',
    'désorganisa',
    'désorganisai',
    'désorganisas',
    'désorganise',
    'désorganiser',
    'désorganises',
    'désorganisez',
    'désorganisât',
    'désorganisé',
    'désorganisée',
    'désorganisés',
    'désorienta',
    'désorientai',
    'désorientais',
    'désorientait',
    'désorientant',
    'désorientas',
    'désoriente',
    'désorientent',
    'désorienter',
    'désorientera',
    'désorientes',
    'désorientez',
    'désorientiez',
    'désorientons',
    'désorientât',
    'désorienté',
    'désorientée',
    'désorientées',
    'désorientés',
    'désormais',
    'désorption',
    'désorptions',
    'désossa',
    'désossai',
    'désossaient',
    'désossais',
    'désossait',
    'désossant',
    'désossas',
    'désossasse',
    'désossassent',
    'désossasses',
    'désossassiez',
    'désosse',
    'désossement',
    'désossements',
    'désossent',
    'désosser',
    'désossera',
    'désosserai',
    'désosserais',
    'désosserait',
    'désosseras',
    'désosserez',
    'désosseriez',
    'désosserions',
    'désosserons',
    'désosseront',
    'désosses',
    'désossez',
    'désossiez',
    'désossions',
    'désossons',
    'désossâmes',
    'désossât',
    'désossâtes',
    'désossèrent',
    'désossé',
    'désossée',
    'désossées',
    'désossés',
    'désoxyda',
    'désoxydai',
    'désoxydaient',
    'désoxydais',
    'désoxydait',
    'désoxydant',
    'désoxydante',
    'désoxydantes',
    'désoxydants',
    'désoxydas',
    'désoxydasse',
    'désoxydasses',
    'désoxydation',
    'désoxyde',
    'désoxydent',
    'désoxyder',
    'désoxydera',
    'désoxyderai',
    'désoxyderais',
    'désoxyderait',
    'désoxyderas',
    'désoxyderez',
    'désoxyderiez',
    'désoxyderons',
    'désoxyderont',
    'désoxydes',
    'désoxydez',
    'désoxydiez',
    'désoxydions',
    'désoxydons',
    'désoxydâmes',
    'désoxydât',
    'désoxydâtes',
    'désoxydèrent',
    'désoxydé',
    'désoxydée',
    'désoxydées',
    'désoxydés',
    'désoxygène',
    'désoxygènent',
    'désoxygènes',
    'désoxygéna',
    'désoxygénai',
    'désoxygénais',
    'désoxygénait',
    'désoxygénant',
    'désoxygénas',
    'désoxygéner',
    'désoxygénera',
    'désoxygénez',
    'désoxygéniez',
    'désoxygénons',
    'désoxygénât',
    'désoxygéné',
    'désoxygénée',
    'désoxygénées',
    'désoxygénés',
    'déstabilisa',
    'déstabilisai',
    'déstabilisas',
    'déstabilise',
    'déstabiliser',
    'déstabilises',
    'déstabilisez',
    'déstabilisât',
    'déstabilisé',
    'déstabilisée',
    'déstabilisés',
    'déstaliniser',
    'déstocka',
    'déstockai',
    'déstockaient',
    'déstockais',
    'déstockait',
    'déstockant',
    'déstockas',
    'déstockasse',
    'déstockasses',
    'déstocke',
    'déstockent',
    'déstocker',
    'déstockera',
    'déstockerai',
    'déstockerais',
    'déstockerait',
    'déstockeras',
    'déstockerez',
    'déstockeriez',
    'déstockerons',
    'déstockeront',
    'déstockes',
    'déstockez',
    'déstockiez',
    'déstockions',
    'déstockons',
    'déstockâmes',
    'déstockât',
    'déstockâtes',
    'déstockèrent',
    'déstocké',
    'déstockée',
    'déstockées',
    'déstockés',
    'déstructurer',
    'déstructuré',
    'déstructurée',
    'déstructurés',
    'désuet',
    'désuets',
    'désulfita',
    'désulfitai',
    'désulfitais',
    'désulfitait',
    'désulfitant',
    'désulfitas',
    'désulfitasse',
    'désulfite',
    'désulfitent',
    'désulfiter',
    'désulfitera',
    'désulfiterai',
    'désulfiteras',
    'désulfiterez',
    'désulfites',
    'désulfitez',
    'désulfitiez',
    'désulfitions',
    'désulfitons',
    'désulfitâmes',
    'désulfitât',
    'désulfitâtes',
    'désulfité',
    'désulfitée',
    'désulfitées',
    'désulfités',
    'désulfura',
    'désulfurai',
    'désulfurais',
    'désulfurait',
    'désulfurant',
    'désulfuras',
    'désulfurasse',
    'désulfure',
    'désulfurent',
    'désulfurer',
    'désulfurera',
    'désulfurerai',
    'désulfureras',
    'désulfurerez',
    'désulfures',
    'désulfurez',
    'désulfuriez',
    'désulfurions',
    'désulfurons',
    'désulfurâmes',
    'désulfurât',
    'désulfurâtes',
    'désulfuré',
    'désulfurée',
    'désulfurées',
    'désulfurés',
    'désuni',
    'désunie',
    'désunies',
    'désunion',
    'désunions',
    'désunir',
    'désunira',
    'désunirai',
    'désuniraient',
    'désunirais',
    'désunirait',
    'désuniras',
    'désunirent',
    'désunirez',
    'désuniriez',
    'désunirions',
    'désunirons',
    'désuniront',
    'désunis',
    'désunissais',
    'désunissait',
    'désunissant',
    'désunisse',
    'désunissent',
    'désunisses',
    'désunissez',
    'désunissiez',
    'désunissions',
    'désunissons',
    'désunit',
    'désunîmes',
    'désunît',
    'désunîtes',
    'désuète',
    'désuètes',
    'désuétude',
    'désuétudes',
    'déséchoua',
    'déséchouai',
    'déséchouais',
    'déséchouait',
    'déséchouant',
    'déséchouas',
    'déséchouasse',
    'déséchoue',
    'déséchouent',
    'déséchouer',
    'déséchouera',
    'déséchouerai',
    'déséchoueras',
    'déséchouerez',
    'déséchoues',
    'déséchouez',
    'déséchouiez',
    'déséchouions',
    'déséchouons',
    'déséchouâmes',
    'déséchouât',
    'déséchouâtes',
    'déséchoué',
    'déséchouée',
    'déséchouées',
    'déséchoués',
    'déséconomie',
    'désénerva',
    'désénervai',
    'désénervais',
    'désénervait',
    'désénervant',
    'désénervas',
    'désénervasse',
    'désénerve',
    'désénervent',
    'désénerver',
    'désénervera',
    'désénerverai',
    'désénerveras',
    'désénerverez',
    'désénerves',
    'désénervez',
    'désénerviez',
    'désénervions',
    'désénervons',
    'désénervâmes',
    'désénervât',
    'désénervâtes',
    'désénervé',
    'désénervée',
    'désénervées',
    'désénervés',
    'désépaissi',
    'désépaissie',
    'désépaissies',
    'désépaissir',
    'désépaissira',
    'désépaissis',
    'désépaissit',
    'désépaissît',
    'désépargne',
    'déséquilibra',
    'déséquilibre',
    'déséquilibré',
    'déséquipa',
    'déséquipai',
    'déséquipais',
    'déséquipait',
    'déséquipant',
    'déséquipas',
    'déséquipasse',
    'déséquipe',
    'déséquipent',
    'déséquiper',
    'déséquipera',
    'déséquiperai',
    'déséquiperas',
    'déséquiperez',
    'déséquipes',
    'déséquipez',
    'déséquipiez',
    'déséquipions',
    'déséquipons',
    'déséquipâmes',
    'déséquipât',
    'déséquipâtes',
    'déséquipé',
    'déséquipée',
    'déséquipées',
    'déséquipés',
    'désétabli',
    'désétablie',
    'désétablies',
    'désétablir',
    'désétablira',
    'désétablirai',
    'désétabliras',
    'désétablirez',
    'désétablis',
    'désétablisse',
    'désétablit',
    'désétablîmes',
    'désétablît',
    'désétablîtes',
    'désétama',
    'désétamai',
    'désétamaient',
    'désétamais',
    'désétamait',
    'désétamant',
    'désétamas',
    'désétamasse',
    'désétamasses',
    'désétame',
    'désétament',
    'désétamer',
    'désétamera',
    'désétamerai',
    'désétamerais',
    'désétamerait',
    'désétameras',
    'désétamerez',
    'désétameriez',
    'désétamerons',
    'désétameront',
    'désétames',
    'désétamez',
    'désétamiez',
    'désétamions',
    'désétamons',
    'désétamâmes',
    'désétamât',
    'désétamâtes',
    'désétamèrent',
    'désétamé',
    'désétamée',
    'désétamées',
    'désétamés',
    'désétatisa',
    'désétatisai',
    'désétatisais',
    'désétatisait',
    'désétatisant',
    'désétatisas',
    'désétatise',
    'désétatisent',
    'désétatiser',
    'désétatisera',
    'désétatises',
    'désétatisez',
    'désétatisiez',
    'désétatisons',
    'désétatisât',
    'désétatisé',
    'désétatisée',
    'désétatisées',
    'désétatisés',
    'désoeuvré',
    'désoeuvrée',
    'désoeuvrées',
    'désoeuvrés',
    'détacha',
    'détachable',
    'détachables',
    'détachage',
    'détachages',
    'détachai',
    'détachaient',
    'détachais',
    'détachait',
    'détachant',
    'détachante',
    'détachantes',
    'détachants',
    'détachas',
    'détachasse',
    'détachassent',
    'détachasses',
    'détachassiez',
    'détache',
    'détachement',
    'détachements',
    'détachent',
    'détacher',
    'détachera',
    'détacherai',
    'détacherais',
    'détacherait',
    'détacheras',
    'détacherez',
    'détacheriez',
    'détacherions',
    'détacherons',
    'détacheront',
    'détaches',
    'détacheur',
    'détacheurs',
    'détacheuse',
    'détacheuses',
    'détachez',
    'détachiez',
    'détachions',
    'détachons',
    'détachâmes',
    'détachât',
    'détachâtes',
    'détachèrent',
    'détaché',
    'détachée',
    'détachées',
    'détachés',
    'détail',
    'détailla',
    'détaillai',
    'détaillaient',
    'détaillais',
    'détaillait',
    'détaillant',
    'détaillante',
    'détaillantes',
    'détaillants',
    'détaillas',
    'détaillasse',
    'détaillasses',
    'détaille',
    'détaillent',
    'détailler',
    'détaillera',
    'détaillerai',
    'détaillerais',
    'détaillerait',
    'détailleras',
    'détaillerez',
    'détailleriez',
    'détaillerons',
    'détailleront',
    'détailles',
    'détaillez',
    'détailliez',
    'détaillions',
    'détaillons',
    'détaillâmes',
    'détaillât',
    'détaillâtes',
    'détaillèrent',
    'détaillé',
    'détaillée',
    'détaillées',
    'détaillés',
    'détails',
    'détala',
    'détalai',
    'détalaient',
    'détalais',
    'détalait',
    'détalant',
    'détalas',
    'détalasse',
    'détalassent',
    'détalasses',
    'détalassiez',
    'détalassions',
    'détale',
    'détalent',
    'détaler',
    'détalera',
    'détalerai',
    'détaleraient',
    'détalerais',
    'détalerait',
    'détaleras',
    'détalerez',
    'détaleriez',
    'détalerions',
    'détalerons',
    'détaleront',
    'détales',
    'détalez',
    'détaliez',
    'détalions',
    'détalla',
    'détallai',
    'détallaient',
    'détallais',
    'détallait',
    'détallant',
    'détallas',
    'détallasse',
    'détallassent',
    'détallasses',
    'détallassiez',
    'détalle',
    'détallent',
    'détaller',
    'détallera',
    'détallerai',
    'détallerais',
    'détallerait',
    'détalleras',
    'détallerez',
    'détalleriez',
    'détallerions',
    'détallerons',
    'détalleront',
    'détalles',
    'détallez',
    'détalliez',
    'détallions',
    'détallons',
    'détallâmes',
    'détallât',
    'détallâtes',
    'détallèrent',
    'détallé',
    'détallée',
    'détallées',
    'détallés',
    'détalonner',
    'détalons',
    'détalâmes',
    'détalât',
    'détalâtes',
    'détalèrent',
    'détalé',
    'détapissa',
    'détapissai',
    'détapissais',
    'détapissait',
    'détapissant',
    'détapissas',
    'détapissasse',
    'détapisse',
    'détapissent',
    'détapisser',
    'détapissera',
    'détapisserai',
    'détapisseras',
    'détapisserez',
    'détapisses',
    'détapissez',
    'détapissiez',
    'détapissions',
    'détapissons',
    'détapissâmes',
    'détapissât',
    'détapissâtes',
    'détapissé',
    'détapissée',
    'détapissées',
    'détapissés',
    'détartra',
    'détartrage',
    'détartrages',
    'détartrai',
    'détartraient',
    'détartrais',
    'détartrait',
    'détartrant',
    'détartrante',
    'détartrantes',
    'détartrants',
    'détartras',
    'détartrasse',
    'détartrasses',
    'détartre',
    'détartrent',
    'détartrer',
    'détartrera',
    'détartrerai',
    'détartrerais',
    'détartrerait',
    'détartreras',
    'détartrerez',
    'détartreriez',
    'détartrerons',
    'détartreront',
    'détartres',
    'détartreur',
    'détartreurs',
    'détartrez',
    'détartriez',
    'détartrions',
    'détartrons',
    'détartrâmes',
    'détartrât',
    'détartrâtes',
    'détartrèrent',
    'détartré',
    'détartrée',
    'détartrées',
    'détartrés',
    'détaxa',
    'détaxai',
    'détaxaient',
    'détaxais',
    'détaxait',
    'détaxant',
    'détaxas',
    'détaxasse',
    'détaxassent',
    'détaxasses',
    'détaxassiez',
    'détaxassions',
    'détaxation',
    'détaxations',
    'détaxe',
    'détaxent',
    'détaxer',
    'détaxera',
    'détaxerai',
    'détaxeraient',
    'détaxerais',
    'détaxerait',
    'détaxeras',
    'détaxerez',
    'détaxeriez',
    'détaxerions',
    'détaxerons',
    'détaxeront',
    'détaxes',
    'détaxez',
    'détaxiez',
    'détaxions',
    'détaxons',
    'détaxâmes',
    'détaxât',
    'détaxâtes',
    'détaxèrent',
    'détaxé',
    'détaxée',
    'détaxées',
    'détaxés',
    'détecta',
    'détectable',
    'détectables',
    'détectai',
    'détectaient',
    'détectais',
    'détectait',
    'détectant',
    'détectas',
    'détectasse',
    'détectassent',
    'détectasses',
    'détectassiez',
    'détecte',
    'détectent',
    'détecter',
    'détectera',
    'détecterai',
    'détecterais',
    'détecterait',
    'détecteras',
    'détecterez',
    'détecteriez',
    'détecterions',
    'détecterons',
    'détecteront',
    'détectes',
    'détecteur',
    'détecteurs',
    'détectez',
    'détectiez',
    'détection',
    'détections',
    'détective',
    'détectives',
    'détectons',
    'détectâmes',
    'détectât',
    'détectâtes',
    'détectèrent',
    'détecté',
    'détectée',
    'détectées',
    'détectés',
    'déteignaient',
    'déteignais',
    'déteignait',
    'déteignant',
    'déteigne',
    'déteignent',
    'déteignes',
    'déteignez',
    'déteigniez',
    'déteignions',
    'déteignirent',
    'déteignis',
    'déteignisse',
    'déteignisses',
    'déteignit',
    'déteignons',
    'déteignîmes',
    'déteignît',
    'déteignîtes',
    'déteindra',
    'déteindrai',
    'déteindrais',
    'déteindrait',
    'déteindras',
    'déteindre',
    'déteindrez',
    'déteindriez',
    'déteindrions',
    'déteindrons',
    'déteindront',
    'déteins',
    'déteint',
    'déteinte',
    'déteintes',
    'déteints',
    'détela',
    'dételage',
    'dételages',
    'dételai',
    'dételaient',
    'dételais',
    'dételait',
    'dételant',
    'dételas',
    'dételasse',
    'dételassent',
    'dételasses',
    'dételassiez',
    'dételassions',
    'dételer',
    'dételez',
    'dételiez',
    'dételions',
    'dételle',
    'détellent',
    'détellera',
    'détellerai',
    'détellerais',
    'détellerait',
    'dételleras',
    'détellerez',
    'dételleriez',
    'détellerions',
    'détellerons',
    'dételleront',
    'dételles',
    'dételons',
    'dételâmes',
    'dételât',
    'dételâtes',
    'dételèrent',
    'dételé',
    'dételée',
    'dételées',
    'dételés',
    'détenaient',
    'détenais',
    'détenait',
    'détenant',
    'détenante',
    'détenantes',
    'détenants',
    'détend',
    'détendaient',
    'détendais',
    'détendait',
    'détendant',
    'détende',
    'détendent',
    'détendes',
    'détendeur',
    'détendeurs',
    'détendez',
    'détendiez',
    'détendions',
    'détendirent',
    'détendis',
    'détendisse',
    'détendissent',
    'détendisses',
    'détendissiez',
    'détendit',
    'détendons',
    'détendra',
    'détendrai',
    'détendraient',
    'détendrais',
    'détendrait',
    'détendras',
    'détendre',
    'détendrez',
    'détendriez',
    'détendrions',
    'détendrons',
    'détendront',
    'détends',
    'détendu',
    'détendue',
    'détendues',
    'détendus',
    'détendîmes',
    'détendît',
    'détendîtes',
    'détenez',
    'déteniez',
    'détenions',
    'détenir',
    'détenons',
    'détente',
    'détentes',
    'détenteur',
    'détenteurs',
    'détention',
    'détentions',
    'détentrice',
    'détentrices',
    'détenu',
    'détenue',
    'détenues',
    'détenus',
    'déterge',
    'détergea',
    'détergeai',
    'détergeaient',
    'détergeais',
    'détergeait',
    'détergeant',
    'détergeas',
    'détergeasse',
    'détergeasses',
    'détergent',
    'détergente',
    'détergentes',
    'détergents',
    'détergeons',
    'déterger',
    'détergera',
    'détergerai',
    'détergerais',
    'détergerait',
    'détergeras',
    'détergerez',
    'détergeriez',
    'détergerions',
    'détergerons',
    'détergeront',
    'déterges',
    'détergez',
    'détergeâmes',
    'détergeât',
    'détergeâtes',
    'détergiez',
    'détergions',
    'détergèrent',
    'détergé',
    'détergée',
    'détergées',
    'détergés',
    'détermina',
    'déterminable',
    'déterminai',
    'déterminais',
    'déterminait',
    'déterminant',
    'déterminante',
    'déterminants',
    'déterminas',
    'déterminasse',
    'déterminatif',
    'détermine',
    'déterminent',
    'déterminer',
    'déterminera',
    'déterminerai',
    'détermineras',
    'déterminerez',
    'détermines',
    'déterminez',
    'déterminiez',
    'déterminions',
    'déterminisme',
    'déterministe',
    'déterminons',
    'déterminâmes',
    'déterminât',
    'déterminâtes',
    'déterminé',
    'déterminée',
    'déterminées',
    'déterminés',
    'déterra',
    'déterrage',
    'déterrages',
    'déterrai',
    'déterraient',
    'déterrais',
    'déterrait',
    'déterrant',
    'déterras',
    'déterrasse',
    'déterrassent',
    'déterrasses',
    'déterrassiez',
    'déterre',
    'déterrement',
    'déterrements',
    'déterrent',
    'déterrer',
    'déterrera',
    'déterrerai',
    'déterrerais',
    'déterrerait',
    'déterreras',
    'déterrerez',
    'déterreriez',
    'déterrerions',
    'déterrerons',
    'déterreront',
    'déterres',
    'déterreur',
    'déterreurs',
    'déterrez',
    'déterriez',
    'déterrions',
    'déterrons',
    'déterrâmes',
    'déterrât',
    'déterrâtes',
    'déterrèrent',
    'déterré',
    'déterrée',
    'déterrées',
    'déterrés',
    'détersif',
    'détersifs',
    'détersion',
    'détersions',
    'détersive',
    'détersives',
    'détesta',
    'détestable',
    'détestables',
    'détestai',
    'détestaient',
    'détestais',
    'détestait',
    'détestant',
    'détestas',
    'détestasse',
    'détestassent',
    'détestasses',
    'détestassiez',
    'détestation',
    'détestations',
    'déteste',
    'détestent',
    'détester',
    'détestera',
    'détesterai',
    'détesterais',
    'détesterait',
    'détesteras',
    'détesterez',
    'détesteriez',
    'détesterions',
    'détesterons',
    'détesteront',
    'détestes',
    'détestez',
    'détestiez',
    'détestions',
    'détestons',
    'détestâmes',
    'détestât',
    'détestâtes',
    'détestèrent',
    'détesté',
    'détestée',
    'détestées',
    'détestés',
    'détiendra',
    'détiendrai',
    'détiendrais',
    'détiendrait',
    'détiendras',
    'détiendrez',
    'détiendriez',
    'détiendrions',
    'détiendrons',
    'détiendront',
    'détienne',
    'détiennent',
    'détiennes',
    'détiens',
    'détient',
    'détinrent',
    'détins',
    'détinsse',
    'détinssent',
    'détinsses',
    'détinssiez',
    'détinssions',
    'détint',
    'détira',
    'détirai',
    'détiraient',
    'détirais',
    'détirait',
    'détirant',
    'détiras',
    'détirasse',
    'détirassent',
    'détirasses',
    'détirassiez',
    'détirassions',
    'détire',
    'détirent',
    'détirer',
    'détirera',
    'détirerai',
    'détireraient',
    'détirerais',
    'détirerait',
    'détireras',
    'détirerez',
    'détireriez',
    'détirerions',
    'détirerons',
    'détireront',
    'détires',
    'détireuse',
    'détireuses',
    'détirez',
    'détiriez',
    'détirions',
    'détirons',
    'détirâmes',
    'détirât',
    'détirâtes',
    'détirèrent',
    'détiré',
    'détirée',
    'détirées',
    'détirés',
    'détissa',
    'détissai',
    'détissaient',
    'détissais',
    'détissait',
    'détissant',
    'détissas',
    'détissasse',
    'détissassent',
    'détissasses',
    'détissassiez',
    'détisse',
    'détissent',
    'détisser',
    'détissera',
    'détisserai',
    'détisserais',
    'détisserait',
    'détisseras',
    'détisserez',
    'détisseriez',
    'détisserions',
    'détisserons',
    'détisseront',
    'détisses',
    'détissez',
    'détissiez',
    'détissions',
    'détissons',
    'détissâmes',
    'détissât',
    'détissâtes',
    'détissèrent',
    'détissé',
    'détissée',
    'détissées',
    'détissés',
    'détona',
    'détonai',
    'détonaient',
    'détonais',
    'détonait',
    'détonant',
    'détonante',
    'détonantes',
    'détonants',
    'détonas',
    'détonasse',
    'détonassent',
    'détonasses',
    'détonassiez',
    'détonassions',
    'détonateur',
    'détonateurs',
    'détonation',
    'détonations',
    'détone',
    'détonent',
    'détoner',
    'détonera',
    'détonerai',
    'détoneraient',
    'détonerais',
    'détonerait',
    'détoneras',
    'détonerez',
    'détoneriez',
    'détonerions',
    'détonerons',
    'détoneront',
    'détones',
    'détonez',
    'détoniez',
    'détonions',
    'détonna',
    'détonnai',
    'détonnaient',
    'détonnais',
    'détonnait',
    'détonnant',
    'détonnas',
    'détonnasse',
    'détonnassent',
    'détonnasses',
    'détonnassiez',
    'détonne',
    'détonnela',
    'détonnelai',
    'détonnelais',
    'détonnelait',
    'détonnelant',
    'détonnelas',
    'détonnelasse',
    'détonneler',
    'détonnelez',
    'détonneliez',
    'détonnelions',
    'détonnelle',
    'détonnellent',
    'détonnellera',
    'détonnelles',
    'détonnelons',
    'détonnelâmes',
    'détonnelât',
    'détonnelâtes',
    'détonnelé',
    'détonnelée',
    'détonnelées',
    'détonnelés',
    'détonnent',
    'détonner',
    'détonnera',
    'détonnerai',
    'détonnerais',
    'détonnerait',
    'détonneras',
    'détonnerez',
    'détonneriez',
    'détonnerions',
    'détonnerons',
    'détonneront',
    'détonnes',
    'détonnez',
    'détonniez',
    'détonnions',
    'détonnons',
    'détonnâmes',
    'détonnât',
    'détonnâtes',
    'détonnèrent',
    'détonné',
    'détonons',
    'détonâmes',
    'détonât',
    'détonâtes',
    'détonèrent',
    'détoné',
    'détord',
    'détordaient',
    'détordais',
    'détordait',
    'détordant',
    'détorde',
    'détordent',
    'détordes',
    'détordez',
    'détordiez',
    'détordions',
    'détordirent',
    'détordis',
    'détordisse',
    'détordissent',
    'détordisses',
    'détordissiez',
    'détordit',
    'détordons',
    'détordra',
    'détordrai',
    'détordraient',
    'détordrais',
    'détordrait',
    'détordras',
    'détordre',
    'détordrez',
    'détordriez',
    'détordrions',
    'détordrons',
    'détordront',
    'détords',
    'détordu',
    'détordue',
    'détordues',
    'détordus',
    'détordîmes',
    'détordît',
    'détordîtes',
    'détors',
    'détortilla',
    'détortillai',
    'détortillais',
    'détortillait',
    'détortillant',
    'détortillas',
    'détortille',
    'détortillent',
    'détortiller',
    'détortillera',
    'détortilles',
    'détortillez',
    'détortilliez',
    'détortillons',
    'détortillât',
    'détortillé',
    'détortillée',
    'détortillées',
    'détortillés',
    'détour',
    'détoura',
    'détourai',
    'détouraient',
    'détourais',
    'détourait',
    'détourant',
    'détouras',
    'détourasse',
    'détourassent',
    'détourasses',
    'détourassiez',
    'détoure',
    'détourent',
    'détourer',
    'détourera',
    'détourerai',
    'détourerais',
    'détourerait',
    'détoureras',
    'détourerez',
    'détoureriez',
    'détourerions',
    'détourerons',
    'détoureront',
    'détoures',
    'détourez',
    'détouriez',
    'détourions',
    'détourna',
    'détournai',
    'détournaient',
    'détournais',
    'détournait',
    'détournant',
    'détournas',
    'détournasse',
    'détournasses',
    'détourne',
    'détournement',
    'détournent',
    'détourner',
    'détournera',
    'détournerai',
    'détournerais',
    'détournerait',
    'détourneras',
    'détournerez',
    'détourneriez',
    'détournerons',
    'détourneront',
    'détournes',
    'détournez',
    'détourniez',
    'détournions',
    'détournons',
    'détournâmes',
    'détournât',
    'détournâtes',
    'détournèrent',
    'détourné',
    'détournée',
    'détournées',
    'détournés',
    'détourons',
    'détours',
    'détourâmes',
    'détourât',
    'détourâtes',
    'détourèrent',
    'détouré',
    'détourée',
    'détourées',
    'détourés',
    'détoxication',
    'détoxiquer',
    'détracta',
    'détractai',
    'détractaient',
    'détractais',
    'détractait',
    'détractant',
    'détractas',
    'détractasse',
    'détractasses',
    'détracte',
    'détractent',
    'détracter',
    'détractera',
    'détracterai',
    'détracterais',
    'détracterait',
    'détracteras',
    'détracterez',
    'détracteriez',
    'détracterons',
    'détracteront',
    'détractes',
    'détracteur',
    'détracteurs',
    'détractez',
    'détractiez',
    'détraction',
    'détractions',
    'détractons',
    'détractrice',
    'détractrices',
    'détractâmes',
    'détractât',
    'détractâtes',
    'détractèrent',
    'détracté',
    'détractée',
    'détractées',
    'détractés',
    'détrancha',
    'détranchai',
    'détranchais',
    'détranchait',
    'détranchant',
    'détranchas',
    'détranchasse',
    'détranche',
    'détranchent',
    'détrancher',
    'détranchera',
    'détrancherai',
    'détrancheras',
    'détrancherez',
    'détranches',
    'détranchez',
    'détranchiez',
    'détranchions',
    'détranchons',
    'détranchâmes',
    'détranchât',
    'détranchâtes',
    'détranché',
    'détransposa',
    'détransposai',
    'détransposas',
    'détranspose',
    'détransposer',
    'détransposes',
    'détransposez',
    'détransposât',
    'détransposé',
    'détransposée',
    'détransposés',
    'détraqua',
    'détraquai',
    'détraquaient',
    'détraquais',
    'détraquait',
    'détraquant',
    'détraquas',
    'détraquasse',
    'détraquasses',
    'détraque',
    'détraquement',
    'détraquent',
    'détraquer',
    'détraquera',
    'détraquerai',
    'détraquerais',
    'détraquerait',
    'détraqueras',
    'détraquerez',
    'détraqueriez',
    'détraquerons',
    'détraqueront',
    'détraques',
    'détraquez',
    'détraquiez',
    'détraquions',
    'détraquons',
    'détraquâmes',
    'détraquât',
    'détraquâtes',
    'détraquèrent',
    'détraqué',
    'détraquée',
    'détraquées',
    'détraqués',
    'détrempa',
    'détrempai',
    'détrempaient',
    'détrempais',
    'détrempait',
    'détrempant',
    'détrempas',
    'détrempasse',
    'détrempasses',
    'détrempe',
    'détrempent',
    'détremper',
    'détrempera',
    'détremperai',
    'détremperais',
    'détremperait',
    'détremperas',
    'détremperez',
    'détremperiez',
    'détremperons',
    'détremperont',
    'détrempes',
    'détrempez',
    'détrempiez',
    'détrempions',
    'détrempons',
    'détrempâmes',
    'détrempât',
    'détrempâtes',
    'détrempèrent',
    'détrempé',
    'détrempée',
    'détrempées',
    'détrempés',
    'détressa',
    'détressai',
    'détressaient',
    'détressais',
    'détressait',
    'détressant',
    'détressas',
    'détressasse',
    'détressasses',
    'détresse',
    'détressent',
    'détresser',
    'détressera',
    'détresserai',
    'détresserais',
    'détresserait',
    'détresseras',
    'détresserez',
    'détresseriez',
    'détresserons',
    'détresseront',
    'détresses',
    'détressez',
    'détressiez',
    'détressions',
    'détressons',
    'détressâmes',
    'détressât',
    'détressâtes',
    'détressèrent',
    'détressé',
    'détressée',
    'détressées',
    'détressés',
    'détricota',
    'détricotai',
    'détricotais',
    'détricotait',
    'détricotant',
    'détricotas',
    'détricotasse',
    'détricote',
    'détricotent',
    'détricoter',
    'détricotera',
    'détricoterai',
    'détricoteras',
    'détricoterez',
    'détricotes',
    'détricotez',
    'détricotiez',
    'détricotions',
    'détricotons',
    'détricotâmes',
    'détricotât',
    'détricotâtes',
    'détricoté',
    'détricotée',
    'détricotées',
    'détricotés',
    'détriment',
    'détriments',
    'détritique',
    'détritiques',
    'détritus',
    'détroit',
    'détroits',
    'détrompa',
    'détrompai',
    'détrompaient',
    'détrompais',
    'détrompait',
    'détrompant',
    'détrompas',
    'détrompasse',
    'détrompasses',
    'détrompe',
    'détrompent',
    'détromper',
    'détrompera',
    'détromperai',
    'détromperais',
    'détromperait',
    'détromperas',
    'détromperez',
    'détromperiez',
    'détromperons',
    'détromperont',
    'détrompes',
    'détrompeur',
    'détrompeurs',
    'détrompez',
    'détrompiez',
    'détrompions',
    'détrompons',
    'détrompâmes',
    'détrompât',
    'détrompâtes',
    'détrompèrent',
    'détrompé',
    'détrompée',
    'détrompées',
    'détrompés',
    'détroncha',
    'détronchai',
    'détronchais',
    'détronchait',
    'détronchant',
    'détronchas',
    'détronchasse',
    'détronche',
    'détronchent',
    'détroncher',
    'détronchera',
    'détroncherai',
    'détroncheras',
    'détroncherez',
    'détronches',
    'détronchez',
    'détronchiez',
    'détronchions',
    'détronchons',
    'détronchâmes',
    'détronchât',
    'détronchâtes',
    'détronché',
    'détroqua',
    'détroquai',
    'détroquaient',
    'détroquais',
    'détroquait',
    'détroquant',
    'détroquas',
    'détroquasse',
    'détroquasses',
    'détroque',
    'détroquent',
    'détroquer',
    'détroquera',
    'détroquerai',
    'détroquerais',
    'détroquerait',
    'détroqueras',
    'détroquerez',
    'détroqueriez',
    'détroquerons',
    'détroqueront',
    'détroques',
    'détroquez',
    'détroquiez',
    'détroquions',
    'détroquons',
    'détroquâmes',
    'détroquât',
    'détroquâtes',
    'détroquèrent',
    'détroqué',
    'détroquée',
    'détroquées',
    'détroqués',
    'détroussa',
    'détroussai',
    'détroussais',
    'détroussait',
    'détroussant',
    'détroussas',
    'détroussasse',
    'détrousse',
    'détroussent',
    'détrousser',
    'détroussera',
    'détrousserai',
    'détrousseras',
    'détrousserez',
    'détrousses',
    'détrousseur',
    'détrousseurs',
    'détrousseuse',
    'détroussez',
    'détroussiez',
    'détroussions',
    'détroussons',
    'détroussâmes',
    'détroussât',
    'détroussâtes',
    'détroussé',
    'détroussée',
    'détroussées',
    'détroussés',
    'détruira',
    'détruirai',
    'détruiraient',
    'détruirais',
    'détruirait',
    'détruiras',
    'détruire',
    'détruirez',
    'détruiriez',
    'détruirions',
    'détruirons',
    'détruiront',
    'détruis',
    'détruisaient',
    'détruisais',
    'détruisait',
    'détruisant',
    'détruise',
    'détruisent',
    'détruises',
    'détruisez',
    'détruisiez',
    'détruisions',
    'détruisirent',
    'détruisis',
    'détruisisse',
    'détruisisses',
    'détruisit',
    'détruisons',
    'détruisîmes',
    'détruisît',
    'détruisîtes',
    'détruit',
    'détruite',
    'détruites',
    'détruits',
    'détrôna',
    'détrônai',
    'détrônaient',
    'détrônais',
    'détrônait',
    'détrônant',
    'détrônas',
    'détrônasse',
    'détrônassent',
    'détrônasses',
    'détrônassiez',
    'détrône',
    'détrônent',
    'détrôner',
    'détrônera',
    'détrônerai',
    'détrônerais',
    'détrônerait',
    'détrôneras',
    'détrônerez',
    'détrôneriez',
    'détrônerions',
    'détrônerons',
    'détrôneront',
    'détrônes',
    'détrônez',
    'détrôniez',
    'détrônions',
    'détrônons',
    'détrônâmes',
    'détrônât',
    'détrônâtes',
    'détrônèrent',
    'détrôné',
    'détrônée',
    'détrônées',
    'détrônés',
    'détumescence',
    'détériora',
    'détériorai',
    'détériorais',
    'détériorait',
    'détériorant',
    'détérioras',
    'détériorasse',
    'détériore',
    'détériorent',
    'détériorer',
    'détériorera',
    'détériorerai',
    'détérioreras',
    'détériorerez',
    'détériores',
    'détériorez',
    'détérioriez',
    'détériorions',
    'détériorons',
    'détériorâmes',
    'détériorât',
    'détériorâtes',
    'détérioré',
    'détériorée',
    'détériorées',
    'détériorés',
    'détînmes',
    'détînt',
    'détîntes',
    'dévala',
    'dévalai',
    'dévalaient',
    'dévalais',
    'dévalait',
    'dévalant',
    'dévalas',
    'dévalasse',
    'dévalassent',
    'dévalasses',
    'dévalassiez',
    'dévalassions',
    'dévale',
    'dévalent',
    'dévaler',
    'dévalera',
    'dévalerai',
    'dévaleraient',
    'dévalerais',
    'dévalerait',
    'dévaleras',
    'dévalerez',
    'dévaleriez',
    'dévalerions',
    'dévalerons',
    'dévaleront',
    'dévales',
    'dévalez',
    'dévaliez',
    'dévalions',
    'dévalisa',
    'dévalisai',
    'dévalisaient',
    'dévalisais',
    'dévalisait',
    'dévalisant',
    'dévalisas',
    'dévalisasse',
    'dévalisasses',
    'dévalise',
    'dévalisent',
    'dévaliser',
    'dévalisera',
    'dévaliserai',
    'dévaliserais',
    'dévaliserait',
    'dévaliseras',
    'dévaliserez',
    'dévaliseriez',
    'dévaliserons',
    'dévaliseront',
    'dévalises',
    'dévalisez',
    'dévalisiez',
    'dévalisions',
    'dévalisons',
    'dévalisâmes',
    'dévalisât',
    'dévalisâtes',
    'dévalisèrent',
    'dévalisé',
    'dévalisée',
    'dévalisées',
    'dévalisés',
    'dévalons',
    'dévalorisa',
    'dévalorisai',
    'dévalorisais',
    'dévalorisait',
    'dévalorisant',
    'dévalorisas',
    'dévalorise',
    'dévalorisent',
    'dévaloriser',
    'dévalorisera',
    'dévalorises',
    'dévalorisez',
    'dévalorisiez',
    'dévalorisons',
    'dévalorisât',
    'dévalorisé',
    'dévalorisée',
    'dévalorisées',
    'dévalorisés',
    'dévalua',
    'dévaluai',
    'dévaluaient',
    'dévaluais',
    'dévaluait',
    'dévaluant',
    'dévaluas',
    'dévaluasse',
    'dévaluassent',
    'dévaluasses',
    'dévaluassiez',
    'dévaluation',
    'dévaluations',
    'dévalue',
    'dévaluent',
    'dévaluer',
    'dévaluera',
    'dévaluerai',
    'dévaluerais',
    'dévaluerait',
    'dévalueras',
    'dévaluerasse',
    'dévaluerez',
    'dévalueriez',
    'dévaluerions',
    'dévaluerons',
    'dévalueront',
    'dévaluerâmes',
    'dévaluerât',
    'dévaluerâtes',
    'dévalues',
    'dévaluez',
    'dévaluiez',
    'dévaluions',
    'dévaluons',
    'dévaluâmes',
    'dévaluât',
    'dévaluâtes',
    'dévaluèrent',
    'dévalué',
    'dévaluée',
    'dévaluées',
    'dévalués',
    'dévalâmes',
    'dévalât',
    'dévalâtes',
    'dévalèrent',
    'dévalé',
    'dévalée',
    'dévalées',
    'dévalés',
    'dévasa',
    'dévasai',
    'dévasaient',
    'dévasais',
    'dévasait',
    'dévasant',
    'dévasas',
    'dévasasse',
    'dévasassent',
    'dévasasses',
    'dévasassiez',
    'dévasassions',
    'dévase',
    'dévasent',
    'dévaser',
    'dévasera',
    'dévaserai',
    'dévaseraient',
    'dévaserais',
    'dévaserait',
    'dévaseras',
    'dévaserez',
    'dévaseriez',
    'dévaserions',
    'dévaserons',
    'dévaseront',
    'dévases',
    'dévasez',
    'dévasiez',
    'dévasions',
    'dévasons',
    'dévasta',
    'dévastai',
    'dévastaient',
    'dévastais',
    'dévastait',
    'dévastant',
    'dévastas',
    'dévastasse',
    'dévastassent',
    'dévastasses',
    'dévastassiez',
    'dévastateur',
    'dévastateurs',
    'dévastation',
    'dévastations',
    'dévastatrice',
    'dévaste',
    'dévastent',
    'dévaster',
    'dévastera',
    'dévasterai',
    'dévasterais',
    'dévasterait',
    'dévasteras',
    'dévasterez',
    'dévasteriez',
    'dévasterions',
    'dévasterons',
    'dévasteront',
    'dévastes',
    'dévastez',
    'dévastiez',
    'dévastions',
    'dévastons',
    'dévastâmes',
    'dévastât',
    'dévastâtes',
    'dévastèrent',
    'dévasté',
    'dévastée',
    'dévastées',
    'dévastés',
    'dévasâmes',
    'dévasât',
    'dévasâtes',
    'dévasèrent',
    'dévasé',
    'dévasée',
    'dévasées',
    'dévasés',
    'déveine',
    'déveines',
    'développa',
    'développable',
    'développai',
    'développais',
    'développait',
    'développant',
    'développante',
    'développants',
    'développas',
    'développasse',
    'développe',
    'développent',
    'développer',
    'développera',
    'développerai',
    'développeras',
    'développerez',
    'développes',
    'développeur',
    'développeurs',
    'développez',
    'développiez',
    'développions',
    'développons',
    'développâmes',
    'développât',
    'développâtes',
    'développé',
    'développée',
    'développées',
    'développés',
    'déventa',
    'déventai',
    'déventaient',
    'déventais',
    'déventait',
    'déventant',
    'déventas',
    'déventasse',
    'déventassent',
    'déventasses',
    'déventassiez',
    'dévente',
    'déventent',
    'déventer',
    'déventera',
    'déventerai',
    'déventerais',
    'déventerait',
    'déventeras',
    'déventerez',
    'déventeriez',
    'déventerions',
    'déventerons',
    'déventeront',
    'déventes',
    'déventez',
    'déventiez',
    'déventions',
    'déventons',
    'déventâmes',
    'déventât',
    'déventâtes',
    'déventèrent',
    'déventé',
    'déventée',
    'déventées',
    'déventés',
    'déverbal',
    'déverbale',
    'déverbales',
    'déverbaux',
    'déverdi',
    'déverdir',
    'déverdira',
    'déverdirai',
    'déverdirais',
    'déverdirait',
    'déverdiras',
    'déverdirent',
    'déverdirez',
    'déverdiriez',
    'déverdirions',
    'déverdirons',
    'déverdiront',
    'déverdis',
    'déverdissais',
    'déverdissait',
    'déverdissant',
    'déverdisse',
    'déverdissent',
    'déverdisses',
    'déverdissez',
    'déverdissiez',
    'déverdissons',
    'déverdit',
    'déverdîmes',
    'déverdît',
    'déverdîtes',
    'dévergonda',
    'dévergondage',
    'dévergondai',
    'dévergondais',
    'dévergondait',
    'dévergondant',
    'dévergondas',
    'dévergonde',
    'dévergondent',
    'dévergonder',
    'dévergondera',
    'dévergondes',
    'dévergondez',
    'dévergondiez',
    'dévergondons',
    'dévergondât',
    'dévergondé',
    'dévergondée',
    'dévergondées',
    'dévergondés',
    'dévergua',
    'déverguai',
    'déverguaient',
    'déverguais',
    'déverguait',
    'déverguant',
    'déverguas',
    'déverguasse',
    'déverguasses',
    'dévergue',
    'déverguent',
    'déverguer',
    'déverguera',
    'déverguerai',
    'déverguerais',
    'déverguerait',
    'dévergueras',
    'déverguerez',
    'dévergueriez',
    'déverguerons',
    'dévergueront',
    'dévergues',
    'déverguez',
    'déverguiez',
    'déverguions',
    'déverguons',
    'déverguâmes',
    'déverguât',
    'déverguâtes',
    'déverguèrent',
    'dévergué',
    'déverguée',
    'déverguées',
    'dévergués',
    'déverni',
    'dévernie',
    'dévernies',
    'dévernir',
    'dévernira',
    'dévernirai',
    'dévernirais',
    'dévernirait',
    'déverniras',
    'dévernirent',
    'dévernirez',
    'déverniriez',
    'dévernirions',
    'dévernirons',
    'déverniront',
    'dévernis',
    'dévernissais',
    'dévernissait',
    'dévernissant',
    'dévernisse',
    'dévernissent',
    'dévernisses',
    'dévernissez',
    'dévernissiez',
    'dévernissons',
    'dévernit',
    'dévernîmes',
    'dévernît',
    'dévernîtes',
    'déverrouilla',
    'déverrouille',
    'déverrouillé',
    'dévers',
    'déversa',
    'déversai',
    'déversaient',
    'déversais',
    'déversait',
    'déversant',
    'déversas',
    'déversasse',
    'déversassent',
    'déversasses',
    'déversassiez',
    'déverse',
    'déversement',
    'déversements',
    'déversent',
    'déverser',
    'déversera',
    'déverserai',
    'déverserais',
    'déverserait',
    'déverseras',
    'déverserez',
    'déverseriez',
    'déverserions',
    'déverserons',
    'déverseront',
    'déverses',
    'déversez',
    'déversiez',
    'déversions',
    'déversoir',
    'déversoirs',
    'déversons',
    'déversâmes',
    'déversât',
    'déversâtes',
    'déversèrent',
    'déversé',
    'déversée',
    'déversées',
    'déversés',
    'dévia',
    'déviai',
    'déviaient',
    'déviais',
    'déviait',
    'déviant',
    'déviante',
    'déviantes',
    'déviants',
    'dévias',
    'déviasse',
    'déviassent',
    'déviasses',
    'déviassiez',
    'déviassions',
    'déviateur',
    'déviateurs',
    'déviation',
    'déviations',
    'déviatrice',
    'déviatrices',
    'dévida',
    'dévidage',
    'dévidages',
    'dévidai',
    'dévidaient',
    'dévidais',
    'dévidait',
    'dévidant',
    'dévidas',
    'dévidasse',
    'dévidassent',
    'dévidasses',
    'dévidassiez',
    'dévidassions',
    'dévide',
    'dévident',
    'dévider',
    'dévidera',
    'déviderai',
    'dévideraient',
    'déviderais',
    'déviderait',
    'dévideras',
    'déviderez',
    'dévideriez',
    'déviderions',
    'déviderons',
    'dévideront',
    'dévides',
    'dévideur',
    'dévideurs',
    'dévideuse',
    'dévideuses',
    'dévidez',
    'dévidiez',
    'dévidions',
    'dévidoir',
    'dévidoirs',
    'dévidons',
    'dévidâmes',
    'dévidât',
    'dévidâtes',
    'dévidèrent',
    'dévidé',
    'dévidée',
    'dévidées',
    'dévidés',
    'dévie',
    'dévient',
    'dévier',
    'déviera',
    'dévierai',
    'dévieraient',
    'dévierais',
    'dévierait',
    'dévieras',
    'dévierez',
    'dévieriez',
    'dévierions',
    'dévierons',
    'dévieront',
    'dévies',
    'déviez',
    'déviiez',
    'déviions',
    'dévions',
    'dévirer',
    'dévirginiser',
    'dévirilisa',
    'dévirilisai',
    'dévirilisais',
    'dévirilisait',
    'dévirilisant',
    'dévirilisas',
    'dévirilise',
    'dévirilisent',
    'déviriliser',
    'dévirilisera',
    'dévirilises',
    'dévirilisez',
    'dévirilisiez',
    'dévirilisons',
    'dévirilisât',
    'dévirilisé',
    'dévirilisée',
    'dévirilisées',
    'dévirilisés',
    'dévirola',
    'dévirolai',
    'dévirolaient',
    'dévirolais',
    'dévirolait',
    'dévirolant',
    'dévirolas',
    'dévirolasse',
    'dévirolasses',
    'dévirole',
    'dévirolent',
    'déviroler',
    'dévirolera',
    'dévirolerai',
    'dévirolerais',
    'dévirolerait',
    'déviroleras',
    'dévirolerez',
    'déviroleriez',
    'dévirolerons',
    'déviroleront',
    'déviroles',
    'dévirolez',
    'déviroliez',
    'dévirolions',
    'dévirolons',
    'dévirolâmes',
    'dévirolât',
    'dévirolâtes',
    'dévirolèrent',
    'dévirolé',
    'dévirolée',
    'dévirolées',
    'dévirolés',
    'dévisage',
    'dévisagea',
    'dévisageai',
    'dévisageais',
    'dévisageait',
    'dévisageant',
    'dévisageas',
    'dévisageasse',
    'dévisagent',
    'dévisageons',
    'dévisager',
    'dévisagera',
    'dévisagerai',
    'dévisagerais',
    'dévisagerait',
    'dévisageras',
    'dévisagerez',
    'dévisageriez',
    'dévisagerons',
    'dévisageront',
    'dévisages',
    'dévisagez',
    'dévisageâmes',
    'dévisageât',
    'dévisageâtes',
    'dévisagiez',
    'dévisagions',
    'dévisagèrent',
    'dévisagé',
    'dévisagée',
    'dévisagées',
    'dévisagés',
    'dévissa',
    'dévissage',
    'dévissages',
    'dévissai',
    'dévissaient',
    'dévissais',
    'dévissait',
    'dévissant',
    'dévissas',
    'dévissasse',
    'dévissassent',
    'dévissasses',
    'dévissassiez',
    'dévisse',
    'dévissent',
    'dévisser',
    'dévissera',
    'dévisserai',
    'dévisserais',
    'dévisserait',
    'dévisseras',
    'dévisserasse',
    'dévisserez',
    'dévisseriez',
    'dévisserions',
    'dévisserons',
    'dévisseront',
    'dévisserâmes',
    'dévisserât',
    'dévisserâtes',
    'dévisses',
    'dévissez',
    'dévissiez',
    'dévissions',
    'dévissons',
    'dévissâmes',
    'dévissât',
    'dévissâtes',
    'dévissèrent',
    'dévissé',
    'dévissée',
    'dévissées',
    'dévissés',
    'dévitalisa',
    'dévitalisai',
    'dévitalisais',
    'dévitalisait',
    'dévitalisant',
    'dévitalisas',
    'dévitalise',
    'dévitalisent',
    'dévitaliser',
    'dévitalisera',
    'dévitalises',
    'dévitalisez',
    'dévitalisiez',
    'dévitalisons',
    'dévitalisât',
    'dévitalisé',
    'dévitalisée',
    'dévitalisées',
    'dévitalisés',
    'dévitrifia',
    'dévitrifiai',
    'dévitrifiais',
    'dévitrifiait',
    'dévitrifiant',
    'dévitrifias',
    'dévitrifie',
    'dévitrifient',
    'dévitrifier',
    'dévitrifiera',
    'dévitrifies',
    'dévitrifiez',
    'dévitrifiiez',
    'dévitrifions',
    'dévitrifiât',
    'dévitrifié',
    'dévitrifiée',
    'dévitrifiées',
    'dévitrifiés',
    'déviâmes',
    'déviât',
    'déviâtes',
    'dévièrent',
    'dévié',
    'déviée',
    'déviées',
    'déviés',
    'dévoie',
    'dévoiement',
    'dévoiements',
    'dévoient',
    'dévoiera',
    'dévoierai',
    'dévoieraient',
    'dévoierais',
    'dévoierait',
    'dévoieras',
    'dévoierez',
    'dévoieriez',
    'dévoierions',
    'dévoierons',
    'dévoieront',
    'dévoies',
    'dévoila',
    'dévoilai',
    'dévoilaient',
    'dévoilais',
    'dévoilait',
    'dévoilant',
    'dévoilas',
    'dévoilasse',
    'dévoilassent',
    'dévoilasses',
    'dévoilassiez',
    'dévoile',
    'dévoilement',
    'dévoilements',
    'dévoilent',
    'dévoiler',
    'dévoilera',
    'dévoilerai',
    'dévoilerais',
    'dévoilerait',
    'dévoileras',
    'dévoilerasse',
    'dévoilerez',
    'dévoileriez',
    'dévoilerions',
    'dévoilerons',
    'dévoileront',
    'dévoilerâmes',
    'dévoilerât',
    'dévoilerâtes',
    'dévoiles',
    'dévoilez',
    'dévoiliez',
    'dévoilions',
    'dévoilons',
    'dévoilâmes',
    'dévoilât',
    'dévoilâtes',
    'dévoilèrent',
    'dévoilé',
    'dévoilée',
    'dévoilées',
    'dévoilés',
    'dévolta',
    'dévoltage',
    'dévoltages',
    'dévoltai',
    'dévoltaient',
    'dévoltais',
    'dévoltait',
    'dévoltant',
    'dévoltas',
    'dévoltasse',
    'dévoltassent',
    'dévoltasses',
    'dévoltassiez',
    'dévolte',
    'dévoltent',
    'dévolter',
    'dévoltera',
    'dévolterai',
    'dévolterais',
    'dévolterait',
    'dévolteras',
    'dévolterez',
    'dévolteriez',
    'dévolterions',
    'dévolterons',
    'dévolteront',
    'dévoltes',
    'dévoltez',
    'dévoltiez',
    'dévoltions',
    'dévoltons',
    'dévoltâmes',
    'dévoltât',
    'dévoltâtes',
    'dévoltèrent',
    'dévolté',
    'dévoltée',
    'dévoltées',
    'dévoltés',
    'dévolu',
    'dévolue',
    'dévolues',
    'dévolus',
    'dévolutif',
    'dévolutifs',
    'dévolution',
    'dévolutions',
    'dévolutive',
    'dévolutives',
    'dévonien',
    'dévonienne',
    'dévoniennes',
    'dévoniens',
    'dévora',
    'dévorai',
    'dévoraient',
    'dévorais',
    'dévorait',
    'dévorant',
    'dévorante',
    'dévorantes',
    'dévorants',
    'dévoras',
    'dévorasse',
    'dévorassent',
    'dévorasses',
    'dévorassiez',
    'dévorassions',
    'dévorateur',
    'dévorateurs',
    'dévoratrice',
    'dévoratrices',
    'dévore',
    'dévorent',
    'dévorer',
    'dévorera',
    'dévorerai',
    'dévoreraient',
    'dévorerais',
    'dévorerait',
    'dévoreras',
    'dévorerez',
    'dévoreriez',
    'dévorerions',
    'dévorerons',
    'dévoreront',
    'dévores',
    'dévoreur',
    'dévoreurs',
    'dévoreuse',
    'dévoreuses',
    'dévorez',
    'dévoriez',
    'dévorions',
    'dévorons',
    'dévorâmes',
    'dévorât',
    'dévorâtes',
    'dévorèrent',
    'dévoré',
    'dévorée',
    'dévorées',
    'dévorés',
    'dévot',
    'dévote',
    'dévotement',
    'dévotes',
    'dévotion',
    'dévotions',
    'dévots',
    'dévoua',
    'dévouai',
    'dévouaient',
    'dévouais',
    'dévouait',
    'dévouant',
    'dévouas',
    'dévouasse',
    'dévouassent',
    'dévouasses',
    'dévouassiez',
    'dévouassions',
    'dévoue',
    'dévouement',
    'dévouements',
    'dévouent',
    'dévouer',
    'dévouera',
    'dévouerai',
    'dévoueraient',
    'dévouerais',
    'dévouerait',
    'dévoueras',
    'dévouerez',
    'dévoueriez',
    'dévouerions',
    'dévouerons',
    'dévoueront',
    'dévoues',
    'dévouez',
    'dévouiez',
    'dévouions',
    'dévouons',
    'dévouâmes',
    'dévouât',
    'dévouâtes',
    'dévouèrent',
    'dévoué',
    'dévouée',
    'dévouées',
    'dévoués',
    'dévoya',
    'dévoyai',
    'dévoyaient',
    'dévoyais',
    'dévoyait',
    'dévoyant',
    'dévoyas',
    'dévoyasse',
    'dévoyassent',
    'dévoyasses',
    'dévoyassiez',
    'dévoyassions',
    'dévoyer',
    'dévoyez',
    'dévoyiez',
    'dévoyions',
    'dévoyons',
    'dévoyâmes',
    'dévoyât',
    'dévoyâtes',
    'dévoyèrent',
    'dévoyé',
    'dévoyée',
    'dévoyées',
    'dévoyés',
    'dévêt',
    'dévêtaient',
    'dévêtais',
    'dévêtait',
    'dévêtant',
    'dévête',
    'dévêtent',
    'dévêtes',
    'dévêtez',
    'dévêtiez',
    'dévêtions',
    'dévêtir',
    'dévêtira',
    'dévêtirai',
    'dévêtiraient',
    'dévêtirais',
    'dévêtirait',
    'dévêtiras',
    'dévêtirent',
    'dévêtirez',
    'dévêtiriez',
    'dévêtirions',
    'dévêtirons',
    'dévêtiront',
    'dévêtis',
    'dévêtisse',
    'dévêtissent',
    'dévêtisses',
    'dévêtissiez',
    'dévêtissions',
    'dévêtit',
    'dévêtons',
    'dévêts',
    'dévêtu',
    'dévêtue',
    'dévêtues',
    'dévêtus',
    'dévêtîmes',
    'dévêtît',
    'dévêtîtes',
    'déçois',
    'déçoit',
    'déçoive',
    'déçoivent',
    'déçoives',
    'déçu',
    'déçue',
    'déçues',
    'déçurent',
    'déçus',
    'déçusse',
    'déçussent',
    'déçusses',
    'déçussiez',
    'déçussions',
    'déçut',
    'déçûmes',
    'déçût',
    'déçûtes',
    'dîme',
    'dîmes',
    'dîna',
    'dînai',
    'dînaient',
    'dînais',
    'dînait',
    'dînant',
    'dînas',
    'dînasse',
    'dînassent',
    'dînasses',
    'dînassiez',
    'dînassions',
    'dînatoire',
    'dînatoires',
    'dîne',
    'dînent',
    'dîner',
    'dînera',
    'dînerai',
    'dîneraient',
    'dînerais',
    'dînerait',
    'dîneras',
    'dînerez',
    'dîneriez',
    'dînerions',
    'dînerons',
    'dîneront',
    'dîners',
    'dînes',
    'dînette',
    'dînettes',
    'dîneur',
    'dîneurs',
    'dîneuse',
    'dîneuses',
    'dînez',
    'dîniez',
    'dînions',
    'dînons',
    'dînâmes',
    'dînât',
    'dînâtes',
    'dînèrent',
    'dîné',
    'dîtes',
    'dôme',
    'dômes',
    'dûment',
    'dûmes',
    'dûtes',
    'eaux',
    'ecault',
    'ecballium',
    'ecballiums',
    'ecchymose',
    'ecchymoses',
    'ecclésial',
    'ecclésiale',
    'ecclésiales',
    'ecclésiaux',
    'eccéité',
    'eccéités',
    'ectasie',
    'ectasies',
    'ecthyma',
    'ecthymas',
    'ectoblaste',
    'ectoblastes',
    'ectoderme',
    'ectodermes',
    'ectodermique',
    'ectoparasite',
    'ectopie',
    'ectopies',
    'ectopique',
    'ectopiques',
    'ectoplasme',
    'ectoplasmes',
    'ectropion',
    'ectropions',
    'eczéma',
    'eczémas',
    'eczémateuse',
    'eczémateuses',
    'eczémateux',
    'edelweiss',
    'efface',
    'effacement',
    'effacements',
    'effacent',
    'effacer',
    'effacera',
    'effacerai',
    'effaceraient',
    'effacerais',
    'effacerait',
    'effaceras',
    'effacerez',
    'effaceriez',
    'effacerions',
    'effacerons',
    'effaceront',
    'effaces',
    'effacez',
    'effaciez',
    'effacions',
    'effacèrent',
    'effacé',
    'effacée',
    'effacées',
    'effacés',
    'effana',
    'effanai',
    'effanaient',
    'effanais',
    'effanait',
    'effanant',
    'effanas',
    'effanasse',
    'effanassent',
    'effanasses',
    'effanassiez',
    'effanassions',
    'effane',
    'effanent',
    'effaner',
    'effanera',
    'effanerai',
    'effaneraient',
    'effanerais',
    'effanerait',
    'effaneras',
    'effanerez',
    'effaneriez',
    'effanerions',
    'effanerons',
    'effaneront',
    'effanes',
    'effanez',
    'effaniez',
    'effanions',
    'effanons',
    'effanure',
    'effanures',
    'effanâmes',
    'effanât',
    'effanâtes',
    'effanèrent',
    'effané',
    'effanée',
    'effanées',
    'effanés',
    'effara',
    'effarai',
    'effaraient',
    'effarais',
    'effarait',
    'effarant',
    'effarante',
    'effarantes',
    'effarants',
    'effaras',
    'effarasse',
    'effarassent',
    'effarasses',
    'effarassiez',
    'effarassions',
    'effare',
    'effarement',
    'effarements',
    'effarent',
    'effarer',
    'effarera',
    'effarerai',
    'effareraient',
    'effarerais',
    'effarerait',
    'effareras',
    'effarerez',
    'effareriez',
    'effarerions',
    'effarerons',
    'effareront',
    'effares',
    'effarez',
    'effariez',
    'effarions',
    'effarons',
    'effaroucha',
    'effarouchai',
    'effarouchais',
    'effarouchait',
    'effarouchant',
    'effarouchas',
    'effarouche',
    'effarouchent',
    'effaroucher',
    'effarouchera',
    'effarouches',
    'effarouchez',
    'effarouchiez',
    'effarouchons',
    'effarouchât',
    'effarouché',
    'effarouchée',
    'effarouchées',
    'effarouchés',
    'effarvatte',
    'effarvattes',
    'effarâmes',
    'effarât',
    'effarâtes',
    'effarèrent',
    'effaré',
    'effarée',
    'effarées',
    'effarés',
    'effaça',
    'effaçable',
    'effaçables',
    'effaçai',
    'effaçaient',
    'effaçais',
    'effaçait',
    'effaçant',
    'effaças',
    'effaçasse',
    'effaçassent',
    'effaçasses',
    'effaçassiez',
    'effaçassions',
    'effaçons',
    'effaçâmes',
    'effaçât',
    'effaçâtes',
    'effecteur',
    'effecteurs',
    'effectif',
    'effectifs',
    'effective',
    'effectives',
    'effectua',
    'effectuai',
    'effectuaient',
    'effectuais',
    'effectuait',
    'effectuant',
    'effectuas',
    'effectuasse',
    'effectuasses',
    'effectue',
    'effectuent',
    'effectuer',
    'effectuera',
    'effectuerai',
    'effectuerais',
    'effectuerait',
    'effectueras',
    'effectuerez',
    'effectueriez',
    'effectuerons',
    'effectueront',
    'effectues',
    'effectuez',
    'effectuiez',
    'effectuions',
    'effectuons',
    'effectuâmes',
    'effectuât',
    'effectuâtes',
    'effectuèrent',
    'effectué',
    'effectuée',
    'effectuées',
    'effectués',
    'effendi',
    'effendis',
    'effervescent',
    'effet',
    'effets',
    'effeuilla',
    'effeuillage',
    'effeuillages',
    'effeuillai',
    'effeuillais',
    'effeuillait',
    'effeuillant',
    'effeuillas',
    'effeuillasse',
    'effeuille',
    'effeuillent',
    'effeuiller',
    'effeuillera',
    'effeuillerai',
    'effeuilleras',
    'effeuillerez',
    'effeuilles',
    'effeuilleuse',
    'effeuillez',
    'effeuilliez',
    'effeuillions',
    'effeuillons',
    'effeuillâmes',
    'effeuillât',
    'effeuillâtes',
    'effeuillé',
    'effeuillée',
    'effeuillées',
    'effeuillés',
    'efficace',
    'efficacement',
    'efficaces',
    'efficacité',
    'efficacités',
    'efficience',
    'efficiences',
    'efficient',
    'efficiente',
    'efficientes',
    'efficients',
    'effigie',
    'effigies',
    'effila',
    'effilage',
    'effilages',
    'effilai',
    'effilaient',
    'effilais',
    'effilait',
    'effilant',
    'effilas',
    'effilasse',
    'effilassent',
    'effilasses',
    'effilassiez',
    'effilassions',
    'effile',
    'effilement',
    'effilements',
    'effilent',
    'effiler',
    'effilera',
    'effilerai',
    'effileraient',
    'effilerais',
    'effilerait',
    'effileras',
    'effilerez',
    'effileriez',
    'effilerions',
    'effilerons',
    'effileront',
    'effiles',
    'effilez',
    'effiliez',
    'effilions',
    'effilocha',
    'effilochage',
    'effilochages',
    'effilochai',
    'effilochais',
    'effilochait',
    'effilochant',
    'effilochas',
    'effilochasse',
    'effiloche',
    'effilochent',
    'effilocher',
    'effilochera',
    'effilocherai',
    'effilocheras',
    'effilocherez',
    'effiloches',
    'effilocheur',
    'effilocheurs',
    'effilocheuse',
    'effilochez',
    'effilochiez',
    'effilochions',
    'effilochons',
    'effilochure',
    'effilochures',
    'effilochâmes',
    'effilochât',
    'effilochâtes',
    'effiloché',
    'effilochée',
    'effilochées',
    'effilochés',
    'effilons',
    'effilure',
    'effilures',
    'effilâmes',
    'effilât',
    'effilâtes',
    'effilèrent',
    'effilé',
    'effilée',
    'effilées',
    'effilés',
    'efflanqua',
    'efflanquai',
    'efflanquais',
    'efflanquait',
    'efflanquant',
    'efflanquas',
    'efflanquasse',
    'efflanque',
    'efflanquent',
    'efflanquer',
    'efflanquera',
    'efflanquerai',
    'efflanqueras',
    'efflanquerez',
    'efflanques',
    'efflanquez',
    'efflanquiez',
    'efflanquions',
    'efflanquons',
    'efflanquâmes',
    'efflanquât',
    'efflanquâtes',
    'efflanqué',
    'efflanquée',
    'efflanquées',
    'efflanqués',
    'effleura',
    'effleurage',
    'effleurages',
    'effleurai',
    'effleuraient',
    'effleurais',
    'effleurait',
    'effleurant',
    'effleuras',
    'effleurasse',
    'effleurasses',
    'effleure',
    'effleurement',
    'effleurent',
    'effleurer',
    'effleurera',
    'effleurerai',
    'effleurerais',
    'effleurerait',
    'effleureras',
    'effleurerez',
    'effleureriez',
    'effleurerons',
    'effleureront',
    'effleures',
    'effleurez',
    'effleuri',
    'effleuriez',
    'effleurions',
    'effleurir',
    'effleurira',
    'effleurirai',
    'effleurirais',
    'effleurirait',
    'effleuriras',
    'effleurirent',
    'effleurirez',
    'effleuririez',
    'effleurirons',
    'effleuriront',
    'effleuris',
    'effleurisse',
    'effleurisses',
    'effleurissez',
    'effleurit',
    'effleurons',
    'effleurâmes',
    'effleurât',
    'effleurâtes',
    'effleurèrent',
    'effleuré',
    'effleurée',
    'effleurées',
    'effleurés',
    'effleurîmes',
    'effleurît',
    'effleurîtes',
    'effloraison',
    'effloraisons',
    'efflorescent',
    'effluence',
    'effluences',
    'effluent',
    'effluente',
    'effluentes',
    'effluents',
    'effluva',
    'effluvai',
    'effluvaient',
    'effluvais',
    'effluvait',
    'effluvant',
    'effluvas',
    'effluvasse',
    'effluvassent',
    'effluvasses',
    'effluvassiez',
    'effluve',
    'effluvent',
    'effluver',
    'effluvera',
    'effluverai',
    'effluverais',
    'effluverait',
    'effluveras',
    'effluverez',
    'effluveriez',
    'effluverions',
    'effluverons',
    'effluveront',
    'effluves',
    'effluvez',
    'effluviez',
    'effluvions',
    'effluvons',
    'effluvâmes',
    'effluvât',
    'effluvâtes',
    'effluvèrent',
    'effluvé',
    'effondra',
    'effondrai',
    'effondraient',
    'effondrais',
    'effondrait',
    'effondrant',
    'effondras',
    'effondrasse',
    'effondrasses',
    'effondre',
    'effondrement',
    'effondrent',
    'effondrer',
    'effondrera',
    'effondrerai',
    'effondrerais',
    'effondrerait',
    'effondreras',
    'effondrerez',
    'effondreriez',
    'effondrerons',
    'effondreront',
    'effondres',
    'effondrez',
    'effondriez',
    'effondrions',
    'effondrons',
    'effondrâmes',
    'effondrât',
    'effondrâtes',
    'effondrèrent',
    'effondré',
    'effondrée',
    'effondrées',
    'effondrés',
    'efforce',
    'efforcent',
    'efforcer',
    'efforcera',
    'efforcerai',
    'efforcerais',
    'efforcerait',
    'efforceras',
    'efforcerez',
    'efforceriez',
    'efforcerions',
    'efforcerons',
    'efforceront',
    'efforces',
    'efforcez',
    'efforciez',
    'efforcions',
    'efforcèrent',
    'efforcé',
    'efforcée',
    'efforcées',
    'efforcés',
    'effort',
    'efforts',
    'efforça',
    'efforçaient',
    'efforçais',
    'efforçait',
    'efforçant',
    'efforçassiez',
    'efforçons',
    'efforçâmes',
    'efforçâtes',
    'effraction',
    'effractions',
    'effraie',
    'effraient',
    'effraiera',
    'effraierai',
    'effraierais',
    'effraierait',
    'effraieras',
    'effraierez',
    'effraieriez',
    'effraierions',
    'effraierons',
    'effraieront',
    'effraies',
    'effrange',
    'effrangea',
    'effrangeai',
    'effrangeais',
    'effrangeait',
    'effrangeant',
    'effrangeas',
    'effrangeasse',
    'effrangent',
    'effrangeons',
    'effranger',
    'effrangera',
    'effrangerai',
    'effrangerais',
    'effrangerait',
    'effrangeras',
    'effrangerez',
    'effrangeriez',
    'effrangerons',
    'effrangeront',
    'effranges',
    'effrangez',
    'effrangeâmes',
    'effrangeât',
    'effrangeâtes',
    'effrangiez',
    'effrangions',
    'effrangèrent',
    'effrangé',
    'effrangée',
    'effrangées',
    'effrangés',
    'effraya',
    'effrayai',
    'effrayaient',
    'effrayais',
    'effrayait',
    'effrayant',
    'effrayante',
    'effrayantes',
    'effrayants',
    'effrayas',
    'effrayasse',
    'effrayassent',
    'effrayasses',
    'effrayassiez',
    'effraye',
    'effrayent',
    'effrayer',
    'effrayera',
    'effrayerai',
    'effrayerais',
    'effrayerait',
    'effrayeras',
    'effrayerez',
    'effrayeriez',
    'effrayerions',
    'effrayerons',
    'effrayeront',
    'effrayes',
    'effrayez',
    'effrayiez',
    'effrayions',
    'effrayons',
    'effrayâmes',
    'effrayât',
    'effrayâtes',
    'effrayèrent',
    'effrayé',
    'effrayée',
    'effrayées',
    'effrayés',
    'effrita',
    'effritai',
    'effritaient',
    'effritais',
    'effritait',
    'effritant',
    'effritas',
    'effritasse',
    'effritassent',
    'effritasses',
    'effritassiez',
    'effrite',
    'effritement',
    'effritements',
    'effritent',
    'effriter',
    'effritera',
    'effriterai',
    'effriterais',
    'effriterait',
    'effriteras',
    'effriterez',
    'effriteriez',
    'effriterions',
    'effriterons',
    'effriteront',
    'effrites',
    'effritez',
    'effritiez',
    'effritions',
    'effritons',
    'effritâmes',
    'effritât',
    'effritâtes',
    'effritèrent',
    'effrité',
    'effritée',
    'effritées',
    'effrités',
    'effroi',
    'effrois',
    'effronterie',
    'effronteries',
    'effronté',
    'effrontée',
    'effrontées',
    'effrontément',
    'effrontés',
    'effroyable',
    'effroyables',
    'effréné',
    'effrénée',
    'effrénées',
    'effrénés',
    'effusion',
    'effusions',
    'effémina',
    'efféminai',
    'efféminaient',
    'efféminais',
    'efféminait',
    'efféminant',
    'efféminas',
    'efféminasse',
    'efféminasses',
    'effémine',
    'efféminement',
    'efféminent',
    'efféminer',
    'efféminera',
    'efféminerai',
    'efféminerais',
    'efféminerait',
    'effémineras',
    'efféminerez',
    'effémineriez',
    'efféminerons',
    'effémineront',
    'effémines',
    'efféminez',
    'efféminiez',
    'efféminions',
    'efféminons',
    'efféminâmes',
    'efféminât',
    'efféminâtes',
    'efféminèrent',
    'efféminé',
    'efféminée',
    'efféminées',
    'efféminés',
    'efférent',
    'efférente',
    'efférentes',
    'efférents',
    'eider',
    'eiders',
    'eidétique',
    'eidétiques',
    'elaeis',
    'elbeuf',
    'elbeufs',
    'elbot',
    'elbots',
    'eldorado',
    'eldorados',
    'elfe',
    'elfes',
    'elle',
    'elles',
    'ellipse',
    'ellipses',
    'ellipsoïdal',
    'ellipsoïdale',
    'ellipsoïdaux',
    'ellipsoïde',
    'ellipsoïdes',
    'elliptique',
    'elliptiques',
    'ellébore',
    'ellébores',
    'elzévirien',
    'elzévirienne',
    'elzéviriens',
    'emballa',
    'emballage',
    'emballages',
    'emballai',
    'emballaient',
    'emballais',
    'emballait',
    'emballant',
    'emballas',
    'emballasse',
    'emballassent',
    'emballasses',
    'emballassiez',
    'emballe',
    'emballement',
    'emballements',
    'emballent',
    'emballer',
    'emballera',
    'emballerai',
    'emballerais',
    'emballerait',
    'emballeras',
    'emballerez',
    'emballeriez',
    'emballerions',
    'emballerons',
    'emballeront',
    'emballes',
    'emballeur',
    'emballeurs',
    'emballeuse',
    'emballeuses',
    'emballez',
    'emballiez',
    'emballions',
    'emballons',
    'emballotta',
    'emballottai',
    'emballottais',
    'emballottait',
    'emballottant',
    'emballottas',
    'emballotte',
    'emballottent',
    'emballotter',
    'emballottera',
    'emballottes',
    'emballottez',
    'emballottiez',
    'emballottons',
    'emballottât',
    'emballotté',
    'emballottée',
    'emballottées',
    'emballottés',
    'emballâmes',
    'emballât',
    'emballâtes',
    'emballèrent',
    'emballé',
    'emballée',
    'emballées',
    'emballés',
    'embarbouilla',
    'embarbouille',
    'embarbouillé',
    'embarcadère',
    'embarcadères',
    'embarcation',
    'embarcations',
    'embarda',
    'embardai',
    'embardaient',
    'embardais',
    'embardait',
    'embardant',
    'embardas',
    'embardasse',
    'embardassent',
    'embardasses',
    'embardassiez',
    'embarde',
    'embardent',
    'embarder',
    'embardera',
    'embarderai',
    'embarderais',
    'embarderait',
    'embarderas',
    'embarderez',
    'embarderiez',
    'embarderions',
    'embarderons',
    'embarderont',
    'embardes',
    'embardez',
    'embardiez',
    'embardions',
    'embardons',
    'embardâmes',
    'embardât',
    'embardâtes',
    'embardèrent',
    'embardé',
    'embardée',
    'embardées',
    'embardés',
    'embargo',
    'embargos',
    'embarqua',
    'embarquai',
    'embarquaient',
    'embarquais',
    'embarquait',
    'embarquant',
    'embarquas',
    'embarquasse',
    'embarquasses',
    'embarque',
    'embarquement',
    'embarquent',
    'embarquer',
    'embarquera',
    'embarquerai',
    'embarquerais',
    'embarquerait',
    'embarqueras',
    'embarquerez',
    'embarqueriez',
    'embarquerons',
    'embarqueront',
    'embarques',
    'embarquez',
    'embarquiez',
    'embarquions',
    'embarquons',
    'embarquâmes',
    'embarquât',
    'embarquâtes',
    'embarquèrent',
    'embarqué',
    'embarquée',
    'embarquées',
    'embarqués',
    'embarra',
    'embarrai',
    'embarraient',
    'embarrais',
    'embarrait',
    'embarrant',
    'embarras',
    'embarrassa',
    'embarrassai',
    'embarrassais',
    'embarrassait',
    'embarrassant',
    'embarrassas',
    'embarrasse',
    'embarrassent',
    'embarrasser',
    'embarrassera',
    'embarrasses',
    'embarrassez',
    'embarrassiez',
    'embarrassons',
    'embarrassât',
    'embarrassé',
    'embarrassée',
    'embarrassées',
    'embarrassés',
    'embarre',
    'embarrent',
    'embarrer',
    'embarrera',
    'embarrerai',
    'embarrerais',
    'embarrerait',
    'embarreras',
    'embarrerez',
    'embarreriez',
    'embarrerions',
    'embarrerons',
    'embarreront',
    'embarres',
    'embarrez',
    'embarriez',
    'embarrions',
    'embarrons',
    'embarrâmes',
    'embarrât',
    'embarrâtes',
    'embarrèrent',
    'embarré',
    'embarrée',
    'embarrées',
    'embarrés',
    'embase',
    'embasement',
    'embasements',
    'embases',
    'embastilla',
    'embastillai',
    'embastillais',
    'embastillait',
    'embastillant',
    'embastillas',
    'embastille',
    'embastillent',
    'embastiller',
    'embastillera',
    'embastilles',
    'embastillez',
    'embastilliez',
    'embastillons',
    'embastillât',
    'embastillé',
    'embastillée',
    'embastillées',
    'embastillés',
    'embastionna',
    'embastionnai',
    'embastionnas',
    'embastionne',
    'embastionner',
    'embastionnes',
    'embastionnez',
    'embastionnât',
    'embastionné',
    'embastionnée',
    'embastionnés',
    'embat',
    'embats',
    'embattage',
    'embattages',
    'embattaient',
    'embattais',
    'embattait',
    'embattant',
    'embatte',
    'embattent',
    'embattes',
    'embattez',
    'embattiez',
    'embattions',
    'embattirent',
    'embattis',
    'embattisse',
    'embattissent',
    'embattisses',
    'embattissiez',
    'embattit',
    'embattons',
    'embattra',
    'embattrai',
    'embattraient',
    'embattrais',
    'embattrait',
    'embattras',
    'embattre',
    'embattrez',
    'embattriez',
    'embattrions',
    'embattrons',
    'embattront',
    'embattu',
    'embattue',
    'embattues',
    'embattus',
    'embattîmes',
    'embattît',
    'embattîtes',
    'embaucha',
    'embauchage',
    'embauchages',
    'embauchai',
    'embauchaient',
    'embauchais',
    'embauchait',
    'embauchant',
    'embauchas',
    'embauchasse',
    'embauchasses',
    'embauche',
    'embauchent',
    'embaucher',
    'embauchera',
    'embaucherai',
    'embaucherais',
    'embaucherait',
    'embaucheras',
    'embaucherez',
    'embaucheriez',
    'embaucherons',
    'embaucheront',
    'embauches',
    'embaucheur',
    'embaucheurs',
    'embaucheuse',
    'embaucheuses',
    'embauchez',
    'embauchiez',
    'embauchions',
    'embauchoir',
    'embauchoirs',
    'embauchons',
    'embauchâmes',
    'embauchât',
    'embauchâtes',
    'embauchèrent',
    'embauché',
    'embauchée',
    'embauchées',
    'embauchés',
    'embauma',
    'embaumai',
    'embaumaient',
    'embaumais',
    'embaumait',
    'embaumant',
    'embaumas',
    'embaumasse',
    'embaumassent',
    'embaumasses',
    'embaumassiez',
    'embaume',
    'embaumement',
    'embaumements',
    'embaument',
    'embaumer',
    'embaumera',
    'embaumerai',
    'embaumerais',
    'embaumerait',
    'embaumeras',
    'embaumerez',
    'embaumeriez',
    'embaumerions',
    'embaumerons',
    'embaumeront',
    'embaumes',
    'embaumeur',
    'embaumeurs',
    'embaumeuse',
    'embaumeuses',
    'embaumez',
    'embaumiez',
    'embaumions',
    'embaumons',
    'embaumâmes',
    'embaumât',
    'embaumâtes',
    'embaumèrent',
    'embaumé',
    'embaumée',
    'embaumées',
    'embaumés',
    'embecqua',
    'embecquai',
    'embecquaient',
    'embecquais',
    'embecquait',
    'embecquant',
    'embecquas',
    'embecquasse',
    'embecquasses',
    'embecque',
    'embecquent',
    'embecquer',
    'embecquera',
    'embecquerai',
    'embecquerais',
    'embecquerait',
    'embecqueras',
    'embecquerez',
    'embecqueriez',
    'embecquerons',
    'embecqueront',
    'embecques',
    'embecquez',
    'embecquiez',
    'embecquions',
    'embecquons',
    'embecquâmes',
    'embecquât',
    'embecquâtes',
    'embecquèrent',
    'embecqué',
    'embecquée',
    'embecquées',
    'embecqués',
    'embelli',
    'embellie',
    'embellies',
    'embellir',
    'embellira',
    'embellirai',
    'embellirais',
    'embellirait',
    'embelliras',
    'embellirent',
    'embellirez',
    'embelliriez',
    'embellirions',
    'embellirons',
    'embelliront',
    'embellis',
    'embellissa',
    'embellissai',
    'embellissais',
    'embellissait',
    'embellissant',
    'embellissas',
    'embellisse',
    'embellissent',
    'embellisses',
    'embellissez',
    'embellissiez',
    'embellissons',
    'embellissât',
    'embellit',
    'embellîmes',
    'embellît',
    'embellîtes',
    'embidonna',
    'embidonnai',
    'embidonnais',
    'embidonnait',
    'embidonnant',
    'embidonnas',
    'embidonnasse',
    'embidonne',
    'embidonnent',
    'embidonner',
    'embidonnera',
    'embidonnerai',
    'embidonneras',
    'embidonnerez',
    'embidonnes',
    'embidonnez',
    'embidonniez',
    'embidonnions',
    'embidonnons',
    'embidonnâmes',
    'embidonnât',
    'embidonnâtes',
    'embidonné',
    'embidonnée',
    'embidonnées',
    'embidonnés',
    'emblava',
    'emblavage',
    'emblavages',
    'emblavai',
    'emblavaient',
    'emblavais',
    'emblavait',
    'emblavant',
    'emblavas',
    'emblavasse',
    'emblavassent',
    'emblavasses',
    'emblavassiez',
    'emblave',
    'emblavent',
    'emblaver',
    'emblavera',
    'emblaverai',
    'emblaverais',
    'emblaverait',
    'emblaveras',
    'emblaverez',
    'emblaveriez',
    'emblaverions',
    'emblaverons',
    'emblaveront',
    'emblaves',
    'emblavez',
    'emblaviez',
    'emblavions',
    'emblavons',
    'emblavure',
    'emblavures',
    'emblavâmes',
    'emblavât',
    'emblavâtes',
    'emblavèrent',
    'emblavé',
    'emblavée',
    'emblavées',
    'emblavés',
    'emblème',
    'emblèmes',
    'emblée',
    'emblématique',
    'embobelina',
    'embobelinai',
    'embobelinais',
    'embobelinait',
    'embobelinant',
    'embobelinas',
    'embobeline',
    'embobelinent',
    'embobeliner',
    'embobelinera',
    'embobelines',
    'embobelinez',
    'embobeliniez',
    'embobelinons',
    'embobelinât',
    'embobeliné',
    'embobelinée',
    'embobelinées',
    'embobelinés',
    'embobina',
    'embobinai',
    'embobinaient',
    'embobinais',
    'embobinait',
    'embobinant',
    'embobinas',
    'embobinasse',
    'embobinasses',
    'embobine',
    'embobinent',
    'embobiner',
    'embobinera',
    'embobinerai',
    'embobinerais',
    'embobinerait',
    'embobineras',
    'embobinerez',
    'embobineriez',
    'embobinerons',
    'embobineront',
    'embobines',
    'embobinez',
    'embobiniez',
    'embobinions',
    'embobinons',
    'embobinâmes',
    'embobinât',
    'embobinâtes',
    'embobinèrent',
    'embobiné',
    'embobinée',
    'embobinées',
    'embobinés',
    'emboire',
    'emboirez',
    'emboirions',
    'emboirons',
    'embolie',
    'embolies',
    'embolisme',
    'embolismes',
    'embonpoint',
    'embonpoints',
    'embossa',
    'embossage',
    'embossages',
    'embossai',
    'embossaient',
    'embossais',
    'embossait',
    'embossant',
    'embossas',
    'embossasse',
    'embossassent',
    'embossasses',
    'embossassiez',
    'embosse',
    'embossent',
    'embosser',
    'embossera',
    'embosserai',
    'embosserais',
    'embosserait',
    'embosseras',
    'embosserez',
    'embosseriez',
    'embosserions',
    'embosserons',
    'embosseront',
    'embosses',
    'embossez',
    'embossiez',
    'embossions',
    'embossons',
    'embossâmes',
    'embossât',
    'embossâtes',
    'embossèrent',
    'embossé',
    'embossée',
    'embossées',
    'embossés',
    'embottela',
    'embottelai',
    'embottelais',
    'embottelait',
    'embottelant',
    'embottelas',
    'embottelasse',
    'embotteler',
    'embottelez',
    'embotteliez',
    'embottelions',
    'embottelle',
    'embottellent',
    'embottellera',
    'embottelles',
    'embottelons',
    'embottelâmes',
    'embottelât',
    'embottelâtes',
    'embottelé',
    'embottelée',
    'embottelées',
    'embottelés',
    'emboua',
    'embouai',
    'embouaient',
    'embouais',
    'embouait',
    'embouant',
    'embouas',
    'embouasse',
    'embouassent',
    'embouasses',
    'embouassiez',
    'embouassions',
    'emboucha',
    'embouchai',
    'embouchaient',
    'embouchais',
    'embouchait',
    'embouchant',
    'embouchas',
    'embouchasse',
    'embouchasses',
    'embouche',
    'embouchent',
    'emboucher',
    'embouchera',
    'emboucherai',
    'emboucherais',
    'emboucherait',
    'emboucheras',
    'emboucherez',
    'emboucheriez',
    'emboucherons',
    'emboucheront',
    'embouches',
    'embouchez',
    'embouchiez',
    'embouchions',
    'embouchoir',
    'embouchoirs',
    'embouchons',
    'embouchure',
    'embouchures',
    'embouchâmes',
    'embouchât',
    'embouchâtes',
    'embouchèrent',
    'embouché',
    'embouchée',
    'embouchées',
    'embouchés',
    'emboue',
    'embouent',
    'embouer',
    'embouera',
    'embouerai',
    'emboueraient',
    'embouerais',
    'embouerait',
    'emboueras',
    'embouerez',
    'emboueriez',
    'embouerions',
    'embouerons',
    'emboueront',
    'emboues',
    'embouez',
    'embouiez',
    'embouions',
    'embouons',
    'embouqua',
    'embouquai',
    'embouquaient',
    'embouquais',
    'embouquait',
    'embouquant',
    'embouquas',
    'embouquasse',
    'embouquasses',
    'embouque',
    'embouquement',
    'embouquent',
    'embouquer',
    'embouquera',
    'embouquerai',
    'embouquerais',
    'embouquerait',
    'embouqueras',
    'embouquerez',
    'embouqueriez',
    'embouquerons',
    'embouqueront',
    'embouques',
    'embouquez',
    'embouquiez',
    'embouquions',
    'embouquons',
    'embouquâmes',
    'embouquât',
    'embouquâtes',
    'embouquèrent',
    'embouqué',
    'embourba',
    'embourbai',
    'embourbaient',
    'embourbais',
    'embourbait',
    'embourbant',
    'embourbas',
    'embourbasse',
    'embourbasses',
    'embourbe',
    'embourbent',
    'embourber',
    'embourbera',
    'embourberai',
    'embourberais',
    'embourberait',
    'embourberas',
    'embourberez',
    'embourberiez',
    'embourberons',
    'embourberont',
    'embourbes',
    'embourbez',
    'embourbiez',
    'embourbions',
    'embourbons',
    'embourbâmes',
    'embourbât',
    'embourbâtes',
    'embourbèrent',
    'embourbé',
    'embourbée',
    'embourbées',
    'embourbés',
    'embourgeoisa',
    'embourgeoise',
    'embourgeoisé',
    'embourra',
    'embourrai',
    'embourraient',
    'embourrais',
    'embourrait',
    'embourrant',
    'embourras',
    'embourrasse',
    'embourrasses',
    'embourre',
    'embourrent',
    'embourrer',
    'embourrera',
    'embourrerai',
    'embourrerais',
    'embourrerait',
    'embourreras',
    'embourrerez',
    'embourreriez',
    'embourrerons',
    'embourreront',
    'embourres',
    'embourrez',
    'embourriez',
    'embourrions',
    'embourrons',
    'embourrure',
    'embourrures',
    'embourrâmes',
    'embourrât',
    'embourrâtes',
    'embourrèrent',
    'embourré',
    'embourrée',
    'embourrées',
    'embourrés',
    'embout',
    'embouteilla',
    'embouteillai',
    'embouteillas',
    'embouteille',
    'embouteiller',
    'embouteilles',
    'embouteillez',
    'embouteillât',
    'embouteillé',
    'embouteillée',
    'embouteillés',
    'embouti',
    'emboutie',
    'embouties',
    'emboutir',
    'emboutira',
    'emboutirai',
    'emboutirais',
    'emboutirait',
    'emboutiras',
    'emboutirent',
    'emboutirez',
    'emboutiriez',
    'emboutirions',
    'emboutirons',
    'emboutiront',
    'emboutis',
    'emboutissage',
    'emboutissais',
    'emboutissait',
    'emboutissant',
    'emboutisse',
    'emboutissent',
    'emboutisses',
    'emboutissez',
    'emboutissiez',
    'emboutissoir',
    'emboutissons',
    'emboutit',
    'embouts',
    'emboutîmes',
    'emboutît',
    'emboutîtes',
    'embouâmes',
    'embouât',
    'embouâtes',
    'embouèrent',
    'emboué',
    'embouée',
    'embouées',
    'emboués',
    'emboîta',
    'emboîtable',
    'emboîtables',
    'emboîtage',
    'emboîtages',
    'emboîtai',
    'emboîtaient',
    'emboîtais',
    'emboîtait',
    'emboîtant',
    'emboîtas',
    'emboîtasse',
    'emboîtassent',
    'emboîtasses',
    'emboîtassiez',
    'emboîte',
    'emboîtement',
    'emboîtements',
    'emboîtent',
    'emboîter',
    'emboîtera',
    'emboîterai',
    'emboîterais',
    'emboîterait',
    'emboîteras',
    'emboîterez',
    'emboîteriez',
    'emboîterions',
    'emboîterons',
    'emboîteront',
    'emboîtes',
    'emboîtez',
    'emboîtiez',
    'emboîtions',
    'emboîtons',
    'emboîture',
    'emboîtures',
    'emboîtâmes',
    'emboîtât',
    'emboîtâtes',
    'emboîtèrent',
    'emboîté',
    'emboîtée',
    'emboîtées',
    'emboîtés',
    'embraie',
    'embraient',
    'embraiera',
    'embraierai',
    'embraierais',
    'embraierait',
    'embraieras',
    'embraierez',
    'embraieriez',
    'embraierions',
    'embraierons',
    'embraieront',
    'embraies',
    'embrancha',
    'embranchai',
    'embranchais',
    'embranchait',
    'embranchant',
    'embranchas',
    'embranchasse',
    'embranche',
    'embranchent',
    'embrancher',
    'embranchera',
    'embrancherai',
    'embrancheras',
    'embrancherez',
    'embranches',
    'embranchez',
    'embranchiez',
    'embranchions',
    'embranchons',
    'embranchâmes',
    'embranchât',
    'embranchâtes',
    'embranché',
    'embranchée',
    'embranchées',
    'embranchés',
    'embraqua',
    'embraquai',
    'embraquaient',
    'embraquais',
    'embraquait',
    'embraquant',
    'embraquas',
    'embraquasse',
    'embraquasses',
    'embraque',
    'embraquent',
    'embraquer',
    'embraquera',
    'embraquerai',
    'embraquerais',
    'embraquerait',
    'embraqueras',
    'embraquerez',
    'embraqueriez',
    'embraquerons',
    'embraqueront',
    'embraques',
    'embraquez',
    'embraquiez',
    'embraquions',
    'embraquons',
    'embraquâmes',
    'embraquât',
    'embraquâtes',
    'embraquèrent',
    'embraqué',
    'embraquée',
    'embraquées',
    'embraqués',
    'embrasa',
    'embrasai',
    'embrasaient',
    'embrasais',
    'embrasait',
    'embrasant',
    'embrasas',
    'embrasasse',
    'embrasassent',
    'embrasasses',
    'embrasassiez',
    'embrase',
    'embrasement',
    'embrasements',
    'embrasent',
    'embraser',
    'embrasera',
    'embraserai',
    'embraserais',
    'embraserait',
    'embraseras',
    'embraserez',
    'embraseriez',
    'embraserions',
    'embraserons',
    'embraseront',
    'embrases',
    'embrasez',
    'embrasiez',
    'embrasions',
    'embrasons',
    'embrassa',
    'embrassade',
    'embrassades',
    'embrassai',
    'embrassaient',
    'embrassais',
    'embrassait',
    'embrassant',
    'embrassas',
    'embrassasse',
    'embrassasses',
    'embrasse',
    'embrassement',
    'embrassent',
    'embrasser',
    'embrassera',
    'embrasserai',
    'embrasserais',
    'embrasserait',
    'embrasseras',
    'embrasserez',
    'embrasseriez',
    'embrasserons',
    'embrasseront',
    'embrasses',
    'embrasseur',
    'embrasseurs',
    'embrasseuse',
    'embrasseuses',
    'embrassez',
    'embrassiez',
    'embrassions',
    'embrassons',
    'embrassâmes',
    'embrassât',
    'embrassâtes',
    'embrassèrent',
    'embrassé',
    'embrassée',
    'embrassées',
    'embrassés',
    'embrasure',
    'embrasures',
    'embrasâmes',
    'embrasât',
    'embrasâtes',
    'embrasèrent',
    'embrasé',
    'embrasée',
    'embrasées',
    'embrasés',
    'embraya',
    'embrayage',
    'embrayages',
    'embrayai',
    'embrayaient',
    'embrayais',
    'embrayait',
    'embrayant',
    'embrayas',
    'embrayasse',
    'embrayassent',
    'embrayasses',
    'embrayassiez',
    'embraye',
    'embrayent',
    'embrayer',
    'embrayera',
    'embrayerai',
    'embrayerais',
    'embrayerait',
    'embrayeras',
    'embrayerez',
    'embrayeriez',
    'embrayerions',
    'embrayerons',
    'embrayeront',
    'embrayes',
    'embrayez',
    'embrayiez',
    'embrayions',
    'embrayons',
    'embrayâmes',
    'embrayât',
    'embrayâtes',
    'embrayèrent',
    'embrayé',
    'embrayée',
    'embrayées',
    'embrayés',
    'embrela',
    'embrelai',
    'embrelaient',
    'embrelais',
    'embrelait',
    'embrelant',
    'embrelas',
    'embrelasse',
    'embrelassent',
    'embrelasses',
    'embrelassiez',
    'embreler',
    'embrelez',
    'embreliez',
    'embrelions',
    'embrelons',
    'embrelâmes',
    'embrelât',
    'embrelâtes',
    'embrelèrent',
    'embrelé',
    'embrelée',
    'embrelées',
    'embrelés',
    'embreva',
    'embrevai',
    'embrevaient',
    'embrevais',
    'embrevait',
    'embrevant',
    'embrevas',
    'embrevasse',
    'embrevassent',
    'embrevasses',
    'embrevassiez',
    'embrever',
    'embrevez',
    'embreviez',
    'embrevions',
    'embrevons',
    'embrevâmes',
    'embrevât',
    'embrevâtes',
    'embrevèrent',
    'embrevé',
    'embrevée',
    'embrevées',
    'embrevés',
    'embrigada',
    'embrigadai',
    'embrigadais',
    'embrigadait',
    'embrigadant',
    'embrigadas',
    'embrigadasse',
    'embrigade',
    'embrigadent',
    'embrigader',
    'embrigadera',
    'embrigaderai',
    'embrigaderas',
    'embrigaderez',
    'embrigades',
    'embrigadez',
    'embrigadiez',
    'embrigadions',
    'embrigadons',
    'embrigadâmes',
    'embrigadât',
    'embrigadâtes',
    'embrigadé',
    'embrigadée',
    'embrigadées',
    'embrigadés',
    'embringua',
    'embringuai',
    'embringuais',
    'embringuait',
    'embringuant',
    'embringuas',
    'embringuasse',
    'embringue',
    'embringuent',
    'embringuer',
    'embringuera',
    'embringuerai',
    'embringueras',
    'embringuerez',
    'embringues',
    'embringuez',
    'embringuiez',
    'embringuions',
    'embringuons',
    'embringuâmes',
    'embringuât',
    'embringuâtes',
    'embringué',
    'embringuée',
    'embringuées',
    'embringués',
    'embrocation',
    'embrocations',
    'embrocha',
    'embrochai',
    'embrochaient',
    'embrochais',
    'embrochait',
    'embrochant',
    'embrochas',
    'embrochasse',
    'embrochasses',
    'embroche',
    'embrochement',
    'embrochent',
    'embrocher',
    'embrochera',
    'embrocherai',
    'embrocherais',
    'embrocherait',
    'embrocheras',
    'embrocherez',
    'embrocheriez',
    'embrocherons',
    'embrocheront',
    'embroches',
    'embrochez',
    'embrochiez',
    'embrochions',
    'embrochons',
    'embrochâmes',
    'embrochât',
    'embrochâtes',
    'embrochèrent',
    'embroché',
    'embrochée',
    'embrochées',
    'embrochés',
    'embroncha',
    'embronchai',
    'embronchais',
    'embronchait',
    'embronchant',
    'embronchas',
    'embronchasse',
    'embronche',
    'embronchent',
    'embroncher',
    'embronchera',
    'embroncherai',
    'embroncheras',
    'embroncherez',
    'embronches',
    'embronchez',
    'embronchiez',
    'embronchions',
    'embronchons',
    'embronchâmes',
    'embronchât',
    'embronchâtes',
    'embronché',
    'embronchée',
    'embronchées',
    'embronchés',
    'embrouilla',
    'embrouillage',
    'embrouillai',
    'embrouillais',
    'embrouillait',
    'embrouillant',
    'embrouillas',
    'embrouille',
    'embrouillent',
    'embrouiller',
    'embrouillera',
    'embrouilles',
    'embrouillez',
    'embrouilliez',
    'embrouillons',
    'embrouillât',
    'embrouillé',
    'embrouillée',
    'embrouillées',
    'embrouillés',
    'embruma',
    'embrumai',
    'embrumaient',
    'embrumais',
    'embrumait',
    'embrumant',
    'embrumas',
    'embrumasse',
    'embrumassent',
    'embrumasses',
    'embrumassiez',
    'embrume',
    'embrument',
    'embrumer',
    'embrumera',
    'embrumerai',
    'embrumerais',
    'embrumerait',
    'embrumeras',
    'embrumerez',
    'embrumeriez',
    'embrumerions',
    'embrumerons',
    'embrumeront',
    'embrumes',
    'embrumez',
    'embrumiez',
    'embrumions',
    'embrumons',
    'embrumâmes',
    'embrumât',
    'embrumâtes',
    'embrumèrent',
    'embrumé',
    'embrumée',
    'embrumées',
    'embrumés',
    'embruni',
    'embrunie',
    'embrunies',
    'embrunir',
    'embrunira',
    'embrunirai',
    'embrunirais',
    'embrunirait',
    'embruniras',
    'embrunirent',
    'embrunirez',
    'embruniriez',
    'embrunirions',
    'embrunirons',
    'embruniront',
    'embrunis',
    'embrunissais',
    'embrunissait',
    'embrunissant',
    'embrunisse',
    'embrunissent',
    'embrunisses',
    'embrunissez',
    'embrunissiez',
    'embrunissons',
    'embrunit',
    'embruns',
    'embrunîmes',
    'embrunît',
    'embrunîtes',
    'embryogenèse',
    'embryogénie',
    'embryogénies',
    'embryologie',
    'embryologies',
    'embryon',
    'embryonnaire',
    'embryons',
    'embryopathie',
    'embrèle',
    'embrèlent',
    'embrèlera',
    'embrèlerai',
    'embrèlerais',
    'embrèlerait',
    'embrèleras',
    'embrèlerez',
    'embrèleriez',
    'embrèlerions',
    'embrèlerons',
    'embrèleront',
    'embrèles',
    'embrève',
    'embrèvement',
    'embrèvements',
    'embrèvent',
    'embrèvera',
    'embrèverai',
    'embrèverais',
    'embrèverait',
    'embrèveras',
    'embrèverez',
    'embrèveriez',
    'embrèverions',
    'embrèverons',
    'embrèveront',
    'embrèves',
    'embu',
    'embua',
    'embuai',
    'embuaient',
    'embuais',
    'embuait',
    'embuant',
    'embuas',
    'embuasse',
    'embuassent',
    'embuasses',
    'embuassiez',
    'embuassions',
    'embue',
    'embuent',
    'embuer',
    'embuera',
    'embuerai',
    'embueraient',
    'embuerais',
    'embuerait',
    'embueras',
    'embuerez',
    'embueriez',
    'embuerions',
    'embuerons',
    'embueront',
    'embues',
    'embuez',
    'embuiez',
    'embuions',
    'embuons',
    'embus',
    'embuscade',
    'embuscades',
    'embusqua',
    'embusquai',
    'embusquaient',
    'embusquais',
    'embusquait',
    'embusquant',
    'embusquas',
    'embusquasse',
    'embusquasses',
    'embusque',
    'embusquent',
    'embusquer',
    'embusquera',
    'embusquerai',
    'embusquerais',
    'embusquerait',
    'embusqueras',
    'embusquerez',
    'embusqueriez',
    'embusquerons',
    'embusqueront',
    'embusques',
    'embusquez',
    'embusquiez',
    'embusquions',
    'embusquons',
    'embusquâmes',
    'embusquât',
    'embusquâtes',
    'embusquèrent',
    'embusqué',
    'embusquée',
    'embusquées',
    'embusqués',
    'embussiez',
    'embussions',
    'embuvez',
    'embuviez',
    'embuvions',
    'embuvons',
    'embuâmes',
    'embuât',
    'embuâtes',
    'embuèrent',
    'embué',
    'embuée',
    'embuées',
    'embués',
    'embâcle',
    'embâcles',
    'embéguiner',
    'embêta',
    'embêtai',
    'embêtaient',
    'embêtais',
    'embêtait',
    'embêtant',
    'embêtante',
    'embêtantes',
    'embêtants',
    'embêtas',
    'embêtasse',
    'embêtassent',
    'embêtasses',
    'embêtassiez',
    'embêtassions',
    'embête',
    'embêtement',
    'embêtements',
    'embêtent',
    'embêter',
    'embêtera',
    'embêterai',
    'embêteraient',
    'embêterais',
    'embêterait',
    'embêteras',
    'embêterez',
    'embêteriez',
    'embêterions',
    'embêterons',
    'embêteront',
    'embêtes',
    'embêtez',
    'embêtiez',
    'embêtions',
    'embêtons',
    'embêtâmes',
    'embêtât',
    'embêtâtes',
    'embêtèrent',
    'embêté',
    'embêtée',
    'embêtées',
    'embêtés',
    'embûche',
    'embûches',
    'embûmes',
    'embûtes',
    'emmagasina',
    'emmagasinage',
    'emmagasinai',
    'emmagasinais',
    'emmagasinait',
    'emmagasinant',
    'emmagasinas',
    'emmagasine',
    'emmagasinent',
    'emmagasiner',
    'emmagasinera',
    'emmagasines',
    'emmagasinez',
    'emmagasiniez',
    'emmagasinons',
    'emmagasinât',
    'emmagasiné',
    'emmagasinée',
    'emmagasinées',
    'emmagasinés',
    'emmaillota',
    'emmaillotai',
    'emmaillotais',
    'emmaillotait',
    'emmaillotant',
    'emmaillotas',
    'emmaillote',
    'emmaillotent',
    'emmailloter',
    'emmaillotera',
    'emmaillotes',
    'emmaillotez',
    'emmaillotiez',
    'emmaillotons',
    'emmaillotât',
    'emmailloté',
    'emmaillotée',
    'emmaillotées',
    'emmaillotés',
    'emmancha',
    'emmanchai',
    'emmanchaient',
    'emmanchais',
    'emmanchait',
    'emmanchant',
    'emmanchas',
    'emmanchasse',
    'emmanchasses',
    'emmanche',
    'emmanchement',
    'emmanchent',
    'emmancher',
    'emmanchera',
    'emmancherai',
    'emmancherais',
    'emmancherait',
    'emmancheras',
    'emmancherez',
    'emmancheriez',
    'emmancherons',
    'emmancheront',
    'emmanches',
    'emmanchez',
    'emmanchiez',
    'emmanchions',
    'emmanchons',
    'emmanchure',
    'emmanchures',
    'emmanchâmes',
    'emmanchât',
    'emmanchâtes',
    'emmanchèrent',
    'emmanché',
    'emmanchée',
    'emmanchées',
    'emmanchés',
    'emmarge',
    'emmargea',
    'emmargeai',
    'emmargeaient',
    'emmargeais',
    'emmargeait',
    'emmargeant',
    'emmargeas',
    'emmargeasse',
    'emmargeasses',
    'emmargent',
    'emmargeons',
    'emmarger',
    'emmargera',
    'emmargerai',
    'emmargerais',
    'emmargerait',
    'emmargeras',
    'emmargerez',
    'emmargeriez',
    'emmargerions',
    'emmargerons',
    'emmargeront',
    'emmarges',
    'emmargez',
    'emmargeâmes',
    'emmargeât',
    'emmargeâtes',
    'emmargiez',
    'emmargions',
    'emmargèrent',
    'emmargé',
    'emmargée',
    'emmargées',
    'emmargés',
    'emmena',
    'emmenai',
    'emmenaient',
    'emmenais',
    'emmenait',
    'emmenant',
    'emmenas',
    'emmenasse',
    'emmenassent',
    'emmenasses',
    'emmenassiez',
    'emmenassions',
    'emmener',
    'emmenez',
    'emmeniez',
    'emmenions',
    'emmenons',
    'emmental',
    'emmentals',
    'emmenthal',
    'emmenthals',
    'emmenâmes',
    'emmenât',
    'emmenâtes',
    'emmenèrent',
    'emmené',
    'emmenée',
    'emmenées',
    'emmenés',
    'emmerda',
    'emmerdai',
    'emmerdaient',
    'emmerdais',
    'emmerdait',
    'emmerdant',
    'emmerdante',
    'emmerdantes',
    'emmerdants',
    'emmerdas',
    'emmerdasse',
    'emmerdassent',
    'emmerdasses',
    'emmerdassiez',
    'emmerde',
    'emmerdement',
    'emmerdements',
    'emmerdent',
    'emmerder',
    'emmerdera',
    'emmerderai',
    'emmerderais',
    'emmerderait',
    'emmerderas',
    'emmerderez',
    'emmerderiez',
    'emmerderions',
    'emmerderons',
    'emmerderont',
    'emmerdes',
    'emmerdeur',
    'emmerdeurs',
    'emmerdeuse',
    'emmerdeuses',
    'emmerdez',
    'emmerdiez',
    'emmerdions',
    'emmerdons',
    'emmerdâmes',
    'emmerdât',
    'emmerdâtes',
    'emmerdèrent',
    'emmerdé',
    'emmerdée',
    'emmerdées',
    'emmerdés',
    'emmiella',
    'emmiellai',
    'emmiellaient',
    'emmiellais',
    'emmiellait',
    'emmiellant',
    'emmiellas',
    'emmiellasse',
    'emmiellasses',
    'emmielle',
    'emmiellent',
    'emmieller',
    'emmiellera',
    'emmiellerai',
    'emmiellerais',
    'emmiellerait',
    'emmielleras',
    'emmiellerez',
    'emmielleriez',
    'emmiellerons',
    'emmielleront',
    'emmielles',
    'emmiellez',
    'emmielliez',
    'emmiellions',
    'emmiellons',
    'emmiellâmes',
    'emmiellât',
    'emmiellâtes',
    'emmiellèrent',
    'emmiellé',
    'emmiellée',
    'emmiellées',
    'emmiellés',
    'emmitonna',
    'emmitonnai',
    'emmitonnais',
    'emmitonnait',
    'emmitonnant',
    'emmitonnas',
    'emmitonnasse',
    'emmitonne',
    'emmitonnent',
    'emmitonner',
    'emmitonnera',
    'emmitonnerai',
    'emmitonneras',
    'emmitonnerez',
    'emmitonnes',
    'emmitonnez',
    'emmitonniez',
    'emmitonnions',
    'emmitonnons',
    'emmitonnâmes',
    'emmitonnât',
    'emmitonnâtes',
    'emmitonné',
    'emmitonnée',
    'emmitonnées',
    'emmitonnés',
    'emmitoufla',
    'emmitouflai',
    'emmitouflais',
    'emmitouflait',
    'emmitouflant',
    'emmitouflas',
    'emmitoufle',
    'emmitouflent',
    'emmitoufler',
    'emmitouflera',
    'emmitoufles',
    'emmitouflez',
    'emmitoufliez',
    'emmitouflons',
    'emmitouflât',
    'emmitouflé',
    'emmitouflée',
    'emmitouflées',
    'emmitouflés',
    'emmortaisa',
    'emmortaisai',
    'emmortaisais',
    'emmortaisait',
    'emmortaisant',
    'emmortaisas',
    'emmortaise',
    'emmortaisent',
    'emmortaiser',
    'emmortaisera',
    'emmortaises',
    'emmortaisez',
    'emmortaisiez',
    'emmortaisons',
    'emmortaisât',
    'emmortaisé',
    'emmortaisée',
    'emmortaisées',
    'emmortaisés',
    'emmotté',
    'emmottée',
    'emmottées',
    'emmottés',
    'emmouscailla',
    'emmouscaille',
    'emmouscaillé',
    'emmura',
    'emmurai',
    'emmuraient',
    'emmurais',
    'emmurait',
    'emmurant',
    'emmuras',
    'emmurasse',
    'emmurassent',
    'emmurasses',
    'emmurassiez',
    'emmurassions',
    'emmure',
    'emmurent',
    'emmurer',
    'emmurera',
    'emmurerai',
    'emmureraient',
    'emmurerais',
    'emmurerait',
    'emmureras',
    'emmurerez',
    'emmureriez',
    'emmurerions',
    'emmurerons',
    'emmureront',
    'emmures',
    'emmurez',
    'emmuriez',
    'emmurions',
    'emmurons',
    'emmurâmes',
    'emmurât',
    'emmurâtes',
    'emmurèrent',
    'emmuré',
    'emmurée',
    'emmurées',
    'emmurés',
    'emmène',
    'emmènent',
    'emmènera',
    'emmènerai',
    'emmèneraient',
    'emmènerais',
    'emmènerait',
    'emmèneras',
    'emmènerez',
    'emmèneriez',
    'emmènerions',
    'emmènerons',
    'emmèneront',
    'emmènes',
    'emmètre',
    'emmètrent',
    'emmètres',
    'emménage',
    'emménagea',
    'emménageai',
    'emménageais',
    'emménageait',
    'emménageant',
    'emménageas',
    'emménageasse',
    'emménagement',
    'emménagent',
    'emménageons',
    'emménager',
    'emménagera',
    'emménagerai',
    'emménagerais',
    'emménagerait',
    'emménageras',
    'emménagerez',
    'emménageriez',
    'emménagerons',
    'emménageront',
    'emménages',
    'emménagez',
    'emménageâmes',
    'emménageât',
    'emménageâtes',
    'emménagiez',
    'emménagions',
    'emménagogue',
    'emménagogues',
    'emménagèrent',
    'emménagé',
    'emménagée',
    'emménagées',
    'emménagés',
    'emmétra',
    'emmétrai',
    'emmétraient',
    'emmétrais',
    'emmétrait',
    'emmétrant',
    'emmétras',
    'emmétrasse',
    'emmétrassent',
    'emmétrasses',
    'emmétrassiez',
    'emmétrer',
    'emmétrera',
    'emmétrerai',
    'emmétrerais',
    'emmétrerait',
    'emmétreras',
    'emmétrerez',
    'emmétreriez',
    'emmétrerions',
    'emmétrerons',
    'emmétreront',
    'emmétrez',
    'emmétriez',
    'emmétrions',
    'emmétrons',
    'emmétrope',
    'emmétropes',
    'emmétropie',
    'emmétropies',
    'emmétrâmes',
    'emmétrât',
    'emmétrâtes',
    'emmétrèrent',
    'emmétré',
    'emmétrée',
    'emmétrées',
    'emmétrés',
    'emmêla',
    'emmêlai',
    'emmêlaient',
    'emmêlais',
    'emmêlait',
    'emmêlant',
    'emmêlas',
    'emmêlasse',
    'emmêlassent',
    'emmêlasses',
    'emmêlassiez',
    'emmêlassions',
    'emmêle',
    'emmêlement',
    'emmêlements',
    'emmêlent',
    'emmêler',
    'emmêlera',
    'emmêlerai',
    'emmêleraient',
    'emmêlerais',
    'emmêlerait',
    'emmêleras',
    'emmêlerez',
    'emmêleriez',
    'emmêlerions',
    'emmêlerons',
    'emmêleront',
    'emmêles',
    'emmêlez',
    'emmêliez',
    'emmêlions',
    'emmêlons',
    'emmêlâmes',
    'emmêlât',
    'emmêlâtes',
    'emmêlèrent',
    'emmêlé',
    'emmêlée',
    'emmêlées',
    'emmêlés',
    'empailla',
    'empaillage',
    'empaillages',
    'empaillai',
    'empaillaient',
    'empaillais',
    'empaillait',
    'empaillant',
    'empaillas',
    'empaillasse',
    'empaillasses',
    'empaille',
    'empaillement',
    'empaillent',
    'empailler',
    'empailles',
    'empailleur',
    'empailleurs',
    'empailleuse',
    'empailleuses',
    'empaillez',
    'empailliez',
    'empaillions',
    'empaillons',
    'empaillâmes',
    'empaillât',
    'empaillâtes',
    'empaillèrent',
    'empaillé',
    'empaillée',
    'empaillées',
    'empaillés',
    'empala',
    'empalai',
    'empalaient',
    'empalais',
    'empalait',
    'empalant',
    'empalas',
    'empalasse',
    'empalassent',
    'empalasses',
    'empalassiez',
    'empalassions',
    'empale',
    'empalement',
    'empalements',
    'empalent',
    'empaler',
    'empalera',
    'empalerai',
    'empaleraient',
    'empalerais',
    'empalerait',
    'empaleras',
    'empalerez',
    'empaleriez',
    'empalerions',
    'empalerons',
    'empaleront',
    'empales',
    'empalez',
    'empaliez',
    'empalions',
    'empalma',
    'empalmai',
    'empalmaient',
    'empalmais',
    'empalmait',
    'empalmant',
    'empalmas',
    'empalmasse',
    'empalmassent',
    'empalmasses',
    'empalmassiez',
    'empalme',
    'empalment',
    'empalmer',
    'empalmera',
    'empalmerai',
    'empalmerais',
    'empalmerait',
    'empalmeras',
    'empalmerez',
    'empalmeriez',
    'empalmerions',
    'empalmerons',
    'empalmeront',
    'empalmes',
    'empalmez',
    'empalmiez',
    'empalmions',
    'empalmons',
    'empalmâmes',
    'empalmât',
    'empalmâtes',
    'empalmèrent',
    'empalmé',
    'empalmée',
    'empalmées',
    'empalmés',
    'empalons',
    'empalâmes',
    'empalât',
    'empalâtes',
    'empalèrent',
    'empalé',
    'empalée',
    'empalées',
    'empalés',
    'empan',
    'empanacha',
    'empanachai',
    'empanachais',
    'empanachait',
    'empanachant',
    'empanachas',
    'empanachasse',
    'empanache',
    'empanachent',
    'empanacher',
    'empanachera',
    'empanacherai',
    'empanacheras',
    'empanacherez',
    'empanaches',
    'empanachez',
    'empanachiez',
    'empanachions',
    'empanachons',
    'empanachâmes',
    'empanachât',
    'empanachâtes',
    'empanaché',
    'empanachée',
    'empanachées',
    'empanachés',
    'empanna',
    'empannage',
    'empannages',
    'empannai',
    'empannaient',
    'empannais',
    'empannait',
    'empannant',
    'empannas',
    'empannasse',
    'empannassent',
    'empannasses',
    'empannassiez',
    'empanne',
    'empannent',
    'empanner',
    'empannera',
    'empannerai',
    'empannerais',
    'empannerait',
    'empanneras',
    'empannerez',
    'empanneriez',
    'empannerions',
    'empannerons',
    'empanneront',
    'empannes',
    'empannez',
    'empanniez',
    'empannions',
    'empannons',
    'empannâmes',
    'empannât',
    'empannâtes',
    'empannèrent',
    'empanné',
    'empannée',
    'empannées',
    'empannés',
    'empans',
    'empapillota',
    'empapillotai',
    'empapillotas',
    'empapillote',
    'empapilloter',
    'empapillotes',
    'empapillotez',
    'empapillotât',
    'empapilloté',
    'empapillotée',
    'empapillotés',
    'empaqueta',
    'empaquetage',
    'empaquetages',
    'empaquetai',
    'empaquetais',
    'empaquetait',
    'empaquetant',
    'empaquetas',
    'empaquetasse',
    'empaqueter',
    'empaqueteur',
    'empaqueteurs',
    'empaqueteuse',
    'empaquetez',
    'empaquetiez',
    'empaquetions',
    'empaquetons',
    'empaquette',
    'empaquettent',
    'empaquettera',
    'empaquettes',
    'empaquetâmes',
    'empaquetât',
    'empaquetâtes',
    'empaqueté',
    'empaquetée',
    'empaquetées',
    'empaquetés',
    'empara',
    'emparaient',
    'emparais',
    'emparait',
    'emparant',
    'emparassiez',
    'emparassions',
    'empare',
    'emparent',
    'emparer',
    'emparera',
    'emparerai',
    'empareraient',
    'emparerais',
    'emparerait',
    'empareras',
    'emparerez',
    'empareriez',
    'emparerions',
    'emparerons',
    'empareront',
    'empares',
    'emparez',
    'empariez',
    'emparions',
    'emparons',
    'emparqua',
    'emparquai',
    'emparquaient',
    'emparquais',
    'emparquait',
    'emparquant',
    'emparquas',
    'emparquasse',
    'emparquasses',
    'emparque',
    'emparquent',
    'emparquer',
    'emparquera',
    'emparquerai',
    'emparquerais',
    'emparquerait',
    'emparqueras',
    'emparquerez',
    'emparqueriez',
    'emparquerons',
    'emparqueront',
    'emparques',
    'emparquez',
    'emparquiez',
    'emparquions',
    'emparquons',
    'emparquâmes',
    'emparquât',
    'emparquâtes',
    'emparquèrent',
    'emparqué',
    'emparquée',
    'emparquées',
    'emparqués',
    'emparâmes',
    'emparâtes',
    'emparèrent',
    'emparé',
    'emparée',
    'emparées',
    'emparés',
    'empathie',
    'empathies',
    'empatta',
    'empattai',
    'empattaient',
    'empattais',
    'empattait',
    'empattant',
    'empattas',
    'empattasse',
    'empattassent',
    'empattasses',
    'empattassiez',
    'empatte',
    'empattement',
    'empattements',
    'empattent',
    'empatter',
    'empattera',
    'empatterai',
    'empatterais',
    'empatterait',
    'empatteras',
    'empatterez',
    'empatteriez',
    'empatterions',
    'empatterons',
    'empatteront',
    'empattes',
    'empattez',
    'empattiez',
    'empattions',
    'empattons',
    'empattâmes',
    'empattât',
    'empattâtes',
    'empattèrent',
    'empatté',
    'empattée',
    'empattées',
    'empattés',
    'empauma',
    'empaumai',
    'empaumaient',
    'empaumais',
    'empaumait',
    'empaumant',
    'empaumas',
    'empaumasse',
    'empaumassent',
    'empaumasses',
    'empaumassiez',
    'empaume',
    'empaument',
    'empaumer',
    'empaumera',
    'empaumerai',
    'empaumerais',
    'empaumerait',
    'empaumeras',
    'empaumerez',
    'empaumeriez',
    'empaumerions',
    'empaumerons',
    'empaumeront',
    'empaumes',
    'empaumez',
    'empaumiez',
    'empaumions',
    'empaumons',
    'empaumure',
    'empaumures',
    'empaumâmes',
    'empaumât',
    'empaumâtes',
    'empaumèrent',
    'empaumé',
    'empaumée',
    'empaumées',
    'empaumés',
    'empeigna',
    'empeignai',
    'empeignaient',
    'empeignais',
    'empeignait',
    'empeignant',
    'empeignas',
    'empeignasse',
    'empeignasses',
    'empeigne',
    'empeignent',
    'empeigner',
    'empeignera',
    'empeignerai',
    'empeignerais',
    'empeignerait',
    'empeigneras',
    'empeignerez',
    'empeigneriez',
    'empeignerons',
    'empeigneront',
    'empeignes',
    'empeignez',
    'empeigniez',
    'empeignions',
    'empeignons',
    'empeignâmes',
    'empeignât',
    'empeignâtes',
    'empeignèrent',
    'empeigné',
    'empeignée',
    'empeignées',
    'empeignés',
    'empenna',
    'empennage',
    'empennages',
    'empennai',
    'empennaient',
    'empennais',
    'empennait',
    'empennant',
    'empennas',
    'empennasse',
    'empennassent',
    'empennasses',
    'empennassiez',
    'empenne',
    'empennent',
    'empenner',
    'empennera',
    'empennerai',
    'empennerais',
    'empennerait',
    'empenneras',
    'empennerez',
    'empenneriez',
    'empennerions',
    'empennerons',
    'empenneront',
    'empennes',
    'empennez',
    'empenniez',
    'empennions',
    'empennons',
    'empennâmes',
    'empennât',
    'empennâtes',
    'empennèrent',
    'empenné',
    'empennée',
    'empennées',
    'empennés',
    'empercha',
    'emperchai',
    'emperchaient',
    'emperchais',
    'emperchait',
    'emperchant',
    'emperchas',
    'emperchasse',
    'emperchasses',
    'emperche',
    'emperchent',
    'empercher',
    'emperchera',
    'empercherai',
    'empercherais',
    'empercherait',
    'empercheras',
    'empercherez',
    'empercheriez',
    'empercherons',
    'empercheront',
    'emperches',
    'emperchez',
    'emperchiez',
    'emperchions',
    'emperchons',
    'emperchâmes',
    'emperchât',
    'emperchâtes',
    'emperchèrent',
    'emperché',
    'emperchée',
    'emperchées',
    'emperchés',
    'empereur',
    'empereurs',
    'emperla',
    'emperlai',
    'emperlaient',
    'emperlais',
    'emperlait',
    'emperlant',
    'emperlas',
    'emperlasse',
    'emperlassent',
    'emperlasses',
    'emperlassiez',
    'emperle',
    'emperlent',
    'emperler',
    'emperlera',
    'emperlerai',
    'emperlerais',
    'emperlerait',
    'emperleras',
    'emperlerez',
    'emperleriez',
    'emperlerions',
    'emperlerons',
    'emperleront',
    'emperles',
    'emperlez',
    'emperliez',
    'emperlions',
    'emperlons',
    'emperlâmes',
    'emperlât',
    'emperlâtes',
    'emperlèrent',
    'emperlé',
    'emperlée',
    'emperlées',
    'emperlés',
    'empesa',
    'empesage',
    'empesages',
    'empesai',
    'empesaient',
    'empesais',
    'empesait',
    'empesant',
    'empesas',
    'empesasse',
    'empesassent',
    'empesasses',
    'empesassiez',
    'empesassions',
    'empeser',
    'empesez',
    'empesiez',
    'empesions',
    'empesons',
    'empesta',
    'empestai',
    'empestaient',
    'empestais',
    'empestait',
    'empestant',
    'empestas',
    'empestasse',
    'empestassent',
    'empestasses',
    'empestassiez',
    'empeste',
    'empestent',
    'empester',
    'empestera',
    'empesterai',
    'empesterais',
    'empesterait',
    'empesteras',
    'empesterez',
    'empesteriez',
    'empesterions',
    'empesterons',
    'empesteront',
    'empestes',
    'empestez',
    'empestiez',
    'empestions',
    'empestons',
    'empestâmes',
    'empestât',
    'empestâtes',
    'empestèrent',
    'empesté',
    'empestée',
    'empestées',
    'empestés',
    'empesâmes',
    'empesât',
    'empesâtes',
    'empesèrent',
    'empesé',
    'empesée',
    'empesées',
    'empesés',
    'emphase',
    'emphases',
    'emphatique',
    'emphatiques',
    'emphysème',
    'emphysèmes',
    'emphytéose',
    'emphytéoses',
    'emphytéote',
    'emphytéotes',
    'empierra',
    'empierrai',
    'empierraient',
    'empierrais',
    'empierrait',
    'empierrant',
    'empierras',
    'empierrasse',
    'empierrasses',
    'empierre',
    'empierrement',
    'empierrent',
    'empierrer',
    'empierrera',
    'empierrerai',
    'empierrerais',
    'empierrerait',
    'empierreras',
    'empierrerez',
    'empierreriez',
    'empierrerons',
    'empierreront',
    'empierres',
    'empierrez',
    'empierriez',
    'empierrions',
    'empierrons',
    'empierrâmes',
    'empierrât',
    'empierrâtes',
    'empierrèrent',
    'empierré',
    'empierrée',
    'empierrées',
    'empierrés',
    'empiffrer',
    'empiffrerez',
    'empiffreriez',
    'empiffrerons',
    'empiffrez',
    'empiffriez',
    'empiffrions',
    'empiffrons',
    'empiffrâmes',
    'empiffrâtes',
    'empiffré',
    'empiffrée',
    'empiffrées',
    'empiffrés',
    'empila',
    'empilage',
    'empilages',
    'empilai',
    'empilaient',
    'empilais',
    'empilait',
    'empilant',
    'empilas',
    'empilasse',
    'empilassent',
    'empilasses',
    'empilassiez',
    'empilassions',
    'empile',
    'empilement',
    'empilements',
    'empilent',
    'empiler',
    'empilera',
    'empilerai',
    'empileraient',
    'empilerais',
    'empilerait',
    'empileras',
    'empilerez',
    'empileriez',
    'empilerions',
    'empilerons',
    'empileront',
    'empiles',
    'empileur',
    'empileurs',
    'empileuse',
    'empileuses',
    'empilez',
    'empiliez',
    'empilions',
    'empilons',
    'empilâmes',
    'empilât',
    'empilâtes',
    'empilèrent',
    'empilé',
    'empilée',
    'empilées',
    'empilés',
    'empira',
    'empirai',
    'empiraient',
    'empirais',
    'empirait',
    'empirant',
    'empiras',
    'empirasse',
    'empirassent',
    'empirasses',
    'empirassiez',
    'empirassions',
    'empire',
    'empirent',
    'empirer',
    'empirera',
    'empirerai',
    'empireraient',
    'empirerais',
    'empirerait',
    'empireras',
    'empirerez',
    'empireriez',
    'empirerions',
    'empirerons',
    'empireront',
    'empires',
    'empirez',
    'empiriez',
    'empirions',
    'empirique',
    'empiriques',
    'empirisme',
    'empirismes',
    'empiriste',
    'empiristes',
    'empirons',
    'empirâmes',
    'empirât',
    'empirâtes',
    'empirèrent',
    'empiré',
    'empirée',
    'empirées',
    'empirés',
    'empiècement',
    'empiècements',
    'empiète',
    'empiètement',
    'empiètements',
    'empiètent',
    'empiètes',
    'empiéta',
    'empiétai',
    'empiétaient',
    'empiétais',
    'empiétait',
    'empiétant',
    'empiétas',
    'empiétasse',
    'empiétassent',
    'empiétasses',
    'empiétassiez',
    'empiétement',
    'empiétements',
    'empiéter',
    'empiétera',
    'empiéterai',
    'empiéterais',
    'empiéterait',
    'empiéteras',
    'empiéterez',
    'empiéteriez',
    'empiéterions',
    'empiéterons',
    'empiéteront',
    'empiétez',
    'empiétiez',
    'empiétions',
    'empiétons',
    'empiétâmes',
    'empiétât',
    'empiétâtes',
    'empiétèrent',
    'empiété',
    'emplacement',
    'emplacements',
    'emplaillera',
    'emplaillerai',
    'emplailleras',
    'emplaillerez',
    'emplanture',
    'emplantures',
    'emplette',
    'emplettes',
    'empli',
    'emplie',
    'emplies',
    'emplir',
    'emplira',
    'emplirai',
    'empliraient',
    'emplirais',
    'emplirait',
    'empliras',
    'emplirent',
    'emplirez',
    'empliriez',
    'emplirions',
    'emplirons',
    'empliront',
    'emplis',
    'emplissage',
    'emplissages',
    'emplissaient',
    'emplissais',
    'emplissait',
    'emplissant',
    'emplisse',
    'emplissent',
    'emplisses',
    'emplissez',
    'emplissiez',
    'emplissions',
    'emplissons',
    'emplit',
    'emploi',
    'emploie',
    'emploient',
    'emploiera',
    'emploierai',
    'emploierais',
    'emploierait',
    'emploieras',
    'emploierez',
    'emploieriez',
    'emploierions',
    'emploierons',
    'emploieront',
    'emploies',
    'emplois',
    'employa',
    'employable',
    'employables',
    'employai',
    'employaient',
    'employais',
    'employait',
    'employant',
    'employas',
    'employasse',
    'employassent',
    'employasses',
    'employassiez',
    'employer',
    'employeur',
    'employeurs',
    'employeuse',
    'employeuses',
    'employez',
    'employiez',
    'employions',
    'employons',
    'employâmes',
    'employât',
    'employâtes',
    'employèrent',
    'employé',
    'employée',
    'employées',
    'employés',
    'empluma',
    'emplumai',
    'emplumaient',
    'emplumais',
    'emplumait',
    'emplumant',
    'emplumas',
    'emplumasse',
    'emplumassent',
    'emplumasses',
    'emplumassiez',
    'emplume',
    'emplument',
    'emplumer',
    'emplumera',
    'emplumerai',
    'emplumerais',
    'emplumerait',
    'emplumeras',
    'emplumerez',
    'emplumeriez',
    'emplumerions',
    'emplumerons',
    'emplumeront',
    'emplumes',
    'emplumez',
    'emplumiez',
    'emplumions',
    'emplumons',
    'emplumâmes',
    'emplumât',
    'emplumâtes',
    'emplumèrent',
    'emplumé',
    'emplumée',
    'emplumées',
    'emplumés',
    'emplâtra',
    'emplâtrai',
    'emplâtraient',
    'emplâtrais',
    'emplâtrait',
    'emplâtrant',
    'emplâtras',
    'emplâtrasse',
    'emplâtrasses',
    'emplâtre',
    'emplâtrent',
    'emplâtrer',
    'emplâtres',
    'emplâtrez',
    'emplâtriez',
    'emplâtrions',
    'emplâtrons',
    'emplâtrâmes',
    'emplâtrât',
    'emplâtrâtes',
    'emplâtrèrent',
    'emplâtré',
    'emplâtrée',
    'emplâtrées',
    'emplâtrés',
    'emplîmes',
    'emplît',
    'emplîtes',
    'empocha',
    'empochai',
    'empochaient',
    'empochais',
    'empochait',
    'empochant',
    'empochas',
    'empochasse',
    'empochassent',
    'empochasses',
    'empochassiez',
    'empoche',
    'empochent',
    'empocher',
    'empochera',
    'empocherai',
    'empocherais',
    'empocherait',
    'empocheras',
    'empocherez',
    'empocheriez',
    'empocherions',
    'empocherons',
    'empocheront',
    'empoches',
    'empochez',
    'empochiez',
    'empochions',
    'empochons',
    'empochâmes',
    'empochât',
    'empochâtes',
    'empochèrent',
    'empoché',
    'empochée',
    'empochées',
    'empochés',
    'empoigna',
    'empoignade',
    'empoignades',
    'empoignai',
    'empoignaient',
    'empoignais',
    'empoignait',
    'empoignant',
    'empoignante',
    'empoignantes',
    'empoignants',
    'empoignas',
    'empoignasse',
    'empoignasses',
    'empoigne',
    'empoignent',
    'empoigner',
    'empoignera',
    'empoignerai',
    'empoignerais',
    'empoignerait',
    'empoigneras',
    'empoignerez',
    'empoigneriez',
    'empoignerons',
    'empoigneront',
    'empoignes',
    'empoignez',
    'empoigniez',
    'empoignions',
    'empoignons',
    'empoignâmes',
    'empoignât',
    'empoignâtes',
    'empoignèrent',
    'empoigné',
    'empoignée',
    'empoignées',
    'empoignés',
    'empointure',
    'empointures',
    'empois',
    'empoisonna',
    'empoisonnai',
    'empoisonnais',
    'empoisonnait',
    'empoisonnant',
    'empoisonnas',
    'empoisonne',
    'empoisonnent',
    'empoisonner',
    'empoisonnera',
    'empoisonnes',
    'empoisonneur',
    'empoisonnez',
    'empoisonniez',
    'empoisonnons',
    'empoisonnât',
    'empoisonné',
    'empoisonnée',
    'empoisonnées',
    'empoisonnés',
    'empoissa',
    'empoissai',
    'empoissaient',
    'empoissais',
    'empoissait',
    'empoissant',
    'empoissas',
    'empoissasse',
    'empoissasses',
    'empoisse',
    'empoissent',
    'empoisser',
    'empoissera',
    'empoisserai',
    'empoisserais',
    'empoisserait',
    'empoisseras',
    'empoisserez',
    'empoisseriez',
    'empoisserons',
    'empoisseront',
    'empoisses',
    'empoissez',
    'empoissiez',
    'empoissions',
    'empoissonna',
    'empoissonnai',
    'empoissonnas',
    'empoissonne',
    'empoissonner',
    'empoissonnes',
    'empoissonnez',
    'empoissonnât',
    'empoissonné',
    'empoissonnée',
    'empoissonnés',
    'empoissons',
    'empoissâmes',
    'empoissât',
    'empoissâtes',
    'empoissèrent',
    'empoissé',
    'empoissée',
    'empoissées',
    'empoissés',
    'emporia',
    'emporium',
    'emport',
    'emporta',
    'emportai',
    'emportaient',
    'emportais',
    'emportait',
    'emportant',
    'emportas',
    'emportasse',
    'emportassent',
    'emportasses',
    'emportassiez',
    'emporte',
    'emportement',
    'emportements',
    'emportent',
    'emporter',
    'emportera',
    'emporterai',
    'emporterais',
    'emporterait',
    'emporteras',
    'emporterez',
    'emporteriez',
    'emporterions',
    'emporterons',
    'emporteront',
    'emportes',
    'emportez',
    'emportiez',
    'emportions',
    'emportons',
    'emports',
    'emportâmes',
    'emportât',
    'emportâtes',
    'emportèrent',
    'emporté',
    'emportée',
    'emportées',
    'emportés',
    'empota',
    'empotai',
    'empotaient',
    'empotais',
    'empotait',
    'empotant',
    'empotas',
    'empotasse',
    'empotassent',
    'empotasses',
    'empotassiez',
    'empotassions',
    'empote',
    'empotent',
    'empoter',
    'empotera',
    'empoterai',
    'empoteraient',
    'empoterais',
    'empoterait',
    'empoteras',
    'empoterez',
    'empoteriez',
    'empoterions',
    'empoterons',
    'empoteront',
    'empotes',
    'empotez',
    'empotiez',
    'empotions',
    'empotons',
    'empotâmes',
    'empotât',
    'empotâtes',
    'empotèrent',
    'empoté',
    'empotée',
    'empotées',
    'empotés',
    'empourpra',
    'empourprai',
    'empourprais',
    'empourprait',
    'empourprant',
    'empourpras',
    'empourprasse',
    'empourpre',
    'empourprent',
    'empourprer',
    'empourprera',
    'empourprerai',
    'empourpreras',
    'empourprerez',
    'empourpres',
    'empourprez',
    'empourpriez',
    'empourprions',
    'empourprons',
    'empourprâmes',
    'empourprât',
    'empourprâtes',
    'empourpré',
    'empourprée',
    'empourprées',
    'empourprés',
    'empoussière',
    'empoussières',
    'empoussiéra',
    'empoussiérai',
    'empoussiéras',
    'empoussiérer',
    'empoussiérez',
    'empoussiérât',
    'empoussiéré',
    'empoussiérée',
    'empoussiérés',
    'empreignais',
    'empreignait',
    'empreignant',
    'empreigne',
    'empreignent',
    'empreignes',
    'empreignez',
    'empreigniez',
    'empreignions',
    'empreignis',
    'empreignisse',
    'empreignit',
    'empreignons',
    'empreignîmes',
    'empreignît',
    'empreignîtes',
    'empreindra',
    'empreindrai',
    'empreindrais',
    'empreindrait',
    'empreindras',
    'empreindre',
    'empreindrez',
    'empreindriez',
    'empreindrons',
    'empreindront',
    'empreins',
    'empreint',
    'empreinte',
    'empreintes',
    'empreints',
    'empressa',
    'empressaient',
    'empressais',
    'empressait',
    'empressant',
    'empresse',
    'empressement',
    'empressent',
    'empresser',
    'empressera',
    'empresserai',
    'empresserais',
    'empresserait',
    'empresseras',
    'empresserez',
    'empresseriez',
    'empresserons',
    'empresseront',
    'empresses',
    'empressez',
    'empressiez',
    'empressions',
    'empressons',
    'empressâmes',
    'empressâtes',
    'empressèrent',
    'empressé',
    'empressée',
    'empressées',
    'empressés',
    'emprise',
    'emprises',
    'emprisonna',
    'emprisonnai',
    'emprisonnais',
    'emprisonnait',
    'emprisonnant',
    'emprisonnas',
    'emprisonne',
    'emprisonnent',
    'emprisonner',
    'emprisonnera',
    'emprisonnes',
    'emprisonnez',
    'emprisonniez',
    'emprisonnons',
    'emprisonnât',
    'emprisonné',
    'emprisonnée',
    'emprisonnées',
    'emprisonnés',
    'emprunt',
    'emprunta',
    'empruntai',
    'empruntaient',
    'empruntais',
    'empruntait',
    'empruntant',
    'empruntas',
    'empruntasse',
    'empruntasses',
    'emprunte',
    'empruntent',
    'emprunter',
    'empruntera',
    'emprunterai',
    'emprunterais',
    'emprunterait',
    'emprunteras',
    'emprunterez',
    'emprunteriez',
    'emprunterons',
    'emprunteront',
    'empruntes',
    'emprunteur',
    'emprunteurs',
    'emprunteuse',
    'emprunteuses',
    'empruntez',
    'empruntiez',
    'empruntions',
    'empruntons',
    'emprunts',
    'empruntâmes',
    'empruntât',
    'empruntâtes',
    'empruntèrent',
    'emprunté',
    'empruntée',
    'empruntées',
    'empruntés',
    'emprésura',
    'emprésurai',
    'emprésurais',
    'emprésurait',
    'emprésurant',
    'emprésuras',
    'emprésurasse',
    'emprésure',
    'emprésurent',
    'emprésurer',
    'emprésurera',
    'emprésurerai',
    'emprésureras',
    'emprésurerez',
    'emprésures',
    'emprésurez',
    'emprésuriez',
    'emprésurions',
    'emprésurons',
    'emprésurâmes',
    'emprésurât',
    'emprésurâtes',
    'emprésuré',
    'emprésurée',
    'emprésurées',
    'emprésurés',
    'empuanti',
    'empuantie',
    'empuanties',
    'empuantir',
    'empuantira',
    'empuantirai',
    'empuantirais',
    'empuantirait',
    'empuantiras',
    'empuantirent',
    'empuantirez',
    'empuantiriez',
    'empuantirons',
    'empuantiront',
    'empuantis',
    'empuantisse',
    'empuantisses',
    'empuantissez',
    'empuantit',
    'empuantîmes',
    'empuantît',
    'empuantîtes',
    'empuse',
    'empuses',
    'empyreume',
    'empyreumes',
    'empyrée',
    'empyrées',
    'empyème',
    'empyèmes',
    'empâta',
    'empâtai',
    'empâtaient',
    'empâtais',
    'empâtait',
    'empâtant',
    'empâtas',
    'empâtasse',
    'empâtassent',
    'empâtasses',
    'empâtassiez',
    'empâtassions',
    'empâte',
    'empâtement',
    'empâtements',
    'empâtent',
    'empâter',
    'empâtera',
    'empâterai',
    'empâteraient',
    'empâterais',
    'empâterait',
    'empâteras',
    'empâterez',
    'empâteriez',
    'empâterions',
    'empâterons',
    'empâteront',
    'empâtes',
    'empâtez',
    'empâtiez',
    'empâtions',
    'empâtons',
    'empâtrera',
    'empâtrerai',
    'empâtrerais',
    'empâtrerait',
    'empâtreras',
    'empâtrerez',
    'empâtreriez',
    'empâtrerions',
    'empâtrerons',
    'empâtreront',
    'empâtâmes',
    'empâtât',
    'empâtâtes',
    'empâtèrent',
    'empâté',
    'empâtée',
    'empâtées',
    'empâtés',
    'empèse',
    'empèsent',
    'empèsera',
    'empèserai',
    'empèseraient',
    'empèserais',
    'empèserait',
    'empèseras',
    'empèserez',
    'empèseriez',
    'empèserions',
    'empèserons',
    'empèseront',
    'empèses',
    'empêcha',
    'empêchai',
    'empêchaient',
    'empêchais',
    'empêchait',
    'empêchant',
    'empêchas',
    'empêchasse',
    'empêchassent',
    'empêchasses',
    'empêchassiez',
    'empêche',
    'empêchement',
    'empêchements',
    'empêchent',
    'empêcher',
    'empêchera',
    'empêcherai',
    'empêcherais',
    'empêcherait',
    'empêcheras',
    'empêcherez',
    'empêcheriez',
    'empêcherions',
    'empêcherons',
    'empêcheront',
    'empêches',
    'empêcheur',
    'empêcheurs',
    'empêcheuse',
    'empêcheuses',
    'empêchez',
    'empêchiez',
    'empêchions',
    'empêchons',
    'empêchâmes',
    'empêchât',
    'empêchâtes',
    'empêchèrent',
    'empêché',
    'empêchée',
    'empêchées',
    'empêchés',
    'empêna',
    'empênai',
    'empênaient',
    'empênais',
    'empênait',
    'empênant',
    'empênas',
    'empênasse',
    'empênassent',
    'empênasses',
    'empênassiez',
    'empênassions',
    'empêne',
    'empênent',
    'empêner',
    'empênera',
    'empênerai',
    'empêneraient',
    'empênerais',
    'empênerait',
    'empêneras',
    'empênerez',
    'empêneriez',
    'empênerions',
    'empênerons',
    'empêneront',
    'empênes',
    'empênez',
    'empêniez',
    'empênions',
    'empênons',
    'empênâmes',
    'empênât',
    'empênâtes',
    'empênèrent',
    'empêné',
    'empênée',
    'empênées',
    'empênés',
    'empêtra',
    'empêtrai',
    'empêtraient',
    'empêtrais',
    'empêtrait',
    'empêtrant',
    'empêtras',
    'empêtrasse',
    'empêtrassent',
    'empêtrasses',
    'empêtrassiez',
    'empêtre',
    'empêtrent',
    'empêtrer',
    'empêtrera',
    'empêtrerai',
    'empêtrerais',
    'empêtrerait',
    'empêtreras',
    'empêtrerez',
    'empêtreriez',
    'empêtrerions',
    'empêtrerons',
    'empêtreront',
    'empêtres',
    'empêtrez',
    'empêtriez',
    'empêtrions',
    'empêtrons',
    'empêtrâmes',
    'empêtrât',
    'empêtrâtes',
    'empêtrèrent',
    'empêtré',
    'empêtrée',
    'empêtrées',
    'empêtrés',
    'enamourer',
    'enamourerez',
    'enamoureriez',
    'enamourerons',
    'enamourez',
    'enamouriez',
    'enamourions',
    'enamourons',
    'enamourâmes',
    'enamourâtes',
    'enamouré',
    'enamourée',
    'enamourées',
    'enamourés',
    'encabana',
    'encabanage',
    'encabanages',
    'encabanai',
    'encabanaient',
    'encabanais',
    'encabanait',
    'encabanant',
    'encabanas',
    'encabanasse',
    'encabanasses',
    'encabane',
    'encabanent',
    'encabaner',
    'encabanera',
    'encabanerai',
    'encabanerais',
    'encabanerait',
    'encabaneras',
    'encabanerez',
    'encabaneriez',
    'encabanerons',
    'encabaneront',
    'encabanes',
    'encabanez',
    'encabaniez',
    'encabanions',
    'encabanons',
    'encabanâmes',
    'encabanât',
    'encabanâtes',
    'encabanèrent',
    'encabané',
    'encabanée',
    'encabanées',
    'encabanés',
    'encablure',
    'encablures',
    'encadra',
    'encadrai',
    'encadraient',
    'encadrais',
    'encadrait',
    'encadrant',
    'encadras',
    'encadrasse',
    'encadrassent',
    'encadrasses',
    'encadrassiez',
    'encadre',
    'encadrement',
    'encadrements',
    'encadrent',
    'encadrer',
    'encadrera',
    'encadrerai',
    'encadrerais',
    'encadrerait',
    'encadreras',
    'encadrerez',
    'encadreriez',
    'encadrerions',
    'encadrerons',
    'encadreront',
    'encadres',
    'encadreur',
    'encadreurs',
    'encadreuse',
    'encadreuses',
    'encadrez',
    'encadriez',
    'encadrions',
    'encadrons',
    'encadrâmes',
    'encadrât',
    'encadrâtes',
    'encadrèrent',
    'encadré',
    'encadrée',
    'encadrées',
    'encadrés',
    'encage',
    'encagea',
    'encageai',
    'encageaient',
    'encageais',
    'encageait',
    'encageant',
    'encageas',
    'encageasse',
    'encageassent',
    'encageasses',
    'encageassiez',
    'encagement',
    'encagements',
    'encagent',
    'encageons',
    'encager',
    'encagera',
    'encagerai',
    'encageraient',
    'encagerais',
    'encagerait',
    'encageras',
    'encagerez',
    'encageriez',
    'encagerions',
    'encagerons',
    'encageront',
    'encages',
    'encagez',
    'encageâmes',
    'encageât',
    'encageâtes',
    'encagiez',
    'encagions',
    'encagèrent',
    'encagé',
    'encagée',
    'encagées',
    'encagés',
    'encaissa',
    'encaissable',
    'encaissables',
    'encaissage',
    'encaissages',
    'encaissai',
    'encaissaient',
    'encaissais',
    'encaissait',
    'encaissant',
    'encaissas',
    'encaissasse',
    'encaissasses',
    'encaisse',
    'encaissement',
    'encaissent',
    'encaisser',
    'encaissera',
    'encaisserai',
    'encaisserais',
    'encaisserait',
    'encaisseras',
    'encaisserez',
    'encaisseriez',
    'encaisserons',
    'encaisseront',
    'encaisses',
    'encaisseur',
    'encaisseurs',
    'encaissez',
    'encaissiez',
    'encaissions',
    'encaissons',
    'encaissâmes',
    'encaissât',
    'encaissâtes',
    'encaissèrent',
    'encaissé',
    'encaissée',
    'encaissées',
    'encaissés',
    'encalminé',
    'encalminée',
    'encalminées',
    'encalminés',
    'encan',
    'encanailla',
    'encanaillai',
    'encanaillais',
    'encanaillait',
    'encanaillant',
    'encanaillas',
    'encanaille',
    'encanaillent',
    'encanailler',
    'encanaillera',
    'encanailles',
    'encanaillez',
    'encanailliez',
    'encanaillons',
    'encanaillât',
    'encanaillé',
    'encanaillée',
    'encanaillées',
    'encanaillés',
    'encans',
    'encapuchonna',
    'encapuchonne',
    'encapuchonné',
    'encaqua',
    'encaquai',
    'encaquaient',
    'encaquais',
    'encaquait',
    'encaquant',
    'encaquas',
    'encaquasse',
    'encaquassent',
    'encaquasses',
    'encaquassiez',
    'encaque',
    'encaquement',
    'encaquements',
    'encaquent',
    'encaquer',
    'encaquera',
    'encaquerai',
    'encaquerais',
    'encaquerait',
    'encaqueras',
    'encaquerez',
    'encaqueriez',
    'encaquerions',
    'encaquerons',
    'encaqueront',
    'encaques',
    'encaquez',
    'encaquiez',
    'encaquions',
    'encaquons',
    'encaquâmes',
    'encaquât',
    'encaquâtes',
    'encaquèrent',
    'encaqué',
    'encaquée',
    'encaquées',
    'encaqués',
    'encart',
    'encarta',
    'encartage',
    'encartages',
    'encartai',
    'encartaient',
    'encartais',
    'encartait',
    'encartant',
    'encartas',
    'encartasse',
    'encartassent',
    'encartasses',
    'encartassiez',
    'encarte',
    'encartent',
    'encarter',
    'encartera',
    'encarterai',
    'encarterais',
    'encarterait',
    'encarteras',
    'encarterez',
    'encarteriez',
    'encarterions',
    'encarterons',
    'encarteront',
    'encartes',
    'encarteuse',
    'encarteuses',
    'encartez',
    'encartiez',
    'encartions',
    'encartonna',
    'encartonnai',
    'encartonnais',
    'encartonnait',
    'encartonnant',
    'encartonnas',
    'encartonne',
    'encartonnent',
    'encartonner',
    'encartonnera',
    'encartonnes',
    'encartonnez',
    'encartonniez',
    'encartonnons',
    'encartonnât',
    'encartonné',
    'encartonnée',
    'encartonnées',
    'encartonnés',
    'encartons',
    'encartoucha',
    'encartouchai',
    'encartouchas',
    'encartouche',
    'encartoucher',
    'encartouches',
    'encartouchez',
    'encartouchât',
    'encartouché',
    'encartouchée',
    'encartouchés',
    'encarts',
    'encartâmes',
    'encartât',
    'encartâtes',
    'encartèrent',
    'encarté',
    'encartée',
    'encartées',
    'encartés',
    'encas',
    'encaserna',
    'encasernai',
    'encasernais',
    'encasernait',
    'encasernant',
    'encasernas',
    'encasernasse',
    'encaserne',
    'encasernent',
    'encaserner',
    'encasernera',
    'encasernerai',
    'encaserneras',
    'encasernerez',
    'encasernes',
    'encasernez',
    'encaserniez',
    'encasernions',
    'encasernons',
    'encasernâmes',
    'encasernât',
    'encasernâtes',
    'encaserné',
    'encasernée',
    'encasernées',
    'encasernés',
    'encasteler',
    'encastelez',
    'encasteliez',
    'encastelions',
    'encastelons',
    'encastelure',
    'encastelures',
    'encastelâmes',
    'encastelâtes',
    'encastelé',
    'encastelée',
    'encastelées',
    'encastelés',
    'encastra',
    'encastrable',
    'encastrables',
    'encastrai',
    'encastraient',
    'encastrais',
    'encastrait',
    'encastrant',
    'encastras',
    'encastrasse',
    'encastrasses',
    'encastre',
    'encastrement',
    'encastrent',
    'encastrer',
    'encastrera',
    'encastrerai',
    'encastrerais',
    'encastrerait',
    'encastreras',
    'encastrerez',
    'encastreriez',
    'encastrerons',
    'encastreront',
    'encastres',
    'encastrez',
    'encastriez',
    'encastrions',
    'encastrons',
    'encastrâmes',
    'encastrât',
    'encastrâtes',
    'encastrèrent',
    'encastré',
    'encastrée',
    'encastrées',
    'encastrés',
    'encastèlerez',
    'encaustiqua',
    'encaustiquai',
    'encaustiquas',
    'encaustique',
    'encaustiquer',
    'encaustiques',
    'encaustiquez',
    'encaustiquât',
    'encaustiqué',
    'encaustiquée',
    'encaustiqués',
    'encava',
    'encavage',
    'encavages',
    'encavai',
    'encavaient',
    'encavais',
    'encavait',
    'encavant',
    'encavas',
    'encavasse',
    'encavassent',
    'encavasses',
    'encavassiez',
    'encavassions',
    'encave',
    'encavement',
    'encavements',
    'encavent',
    'encaver',
    'encavera',
    'encaverai',
    'encaveraient',
    'encaverais',
    'encaverait',
    'encaveras',
    'encaverez',
    'encaveriez',
    'encaverions',
    'encaverons',
    'encaveront',
    'encaves',
    'encavez',
    'encaviez',
    'encavions',
    'encavons',
    'encavâmes',
    'encavât',
    'encavâtes',
    'encavèrent',
    'encavé',
    'encavée',
    'encavées',
    'encavés',
    'enceindre',
    'enceinte',
    'enceintes',
    'encens',
    'encensa',
    'encensai',
    'encensaient',
    'encensais',
    'encensait',
    'encensant',
    'encensas',
    'encensasse',
    'encensassent',
    'encensasses',
    'encensassiez',
    'encense',
    'encensement',
    'encensements',
    'encensent',
    'encenser',
    'encensera',
    'encenserai',
    'encenserais',
    'encenserait',
    'encenseras',
    'encenserez',
    'encenseriez',
    'encenserions',
    'encenserons',
    'encenseront',
    'encenses',
    'encenseur',
    'encenseurs',
    'encenseuse',
    'encenseuses',
    'encensez',
    'encensiez',
    'encensions',
    'encensoir',
    'encensoirs',
    'encensons',
    'encensâmes',
    'encensât',
    'encensâtes',
    'encensèrent',
    'encensé',
    'encensée',
    'encensées',
    'encensés',
    'encercla',
    'encerclai',
    'encerclaient',
    'encerclais',
    'encerclait',
    'encerclant',
    'encerclas',
    'encerclasse',
    'encerclasses',
    'encercle',
    'encerclement',
    'encerclent',
    'encercler',
    'encerclera',
    'encerclerai',
    'encerclerais',
    'encerclerait',
    'encercleras',
    'encerclerez',
    'encercleriez',
    'encerclerons',
    'encercleront',
    'encercles',
    'encerclez',
    'encercliez',
    'encerclions',
    'encerclons',
    'encerclâmes',
    'encerclât',
    'encerclâtes',
    'encerclèrent',
    'encerclé',
    'encerclée',
    'encerclées',
    'encerclés',
    'enchanta',
    'enchantai',
    'enchantaient',
    'enchantais',
    'enchantait',
    'enchantant',
    'enchantas',
    'enchantasse',
    'enchantasses',
    'enchante',
    'enchantement',
    'enchantent',
    'enchanter',
    'enchantera',
    'enchanterai',
    'enchanterais',
    'enchanterait',
    'enchanteras',
    'enchanterez',
    'enchanteriez',
    'enchanterons',
    'enchanteront',
    'enchantes',
    'enchanteur',
    'enchanteurs',
    'enchantez',
    'enchantiez',
    'enchantions',
    'enchantons',
    'enchantâmes',
    'enchantât',
    'enchantâtes',
    'enchantèrent',
    'enchanté',
    'enchantée',
    'enchantées',
    'enchantés',
    'enchaperonna',
    'enchaperonne',
    'enchaperonné',
    'encharna',
    'encharnai',
    'encharnaient',
    'encharnais',
    'encharnait',
    'encharnant',
    'encharnas',
    'encharnasse',
    'encharnasses',
    'encharne',
    'encharnent',
    'encharner',
    'encharnera',
    'encharnerai',
    'encharnerais',
    'encharnerait',
    'encharneras',
    'encharnerez',
    'encharneriez',
    'encharnerons',
    'encharneront',
    'encharnes',
    'encharnez',
    'encharniez',
    'encharnions',
    'encharnons',
    'encharnâmes',
    'encharnât',
    'encharnâtes',
    'encharnèrent',
    'encharné',
    'encharnée',
    'encharnées',
    'encharnés',
    'enchatonna',
    'enchatonnai',
    'enchatonnais',
    'enchatonnait',
    'enchatonnant',
    'enchatonnas',
    'enchatonne',
    'enchatonnent',
    'enchatonner',
    'enchatonnera',
    'enchatonnes',
    'enchatonnez',
    'enchatonniez',
    'enchatonnons',
    'enchatonnât',
    'enchatonné',
    'enchatonnée',
    'enchatonnées',
    'enchatonnés',
    'enchaussa',
    'enchaussai',
    'enchaussais',
    'enchaussait',
    'enchaussant',
    'enchaussas',
    'enchaussasse',
    'enchausse',
    'enchaussent',
    'enchausser',
    'enchaussera',
    'enchausserai',
    'enchausseras',
    'enchausserez',
    'enchausses',
    'enchaussez',
    'enchaussiez',
    'enchaussions',
    'enchaussons',
    'enchaussâmes',
    'enchaussât',
    'enchaussâtes',
    'enchaussé',
    'enchaussée',
    'enchaussées',
    'enchaussés',
    'enchaîna',
    'enchaînai',
    'enchaînaient',
    'enchaînais',
    'enchaînait',
    'enchaînant',
    'enchaînas',
    'enchaînasse',
    'enchaînasses',
    'enchaîne',
    'enchaînement',
    'enchaînent',
    'enchaîner',
    'enchaînera',
    'enchaînerai',
    'enchaînerais',
    'enchaînerait',
    'enchaîneras',
    'enchaînerez',
    'enchaîneriez',
    'enchaînerons',
    'enchaîneront',
    'enchaînes',
    'enchaînez',
    'enchaîniez',
    'enchaînions',
    'enchaînons',
    'enchaînâmes',
    'enchaînât',
    'enchaînâtes',
    'enchaînèrent',
    'enchaîné',
    'enchaînée',
    'enchaînées',
    'enchaînés',
    'enchemisa',
    'enchemisage',
    'enchemisages',
    'enchemisai',
    'enchemisais',
    'enchemisait',
    'enchemisant',
    'enchemisas',
    'enchemisasse',
    'enchemise',
    'enchemisent',
    'enchemiser',
    'enchemisera',
    'enchemiserai',
    'enchemiseras',
    'enchemiserez',
    'enchemises',
    'enchemisez',
    'enchemisiez',
    'enchemisions',
    'enchemisons',
    'enchemisâmes',
    'enchemisât',
    'enchemisâtes',
    'enchemisé',
    'enchemisée',
    'enchemisées',
    'enchemisés',
    'enchevaucha',
    'enchevauchai',
    'enchevauchas',
    'enchevauche',
    'enchevaucher',
    'enchevauches',
    'enchevauchez',
    'enchevauchât',
    'enchevauché',
    'enchevauchée',
    'enchevauchés',
    'enchevêtra',
    'enchevêtrai',
    'enchevêtrais',
    'enchevêtrait',
    'enchevêtrant',
    'enchevêtras',
    'enchevêtre',
    'enchevêtrent',
    'enchevêtrer',
    'enchevêtrera',
    'enchevêtres',
    'enchevêtrez',
    'enchevêtriez',
    'enchevêtrons',
    'enchevêtrure',
    'enchevêtrât',
    'enchevêtré',
    'enchevêtrée',
    'enchevêtrées',
    'enchevêtrés',
    'enchifrena',
    'enchifrenai',
    'enchifrenais',
    'enchifrenait',
    'enchifrenant',
    'enchifrenas',
    'enchifrener',
    'enchifrenez',
    'enchifreniez',
    'enchifrenons',
    'enchifrenât',
    'enchifrené',
    'enchifrenée',
    'enchifrenées',
    'enchifrenés',
    'enchifrène',
    'enchifrènent',
    'enchifrènera',
    'enchifrènes',
    'enchâssa',
    'enchâssai',
    'enchâssaient',
    'enchâssais',
    'enchâssait',
    'enchâssant',
    'enchâssas',
    'enchâssasse',
    'enchâssasses',
    'enchâsse',
    'enchâssement',
    'enchâssent',
    'enchâsser',
    'enchâssera',
    'enchâsserai',
    'enchâsserais',
    'enchâsserait',
    'enchâsseras',
    'enchâsserez',
    'enchâsseriez',
    'enchâsserons',
    'enchâsseront',
    'enchâsses',
    'enchâssez',
    'enchâssiez',
    'enchâssions',
    'enchâssons',
    'enchâssure',
    'enchâssures',
    'enchâssâmes',
    'enchâssât',
    'enchâssâtes',
    'enchâssèrent',
    'enchâssé',
    'enchâssée',
    'enchâssées',
    'enchâssés',
    'enchère',
    'enchères',
    'enchéri',
    'enchérie',
    'enchéries',
    'enchérir',
    'enchérira',
    'enchérirai',
    'enchérirais',
    'enchérirait',
    'enchériras',
    'enchérirent',
    'enchérirez',
    'enchéririez',
    'enchéririons',
    'enchérirons',
    'enchériront',
    'enchéris',
    'enchérissais',
    'enchérissait',
    'enchérissant',
    'enchérisse',
    'enchérissent',
    'enchérisses',
    'enchérisseur',
    'enchérissez',
    'enchérissiez',
    'enchérissons',
    'enchérit',
    'enchérîmes',
    'enchérît',
    'enchérîtes',
    'encira',
    'encirai',
    'enciraient',
    'encirais',
    'encirait',
    'encirant',
    'enciras',
    'encirasse',
    'encirassent',
    'encirasses',
    'encirassiez',
    'encirassions',
    'encire',
    'encirent',
    'encirer',
    'encirera',
    'encirerai',
    'encireraient',
    'encirerais',
    'encirerait',
    'encireras',
    'encirerez',
    'encireriez',
    'encirerions',
    'encirerons',
    'encireront',
    'encires',
    'encirez',
    'enciriez',
    'encirions',
    'encirons',
    'encirâmes',
    'encirât',
    'encirâtes',
    'encirèrent',
    'enciré',
    'encirée',
    'encirées',
    'encirés',
    'enclava',
    'enclavai',
    'enclavaient',
    'enclavais',
    'enclavait',
    'enclavant',
    'enclavas',
    'enclavasse',
    'enclavassent',
    'enclavasses',
    'enclavassiez',
    'enclave',
    'enclavement',
    'enclavements',
    'enclavent',
    'enclaver',
    'enclavera',
    'enclaverai',
    'enclaverais',
    'enclaverait',
    'enclaveras',
    'enclaverez',
    'enclaveriez',
    'enclaverions',
    'enclaverons',
    'enclaveront',
    'enclaves',
    'enclavez',
    'enclaviez',
    'enclavions',
    'enclavons',
    'enclavâmes',
    'enclavât',
    'enclavâtes',
    'enclavèrent',
    'enclavé',
    'enclavée',
    'enclavées',
    'enclavés',
    'enclencha',
    'enclenchai',
    'enclenchais',
    'enclenchait',
    'enclenchant',
    'enclenchas',
    'enclenchasse',
    'enclenche',
    'enclenchent',
    'enclencher',
    'enclenchera',
    'enclencherai',
    'enclencheras',
    'enclencherez',
    'enclenches',
    'enclenchez',
    'enclenchiez',
    'enclenchions',
    'enclenchons',
    'enclenchâmes',
    'enclenchât',
    'enclenchâtes',
    'enclenché',
    'enclenchée',
    'enclenchées',
    'enclenchés',
    'enclin',
    'encline',
    'enclines',
    'enclins',
    'encliqueta',
    'encliquetage',
    'encliquetai',
    'encliquetais',
    'encliquetait',
    'encliquetant',
    'encliquetas',
    'encliqueter',
    'encliquetez',
    'encliquetiez',
    'encliquetons',
    'encliquette',
    'encliquettes',
    'encliquetât',
    'encliqueté',
    'encliquetée',
    'encliquetées',
    'encliquetés',
    'enclitique',
    'enclitiques',
    'enclora',
    'enclorai',
    'encloraient',
    'enclorais',
    'enclorait',
    'encloras',
    'enclore',
    'enclorez',
    'encloriez',
    'enclorions',
    'enclorons',
    'encloront',
    'enclos',
    'enclosant',
    'enclose',
    'enclosent',
    'encloses',
    'enclosez',
    'enclosons',
    'enclot',
    'encloua',
    'enclouai',
    'enclouaient',
    'enclouais',
    'enclouait',
    'enclouant',
    'enclouas',
    'enclouasse',
    'enclouassent',
    'enclouasses',
    'enclouassiez',
    'encloue',
    'enclouent',
    'enclouer',
    'enclouera',
    'enclouerai',
    'enclouerais',
    'enclouerait',
    'encloueras',
    'enclouerez',
    'encloueriez',
    'enclouerions',
    'enclouerons',
    'encloueront',
    'encloues',
    'enclouez',
    'enclouiez',
    'enclouions',
    'enclouons',
    'enclouure',
    'enclouures',
    'enclouâmes',
    'enclouât',
    'enclouâtes',
    'enclouèrent',
    'encloué',
    'enclouée',
    'enclouées',
    'encloués',
    'encloîtra',
    'encloîtrai',
    'encloîtrais',
    'encloîtrait',
    'encloîtrant',
    'encloîtras',
    'encloîtrasse',
    'encloître',
    'encloîtrent',
    'encloîtrer',
    'encloîtrera',
    'encloîtrerai',
    'encloîtreras',
    'encloîtrerez',
    'encloîtres',
    'encloîtrez',
    'encloîtriez',
    'encloîtrions',
    'encloîtrons',
    'encloîtrâmes',
    'encloîtrât',
    'encloîtrâtes',
    'encloîtré',
    'encloîtrée',
    'encloîtrées',
    'encloîtrés',
    'enclume',
    'enclumes',
    'encocha',
    'encochai',
    'encochaient',
    'encochais',
    'encochait',
    'encochant',
    'encochas',
    'encochasse',
    'encochassent',
    'encochasses',
    'encochassiez',
    'encoche',
    'encochent',
    'encocher',
    'encochera',
    'encocherai',
    'encocherais',
    'encocherait',
    'encocheras',
    'encocherez',
    'encocheriez',
    'encocherions',
    'encocherons',
    'encocheront',
    'encoches',
    'encochez',
    'encochiez',
    'encochions',
    'encochons',
    'encochâmes',
    'encochât',
    'encochâtes',
    'encochèrent',
    'encoché',
    'encochée',
    'encochées',
    'encochés',
    'encoda',
    'encodage',
    'encodages',
    'encodai',
    'encodaient',
    'encodais',
    'encodait',
    'encodant',
    'encodas',
    'encodasse',
    'encodassent',
    'encodasses',
    'encodassiez',
    'encodassions',
    'encode',
    'encodent',
    'encoder',
    'encodera',
    'encoderai',
    'encoderaient',
    'encoderais',
    'encoderait',
    'encoderas',
    'encoderez',
    'encoderiez',
    'encoderions',
    'encoderons',
    'encoderont',
    'encodes',
    'encodeur',
    'encodeurs',
    'encodez',
    'encodiez',
    'encodions',
    'encodons',
    'encodâmes',
    'encodât',
    'encodâtes',
    'encodèrent',
    'encodé',
    'encodée',
    'encodées',
    'encodés',
    'encoffra',
    'encoffrai',
    'encoffraient',
    'encoffrais',
    'encoffrait',
    'encoffrant',
    'encoffras',
    'encoffrasse',
    'encoffrasses',
    'encoffre',
    'encoffrent',
    'encoffrer',
    'encoffrera',
    'encoffrerai',
    'encoffrerais',
    'encoffrerait',
    'encoffreras',
    'encoffrerez',
    'encoffreriez',
    'encoffrerons',
    'encoffreront',
    'encoffres',
    'encoffrez',
    'encoffriez',
    'encoffrions',
    'encoffrons',
    'encoffrâmes',
    'encoffrât',
    'encoffrâtes',
    'encoffrèrent',
    'encoffré',
    'encoffrée',
    'encoffrées',
    'encoffrés',
    'encoignure',
    'encoignures',
    'encolla',
    'encollage',
    'encollages',
    'encollai',
    'encollaient',
    'encollais',
    'encollait',
    'encollant',
    'encollas',
    'encollasse',
    'encollassent',
    'encollasses',
    'encollassiez',
    'encolle',
    'encollent',
    'encoller',
    'encollera',
    'encollerai',
    'encollerais',
    'encollerait',
    'encolleras',
    'encollerez',
    'encolleriez',
    'encollerions',
    'encollerons',
    'encolleront',
    'encolles',
    'encolleur',
    'encolleurs',
    'encolleuse',
    'encolleuses',
    'encollez',
    'encolliez',
    'encollions',
    'encollons',
    'encollâmes',
    'encollât',
    'encollâtes',
    'encollèrent',
    'encollé',
    'encollée',
    'encollées',
    'encollés',
    'encolure',
    'encolures',
    'encombra',
    'encombrai',
    'encombraient',
    'encombrais',
    'encombrait',
    'encombrant',
    'encombrante',
    'encombrantes',
    'encombrants',
    'encombras',
    'encombrasse',
    'encombrasses',
    'encombre',
    'encombrement',
    'encombrent',
    'encombrer',
    'encombrera',
    'encombrerai',
    'encombrerais',
    'encombrerait',
    'encombreras',
    'encombrerez',
    'encombreriez',
    'encombrerons',
    'encombreront',
    'encombres',
    'encombrez',
    'encombriez',
    'encombrions',
    'encombrons',
    'encombrâmes',
    'encombrât',
    'encombrâtes',
    'encombrèrent',
    'encombré',
    'encombrée',
    'encombrées',
    'encombrés',
    'encontre',
    'encorda',
    'encordai',
    'encordaient',
    'encordais',
    'encordait',
    'encordant',
    'encordas',
    'encordasse',
    'encordassent',
    'encordasses',
    'encordassiez',
    'encorde',
    'encordent',
    'encorder',
    'encordera',
    'encorderai',
    'encorderais',
    'encorderait',
    'encorderas',
    'encorderez',
    'encorderiez',
    'encorderions',
    'encorderons',
    'encorderont',
    'encordes',
    'encordez',
    'encordiez',
    'encordions',
    'encordons',
    'encordâmes',
    'encordât',
    'encordâtes',
    'encordèrent',
    'encordé',
    'encordée',
    'encordées',
    'encordés',
    'encore',
    'encorna',
    'encornai',
    'encornaient',
    'encornais',
    'encornait',
    'encornant',
    'encornas',
    'encornasse',
    'encornassent',
    'encornasses',
    'encornassiez',
    'encorne',
    'encornent',
    'encorner',
    'encornera',
    'encornerai',
    'encornerais',
    'encornerait',
    'encorneras',
    'encornerez',
    'encorneriez',
    'encornerions',
    'encornerons',
    'encorneront',
    'encornes',
    'encornet',
    'encornets',
    'encornez',
    'encorniez',
    'encornions',
    'encornons',
    'encornâmes',
    'encornât',
    'encornâtes',
    'encornèrent',
    'encorné',
    'encornée',
    'encornées',
    'encornés',
    'encoubler',
    'encourage',
    'encouragea',
    'encourageai',
    'encourageais',
    'encourageait',
    'encourageant',
    'encourageas',
    'encouragent',
    'encourageons',
    'encourager',
    'encouragera',
    'encouragerai',
    'encourageras',
    'encouragerez',
    'encourages',
    'encouragez',
    'encourageât',
    'encouragiez',
    'encouragions',
    'encouragé',
    'encouragée',
    'encouragées',
    'encouragés',
    'encouraient',
    'encourais',
    'encourait',
    'encourant',
    'encoure',
    'encourent',
    'encoures',
    'encourez',
    'encouriez',
    'encourions',
    'encourir',
    'encourons',
    'encourra',
    'encourrai',
    'encourraient',
    'encourrais',
    'encourrait',
    'encourras',
    'encourrez',
    'encourriez',
    'encourrions',
    'encourrons',
    'encourront',
    'encours',
    'encourt',
    'encouru',
    'encourue',
    'encourues',
    'encoururent',
    'encourus',
    'encourusse',
    'encourussent',
    'encourusses',
    'encourussiez',
    'encourut',
    'encourûmes',
    'encourût',
    'encourûtes',
    'encra',
    'encrage',
    'encrages',
    'encrai',
    'encraient',
    'encrais',
    'encrait',
    'encrant',
    'encras',
    'encrassa',
    'encrassai',
    'encrassaient',
    'encrassais',
    'encrassait',
    'encrassant',
    'encrassas',
    'encrassasse',
    'encrassasses',
    'encrasse',
    'encrassement',
    'encrassent',
    'encrasser',
    'encrassera',
    'encrasserai',
    'encrasserais',
    'encrasserait',
    'encrasseras',
    'encrasserez',
    'encrasseriez',
    'encrasserons',
    'encrasseront',
    'encrasses',
    'encrassez',
    'encrassiez',
    'encrassions',
    'encrassons',
    'encrassâmes',
    'encrassât',
    'encrassâtes',
    'encrassèrent',
    'encrassé',
    'encrassée',
    'encrassées',
    'encrassés',
    'encre',
    'encrent',
    'encrer',
    'encrera',
    'encrerai',
    'encreraient',
    'encrerais',
    'encrerait',
    'encreras',
    'encrerez',
    'encreriez',
    'encrerions',
    'encrerons',
    'encreront',
    'encres',
    'encreur',
    'encreurs',
    'encrez',
    'encrier',
    'encriers',
    'encriez',
    'encrine',
    'encrines',
    'encrions',
    'encrons',
    'encroué',
    'encrouée',
    'encrouées',
    'encroués',
    'encroûta',
    'encroûtai',
    'encroûtaient',
    'encroûtais',
    'encroûtait',
    'encroûtant',
    'encroûtas',
    'encroûtasse',
    'encroûtasses',
    'encroûte',
    'encroûtement',
    'encroûtent',
    'encroûter',
    'encroûtera',
    'encroûterai',
    'encroûterais',
    'encroûterait',
    'encroûteras',
    'encroûterez',
    'encroûteriez',
    'encroûterons',
    'encroûteront',
    'encroûtes',
    'encroûtez',
    'encroûtiez',
    'encroûtions',
    'encroûtons',
    'encroûtâmes',
    'encroûtât',
    'encroûtâtes',
    'encroûtèrent',
    'encroûté',
    'encroûtée',
    'encroûtées',
    'encroûtés',
    'encrâmes',
    'encrât',
    'encrâtes',
    'encrèrent',
    'encré',
    'encrée',
    'encrées',
    'encrés',
    'encrêpa',
    'encrêpai',
    'encrêpaient',
    'encrêpais',
    'encrêpait',
    'encrêpant',
    'encrêpas',
    'encrêpasse',
    'encrêpassent',
    'encrêpasses',
    'encrêpassiez',
    'encrêpe',
    'encrêpent',
    'encrêper',
    'encrêpera',
    'encrêperai',
    'encrêperais',
    'encrêperait',
    'encrêperas',
    'encrêperez',
    'encrêperiez',
    'encrêperions',
    'encrêperons',
    'encrêperont',
    'encrêpes',
    'encrêpez',
    'encrêpiez',
    'encrêpions',
    'encrêpons',
    'encrêpâmes',
    'encrêpât',
    'encrêpâtes',
    'encrêpèrent',
    'encrêpé',
    'encrêpée',
    'encrêpées',
    'encrêpés',
    'enculer',
    'encuva',
    'encuvage',
    'encuvages',
    'encuvai',
    'encuvaient',
    'encuvais',
    'encuvait',
    'encuvant',
    'encuvas',
    'encuvasse',
    'encuvassent',
    'encuvasses',
    'encuvassiez',
    'encuvassions',
    'encuve',
    'encuvent',
    'encuver',
    'encuvera',
    'encuverai',
    'encuveraient',
    'encuverais',
    'encuverait',
    'encuveras',
    'encuverez',
    'encuveriez',
    'encuverions',
    'encuverons',
    'encuveront',
    'encuves',
    'encuvez',
    'encuviez',
    'encuvions',
    'encuvons',
    'encuvâmes',
    'encuvât',
    'encuvâtes',
    'encuvèrent',
    'encuvé',
    'encuvée',
    'encuvées',
    'encuvés',
    'encyclique',
    'encycliques',
    'encyclopédie',
    'encéphale',
    'encéphales',
    'encéphalite',
    'encéphalites',
    'endauba',
    'endaubai',
    'endaubaient',
    'endaubais',
    'endaubait',
    'endaubant',
    'endaubas',
    'endaubasse',
    'endaubassent',
    'endaubasses',
    'endaubassiez',
    'endaube',
    'endaubent',
    'endauber',
    'endaubera',
    'endauberai',
    'endauberais',
    'endauberait',
    'endauberas',
    'endauberez',
    'endauberiez',
    'endauberions',
    'endauberons',
    'endauberont',
    'endaubes',
    'endaubez',
    'endaubiez',
    'endaubions',
    'endaubons',
    'endaubâmes',
    'endaubât',
    'endaubâtes',
    'endaubèrent',
    'endaubé',
    'endaubée',
    'endaubées',
    'endaubés',
    'endenta',
    'endentai',
    'endentaient',
    'endentais',
    'endentait',
    'endentant',
    'endentas',
    'endentasse',
    'endentassent',
    'endentasses',
    'endentassiez',
    'endente',
    'endentent',
    'endenter',
    'endentera',
    'endenterai',
    'endenterais',
    'endenterait',
    'endenteras',
    'endenterez',
    'endenteriez',
    'endenterions',
    'endenterons',
    'endenteront',
    'endentes',
    'endentez',
    'endentiez',
    'endentions',
    'endentons',
    'endentâmes',
    'endentât',
    'endentâtes',
    'endentèrent',
    'endenté',
    'endentée',
    'endentées',
    'endentés',
    'endetta',
    'endettai',
    'endettaient',
    'endettais',
    'endettait',
    'endettant',
    'endettas',
    'endettasse',
    'endettassent',
    'endettasses',
    'endettassiez',
    'endette',
    'endettement',
    'endettements',
    'endettent',
    'endetter',
    'endettera',
    'endetterai',
    'endetterais',
    'endetterait',
    'endetteras',
    'endetterez',
    'endetteriez',
    'endetterions',
    'endetterons',
    'endetteront',
    'endettes',
    'endettez',
    'endettiez',
    'endettions',
    'endettons',
    'endettâmes',
    'endettât',
    'endettâtes',
    'endettèrent',
    'endetté',
    'endettée',
    'endettées',
    'endettés',
    'endeuilla',
    'endeuillai',
    'endeuillais',
    'endeuillait',
    'endeuillant',
    'endeuillas',
    'endeuillasse',
    'endeuille',
    'endeuillent',
    'endeuiller',
    'endeuillera',
    'endeuillerai',
    'endeuilleras',
    'endeuillerez',
    'endeuilles',
    'endeuillez',
    'endeuilliez',
    'endeuillions',
    'endeuillons',
    'endeuillâmes',
    'endeuillât',
    'endeuillâtes',
    'endeuillé',
    'endeuillée',
    'endeuillées',
    'endeuillés',
    'endiabla',
    'endiablai',
    'endiablaient',
    'endiablais',
    'endiablait',
    'endiablant',
    'endiablas',
    'endiablasse',
    'endiablasses',
    'endiable',
    'endiablent',
    'endiabler',
    'endiablera',
    'endiablerai',
    'endiablerais',
    'endiablerait',
    'endiableras',
    'endiablerez',
    'endiableriez',
    'endiablerons',
    'endiableront',
    'endiables',
    'endiablez',
    'endiabliez',
    'endiablions',
    'endiablons',
    'endiablâmes',
    'endiablât',
    'endiablâtes',
    'endiablèrent',
    'endiablé',
    'endiablée',
    'endiablées',
    'endiablés',
    'endigage',
    'endigages',
    'endigua',
    'endiguai',
    'endiguaient',
    'endiguais',
    'endiguait',
    'endiguant',
    'endiguas',
    'endiguasse',
    'endiguassent',
    'endiguasses',
    'endiguassiez',
    'endigue',
    'endiguement',
    'endiguements',
    'endiguent',
    'endiguer',
    'endiguera',
    'endiguerai',
    'endiguerais',
    'endiguerait',
    'endigueras',
    'endiguerez',
    'endigueriez',
    'endiguerions',
    'endiguerons',
    'endigueront',
    'endigues',
    'endiguez',
    'endiguiez',
    'endiguions',
    'endiguons',
    'endiguâmes',
    'endiguât',
    'endiguâtes',
    'endiguèrent',
    'endigué',
    'endiguée',
    'endiguées',
    'endigués',
    'endimancha',
    'endimanchai',
    'endimanchais',
    'endimanchait',
    'endimanchant',
    'endimanchas',
    'endimanche',
    'endimanchent',
    'endimancher',
    'endimanchera',
    'endimanches',
    'endimanchez',
    'endimanchiez',
    'endimanchons',
    'endimanchât',
    'endimanché',
    'endimanchée',
    'endimanchées',
    'endimanchés',
    'endive',
    'endives',
    'endivisionna',
    'endivisionne',
    'endivisionné',
    'endoblaste',
    'endoblastes',
    'endocarde',
    'endocardes',
    'endocardite',
    'endocardites',
    'endocarpe',
    'endocarpes',
    'endocrine',
    'endocrines',
    'endocrinien',
    'endocriniens',
    'endoctrina',
    'endoctrinai',
    'endoctrinais',
    'endoctrinait',
    'endoctrinant',
    'endoctrinas',
    'endoctrine',
    'endoctrinent',
    'endoctriner',
    'endoctrinera',
    'endoctrines',
    'endoctrinez',
    'endoctriniez',
    'endoctrinons',
    'endoctrinât',
    'endoctriné',
    'endoctrinée',
    'endoctrinées',
    'endoctrinés',
    'endoderme',
    'endodermes',
    'endogame',
    'endogames',
    'endogamie',
    'endogamies',
    'endogène',
    'endogènes',
    'endolori',
    'endolorie',
    'endolories',
    'endolorir',
    'endolorira',
    'endolorirai',
    'endolorirais',
    'endolorirait',
    'endoloriras',
    'endolorirent',
    'endolorirez',
    'endoloririez',
    'endolorirons',
    'endoloriront',
    'endoloris',
    'endolorisse',
    'endolorisses',
    'endolorissez',
    'endolorit',
    'endolorîmes',
    'endolorît',
    'endolorîtes',
    'endommage',
    'endommagea',
    'endommageai',
    'endommageais',
    'endommageait',
    'endommageant',
    'endommageas',
    'endommagent',
    'endommageons',
    'endommager',
    'endommagera',
    'endommagerai',
    'endommageras',
    'endommagerez',
    'endommages',
    'endommagez',
    'endommageât',
    'endommagiez',
    'endommagions',
    'endommagé',
    'endommagée',
    'endommagées',
    'endommagés',
    'endomètre',
    'endomètres',
    'endométrite',
    'endométrites',
    'endormaient',
    'endormais',
    'endormait',
    'endormant',
    'endormante',
    'endormantes',
    'endormants',
    'endorme',
    'endorment',
    'endormes',
    'endormeur',
    'endormeurs',
    'endormeuse',
    'endormeuses',
    'endormez',
    'endormi',
    'endormie',
    'endormies',
    'endormiez',
    'endormions',
    'endormir',
    'endormira',
    'endormirai',
    'endormirais',
    'endormirait',
    'endormiras',
    'endormirent',
    'endormirez',
    'endormiriez',
    'endormirions',
    'endormirons',
    'endormiront',
    'endormis',
    'endormisse',
    'endormissent',
    'endormisses',
    'endormissiez',
    'endormit',
    'endormons',
    'endormîmes',
    'endormît',
    'endormîtes',
    'endorphine',
    'endorphines',
    'endors',
    'endort',
    'endos',
    'endoscope',
    'endoscopes',
    'endoscopie',
    'endoscopies',
    'endoscopique',
    'endosmomètre',
    'endosmose',
    'endosmoses',
    'endossa',
    'endossable',
    'endossables',
    'endossai',
    'endossaient',
    'endossais',
    'endossait',
    'endossant',
    'endossas',
    'endossasse',
    'endossassent',
    'endossasses',
    'endossassiez',
    'endossataire',
    'endosse',
    'endossement',
    'endossements',
    'endossent',
    'endosser',
    'endossera',
    'endosserai',
    'endosserais',
    'endosserait',
    'endosseras',
    'endosserez',
    'endosseriez',
    'endosserions',
    'endosserons',
    'endosseront',
    'endosses',
    'endosseur',
    'endosseurs',
    'endossez',
    'endossiez',
    'endossions',
    'endossons',
    'endossâmes',
    'endossât',
    'endossâtes',
    'endossèrent',
    'endossé',
    'endossée',
    'endossées',
    'endossés',
    'endothélial',
    'endothéliale',
    'endothéliaux',
    'endothélium',
    'endothéliums',
    'endotoxine',
    'endotoxines',
    'endroit',
    'endroits',
    'enduira',
    'enduirai',
    'enduiraient',
    'enduirais',
    'enduirait',
    'enduiras',
    'enduire',
    'enduirez',
    'enduiriez',
    'enduirions',
    'enduirons',
    'enduiront',
    'enduis',
    'enduisaient',
    'enduisais',
    'enduisait',
    'enduisant',
    'enduise',
    'enduisent',
    'enduises',
    'enduisez',
    'enduisiez',
    'enduisions',
    'enduisirent',
    'enduisis',
    'enduisisse',
    'enduisissent',
    'enduisisses',
    'enduisissiez',
    'enduisit',
    'enduisons',
    'enduisîmes',
    'enduisît',
    'enduisîtes',
    'enduit',
    'enduite',
    'enduites',
    'enduits',
    'endura',
    'endurable',
    'endurables',
    'endurai',
    'enduraient',
    'endurais',
    'endurait',
    'endurance',
    'endurances',
    'endurant',
    'endurante',
    'endurantes',
    'endurants',
    'enduras',
    'endurasse',
    'endurassent',
    'endurasses',
    'endurassiez',
    'endurassions',
    'endurci',
    'endurcie',
    'endurcies',
    'endurcir',
    'endurcira',
    'endurcirai',
    'endurcirais',
    'endurcirait',
    'endurciras',
    'endurcirent',
    'endurcirez',
    'endurciriez',
    'endurcirions',
    'endurcirons',
    'endurciront',
    'endurcis',
    'endurcissais',
    'endurcissait',
    'endurcissant',
    'endurcisse',
    'endurcissent',
    'endurcisses',
    'endurcissez',
    'endurcissiez',
    'endurcissons',
    'endurcit',
    'endurcîmes',
    'endurcît',
    'endurcîtes',
    'endure',
    'endurent',
    'endurer',
    'endurera',
    'endurerai',
    'endureraient',
    'endurerais',
    'endurerait',
    'endureras',
    'endurerez',
    'endureriez',
    'endurerions',
    'endurerons',
    'endureront',
    'endures',
    'endurez',
    'enduriez',
    'endurions',
    'enduro',
    'endurons',
    'enduros',
    'endurâmes',
    'endurât',
    'endurâtes',
    'endurèrent',
    'enduré',
    'endurée',
    'endurées',
    'endurés',
    'endymion',
    'endymions',
    'endémie',
    'endémies',
    'endémique',
    'endémiques',
    'endêver',
    'enfance',
    'enfances',
    'enfant',
    'enfanta',
    'enfantai',
    'enfantaient',
    'enfantais',
    'enfantait',
    'enfantant',
    'enfantas',
    'enfantasse',
    'enfantassent',
    'enfantasses',
    'enfantassiez',
    'enfante',
    'enfantement',
    'enfantements',
    'enfantent',
    'enfanter',
    'enfantera',
    'enfanterai',
    'enfanterais',
    'enfanterait',
    'enfanteras',
    'enfanterez',
    'enfanteriez',
    'enfanterions',
    'enfanterons',
    'enfanteront',
    'enfantes',
    'enfantez',
    'enfantiez',
    'enfantillage',
    'enfantin',
    'enfantine',
    'enfantines',
    'enfantins',
    'enfantions',
    'enfantons',
    'enfants',
    'enfantâmes',
    'enfantât',
    'enfantâtes',
    'enfantèrent',
    'enfanté',
    'enfantée',
    'enfantées',
    'enfantés',
    'enfarina',
    'enfarinai',
    'enfarinaient',
    'enfarinais',
    'enfarinait',
    'enfarinant',
    'enfarinas',
    'enfarinasse',
    'enfarinasses',
    'enfarine',
    'enfarinent',
    'enfariner',
    'enfarinera',
    'enfarinerai',
    'enfarinerais',
    'enfarinerait',
    'enfarineras',
    'enfarinerez',
    'enfarineriez',
    'enfarinerons',
    'enfarineront',
    'enfarines',
    'enfarinez',
    'enfariniez',
    'enfarinions',
    'enfarinons',
    'enfarinâmes',
    'enfarinât',
    'enfarinâtes',
    'enfarinèrent',
    'enfariné',
    'enfarinée',
    'enfarinées',
    'enfarinés',
    'enfaîta',
    'enfaîtai',
    'enfaîtaient',
    'enfaîtais',
    'enfaîtait',
    'enfaîtant',
    'enfaîtas',
    'enfaîtasse',
    'enfaîtassent',
    'enfaîtasses',
    'enfaîtassiez',
    'enfaîte',
    'enfaîteau',
    'enfaîteaux',
    'enfaîtent',
    'enfaîter',
    'enfaîtera',
    'enfaîterai',
    'enfaîterais',
    'enfaîterait',
    'enfaîteras',
    'enfaîterez',
    'enfaîteriez',
    'enfaîterions',
    'enfaîterons',
    'enfaîteront',
    'enfaîtes',
    'enfaîtez',
    'enfaîtiez',
    'enfaîtions',
    'enfaîtons',
    'enfaîtâmes',
    'enfaîtât',
    'enfaîtâtes',
    'enfaîtèrent',
    'enfaîté',
    'enfaîtée',
    'enfaîtées',
    'enfaîtés',
    'enfer',
    'enferma',
    'enfermai',
    'enfermaient',
    'enfermais',
    'enfermait',
    'enfermant',
    'enfermas',
    'enfermasse',
    'enfermassent',
    'enfermasses',
    'enfermassiez',
    'enferme',
    'enferment',
    'enfermer',
    'enfermera',
    'enfermerai',
    'enfermerais',
    'enfermerait',
    'enfermeras',
    'enfermerez',
    'enfermeriez',
    'enfermerions',
    'enfermerons',
    'enfermeront',
    'enfermes',
    'enfermez',
    'enfermiez',
    'enfermions',
    'enfermons',
    'enfermâmes',
    'enfermât',
    'enfermâtes',
    'enfermèrent',
    'enfermé',
    'enfermée',
    'enfermées',
    'enfermés',
    'enferra',
    'enferrai',
    'enferraient',
    'enferrais',
    'enferrait',
    'enferrant',
    'enferras',
    'enferrasse',
    'enferrassent',
    'enferrasses',
    'enferrassiez',
    'enferre',
    'enferrent',
    'enferrer',
    'enferrera',
    'enferrerai',
    'enferrerais',
    'enferrerait',
    'enferreras',
    'enferrerez',
    'enferreriez',
    'enferrerions',
    'enferrerons',
    'enferreront',
    'enferres',
    'enferrez',
    'enferriez',
    'enferrions',
    'enferrons',
    'enferrâmes',
    'enferrât',
    'enferrâtes',
    'enferrèrent',
    'enferré',
    'enferrée',
    'enferrées',
    'enferrés',
    'enfers',
    'enfeu',
    'enfeus',
    'enficha',
    'enfichable',
    'enfichables',
    'enfichai',
    'enfichaient',
    'enfichais',
    'enfichait',
    'enfichant',
    'enfichas',
    'enfichasse',
    'enfichassent',
    'enfichasses',
    'enfichassiez',
    'enfiche',
    'enfichent',
    'enficher',
    'enfichera',
    'enficherai',
    'enficherais',
    'enficherait',
    'enficheras',
    'enficherez',
    'enficheriez',
    'enficherions',
    'enficherons',
    'enficheront',
    'enfiches',
    'enfichez',
    'enfichiez',
    'enfichions',
    'enfichons',
    'enfichâmes',
    'enfichât',
    'enfichâtes',
    'enfichèrent',
    'enfiché',
    'enfichée',
    'enfichées',
    'enfichés',
    'enfiella',
    'enfiellai',
    'enfiellaient',
    'enfiellais',
    'enfiellait',
    'enfiellant',
    'enfiellas',
    'enfiellasse',
    'enfiellasses',
    'enfielle',
    'enfiellent',
    'enfieller',
    'enfiellera',
    'enfiellerai',
    'enfiellerais',
    'enfiellerait',
    'enfielleras',
    'enfiellerez',
    'enfielleriez',
    'enfiellerons',
    'enfielleront',
    'enfielles',
    'enfiellez',
    'enfielliez',
    'enfiellions',
    'enfiellons',
    'enfiellâmes',
    'enfiellât',
    'enfiellâtes',
    'enfiellèrent',
    'enfiellé',
    'enfiellée',
    'enfiellées',
    'enfiellés',
    'enfila',
    'enfilade',
    'enfilades',
    'enfilage',
    'enfilages',
    'enfilai',
    'enfilaient',
    'enfilais',
    'enfilait',
    'enfilant',
    'enfilas',
    'enfilasse',
    'enfilassent',
    'enfilasses',
    'enfilassiez',
    'enfilassions',
    'enfile',
    'enfilent',
    'enfiler',
    'enfilera',
    'enfilerai',
    'enfileraient',
    'enfilerais',
    'enfilerait',
    'enfileras',
    'enfilerez',
    'enfileriez',
    'enfilerions',
    'enfilerons',
    'enfileront',
    'enfiles',
    'enfileur',
    'enfileurs',
    'enfileuse',
    'enfileuses',
    'enfilez',
    'enfiliez',
    'enfilions',
    'enfilons',
    'enfilâmes',
    'enfilât',
    'enfilâtes',
    'enfilèrent',
    'enfilé',
    'enfilée',
    'enfilées',
    'enfilés',
    'enfin',
    'enfièvre',
    'enfièvrent',
    'enfièvres',
    'enfiévra',
    'enfiévrai',
    'enfiévraient',
    'enfiévrais',
    'enfiévrait',
    'enfiévrant',
    'enfiévras',
    'enfiévrasse',
    'enfiévrasses',
    'enfiévrer',
    'enfiévrera',
    'enfiévrerai',
    'enfiévrerais',
    'enfiévrerait',
    'enfiévreras',
    'enfiévrerez',
    'enfiévreriez',
    'enfiévrerons',
    'enfiévreront',
    'enfiévrez',
    'enfiévriez',
    'enfiévrions',
    'enfiévrons',
    'enfiévrâmes',
    'enfiévrât',
    'enfiévrâtes',
    'enfiévrèrent',
    'enfiévré',
    'enfiévrée',
    'enfiévrées',
    'enfiévrés',
    'enfla',
    'enflai',
    'enflaient',
    'enflais',
    'enflait',
    'enflamma',
    'enflammai',
    'enflammaient',
    'enflammais',
    'enflammait',
    'enflammant',
    'enflammas',
    'enflammasse',
    'enflammasses',
    'enflamme',
    'enflamment',
    'enflammer',
    'enflammera',
    'enflammerai',
    'enflammerais',
    'enflammerait',
    'enflammeras',
    'enflammerez',
    'enflammeriez',
    'enflammerons',
    'enflammeront',
    'enflammes',
    'enflammez',
    'enflammiez',
    'enflammions',
    'enflammons',
    'enflammâmes',
    'enflammât',
    'enflammâtes',
    'enflammèrent',
    'enflammé',
    'enflammée',
    'enflammées',
    'enflammés',
    'enflant',
    'enflas',
    'enflasse',
    'enflassent',
    'enflasses',
    'enflassiez',
    'enflassions',
    'enfle',
    'enflent',
    'enfler',
    'enflera',
    'enflerai',
    'enfleraient',
    'enflerais',
    'enflerait',
    'enfleras',
    'enflerez',
    'enfleriez',
    'enflerions',
    'enflerons',
    'enfleront',
    'enfles',
    'enfleura',
    'enfleurage',
    'enfleurages',
    'enfleurai',
    'enfleuraient',
    'enfleurais',
    'enfleurait',
    'enfleurant',
    'enfleuras',
    'enfleurasse',
    'enfleurasses',
    'enfleure',
    'enfleurent',
    'enfleurer',
    'enfleurera',
    'enfleurerai',
    'enfleurerais',
    'enfleurerait',
    'enfleureras',
    'enfleurerez',
    'enfleureriez',
    'enfleurerons',
    'enfleureront',
    'enfleures',
    'enfleurez',
    'enfleuriez',
    'enfleurions',
    'enfleurons',
    'enfleurâmes',
    'enfleurât',
    'enfleurâtes',
    'enfleurèrent',
    'enfleuré',
    'enfleurée',
    'enfleurées',
    'enfleurés',
    'enflez',
    'enfliez',
    'enflions',
    'enflons',
    'enflure',
    'enflures',
    'enflâmes',
    'enflât',
    'enflâtes',
    'enflèche',
    'enflèchent',
    'enflèches',
    'enflèrent',
    'enflé',
    'enflécha',
    'enfléchai',
    'enfléchaient',
    'enfléchais',
    'enfléchait',
    'enfléchant',
    'enfléchas',
    'enfléchasse',
    'enfléchasses',
    'enflécher',
    'enfléchera',
    'enflécherai',
    'enflécherais',
    'enflécherait',
    'enflécheras',
    'enflécherez',
    'enflécheriez',
    'enflécherons',
    'enflécheront',
    'enfléchez',
    'enfléchiez',
    'enfléchions',
    'enfléchons',
    'enfléchure',
    'enfléchures',
    'enfléchâmes',
    'enfléchât',
    'enfléchâtes',
    'enfléchèrent',
    'enfléché',
    'enfléchée',
    'enfléchées',
    'enfléchés',
    'enflée',
    'enflées',
    'enflés',
    'enfoiré',
    'enfoirée',
    'enfoirées',
    'enfoirés',
    'enfonce',
    'enfoncement',
    'enfoncements',
    'enfoncent',
    'enfoncer',
    'enfoncera',
    'enfoncerai',
    'enfoncerais',
    'enfoncerait',
    'enfonceras',
    'enfoncerez',
    'enfonceriez',
    'enfoncerions',
    'enfoncerons',
    'enfonceront',
    'enfonces',
    'enfonceur',
    'enfonceurs',
    'enfonceuse',
    'enfonceuses',
    'enfoncez',
    'enfonciez',
    'enfoncions',
    'enfoncèrent',
    'enfoncé',
    'enfoncée',
    'enfoncées',
    'enfoncés',
    'enfonça',
    'enfonçai',
    'enfonçaient',
    'enfonçais',
    'enfonçait',
    'enfonçant',
    'enfonças',
    'enfonçasse',
    'enfonçassent',
    'enfonçasses',
    'enfonçassiez',
    'enfonçons',
    'enfonçure',
    'enfonçures',
    'enfonçâmes',
    'enfonçât',
    'enfonçâtes',
    'enforci',
    'enforcir',
    'enforcira',
    'enforcirai',
    'enforcirais',
    'enforcirait',
    'enforciras',
    'enforcirent',
    'enforcirez',
    'enforciriez',
    'enforcirions',
    'enforcirons',
    'enforciront',
    'enforcis',
    'enforcissais',
    'enforcissait',
    'enforcissant',
    'enforcisse',
    'enforcissent',
    'enforcisses',
    'enforcissez',
    'enforcissiez',
    'enforcissons',
    'enforcit',
    'enforcîmes',
    'enforcît',
    'enforcîtes',
    'enfoui',
    'enfouie',
    'enfouies',
    'enfouir',
    'enfouira',
    'enfouirai',
    'enfouiraient',
    'enfouirais',
    'enfouirait',
    'enfouiras',
    'enfouirent',
    'enfouirez',
    'enfouiriez',
    'enfouirions',
    'enfouirons',
    'enfouiront',
    'enfouis',
    'enfouissais',
    'enfouissait',
    'enfouissant',
    'enfouisse',
    'enfouissent',
    'enfouisses',
    'enfouisseur',
    'enfouisseurs',
    'enfouissez',
    'enfouissiez',
    'enfouissions',
    'enfouissons',
    'enfouit',
    'enfourcha',
    'enfourchai',
    'enfourchais',
    'enfourchait',
    'enfourchant',
    'enfourchas',
    'enfourchasse',
    'enfourche',
    'enfourchent',
    'enfourcher',
    'enfourchera',
    'enfourcherai',
    'enfourcheras',
    'enfourcherez',
    'enfourches',
    'enfourchez',
    'enfourchiez',
    'enfourchions',
    'enfourchons',
    'enfourchure',
    'enfourchures',
    'enfourchâmes',
    'enfourchât',
    'enfourchâtes',
    'enfourché',
    'enfourchée',
    'enfourchées',
    'enfourchés',
    'enfourna',
    'enfournage',
    'enfournages',
    'enfournai',
    'enfournaient',
    'enfournais',
    'enfournait',
    'enfournant',
    'enfournas',
    'enfournasse',
    'enfournasses',
    'enfourne',
    'enfournement',
    'enfournent',
    'enfourner',
    'enfournera',
    'enfournerai',
    'enfournerais',
    'enfournerait',
    'enfourneras',
    'enfournerez',
    'enfourneriez',
    'enfournerons',
    'enfourneront',
    'enfournes',
    'enfournez',
    'enfourniez',
    'enfournions',
    'enfournons',
    'enfournâmes',
    'enfournât',
    'enfournâtes',
    'enfournèrent',
    'enfourné',
    'enfournée',
    'enfournées',
    'enfournés',
    'enfouîmes',
    'enfouît',
    'enfouîtes',
    'enfreignais',
    'enfreignait',
    'enfreignant',
    'enfreigne',
    'enfreignent',
    'enfreignes',
    'enfreignez',
    'enfreigniez',
    'enfreignions',
    'enfreignis',
    'enfreignisse',
    'enfreignit',
    'enfreignons',
    'enfreignîmes',
    'enfreignît',
    'enfreignîtes',
    'enfreindra',
    'enfreindrai',
    'enfreindrais',
    'enfreindrait',
    'enfreindras',
    'enfreindre',
    'enfreindrez',
    'enfreindriez',
    'enfreindrons',
    'enfreindront',
    'enfreins',
    'enfreint',
    'enfreinte',
    'enfreintes',
    'enfreints',
    'enfui',
    'enfuie',
    'enfuient',
    'enfuies',
    'enfuir',
    'enfuira',
    'enfuirai',
    'enfuiraient',
    'enfuirais',
    'enfuirait',
    'enfuiras',
    'enfuirent',
    'enfuirez',
    'enfuiriez',
    'enfuirions',
    'enfuirons',
    'enfuiront',
    'enfuis',
    'enfuissiez',
    'enfuissions',
    'enfuit',
    'enfuma',
    'enfumage',
    'enfumages',
    'enfumai',
    'enfumaient',
    'enfumais',
    'enfumait',
    'enfumant',
    'enfumas',
    'enfumasse',
    'enfumassent',
    'enfumasses',
    'enfumassiez',
    'enfumassions',
    'enfume',
    'enfument',
    'enfumer',
    'enfumera',
    'enfumerai',
    'enfumeraient',
    'enfumerais',
    'enfumerait',
    'enfumeras',
    'enfumerez',
    'enfumeriez',
    'enfumerions',
    'enfumerons',
    'enfumeront',
    'enfumes',
    'enfumez',
    'enfumiez',
    'enfumions',
    'enfumons',
    'enfumâmes',
    'enfumât',
    'enfumâtes',
    'enfumèrent',
    'enfumé',
    'enfumée',
    'enfumées',
    'enfumés',
    'enfutailla',
    'enfutaillai',
    'enfutaillais',
    'enfutaillait',
    'enfutaillant',
    'enfutaillas',
    'enfutaille',
    'enfutaillent',
    'enfutailler',
    'enfutaillera',
    'enfutailles',
    'enfutaillez',
    'enfutailliez',
    'enfutaillons',
    'enfutaillât',
    'enfutaillé',
    'enfutaillée',
    'enfutaillées',
    'enfutaillés',
    'enfuyaient',
    'enfuyais',
    'enfuyait',
    'enfuyant',
    'enfuyez',
    'enfuyiez',
    'enfuyions',
    'enfuyons',
    'enfuîmes',
    'enfuîtes',
    'enfûta',
    'enfûtage',
    'enfûtages',
    'enfûtai',
    'enfûtaient',
    'enfûtais',
    'enfûtait',
    'enfûtant',
    'enfûtas',
    'enfûtasse',
    'enfûtassent',
    'enfûtasses',
    'enfûtassiez',
    'enfûtassions',
    'enfûte',
    'enfûtent',
    'enfûter',
    'enfûtera',
    'enfûterai',
    'enfûteraient',
    'enfûterais',
    'enfûterait',
    'enfûteras',
    'enfûterez',
    'enfûteriez',
    'enfûterions',
    'enfûterons',
    'enfûteront',
    'enfûtes',
    'enfûtez',
    'enfûtiez',
    'enfûtions',
    'enfûtons',
    'enfûtâmes',
    'enfûtât',
    'enfûtâtes',
    'enfûtèrent',
    'enfûté',
    'enfûtée',
    'enfûtées',
    'enfûtés',
    'engage',
    'engagea',
    'engageai',
    'engageaient',
    'engageais',
    'engageait',
    'engageant',
    'engageante',
    'engageantes',
    'engageants',
    'engageas',
    'engageasse',
    'engageassent',
    'engageasses',
    'engageassiez',
    'engagement',
    'engagements',
    'engagent',
    'engageons',
    'engager',
    'engagera',
    'engagerai',
    'engageraient',
    'engagerais',
    'engagerait',
    'engageras',
    'engagerez',
    'engageriez',
    'engagerions',
    'engagerons',
    'engageront',
    'engages',
    'engagez',
    'engageâmes',
    'engageât',
    'engageâtes',
    'engagiez',
    'engagions',
    'engagèrent',
    'engagé',
    'engagée',
    'engagées',
    'engagés',
    'engaina',
    'engainai',
    'engainaient',
    'engainais',
    'engainait',
    'engainant',
    'engainas',
    'engainasse',
    'engainassent',
    'engainasses',
    'engainassiez',
    'engaine',
    'engainent',
    'engainer',
    'engainera',
    'engainerai',
    'engainerais',
    'engainerait',
    'engaineras',
    'engainerez',
    'engaineriez',
    'engainerions',
    'engainerons',
    'engaineront',
    'engaines',
    'engainez',
    'engainiez',
    'engainions',
    'engainons',
    'engainâmes',
    'engainât',
    'engainâtes',
    'engainèrent',
    'engainé',
    'engainée',
    'engainées',
    'engainés',
    'engama',
    'engamai',
    'engamaient',
    'engamais',
    'engamait',
    'engamant',
    'engamas',
    'engamasse',
    'engamassent',
    'engamasses',
    'engamassiez',
    'engamassions',
    'engame',
    'engament',
    'engamer',
    'engamera',
    'engamerai',
    'engameraient',
    'engamerais',
    'engamerait',
    'engameras',
    'engamerez',
    'engameriez',
    'engamerions',
    'engamerons',
    'engameront',
    'engames',
    'engamez',
    'engamiez',
    'engamions',
    'engamons',
    'engamâmes',
    'engamât',
    'engamâtes',
    'engamèrent',
    'engamé',
    'engamée',
    'engamées',
    'engamés',
    'engargoussa',
    'engargoussai',
    'engargoussas',
    'engargousse',
    'engargousser',
    'engargousses',
    'engargoussez',
    'engargoussât',
    'engargoussé',
    'engargoussée',
    'engargoussés',
    'engava',
    'engavai',
    'engavaient',
    'engavais',
    'engavait',
    'engavant',
    'engavas',
    'engavasse',
    'engavassent',
    'engavasses',
    'engavassiez',
    'engavassions',
    'engave',
    'engavent',
    'engaver',
    'engavera',
    'engaverai',
    'engaveraient',
    'engaverais',
    'engaverait',
    'engaveras',
    'engaverez',
    'engaveriez',
    'engaverions',
    'engaverons',
    'engaveront',
    'engaves',
    'engavez',
    'engaviez',
    'engavions',
    'engavons',
    'engavâmes',
    'engavât',
    'engavâtes',
    'engavèrent',
    'engavé',
    'engavée',
    'engavées',
    'engavés',
    'engazonna',
    'engazonnai',
    'engazonnais',
    'engazonnait',
    'engazonnant',
    'engazonnas',
    'engazonnasse',
    'engazonne',
    'engazonnent',
    'engazonner',
    'engazonnera',
    'engazonnerai',
    'engazonneras',
    'engazonnerez',
    'engazonnes',
    'engazonnez',
    'engazonniez',
    'engazonnions',
    'engazonnons',
    'engazonnâmes',
    'engazonnât',
    'engazonnâtes',
    'engazonné',
    'engazonnée',
    'engazonnées',
    'engazonnés',
    'engeance',
    'engeances',
    'engelure',
    'engelures',
    'engendra',
    'engendrai',
    'engendraient',
    'engendrais',
    'engendrait',
    'engendrant',
    'engendras',
    'engendrasse',
    'engendrasses',
    'engendre',
    'engendrement',
    'engendrent',
    'engendrer',
    'engendrera',
    'engendrerai',
    'engendrerais',
    'engendrerait',
    'engendreras',
    'engendrerez',
    'engendreriez',
    'engendrerons',
    'engendreront',
    'engendres',
    'engendrez',
    'engendriez',
    'engendrions',
    'engendrons',
    'engendrâmes',
    'engendrât',
    'engendrâtes',
    'engendrèrent',
    'engendré',
    'engendrée',
    'engendrées',
    'engendrés',
    'engerba',
    'engerbai',
    'engerbaient',
    'engerbais',
    'engerbait',
    'engerbant',
    'engerbas',
    'engerbasse',
    'engerbassent',
    'engerbasses',
    'engerbassiez',
    'engerbe',
    'engerbent',
    'engerber',
    'engerbera',
    'engerberai',
    'engerberais',
    'engerberait',
    'engerberas',
    'engerberez',
    'engerberiez',
    'engerberions',
    'engerberons',
    'engerberont',
    'engerbes',
    'engerbez',
    'engerbiez',
    'engerbions',
    'engerbons',
    'engerbâmes',
    'engerbât',
    'engerbâtes',
    'engerbèrent',
    'engerbé',
    'engerbée',
    'engerbées',
    'engerbés',
    'engin',
    'engineering',
    'engineerings',
    'engins',
    'englace',
    'englacent',
    'englacer',
    'englacera',
    'englacerai',
    'englacerais',
    'englacerait',
    'englaceras',
    'englacerez',
    'englaceriez',
    'englacerions',
    'englacerons',
    'englaceront',
    'englaces',
    'englacez',
    'englaciez',
    'englacions',
    'englacèrent',
    'englacé',
    'englacée',
    'englacées',
    'englacés',
    'englaça',
    'englaçai',
    'englaçaient',
    'englaçais',
    'englaçait',
    'englaçant',
    'englaças',
    'englaçasse',
    'englaçassent',
    'englaçasses',
    'englaçassiez',
    'englaçons',
    'englaçâmes',
    'englaçât',
    'englaçâtes',
    'engloba',
    'englobai',
    'englobaient',
    'englobais',
    'englobait',
    'englobant',
    'englobante',
    'englobantes',
    'englobants',
    'englobas',
    'englobasse',
    'englobassent',
    'englobasses',
    'englobassiez',
    'englobe',
    'englobent',
    'englober',
    'englobera',
    'engloberai',
    'engloberais',
    'engloberait',
    'engloberas',
    'engloberez',
    'engloberiez',
    'engloberions',
    'engloberons',
    'engloberont',
    'englobes',
    'englobez',
    'englobiez',
    'englobions',
    'englobons',
    'englobâmes',
    'englobât',
    'englobâtes',
    'englobèrent',
    'englobé',
    'englobée',
    'englobées',
    'englobés',
    'englouti',
    'engloutie',
    'englouties',
    'engloutir',
    'engloutira',
    'engloutirai',
    'engloutirais',
    'engloutirait',
    'engloutiras',
    'engloutirent',
    'engloutirez',
    'engloutiriez',
    'engloutirons',
    'engloutiront',
    'engloutis',
    'engloutisse',
    'engloutisses',
    'engloutissez',
    'engloutit',
    'engloutîmes',
    'engloutît',
    'engloutîtes',
    'englua',
    'engluage',
    'engluages',
    'engluai',
    'engluaient',
    'engluais',
    'engluait',
    'engluant',
    'engluas',
    'engluasse',
    'engluassent',
    'engluasses',
    'engluassiez',
    'engluassions',
    'englue',
    'engluement',
    'engluements',
    'engluent',
    'engluer',
    'engluera',
    'engluerai',
    'englueraient',
    'engluerais',
    'engluerait',
    'englueras',
    'engluerez',
    'englueriez',
    'engluerions',
    'engluerons',
    'englueront',
    'englues',
    'engluez',
    'engluiez',
    'engluions',
    'engluons',
    'engluâmes',
    'engluât',
    'engluâtes',
    'engluèrent',
    'englué',
    'engluée',
    'engluées',
    'englués',
    'engoba',
    'engobage',
    'engobages',
    'engobai',
    'engobaient',
    'engobais',
    'engobait',
    'engobant',
    'engobas',
    'engobasse',
    'engobassent',
    'engobasses',
    'engobassiez',
    'engobassions',
    'engobe',
    'engobent',
    'engober',
    'engobera',
    'engoberai',
    'engoberaient',
    'engoberais',
    'engoberait',
    'engoberas',
    'engoberez',
    'engoberiez',
    'engoberions',
    'engoberons',
    'engoberont',
    'engobes',
    'engobez',
    'engobiez',
    'engobions',
    'engobons',
    'engobâmes',
    'engobât',
    'engobâtes',
    'engobèrent',
    'engobé',
    'engobée',
    'engobées',
    'engobés',
    'engomma',
    'engommage',
    'engommages',
    'engommai',
    'engommaient',
    'engommais',
    'engommait',
    'engommant',
    'engommas',
    'engommasse',
    'engommassent',
    'engommasses',
    'engommassiez',
    'engomme',
    'engomment',
    'engommer',
    'engommera',
    'engommerai',
    'engommerais',
    'engommerait',
    'engommeras',
    'engommerez',
    'engommeriez',
    'engommerions',
    'engommerons',
    'engommeront',
    'engommes',
    'engommez',
    'engommiez',
    'engommions',
    'engommons',
    'engommâmes',
    'engommât',
    'engommâtes',
    'engommèrent',
    'engommé',
    'engommée',
    'engommées',
    'engommés',
    'engonce',
    'engoncent',
    'engoncer',
    'engoncera',
    'engoncerai',
    'engoncerais',
    'engoncerait',
    'engonceras',
    'engoncerez',
    'engonceriez',
    'engoncerions',
    'engoncerons',
    'engonceront',
    'engonces',
    'engoncez',
    'engonciez',
    'engoncions',
    'engoncèrent',
    'engoncé',
    'engoncée',
    'engoncées',
    'engoncés',
    'engonça',
    'engonçai',
    'engonçaient',
    'engonçais',
    'engonçait',
    'engonçant',
    'engonças',
    'engonçasse',
    'engonçassent',
    'engonçasses',
    'engonçassiez',
    'engonçons',
    'engonçâmes',
    'engonçât',
    'engonçâtes',
    'engorge',
    'engorgea',
    'engorgeai',
    'engorgeaient',
    'engorgeais',
    'engorgeait',
    'engorgeant',
    'engorgeas',
    'engorgeasse',
    'engorgeasses',
    'engorgement',
    'engorgements',
    'engorgent',
    'engorgeons',
    'engorger',
    'engorgera',
    'engorgerai',
    'engorgerais',
    'engorgerait',
    'engorgeras',
    'engorgerez',
    'engorgeriez',
    'engorgerions',
    'engorgerons',
    'engorgeront',
    'engorges',
    'engorgez',
    'engorgeâmes',
    'engorgeât',
    'engorgeâtes',
    'engorgiez',
    'engorgions',
    'engorgèrent',
    'engorgé',
    'engorgée',
    'engorgées',
    'engorgés',
    'engouassiez',
    'engouassions',
    'engouement',
    'engouements',
    'engouer',
    'engouerez',
    'engoueriez',
    'engouerions',
    'engouerons',
    'engouez',
    'engouffra',
    'engouffrai',
    'engouffrais',
    'engouffrait',
    'engouffrant',
    'engouffras',
    'engouffrasse',
    'engouffre',
    'engouffrent',
    'engouffrer',
    'engouffrera',
    'engouffrerai',
    'engouffreras',
    'engouffrerez',
    'engouffres',
    'engouffrez',
    'engouffriez',
    'engouffrions',
    'engouffrons',
    'engouffrâmes',
    'engouffrât',
    'engouffrâtes',
    'engouffré',
    'engouffrée',
    'engouffrées',
    'engouffrés',
    'engouiez',
    'engouions',
    'engoula',
    'engoulai',
    'engoulaient',
    'engoulais',
    'engoulait',
    'engoulant',
    'engoulas',
    'engoulasse',
    'engoulassent',
    'engoulasses',
    'engoulassiez',
    'engoule',
    'engoulent',
    'engouler',
    'engoulera',
    'engoulerai',
    'engoulerais',
    'engoulerait',
    'engouleras',
    'engoulerez',
    'engouleriez',
    'engoulerions',
    'engoulerons',
    'engouleront',
    'engoules',
    'engoulevent',
    'engoulevents',
    'engoulez',
    'engouliez',
    'engoulions',
    'engoulons',
    'engoulâmes',
    'engoulât',
    'engoulâtes',
    'engoulèrent',
    'engoulé',
    'engoulée',
    'engoulées',
    'engoulés',
    'engouons',
    'engourdi',
    'engourdie',
    'engourdies',
    'engourdir',
    'engourdira',
    'engourdirai',
    'engourdirais',
    'engourdirait',
    'engourdiras',
    'engourdirent',
    'engourdirez',
    'engourdiriez',
    'engourdirons',
    'engourdiront',
    'engourdis',
    'engourdisse',
    'engourdisses',
    'engourdissez',
    'engourdit',
    'engourdîmes',
    'engourdît',
    'engourdîtes',
    'engouâmes',
    'engouâtes',
    'engoué',
    'engouée',
    'engouées',
    'engoués',
    'engrais',
    'engraissa',
    'engraissage',
    'engraissages',
    'engraissai',
    'engraissais',
    'engraissait',
    'engraissant',
    'engraissas',
    'engraissasse',
    'engraisse',
    'engraissent',
    'engraisser',
    'engraissera',
    'engraisserai',
    'engraisseras',
    'engraisserez',
    'engraisses',
    'engraissez',
    'engraissiez',
    'engraissions',
    'engraissons',
    'engraissâmes',
    'engraissât',
    'engraissâtes',
    'engraissé',
    'engraissée',
    'engraissées',
    'engraissés',
    'engramme',
    'engrammes',
    'engrange',
    'engrangea',
    'engrangeai',
    'engrangeais',
    'engrangeait',
    'engrangeant',
    'engrangeas',
    'engrangeasse',
    'engrangement',
    'engrangent',
    'engrangeons',
    'engranger',
    'engrangera',
    'engrangerai',
    'engrangerais',
    'engrangerait',
    'engrangeras',
    'engrangerez',
    'engrangeriez',
    'engrangerons',
    'engrangeront',
    'engranges',
    'engrangez',
    'engrangeâmes',
    'engrangeât',
    'engrangeâtes',
    'engrangiez',
    'engrangions',
    'engrangèrent',
    'engrangé',
    'engrangée',
    'engrangées',
    'engrangés',
    'engrava',
    'engravai',
    'engravaient',
    'engravais',
    'engravait',
    'engravant',
    'engravas',
    'engravasse',
    'engravassent',
    'engravasses',
    'engravassiez',
    'engrave',
    'engravent',
    'engraver',
    'engravera',
    'engraverai',
    'engraverais',
    'engraverait',
    'engraveras',
    'engraverez',
    'engraveriez',
    'engraverions',
    'engraverons',
    'engraveront',
    'engraves',
    'engravez',
    'engraviez',
    'engravions',
    'engravons',
    'engravâmes',
    'engravât',
    'engravâtes',
    'engravèrent',
    'engravé',
    'engravée',
    'engravées',
    'engravés',
    'engrena',
    'engrenage',
    'engrenages',
    'engrenai',
    'engrenaient',
    'engrenais',
    'engrenait',
    'engrenant',
    'engrenas',
    'engrenasse',
    'engrenassent',
    'engrenasses',
    'engrenassiez',
    'engrener',
    'engreneur',
    'engreneurs',
    'engreneuse',
    'engreneuses',
    'engrenez',
    'engreniez',
    'engrenions',
    'engrenons',
    'engrenâmes',
    'engrenât',
    'engrenâtes',
    'engrenèrent',
    'engrené',
    'engrenée',
    'engrenées',
    'engrenés',
    'engrois',
    'engrossa',
    'engrossai',
    'engrossaient',
    'engrossais',
    'engrossait',
    'engrossant',
    'engrossas',
    'engrossasse',
    'engrossasses',
    'engrosse',
    'engrossent',
    'engrosser',
    'engrossera',
    'engrosserai',
    'engrosserais',
    'engrosserait',
    'engrosseras',
    'engrosserez',
    'engrosseriez',
    'engrosserons',
    'engrosseront',
    'engrosses',
    'engrossez',
    'engrossiez',
    'engrossions',
    'engrossons',
    'engrossâmes',
    'engrossât',
    'engrossâtes',
    'engrossèrent',
    'engrossé',
    'engrossée',
    'engrossées',
    'engrossés',
    'engrumela',
    'engrumelai',
    'engrumelais',
    'engrumelait',
    'engrumelant',
    'engrumelas',
    'engrumelasse',
    'engrumeler',
    'engrumelez',
    'engrumeliez',
    'engrumelions',
    'engrumelle',
    'engrumellent',
    'engrumellera',
    'engrumelles',
    'engrumelons',
    'engrumelâmes',
    'engrumelât',
    'engrumelâtes',
    'engrumelé',
    'engrumelée',
    'engrumelées',
    'engrumelés',
    'engrène',
    'engrènent',
    'engrènera',
    'engrènerai',
    'engrènerais',
    'engrènerait',
    'engrèneras',
    'engrènerez',
    'engrèneriez',
    'engrènerions',
    'engrènerons',
    'engrèneront',
    'engrènes',
    'engueula',
    'engueulade',
    'engueulades',
    'engueulai',
    'engueulaient',
    'engueulais',
    'engueulait',
    'engueulant',
    'engueulas',
    'engueulasse',
    'engueulasses',
    'engueule',
    'engueulent',
    'engueuler',
    'engueulera',
    'engueulerai',
    'engueulerais',
    'engueulerait',
    'engueuleras',
    'engueulerez',
    'engueuleriez',
    'engueulerons',
    'engueuleront',
    'engueules',
    'engueulez',
    'engueuliez',
    'engueulions',
    'engueulons',
    'engueulâmes',
    'engueulât',
    'engueulâtes',
    'engueulèrent',
    'engueulé',
    'engueulée',
    'engueulées',
    'engueulés',
    'enguichure',
    'enguichures',
    'enguirlanda',
    'enguirlandai',
    'enguirlandas',
    'enguirlande',
    'enguirlander',
    'enguirlandes',
    'enguirlandez',
    'enguirlandât',
    'enguirlandé',
    'enguirlandée',
    'enguirlandés',
    'enhardi',
    'enhardie',
    'enhardies',
    'enhardir',
    'enhardira',
    'enhardirai',
    'enhardirais',
    'enhardirait',
    'enhardiras',
    'enhardirent',
    'enhardirez',
    'enhardiriez',
    'enhardirions',
    'enhardirons',
    'enhardiront',
    'enhardis',
    'enhardissais',
    'enhardissait',
    'enhardissant',
    'enhardisse',
    'enhardissent',
    'enhardisses',
    'enhardissez',
    'enhardissiez',
    'enhardissons',
    'enhardit',
    'enhardîmes',
    'enhardît',
    'enhardîtes',
    'enharmonie',
    'enharmonies',
    'enharmonique',
    'enharnacha',
    'enharnachai',
    'enharnachais',
    'enharnachait',
    'enharnachant',
    'enharnachas',
    'enharnache',
    'enharnachent',
    'enharnacher',
    'enharnachera',
    'enharnaches',
    'enharnachez',
    'enharnachiez',
    'enharnachons',
    'enharnachât',
    'enharnaché',
    'enharnachée',
    'enharnachées',
    'enharnachés',
    'enherba',
    'enherbai',
    'enherbaient',
    'enherbais',
    'enherbait',
    'enherbant',
    'enherbas',
    'enherbasse',
    'enherbassent',
    'enherbasses',
    'enherbassiez',
    'enherbe',
    'enherbent',
    'enherber',
    'enherbera',
    'enherberai',
    'enherberais',
    'enherberait',
    'enherberas',
    'enherberez',
    'enherberiez',
    'enherberions',
    'enherberons',
    'enherberont',
    'enherbes',
    'enherbez',
    'enherbiez',
    'enherbions',
    'enherbons',
    'enherbâmes',
    'enherbât',
    'enherbâtes',
    'enherbèrent',
    'enherbé',
    'enherbée',
    'enherbées',
    'enherbés',
    'enivra',
    'enivrai',
    'enivraient',
    'enivrais',
    'enivrait',
    'enivrant',
    'enivrante',
    'enivrantes',
    'enivrants',
    'enivras',
    'enivrasse',
    'enivrassent',
    'enivrasses',
    'enivrassiez',
    'enivrassions',
    'enivre',
    'enivrement',
    'enivrements',
    'enivrent',
    'enivrer',
    'enivrera',
    'enivrerai',
    'enivreraient',
    'enivrerais',
    'enivrerait',
    'enivreras',
    'enivrerez',
    'enivreriez',
    'enivrerions',
    'enivrerons',
    'enivreront',
    'enivres',
    'enivrez',
    'enivriez',
    'enivrions',
    'enivrons',
    'enivrâmes',
    'enivrât',
    'enivrâtes',
    'enivrèrent',
    'enivré',
    'enivrée',
    'enivrées',
    'enivrés',
    'enjamba',
    'enjambai',
    'enjambaient',
    'enjambais',
    'enjambait',
    'enjambant',
    'enjambas',
    'enjambasse',
    'enjambassent',
    'enjambasses',
    'enjambassiez',
    'enjambe',
    'enjambement',
    'enjambements',
    'enjambent',
    'enjamber',
    'enjambera',
    'enjamberai',
    'enjamberais',
    'enjamberait',
    'enjamberas',
    'enjamberez',
    'enjamberiez',
    'enjamberions',
    'enjamberons',
    'enjamberont',
    'enjambes',
    'enjambez',
    'enjambiez',
    'enjambions',
    'enjambons',
    'enjambâmes',
    'enjambât',
    'enjambâtes',
    'enjambèrent',
    'enjambé',
    'enjambée',
    'enjambées',
    'enjambés',
    'enjavela',
    'enjavelai',
    'enjavelaient',
    'enjavelais',
    'enjavelait',
    'enjavelant',
    'enjavelas',
    'enjavelasse',
    'enjavelasses',
    'enjaveler',
    'enjavelez',
    'enjaveliez',
    'enjavelions',
    'enjavelle',
    'enjavellent',
    'enjavellera',
    'enjavellerai',
    'enjavelleras',
    'enjavellerez',
    'enjavelles',
    'enjavelons',
    'enjavelâmes',
    'enjavelât',
    'enjavelâtes',
    'enjavelèrent',
    'enjavelé',
    'enjavelée',
    'enjavelées',
    'enjavelés',
    'enjeu',
    'enjeux',
    'enjoignaient',
    'enjoignais',
    'enjoignait',
    'enjoignant',
    'enjoigne',
    'enjoignent',
    'enjoignes',
    'enjoignez',
    'enjoigniez',
    'enjoignions',
    'enjoignirent',
    'enjoignis',
    'enjoignisse',
    'enjoignisses',
    'enjoignit',
    'enjoignons',
    'enjoignîmes',
    'enjoignît',
    'enjoignîtes',
    'enjoindra',
    'enjoindrai',
    'enjoindrais',
    'enjoindrait',
    'enjoindras',
    'enjoindre',
    'enjoindrez',
    'enjoindriez',
    'enjoindrions',
    'enjoindrons',
    'enjoindront',
    'enjoins',
    'enjoint',
    'enjointe',
    'enjointes',
    'enjoints',
    'enjoliva',
    'enjolivai',
    'enjolivaient',
    'enjolivais',
    'enjolivait',
    'enjolivant',
    'enjolivas',
    'enjolivasse',
    'enjolivasses',
    'enjolive',
    'enjolivement',
    'enjolivent',
    'enjoliver',
    'enjolivera',
    'enjoliverai',
    'enjoliverais',
    'enjoliverait',
    'enjoliveras',
    'enjoliverez',
    'enjoliveriez',
    'enjoliverons',
    'enjoliveront',
    'enjolives',
    'enjoliveur',
    'enjoliveurs',
    'enjolivez',
    'enjoliviez',
    'enjolivions',
    'enjolivons',
    'enjolivure',
    'enjolivures',
    'enjolivâmes',
    'enjolivât',
    'enjolivâtes',
    'enjolivèrent',
    'enjolivé',
    'enjolivée',
    'enjolivées',
    'enjolivés',
    'enjonce',
    'enjoncent',
    'enjoncer',
    'enjoncera',
    'enjoncerai',
    'enjoncerais',
    'enjoncerait',
    'enjonceras',
    'enjoncerez',
    'enjonceriez',
    'enjoncerions',
    'enjoncerons',
    'enjonceront',
    'enjonces',
    'enjoncez',
    'enjonciez',
    'enjoncions',
    'enjoncèrent',
    'enjoncé',
    'enjoncée',
    'enjoncées',
    'enjoncés',
    'enjonça',
    'enjonçai',
    'enjonçaient',
    'enjonçais',
    'enjonçait',
    'enjonçant',
    'enjonças',
    'enjonçasse',
    'enjonçassent',
    'enjonçasses',
    'enjonçassiez',
    'enjonçons',
    'enjonçâmes',
    'enjonçât',
    'enjonçâtes',
    'enjoua',
    'enjouai',
    'enjouaient',
    'enjouais',
    'enjouait',
    'enjouant',
    'enjouas',
    'enjouasse',
    'enjouassent',
    'enjouasses',
    'enjouassiez',
    'enjouassions',
    'enjoue',
    'enjouement',
    'enjouements',
    'enjouent',
    'enjouer',
    'enjouera',
    'enjouerai',
    'enjoueraient',
    'enjouerais',
    'enjouerait',
    'enjoueras',
    'enjouerez',
    'enjoueriez',
    'enjouerions',
    'enjouerons',
    'enjoueront',
    'enjoues',
    'enjouez',
    'enjouiez',
    'enjouions',
    'enjouons',
    'enjouâmes',
    'enjouât',
    'enjouâtes',
    'enjouèrent',
    'enjoué',
    'enjouée',
    'enjouées',
    'enjoués',
    'enjugua',
    'enjuguai',
    'enjuguaient',
    'enjuguais',
    'enjuguait',
    'enjuguant',
    'enjuguas',
    'enjuguasse',
    'enjuguassent',
    'enjuguasses',
    'enjuguassiez',
    'enjugue',
    'enjuguent',
    'enjuguer',
    'enjuguera',
    'enjuguerai',
    'enjuguerais',
    'enjuguerait',
    'enjugueras',
    'enjuguerez',
    'enjugueriez',
    'enjuguerions',
    'enjuguerons',
    'enjugueront',
    'enjugues',
    'enjuguez',
    'enjuguiez',
    'enjuguions',
    'enjuguons',
    'enjuguâmes',
    'enjuguât',
    'enjuguâtes',
    'enjuguèrent',
    'enjugué',
    'enjuguée',
    'enjuguées',
    'enjugués',
    'enjuiva',
    'enjuivai',
    'enjuivaient',
    'enjuivais',
    'enjuivait',
    'enjuivant',
    'enjuivas',
    'enjuivasse',
    'enjuivassent',
    'enjuivasses',
    'enjuivassiez',
    'enjuive',
    'enjuivent',
    'enjuiver',
    'enjuivera',
    'enjuiverai',
    'enjuiverais',
    'enjuiverait',
    'enjuiveras',
    'enjuiverez',
    'enjuiveriez',
    'enjuiverions',
    'enjuiverons',
    'enjuiveront',
    'enjuives',
    'enjuivez',
    'enjuiviez',
    'enjuivions',
    'enjuivons',
    'enjuivâmes',
    'enjuivât',
    'enjuivâtes',
    'enjuivèrent',
    'enjuivé',
    'enjuivée',
    'enjuivées',
    'enjuivés',
    'enjuponna',
    'enjuponnai',
    'enjuponnais',
    'enjuponnait',
    'enjuponnant',
    'enjuponnas',
    'enjuponnasse',
    'enjuponne',
    'enjuponnent',
    'enjuponner',
    'enjuponnera',
    'enjuponnerai',
    'enjuponneras',
    'enjuponnerez',
    'enjuponnes',
    'enjuponnez',
    'enjuponniez',
    'enjuponnions',
    'enjuponnons',
    'enjuponnâmes',
    'enjuponnât',
    'enjuponnâtes',
    'enjuponné',
    'enjuponnée',
    'enjuponnées',
    'enjuponnés',
    'enjôla',
    'enjôlai',
    'enjôlaient',
    'enjôlais',
    'enjôlait',
    'enjôlant',
    'enjôlas',
    'enjôlasse',
    'enjôlassent',
    'enjôlasses',
    'enjôlassiez',
    'enjôlassions',
    'enjôle',
    'enjôlement',
    'enjôlements',
    'enjôlent',
    'enjôler',
    'enjôlera',
    'enjôlerai',
    'enjôleraient',
    'enjôlerais',
    'enjôlerait',
    'enjôleras',
    'enjôlerez',
    'enjôleriez',
    'enjôlerions',
    'enjôlerons',
    'enjôleront',
    'enjôles',
    'enjôleur',
    'enjôleurs',
    'enjôleuse',
    'enjôleuses',
    'enjôlez',
    'enjôliez',
    'enjôlions',
    'enjôlons',
    'enjôlâmes',
    'enjôlât',
    'enjôlâtes',
    'enjôlèrent',
    'enjôlé',
    'enjôlée',
    'enjôlées',
    'enjôlés',
    'enkikiner',
    'enkystassiez',
    'enkystement',
    'enkystements',
    'enkyster',
    'enkysterez',
    'enkysteriez',
    'enkysterions',
    'enkysterons',
    'enkystez',
    'enkystiez',
    'enkystions',
    'enkystons',
    'enkystâmes',
    'enkystâtes',
    'enkysté',
    'enkystée',
    'enkystées',
    'enkystés',
    'enlace',
    'enlacement',
    'enlacements',
    'enlacent',
    'enlacer',
    'enlacera',
    'enlacerai',
    'enlaceraient',
    'enlacerais',
    'enlacerait',
    'enlaceras',
    'enlacerez',
    'enlaceriez',
    'enlacerions',
    'enlacerons',
    'enlaceront',
    'enlaces',
    'enlacez',
    'enlaciez',
    'enlacions',
    'enlacèrent',
    'enlacé',
    'enlacée',
    'enlacées',
    'enlacés',
    'enlaidi',
    'enlaidie',
    'enlaidies',
    'enlaidir',
    'enlaidira',
    'enlaidirai',
    'enlaidirais',
    'enlaidirait',
    'enlaidiras',
    'enlaidirent',
    'enlaidirez',
    'enlaidiriez',
    'enlaidirions',
    'enlaidirons',
    'enlaidiront',
    'enlaidis',
    'enlaidissais',
    'enlaidissait',
    'enlaidissant',
    'enlaidisse',
    'enlaidissent',
    'enlaidisses',
    'enlaidissez',
    'enlaidissiez',
    'enlaidissons',
    'enlaidit',
    'enlaidîmes',
    'enlaidît',
    'enlaidîtes',
    'enlaça',
    'enlaçai',
    'enlaçaient',
    'enlaçais',
    'enlaçait',
    'enlaçant',
    'enlaças',
    'enlaçasse',
    'enlaçassent',
    'enlaçasses',
    'enlaçassiez',
    'enlaçassions',
    'enlaçons',
    'enlaçâmes',
    'enlaçât',
    'enlaçâtes',
    'enleva',
    'enlevage',
    'enlevages',
    'enlevai',
    'enlevaient',
    'enlevais',
    'enlevait',
    'enlevant',
    'enlevas',
    'enlevasse',
    'enlevassent',
    'enlevasses',
    'enlevassiez',
    'enlevassions',
    'enlever',
    'enlevez',
    'enleviez',
    'enlevions',
    'enlevons',
    'enlevure',
    'enlevures',
    'enlevâmes',
    'enlevât',
    'enlevâtes',
    'enlevèrent',
    'enlevé',
    'enlevée',
    'enlevées',
    'enlevés',
    'enlia',
    'enliai',
    'enliaient',
    'enliais',
    'enliait',
    'enliant',
    'enlias',
    'enliassa',
    'enliassai',
    'enliassaient',
    'enliassais',
    'enliassait',
    'enliassant',
    'enliassas',
    'enliassasse',
    'enliassasses',
    'enliasse',
    'enliassent',
    'enliasser',
    'enliassera',
    'enliasserai',
    'enliasserais',
    'enliasserait',
    'enliasseras',
    'enliasserez',
    'enliasseriez',
    'enliasserons',
    'enliasseront',
    'enliasses',
    'enliassez',
    'enliassiez',
    'enliassions',
    'enliassons',
    'enliassâmes',
    'enliassât',
    'enliassâtes',
    'enliassèrent',
    'enliassé',
    'enliassée',
    'enliassées',
    'enliassés',
    'enlie',
    'enlient',
    'enlier',
    'enliera',
    'enlierai',
    'enlieraient',
    'enlierais',
    'enlierait',
    'enlieras',
    'enlierez',
    'enlieriez',
    'enlierions',
    'enlierons',
    'enlieront',
    'enlies',
    'enliez',
    'enligna',
    'enlignai',
    'enlignaient',
    'enlignais',
    'enlignait',
    'enlignant',
    'enlignas',
    'enlignasse',
    'enlignassent',
    'enlignasses',
    'enlignassiez',
    'enligne',
    'enlignent',
    'enligner',
    'enlignera',
    'enlignerai',
    'enlignerais',
    'enlignerait',
    'enligneras',
    'enlignerez',
    'enligneriez',
    'enlignerions',
    'enlignerons',
    'enligneront',
    'enlignes',
    'enlignez',
    'enligniez',
    'enlignions',
    'enlignons',
    'enlignâmes',
    'enlignât',
    'enlignâtes',
    'enlignèrent',
    'enligné',
    'enlignée',
    'enlignées',
    'enlignés',
    'enliiez',
    'enliions',
    'enlions',
    'enlisa',
    'enlisai',
    'enlisaient',
    'enlisais',
    'enlisait',
    'enlisant',
    'enlisas',
    'enlisasse',
    'enlisassent',
    'enlisasses',
    'enlisassiez',
    'enlisassions',
    'enlise',
    'enlisement',
    'enlisements',
    'enlisent',
    'enliser',
    'enlisera',
    'enliserai',
    'enliseraient',
    'enliserais',
    'enliserait',
    'enliseras',
    'enliserez',
    'enliseriez',
    'enliserions',
    'enliserons',
    'enliseront',
    'enlises',
    'enlisez',
    'enlisiez',
    'enlisions',
    'enlisons',
    'enlisâmes',
    'enlisât',
    'enlisâtes',
    'enlisèrent',
    'enlisé',
    'enlisée',
    'enlisées',
    'enlisés',
    'enliâmes',
    'enliât',
    'enliâtes',
    'enlièrent',
    'enlié',
    'enliée',
    'enliées',
    'enliés',
    'enlumina',
    'enluminai',
    'enluminaient',
    'enluminais',
    'enluminait',
    'enluminant',
    'enluminas',
    'enluminasse',
    'enluminasses',
    'enlumine',
    'enluminent',
    'enluminer',
    'enluminera',
    'enluminerai',
    'enluminerais',
    'enluminerait',
    'enlumineras',
    'enluminerez',
    'enlumineriez',
    'enluminerons',
    'enlumineront',
    'enlumines',
    'enlumineur',
    'enlumineurs',
    'enlumineuse',
    'enlumineuses',
    'enluminez',
    'enluminiez',
    'enluminions',
    'enluminons',
    'enluminure',
    'enluminures',
    'enluminâmes',
    'enluminât',
    'enluminâtes',
    'enluminèrent',
    'enluminé',
    'enluminée',
    'enluminées',
    'enluminés',
    'enlève',
    'enlèvement',
    'enlèvements',
    'enlèvent',
    'enlèvera',
    'enlèverai',
    'enlèveraient',
    'enlèverais',
    'enlèverait',
    'enlèveras',
    'enlèverez',
    'enlèveriez',
    'enlèverions',
    'enlèverons',
    'enlèveront',
    'enlèves',
    'enneige',
    'enneigea',
    'enneigeai',
    'enneigeaient',
    'enneigeais',
    'enneigeait',
    'enneigeant',
    'enneigeas',
    'enneigeasse',
    'enneigeasses',
    'enneigement',
    'enneigements',
    'enneigent',
    'enneigeons',
    'enneiger',
    'enneigera',
    'enneigerai',
    'enneigerais',
    'enneigerait',
    'enneigeras',
    'enneigerez',
    'enneigeriez',
    'enneigerions',
    'enneigerons',
    'enneigeront',
    'enneiges',
    'enneigez',
    'enneigeâmes',
    'enneigeât',
    'enneigeâtes',
    'enneigiez',
    'enneigions',
    'enneigèrent',
    'enneigé',
    'enneigée',
    'enneigées',
    'enneigés',
    'ennemi',
    'ennemie',
    'ennemies',
    'ennemis',
    'ennobli',
    'ennoblie',
    'ennoblies',
    'ennoblir',
    'ennoblira',
    'ennoblirai',
    'ennoblirais',
    'ennoblirait',
    'ennobliras',
    'ennoblirent',
    'ennoblirez',
    'ennobliriez',
    'ennoblirions',
    'ennoblirons',
    'ennobliront',
    'ennoblis',
    'ennoblissais',
    'ennoblissait',
    'ennoblissant',
    'ennoblisse',
    'ennoblissent',
    'ennoblisses',
    'ennoblissez',
    'ennoblissiez',
    'ennoblissons',
    'ennoblit',
    'ennoblîmes',
    'ennoblît',
    'ennoblîtes',
    'ennuage',
    'ennuagea',
    'ennuageai',
    'ennuageaient',
    'ennuageais',
    'ennuageait',
    'ennuageant',
    'ennuageas',
    'ennuageasse',
    'ennuageasses',
    'ennuagent',
    'ennuageons',
    'ennuager',
    'ennuagera',
    'ennuagerai',
    'ennuagerais',
    'ennuagerait',
    'ennuageras',
    'ennuagerez',
    'ennuageriez',
    'ennuagerions',
    'ennuagerons',
    'ennuageront',
    'ennuages',
    'ennuagez',
    'ennuageâmes',
    'ennuageât',
    'ennuageâtes',
    'ennuagiez',
    'ennuagions',
    'ennuagèrent',
    'ennuagé',
    'ennuagée',
    'ennuagées',
    'ennuagés',
    'ennui',
    'ennuie',
    'ennuient',
    'ennuiera',
    'ennuierai',
    'ennuieraient',
    'ennuierais',
    'ennuierait',
    'ennuieras',
    'ennuierez',
    'ennuieriez',
    'ennuierions',
    'ennuierons',
    'ennuieront',
    'ennuies',
    'ennuis',
    'ennuya',
    'ennuyai',
    'ennuyaient',
    'ennuyais',
    'ennuyait',
    'ennuyant',
    'ennuyas',
    'ennuyasse',
    'ennuyassent',
    'ennuyasses',
    'ennuyassiez',
    'ennuyassions',
    'ennuyer',
    'ennuyeuse',
    'ennuyeuses',
    'ennuyeux',
    'ennuyez',
    'ennuyiez',
    'ennuyions',
    'ennuyons',
    'ennuyâmes',
    'ennuyât',
    'ennuyâtes',
    'ennuyèrent',
    'ennuyé',
    'ennuyée',
    'ennuyées',
    'ennuyés',
    'ennéade',
    'ennéades',
    'ennéagonal',
    'ennéagonale',
    'ennéagonales',
    'ennéagonaux',
    'ennéagone',
    'ennéagones',
    'enorgueilli',
    'enorgueillie',
    'enorgueillir',
    'enorgueillis',
    'enorgueillit',
    'enorgueillît',
    'enquerra',
    'enquerrai',
    'enquerraient',
    'enquerrais',
    'enquerrait',
    'enquerras',
    'enquerre',
    'enquerrez',
    'enquerriez',
    'enquerrions',
    'enquerrons',
    'enquerront',
    'enquiers',
    'enquiert',
    'enquiquina',
    'enquiquinai',
    'enquiquinais',
    'enquiquinait',
    'enquiquinant',
    'enquiquinas',
    'enquiquine',
    'enquiquinent',
    'enquiquiner',
    'enquiquinera',
    'enquiquines',
    'enquiquineur',
    'enquiquinez',
    'enquiquiniez',
    'enquiquinons',
    'enquiquinât',
    'enquiquiné',
    'enquiquinée',
    'enquiquinées',
    'enquiquinés',
    'enquirent',
    'enquis',
    'enquise',
    'enquises',
    'enquissiez',
    'enquissions',
    'enquit',
    'enquière',
    'enquièrent',
    'enquières',
    'enquéraient',
    'enquérais',
    'enquérait',
    'enquérant',
    'enquérez',
    'enquériez',
    'enquérions',
    'enquérir',
    'enquérons',
    'enquêta',
    'enquêtai',
    'enquêtaient',
    'enquêtais',
    'enquêtait',
    'enquêtant',
    'enquêtas',
    'enquêtasse',
    'enquêtassent',
    'enquêtasses',
    'enquêtassiez',
    'enquête',
    'enquêtent',
    'enquêter',
    'enquêtera',
    'enquêterai',
    'enquêterais',
    'enquêterait',
    'enquêteras',
    'enquêterez',
    'enquêteriez',
    'enquêterions',
    'enquêterons',
    'enquêteront',
    'enquêtes',
    'enquêteur',
    'enquêteurs',
    'enquêteuse',
    'enquêteuses',
    'enquêtez',
    'enquêtiez',
    'enquêtions',
    'enquêtons',
    'enquêtrice',
    'enquêtrices',
    'enquêtâmes',
    'enquêtât',
    'enquêtâtes',
    'enquêtèrent',
    'enquêté',
    'enquêtée',
    'enquêtées',
    'enquêtés',
    'enquîmes',
    'enquîtes',
    'enracina',
    'enracinai',
    'enracinaient',
    'enracinais',
    'enracinait',
    'enracinant',
    'enracinas',
    'enracinasse',
    'enracinasses',
    'enracine',
    'enracinement',
    'enracinent',
    'enraciner',
    'enracinera',
    'enracinerai',
    'enracinerais',
    'enracinerait',
    'enracineras',
    'enracinerez',
    'enracineriez',
    'enracinerons',
    'enracineront',
    'enracines',
    'enracinez',
    'enraciniez',
    'enracinions',
    'enracinons',
    'enracinâmes',
    'enracinât',
    'enracinâtes',
    'enracinèrent',
    'enraciné',
    'enracinée',
    'enracinées',
    'enracinés',
    'enrage',
    'enragea',
    'enrageai',
    'enrageaient',
    'enrageais',
    'enrageait',
    'enrageant',
    'enrageante',
    'enrageantes',
    'enrageants',
    'enrageas',
    'enrageasse',
    'enrageassent',
    'enrageasses',
    'enrageassiez',
    'enragent',
    'enrageons',
    'enrager',
    'enragera',
    'enragerai',
    'enrageraient',
    'enragerais',
    'enragerait',
    'enrageras',
    'enragerez',
    'enrageriez',
    'enragerions',
    'enragerons',
    'enrageront',
    'enrages',
    'enragez',
    'enrageâmes',
    'enrageât',
    'enrageâtes',
    'enragiez',
    'enragions',
    'enragèrent',
    'enragé',
    'enragée',
    'enragées',
    'enragés',
    'enraie',
    'enraiement',
    'enraiements',
    'enraient',
    'enraiera',
    'enraierai',
    'enraieraient',
    'enraierais',
    'enraierait',
    'enraieras',
    'enraierez',
    'enraieriez',
    'enraierions',
    'enraierons',
    'enraieront',
    'enraies',
    'enrailla',
    'enraillai',
    'enraillaient',
    'enraillais',
    'enraillait',
    'enraillant',
    'enraillas',
    'enraillasse',
    'enraillasses',
    'enraille',
    'enraillent',
    'enrailler',
    'enraillera',
    'enraillerai',
    'enraillerais',
    'enraillerait',
    'enrailleras',
    'enraillerez',
    'enrailleriez',
    'enraillerons',
    'enrailleront',
    'enrailles',
    'enraillez',
    'enrailliez',
    'enraillions',
    'enraillons',
    'enraillâmes',
    'enraillât',
    'enraillâtes',
    'enraillèrent',
    'enraillé',
    'enraillée',
    'enraillées',
    'enraillés',
    'enraqua',
    'enraquai',
    'enraquas',
    'enraquasse',
    'enraquassent',
    'enraquasses',
    'enraquassiez',
    'enraquâmes',
    'enraquât',
    'enraquâtes',
    'enraquèrent',
    'enraya',
    'enrayage',
    'enrayages',
    'enrayai',
    'enrayaient',
    'enrayais',
    'enrayait',
    'enrayant',
    'enrayas',
    'enrayasse',
    'enrayassent',
    'enrayasses',
    'enrayassiez',
    'enrayassions',
    'enraye',
    'enrayement',
    'enrayements',
    'enrayent',
    'enrayer',
    'enrayera',
    'enrayerai',
    'enrayeraient',
    'enrayerais',
    'enrayerait',
    'enrayeras',
    'enrayerez',
    'enrayeriez',
    'enrayerions',
    'enrayerons',
    'enrayeront',
    'enrayes',
    'enrayez',
    'enrayiez',
    'enrayions',
    'enrayoir',
    'enrayoirs',
    'enrayons',
    'enrayure',
    'enrayures',
    'enrayâmes',
    'enrayât',
    'enrayâtes',
    'enrayèrent',
    'enrayé',
    'enrayée',
    'enrayées',
    'enrayés',
    'enregistra',
    'enregistrai',
    'enregistrais',
    'enregistrait',
    'enregistrant',
    'enregistras',
    'enregistre',
    'enregistrent',
    'enregistrer',
    'enregistrera',
    'enregistres',
    'enregistreur',
    'enregistrez',
    'enregistriez',
    'enregistrons',
    'enregistrât',
    'enregistré',
    'enregistrée',
    'enregistrées',
    'enregistrés',
    'enrhuma',
    'enrhumai',
    'enrhumaient',
    'enrhumais',
    'enrhumait',
    'enrhumant',
    'enrhumas',
    'enrhumasse',
    'enrhumassent',
    'enrhumasses',
    'enrhumassiez',
    'enrhume',
    'enrhument',
    'enrhumer',
    'enrhumera',
    'enrhumerai',
    'enrhumerais',
    'enrhumerait',
    'enrhumeras',
    'enrhumerez',
    'enrhumeriez',
    'enrhumerions',
    'enrhumerons',
    'enrhumeront',
    'enrhumes',
    'enrhumez',
    'enrhumiez',
    'enrhumions',
    'enrhumons',
    'enrhumâmes',
    'enrhumât',
    'enrhumâtes',
    'enrhumèrent',
    'enrhumé',
    'enrhumée',
    'enrhumées',
    'enrhumés',
    'enrichi',
    'enrichie',
    'enrichies',
    'enrichir',
    'enrichira',
    'enrichirai',
    'enrichirais',
    'enrichirait',
    'enrichiras',
    'enrichirent',
    'enrichirez',
    'enrichiriez',
    'enrichirions',
    'enrichirons',
    'enrichiront',
    'enrichis',
    'enrichissais',
    'enrichissait',
    'enrichissant',
    'enrichisse',
    'enrichissent',
    'enrichisses',
    'enrichissez',
    'enrichissiez',
    'enrichissons',
    'enrichit',
    'enrichîmes',
    'enrichît',
    'enrichîtes',
    'enroba',
    'enrobage',
    'enrobages',
    'enrobai',
    'enrobaient',
    'enrobais',
    'enrobait',
    'enrobant',
    'enrobas',
    'enrobasse',
    'enrobassent',
    'enrobasses',
    'enrobassiez',
    'enrobassions',
    'enrobe',
    'enrobement',
    'enrobements',
    'enrobent',
    'enrober',
    'enrobera',
    'enroberai',
    'enroberaient',
    'enroberais',
    'enroberait',
    'enroberas',
    'enroberez',
    'enroberiez',
    'enroberions',
    'enroberons',
    'enroberont',
    'enrobes',
    'enrobeuse',
    'enrobeuses',
    'enrobez',
    'enrobiez',
    'enrobions',
    'enrobons',
    'enrobâmes',
    'enrobât',
    'enrobâtes',
    'enrobèrent',
    'enrobé',
    'enrobée',
    'enrobées',
    'enrobés',
    'enrocha',
    'enrochai',
    'enrochaient',
    'enrochais',
    'enrochait',
    'enrochant',
    'enrochas',
    'enrochasse',
    'enrochassent',
    'enrochasses',
    'enrochassiez',
    'enroche',
    'enrochement',
    'enrochements',
    'enrochent',
    'enrocher',
    'enrochera',
    'enrocherai',
    'enrocherais',
    'enrocherait',
    'enrocheras',
    'enrocherez',
    'enrocheriez',
    'enrocherions',
    'enrocherons',
    'enrocheront',
    'enroches',
    'enrochez',
    'enrochiez',
    'enrochions',
    'enrochons',
    'enrochâmes',
    'enrochât',
    'enrochâtes',
    'enrochèrent',
    'enroché',
    'enrochée',
    'enrochées',
    'enrochés',
    'enroua',
    'enrouai',
    'enrouaient',
    'enrouais',
    'enrouait',
    'enrouant',
    'enrouas',
    'enrouasse',
    'enrouassent',
    'enrouasses',
    'enrouassiez',
    'enrouassions',
    'enroue',
    'enrouement',
    'enrouements',
    'enrouent',
    'enrouer',
    'enrouera',
    'enrouerai',
    'enroueraient',
    'enrouerais',
    'enrouerait',
    'enroueras',
    'enrouerez',
    'enroueriez',
    'enrouerions',
    'enrouerons',
    'enroueront',
    'enroues',
    'enrouez',
    'enrouiez',
    'enrouilla',
    'enrouillai',
    'enrouillais',
    'enrouillait',
    'enrouillant',
    'enrouillas',
    'enrouillasse',
    'enrouille',
    'enrouillent',
    'enrouiller',
    'enrouillera',
    'enrouillerai',
    'enrouilleras',
    'enrouillerez',
    'enrouilles',
    'enrouillez',
    'enrouilliez',
    'enrouillions',
    'enrouillons',
    'enrouillâmes',
    'enrouillât',
    'enrouillâtes',
    'enrouillé',
    'enrouions',
    'enroula',
    'enroulai',
    'enroulaient',
    'enroulais',
    'enroulait',
    'enroulant',
    'enroulas',
    'enroulasse',
    'enroulassent',
    'enroulasses',
    'enroulassiez',
    'enroule',
    'enroulement',
    'enroulements',
    'enroulent',
    'enrouler',
    'enroulera',
    'enroulerai',
    'enroulerais',
    'enroulerait',
    'enrouleras',
    'enroulerez',
    'enrouleriez',
    'enroulerions',
    'enroulerons',
    'enrouleront',
    'enroules',
    'enrouleur',
    'enrouleurs',
    'enrouleuse',
    'enrouleuses',
    'enroulez',
    'enrouliez',
    'enroulions',
    'enroulons',
    'enroulâmes',
    'enroulât',
    'enroulâtes',
    'enroulèrent',
    'enroulé',
    'enroulée',
    'enroulées',
    'enroulés',
    'enrouons',
    'enrouâmes',
    'enrouât',
    'enrouâtes',
    'enrouèrent',
    'enroué',
    'enrouée',
    'enrouées',
    'enroués',
    'enrubanna',
    'enrubannai',
    'enrubannais',
    'enrubannait',
    'enrubannant',
    'enrubannas',
    'enrubannasse',
    'enrubanne',
    'enrubannent',
    'enrubanner',
    'enrubannera',
    'enrubannerai',
    'enrubanneras',
    'enrubannerez',
    'enrubannes',
    'enrubannez',
    'enrubanniez',
    'enrubannions',
    'enrubannons',
    'enrubannâmes',
    'enrubannât',
    'enrubannâtes',
    'enrubanné',
    'enrubannée',
    'enrubannées',
    'enrubannés',
    'enrégimenta',
    'enrégimentai',
    'enrégimentas',
    'enrégimente',
    'enrégimenter',
    'enrégimentes',
    'enrégimentez',
    'enrégimentât',
    'enrégimenté',
    'enrégimentée',
    'enrégimentés',
    'enrêna',
    'enrênai',
    'enrênaient',
    'enrênais',
    'enrênait',
    'enrênant',
    'enrênas',
    'enrênasse',
    'enrênassent',
    'enrênasses',
    'enrênassiez',
    'enrênassions',
    'enrêne',
    'enrênent',
    'enrêner',
    'enrênera',
    'enrênerai',
    'enrêneraient',
    'enrênerais',
    'enrênerait',
    'enrêneras',
    'enrênerez',
    'enrêneriez',
    'enrênerions',
    'enrênerons',
    'enrêneront',
    'enrênes',
    'enrênez',
    'enrêniez',
    'enrênions',
    'enrênons',
    'enrênâmes',
    'enrênât',
    'enrênâtes',
    'enrênèrent',
    'enrêné',
    'enrênée',
    'enrênées',
    'enrênés',
    'enrôla',
    'enrôlai',
    'enrôlaient',
    'enrôlais',
    'enrôlait',
    'enrôlant',
    'enrôlas',
    'enrôlasse',
    'enrôlassent',
    'enrôlasses',
    'enrôlassiez',
    'enrôlassions',
    'enrôle',
    'enrôlement',
    'enrôlements',
    'enrôlent',
    'enrôler',
    'enrôlera',
    'enrôlerai',
    'enrôleraient',
    'enrôlerais',
    'enrôlerait',
    'enrôleras',
    'enrôlerez',
    'enrôleriez',
    'enrôlerions',
    'enrôlerons',
    'enrôleront',
    'enrôles',
    'enrôleur',
    'enrôleurs',
    'enrôlez',
    'enrôliez',
    'enrôlions',
    'enrôlons',
    'enrôlâmes',
    'enrôlât',
    'enrôlâtes',
    'enrôlèrent',
    'enrôlé',
    'enrôlée',
    'enrôlées',
    'enrôlés',
    'ensabla',
    'ensablai',
    'ensablaient',
    'ensablais',
    'ensablait',
    'ensablant',
    'ensablas',
    'ensablasse',
    'ensablassent',
    'ensablasses',
    'ensablassiez',
    'ensable',
    'ensablement',
    'ensablements',
    'ensablent',
    'ensabler',
    'ensablera',
    'ensablerai',
    'ensablerais',
    'ensablerait',
    'ensableras',
    'ensablerez',
    'ensableriez',
    'ensablerions',
    'ensablerons',
    'ensableront',
    'ensables',
    'ensablez',
    'ensabliez',
    'ensablions',
    'ensablons',
    'ensablâmes',
    'ensablât',
    'ensablâtes',
    'ensablèrent',
    'ensablé',
    'ensablée',
    'ensablées',
    'ensablés',
    'ensabota',
    'ensabotai',
    'ensabotaient',
    'ensabotais',
    'ensabotait',
    'ensabotant',
    'ensabotas',
    'ensabotasse',
    'ensabotasses',
    'ensabote',
    'ensabotent',
    'ensaboter',
    'ensabotera',
    'ensaboterai',
    'ensaboterais',
    'ensaboterait',
    'ensaboteras',
    'ensaboterez',
    'ensaboteriez',
    'ensaboterons',
    'ensaboteront',
    'ensabotes',
    'ensabotez',
    'ensabotiez',
    'ensabotions',
    'ensabotons',
    'ensabotâmes',
    'ensabotât',
    'ensabotâtes',
    'ensabotèrent',
    'ensaboté',
    'ensabotée',
    'ensabotées',
    'ensabotés',
    'ensacha',
    'ensachage',
    'ensachages',
    'ensachai',
    'ensachaient',
    'ensachais',
    'ensachait',
    'ensachant',
    'ensachas',
    'ensachasse',
    'ensachassent',
    'ensachasses',
    'ensachassiez',
    'ensache',
    'ensachent',
    'ensacher',
    'ensachera',
    'ensacherai',
    'ensacherais',
    'ensacherait',
    'ensacheras',
    'ensacherez',
    'ensacheriez',
    'ensacherions',
    'ensacherons',
    'ensacheront',
    'ensaches',
    'ensacheur',
    'ensacheurs',
    'ensacheuse',
    'ensacheuses',
    'ensachez',
    'ensachiez',
    'ensachions',
    'ensachons',
    'ensachâmes',
    'ensachât',
    'ensachâtes',
    'ensachèrent',
    'ensaché',
    'ensachée',
    'ensachées',
    'ensachés',
    'ensaisina',
    'ensaisinai',
    'ensaisinais',
    'ensaisinait',
    'ensaisinant',
    'ensaisinas',
    'ensaisinasse',
    'ensaisine',
    'ensaisinent',
    'ensaisiner',
    'ensaisinera',
    'ensaisinerai',
    'ensaisineras',
    'ensaisinerez',
    'ensaisines',
    'ensaisinez',
    'ensaisiniez',
    'ensaisinions',
    'ensaisinons',
    'ensaisinâmes',
    'ensaisinât',
    'ensaisinâtes',
    'ensaisiné',
    'ensaisinée',
    'ensaisinées',
    'ensaisinés',
    'ensanglanta',
    'ensanglantai',
    'ensanglantas',
    'ensanglante',
    'ensanglanter',
    'ensanglantes',
    'ensanglantez',
    'ensanglantât',
    'ensanglanté',
    'ensanglantée',
    'ensanglantés',
    'ensauvager',
    'ensauvassiez',
    'ensauver',
    'ensauverez',
    'ensauveriez',
    'ensauverions',
    'ensauverons',
    'ensauvez',
    'ensauviez',
    'ensauvions',
    'ensauvons',
    'ensauvâmes',
    'ensauvâtes',
    'ensauvé',
    'ensauvée',
    'ensauvées',
    'ensauvés',
    'enseigna',
    'enseignai',
    'enseignaient',
    'enseignais',
    'enseignait',
    'enseignant',
    'enseignante',
    'enseignantes',
    'enseignants',
    'enseignas',
    'enseignasse',
    'enseignasses',
    'enseigne',
    'enseignement',
    'enseignent',
    'enseigner',
    'enseignera',
    'enseignerai',
    'enseignerais',
    'enseignerait',
    'enseigneras',
    'enseignerez',
    'enseigneriez',
    'enseignerons',
    'enseigneront',
    'enseignes',
    'enseignez',
    'enseigniez',
    'enseignions',
    'enseignons',
    'enseignâmes',
    'enseignât',
    'enseignâtes',
    'enseignèrent',
    'enseigné',
    'enseignée',
    'enseignées',
    'enseignés',
    'ensemble',
    'ensembles',
    'ensemblier',
    'ensembliers',
    'ensemence',
    'ensemencent',
    'ensemencer',
    'ensemencera',
    'ensemencerai',
    'ensemenceras',
    'ensemencerez',
    'ensemences',
    'ensemencez',
    'ensemenciez',
    'ensemencions',
    'ensemencé',
    'ensemencée',
    'ensemencées',
    'ensemencés',
    'ensemença',
    'ensemençai',
    'ensemençais',
    'ensemençait',
    'ensemençant',
    'ensemenças',
    'ensemençasse',
    'ensemençons',
    'ensemençâmes',
    'ensemençât',
    'ensemençâtes',
    'enserra',
    'enserrai',
    'enserraient',
    'enserrais',
    'enserrait',
    'enserrant',
    'enserras',
    'enserrasse',
    'enserrassent',
    'enserrasses',
    'enserrassiez',
    'enserre',
    'enserrent',
    'enserrer',
    'enserrera',
    'enserrerai',
    'enserrerais',
    'enserrerait',
    'enserreras',
    'enserrerez',
    'enserreriez',
    'enserrerions',
    'enserrerons',
    'enserreront',
    'enserres',
    'enserrez',
    'enserriez',
    'enserrions',
    'enserrons',
    'enserrâmes',
    'enserrât',
    'enserrâtes',
    'enserrèrent',
    'enserré',
    'enserrée',
    'enserrées',
    'enserrés',
    'enseveli',
    'ensevelie',
    'ensevelies',
    'ensevelir',
    'ensevelira',
    'ensevelirai',
    'ensevelirais',
    'ensevelirait',
    'enseveliras',
    'ensevelirent',
    'ensevelirez',
    'enseveliriez',
    'ensevelirons',
    'enseveliront',
    'ensevelis',
    'ensevelisse',
    'ensevelisses',
    'ensevelissez',
    'ensevelit',
    'ensevelîmes',
    'ensevelît',
    'ensevelîtes',
    'ensiforme',
    'ensiformes',
    'ensila',
    'ensilage',
    'ensilages',
    'ensilai',
    'ensilaient',
    'ensilais',
    'ensilait',
    'ensilant',
    'ensilas',
    'ensilasse',
    'ensilassent',
    'ensilasses',
    'ensilassiez',
    'ensilassions',
    'ensile',
    'ensilent',
    'ensiler',
    'ensilera',
    'ensilerai',
    'ensileraient',
    'ensilerais',
    'ensilerait',
    'ensileras',
    'ensilerez',
    'ensileriez',
    'ensilerions',
    'ensilerons',
    'ensileront',
    'ensiles',
    'ensilez',
    'ensiliez',
    'ensilions',
    'ensilons',
    'ensilâmes',
    'ensilât',
    'ensilâtes',
    'ensilèrent',
    'ensilé',
    'ensilée',
    'ensilées',
    'ensilés',
    'ensma',
    'ensoleilla',
    'ensoleillai',
    'ensoleillais',
    'ensoleillait',
    'ensoleillant',
    'ensoleillas',
    'ensoleille',
    'ensoleillent',
    'ensoleiller',
    'ensoleillera',
    'ensoleilles',
    'ensoleillez',
    'ensoleilliez',
    'ensoleillons',
    'ensoleillât',
    'ensoleillé',
    'ensoleillée',
    'ensoleillées',
    'ensoleillés',
    'ensommeillé',
    'ensommeillée',
    'ensommeillés',
    'ensorcela',
    'ensorcelai',
    'ensorcelais',
    'ensorcelait',
    'ensorcelant',
    'ensorcelante',
    'ensorcelants',
    'ensorcelas',
    'ensorcelasse',
    'ensorceler',
    'ensorceleur',
    'ensorceleurs',
    'ensorceleuse',
    'ensorcelez',
    'ensorceliez',
    'ensorcelions',
    'ensorcelle',
    'ensorcellent',
    'ensorcellera',
    'ensorcelles',
    'ensorcelons',
    'ensorcelâmes',
    'ensorcelât',
    'ensorcelâtes',
    'ensorcelé',
    'ensorcelée',
    'ensorcelées',
    'ensorcelés',
    'ensoufra',
    'ensoufrai',
    'ensoufraient',
    'ensoufrais',
    'ensoufrait',
    'ensoufrant',
    'ensoufras',
    'ensoufrasse',
    'ensoufrasses',
    'ensoufre',
    'ensoufrent',
    'ensoufrer',
    'ensoufrera',
    'ensoufrerai',
    'ensoufrerais',
    'ensoufrerait',
    'ensoufreras',
    'ensoufrerez',
    'ensoufreriez',
    'ensoufrerons',
    'ensoufreront',
    'ensoufres',
    'ensoufrez',
    'ensoufriez',
    'ensoufrions',
    'ensoufrons',
    'ensoufrâmes',
    'ensoufrât',
    'ensoufrâtes',
    'ensoufrèrent',
    'ensoufré',
    'ensoufrée',
    'ensoufrées',
    'ensoufrés',
    'ensouple',
    'ensouples',
    'ensoutaner',
    'enstère',
    'enstèrent',
    'enstères',
    'enstéra',
    'enstérai',
    'enstéraient',
    'enstérais',
    'enstérait',
    'enstérant',
    'enstéras',
    'enstérasse',
    'enstérassent',
    'enstérasses',
    'enstérassiez',
    'enstérer',
    'enstérera',
    'enstérerai',
    'enstérerais',
    'enstérerait',
    'enstéreras',
    'enstérerez',
    'enstéreriez',
    'enstérerions',
    'enstérerons',
    'enstéreront',
    'enstérez',
    'enstériez',
    'enstérions',
    'enstérons',
    'enstérâmes',
    'enstérât',
    'enstérâtes',
    'enstérèrent',
    'enstéré',
    'enstérée',
    'enstérées',
    'enstérés',
    'ensuit',
    'ensuite',
    'ensuivaient',
    'ensuivait',
    'ensuivant',
    'ensuive',
    'ensuivent',
    'ensuivi',
    'ensuivie',
    'ensuivies',
    'ensuivirent',
    'ensuivis',
    'ensuivit',
    'ensuivra',
    'ensuivraient',
    'ensuivrait',
    'ensuivre',
    'ensuivront',
    'enta',
    'entabla',
    'entablai',
    'entablaient',
    'entablais',
    'entablait',
    'entablant',
    'entablas',
    'entablasse',
    'entablassent',
    'entablasses',
    'entablassiez',
    'entable',
    'entablement',
    'entablements',
    'entablent',
    'entabler',
    'entablera',
    'entablerai',
    'entablerais',
    'entablerait',
    'entableras',
    'entablerez',
    'entableriez',
    'entablerions',
    'entablerons',
    'entableront',
    'entables',
    'entablez',
    'entabliez',
    'entablions',
    'entablons',
    'entablâmes',
    'entablât',
    'entablâtes',
    'entablèrent',
    'entablé',
    'entablée',
    'entablées',
    'entablés',
    'entacha',
    'entachai',
    'entachaient',
    'entachais',
    'entachait',
    'entachant',
    'entachas',
    'entachasse',
    'entachassent',
    'entachasses',
    'entachassiez',
    'entache',
    'entachent',
    'entacher',
    'entachera',
    'entacherai',
    'entacherais',
    'entacherait',
    'entacheras',
    'entacherez',
    'entacheriez',
    'entacherions',
    'entacherons',
    'entacheront',
    'entaches',
    'entachez',
    'entachiez',
    'entachions',
    'entachons',
    'entachâmes',
    'entachât',
    'entachâtes',
    'entachèrent',
    'entaché',
    'entachée',
    'entachées',
    'entachés',
    'entai',
    'entaient',
    'entailla',
    'entaillage',
    'entaillages',
    'entaillai',
    'entaillaient',
    'entaillais',
    'entaillait',
    'entaillant',
    'entaillas',
    'entaillasse',
    'entaillasses',
    'entaille',
    'entaillent',
    'entailler',
    'entaillera',
    'entaillerai',
    'entaillerais',
    'entaillerait',
    'entailleras',
    'entaillerez',
    'entailleriez',
    'entaillerons',
    'entailleront',
    'entailles',
    'entaillez',
    'entailliez',
    'entaillions',
    'entaillons',
    'entaillâmes',
    'entaillât',
    'entaillâtes',
    'entaillèrent',
    'entaillé',
    'entaillée',
    'entaillées',
    'entaillés',
    'entais',
    'entait',
    'entama',
    'entamai',
    'entamaient',
    'entamais',
    'entamait',
    'entamant',
    'entamas',
    'entamasse',
    'entamassent',
    'entamasses',
    'entamassiez',
    'entamassions',
    'entame',
    'entament',
    'entamer',
    'entamera',
    'entamerai',
    'entameraient',
    'entamerais',
    'entamerait',
    'entameras',
    'entamerez',
    'entameriez',
    'entamerions',
    'entamerons',
    'entameront',
    'entames',
    'entamez',
    'entamiez',
    'entamions',
    'entamons',
    'entamâmes',
    'entamât',
    'entamâtes',
    'entamèrent',
    'entamé',
    'entamée',
    'entamées',
    'entamés',
    'entant',
    'entaquaient',
    'entaquais',
    'entaquait',
    'entaquant',
    'entaque',
    'entaquent',
    'entaquer',
    'entaquera',
    'entaquerai',
    'entaquerais',
    'entaquerait',
    'entaqueras',
    'entaquerez',
    'entaqueriez',
    'entaquerions',
    'entaquerons',
    'entaqueront',
    'entaques',
    'entaquez',
    'entaquiez',
    'entaquions',
    'entaquons',
    'entaqué',
    'entaquée',
    'entaquées',
    'entaqués',
    'entartra',
    'entartrage',
    'entartrages',
    'entartrai',
    'entartraient',
    'entartrais',
    'entartrait',
    'entartrant',
    'entartras',
    'entartrasse',
    'entartrasses',
    'entartre',
    'entartrent',
    'entartrer',
    'entartrera',
    'entartrerai',
    'entartrerais',
    'entartrerait',
    'entartreras',
    'entartrerez',
    'entartreriez',
    'entartrerons',
    'entartreront',
    'entartres',
    'entartrez',
    'entartriez',
    'entartrions',
    'entartrons',
    'entartrâmes',
    'entartrât',
    'entartrâtes',
    'entartrèrent',
    'entartré',
    'entartrée',
    'entartrées',
    'entartrés',
    'entas',
    'entassa',
    'entassai',
    'entassaient',
    'entassais',
    'entassait',
    'entassant',
    'entassas',
    'entassasse',
    'entassassent',
    'entassasses',
    'entassassiez',
    'entasse',
    'entassement',
    'entassements',
    'entassent',
    'entasser',
    'entassera',
    'entasserai',
    'entasserais',
    'entasserait',
    'entasseras',
    'entasserez',
    'entasseriez',
    'entasserions',
    'entasserons',
    'entasseront',
    'entasses',
    'entassez',
    'entassiez',
    'entassions',
    'entassons',
    'entassâmes',
    'entassât',
    'entassâtes',
    'entassèrent',
    'entassé',
    'entassée',
    'entassées',
    'entassés',
    'ente',
    'entend',
    'entendaient',
    'entendais',
    'entendait',
    'entendant',
    'entende',
    'entendement',
    'entendements',
    'entendent',
    'entendes',
    'entendeur',
    'entendeurs',
    'entendez',
    'entendiez',
    'entendions',
    'entendirent',
    'entendis',
    'entendisse',
    'entendissent',
    'entendisses',
    'entendissiez',
    'entendit',
    'entendons',
    'entendra',
    'entendrai',
    'entendraient',
    'entendrais',
    'entendrait',
    'entendras',
    'entendre',
    'entendrez',
    'entendriez',
    'entendrions',
    'entendrons',
    'entendront',
    'entends',
    'entendu',
    'entendue',
    'entendues',
    'entendus',
    'entendîmes',
    'entendît',
    'entendîtes',
    'entent',
    'entente',
    'ententes',
    'enter',
    'entera',
    'enterai',
    'enteraient',
    'enterais',
    'enterait',
    'enteras',
    'enterez',
    'enteriez',
    'enterions',
    'enterons',
    'enteront',
    'enterra',
    'enterrage',
    'enterrages',
    'enterrai',
    'enterraient',
    'enterrais',
    'enterrait',
    'enterrant',
    'enterras',
    'enterrasse',
    'enterrassent',
    'enterrasses',
    'enterrassiez',
    'enterre',
    'enterrement',
    'enterrements',
    'enterrent',
    'enterrer',
    'enterrera',
    'enterrerai',
    'enterrerais',
    'enterrerait',
    'enterreras',
    'enterrerez',
    'enterreriez',
    'enterrerions',
    'enterrerons',
    'enterreront',
    'enterres',
    'enterrez',
    'enterriez',
    'enterrions',
    'enterrons',
    'enterrâmes',
    'enterrât',
    'enterrâtes',
    'enterrèrent',
    'enterré',
    'enterrée',
    'enterrées',
    'enterrés',
    'entes',
    'entez',
    'enthalpie',
    'enthalpies',
    'enthousiasma',
    'enthousiasme',
    'enthousiasmé',
    'enthousiaste',
    'enthymème',
    'enthymèmes',
    'entichant',
    'entichassiez',
    'entichement',
    'entichements',
    'enticher',
    'enticherez',
    'enticheriez',
    'enticherions',
    'enticherons',
    'entichez',
    'entichiez',
    'entichions',
    'entichons',
    'entichâmes',
    'entichâtes',
    'entiché',
    'entichée',
    'entichées',
    'entichés',
    'entier',
    'entiers',
    'entiez',
    'entions',
    'entité',
    'entités',
    'entière',
    'entièrement',
    'entières',
    'entièreté',
    'entièretés',
    'entoila',
    'entoilage',
    'entoilages',
    'entoilai',
    'entoilaient',
    'entoilais',
    'entoilait',
    'entoilant',
    'entoilas',
    'entoilasse',
    'entoilassent',
    'entoilasses',
    'entoilassiez',
    'entoile',
    'entoilent',
    'entoiler',
    'entoilera',
    'entoilerai',
    'entoilerais',
    'entoilerait',
    'entoileras',
    'entoilerez',
    'entoileriez',
    'entoilerions',
    'entoilerons',
    'entoileront',
    'entoiles',
    'entoilez',
    'entoiliez',
    'entoilions',
    'entoilons',
    'entoilâmes',
    'entoilât',
    'entoilâtes',
    'entoilèrent',
    'entoilé',
    'entoilée',
    'entoilées',
    'entoilés',
    'entoir',
    'entoirs',
    'entolome',
    'entolomes',
    'entomologie',
    'entomologies',
    'entomophage',
    'entomophages',
    'entomophile',
    'entomophiles',
    'entonna',
    'entonnage',
    'entonnages',
    'entonnai',
    'entonnaient',
    'entonnais',
    'entonnaison',
    'entonnaisons',
    'entonnait',
    'entonnant',
    'entonnas',
    'entonnasse',
    'entonnassent',
    'entonnasses',
    'entonnassiez',
    'entonne',
    'entonnement',
    'entonnements',
    'entonnent',
    'entonner',
    'entonnera',
    'entonnerai',
    'entonnerais',
    'entonnerait',
    'entonneras',
    'entonnerez',
    'entonneriez',
    'entonnerions',
    'entonnerons',
    'entonneront',
    'entonnes',
    'entonnez',
    'entonniez',
    'entonnions',
    'entonnoir',
    'entonnoirs',
    'entonnons',
    'entonnâmes',
    'entonnât',
    'entonnâtes',
    'entonnèrent',
    'entonné',
    'entonnée',
    'entonnées',
    'entonnés',
    'entons',
    'entorse',
    'entorses',
    'entortilla',
    'entortillage',
    'entortillai',
    'entortillais',
    'entortillait',
    'entortillant',
    'entortillas',
    'entortille',
    'entortillent',
    'entortiller',
    'entortillera',
    'entortilles',
    'entortillez',
    'entortilliez',
    'entortillons',
    'entortillât',
    'entortillé',
    'entortillée',
    'entortillées',
    'entortillés',
    'entour',
    'entoura',
    'entourage',
    'entourages',
    'entourai',
    'entouraient',
    'entourais',
    'entourait',
    'entourant',
    'entouras',
    'entourasse',
    'entourassent',
    'entourasses',
    'entourassiez',
    'entoure',
    'entourent',
    'entourer',
    'entourera',
    'entourerai',
    'entourerais',
    'entourerait',
    'entoureras',
    'entourerez',
    'entoureriez',
    'entourerions',
    'entourerons',
    'entoureront',
    'entoures',
    'entourez',
    'entouriez',
    'entourions',
    'entournure',
    'entournures',
    'entourons',
    'entours',
    'entourâmes',
    'entourât',
    'entourâtes',
    'entourèrent',
    'entouré',
    'entourée',
    'entourées',
    'entourés',
    'entr',
    'entra',
    'entraccorder',
    'entraccordez',
    'entraccordé',
    'entraccordée',
    'entraccordés',
    'entraccuser',
    'entraccusez',
    'entraccusiez',
    'entraccusons',
    'entraccusé',
    'entraccusée',
    'entraccusées',
    'entraccusés',
    'entracte',
    'entractes',
    'entradmirer',
    'entradmirez',
    'entradmiriez',
    'entradmirons',
    'entradmiré',
    'entradmirée',
    'entradmirées',
    'entradmirés',
    'entrai',
    'entraida',
    'entraidaient',
    'entraidais',
    'entraidait',
    'entraidant',
    'entraide',
    'entraident',
    'entraider',
    'entraidera',
    'entraiderai',
    'entraiderais',
    'entraiderait',
    'entraideras',
    'entraiderez',
    'entraideriez',
    'entraiderons',
    'entraideront',
    'entraides',
    'entraidez',
    'entraidiez',
    'entraidions',
    'entraidons',
    'entraidâmes',
    'entraidâtes',
    'entraidèrent',
    'entraidé',
    'entraidée',
    'entraidées',
    'entraidés',
    'entraient',
    'entrailles',
    'entrain',
    'entrains',
    'entrais',
    'entrait',
    'entrant',
    'entrante',
    'entrantes',
    'entrants',
    'entras',
    'entrasse',
    'entrassent',
    'entrasses',
    'entrassiez',
    'entrassions',
    'entrava',
    'entravai',
    'entravaient',
    'entravais',
    'entravait',
    'entravant',
    'entravas',
    'entravasse',
    'entravassent',
    'entravasses',
    'entravassiez',
    'entrave',
    'entravent',
    'entraver',
    'entravera',
    'entraverai',
    'entraverais',
    'entraverait',
    'entraveras',
    'entraverez',
    'entraveriez',
    'entraverions',
    'entraverons',
    'entraveront',
    'entraves',
    'entravez',
    'entraviez',
    'entravions',
    'entravons',
    'entravâmes',
    'entravât',
    'entravâtes',
    'entravèrent',
    'entravé',
    'entravée',
    'entravées',
    'entravés',
    'entraîna',
    'entraînable',
    'entraînables',
    'entraînai',
    'entraînaient',
    'entraînais',
    'entraînait',
    'entraînant',
    'entraînante',
    'entraînantes',
    'entraînants',
    'entraînas',
    'entraînasse',
    'entraînasses',
    'entraîne',
    'entraînement',
    'entraînent',
    'entraîner',
    'entraînera',
    'entraînerai',
    'entraînerais',
    'entraînerait',
    'entraîneras',
    'entraînerez',
    'entraîneriez',
    'entraînerons',
    'entraîneront',
    'entraînes',
    'entraîneur',
    'entraîneurs',
    'entraîneuse',
    'entraîneuses',
    'entraînez',
    'entraîniez',
    'entraînions',
    'entraînons',
    'entraînâmes',
    'entraînât',
    'entraînâtes',
    'entraînèrent',
    'entraîné',
    'entraînée',
    'entraînées',
    'entraînés',
    'entre',
    'entrebattez',
    'entrebattiez',
    'entrebattons',
    'entrebattre',
    'entrebattrez',
    'entrebattu',
    'entrebattue',
    'entrebattues',
    'entrebattus',
    'entrebâilla',
    'entrebâillai',
    'entrebâillas',
    'entrebâille',
    'entrebâiller',
    'entrebâilles',
    'entrebâillez',
    'entrebâillât',
    'entrebâillé',
    'entrebâillée',
    'entrebâillés',
    'entrechat',
    'entrechats',
    'entrechoqua',
    'entrechoquai',
    'entrechoquas',
    'entrechoque',
    'entrechoquer',
    'entrechoques',
    'entrechoquez',
    'entrechoquât',
    'entrechoqué',
    'entrechoquée',
    'entrechoqués',
    'entrecoupa',
    'entrecoupai',
    'entrecoupais',
    'entrecoupait',
    'entrecoupant',
    'entrecoupas',
    'entrecoupe',
    'entrecoupent',
    'entrecouper',
    'entrecoupera',
    'entrecoupes',
    'entrecoupez',
    'entrecoupiez',
    'entrecoupons',
    'entrecoupât',
    'entrecoupé',
    'entrecoupée',
    'entrecoupées',
    'entrecoupés',
    'entrecroisa',
    'entrecroisai',
    'entrecroisas',
    'entrecroise',
    'entrecroiser',
    'entrecroises',
    'entrecroisez',
    'entrecroisât',
    'entrecroisé',
    'entrecroisée',
    'entrecroisés',
    'entrecuisse',
    'entrecuisses',
    'entrecôte',
    'entrecôtes',
    'entrefaite',
    'entrefaites',
    'entrefer',
    'entrefers',
    'entrefilet',
    'entrefilets',
    'entregent',
    'entregents',
    'entrejambe',
    'entrejambes',
    'entrelace',
    'entrelacent',
    'entrelacer',
    'entrelacera',
    'entrelacerai',
    'entrelaceras',
    'entrelacerez',
    'entrelaces',
    'entrelacez',
    'entrelaciez',
    'entrelacions',
    'entrelacs',
    'entrelacé',
    'entrelacée',
    'entrelacées',
    'entrelacés',
    'entrelarda',
    'entrelardai',
    'entrelardais',
    'entrelardait',
    'entrelardant',
    'entrelardas',
    'entrelarde',
    'entrelardent',
    'entrelarder',
    'entrelardera',
    'entrelardes',
    'entrelardez',
    'entrelardiez',
    'entrelardons',
    'entrelardât',
    'entrelardé',
    'entrelardée',
    'entrelardées',
    'entrelardés',
    'entrelaça',
    'entrelaçai',
    'entrelaçais',
    'entrelaçait',
    'entrelaçant',
    'entrelaças',
    'entrelaçasse',
    'entrelaçons',
    'entrelaçâmes',
    'entrelaçât',
    'entrelaçâtes',
    'entremet',
    'entremets',
    'entremettais',
    'entremettait',
    'entremettant',
    'entremette',
    'entremettent',
    'entremettes',
    'entremetteur',
    'entremettez',
    'entremettiez',
    'entremettons',
    'entremettra',
    'entremettrai',
    'entremettras',
    'entremettre',
    'entremettrez',
    'entremirent',
    'entremis',
    'entremise',
    'entremises',
    'entremisse',
    'entremissent',
    'entremisses',
    'entremissiez',
    'entremit',
    'entremêla',
    'entremêlai',
    'entremêlais',
    'entremêlait',
    'entremêlant',
    'entremêlas',
    'entremêlasse',
    'entremêle',
    'entremêlent',
    'entremêler',
    'entremêlera',
    'entremêlerai',
    'entremêleras',
    'entremêlerez',
    'entremêles',
    'entremêlez',
    'entremêliez',
    'entremêlions',
    'entremêlons',
    'entremêlâmes',
    'entremêlât',
    'entremêlâtes',
    'entremêlé',
    'entremêlée',
    'entremêlées',
    'entremêlés',
    'entremîmes',
    'entremît',
    'entremîtes',
    'entrent',
    'entrepont',
    'entreponts',
    'entreposa',
    'entreposage',
    'entreposages',
    'entreposai',
    'entreposais',
    'entreposait',
    'entreposant',
    'entreposas',
    'entreposasse',
    'entrepose',
    'entreposent',
    'entreposer',
    'entreposera',
    'entreposerai',
    'entreposeras',
    'entreposerez',
    'entreposes',
    'entreposeur',
    'entreposeurs',
    'entreposez',
    'entreposiez',
    'entreposions',
    'entreposons',
    'entreposâmes',
    'entreposât',
    'entreposâtes',
    'entreposé',
    'entreposée',
    'entreposées',
    'entreposés',
    'entreprenais',
    'entreprenait',
    'entreprenant',
    'entreprend',
    'entreprendra',
    'entreprendre',
    'entreprends',
    'entrepreneur',
    'entreprenez',
    'entrepreniez',
    'entreprenne',
    'entreprennes',
    'entreprenons',
    'entreprirent',
    'entrepris',
    'entreprise',
    'entreprises',
    'entreprisse',
    'entreprisses',
    'entreprit',
    'entreprîmes',
    'entreprît',
    'entreprîtes',
    'entrepôt',
    'entrepôts',
    'entrer',
    'entrera',
    'entrerai',
    'entreraient',
    'entrerais',
    'entrerait',
    'entreras',
    'entrerez',
    'entreriez',
    'entrerions',
    'entrerons',
    'entreront',
    'entres',
    'entresol',
    'entresols',
    'entretaille',
    'entretailler',
    'entretailles',
    'entretaillez',
    'entretaillé',
    'entretaillée',
    'entretaillés',
    'entretenais',
    'entretenait',
    'entretenant',
    'entretenez',
    'entreteniez',
    'entretenions',
    'entretenir',
    'entretenons',
    'entretenu',
    'entretenue',
    'entretenues',
    'entretenus',
    'entretien',
    'entretiendra',
    'entretienne',
    'entretiennes',
    'entretiens',
    'entretient',
    'entretinrent',
    'entretins',
    'entretinsse',
    'entretinsses',
    'entretint',
    'entretoisa',
    'entretoisai',
    'entretoisais',
    'entretoisait',
    'entretoisant',
    'entretoisas',
    'entretoise',
    'entretoisent',
    'entretoiser',
    'entretoisera',
    'entretoises',
    'entretoisez',
    'entretoisiez',
    'entretoisons',
    'entretoisât',
    'entretoisé',
    'entretoisée',
    'entretoisées',
    'entretoisés',
    'entretînmes',
    'entretînt',
    'entretîntes',
    'entreverra',
    'entreverrai',
    'entreverrais',
    'entreverrait',
    'entreverras',
    'entreverrez',
    'entreverriez',
    'entreverrons',
    'entreverront',
    'entrevirent',
    'entrevis',
    'entrevisse',
    'entrevissent',
    'entrevisses',
    'entrevissiez',
    'entrevit',
    'entrevoie',
    'entrevoient',
    'entrevoies',
    'entrevoir',
    'entrevois',
    'entrevoit',
    'entrevous',
    'entrevoutera',
    'entrevoyais',
    'entrevoyait',
    'entrevoyant',
    'entrevoyez',
    'entrevoyiez',
    'entrevoyions',
    'entrevoyons',
    'entrevoûta',
    'entrevoûtai',
    'entrevoûtais',
    'entrevoûtait',
    'entrevoûtant',
    'entrevoûtas',
    'entrevoûte',
    'entrevoûtent',
    'entrevoûter',
    'entrevoûtes',
    'entrevoûtez',
    'entrevoûtiez',
    'entrevoûtons',
    'entrevoûtât',
    'entrevoûté',
    'entrevoûtée',
    'entrevoûtées',
    'entrevoûtés',
    'entrevu',
    'entrevue',
    'entrevues',
    'entrevus',
    'entrevîmes',
    'entrevît',
    'entrevîtes',
    'entrez',
    'entriez',
    'entrions',
    'entrisme',
    'entrismes',
    'entrobliger',
    'entrons',
    'entropie',
    'entropies',
    'entropion',
    'entropions',
    'entroque',
    'entroques',
    'entrouvert',
    'entrouverte',
    'entrouvertes',
    'entrouverts',
    'entrouvrais',
    'entrouvrait',
    'entrouvrant',
    'entrouvre',
    'entrouvrent',
    'entrouvres',
    'entrouvrez',
    'entrouvriez',
    'entrouvrions',
    'entrouvrir',
    'entrouvrira',
    'entrouvrirai',
    'entrouvriras',
    'entrouvrirez',
    'entrouvris',
    'entrouvrisse',
    'entrouvrit',
    'entrouvrons',
    'entrouvrîmes',
    'entrouvrît',
    'entrouvrîtes',
    'entrâmes',
    'entrât',
    'entrâtes',
    'entrèrent',
    'entré',
    'entrée',
    'entrées',
    'entrés',
    'entuba',
    'entubai',
    'entubaient',
    'entubais',
    'entubait',
    'entubant',
    'entubas',
    'entubasse',
    'entubassent',
    'entubasses',
    'entubassiez',
    'entubassions',
    'entube',
    'entubent',
    'entuber',
    'entubera',
    'entuberai',
    'entuberaient',
    'entuberais',
    'entuberait',
    'entuberas',
    'entuberez',
    'entuberiez',
    'entuberions',
    'entuberons',
    'entuberont',
    'entubes',
    'entubez',
    'entubiez',
    'entubions',
    'entubons',
    'entubâmes',
    'entubât',
    'entubâtes',
    'entubèrent',
    'entubé',
    'entubée',
    'entubées',
    'entubés',
    'enturbanné',
    'enturbannée',
    'enturbannées',
    'enturbannés',
    'enture',
    'entures',
    'entâmes',
    'entât',
    'entâtes',
    'entèrent',
    'enté',
    'entée',
    'entées',
    'entéléchie',
    'entéléchies',
    'enténèbre',
    'enténèbrent',
    'enténèbres',
    'enténébra',
    'enténébrai',
    'enténébrais',
    'enténébrait',
    'enténébrant',
    'enténébras',
    'enténébrasse',
    'enténébrer',
    'enténébrera',
    'enténébrerai',
    'enténébreras',
    'enténébrerez',
    'enténébrez',
    'enténébriez',
    'enténébrions',
    'enténébrons',
    'enténébrâmes',
    'enténébrât',
    'enténébrâtes',
    'enténébré',
    'enténébrée',
    'enténébrées',
    'enténébrés',
    'entéralgie',
    'entéralgies',
    'entérina',
    'entérinai',
    'entérinaient',
    'entérinais',
    'entérinait',
    'entérinant',
    'entérinas',
    'entérinasse',
    'entérinasses',
    'entérine',
    'entérinement',
    'entérinent',
    'entériner',
    'entérinera',
    'entérinerai',
    'entérinerais',
    'entérinerait',
    'entérineras',
    'entérinerez',
    'entérineriez',
    'entérinerons',
    'entérineront',
    'entérines',
    'entérinez',
    'entériniez',
    'entérinions',
    'entérinons',
    'entérinâmes',
    'entérinât',
    'entérinâtes',
    'entérinèrent',
    'entériné',
    'entérinée',
    'entérinées',
    'entérinés',
    'entérique',
    'entériques',
    'entérite',
    'entérites',
    'entérocolite',
    'entérocoque',
    'entérocoques',
    'entérokinase',
    'entérovaccin',
    'entés',
    'entêta',
    'entêtai',
    'entêtaient',
    'entêtais',
    'entêtait',
    'entêtant',
    'entêtante',
    'entêtantes',
    'entêtants',
    'entêtas',
    'entêtasse',
    'entêtassent',
    'entêtasses',
    'entêtassiez',
    'entêtassions',
    'entête',
    'entêtement',
    'entêtements',
    'entêtent',
    'entêter',
    'entêtera',
    'entêterai',
    'entêteraient',
    'entêterais',
    'entêterait',
    'entêteras',
    'entêterez',
    'entêteriez',
    'entêterions',
    'entêterons',
    'entêteront',
    'entêtes',
    'entêtez',
    'entêtiez',
    'entêtions',
    'entêtons',
    'entêtâmes',
    'entêtât',
    'entêtâtes',
    'entêtèrent',
    'entêté',
    'entêtée',
    'entêtées',
    'entêtés',
    'entôla',
    'entôlage',
    'entôlages',
    'entôlai',
    'entôlaient',
    'entôlais',
    'entôlait',
    'entôlant',
    'entôlas',
    'entôlasse',
    'entôlassent',
    'entôlasses',
    'entôlassiez',
    'entôlassions',
    'entôle',
    'entôlent',
    'entôler',
    'entôlera',
    'entôlerai',
    'entôleraient',
    'entôlerais',
    'entôlerait',
    'entôleras',
    'entôlerez',
    'entôleriez',
    'entôlerions',
    'entôlerons',
    'entôleront',
    'entôles',
    'entôlez',
    'entôliez',
    'entôlions',
    'entôlons',
    'entôlâmes',
    'entôlât',
    'entôlâtes',
    'entôlèrent',
    'entôlé',
    'entôlée',
    'entôlées',
    'entôlés',
    'envahi',
    'envahie',
    'envahies',
    'envahir',
    'envahira',
    'envahirai',
    'envahiraient',
    'envahirais',
    'envahirait',
    'envahiras',
    'envahirent',
    'envahirez',
    'envahiriez',
    'envahirions',
    'envahirons',
    'envahiront',
    'envahis',
    'envahissais',
    'envahissait',
    'envahissant',
    'envahissante',
    'envahissants',
    'envahisse',
    'envahissent',
    'envahisses',
    'envahisseur',
    'envahisseurs',
    'envahissez',
    'envahissiez',
    'envahissions',
    'envahissons',
    'envahit',
    'envahîmes',
    'envahît',
    'envahîtes',
    'envasa',
    'envasai',
    'envasaient',
    'envasais',
    'envasait',
    'envasant',
    'envasas',
    'envasasse',
    'envasassent',
    'envasasses',
    'envasassiez',
    'envasassions',
    'envase',
    'envasement',
    'envasements',
    'envasent',
    'envaser',
    'envasera',
    'envaserai',
    'envaseraient',
    'envaserais',
    'envaserait',
    'envaseras',
    'envaserez',
    'envaseriez',
    'envaserions',
    'envaserons',
    'envaseront',
    'envases',
    'envasez',
    'envasiez',
    'envasions',
    'envasons',
    'envasâmes',
    'envasât',
    'envasâtes',
    'envasèrent',
    'envasé',
    'envasée',
    'envasées',
    'envasés',
    'enveloppa',
    'enveloppai',
    'enveloppais',
    'enveloppait',
    'enveloppant',
    'enveloppante',
    'enveloppants',
    'enveloppas',
    'enveloppasse',
    'enveloppe',
    'enveloppent',
    'envelopper',
    'enveloppera',
    'envelopperai',
    'envelopperas',
    'envelopperez',
    'enveloppes',
    'enveloppez',
    'enveloppiez',
    'enveloppions',
    'enveloppons',
    'enveloppâmes',
    'enveloppât',
    'enveloppâtes',
    'enveloppé',
    'enveloppée',
    'enveloppées',
    'enveloppés',
    'envenima',
    'envenimai',
    'envenimaient',
    'envenimais',
    'envenimait',
    'envenimant',
    'envenimas',
    'envenimasse',
    'envenimasses',
    'envenimation',
    'envenime',
    'envenimement',
    'enveniment',
    'envenimer',
    'envenimera',
    'envenimerai',
    'envenimerais',
    'envenimerait',
    'envenimeras',
    'envenimerez',
    'envenimeriez',
    'envenimerons',
    'envenimeront',
    'envenimes',
    'envenimez',
    'envenimiez',
    'envenimions',
    'envenimons',
    'envenimâmes',
    'envenimât',
    'envenimâtes',
    'envenimèrent',
    'envenimé',
    'envenimée',
    'envenimées',
    'envenimés',
    'enverge',
    'envergea',
    'envergeai',
    'envergeaient',
    'envergeais',
    'envergeait',
    'envergeant',
    'envergeas',
    'envergeasse',
    'envergeasses',
    'envergent',
    'envergeons',
    'enverger',
    'envergera',
    'envergerai',
    'envergerais',
    'envergerait',
    'envergeras',
    'envergerez',
    'envergeriez',
    'envergerions',
    'envergerons',
    'envergeront',
    'enverges',
    'envergez',
    'envergeâmes',
    'envergeât',
    'envergeâtes',
    'envergiez',
    'envergions',
    'envergua',
    'enverguai',
    'enverguaient',
    'enverguais',
    'enverguait',
    'enverguant',
    'enverguas',
    'enverguasse',
    'enverguasses',
    'envergue',
    'enverguent',
    'enverguer',
    'enverguera',
    'enverguerai',
    'enverguerais',
    'enverguerait',
    'envergueras',
    'enverguerez',
    'envergueriez',
    'enverguerons',
    'envergueront',
    'envergues',
    'enverguez',
    'enverguiez',
    'enverguions',
    'enverguons',
    'envergure',
    'envergures',
    'enverguâmes',
    'enverguât',
    'enverguâtes',
    'enverguèrent',
    'envergué',
    'enverguée',
    'enverguées',
    'envergués',
    'envergèrent',
    'envergé',
    'envergée',
    'envergées',
    'envergés',
    'enverra',
    'enverrai',
    'enverraient',
    'enverrais',
    'enverrait',
    'enverras',
    'enverrez',
    'enverriez',
    'enverrions',
    'enverrons',
    'enverront',
    'envers',
    'envia',
    'enviable',
    'enviables',
    'enviai',
    'enviaient',
    'enviais',
    'enviait',
    'enviant',
    'envias',
    'enviasse',
    'enviassent',
    'enviasses',
    'enviassiez',
    'enviassions',
    'envida',
    'envidai',
    'envidaient',
    'envidais',
    'envidait',
    'envidant',
    'envidas',
    'envidasse',
    'envidassent',
    'envidasses',
    'envidassiez',
    'envidassions',
    'envide',
    'envident',
    'envider',
    'envidera',
    'enviderai',
    'envideraient',
    'enviderais',
    'enviderait',
    'envideras',
    'enviderez',
    'envideriez',
    'enviderions',
    'enviderons',
    'envideront',
    'envides',
    'envidez',
    'envidiez',
    'envidions',
    'envidons',
    'envidâmes',
    'envidât',
    'envidâtes',
    'envidèrent',
    'envidé',
    'envidée',
    'envidées',
    'envidés',
    'envie',
    'envieilli',
    'envieillie',
    'envieillies',
    'envieillir',
    'envieillira',
    'envieillirai',
    'envieilliras',
    'envieillirez',
    'envieillis',
    'envieillisse',
    'envieillit',
    'envieillîmes',
    'envieillît',
    'envieillîtes',
    'envient',
    'envier',
    'enviera',
    'envierai',
    'envieraient',
    'envierais',
    'envierait',
    'envieras',
    'envierez',
    'envieriez',
    'envierions',
    'envierons',
    'envieront',
    'envies',
    'envieuse',
    'envieusement',
    'envieuses',
    'envieux',
    'enviez',
    'enviiez',
    'enviions',
    'enviné',
    'envinée',
    'envinées',
    'envinés',
    'envions',
    'environ',
    'environna',
    'environnai',
    'environnais',
    'environnait',
    'environnant',
    'environnante',
    'environnants',
    'environnas',
    'environnasse',
    'environne',
    'environnent',
    'environner',
    'environnera',
    'environnerai',
    'environneras',
    'environnerez',
    'environnes',
    'environnez',
    'environniez',
    'environnions',
    'environnons',
    'environnâmes',
    'environnât',
    'environnâtes',
    'environné',
    'environnée',
    'environnées',
    'environnés',
    'environs',
    'envisage',
    'envisagea',
    'envisageable',
    'envisageai',
    'envisageais',
    'envisageait',
    'envisageant',
    'envisageas',
    'envisageasse',
    'envisagent',
    'envisageons',
    'envisager',
    'envisagera',
    'envisagerai',
    'envisagerais',
    'envisagerait',
    'envisageras',
    'envisagerez',
    'envisageriez',
    'envisagerons',
    'envisageront',
    'envisages',
    'envisagez',
    'envisageâmes',
    'envisageât',
    'envisageâtes',
    'envisagiez',
    'envisagions',
    'envisagèrent',
    'envisagé',
    'envisagée',
    'envisagées',
    'envisagés',
    'enviâmes',
    'enviât',
    'enviâtes',
    'envièrent',
    'envié',
    'enviée',
    'enviées',
    'enviés',
    'envoi',
    'envoie',
    'envoient',
    'envoies',
    'envoilassiez',
    'envoiler',
    'envoilerez',
    'envoileriez',
    'envoilerions',
    'envoilerons',
    'envoilez',
    'envoiliez',
    'envoilions',
    'envoilons',
    'envoilâmes',
    'envoilâtes',
    'envoilé',
    'envoilée',
    'envoilées',
    'envoilés',
    'envois',
    'envol',
    'envola',
    'envolaient',
    'envolais',
    'envolait',
    'envolant',
    'envolassiez',
    'envolassions',
    'envole',
    'envolent',
    'envoler',
    'envolera',
    'envolerai',
    'envoleraient',
    'envolerais',
    'envolerait',
    'envoleras',
    'envolerez',
    'envoleriez',
    'envolerions',
    'envolerons',
    'envoleront',
    'envoles',
    'envolez',
    'envoliez',
    'envolions',
    'envolons',
    'envols',
    'envolâmes',
    'envolâtes',
    'envolèrent',
    'envolé',
    'envolée',
    'envolées',
    'envolés',
    'envoya',
    'envoyai',
    'envoyaient',
    'envoyais',
    'envoyait',
    'envoyant',
    'envoyas',
    'envoyasse',
    'envoyassent',
    'envoyasses',
    'envoyassiez',
    'envoyassions',
    'envoyer',
    'envoyeur',
    'envoyeurs',
    'envoyeuse',
    'envoyeuses',
    'envoyez',
    'envoyiez',
    'envoyions',
    'envoyons',
    'envoyâmes',
    'envoyât',
    'envoyâtes',
    'envoyèrent',
    'envoyé',
    'envoyée',
    'envoyées',
    'envoyés',
    'envoûta',
    'envoûtai',
    'envoûtaient',
    'envoûtais',
    'envoûtait',
    'envoûtant',
    'envoûtante',
    'envoûtantes',
    'envoûtants',
    'envoûtas',
    'envoûtasse',
    'envoûtassent',
    'envoûtasses',
    'envoûtassiez',
    'envoûte',
    'envoûtement',
    'envoûtements',
    'envoûtent',
    'envoûter',
    'envoûtera',
    'envoûterai',
    'envoûterais',
    'envoûterait',
    'envoûteras',
    'envoûterez',
    'envoûteriez',
    'envoûterions',
    'envoûterons',
    'envoûteront',
    'envoûtes',
    'envoûteur',
    'envoûteurs',
    'envoûteuse',
    'envoûteuses',
    'envoûtez',
    'envoûtiez',
    'envoûtions',
    'envoûtons',
    'envoûtâmes',
    'envoûtât',
    'envoûtâtes',
    'envoûtèrent',
    'envoûté',
    'envoûtée',
    'envoûtées',
    'envoûtés',
    'enzootie',
    'enzooties',
    'enzymatique',
    'enzymatiques',
    'enzyme',
    'enzymes',
    'enzymologie',
    'enzymologies',
    'enzymopathie',
    'epsilon',
    'epsomite',
    'epsomites',
    'erbine',
    'erbines',
    'erbium',
    'erbiums',
    'ergastule',
    'ergastules',
    'ergographe',
    'ergographes',
    'ergonome',
    'ergonomes',
    'ergonomie',
    'ergonomies',
    'ergonomique',
    'ergonomiques',
    'ergonomiste',
    'ergonomistes',
    'ergostérol',
    'ergostérols',
    'ergot',
    'ergota',
    'ergotage',
    'ergotages',
    'ergotai',
    'ergotaient',
    'ergotais',
    'ergotait',
    'ergotant',
    'ergotas',
    'ergotasse',
    'ergotassent',
    'ergotasses',
    'ergotassiez',
    'ergotassions',
    'ergote',
    'ergotent',
    'ergoter',
    'ergotera',
    'ergoterai',
    'ergoteraient',
    'ergoterais',
    'ergoterait',
    'ergoteras',
    'ergoterez',
    'ergoteriez',
    'ergoterions',
    'ergoterons',
    'ergoteront',
    'ergotes',
    'ergoteur',
    'ergoteurs',
    'ergoteuse',
    'ergoteuses',
    'ergotez',
    'ergothérapie',
    'ergotiez',
    'ergotine',
    'ergotines',
    'ergotions',
    'ergotisme',
    'ergotismes',
    'ergotons',
    'ergots',
    'ergotâmes',
    'ergotât',
    'ergotâtes',
    'ergotèrent',
    'ergoté',
    'ergs',
    'ermitage',
    'ermitages',
    'ermite',
    'ermites',
    'erpétologie',
    'erpétologies',
    'erra',
    'errai',
    'erraient',
    'errais',
    'errait',
    'errance',
    'errances',
    'errant',
    'errante',
    'errantes',
    'errants',
    'erras',
    'errasse',
    'errassent',
    'errasses',
    'errassiez',
    'errassions',
    'errata',
    'erratique',
    'erratiques',
    'erratum',
    'erre',
    'errements',
    'errent',
    'errer',
    'errera',
    'errerai',
    'erreraient',
    'errerais',
    'errerait',
    'erreras',
    'errerez',
    'erreriez',
    'errerions',
    'errerons',
    'erreront',
    'erres',
    'erreur',
    'erreurs',
    'errez',
    'erriez',
    'errions',
    'errons',
    'erroné',
    'erronée',
    'erronées',
    'erronément',
    'erronés',
    'errâmes',
    'errât',
    'errâtes',
    'errèrent',
    'erré',
    'ersatz',
    'erseau',
    'erseaux',
    'esbaudi',
    'esbaudie',
    'esbaudies',
    'esbaudir',
    'esbaudirez',
    'esbaudiriez',
    'esbaudirions',
    'esbaudirons',
    'esbaudis',
    'esbaudissez',
    'esbaudissiez',
    'esbaudissons',
    'esbaudîmes',
    'esbaudîtes',
    'esbignassiez',
    'esbigner',
    'esbignerez',
    'esbigneriez',
    'esbignerions',
    'esbignerons',
    'esbignez',
    'esbigniez',
    'esbignions',
    'esbignons',
    'esbignâmes',
    'esbignâtes',
    'esbigné',
    'esbignée',
    'esbignées',
    'esbignés',
    'esbroufa',
    'esbroufai',
    'esbroufaient',
    'esbroufais',
    'esbroufait',
    'esbroufant',
    'esbroufas',
    'esbroufasse',
    'esbroufasses',
    'esbroufe',
    'esbroufent',
    'esbroufer',
    'esbroufera',
    'esbrouferai',
    'esbrouferais',
    'esbrouferait',
    'esbrouferas',
    'esbrouferez',
    'esbrouferiez',
    'esbrouferons',
    'esbrouferont',
    'esbroufes',
    'esbroufeur',
    'esbroufeurs',
    'esbroufeuse',
    'esbroufeuses',
    'esbroufez',
    'esbroufiez',
    'esbroufions',
    'esbroufons',
    'esbroufâmes',
    'esbroufât',
    'esbroufâtes',
    'esbroufèrent',
    'esbroufé',
    'esbroufée',
    'esbroufées',
    'esbroufés',
    'escabeau',
    'escabeaux',
    'escabelle',
    'escabelles',
    'escadre',
    'escadres',
    'escadrille',
    'escadrilles',
    'escadron',
    'escadrons',
    'escalada',
    'escaladai',
    'escaladaient',
    'escaladais',
    'escaladait',
    'escaladant',
    'escaladas',
    'escaladasse',
    'escaladasses',
    'escalade',
    'escaladent',
    'escalader',
    'escaladera',
    'escaladerai',
    'escaladerais',
    'escaladerait',
    'escaladeras',
    'escaladerez',
    'escaladeriez',
    'escaladerons',
    'escaladeront',
    'escalades',
    'escaladez',
    'escaladiez',
    'escaladions',
    'escaladons',
    'escaladâmes',
    'escaladât',
    'escaladâtes',
    'escaladèrent',
    'escaladé',
    'escaladée',
    'escaladées',
    'escaladés',
    'escale',
    'escales',
    'escalier',
    'escaliers',
    'escalope',
    'escalopes',
    'escamota',
    'escamotable',
    'escamotables',
    'escamotage',
    'escamotages',
    'escamotai',
    'escamotaient',
    'escamotais',
    'escamotait',
    'escamotant',
    'escamotas',
    'escamotasse',
    'escamotasses',
    'escamote',
    'escamotent',
    'escamoter',
    'escamotera',
    'escamoterai',
    'escamoterais',
    'escamoterait',
    'escamoteras',
    'escamoterez',
    'escamoteriez',
    'escamoterons',
    'escamoteront',
    'escamotes',
    'escamoteur',
    'escamoteurs',
    'escamoteuse',
    'escamoteuses',
    'escamotez',
    'escamotiez',
    'escamotions',
    'escamotons',
    'escamotâmes',
    'escamotât',
    'escamotâtes',
    'escamotèrent',
    'escamoté',
    'escamotée',
    'escamotées',
    'escamotés',
    'escampette',
    'escampettes',
    'escapade',
    'escapades',
    'escape',
    'escapes',
    'escarbille',
    'escarbilles',
    'escarbot',
    'escarbots',
    'escarboucle',
    'escarboucles',
    'escarcelle',
    'escarcelles',
    'escargot',
    'escargotière',
    'escargots',
    'escarmoucha',
    'escarmouchai',
    'escarmouchas',
    'escarmouche',
    'escarmoucher',
    'escarmouches',
    'escarmouchez',
    'escarmouchât',
    'escarmouché',
    'escarole',
    'escaroles',
    'escarpement',
    'escarpements',
    'escarpin',
    'escarpins',
    'escarpolette',
    'escarpé',
    'escarpée',
    'escarpées',
    'escarpés',
    'escarre',
    'escarres',
    'escarrifia',
    'escarrifiai',
    'escarrifiais',
    'escarrifiait',
    'escarrifiant',
    'escarrifias',
    'escarrifie',
    'escarrifient',
    'escarrifier',
    'escarrifiera',
    'escarrifies',
    'escarrifiez',
    'escarrifiiez',
    'escarrifions',
    'escarrifiât',
    'escarrifié',
    'escarrifiée',
    'escarrifiées',
    'escarrifiés',
    'escha',
    'eschai',
    'eschaient',
    'eschais',
    'eschait',
    'eschant',
    'eschas',
    'eschasse',
    'eschassent',
    'eschasses',
    'eschassiez',
    'eschassions',
    'eschatologie',
    'esche',
    'eschent',
    'escher',
    'eschera',
    'escherai',
    'escheraient',
    'escherais',
    'escherait',
    'escheras',
    'escherez',
    'escheriez',
    'escherions',
    'escherons',
    'escheront',
    'esches',
    'eschez',
    'eschiez',
    'eschions',
    'eschons',
    'eschâmes',
    'eschât',
    'eschâtes',
    'eschèrent',
    'esché',
    'eschée',
    'eschées',
    'eschés',
    'escient',
    'escients',
    'esclaffer',
    'esclafferez',
    'esclafferiez',
    'esclafferons',
    'esclaffez',
    'esclaffiez',
    'esclaffions',
    'esclaffons',
    'esclaffâmes',
    'esclaffâtes',
    'esclaffé',
    'esclaffée',
    'esclaffées',
    'esclaffés',
    'esclandre',
    'esclandres',
    'esclavage',
    'esclavagea',
    'esclavageai',
    'esclavageais',
    'esclavageait',
    'esclavageant',
    'esclavageas',
    'esclavagent',
    'esclavageons',
    'esclavager',
    'esclavagera',
    'esclavagerai',
    'esclavageras',
    'esclavagerez',
    'esclavages',
    'esclavagez',
    'esclavageât',
    'esclavagiez',
    'esclavagions',
    'esclavagisme',
    'esclavagiste',
    'esclavagée',
    'esclave',
    'esclaves',
    'esclavon',
    'esclavonne',
    'esclavonnes',
    'esclavons',
    'escobar',
    'escobarderie',
    'escobars',
    'escogriffe',
    'escogriffes',
    'escompta',
    'escomptable',
    'escomptables',
    'escomptai',
    'escomptaient',
    'escomptais',
    'escomptait',
    'escomptant',
    'escomptas',
    'escomptasse',
    'escomptasses',
    'escompte',
    'escomptent',
    'escompter',
    'escomptera',
    'escompterai',
    'escompterais',
    'escompterait',
    'escompteras',
    'escompterez',
    'escompteriez',
    'escompterons',
    'escompteront',
    'escomptes',
    'escompteur',
    'escompteurs',
    'escomptez',
    'escomptiez',
    'escomptions',
    'escomptons',
    'escomptâmes',
    'escomptât',
    'escomptâtes',
    'escomptèrent',
    'escompté',
    'escomptée',
    'escomptées',
    'escomptés',
    'escopette',
    'escopettes',
    'escorta',
    'escortai',
    'escortaient',
    'escortais',
    'escortait',
    'escortant',
    'escortas',
    'escortasse',
    'escortassent',
    'escortasses',
    'escortassiez',
    'escorte',
    'escortent',
    'escorter',
    'escortera',
    'escorterai',
    'escorterais',
    'escorterait',
    'escorteras',
    'escorterez',
    'escorteriez',
    'escorterions',
    'escorterons',
    'escorteront',
    'escortes',
    'escorteur',
    'escorteurs',
    'escortez',
    'escortiez',
    'escortions',
    'escortons',
    'escortâmes',
    'escortât',
    'escortâtes',
    'escortèrent',
    'escorté',
    'escortée',
    'escortées',
    'escortés',
    'escot',
    'escots',
    'escouade',
    'escouades',
    'escourgeon',
    'escourgeons',
    'escrimassiez',
    'escrime',
    'escrimer',
    'escrimerez',
    'escrimeriez',
    'escrimerions',
    'escrimerons',
    'escrimes',
    'escrimeur',
    'escrimeurs',
    'escrimeuse',
    'escrimeuses',
    'escrimez',
    'escrimiez',
    'escrimions',
    'escrimons',
    'escrimâmes',
    'escrimâtes',
    'escrimé',
    'escrimée',
    'escrimées',
    'escrimés',
    'escroc',
    'escrocs',
    'escroqua',
    'escroquai',
    'escroquaient',
    'escroquais',
    'escroquait',
    'escroquant',
    'escroquas',
    'escroquasse',
    'escroquasses',
    'escroque',
    'escroquent',
    'escroquer',
    'escroquera',
    'escroquerai',
    'escroquerais',
    'escroquerait',
    'escroqueras',
    'escroquerez',
    'escroquerie',
    'escroqueries',
    'escroqueriez',
    'escroquerons',
    'escroqueront',
    'escroques',
    'escroquez',
    'escroquiez',
    'escroquions',
    'escroquons',
    'escroquâmes',
    'escroquât',
    'escroquâtes',
    'escroquèrent',
    'escroqué',
    'escroquée',
    'escroquées',
    'escroqués',
    'escudo',
    'escudos',
    'esculape',
    'esculapes',
    'esculine',
    'esculines',
    'esgourde',
    'esgourdes',
    'espace',
    'espacement',
    'espacements',
    'espacent',
    'espacer',
    'espacera',
    'espacerai',
    'espaceraient',
    'espacerais',
    'espacerait',
    'espaceras',
    'espacerez',
    'espaceriez',
    'espacerions',
    'espacerons',
    'espaceront',
    'espaces',
    'espacez',
    'espaciez',
    'espacions',
    'espacèrent',
    'espacé',
    'espacée',
    'espacées',
    'espacés',
    'espada',
    'espadas',
    'espadon',
    'espadons',
    'espadrille',
    'espadrilles',
    'espagnol',
    'espagnole',
    'espagnoles',
    'espagnolette',
    'espagnolisme',
    'espagnols',
    'espalier',
    'espaliers',
    'espar',
    'esparcet',
    'esparcets',
    'esparcette',
    'esparcettes',
    'espars',
    'espaça',
    'espaçai',
    'espaçaient',
    'espaçais',
    'espaçait',
    'espaçant',
    'espaças',
    'espaçasse',
    'espaçassent',
    'espaçasses',
    'espaçassiez',
    'espaçassions',
    'espaçons',
    'espaçâmes',
    'espaçât',
    'espaçâtes',
    'espingole',
    'espingoles',
    'espion',
    'espionite',
    'espionites',
    'espionna',
    'espionnage',
    'espionnages',
    'espionnai',
    'espionnaient',
    'espionnais',
    'espionnait',
    'espionnant',
    'espionnas',
    'espionnasse',
    'espionnasses',
    'espionne',
    'espionnent',
    'espionner',
    'espionnera',
    'espionnerai',
    'espionnerais',
    'espionnerait',
    'espionneras',
    'espionnerez',
    'espionneriez',
    'espionnerons',
    'espionneront',
    'espionnes',
    'espionnez',
    'espionniez',
    'espionnions',
    'espionnite',
    'espionnites',
    'espionnons',
    'espionnâmes',
    'espionnât',
    'espionnâtes',
    'espionnèrent',
    'espionné',
    'espionnée',
    'espionnées',
    'espionnés',
    'espions',
    'espiègle',
    'espièglerie',
    'espiègleries',
    'espiègles',
    'esplanade',
    'esplanades',
    'espoir',
    'espoirs',
    'espolina',
    'espolinai',
    'espolinaient',
    'espolinais',
    'espolinait',
    'espolinant',
    'espolinas',
    'espolinasse',
    'espolinasses',
    'espoline',
    'espolinent',
    'espoliner',
    'espolinera',
    'espolinerai',
    'espolinerais',
    'espolinerait',
    'espolineras',
    'espolinerez',
    'espolineriez',
    'espolinerons',
    'espolineront',
    'espolines',
    'espolinez',
    'espoliniez',
    'espolinions',
    'espolinons',
    'espolinâmes',
    'espolinât',
    'espolinâtes',
    'espolinèrent',
    'espoliné',
    'espolinée',
    'espolinées',
    'espolinés',
    'esponton',
    'espontons',
    'espoulina',
    'espoulinai',
    'espoulinais',
    'espoulinait',
    'espoulinant',
    'espoulinas',
    'espoulinasse',
    'espouline',
    'espoulinent',
    'espouliner',
    'espoulinera',
    'espoulinerai',
    'espoulineras',
    'espoulinerez',
    'espoulines',
    'espoulinez',
    'espouliniez',
    'espoulinions',
    'espoulinons',
    'espoulinâmes',
    'espoulinât',
    'espoulinâtes',
    'espouliné',
    'espoulinée',
    'espoulinées',
    'espoulinés',
    'espressivo',
    'esprit',
    'esprits',
    'espèce',
    'espèces',
    'espère',
    'espèrent',
    'espères',
    'espéra',
    'espérai',
    'espéraient',
    'espérais',
    'espérait',
    'espérance',
    'espérances',
    'espérant',
    'espérantiste',
    'espéranto',
    'espérantos',
    'espéras',
    'espérasse',
    'espérassent',
    'espérasses',
    'espérassiez',
    'espérassions',
    'espérer',
    'espérera',
    'espérerai',
    'espéreraient',
    'espérerais',
    'espérerait',
    'espéreras',
    'espérerez',
    'espéreriez',
    'espérerions',
    'espérerons',
    'espéreront',
    'espérez',
    'espériez',
    'espérions',
    'espérons',
    'espérâmes',
    'espérât',
    'espérâtes',
    'espérèrent',
    'espéré',
    'espérée',
    'espérées',
    'espérés',
    'esquarre',
    'esquarres',
    'esquicher',
    'esquif',
    'esquifs',
    'esquille',
    'esquilles',
    'esquimau',
    'esquimaud',
    'esquimaude',
    'esquimaudes',
    'esquimauds',
    'esquimautage',
    'esquimaux',
    'esquinta',
    'esquintai',
    'esquintaient',
    'esquintais',
    'esquintait',
    'esquintant',
    'esquintante',
    'esquintantes',
    'esquintants',
    'esquintas',
    'esquintasse',
    'esquintasses',
    'esquinte',
    'esquintent',
    'esquinter',
    'esquintera',
    'esquinterai',
    'esquinterais',
    'esquinterait',
    'esquinteras',
    'esquinterez',
    'esquinteriez',
    'esquinterons',
    'esquinteront',
    'esquintes',
    'esquintez',
    'esquintiez',
    'esquintions',
    'esquintons',
    'esquintâmes',
    'esquintât',
    'esquintâtes',
    'esquintèrent',
    'esquinté',
    'esquintée',
    'esquintées',
    'esquintés',
    'esquire',
    'esquires',
    'esquissa',
    'esquissai',
    'esquissaient',
    'esquissais',
    'esquissait',
    'esquissant',
    'esquissas',
    'esquissasse',
    'esquissasses',
    'esquisse',
    'esquissent',
    'esquisser',
    'esquissera',
    'esquisserai',
    'esquisserais',
    'esquisserait',
    'esquisseras',
    'esquisserez',
    'esquisseriez',
    'esquisserons',
    'esquisseront',
    'esquisses',
    'esquissez',
    'esquissiez',
    'esquissions',
    'esquissons',
    'esquissâmes',
    'esquissât',
    'esquissâtes',
    'esquissèrent',
    'esquissé',
    'esquissée',
    'esquissées',
    'esquissés',
    'esquiva',
    'esquivai',
    'esquivaient',
    'esquivais',
    'esquivait',
    'esquivant',
    'esquivas',
    'esquivasse',
    'esquivassent',
    'esquivasses',
    'esquivassiez',
    'esquive',
    'esquivent',
    'esquiver',
    'esquivera',
    'esquiverai',
    'esquiverais',
    'esquiverait',
    'esquiveras',
    'esquiverez',
    'esquiveriez',
    'esquiverions',
    'esquiverons',
    'esquiveront',
    'esquives',
    'esquivez',
    'esquiviez',
    'esquivions',
    'esquivons',
    'esquivâmes',
    'esquivât',
    'esquivâtes',
    'esquivèrent',
    'esquivé',
    'esquivée',
    'esquivées',
    'esquivés',
    'essai',
    'essaie',
    'essaient',
    'essaiera',
    'essaierai',
    'essaieraient',
    'essaierais',
    'essaierait',
    'essaieras',
    'essaierez',
    'essaieriez',
    'essaierions',
    'essaierons',
    'essaieront',
    'essaies',
    'essaim',
    'essaima',
    'essaimage',
    'essaimages',
    'essaimai',
    'essaimaient',
    'essaimais',
    'essaimait',
    'essaimant',
    'essaimas',
    'essaimasse',
    'essaimassent',
    'essaimasses',
    'essaimassiez',
    'essaime',
    'essaiment',
    'essaimer',
    'essaimera',
    'essaimerai',
    'essaimerais',
    'essaimerait',
    'essaimeras',
    'essaimerez',
    'essaimeriez',
    'essaimerions',
    'essaimerons',
    'essaimeront',
    'essaimes',
    'essaimez',
    'essaimiez',
    'essaimions',
    'essaimons',
    'essaims',
    'essaimâmes',
    'essaimât',
    'essaimâtes',
    'essaimèrent',
    'essaimé',
    'essaimée',
    'essaimées',
    'essaimés',
    'essais',
    'essange',
    'essangea',
    'essangeage',
    'essangeages',
    'essangeai',
    'essangeaient',
    'essangeais',
    'essangeait',
    'essangeant',
    'essangeas',
    'essangeasse',
    'essangeasses',
    'essangent',
    'essangeons',
    'essanger',
    'essangera',
    'essangerai',
    'essangerais',
    'essangerait',
    'essangeras',
    'essangerez',
    'essangeriez',
    'essangerions',
    'essangerons',
    'essangeront',
    'essanges',
    'essangez',
    'essangeâmes',
    'essangeât',
    'essangeâtes',
    'essangiez',
    'essangions',
    'essangèrent',
    'essangé',
    'essangée',
    'essangées',
    'essangés',
    'essanvage',
    'essanvages',
    'essart',
    'essarta',
    'essartage',
    'essartages',
    'essartai',
    'essartaient',
    'essartais',
    'essartait',
    'essartant',
    'essartas',
    'essartasse',
    'essartassent',
    'essartasses',
    'essartassiez',
    'essarte',
    'essartement',
    'essartements',
    'essartent',
    'essarter',
    'essartera',
    'essarterai',
    'essarterais',
    'essarterait',
    'essarteras',
    'essarterez',
    'essarteriez',
    'essarterions',
    'essarterons',
    'essarteront',
    'essartes',
    'essartez',
    'essartiez',
    'essartions',
    'essartons',
    'essarts',
    'essartâmes',
    'essartât',
    'essartâtes',
    'essartèrent',
    'essarté',
    'essartée',
    'essartées',
    'essartés',
    'essaya',
    'essayage',
    'essayages',
    'essayai',
    'essayaient',
    'essayais',
    'essayait',
    'essayant',
    'essayas',
    'essayasse',
    'essayassent',
    'essayasses',
    'essayassiez',
    'essayassions',
    'essaye',
    'essayent',
    'essayer',
    'essayera',
    'essayerai',
    'essayeraient',
    'essayerais',
    'essayerait',
    'essayeras',
    'essayerez',
    'essayeriez',
    'essayerions',
    'essayerons',
    'essayeront',
    'essayes',
    'essayeur',
    'essayeurs',
    'essayeuse',
    'essayeuses',
    'essayez',
    'essayiez',
    'essayions',
    'essayiste',
    'essayistes',
    'essayons',
    'essayâmes',
    'essayât',
    'essayâtes',
    'essayèrent',
    'essayé',
    'essayée',
    'essayées',
    'essayés',
    'esse',
    'essence',
    'essences',
    'essentiel',
    'essentielle',
    'essentielles',
    'essentiels',
    'esses',
    'esseulé',
    'esseulée',
    'esseulées',
    'esseulés',
    'essieu',
    'essieux',
    'essor',
    'essora',
    'essorage',
    'essorages',
    'essorai',
    'essoraient',
    'essorais',
    'essorait',
    'essorant',
    'essoras',
    'essorasse',
    'essorassent',
    'essorasses',
    'essorassiez',
    'essorassions',
    'essore',
    'essorent',
    'essorer',
    'essorera',
    'essorerai',
    'essoreraient',
    'essorerais',
    'essorerait',
    'essoreras',
    'essorerez',
    'essoreriez',
    'essorerions',
    'essorerons',
    'essoreront',
    'essores',
    'essoreuse',
    'essoreuses',
    'essorez',
    'essoriez',
    'essorilla',
    'essorillai',
    'essorillais',
    'essorillait',
    'essorillant',
    'essorillas',
    'essorillasse',
    'essorille',
    'essorillent',
    'essoriller',
    'essorillera',
    'essorillerai',
    'essorilleras',
    'essorillerez',
    'essorilles',
    'essorillez',
    'essorilliez',
    'essorillions',
    'essorillons',
    'essorillâmes',
    'essorillât',
    'essorillâtes',
    'essorillé',
    'essorillée',
    'essorillées',
    'essorillés',
    'essorions',
    'essorons',
    'essors',
    'essorâmes',
    'essorât',
    'essorâtes',
    'essorèrent',
    'essoré',
    'essorée',
    'essorées',
    'essorés',
    'essoucha',
    'essouchai',
    'essouchaient',
    'essouchais',
    'essouchait',
    'essouchant',
    'essouchas',
    'essouchasse',
    'essouchasses',
    'essouche',
    'essouchement',
    'essouchent',
    'essoucher',
    'essouchera',
    'essoucherai',
    'essoucherais',
    'essoucherait',
    'essoucheras',
    'essoucherez',
    'essoucheriez',
    'essoucherons',
    'essoucheront',
    'essouches',
    'essouchez',
    'essouchiez',
    'essouchions',
    'essouchons',
    'essouchâmes',
    'essouchât',
    'essouchâtes',
    'essouchèrent',
    'essouché',
    'essouchée',
    'essouchées',
    'essouchés',
    'essouffla',
    'essoufflai',
    'essoufflais',
    'essoufflait',
    'essoufflant',
    'essoufflas',
    'essoufflasse',
    'essouffle',
    'essoufflent',
    'essouffler',
    'essoufflera',
    'essoufflerai',
    'essouffleras',
    'essoufflerez',
    'essouffles',
    'essoufflez',
    'essouffliez',
    'essoufflions',
    'essoufflons',
    'essoufflâmes',
    'essoufflât',
    'essoufflâtes',
    'essoufflé',
    'essoufflée',
    'essoufflées',
    'essoufflés',
    'essuie',
    'essuient',
    'essuiera',
    'essuierai',
    'essuieraient',
    'essuierais',
    'essuierait',
    'essuieras',
    'essuierez',
    'essuieriez',
    'essuierions',
    'essuierons',
    'essuieront',
    'essuies',
    'essuya',
    'essuyage',
    'essuyages',
    'essuyai',
    'essuyaient',
    'essuyais',
    'essuyait',
    'essuyant',
    'essuyas',
    'essuyasse',
    'essuyassent',
    'essuyasses',
    'essuyassiez',
    'essuyassions',
    'essuyer',
    'essuyeur',
    'essuyeurs',
    'essuyeuse',
    'essuyeuses',
    'essuyez',
    'essuyiez',
    'essuyions',
    'essuyons',
    'essuyâmes',
    'essuyât',
    'essuyâtes',
    'essuyèrent',
    'essuyé',
    'essuyée',
    'essuyées',
    'essuyés',
    'estacade',
    'estacades',
    'estafette',
    'estafettes',
    'estafier',
    'estafiers',
    'estafilade',
    'estafilades',
    'estagnon',
    'estagnons',
    'estaminet',
    'estaminets',
    'estampa',
    'estampage',
    'estampages',
    'estampai',
    'estampaient',
    'estampais',
    'estampait',
    'estampant',
    'estampas',
    'estampasse',
    'estampassent',
    'estampasses',
    'estampassiez',
    'estampe',
    'estampent',
    'estamper',
    'estampera',
    'estamperai',
    'estamperais',
    'estamperait',
    'estamperas',
    'estamperez',
    'estamperiez',
    'estamperions',
    'estamperons',
    'estamperont',
    'estampes',
    'estampeur',
    'estampeurs',
    'estampez',
    'estampiez',
    'estampilla',
    'estampillage',
    'estampillai',
    'estampillais',
    'estampillait',
    'estampillant',
    'estampillas',
    'estampille',
    'estampillent',
    'estampiller',
    'estampillera',
    'estampilles',
    'estampillez',
    'estampilliez',
    'estampillons',
    'estampillât',
    'estampillé',
    'estampillée',
    'estampillées',
    'estampillés',
    'estampions',
    'estampons',
    'estampâmes',
    'estampât',
    'estampâtes',
    'estampèrent',
    'estampé',
    'estampée',
    'estampées',
    'estampés',
    'estancia',
    'estancias',
    'estarie',
    'estaries',
    'ester',
    'esterlin',
    'esterlins',
    'esters',
    'esthète',
    'esthètes',
    'esthésie',
    'esthésies',
    'esthésiogène',
    'esthéticien',
    'esthéticiens',
    'esthétique',
    'esthétiques',
    'esthétisa',
    'esthétisai',
    'esthétisais',
    'esthétisait',
    'esthétisant',
    'esthétisante',
    'esthétisants',
    'esthétisas',
    'esthétisasse',
    'esthétise',
    'esthétisent',
    'esthétiser',
    'esthétisera',
    'esthétiserai',
    'esthétiseras',
    'esthétiserez',
    'esthétises',
    'esthétisez',
    'esthétisiez',
    'esthétisions',
    'esthétisme',
    'esthétismes',
    'esthétisons',
    'esthétisâmes',
    'esthétisât',
    'esthétisâtes',
    'esthétisé',
    'esthétisée',
    'esthétisées',
    'esthétisés',
    'estima',
    'estimable',
    'estimables',
    'estimai',
    'estimaient',
    'estimais',
    'estimait',
    'estimant',
    'estimas',
    'estimasse',
    'estimassent',
    'estimasses',
    'estimassiez',
    'estimassions',
    'estimatif',
    'estimatifs',
    'estimation',
    'estimations',
    'estimative',
    'estimatives',
    'estimatoire',
    'estimatoires',
    'estime',
    'estiment',
    'estimer',
    'estimera',
    'estimerai',
    'estimeraient',
    'estimerais',
    'estimerait',
    'estimeras',
    'estimerez',
    'estimeriez',
    'estimerions',
    'estimerons',
    'estimeront',
    'estimes',
    'estimez',
    'estimiez',
    'estimions',
    'estimons',
    'estimâmes',
    'estimât',
    'estimâtes',
    'estimèrent',
    'estimé',
    'estimée',
    'estimées',
    'estimés',
    'estiva',
    'estivage',
    'estivages',
    'estivai',
    'estivaient',
    'estivais',
    'estivait',
    'estival',
    'estivale',
    'estivales',
    'estivant',
    'estivante',
    'estivantes',
    'estivants',
    'estivas',
    'estivasse',
    'estivassent',
    'estivasses',
    'estivassiez',
    'estivassions',
    'estivation',
    'estivations',
    'estivaux',
    'estive',
    'estivent',
    'estiver',
    'estivera',
    'estiverai',
    'estiveraient',
    'estiverais',
    'estiverait',
    'estiveras',
    'estiverez',
    'estiveriez',
    'estiverions',
    'estiverons',
    'estiveront',
    'estives',
    'estivez',
    'estiviez',
    'estivions',
    'estivons',
    'estivâmes',
    'estivât',
    'estivâtes',
    'estivèrent',
    'estivé',
    'estivée',
    'estivées',
    'estivés',
    'estoc',
    'estocade',
    'estocades',
    'estocs',
    'estomac',
    'estomacs',
    'estomaqua',
    'estomaquai',
    'estomaquais',
    'estomaquait',
    'estomaquant',
    'estomaquas',
    'estomaquasse',
    'estomaque',
    'estomaquent',
    'estomaquer',
    'estomaquera',
    'estomaquerai',
    'estomaqueras',
    'estomaquerez',
    'estomaques',
    'estomaquez',
    'estomaquiez',
    'estomaquions',
    'estomaquons',
    'estomaquâmes',
    'estomaquât',
    'estomaquâtes',
    'estomaqué',
    'estomaquée',
    'estomaquées',
    'estomaqués',
    'estompa',
    'estompage',
    'estompages',
    'estompai',
    'estompaient',
    'estompais',
    'estompait',
    'estompant',
    'estompas',
    'estompasse',
    'estompassent',
    'estompasses',
    'estompassiez',
    'estompe',
    'estompent',
    'estomper',
    'estompera',
    'estomperai',
    'estomperais',
    'estomperait',
    'estomperas',
    'estomperez',
    'estomperiez',
    'estomperions',
    'estomperons',
    'estomperont',
    'estompes',
    'estompez',
    'estompiez',
    'estompions',
    'estompons',
    'estompâmes',
    'estompât',
    'estompâtes',
    'estompèrent',
    'estompé',
    'estompée',
    'estompées',
    'estompés',
    'estonien',
    'estonienne',
    'estoniennes',
    'estoniens',
    'estoqua',
    'estoquai',
    'estoquaient',
    'estoquais',
    'estoquait',
    'estoquant',
    'estoquas',
    'estoquasse',
    'estoquassent',
    'estoquasses',
    'estoquassiez',
    'estoque',
    'estoquent',
    'estoquer',
    'estoquera',
    'estoquerai',
    'estoquerais',
    'estoquerait',
    'estoqueras',
    'estoquerez',
    'estoqueriez',
    'estoquerions',
    'estoquerons',
    'estoqueront',
    'estoques',
    'estoquez',
    'estoquiez',
    'estoquions',
    'estoquons',
    'estoquâmes',
    'estoquât',
    'estoquâtes',
    'estoquèrent',
    'estoqué',
    'estoquée',
    'estoquées',
    'estoqués',
    'estouffade',
    'estouffades',
    'estourbi',
    'estourbie',
    'estourbies',
    'estourbir',
    'estourbira',
    'estourbirai',
    'estourbirais',
    'estourbirait',
    'estourbiras',
    'estourbirent',
    'estourbirez',
    'estourbiriez',
    'estourbirons',
    'estourbiront',
    'estourbis',
    'estourbisse',
    'estourbisses',
    'estourbissez',
    'estourbit',
    'estourbîmes',
    'estourbît',
    'estourbîtes',
    'estrade',
    'estrades',
    'estradiot',
    'estradiots',
    'estragon',
    'estragons',
    'estran',
    'estrans',
    'estrapada',
    'estrapadai',
    'estrapadais',
    'estrapadait',
    'estrapadant',
    'estrapadas',
    'estrapadasse',
    'estrapade',
    'estrapadent',
    'estrapader',
    'estrapadera',
    'estrapaderai',
    'estrapaderas',
    'estrapaderez',
    'estrapades',
    'estrapadez',
    'estrapadiez',
    'estrapadions',
    'estrapadons',
    'estrapadâmes',
    'estrapadât',
    'estrapadâtes',
    'estrapadé',
    'estrapadés',
    'estrapassa',
    'estrapassai',
    'estrapassais',
    'estrapassait',
    'estrapassant',
    'estrapassas',
    'estrapasse',
    'estrapassent',
    'estrapasser',
    'estrapassera',
    'estrapasses',
    'estrapassez',
    'estrapassiez',
    'estrapassons',
    'estrapassât',
    'estrapassé',
    'estrapassée',
    'estrapassées',
    'estrapassés',
    'estrope',
    'estropes',
    'estropia',
    'estropiai',
    'estropiaient',
    'estropiais',
    'estropiait',
    'estropiant',
    'estropias',
    'estropiasse',
    'estropiasses',
    'estropie',
    'estropient',
    'estropier',
    'estropiera',
    'estropierai',
    'estropierais',
    'estropierait',
    'estropieras',
    'estropierez',
    'estropieriez',
    'estropierons',
    'estropieront',
    'estropies',
    'estropiez',
    'estropiiez',
    'estropiions',
    'estropions',
    'estropiâmes',
    'estropiât',
    'estropiâtes',
    'estropièrent',
    'estropié',
    'estropiée',
    'estropiées',
    'estropiés',
    'estuaire',
    'estuaires',
    'estuarien',
    'estuarienne',
    'estuariennes',
    'estuariens',
    'estudiantin',
    'estudiantine',
    'estudiantins',
    'esturgeon',
    'esturgeons',
    'estérase',
    'estérases',
    'estérifia',
    'estérifiai',
    'estérifiais',
    'estérifiait',
    'estérifiant',
    'estérifias',
    'estérifiasse',
    'estérifie',
    'estérifient',
    'estérifier',
    'estérifiera',
    'estérifierai',
    'estérifieras',
    'estérifierez',
    'estérifies',
    'estérifiez',
    'estérifiiez',
    'estérifiions',
    'estérifions',
    'estérifiâmes',
    'estérifiât',
    'estérifiâtes',
    'estérifié',
    'estérifiée',
    'estérifiées',
    'estérifiés',
    'etaient',
    'ethnie',
    'ethnies',
    'ethnique',
    'ethniques',
    'ethnocide',
    'ethnocides',
    'ethnographe',
    'ethnographes',
    'ethnographie',
    'ethnologie',
    'ethnologies',
    'ethnologique',
    'ethnologue',
    'ethnologues',
    'eucalyptol',
    'eucalyptols',
    'eucalyptus',
    'eucharistie',
    'eucharisties',
    'euclidien',
    'euclidienne',
    'euclidiennes',
    'euclidiens',
    'eucologe',
    'eucologes',
    'eudiomètre',
    'eudiomètres',
    'eudiométrie',
    'eudiométries',
    'eudiste',
    'eudistes',
    'eudémis',
    'eudémonisme',
    'eudémonismes',
    'eues',
    'euglène',
    'euglènes',
    'eugénate',
    'eugénates',
    'eugénique',
    'eugéniques',
    'eugénisme',
    'eugénismes',
    'eugéniste',
    'eugénistes',
    'eulerienne',
    'eunecte',
    'eunectes',
    'eunuque',
    'eunuques',
    'eupatoire',
    'eupatoires',
    'eupeptique',
    'eupeptiques',
    'euphonie',
    'euphonies',
    'euphonique',
    'euphoniques',
    'euphorbe',
    'euphorbes',
    'euphorie',
    'euphories',
    'euphorique',
    'euphoriques',
    'euphorisa',
    'euphorisai',
    'euphorisais',
    'euphorisait',
    'euphorisant',
    'euphorisante',
    'euphorisants',
    'euphorisas',
    'euphorisasse',
    'euphorise',
    'euphorisent',
    'euphoriser',
    'euphorisera',
    'euphoriserai',
    'euphoriseras',
    'euphoriserez',
    'euphorises',
    'euphorisez',
    'euphorisiez',
    'euphorisions',
    'euphorisons',
    'euphorisâmes',
    'euphorisât',
    'euphorisâtes',
    'euphorisé',
    'euphorisée',
    'euphorisées',
    'euphorisés',
    'euphuisme',
    'euphuismes',
    'euphémique',
    'euphémiques',
    'euphémisme',
    'euphémismes',
    'eurafricain',
    'eurafricaine',
    'eurafricains',
    'eurasiatique',
    'eurasien',
    'eurasienne',
    'eurasiennes',
    'eurasiens',
    'eurent',
    'euristique',
    'euristiques',
    'euro',
    'eurocrate',
    'eurocrates',
    'eurodevise',
    'eurodevises',
    'eurodollar',
    'eurodollars',
    'euromarché',
    'euromarchés',
    'euromissile',
    'euromissiles',
    'europium',
    'europiums',
    'européanisa',
    'européanisai',
    'européanisas',
    'européanise',
    'européaniser',
    'européanises',
    'européanisez',
    'européanisme',
    'européanisât',
    'européanisé',
    'européanisée',
    'européanisés',
    'européen',
    'européenne',
    'européennes',
    'européens',
    'européisme',
    'européismes',
    'euros',
    'eurovision',
    'eurovisions',
    'eurythmie',
    'eurythmies',
    'eurythmique',
    'eurythmiques',
    'eurêka',
    'euscarien',
    'euscarienne',
    'euscariennes',
    'euscariens',
    'euskarien',
    'euskarienne',
    'euskariennes',
    'euskariens',
    'eusse',
    'eussent',
    'eusses',
    'eussiez',
    'eussions',
    'eustache',
    'eustaches',
    'eustatique',
    'eustatiques',
    'eustatisme',
    'eustatismes',
    'eutectique',
    'eutectiques',
    'eutexie',
    'eutexies',
    'euthanasie',
    'euthanasies',
    'evzone',
    'evzones',
    'exacerba',
    'exacerbai',
    'exacerbaient',
    'exacerbais',
    'exacerbait',
    'exacerbant',
    'exacerbas',
    'exacerbasse',
    'exacerbasses',
    'exacerbation',
    'exacerbe',
    'exacerbent',
    'exacerber',
    'exacerbera',
    'exacerberai',
    'exacerberais',
    'exacerberait',
    'exacerberas',
    'exacerberez',
    'exacerberiez',
    'exacerberons',
    'exacerberont',
    'exacerbes',
    'exacerbez',
    'exacerbiez',
    'exacerbions',
    'exacerbons',
    'exacerbâmes',
    'exacerbât',
    'exacerbâtes',
    'exacerbèrent',
    'exacerbé',
    'exacerbée',
    'exacerbées',
    'exacerbés',
    'exact',
    'exacte',
    'exactement',
    'exactes',
    'exaction',
    'exactions',
    'exactitude',
    'exactitudes',
    'exacts',
    'exagère',
    'exagèrent',
    'exagères',
    'exagéra',
    'exagérai',
    'exagéraient',
    'exagérais',
    'exagérait',
    'exagérant',
    'exagéras',
    'exagérasse',
    'exagérassent',
    'exagérasses',
    'exagérassiez',
    'exagérateur',
    'exagérateurs',
    'exagération',
    'exagérations',
    'exagératrice',
    'exagérer',
    'exagérera',
    'exagérerai',
    'exagérerais',
    'exagérerait',
    'exagéreras',
    'exagérerez',
    'exagéreriez',
    'exagérerions',
    'exagérerons',
    'exagéreront',
    'exagérez',
    'exagériez',
    'exagérions',
    'exagérons',
    'exagérâmes',
    'exagérât',
    'exagérâtes',
    'exagérèrent',
    'exagéré',
    'exagérée',
    'exagérées',
    'exagérément',
    'exagérés',
    'exalta',
    'exaltai',
    'exaltaient',
    'exaltais',
    'exaltait',
    'exaltant',
    'exaltante',
    'exaltantes',
    'exaltants',
    'exaltas',
    'exaltasse',
    'exaltassent',
    'exaltasses',
    'exaltassiez',
    'exaltassions',
    'exaltation',
    'exaltations',
    'exalte',
    'exaltent',
    'exalter',
    'exaltera',
    'exalterai',
    'exalteraient',
    'exalterais',
    'exalterait',
    'exalteras',
    'exalterez',
    'exalteriez',
    'exalterions',
    'exalterons',
    'exalteront',
    'exaltes',
    'exaltez',
    'exaltiez',
    'exaltions',
    'exaltons',
    'exaltâmes',
    'exaltât',
    'exaltâtes',
    'exaltèrent',
    'exalté',
    'exaltée',
    'exaltées',
    'exaltés',
    'examen',
    'examens',
    'examina',
    'examinai',
    'examinaient',
    'examinais',
    'examinait',
    'examinant',
    'examinas',
    'examinasse',
    'examinassent',
    'examinasses',
    'examinassiez',
    'examinateur',
    'examinateurs',
    'examinatrice',
    'examine',
    'examinent',
    'examiner',
    'examinera',
    'examinerai',
    'examinerais',
    'examinerait',
    'examineras',
    'examinerez',
    'examineriez',
    'examinerions',
    'examinerons',
    'examineront',
    'examines',
    'examinez',
    'examiniez',
    'examinions',
    'examinons',
    'examinâmes',
    'examinât',
    'examinâtes',
    'examinèrent',
    'examiné',
    'examinée',
    'examinées',
    'examinés',
    'exanthème',
    'exanthèmes',
    'exarchat',
    'exarchats',
    'exarque',
    'exarques',
    'exaspère',
    'exaspèrent',
    'exaspères',
    'exaspéra',
    'exaspérai',
    'exaspéraient',
    'exaspérais',
    'exaspérait',
    'exaspérant',
    'exaspérante',
    'exaspérantes',
    'exaspérants',
    'exaspéras',
    'exaspérasse',
    'exaspérasses',
    'exaspération',
    'exaspérer',
    'exaspérera',
    'exaspérerai',
    'exaspérerais',
    'exaspérerait',
    'exaspéreras',
    'exaspérerez',
    'exaspéreriez',
    'exaspérerons',
    'exaspéreront',
    'exaspérez',
    'exaspériez',
    'exaspérions',
    'exaspérons',
    'exaspérâmes',
    'exaspérât',
    'exaspérâtes',
    'exaspérèrent',
    'exaspéré',
    'exaspérée',
    'exaspérées',
    'exaspérés',
    'exauce',
    'exaucement',
    'exaucements',
    'exaucent',
    'exaucer',
    'exaucera',
    'exaucerai',
    'exauceraient',
    'exaucerais',
    'exaucerait',
    'exauceras',
    'exaucerez',
    'exauceriez',
    'exaucerions',
    'exaucerons',
    'exauceront',
    'exauces',
    'exaucez',
    'exauciez',
    'exaucions',
    'exaucèrent',
    'exaucé',
    'exaucée',
    'exaucées',
    'exaucés',
    'exauça',
    'exauçai',
    'exauçaient',
    'exauçais',
    'exauçait',
    'exauçant',
    'exauças',
    'exauçasse',
    'exauçassent',
    'exauçasses',
    'exauçassiez',
    'exauçassions',
    'exauçons',
    'exauçâmes',
    'exauçât',
    'exauçâtes',
    'excava',
    'excavai',
    'excavaient',
    'excavais',
    'excavait',
    'excavant',
    'excavas',
    'excavasse',
    'excavassent',
    'excavasses',
    'excavassiez',
    'excavassions',
    'excavateur',
    'excavateurs',
    'excavation',
    'excavations',
    'excavatrice',
    'excavatrices',
    'excave',
    'excavent',
    'excaver',
    'excavera',
    'excaverai',
    'excaveraient',
    'excaverais',
    'excaverait',
    'excaveras',
    'excaverez',
    'excaveriez',
    'excaverions',
    'excaverons',
    'excaveront',
    'excaves',
    'excavez',
    'excaviez',
    'excavions',
    'excavons',
    'excavâmes',
    'excavât',
    'excavâtes',
    'excavèrent',
    'excavé',
    'excavée',
    'excavées',
    'excavés',
    'excella',
    'excellai',
    'excellaient',
    'excellais',
    'excellait',
    'excellant',
    'excellas',
    'excellasse',
    'excellassent',
    'excellasses',
    'excellassiez',
    'excelle',
    'excellemment',
    'excellence',
    'excellences',
    'excellent',
    'excellente',
    'excellentes',
    'excellents',
    'exceller',
    'excellera',
    'excellerai',
    'excellerais',
    'excellerait',
    'excelleras',
    'excellerez',
    'excelleriez',
    'excellerions',
    'excellerons',
    'excelleront',
    'excelles',
    'excellez',
    'excelliez',
    'excellions',
    'excellons',
    'excellâmes',
    'excellât',
    'excellâtes',
    'excellèrent',
    'excellé',
    'excentra',
    'excentrai',
    'excentraient',
    'excentrais',
    'excentrait',
    'excentrant',
    'excentras',
    'excentrasse',
    'excentrasses',
    'excentration',
    'excentre',
    'excentrent',
    'excentrer',
    'excentrera',
    'excentrerai',
    'excentrerais',
    'excentrerait',
    'excentreras',
    'excentrerez',
    'excentreriez',
    'excentrerons',
    'excentreront',
    'excentres',
    'excentrez',
    'excentricité',
    'excentriez',
    'excentrions',
    'excentrique',
    'excentriques',
    'excentrons',
    'excentrâmes',
    'excentrât',
    'excentrâtes',
    'excentrèrent',
    'excentré',
    'excentrée',
    'excentrées',
    'excentrés',
    'excepta',
    'exceptai',
    'exceptaient',
    'exceptais',
    'exceptait',
    'exceptant',
    'exceptas',
    'exceptasse',
    'exceptassent',
    'exceptasses',
    'exceptassiez',
    'excepte',
    'exceptent',
    'excepter',
    'exceptera',
    'excepterai',
    'excepterais',
    'excepterait',
    'excepteras',
    'excepterez',
    'excepteriez',
    'excepterions',
    'excepterons',
    'excepteront',
    'exceptes',
    'exceptez',
    'exceptiez',
    'exception',
    'exceptionnel',
    'exceptions',
    'exceptons',
    'exceptâmes',
    'exceptât',
    'exceptâtes',
    'exceptèrent',
    'excepté',
    'exceptée',
    'exceptées',
    'exceptés',
    'excessif',
    'excessifs',
    'excessive',
    'excessives',
    'excipa',
    'excipai',
    'excipaient',
    'excipais',
    'excipait',
    'excipant',
    'excipas',
    'excipasse',
    'excipassent',
    'excipasses',
    'excipassiez',
    'excipassions',
    'excipe',
    'excipent',
    'exciper',
    'excipera',
    'exciperai',
    'exciperaient',
    'exciperais',
    'exciperait',
    'exciperas',
    'exciperez',
    'exciperiez',
    'exciperions',
    'exciperons',
    'exciperont',
    'excipes',
    'excipez',
    'excipient',
    'excipients',
    'excipiez',
    'excipions',
    'excipons',
    'excipâmes',
    'excipât',
    'excipâtes',
    'excipèrent',
    'excipé',
    'excipée',
    'excipées',
    'excipés',
    'excisa',
    'excisai',
    'excisaient',
    'excisais',
    'excisait',
    'excisant',
    'excisas',
    'excisasse',
    'excisassent',
    'excisasses',
    'excisassiez',
    'excisassions',
    'excise',
    'excisent',
    'exciser',
    'excisera',
    'exciserai',
    'exciseraient',
    'exciserais',
    'exciserait',
    'exciseras',
    'exciserez',
    'exciseriez',
    'exciserions',
    'exciserons',
    'exciseront',
    'excises',
    'excisez',
    'excisiez',
    'excision',
    'excisions',
    'excisons',
    'excisâmes',
    'excisât',
    'excisâtes',
    'excisèrent',
    'excisé',
    'excisée',
    'excisées',
    'excisés',
    'excita',
    'excitabilité',
    'excitable',
    'excitables',
    'excitai',
    'excitaient',
    'excitais',
    'excitait',
    'excitant',
    'excitante',
    'excitantes',
    'excitants',
    'excitas',
    'excitasse',
    'excitassent',
    'excitasses',
    'excitassiez',
    'excitassions',
    'excitateur',
    'excitateurs',
    'excitation',
    'excitations',
    'excitatrice',
    'excitatrices',
    'excite',
    'excitent',
    'exciter',
    'excitera',
    'exciterai',
    'exciteraient',
    'exciterais',
    'exciterait',
    'exciteras',
    'exciterez',
    'exciteriez',
    'exciterions',
    'exciterons',
    'exciteront',
    'excites',
    'excitez',
    'excitiez',
    'excitions',
    'excitons',
    'excitâmes',
    'excitât',
    'excitâtes',
    'excitèrent',
    'excité',
    'excitée',
    'excitées',
    'excités',
    'exclama',
    'exclamaient',
    'exclamais',
    'exclamait',
    'exclamant',
    'exclamassiez',
    'exclamatif',
    'exclamatifs',
    'exclamation',
    'exclamations',
    'exclamative',
    'exclamatives',
    'exclame',
    'exclament',
    'exclamer',
    'exclamera',
    'exclamerai',
    'exclamerais',
    'exclamerait',
    'exclameras',
    'exclamerez',
    'exclameriez',
    'exclamerions',
    'exclamerons',
    'exclameront',
    'exclames',
    'exclamez',
    'exclamiez',
    'exclamions',
    'exclamons',
    'exclamâmes',
    'exclamâtes',
    'exclamèrent',
    'exclamé',
    'exclamée',
    'exclamées',
    'exclamés',
    'exclu',
    'excluaient',
    'excluais',
    'excluait',
    'excluant',
    'exclue',
    'excluent',
    'exclues',
    'excluez',
    'excluiez',
    'excluions',
    'excluons',
    'exclura',
    'exclurai',
    'excluraient',
    'exclurais',
    'exclurait',
    'excluras',
    'exclure',
    'exclurent',
    'exclurez',
    'excluriez',
    'exclurions',
    'exclurons',
    'excluront',
    'exclus',
    'exclusif',
    'exclusifs',
    'exclusion',
    'exclusions',
    'exclusive',
    'exclusives',
    'exclusivisme',
    'exclusivité',
    'exclusivités',
    'exclusse',
    'exclussent',
    'exclusses',
    'exclussiez',
    'exclussions',
    'exclut',
    'exclûmes',
    'exclût',
    'exclûtes',
    'excommunia',
    'excommuniai',
    'excommuniais',
    'excommuniait',
    'excommuniant',
    'excommunias',
    'excommunie',
    'excommunient',
    'excommunier',
    'excommuniera',
    'excommunies',
    'excommuniez',
    'excommuniiez',
    'excommunions',
    'excommuniât',
    'excommunié',
    'excommuniée',
    'excommuniées',
    'excommuniés',
    'excoria',
    'excoriai',
    'excoriaient',
    'excoriais',
    'excoriait',
    'excoriant',
    'excorias',
    'excoriasse',
    'excoriassent',
    'excoriasses',
    'excoriassiez',
    'excoriation',
    'excoriations',
    'excorie',
    'excorient',
    'excorier',
    'excoriera',
    'excorierai',
    'excorierais',
    'excorierait',
    'excorieras',
    'excorierez',
    'excorieriez',
    'excorierions',
    'excorierons',
    'excorieront',
    'excories',
    'excoriez',
    'excoriiez',
    'excoriions',
    'excorions',
    'excoriâmes',
    'excoriât',
    'excoriâtes',
    'excorièrent',
    'excorié',
    'excoriée',
    'excoriées',
    'excoriés',
    'excroissance',
    'excrète',
    'excrètent',
    'excrètes',
    'excrément',
    'excrémentiel',
    'excréments',
    'excréta',
    'excrétai',
    'excrétaient',
    'excrétais',
    'excrétait',
    'excrétant',
    'excrétas',
    'excrétasse',
    'excrétassent',
    'excrétasses',
    'excrétassiez',
    'excréter',
    'excrétera',
    'excréterai',
    'excréterais',
    'excréterait',
    'excréteras',
    'excréterez',
    'excréteriez',
    'excréterions',
    'excréterons',
    'excréteront',
    'excréteur',
    'excréteurs',
    'excrétez',
    'excrétiez',
    'excrétion',
    'excrétions',
    'excrétoire',
    'excrétoires',
    'excrétons',
    'excrétrice',
    'excrétrices',
    'excrétâmes',
    'excrétât',
    'excrétâtes',
    'excrétèrent',
    'excrété',
    'excrétée',
    'excrétées',
    'excrétés',
    'excursion',
    'excursionna',
    'excursionnai',
    'excursionnas',
    'excursionne',
    'excursionner',
    'excursionnes',
    'excursionnez',
    'excursionnât',
    'excursionné',
    'excursions',
    'excusa',
    'excusable',
    'excusables',
    'excusai',
    'excusaient',
    'excusais',
    'excusait',
    'excusant',
    'excusas',
    'excusasse',
    'excusassent',
    'excusasses',
    'excusassiez',
    'excusassions',
    'excuse',
    'excusent',
    'excuser',
    'excusera',
    'excuserai',
    'excuseraient',
    'excuserais',
    'excuserait',
    'excuseras',
    'excuserez',
    'excuseriez',
    'excuserions',
    'excuserons',
    'excuseront',
    'excuses',
    'excusez',
    'excusiez',
    'excusions',
    'excusons',
    'excusâmes',
    'excusât',
    'excusâtes',
    'excusèrent',
    'excusé',
    'excusée',
    'excusées',
    'excusés',
    'excède',
    'excèdent',
    'excèdes',
    'excès',
    'excéda',
    'excédai',
    'excédaient',
    'excédais',
    'excédait',
    'excédant',
    'excédante',
    'excédantes',
    'excédants',
    'excédas',
    'excédasse',
    'excédassent',
    'excédasses',
    'excédassiez',
    'excédassions',
    'excédent',
    'excédentaire',
    'excédents',
    'excéder',
    'excédera',
    'excéderai',
    'excéderaient',
    'excéderais',
    'excéderait',
    'excéderas',
    'excéderez',
    'excéderiez',
    'excéderions',
    'excéderons',
    'excéderont',
    'excédez',
    'excédiez',
    'excédions',
    'excédons',
    'excédâmes',
    'excédât',
    'excédâtes',
    'excédèrent',
    'excédé',
    'excédée',
    'excédées',
    'excédés',
    'exemplaire',
    'exemplaires',
    'exemplarité',
    'exemplarités',
    'exemple',
    'exemples',
    'exemplifia',
    'exemplifiai',
    'exemplifiais',
    'exemplifiait',
    'exemplifiant',
    'exemplifias',
    'exemplifie',
    'exemplifient',
    'exemplifier',
    'exemplifiera',
    'exemplifies',
    'exemplifiez',
    'exemplifiiez',
    'exemplifions',
    'exemplifiât',
    'exemplifié',
    'exemplifiée',
    'exemplifiées',
    'exemplifiés',
    'exempt',
    'exempta',
    'exemptai',
    'exemptaient',
    'exemptais',
    'exemptait',
    'exemptant',
    'exemptas',
    'exemptasse',
    'exemptassent',
    'exemptasses',
    'exemptassiez',
    'exempte',
    'exemptent',
    'exempter',
    'exemptera',
    'exempterai',
    'exempterais',
    'exempterait',
    'exempteras',
    'exempterez',
    'exempteriez',
    'exempterions',
    'exempterons',
    'exempteront',
    'exemptes',
    'exemptez',
    'exemptiez',
    'exemption',
    'exemptions',
    'exemptons',
    'exempts',
    'exemptâmes',
    'exemptât',
    'exemptâtes',
    'exemptèrent',
    'exempté',
    'exemptée',
    'exemptées',
    'exemptés',
    'exequatur',
    'exerce',
    'exercent',
    'exercer',
    'exercera',
    'exercerai',
    'exerceraient',
    'exercerais',
    'exercerait',
    'exerceras',
    'exercerez',
    'exerceriez',
    'exercerions',
    'exercerons',
    'exerceront',
    'exerces',
    'exercez',
    'exercice',
    'exercices',
    'exerciez',
    'exercions',
    'exerciseur',
    'exerciseurs',
    'exercèrent',
    'exercé',
    'exercée',
    'exercées',
    'exercés',
    'exergue',
    'exergues',
    'exerça',
    'exerçai',
    'exerçaient',
    'exerçais',
    'exerçait',
    'exerçant',
    'exerçante',
    'exerçantes',
    'exerçants',
    'exerças',
    'exerçasse',
    'exerçassent',
    'exerçasses',
    'exerçassiez',
    'exerçassions',
    'exerçons',
    'exerçâmes',
    'exerçât',
    'exerçâtes',
    'exfolia',
    'exfoliai',
    'exfoliaient',
    'exfoliais',
    'exfoliait',
    'exfoliant',
    'exfoliante',
    'exfoliantes',
    'exfoliants',
    'exfolias',
    'exfoliasse',
    'exfoliassent',
    'exfoliasses',
    'exfoliassiez',
    'exfoliation',
    'exfoliations',
    'exfolie',
    'exfolient',
    'exfolier',
    'exfoliera',
    'exfolierai',
    'exfolierais',
    'exfolierait',
    'exfolieras',
    'exfolierez',
    'exfolieriez',
    'exfolierions',
    'exfolierons',
    'exfolieront',
    'exfolies',
    'exfoliez',
    'exfoliiez',
    'exfoliions',
    'exfolions',
    'exfoliâmes',
    'exfoliât',
    'exfoliâtes',
    'exfolièrent',
    'exfolié',
    'exfoliée',
    'exfoliées',
    'exfoliés',
    'exhala',
    'exhalai',
    'exhalaient',
    'exhalais',
    'exhalaison',
    'exhalaisons',
    'exhalait',
    'exhalant',
    'exhalas',
    'exhalasse',
    'exhalassent',
    'exhalasses',
    'exhalassiez',
    'exhalassions',
    'exhalation',
    'exhalations',
    'exhale',
    'exhalent',
    'exhaler',
    'exhalera',
    'exhalerai',
    'exhaleraient',
    'exhalerais',
    'exhalerait',
    'exhaleras',
    'exhalerez',
    'exhaleriez',
    'exhalerions',
    'exhalerons',
    'exhaleront',
    'exhales',
    'exhalez',
    'exhaliez',
    'exhalions',
    'exhalons',
    'exhalâmes',
    'exhalât',
    'exhalâtes',
    'exhalèrent',
    'exhalé',
    'exhalée',
    'exhalées',
    'exhalés',
    'exhaure',
    'exhaures',
    'exhaussa',
    'exhaussai',
    'exhaussaient',
    'exhaussais',
    'exhaussait',
    'exhaussant',
    'exhaussas',
    'exhaussasse',
    'exhaussasses',
    'exhausse',
    'exhaussement',
    'exhaussent',
    'exhausser',
    'exhaussera',
    'exhausserai',
    'exhausserais',
    'exhausserait',
    'exhausseras',
    'exhausserez',
    'exhausseriez',
    'exhausserons',
    'exhausseront',
    'exhausses',
    'exhaussez',
    'exhaussiez',
    'exhaussions',
    'exhaussons',
    'exhaussâmes',
    'exhaussât',
    'exhaussâtes',
    'exhaussèrent',
    'exhaussé',
    'exhaussée',
    'exhaussées',
    'exhaussés',
    'exhausteur',
    'exhausteurs',
    'exhaustif',
    'exhaustifs',
    'exhaustive',
    'exhaustives',
    'exhaustivité',
    'exhiba',
    'exhibai',
    'exhibaient',
    'exhibais',
    'exhibait',
    'exhibant',
    'exhibas',
    'exhibasse',
    'exhibassent',
    'exhibasses',
    'exhibassiez',
    'exhibassions',
    'exhibe',
    'exhibent',
    'exhiber',
    'exhibera',
    'exhiberai',
    'exhiberaient',
    'exhiberais',
    'exhiberait',
    'exhiberas',
    'exhiberez',
    'exhiberiez',
    'exhiberions',
    'exhiberons',
    'exhiberont',
    'exhibes',
    'exhibez',
    'exhibiez',
    'exhibions',
    'exhibition',
    'exhibitions',
    'exhibons',
    'exhibâmes',
    'exhibât',
    'exhibâtes',
    'exhibèrent',
    'exhibé',
    'exhibée',
    'exhibées',
    'exhibés',
    'exhorta',
    'exhortai',
    'exhortaient',
    'exhortais',
    'exhortait',
    'exhortant',
    'exhortas',
    'exhortasse',
    'exhortassent',
    'exhortasses',
    'exhortassiez',
    'exhortation',
    'exhortations',
    'exhorte',
    'exhortent',
    'exhorter',
    'exhortera',
    'exhorterai',
    'exhorterais',
    'exhorterait',
    'exhorteras',
    'exhorterez',
    'exhorteriez',
    'exhorterions',
    'exhorterons',
    'exhorteront',
    'exhortes',
    'exhortez',
    'exhortiez',
    'exhortions',
    'exhortons',
    'exhortâmes',
    'exhortât',
    'exhortâtes',
    'exhortèrent',
    'exhorté',
    'exhortée',
    'exhortées',
    'exhortés',
    'exhuma',
    'exhumai',
    'exhumaient',
    'exhumais',
    'exhumait',
    'exhumant',
    'exhumas',
    'exhumasse',
    'exhumassent',
    'exhumasses',
    'exhumassiez',
    'exhumassions',
    'exhumation',
    'exhumations',
    'exhume',
    'exhument',
    'exhumer',
    'exhumera',
    'exhumerai',
    'exhumeraient',
    'exhumerais',
    'exhumerait',
    'exhumeras',
    'exhumerez',
    'exhumeriez',
    'exhumerions',
    'exhumerons',
    'exhumeront',
    'exhumes',
    'exhumez',
    'exhumiez',
    'exhumions',
    'exhumons',
    'exhumâmes',
    'exhumât',
    'exhumâtes',
    'exhumèrent',
    'exhumé',
    'exhumée',
    'exhumées',
    'exhumés',
    'exhérède',
    'exhérèdent',
    'exhérèdes',
    'exhéréda',
    'exhérédai',
    'exhérédaient',
    'exhérédais',
    'exhérédait',
    'exhérédant',
    'exhérédas',
    'exhérédasse',
    'exhérédasses',
    'exhérédation',
    'exhéréder',
    'exhérédera',
    'exhéréderai',
    'exhéréderais',
    'exhéréderait',
    'exhéréderas',
    'exhéréderez',
    'exhéréderiez',
    'exhéréderons',
    'exhéréderont',
    'exhérédez',
    'exhérédiez',
    'exhérédions',
    'exhérédons',
    'exhérédâmes',
    'exhérédât',
    'exhérédâtes',
    'exhérédèrent',
    'exhérédé',
    'exhérédée',
    'exhérédées',
    'exhérédés',
    'exige',
    'exigea',
    'exigeai',
    'exigeaient',
    'exigeais',
    'exigeait',
    'exigeant',
    'exigeante',
    'exigeantes',
    'exigeants',
    'exigeas',
    'exigeasse',
    'exigeassent',
    'exigeasses',
    'exigeassiez',
    'exigeassions',
    'exigence',
    'exigences',
    'exigent',
    'exigeons',
    'exiger',
    'exigera',
    'exigerai',
    'exigeraient',
    'exigerais',
    'exigerait',
    'exigeras',
    'exigerez',
    'exigeriez',
    'exigerions',
    'exigerons',
    'exigeront',
    'exiges',
    'exigez',
    'exigeâmes',
    'exigeât',
    'exigeâtes',
    'exigibilité',
    'exigibilités',
    'exigible',
    'exigibles',
    'exigiez',
    'exigions',
    'exigu',
    'exigus',
    'exiguë',
    'exiguës',
    'exiguïté',
    'exiguïtés',
    'exigèrent',
    'exigé',
    'exigée',
    'exigées',
    'exigés',
    'exil',
    'exila',
    'exilai',
    'exilaient',
    'exilais',
    'exilait',
    'exilant',
    'exilas',
    'exilasse',
    'exilassent',
    'exilasses',
    'exilassiez',
    'exilassions',
    'exile',
    'exilent',
    'exiler',
    'exilera',
    'exilerai',
    'exileraient',
    'exilerais',
    'exilerait',
    'exileras',
    'exilerez',
    'exileriez',
    'exilerions',
    'exilerons',
    'exileront',
    'exiles',
    'exilez',
    'exiliez',
    'exilions',
    'exilons',
    'exils',
    'exilâmes',
    'exilât',
    'exilâtes',
    'exilèrent',
    'exilé',
    'exilée',
    'exilées',
    'exilés',
    'exista',
    'existai',
    'existaient',
    'existais',
    'existait',
    'existant',
    'existante',
    'existantes',
    'existants',
    'existas',
    'existasse',
    'existassent',
    'existasses',
    'existassiez',
    'existassions',
    'existe',
    'existence',
    'existences',
    'existent',
    'existentiel',
    'existentiels',
    'exister',
    'existera',
    'existerai',
    'existeraient',
    'existerais',
    'existerait',
    'existeras',
    'existerez',
    'existeriez',
    'existerions',
    'existerons',
    'existeront',
    'existes',
    'existez',
    'existiez',
    'existions',
    'existons',
    'existâmes',
    'existât',
    'existâtes',
    'existèrent',
    'existé',
    'exit',
    'exocet',
    'exocets',
    'exocrine',
    'exocrines',
    'exode',
    'exodes',
    'exogame',
    'exogames',
    'exogamie',
    'exogamies',
    'exogène',
    'exogènes',
    'exondassiez',
    'exondassions',
    'exonder',
    'exonderez',
    'exonderiez',
    'exonderions',
    'exonderons',
    'exondez',
    'exondiez',
    'exondions',
    'exondons',
    'exondâmes',
    'exondâtes',
    'exondé',
    'exondée',
    'exondées',
    'exondés',
    'exonère',
    'exonèrent',
    'exonères',
    'exonéra',
    'exonérai',
    'exonéraient',
    'exonérais',
    'exonérait',
    'exonérant',
    'exonéras',
    'exonérasse',
    'exonérassent',
    'exonérasses',
    'exonérassiez',
    'exonération',
    'exonérations',
    'exonérer',
    'exonérera',
    'exonérerai',
    'exonérerais',
    'exonérerait',
    'exonéreras',
    'exonérerez',
    'exonéreriez',
    'exonérerions',
    'exonérerons',
    'exonéreront',
    'exonérez',
    'exonériez',
    'exonérions',
    'exonérons',
    'exonérâmes',
    'exonérât',
    'exonérâtes',
    'exonérèrent',
    'exonéré',
    'exonérée',
    'exonérées',
    'exonérés',
    'exophtalmie',
    'exophtalmies',
    'exorbitant',
    'exorbitante',
    'exorbitantes',
    'exorbitants',
    'exorbité',
    'exorbitée',
    'exorbitées',
    'exorbités',
    'exorcisa',
    'exorcisai',
    'exorcisaient',
    'exorcisais',
    'exorcisait',
    'exorcisant',
    'exorcisas',
    'exorcisasse',
    'exorcisasses',
    'exorcisation',
    'exorcise',
    'exorcisent',
    'exorciser',
    'exorcisera',
    'exorciserai',
    'exorciserais',
    'exorciserait',
    'exorciseras',
    'exorciserez',
    'exorciseriez',
    'exorciserons',
    'exorciseront',
    'exorcises',
    'exorcisez',
    'exorcisiez',
    'exorcisions',
    'exorcisme',
    'exorcismes',
    'exorcisons',
    'exorciste',
    'exorcistes',
    'exorcisâmes',
    'exorcisât',
    'exorcisâtes',
    'exorcisèrent',
    'exorcisé',
    'exorcisée',
    'exorcisées',
    'exorcisés',
    'exorde',
    'exordes',
    'exoréique',
    'exoréiques',
    'exoréisme',
    'exoréismes',
    'exosmose',
    'exosmoses',
    'exosphère',
    'exosphères',
    'exostose',
    'exostoses',
    'exothermique',
    'exotique',
    'exotiques',
    'exotisme',
    'exotismes',
    'exotoxine',
    'exotoxines',
    'exotérique',
    'exotériques',
    'expansible',
    'expansibles',
    'expansif',
    'expansifs',
    'expansion',
    'expansions',
    'expansive',
    'expansives',
    'expansivité',
    'expansivités',
    'expansé',
    'expansée',
    'expansées',
    'expansés',
    'expatria',
    'expatriai',
    'expatriaient',
    'expatriais',
    'expatriait',
    'expatriant',
    'expatrias',
    'expatriasse',
    'expatriasses',
    'expatriation',
    'expatrie',
    'expatrient',
    'expatrier',
    'expatriera',
    'expatrierai',
    'expatrierais',
    'expatrierait',
    'expatrieras',
    'expatrierez',
    'expatrieriez',
    'expatrierons',
    'expatrieront',
    'expatries',
    'expatriez',
    'expatriiez',
    'expatriions',
    'expatrions',
    'expatriâmes',
    'expatriât',
    'expatriâtes',
    'expatrièrent',
    'expatrié',
    'expatriée',
    'expatriées',
    'expatriés',
    'expectative',
    'expectatives',
    'expectora',
    'expectorai',
    'expectorais',
    'expectorait',
    'expectorant',
    'expectorante',
    'expectorants',
    'expectoras',
    'expectorasse',
    'expectore',
    'expectorent',
    'expectorer',
    'expectorera',
    'expectorerai',
    'expectoreras',
    'expectorerez',
    'expectores',
    'expectorez',
    'expectoriez',
    'expectorions',
    'expectorons',
    'expectorâmes',
    'expectorât',
    'expectorâtes',
    'expectoré',
    'expectorée',
    'expectorées',
    'expectorés',
    'expert',
    'experte',
    'expertement',
    'expertes',
    'expertisa',
    'expertisai',
    'expertisais',
    'expertisait',
    'expertisant',
    'expertisas',
    'expertisasse',
    'expertise',
    'expertisent',
    'expertiser',
    'expertisera',
    'expertiserai',
    'expertiseras',
    'expertiserez',
    'expertises',
    'expertisez',
    'expertisiez',
    'expertisions',
    'expertisons',
    'expertisâmes',
    'expertisât',
    'expertisâtes',
    'expertisé',
    'expertisée',
    'expertisées',
    'expertisés',
    'experts',
    'expia',
    'expiable',
    'expiables',
    'expiai',
    'expiaient',
    'expiais',
    'expiait',
    'expiant',
    'expias',
    'expiasse',
    'expiassent',
    'expiasses',
    'expiassiez',
    'expiassions',
    'expiation',
    'expiations',
    'expiatoire',
    'expiatoires',
    'expie',
    'expient',
    'expier',
    'expiera',
    'expierai',
    'expieraient',
    'expierais',
    'expierait',
    'expieras',
    'expierez',
    'expieriez',
    'expierions',
    'expierons',
    'expieront',
    'expies',
    'expiez',
    'expiiez',
    'expiions',
    'expions',
    'expira',
    'expirai',
    'expiraient',
    'expirais',
    'expirait',
    'expirant',
    'expirante',
    'expirantes',
    'expirants',
    'expiras',
    'expirasse',
    'expirassent',
    'expirasses',
    'expirassiez',
    'expirassions',
    'expiration',
    'expirations',
    'expire',
    'expirent',
    'expirer',
    'expirera',
    'expirerai',
    'expireraient',
    'expirerais',
    'expirerait',
    'expireras',
    'expirerez',
    'expireriez',
    'expirerions',
    'expirerons',
    'expireront',
    'expires',
    'expirez',
    'expiriez',
    'expirions',
    'expirons',
    'expirâmes',
    'expirât',
    'expirâtes',
    'expirèrent',
    'expiré',
    'expirée',
    'expirées',
    'expirés',
    'expiâmes',
    'expiât',
    'expiâtes',
    'expièrent',
    'expié',
    'expiée',
    'expiées',
    'expiés',
    'explicable',
    'explicables',
    'explicatif',
    'explicatifs',
    'explication',
    'explications',
    'explicative',
    'explicatives',
    'explicita',
    'explicitai',
    'explicitais',
    'explicitait',
    'explicitant',
    'explicitas',
    'explicitasse',
    'explicite',
    'explicitent',
    'expliciter',
    'explicitera',
    'expliciterai',
    'expliciteras',
    'expliciterez',
    'explicites',
    'explicitez',
    'explicitiez',
    'explicitions',
    'explicitons',
    'explicitâmes',
    'explicitât',
    'explicitâtes',
    'explicité',
    'explicitée',
    'explicitées',
    'explicités',
    'expliqua',
    'expliquai',
    'expliquaient',
    'expliquais',
    'expliquait',
    'expliquant',
    'expliquas',
    'expliquasse',
    'expliquasses',
    'explique',
    'expliquent',
    'expliquer',
    'expliquera',
    'expliquerai',
    'expliquerais',
    'expliquerait',
    'expliqueras',
    'expliquerez',
    'expliqueriez',
    'expliquerons',
    'expliqueront',
    'expliques',
    'expliquez',
    'expliquiez',
    'expliquions',
    'expliquons',
    'expliquâmes',
    'expliquât',
    'expliquâtes',
    'expliquèrent',
    'expliqué',
    'expliquée',
    'expliquées',
    'expliqués',
    'exploit',
    'exploita',
    'exploitable',
    'exploitables',
    'exploitai',
    'exploitaient',
    'exploitais',
    'exploitait',
    'exploitant',
    'exploitante',
    'exploitantes',
    'exploitants',
    'exploitas',
    'exploitasse',
    'exploitasses',
    'exploitation',
    'exploite',
    'exploitent',
    'exploiter',
    'exploitera',
    'exploiterai',
    'exploiterais',
    'exploiterait',
    'exploiteras',
    'exploiterez',
    'exploiteriez',
    'exploiterons',
    'exploiteront',
    'exploites',
    'exploiteur',
    'exploiteurs',
    'exploiteuse',
    'exploiteuses',
    'exploitez',
    'exploitiez',
    'exploitions',
    'exploitons',
    'exploits',
    'exploitâmes',
    'exploitât',
    'exploitâtes',
    'exploitèrent',
    'exploité',
    'exploitée',
    'exploitées',
    'exploités',
    'explora',
    'explorai',
    'exploraient',
    'explorais',
    'explorait',
    'explorant',
    'exploras',
    'explorasse',
    'explorassent',
    'explorasses',
    'explorassiez',
    'explorateur',
    'explorateurs',
    'exploration',
    'explorations',
    'exploratoire',
    'exploratrice',
    'explore',
    'explorent',
    'explorer',
    'explorera',
    'explorerai',
    'explorerais',
    'explorerait',
    'exploreras',
    'explorerez',
    'exploreriez',
    'explorerions',
    'explorerons',
    'exploreront',
    'explores',
    'explorez',
    'exploriez',
    'explorions',
    'explorons',
    'explorâmes',
    'explorât',
    'explorâtes',
    'explorèrent',
    'exploré',
    'explorée',
    'explorées',
    'explorés',
    'explosa',
    'explosai',
    'explosaient',
    'explosais',
    'explosait',
    'explosant',
    'explosas',
    'explosasse',
    'explosassent',
    'explosasses',
    'explosassiez',
    'explose',
    'explosent',
    'exploser',
    'explosera',
    'exploserai',
    'exploserais',
    'exploserait',
    'exploseras',
    'exploserez',
    'exploseriez',
    'exploserions',
    'exploserons',
    'exploseront',
    'exploses',
    'exploseur',
    'exploseurs',
    'explosez',
    'explosible',
    'explosibles',
    'explosiez',
    'explosif',
    'explosifs',
    'explosion',
    'explosions',
    'explosive',
    'explosives',
    'explosons',
    'explosâmes',
    'explosât',
    'explosâtes',
    'explosèrent',
    'explosé',
    'explétif',
    'explétifs',
    'explétive',
    'explétives',
    'exponentiel',
    'exponentiels',
    'exporta',
    'exportable',
    'exportables',
    'exportai',
    'exportaient',
    'exportais',
    'exportait',
    'exportant',
    'exportas',
    'exportasse',
    'exportassent',
    'exportasses',
    'exportassiez',
    'exportateur',
    'exportateurs',
    'exportation',
    'exportations',
    'exportatrice',
    'exporte',
    'exportent',
    'exporter',
    'exportera',
    'exporterai',
    'exporterais',
    'exporterait',
    'exporteras',
    'exporterez',
    'exporteriez',
    'exporterions',
    'exporterons',
    'exporteront',
    'exportes',
    'exportez',
    'exportiez',
    'exportions',
    'exportons',
    'exportâmes',
    'exportât',
    'exportâtes',
    'exportèrent',
    'exporté',
    'exportée',
    'exportées',
    'exportés',
    'exposa',
    'exposai',
    'exposaient',
    'exposais',
    'exposait',
    'exposant',
    'exposante',
    'exposantes',
    'exposants',
    'exposas',
    'exposasse',
    'exposassent',
    'exposasses',
    'exposassiez',
    'exposassions',
    'expose',
    'exposent',
    'exposer',
    'exposera',
    'exposerai',
    'exposeraient',
    'exposerais',
    'exposerait',
    'exposeras',
    'exposerez',
    'exposeriez',
    'exposerions',
    'exposerons',
    'exposeront',
    'exposes',
    'exposez',
    'exposiez',
    'exposions',
    'exposition',
    'expositions',
    'exposons',
    'exposâmes',
    'exposât',
    'exposâtes',
    'exposèrent',
    'exposé',
    'exposée',
    'exposées',
    'exposés',
    'express',
    'expresse',
    'expresses',
    'expressif',
    'expressifs',
    'expression',
    'expressions',
    'expressive',
    'expressives',
    'expressivité',
    'expressément',
    'exprima',
    'exprimable',
    'exprimables',
    'exprimai',
    'exprimaient',
    'exprimais',
    'exprimait',
    'exprimant',
    'exprimas',
    'exprimasse',
    'exprimassent',
    'exprimasses',
    'exprimassiez',
    'exprime',
    'expriment',
    'exprimer',
    'exprimera',
    'exprimerai',
    'exprimerais',
    'exprimerait',
    'exprimeras',
    'exprimerez',
    'exprimeriez',
    'exprimerions',
    'exprimerons',
    'exprimeront',
    'exprimes',
    'exprimez',
    'exprimiez',
    'exprimions',
    'exprimons',
    'exprimâmes',
    'exprimât',
    'exprimâtes',
    'exprimèrent',
    'exprimé',
    'exprimée',
    'exprimées',
    'exprimés',
    'expromission',
    'expropria',
    'expropriai',
    'expropriais',
    'expropriait',
    'expropriant',
    'expropriante',
    'expropriants',
    'exproprias',
    'expropriasse',
    'exproprie',
    'exproprient',
    'exproprier',
    'expropriera',
    'exproprierai',
    'exproprieras',
    'exproprierez',
    'expropries',
    'expropriez',
    'expropriiez',
    'expropriions',
    'exproprions',
    'expropriâmes',
    'expropriât',
    'expropriâtes',
    'exproprié',
    'expropriée',
    'expropriées',
    'expropriés',
    'exprès',
    'expulsa',
    'expulsai',
    'expulsaient',
    'expulsais',
    'expulsait',
    'expulsant',
    'expulsas',
    'expulsasse',
    'expulsassent',
    'expulsasses',
    'expulsassiez',
    'expulse',
    'expulsent',
    'expulser',
    'expulsera',
    'expulserai',
    'expulserais',
    'expulserait',
    'expulseras',
    'expulserez',
    'expulseriez',
    'expulserions',
    'expulserons',
    'expulseront',
    'expulses',
    'expulsez',
    'expulsiez',
    'expulsion',
    'expulsions',
    'expulsons',
    'expulsâmes',
    'expulsât',
    'expulsâtes',
    'expulsèrent',
    'expulsé',
    'expulsée',
    'expulsées',
    'expulsés',
    'expurgation',
    'expurgations',
    'expurgatoire',
    'expurge',
    'expurgea',
    'expurgeai',
    'expurgeaient',
    'expurgeais',
    'expurgeait',
    'expurgeant',
    'expurgeas',
    'expurgeasse',
    'expurgeasses',
    'expurgent',
    'expurgeons',
    'expurger',
    'expurgera',
    'expurgerai',
    'expurgerais',
    'expurgerait',
    'expurgeras',
    'expurgerez',
    'expurgeriez',
    'expurgerions',
    'expurgerons',
    'expurgeront',
    'expurges',
    'expurgez',
    'expurgeâmes',
    'expurgeât',
    'expurgeâtes',
    'expurgiez',
    'expurgions',
    'expurgèrent',
    'expurgé',
    'expurgée',
    'expurgées',
    'expurgés',
    'expédia',
    'expédiai',
    'expédiaient',
    'expédiais',
    'expédiait',
    'expédiant',
    'expédias',
    'expédiasse',
    'expédiassent',
    'expédiasses',
    'expédiassiez',
    'expédie',
    'expédient',
    'expédients',
    'expédier',
    'expédiera',
    'expédierai',
    'expédierais',
    'expédierait',
    'expédieras',
    'expédierez',
    'expédieriez',
    'expédierions',
    'expédierons',
    'expédieront',
    'expédies',
    'expédiez',
    'expédiiez',
    'expédiions',
    'expédions',
    'expéditeur',
    'expéditeurs',
    'expéditif',
    'expéditifs',
    'expédition',
    'expéditions',
    'expéditive',
    'expéditives',
    'expéditrice',
    'expéditrices',
    'expédiâmes',
    'expédiât',
    'expédiâtes',
    'expédièrent',
    'expédié',
    'expédiée',
    'expédiées',
    'expédiés',
    'expérience',
    'expériences',
    'expérimenta',
    'expérimentai',
    'expérimental',
    'expérimentas',
    'expérimente',
    'expérimenter',
    'expérimentes',
    'expérimentez',
    'expérimentât',
    'expérimenté',
    'expérimentée',
    'expérimentés',
    'exquis',
    'exquise',
    'exquises',
    'exquisément',
    'exsangue',
    'exsangues',
    'exstrophie',
    'exstrophies',
    'exsuda',
    'exsudai',
    'exsudaient',
    'exsudais',
    'exsudait',
    'exsudant',
    'exsudas',
    'exsudasse',
    'exsudassent',
    'exsudasses',
    'exsudassiez',
    'exsudassions',
    'exsudat',
    'exsudation',
    'exsudations',
    'exsudats',
    'exsude',
    'exsudent',
    'exsuder',
    'exsudera',
    'exsuderai',
    'exsuderaient',
    'exsuderais',
    'exsuderait',
    'exsuderas',
    'exsuderez',
    'exsuderiez',
    'exsuderions',
    'exsuderons',
    'exsuderont',
    'exsudes',
    'exsudez',
    'exsudiez',
    'exsudions',
    'exsudons',
    'exsudâmes',
    'exsudât',
    'exsudâtes',
    'exsudèrent',
    'exsudé',
    'exsudée',
    'exsudées',
    'exsudés',
    'extase',
    'extases',
    'extasia',
    'extasiaient',
    'extasiais',
    'extasiait',
    'extasiant',
    'extasiassiez',
    'extasie',
    'extasient',
    'extasier',
    'extasiera',
    'extasierai',
    'extasierais',
    'extasierait',
    'extasieras',
    'extasierez',
    'extasieriez',
    'extasierions',
    'extasierons',
    'extasieront',
    'extasies',
    'extasiez',
    'extasiiez',
    'extasiions',
    'extasions',
    'extasiâmes',
    'extasiâtes',
    'extasièrent',
    'extasié',
    'extasiée',
    'extasiées',
    'extasiés',
    'extatique',
    'extatiques',
    'extemporané',
    'extemporanée',
    'extemporanés',
    'extenseur',
    'extenseurs',
    'extensible',
    'extensibles',
    'extensif',
    'extensifs',
    'extension',
    'extensions',
    'extensive',
    'extensives',
    'extensomètre',
    'extermina',
    'exterminai',
    'exterminais',
    'exterminait',
    'exterminant',
    'exterminas',
    'exterminasse',
    'extermine',
    'exterminent',
    'exterminer',
    'exterminera',
    'exterminerai',
    'extermineras',
    'exterminerez',
    'extermines',
    'exterminez',
    'exterminiez',
    'exterminions',
    'exterminons',
    'exterminâmes',
    'exterminât',
    'exterminâtes',
    'exterminé',
    'exterminée',
    'exterminées',
    'exterminés',
    'externat',
    'externats',
    'externe',
    'externes',
    'extincteur',
    'extincteurs',
    'extinction',
    'extinctions',
    'extinctrice',
    'extinctrices',
    'extinguible',
    'extinguibles',
    'extirpa',
    'extirpable',
    'extirpables',
    'extirpai',
    'extirpaient',
    'extirpais',
    'extirpait',
    'extirpant',
    'extirpas',
    'extirpasse',
    'extirpassent',
    'extirpasses',
    'extirpassiez',
    'extirpateur',
    'extirpateurs',
    'extirpation',
    'extirpations',
    'extirpe',
    'extirpent',
    'extirper',
    'extirpera',
    'extirperai',
    'extirperais',
    'extirperait',
    'extirperas',
    'extirperez',
    'extirperiez',
    'extirperions',
    'extirperons',
    'extirperont',
    'extirpes',
    'extirpez',
    'extirpiez',
    'extirpions',
    'extirpons',
    'extirpâmes',
    'extirpât',
    'extirpâtes',
    'extirpèrent',
    'extirpé',
    'extirpée',
    'extirpées',
    'extirpés',
    'extorqua',
    'extorquai',
    'extorquaient',
    'extorquais',
    'extorquait',
    'extorquant',
    'extorquas',
    'extorquasse',
    'extorquasses',
    'extorque',
    'extorquent',
    'extorquer',
    'extorquera',
    'extorquerai',
    'extorquerais',
    'extorquerait',
    'extorqueras',
    'extorquerez',
    'extorqueriez',
    'extorquerons',
    'extorqueront',
    'extorques',
    'extorqueur',
    'extorqueurs',
    'extorqueuse',
    'extorqueuses',
    'extorquez',
    'extorquiez',
    'extorquions',
    'extorquons',
    'extorquâmes',
    'extorquât',
    'extorquâtes',
    'extorquèrent',
    'extorqué',
    'extorquée',
    'extorquées',
    'extorqués',
    'extorsion',
    'extorsions',
    'extra',
    'extracteur',
    'extracteurs',
    'extractible',
    'extractibles',
    'extractif',
    'extractifs',
    'extraction',
    'extractions',
    'extractive',
    'extractives',
    'extrada',
    'extradai',
    'extradaient',
    'extradais',
    'extradait',
    'extradant',
    'extradas',
    'extradasse',
    'extradassent',
    'extradasses',
    'extradassiez',
    'extrade',
    'extradent',
    'extrader',
    'extradera',
    'extraderai',
    'extraderais',
    'extraderait',
    'extraderas',
    'extraderez',
    'extraderiez',
    'extraderions',
    'extraderons',
    'extraderont',
    'extrades',
    'extradez',
    'extradiez',
    'extradions',
    'extradition',
    'extraditions',
    'extradons',
    'extrados',
    'extradâmes',
    'extradât',
    'extradâtes',
    'extradèrent',
    'extradé',
    'extradée',
    'extradées',
    'extradés',
    'extraie',
    'extraient',
    'extraies',
    'extraira',
    'extrairai',
    'extrairaient',
    'extrairais',
    'extrairait',
    'extrairas',
    'extraire',
    'extrairez',
    'extrairiez',
    'extrairions',
    'extrairons',
    'extrairont',
    'extrais',
    'extrait',
    'extraite',
    'extraites',
    'extraits',
    'extralucide',
    'extralucides',
    'extranéité',
    'extranéités',
    'extrapola',
    'extrapolai',
    'extrapolais',
    'extrapolait',
    'extrapolant',
    'extrapolas',
    'extrapolasse',
    'extrapole',
    'extrapolent',
    'extrapoler',
    'extrapolera',
    'extrapolerai',
    'extrapoleras',
    'extrapolerez',
    'extrapoles',
    'extrapolez',
    'extrapoliez',
    'extrapolions',
    'extrapolons',
    'extrapolâmes',
    'extrapolât',
    'extrapolâtes',
    'extrapolé',
    'extrapolée',
    'extrapolées',
    'extrapolés',
    'extrasystole',
    'extravagance',
    'extravagant',
    'extravagante',
    'extravagants',
    'extravagua',
    'extravaguai',
    'extravaguais',
    'extravaguait',
    'extravaguant',
    'extravaguas',
    'extravague',
    'extravaguent',
    'extravaguer',
    'extravaguera',
    'extravagues',
    'extravaguez',
    'extravaguiez',
    'extravaguons',
    'extravaguât',
    'extravagué',
    'extravasa',
    'extravasai',
    'extravasais',
    'extravasait',
    'extravasant',
    'extravasas',
    'extravasasse',
    'extravase',
    'extravasent',
    'extravaser',
    'extravasera',
    'extravaserai',
    'extravaseras',
    'extravaserez',
    'extravases',
    'extravasez',
    'extravasiez',
    'extravasions',
    'extravasons',
    'extravasâmes',
    'extravasât',
    'extravasâtes',
    'extravasé',
    'extravasée',
    'extravasées',
    'extravasés',
    'extraversion',
    'extraverti',
    'extravertie',
    'extraverties',
    'extravertis',
    'extrayaient',
    'extrayais',
    'extrayait',
    'extrayant',
    'extrayez',
    'extrayiez',
    'extrayions',
    'extrayons',
    'extremum',
    'extremums',
    'extrinsèque',
    'extrinsèques',
    'extrorse',
    'extrorses',
    'extruda',
    'extrudai',
    'extrudaient',
    'extrudais',
    'extrudait',
    'extrudant',
    'extrudas',
    'extrudasse',
    'extrudassent',
    'extrudasses',
    'extrudassiez',
    'extrude',
    'extrudent',
    'extruder',
    'extrudera',
    'extruderai',
    'extruderais',
    'extruderait',
    'extruderas',
    'extruderez',
    'extruderiez',
    'extruderions',
    'extruderons',
    'extruderont',
    'extrudes',
    'extrudez',
    'extrudiez',
    'extrudions',
    'extrudons',
    'extrudâmes',
    'extrudât',
    'extrudâtes',
    'extrudèrent',
    'extrudé',
    'extrudée',
    'extrudées',
    'extrudés',
    'extrusion',
    'extrusions',
    'extrémal',
    'extrémisme',
    'extrémismes',
    'extrémiste',
    'extrémistes',
    'extrémité',
    'extrémités',
    'extrême',
    'extrêmement',
    'extrêmes',
    'exténua',
    'exténuai',
    'exténuaient',
    'exténuais',
    'exténuait',
    'exténuant',
    'exténuante',
    'exténuantes',
    'exténuants',
    'exténuas',
    'exténuasse',
    'exténuassent',
    'exténuasses',
    'exténuassiez',
    'exténuation',
    'exténuations',
    'exténue',
    'exténuent',
    'exténuer',
    'exténuera',
    'exténuerai',
    'exténuerais',
    'exténuerait',
    'exténueras',
    'exténuerez',
    'exténueriez',
    'exténuerions',
    'exténuerons',
    'exténueront',
    'exténues',
    'exténuez',
    'exténuiez',
    'exténuions',
    'exténuons',
    'exténuâmes',
    'exténuât',
    'exténuâtes',
    'exténuèrent',
    'exténué',
    'exténuée',
    'exténuées',
    'exténués',
    'extérieur',
    'extérieure',
    'extérieures',
    'extérieurs',
    'extériorisa',
    'extériorisai',
    'extériorisas',
    'extériorise',
    'extérioriser',
    'extériorises',
    'extériorisez',
    'extériorisât',
    'extériorisé',
    'extériorisée',
    'extériorisés',
    'extériorité',
    'extériorités',
    'extéroceptif',
    'exubérance',
    'exubérances',
    'exubérant',
    'exubérante',
    'exubérantes',
    'exubérants',
    'exulcère',
    'exulcèrent',
    'exulcères',
    'exulcéra',
    'exulcérai',
    'exulcéraient',
    'exulcérais',
    'exulcérait',
    'exulcérant',
    'exulcéras',
    'exulcérasse',
    'exulcérasses',
    'exulcération',
    'exulcérer',
    'exulcérera',
    'exulcérerai',
    'exulcérerais',
    'exulcérerait',
    'exulcéreras',
    'exulcérerez',
    'exulcéreriez',
    'exulcérerons',
    'exulcéreront',
    'exulcérez',
    'exulcériez',
    'exulcérions',
    'exulcérons',
    'exulcérâmes',
    'exulcérât',
    'exulcérâtes',
    'exulcérèrent',
    'exulcéré',
    'exulcérée',
    'exulcérées',
    'exulcérés',
    'exulta',
    'exultai',
    'exultaient',
    'exultais',
    'exultait',
    'exultant',
    'exultas',
    'exultasse',
    'exultassent',
    'exultasses',
    'exultassiez',
    'exultassions',
    'exultation',
    'exultations',
    'exulte',
    'exultent',
    'exulter',
    'exultera',
    'exulterai',
    'exulteraient',
    'exulterais',
    'exulterait',
    'exulteras',
    'exulterez',
    'exulteriez',
    'exulterions',
    'exulterons',
    'exulteront',
    'exultes',
    'exultez',
    'exultiez',
    'exultions',
    'exultons',
    'exultâmes',
    'exultât',
    'exultâtes',
    'exultèrent',
    'exulté',
    'exutoire',
    'exutoires',
    'exècre',
    'exècrent',
    'exècres',
    'exèdre',
    'exèdres',
    'exécra',
    'exécrable',
    'exécrables',
    'exécrai',
    'exécraient',
    'exécrais',
    'exécrait',
    'exécrant',
    'exécras',
    'exécrasse',
    'exécrassent',
    'exécrasses',
    'exécrassiez',
    'exécrassions',
    'exécration',
    'exécrations',
    'exécrer',
    'exécrera',
    'exécrerai',
    'exécreraient',
    'exécrerais',
    'exécrerait',
    'exécreras',
    'exécrerez',
    'exécreriez',
    'exécrerions',
    'exécrerons',
    'exécreront',
    'exécrez',
    'exécriez',
    'exécrions',
    'exécrons',
    'exécrâmes',
    'exécrât',
    'exécrâtes',
    'exécrèrent',
    'exécré',
    'exécrée',
    'exécrées',
    'exécrés',
    'exécuta',
    'exécutable',
    'exécutables',
    'exécutai',
    'exécutaient',
    'exécutais',
    'exécutait',
    'exécutant',
    'exécutante',
    'exécutantes',
    'exécutants',
    'exécutas',
    'exécutasse',
    'exécutassent',
    'exécutasses',
    'exécutassiez',
    'exécute',
    'exécutent',
    'exécuter',
    'exécutera',
    'exécuterai',
    'exécuterais',
    'exécuterait',
    'exécuteras',
    'exécuterez',
    'exécuteriez',
    'exécuterions',
    'exécuterons',
    'exécuteront',
    'exécutes',
    'exécuteur',
    'exécuteurs',
    'exécutez',
    'exécutiez',
    'exécutif',
    'exécutifs',
    'exécution',
    'exécutions',
    'exécutive',
    'exécutives',
    'exécutoire',
    'exécutoires',
    'exécutons',
    'exécutrice',
    'exécutrices',
    'exécutâmes',
    'exécutât',
    'exécutâtes',
    'exécutèrent',
    'exécuté',
    'exécutée',
    'exécutées',
    'exécutés',
    'exégèse',
    'exégèses',
    'exégète',
    'exégètes',
    'exégétique',
    'exégétiques',
    'eûmes',
    'eûtes',
    'fable',
    'fables',
    'fabliau',
    'fabliaux',
    'fablier',
    'fabliers',
    'fabricant',
    'fabricante',
    'fabricantes',
    'fabricants',
    'fabricateur',
    'fabricateurs',
    'fabrication',
    'fabrications',
    'fabricatrice',
    'fabricien',
    'fabriciens',
    'fabriqua',
    'fabriquai',
    'fabriquaient',
    'fabriquais',
    'fabriquait',
    'fabriquant',
    'fabriquante',
    'fabriquantes',
    'fabriquants',
    'fabriquas',
    'fabriquasse',
    'fabriquasses',
    'fabrique',
    'fabriquent',
    'fabriquer',
    'fabriquera',
    'fabriquerai',
    'fabriquerais',
    'fabriquerait',
    'fabriqueras',
    'fabriquerez',
    'fabriqueriez',
    'fabriquerons',
    'fabriqueront',
    'fabriques',
    'fabriquez',
    'fabriquiez',
    'fabriquions',
    'fabriquons',
    'fabriquâmes',
    'fabriquât',
    'fabriquâtes',
    'fabriquèrent',
    'fabriqué',
    'fabriquée',
    'fabriquées',
    'fabriqués',
    'fabula',
    'fabulai',
    'fabulaient',
    'fabulais',
    'fabulait',
    'fabulant',
    'fabulas',
    'fabulasse',
    'fabulassent',
    'fabulasses',
    'fabulassiez',
    'fabulassions',
    'fabulateur',
    'fabulateurs',
    'fabulation',
    'fabulations',
    'fabulatrice',
    'fabulatrices',
    'fabule',
    'fabulent',
    'fabuler',
    'fabulera',
    'fabulerai',
    'fabuleraient',
    'fabulerais',
    'fabulerait',
    'fabuleras',
    'fabulerez',
    'fabuleriez',
    'fabulerions',
    'fabulerons',
    'fabuleront',
    'fabules',
    'fabuleuse',
    'fabuleuses',
    'fabuleux',
    'fabulez',
    'fabuliez',
    'fabulions',
    'fabuliste',
    'fabulistes',
    'fabulons',
    'fabulâmes',
    'fabulât',
    'fabulâtes',
    'fabulèrent',
    'fabulé',
    'fabulée',
    'fabulées',
    'fabulés',
    'face',
    'faces',
    'facetta',
    'facettai',
    'facettaient',
    'facettais',
    'facettait',
    'facettant',
    'facettas',
    'facettasse',
    'facettassent',
    'facettasses',
    'facettassiez',
    'facette',
    'facettent',
    'facetter',
    'facettera',
    'facetterai',
    'facetterais',
    'facetterait',
    'facetteras',
    'facetterez',
    'facetteriez',
    'facetterions',
    'facetterons',
    'facetteront',
    'facettes',
    'facettez',
    'facettiez',
    'facettions',
    'facettons',
    'facettâmes',
    'facettât',
    'facettâtes',
    'facettèrent',
    'facetté',
    'facettée',
    'facettées',
    'facettés',
    'facho',
    'fachos',
    'facial',
    'faciale',
    'faciales',
    'faciaux',
    'facile',
    'facilement',
    'faciles',
    'facilita',
    'facilitai',
    'facilitaient',
    'facilitais',
    'facilitait',
    'facilitant',
    'facilitas',
    'facilitasse',
    'facilitasses',
    'facilitation',
    'facilite',
    'facilitent',
    'faciliter',
    'facilitera',
    'faciliterai',
    'faciliterais',
    'faciliterait',
    'faciliteras',
    'faciliterez',
    'faciliteriez',
    'faciliterons',
    'faciliteront',
    'facilites',
    'facilitez',
    'facilitiez',
    'facilitions',
    'facilitons',
    'facilitâmes',
    'facilitât',
    'facilitâtes',
    'facilitèrent',
    'facilité',
    'facilitée',
    'facilitées',
    'facilités',
    'faciès',
    'faconde',
    'facondes',
    'factage',
    'factages',
    'facteur',
    'facteurs',
    'factice',
    'facticement',
    'factices',
    'facticité',
    'facticités',
    'factieuse',
    'factieuses',
    'factieux',
    'faction',
    'factionnaire',
    'factions',
    'factitif',
    'factitifs',
    'factitive',
    'factitives',
    'facto',
    'factor',
    'factorage',
    'factorages',
    'factorerie',
    'factoreries',
    'factoriel',
    'factorielle',
    'factorielles',
    'factoriels',
    'factoring',
    'factorings',
    'factorisa',
    'factorisai',
    'factorisais',
    'factorisait',
    'factorisant',
    'factorisas',
    'factorisasse',
    'factorise',
    'factorisent',
    'factoriser',
    'factorisera',
    'factoriserai',
    'factoriseras',
    'factoriserez',
    'factorises',
    'factorisez',
    'factorisiez',
    'factorisions',
    'factorisons',
    'factorisâmes',
    'factorisât',
    'factorisâtes',
    'factorisé',
    'factorisée',
    'factorisées',
    'factorisés',
    'factors',
    'factotum',
    'factotums',
    'factrice',
    'factrices',
    'factuel',
    'factuelle',
    'factuelles',
    'factuels',
    'factum',
    'factums',
    'factura',
    'facturai',
    'facturaient',
    'facturais',
    'facturait',
    'facturant',
    'facturas',
    'facturasse',
    'facturassent',
    'facturasses',
    'facturassiez',
    'facturation',
    'facturations',
    'facture',
    'facturent',
    'facturer',
    'facturera',
    'facturerai',
    'facturerais',
    'facturerait',
    'factureras',
    'facturerez',
    'factureriez',
    'facturerions',
    'facturerons',
    'factureront',
    'factures',
    'facturez',
    'facturier',
    'facturiers',
    'facturiez',
    'facturions',
    'facturière',
    'facturières',
    'facturons',
    'facturâmes',
    'facturât',
    'facturâtes',
    'facturèrent',
    'facturé',
    'facturée',
    'facturées',
    'facturés',
    'facultatif',
    'facultatifs',
    'facultative',
    'facultatives',
    'faculté',
    'facultés',
    'facétie',
    'facéties',
    'facétieuse',
    'facétieuses',
    'facétieux',
    'fada',
    'fadai',
    'fadaient',
    'fadais',
    'fadaise',
    'fadaises',
    'fadait',
    'fadant',
    'fadas',
    'fadasse',
    'fadassent',
    'fadasserie',
    'fadasseries',
    'fadasses',
    'fadassiez',
    'fadassions',
    'fade',
    'fadement',
    'fadent',
    'fader',
    'fadera',
    'faderai',
    'faderaient',
    'faderais',
    'faderait',
    'faderas',
    'faderez',
    'faderiez',
    'faderions',
    'faderons',
    'faderont',
    'fades',
    'fadeur',
    'fadeurs',
    'fadez',
    'fadiez',
    'fading',
    'fadings',
    'fadions',
    'fado',
    'fadons',
    'fados',
    'fadâmes',
    'fadât',
    'fadâtes',
    'fadèrent',
    'fadé',
    'fadée',
    'fadées',
    'fadés',
    'fafiot',
    'fafiots',
    'fagne',
    'fagnes',
    'fagot',
    'fagota',
    'fagotage',
    'fagotages',
    'fagotai',
    'fagotaient',
    'fagotais',
    'fagotait',
    'fagotant',
    'fagotas',
    'fagotasse',
    'fagotassent',
    'fagotasses',
    'fagotassiez',
    'fagotassions',
    'fagote',
    'fagotent',
    'fagoter',
    'fagotera',
    'fagoterai',
    'fagoteraient',
    'fagoterais',
    'fagoterait',
    'fagoteras',
    'fagoterez',
    'fagoteriez',
    'fagoterions',
    'fagoterons',
    'fagoteront',
    'fagotes',
    'fagotez',
    'fagotier',
    'fagotiers',
    'fagotiez',
    'fagotin',
    'fagotins',
    'fagotions',
    'fagotons',
    'fagots',
    'fagotâmes',
    'fagotât',
    'fagotâtes',
    'fagotèrent',
    'fagoté',
    'fagotée',
    'fagotées',
    'fagotés',
    'faiblard',
    'faiblarde',
    'faiblardes',
    'faiblards',
    'faible',
    'faiblement',
    'faibles',
    'faiblesse',
    'faiblesses',
    'faibli',
    'faiblir',
    'faiblira',
    'faiblirai',
    'faibliraient',
    'faiblirais',
    'faiblirait',
    'faibliras',
    'faiblirent',
    'faiblirez',
    'faibliriez',
    'faiblirions',
    'faiblirons',
    'faibliront',
    'faiblis',
    'faiblissais',
    'faiblissait',
    'faiblissant',
    'faiblissante',
    'faiblissants',
    'faiblisse',
    'faiblissent',
    'faiblisses',
    'faiblissez',
    'faiblissiez',
    'faiblissions',
    'faiblissons',
    'faiblit',
    'faiblîmes',
    'faiblît',
    'faiblîtes',
    'faignant',
    'faignanta',
    'faignantai',
    'faignantais',
    'faignantait',
    'faignantant',
    'faignantas',
    'faignantasse',
    'faignante',
    'faignantent',
    'faignanter',
    'faignantera',
    'faignanterai',
    'faignanteras',
    'faignanterez',
    'faignantes',
    'faignantez',
    'faignantiez',
    'faignantions',
    'faignantons',
    'faignants',
    'faignantâmes',
    'faignantât',
    'faignantâtes',
    'faignanté',
    'failla',
    'faillai',
    'faillaient',
    'faillais',
    'faillait',
    'faillant',
    'faillas',
    'faillasse',
    'faillassent',
    'faillasses',
    'faillassiez',
    'faillassions',
    'faille',
    'faillent',
    'failler',
    'faillera',
    'faillerai',
    'failleraient',
    'faillerais',
    'faillerait',
    'failleras',
    'faillerez',
    'failleriez',
    'faillerions',
    'faillerons',
    'failleront',
    'failles',
    'faillez',
    'failli',
    'faillibilité',
    'faillible',
    'faillibles',
    'faillie',
    'faillies',
    'failliez',
    'faillions',
    'faillir',
    'faillira',
    'faillirai',
    'failliraient',
    'faillirais',
    'faillirait',
    'failliras',
    'faillirent',
    'faillirez',
    'failliriez',
    'faillirions',
    'faillirons',
    'failliront',
    'faillis',
    'faillissant',
    'faillisse',
    'faillissent',
    'faillisses',
    'faillissiez',
    'faillissions',
    'faillit',
    'faillite',
    'faillites',
    'faillons',
    'faillâmes',
    'faillât',
    'faillâtes',
    'faillèrent',
    'faillé',
    'faillée',
    'faillées',
    'faillés',
    'faillîmes',
    'faillît',
    'faillîtes',
    'faim',
    'faims',
    'fainéant',
    'fainéanta',
    'fainéantai',
    'fainéantais',
    'fainéantait',
    'fainéantant',
    'fainéantas',
    'fainéantasse',
    'fainéante',
    'fainéantent',
    'fainéanter',
    'fainéantera',
    'fainéanterai',
    'fainéanteras',
    'fainéanterez',
    'fainéantes',
    'fainéantez',
    'fainéantiez',
    'fainéantions',
    'fainéantise',
    'fainéantises',
    'fainéantons',
    'fainéants',
    'fainéantâmes',
    'fainéantât',
    'fainéantâtes',
    'fainéanté',
    'faire',
    'faires',
    'fais',
    'faisabilité',
    'faisabilités',
    'faisable',
    'faisables',
    'faisaient',
    'faisais',
    'faisait',
    'faisan',
    'faisanda',
    'faisandage',
    'faisandages',
    'faisandai',
    'faisandaient',
    'faisandais',
    'faisandait',
    'faisandant',
    'faisandas',
    'faisandasse',
    'faisandasses',
    'faisande',
    'faisandeau',
    'faisandeaux',
    'faisandent',
    'faisander',
    'faisandera',
    'faisanderai',
    'faisanderais',
    'faisanderait',
    'faisanderas',
    'faisanderez',
    'faisanderie',
    'faisanderies',
    'faisanderiez',
    'faisanderons',
    'faisanderont',
    'faisandes',
    'faisandez',
    'faisandiez',
    'faisandions',
    'faisandons',
    'faisandâmes',
    'faisandât',
    'faisandâtes',
    'faisandèrent',
    'faisandé',
    'faisandée',
    'faisandées',
    'faisandés',
    'faisane',
    'faisanes',
    'faisans',
    'faisant',
    'faisceau',
    'faisceaux',
    'faiseur',
    'faiseurs',
    'faiseuse',
    'faiseuses',
    'faisiez',
    'faisions',
    'faisons',
    'faisselle',
    'faisselles',
    'fait',
    'faite',
    'faites',
    'faitout',
    'faitouts',
    'faits',
    'fakir',
    'fakirisme',
    'fakirismes',
    'fakirs',
    'falaise',
    'falaises',
    'falarique',
    'falariques',
    'falbala',
    'falbalas',
    'faldistoire',
    'faldistoires',
    'falerne',
    'falernes',
    'fallacieuse',
    'fallacieuses',
    'fallacieux',
    'fallait',
    'falloir',
    'fallu',
    'fallut',
    'fallût',
    'falot',
    'falote',
    'falotes',
    'falots',
    'falourde',
    'falourdes',
    'falsifia',
    'falsifiable',
    'falsifiables',
    'falsifiai',
    'falsifiaient',
    'falsifiais',
    'falsifiait',
    'falsifiant',
    'falsifias',
    'falsifiasse',
    'falsifiasses',
    'falsifie',
    'falsifient',
    'falsifier',
    'falsifiera',
    'falsifierai',
    'falsifierais',
    'falsifierait',
    'falsifieras',
    'falsifierez',
    'falsifieriez',
    'falsifierons',
    'falsifieront',
    'falsifies',
    'falsifiez',
    'falsifiiez',
    'falsifiions',
    'falsifions',
    'falsifiâmes',
    'falsifiât',
    'falsifiâtes',
    'falsifièrent',
    'falsifié',
    'falsifiée',
    'falsifiées',
    'falsifiés',
    'faluche',
    'faluches',
    'falun',
    'faluner',
    'falunière',
    'falunières',
    'faluns',
    'falzar',
    'falzars',
    'fameuse',
    'fameusement',
    'fameuses',
    'fameux',
    'familial',
    'familiale',
    'familiales',
    'familiarisa',
    'familiarisai',
    'familiarisas',
    'familiarise',
    'familiariser',
    'familiarises',
    'familiarisez',
    'familiarisât',
    'familiarisé',
    'familiarisée',
    'familiarisés',
    'familiarité',
    'familiarités',
    'familiaux',
    'familier',
    'familiers',
    'familistère',
    'familistères',
    'familière',
    'familières',
    'famille',
    'familles',
    'famine',
    'famines',
    'famé',
    'famée',
    'famées',
    'famélique',
    'faméliques',
    'famés',
    'fana',
    'fanage',
    'fanages',
    'fanai',
    'fanaient',
    'fanais',
    'fanait',
    'fanal',
    'fanant',
    'fanas',
    'fanasse',
    'fanassent',
    'fanasses',
    'fanassiez',
    'fanassions',
    'fanatique',
    'fanatiques',
    'fanatisa',
    'fanatisai',
    'fanatisaient',
    'fanatisais',
    'fanatisait',
    'fanatisant',
    'fanatisante',
    'fanatisantes',
    'fanatisants',
    'fanatisas',
    'fanatisasse',
    'fanatisasses',
    'fanatise',
    'fanatisent',
    'fanatiser',
    'fanatisera',
    'fanatiserai',
    'fanatiserais',
    'fanatiserait',
    'fanatiseras',
    'fanatiserez',
    'fanatiseriez',
    'fanatiserons',
    'fanatiseront',
    'fanatises',
    'fanatisez',
    'fanatisiez',
    'fanatisions',
    'fanatisme',
    'fanatismes',
    'fanatisons',
    'fanatisâmes',
    'fanatisât',
    'fanatisâtes',
    'fanatisèrent',
    'fanatisé',
    'fanatisée',
    'fanatisées',
    'fanatisés',
    'fanaux',
    'fandango',
    'fandangos',
    'fane',
    'fanent',
    'faner',
    'fanera',
    'fanerai',
    'faneraient',
    'fanerais',
    'fanerait',
    'faneras',
    'fanerez',
    'faneriez',
    'fanerions',
    'fanerons',
    'faneront',
    'fanes',
    'faneur',
    'faneurs',
    'faneuse',
    'faneuses',
    'faneux',
    'fanez',
    'fanfare',
    'fanfares',
    'fanfaron',
    'fanfaronna',
    'fanfaronnade',
    'fanfaronnai',
    'fanfaronnais',
    'fanfaronnait',
    'fanfaronnant',
    'fanfaronnas',
    'fanfaronne',
    'fanfaronnent',
    'fanfaronner',
    'fanfaronnera',
    'fanfaronnes',
    'fanfaronnez',
    'fanfaronniez',
    'fanfaronnons',
    'fanfaronnât',
    'fanfaronné',
    'fanfarons',
    'fanfrelucha',
    'fanfreluchai',
    'fanfreluchas',
    'fanfreluche',
    'fanfrelucher',
    'fanfreluches',
    'fanfreluchez',
    'fanfreluchât',
    'fanfreluché',
    'fanfreluchée',
    'fanfreluchés',
    'fange',
    'fanges',
    'fangeuse',
    'fangeuses',
    'fangeux',
    'faniez',
    'fanion',
    'fanions',
    'fanon',
    'fanons',
    'fantaisie',
    'fantaisies',
    'fantaisiste',
    'fantaisistes',
    'fantasia',
    'fantasias',
    'fantasma',
    'fantasmai',
    'fantasmaient',
    'fantasmais',
    'fantasmait',
    'fantasmant',
    'fantasmas',
    'fantasmasse',
    'fantasmasses',
    'fantasme',
    'fantasment',
    'fantasmer',
    'fantasmera',
    'fantasmerai',
    'fantasmerais',
    'fantasmerait',
    'fantasmeras',
    'fantasmerez',
    'fantasmeriez',
    'fantasmerons',
    'fantasmeront',
    'fantasmes',
    'fantasmez',
    'fantasmiez',
    'fantasmions',
    'fantasmons',
    'fantasmâmes',
    'fantasmât',
    'fantasmâtes',
    'fantasmèrent',
    'fantasmé',
    'fantasque',
    'fantasques',
    'fantassin',
    'fantassins',
    'fantastique',
    'fantastiques',
    'fantoche',
    'fantoches',
    'fantomatique',
    'fantôme',
    'fantômes',
    'fanzine',
    'fanzines',
    'fanâmes',
    'fanât',
    'fanâtes',
    'fanèrent',
    'fané',
    'fanée',
    'fanées',
    'fanés',
    'faon',
    'faons',
    'faquin',
    'faquins',
    'farad',
    'faraday',
    'faradays',
    'faradique',
    'faradiques',
    'farads',
    'faramineuse',
    'faramineuses',
    'faramineux',
    'farandole',
    'farandoles',
    'faraud',
    'faraude',
    'faraudes',
    'farauds',
    'farce',
    'farces',
    'farceur',
    'farceurs',
    'farceuse',
    'farceuses',
    'farci',
    'farcie',
    'farcies',
    'farcin',
    'farcins',
    'farcir',
    'farcira',
    'farcirai',
    'farciraient',
    'farcirais',
    'farcirait',
    'farciras',
    'farcirent',
    'farcirez',
    'farciriez',
    'farcirions',
    'farcirons',
    'farciront',
    'farcis',
    'farcissaient',
    'farcissais',
    'farcissait',
    'farcissant',
    'farcisse',
    'farcissent',
    'farcisses',
    'farcissez',
    'farcissiez',
    'farcissions',
    'farcissons',
    'farcit',
    'farcîmes',
    'farcît',
    'farcîtes',
    'fard',
    'farda',
    'fardage',
    'fardages',
    'fardai',
    'fardaient',
    'fardais',
    'fardait',
    'fardant',
    'fardas',
    'fardasse',
    'fardassent',
    'fardasses',
    'fardassiez',
    'fardassions',
    'farde',
    'fardeau',
    'fardeaux',
    'fardent',
    'farder',
    'fardera',
    'farderai',
    'farderaient',
    'farderais',
    'farderait',
    'farderas',
    'farderez',
    'farderiez',
    'farderions',
    'farderons',
    'farderont',
    'fardes',
    'fardez',
    'fardier',
    'fardiers',
    'fardiez',
    'fardions',
    'fardons',
    'fards',
    'fardâmes',
    'fardât',
    'fardâtes',
    'fardèrent',
    'fardé',
    'fardée',
    'fardées',
    'fardés',
    'farfadet',
    'farfadets',
    'farfelu',
    'farfelue',
    'farfelues',
    'farfelus',
    'farfouilla',
    'farfouillai',
    'farfouillais',
    'farfouillait',
    'farfouillant',
    'farfouillas',
    'farfouille',
    'farfouillent',
    'farfouiller',
    'farfouillera',
    'farfouilles',
    'farfouillez',
    'farfouilliez',
    'farfouillons',
    'farfouillât',
    'farfouillé',
    'farfouillée',
    'farfouillées',
    'farfouillés',
    'fargues',
    'faribole',
    'fariboles',
    'farigoule',
    'farigoules',
    'farina',
    'farinacé',
    'farinacée',
    'farinacées',
    'farinacés',
    'farinai',
    'farinaient',
    'farinais',
    'farinait',
    'farinant',
    'farinas',
    'farinasse',
    'farinassent',
    'farinasses',
    'farinassiez',
    'farinassions',
    'farine',
    'farinent',
    'fariner',
    'farinera',
    'farinerai',
    'farineraient',
    'farinerais',
    'farinerait',
    'farineras',
    'farinerez',
    'farineriez',
    'farinerions',
    'farinerons',
    'farineront',
    'farines',
    'farineuse',
    'farineuses',
    'farineux',
    'farinez',
    'fariniez',
    'farinions',
    'farinons',
    'farinâmes',
    'farinât',
    'farinâtes',
    'farinèrent',
    'fariné',
    'farinée',
    'farinées',
    'farinés',
    'farlouse',
    'farlouses',
    'farniente',
    'farnientes',
    'faro',
    'faros',
    'farouche',
    'farouchement',
    'farouches',
    'farrago',
    'farragos',
    'fars',
    'fart',
    'farta',
    'fartage',
    'fartages',
    'fartai',
    'fartaient',
    'fartais',
    'fartait',
    'fartant',
    'fartas',
    'fartasse',
    'fartassent',
    'fartasses',
    'fartassiez',
    'fartassions',
    'farte',
    'fartent',
    'farter',
    'fartera',
    'farterai',
    'farteraient',
    'farterais',
    'farterait',
    'farteras',
    'farterez',
    'farteriez',
    'farterions',
    'farterons',
    'farteront',
    'fartes',
    'fartez',
    'fartiez',
    'fartions',
    'fartons',
    'farts',
    'fartâmes',
    'fartât',
    'fartâtes',
    'fartèrent',
    'farté',
    'fartée',
    'fartées',
    'fartés',
    'fascia',
    'fascias',
    'fasciation',
    'fasciations',
    'fascicule',
    'fascicules',
    'fasciculé',
    'fasciculée',
    'fasciculées',
    'fasciculés',
    'fascina',
    'fascinai',
    'fascinaient',
    'fascinais',
    'fascinait',
    'fascinant',
    'fascinante',
    'fascinantes',
    'fascinants',
    'fascinas',
    'fascinasse',
    'fascinassent',
    'fascinasses',
    'fascinassiez',
    'fascinateur',
    'fascinateurs',
    'fascination',
    'fascinations',
    'fascinatrice',
    'fascine',
    'fascinent',
    'fasciner',
    'fascinera',
    'fascinerai',
    'fascinerais',
    'fascinerait',
    'fascineras',
    'fascinerez',
    'fascineriez',
    'fascinerions',
    'fascinerons',
    'fascineront',
    'fascines',
    'fascinez',
    'fasciniez',
    'fascinions',
    'fascinons',
    'fascinâmes',
    'fascinât',
    'fascinâtes',
    'fascinèrent',
    'fasciné',
    'fascinée',
    'fascinées',
    'fascinés',
    'fascisa',
    'fascisai',
    'fascisaient',
    'fascisais',
    'fascisait',
    'fascisant',
    'fascisante',
    'fascisantes',
    'fascisants',
    'fascisas',
    'fascisasse',
    'fascisassent',
    'fascisasses',
    'fascisassiez',
    'fascisation',
    'fascisations',
    'fascise',
    'fascisent',
    'fasciser',
    'fascisera',
    'fasciserai',
    'fasciserais',
    'fasciserait',
    'fasciseras',
    'fasciserez',
    'fasciseriez',
    'fasciserions',
    'fasciserons',
    'fasciseront',
    'fascises',
    'fascisez',
    'fascisiez',
    'fascisions',
    'fascisme',
    'fascismes',
    'fascisons',
    'fasciste',
    'fascistes',
    'fascisâmes',
    'fascisât',
    'fascisâtes',
    'fascisèrent',
    'fascisé',
    'fascisée',
    'fascisées',
    'fascisés',
    'fascié',
    'fasciée',
    'fasciées',
    'fasciés',
    'fascé',
    'fascée',
    'fascées',
    'fascés',
    'faseilla',
    'faseillai',
    'faseillaient',
    'faseillais',
    'faseillait',
    'faseillant',
    'faseillas',
    'faseillasse',
    'faseillasses',
    'faseille',
    'faseillent',
    'faseiller',
    'faseillera',
    'faseillerai',
    'faseillerais',
    'faseillerait',
    'faseilleras',
    'faseillerez',
    'faseilleriez',
    'faseillerons',
    'faseilleront',
    'faseilles',
    'faseillez',
    'faseilliez',
    'faseillions',
    'faseillons',
    'faseillâmes',
    'faseillât',
    'faseillâtes',
    'faseillèrent',
    'faseillé',
    'faseyer',
    'fasse',
    'fassent',
    'fasses',
    'fassiez',
    'fassions',
    'faste',
    'fastes',
    'fastidieuse',
    'fastidieuses',
    'fastidieux',
    'fastigié',
    'fastigiée',
    'fastigiées',
    'fastigiés',
    'fastueuse',
    'fastueuses',
    'fastueux',
    'fatal',
    'fatale',
    'fatalement',
    'fatales',
    'fatalisme',
    'fatalismes',
    'fataliste',
    'fatalistes',
    'fatalité',
    'fatalités',
    'fatals',
    'fatidique',
    'fatidiques',
    'fatigabilité',
    'fatigable',
    'fatigables',
    'fatigant',
    'fatigante',
    'fatigantes',
    'fatigants',
    'fatigua',
    'fatiguai',
    'fatiguaient',
    'fatiguais',
    'fatiguait',
    'fatiguant',
    'fatiguante',
    'fatiguantes',
    'fatiguants',
    'fatiguas',
    'fatiguasse',
    'fatiguassent',
    'fatiguasses',
    'fatiguassiez',
    'fatigue',
    'fatiguent',
    'fatiguer',
    'fatiguera',
    'fatiguerai',
    'fatiguerais',
    'fatiguerait',
    'fatigueras',
    'fatiguerez',
    'fatigueriez',
    'fatiguerions',
    'fatiguerons',
    'fatigueront',
    'fatigues',
    'fatiguez',
    'fatiguiez',
    'fatiguions',
    'fatiguons',
    'fatiguâmes',
    'fatiguât',
    'fatiguâtes',
    'fatiguèrent',
    'fatigué',
    'fatiguée',
    'fatiguées',
    'fatigués',
    'fatma',
    'fatmas',
    'fatras',
    'fatrasie',
    'fatrasies',
    'fats',
    'fatuité',
    'fatuités',
    'fatum',
    'fauber',
    'faubers',
    'faubert',
    'fauberts',
    'faubourg',
    'faubourgs',
    'faubourien',
    'faubourienne',
    'faubouriens',
    'faucard',
    'faucarda',
    'faucardai',
    'faucardaient',
    'faucardais',
    'faucardait',
    'faucardant',
    'faucardas',
    'faucardasse',
    'faucardasses',
    'faucarde',
    'faucardent',
    'faucarder',
    'faucardera',
    'faucarderai',
    'faucarderais',
    'faucarderait',
    'faucarderas',
    'faucarderez',
    'faucarderiez',
    'faucarderons',
    'faucarderont',
    'faucardes',
    'faucardeur',
    'faucardeurs',
    'faucardez',
    'faucardiez',
    'faucardions',
    'faucardons',
    'faucards',
    'faucardâmes',
    'faucardât',
    'faucardâtes',
    'faucardèrent',
    'faucardé',
    'faucardée',
    'faucardées',
    'faucardés',
    'faucha',
    'fauchage',
    'fauchages',
    'fauchai',
    'fauchaient',
    'fauchais',
    'fauchaison',
    'fauchaisons',
    'fauchait',
    'fauchant',
    'fauchard',
    'fauchards',
    'fauchas',
    'fauchasse',
    'fauchassent',
    'fauchasses',
    'fauchassiez',
    'fauchassions',
    'fauche',
    'fauchent',
    'faucher',
    'fauchera',
    'faucherai',
    'faucheraient',
    'faucherais',
    'faucherait',
    'faucheras',
    'faucherez',
    'faucheriez',
    'faucherions',
    'faucherons',
    'faucheront',
    'fauches',
    'fauchet',
    'fauchets',
    'fauchette',
    'fauchettes',
    'faucheur',
    'faucheurs',
    'faucheuse',
    'faucheuses',
    'faucheux',
    'fauchez',
    'fauchiez',
    'fauchions',
    'fauchon',
    'fauchons',
    'fauchâmes',
    'fauchât',
    'fauchâtes',
    'fauchèrent',
    'fauché',
    'fauchée',
    'fauchées',
    'fauchés',
    'faucille',
    'faucilles',
    'faucillon',
    'faucillons',
    'faucon',
    'fauconna',
    'fauconnai',
    'fauconnaient',
    'fauconnais',
    'fauconnait',
    'fauconnant',
    'fauconnas',
    'fauconnasse',
    'fauconnasses',
    'fauconne',
    'fauconneau',
    'fauconneaux',
    'fauconnent',
    'fauconner',
    'fauconnera',
    'fauconnerai',
    'fauconnerais',
    'fauconnerait',
    'fauconneras',
    'fauconnerez',
    'fauconnerie',
    'fauconneries',
    'fauconneriez',
    'fauconnerons',
    'fauconneront',
    'fauconnes',
    'fauconnez',
    'fauconnier',
    'fauconniers',
    'fauconniez',
    'fauconnions',
    'fauconnons',
    'fauconnâmes',
    'fauconnât',
    'fauconnâtes',
    'fauconnèrent',
    'fauconné',
    'faucons',
    'faucre',
    'faucres',
    'faudra',
    'faudrai',
    'faudraient',
    'faudrais',
    'faudrait',
    'faudras',
    'faudrez',
    'faudriez',
    'faudrions',
    'faudrons',
    'faudront',
    'faufil',
    'faufila',
    'faufilage',
    'faufilages',
    'faufilai',
    'faufilaient',
    'faufilais',
    'faufilait',
    'faufilant',
    'faufilas',
    'faufilasse',
    'faufilassent',
    'faufilasses',
    'faufilassiez',
    'faufile',
    'faufilent',
    'faufiler',
    'faufilera',
    'faufilerai',
    'faufilerais',
    'faufilerait',
    'faufileras',
    'faufilerez',
    'faufileriez',
    'faufilerions',
    'faufilerons',
    'faufileront',
    'faufiles',
    'faufilez',
    'faufiliez',
    'faufilions',
    'faufilons',
    'faufils',
    'faufilure',
    'faufilures',
    'faufilâmes',
    'faufilât',
    'faufilâtes',
    'faufilèrent',
    'faufilé',
    'faufilée',
    'faufilées',
    'faufilés',
    'faune',
    'faunes',
    'faunesque',
    'faunesques',
    'faunique',
    'fauniques',
    'faussa',
    'faussai',
    'faussaient',
    'faussaire',
    'faussaires',
    'faussais',
    'faussait',
    'faussant',
    'faussas',
    'faussasse',
    'faussassent',
    'faussasses',
    'faussassiez',
    'faussassions',
    'fausse',
    'faussement',
    'faussent',
    'fausser',
    'faussera',
    'fausserai',
    'fausseraient',
    'fausserais',
    'fausserait',
    'fausseras',
    'fausserez',
    'fausseriez',
    'fausserions',
    'fausserons',
    'fausseront',
    'fausses',
    'fausset',
    'faussets',
    'fausseté',
    'faussetés',
    'faussez',
    'faussiez',
    'faussions',
    'faussons',
    'faussâmes',
    'faussât',
    'faussâtes',
    'faussèrent',
    'faussé',
    'faussée',
    'faussées',
    'faussés',
    'faut',
    'fauta',
    'fautai',
    'fautaient',
    'fautais',
    'fautait',
    'fautant',
    'fautas',
    'fautasse',
    'fautassent',
    'fautasses',
    'fautassiez',
    'fautassions',
    'faute',
    'fautent',
    'fauter',
    'fautera',
    'fauterai',
    'fauteraient',
    'fauterais',
    'fauterait',
    'fauteras',
    'fauterez',
    'fauteriez',
    'fauterions',
    'fauterons',
    'fauteront',
    'fautes',
    'fauteuil',
    'fauteuils',
    'fauteur',
    'fauteurs',
    'fautez',
    'fautiez',
    'fautif',
    'fautifs',
    'fautions',
    'fautive',
    'fautivement',
    'fautives',
    'fautons',
    'fautrice',
    'fautrices',
    'fautâmes',
    'fautât',
    'fautâtes',
    'fautèrent',
    'fauté',
    'fauve',
    'fauverie',
    'fauveries',
    'fauves',
    'fauvette',
    'fauvettes',
    'fauvisme',
    'fauvismes',
    'faux',
    'favela',
    'favelas',
    'faverole',
    'faveroles',
    'faveur',
    'faveurs',
    'favorable',
    'favorables',
    'favori',
    'favoris',
    'favorisa',
    'favorisai',
    'favorisaient',
    'favorisais',
    'favorisait',
    'favorisant',
    'favorisante',
    'favorisantes',
    'favorisants',
    'favorisas',
    'favorisasse',
    'favorisasses',
    'favorise',
    'favorisent',
    'favoriser',
    'favorisera',
    'favoriserai',
    'favoriserais',
    'favoriserait',
    'favoriseras',
    'favoriserez',
    'favoriseriez',
    'favoriserons',
    'favoriseront',
    'favorises',
    'favorisez',
    'favorisiez',
    'favorisions',
    'favorisons',
    'favorisâmes',
    'favorisât',
    'favorisâtes',
    'favorisèrent',
    'favorisé',
    'favorisée',
    'favorisées',
    'favorisés',
    'favorite',
    'favorites',
    'favoritisme',
    'favoritismes',
    'favus',
    'faxa',
    'faxai',
    'faxaient',
    'faxais',
    'faxait',
    'faxant',
    'faxas',
    'faxasse',
    'faxassent',
    'faxasses',
    'faxassiez',
    'faxassions',
    'faxe',
    'faxent',
    'faxer',
    'faxera',
    'faxerai',
    'faxeraient',
    'faxerais',
    'faxerait',
    'faxeras',
    'faxerez',
    'faxeriez',
    'faxerions',
    'faxerons',
    'faxeront',
    'faxes',
    'faxez',
    'faxiez',
    'faxions',
    'faxons',
    'faxâmes',
    'faxât',
    'faxâtes',
    'faxèrent',
    'faxé',
    'faxée',
    'faxées',
    'faxés',
    'fayard',
    'fayards',
    'fayot',
    'fayota',
    'fayotai',
    'fayotaient',
    'fayotais',
    'fayotait',
    'fayotant',
    'fayotas',
    'fayotasse',
    'fayotassent',
    'fayotasses',
    'fayotassiez',
    'fayotassions',
    'fayote',
    'fayotent',
    'fayoter',
    'fayotera',
    'fayoterai',
    'fayoteraient',
    'fayoterais',
    'fayoterait',
    'fayoteras',
    'fayoterez',
    'fayoteriez',
    'fayoterions',
    'fayoterons',
    'fayoteront',
    'fayotes',
    'fayotez',
    'fayotiez',
    'fayotions',
    'fayotons',
    'fayots',
    'fayotta',
    'fayottai',
    'fayottaient',
    'fayottais',
    'fayottait',
    'fayottant',
    'fayottas',
    'fayottasse',
    'fayottassent',
    'fayottasses',
    'fayottassiez',
    'fayotte',
    'fayottent',
    'fayotter',
    'fayottera',
    'fayotterai',
    'fayotterais',
    'fayotterait',
    'fayotteras',
    'fayotterez',
    'fayotteriez',
    'fayotterions',
    'fayotterons',
    'fayotteront',
    'fayottes',
    'fayottez',
    'fayottiez',
    'fayottions',
    'fayottons',
    'fayottâmes',
    'fayottât',
    'fayottâtes',
    'fayottèrent',
    'fayotté',
    'fayotâmes',
    'fayotât',
    'fayotâtes',
    'fayotèrent',
    'fayoté',
    'fazenda',
    'fazendas',
    'façade',
    'façades',
    'façon',
    'façonna',
    'façonnage',
    'façonnages',
    'façonnai',
    'façonnaient',
    'façonnais',
    'façonnait',
    'façonnant',
    'façonnas',
    'façonnasse',
    'façonnassent',
    'façonnasses',
    'façonnassiez',
    'façonne',
    'façonnement',
    'façonnements',
    'façonnent',
    'façonner',
    'façonnera',
    'façonnerai',
    'façonnerais',
    'façonnerait',
    'façonneras',
    'façonnerez',
    'façonneriez',
    'façonnerions',
    'façonnerons',
    'façonneront',
    'façonnes',
    'façonnez',
    'façonnier',
    'façonniers',
    'façonniez',
    'façonnions',
    'façonnière',
    'façonnières',
    'façonnons',
    'façonnâmes',
    'façonnât',
    'façonnâtes',
    'façonnèrent',
    'façonné',
    'façonnée',
    'façonnées',
    'façonnés',
    'façons',
    'faîne',
    'faînes',
    'faîtage',
    'faîtages',
    'faîte',
    'faîteau',
    'faîteaux',
    'faîtes',
    'faîtière',
    'faîtières',
    'faïence',
    'faïencerie',
    'faïenceries',
    'faïences',
    'faïencier',
    'faïenciers',
    'faïencière',
    'faïencières',
    'faïencé',
    'faïencée',
    'faïencées',
    'faïencés',
    'fedayin',
    'fedayins',
    'feignaient',
    'feignais',
    'feignait',
    'feignant',
    'feignanta',
    'feignantai',
    'feignantais',
    'feignantait',
    'feignantant',
    'feignantas',
    'feignantasse',
    'feignante',
    'feignantent',
    'feignanter',
    'feignantera',
    'feignanterai',
    'feignanteras',
    'feignanterez',
    'feignantes',
    'feignantez',
    'feignantiez',
    'feignantions',
    'feignantons',
    'feignants',
    'feignantâmes',
    'feignantât',
    'feignantâtes',
    'feignanté',
    'feigne',
    'feignent',
    'feignes',
    'feignez',
    'feigniez',
    'feignions',
    'feignirent',
    'feignis',
    'feignisse',
    'feignissent',
    'feignisses',
    'feignissiez',
    'feignissions',
    'feignit',
    'feignons',
    'feignîmes',
    'feignît',
    'feignîtes',
    'feindra',
    'feindrai',
    'feindraient',
    'feindrais',
    'feindrait',
    'feindras',
    'feindre',
    'feindrez',
    'feindriez',
    'feindrions',
    'feindrons',
    'feindront',
    'feins',
    'feint',
    'feinta',
    'feintai',
    'feintaient',
    'feintais',
    'feintait',
    'feintant',
    'feintas',
    'feintasse',
    'feintassent',
    'feintasses',
    'feintassiez',
    'feintassions',
    'feinte',
    'feintent',
    'feinter',
    'feintera',
    'feinterai',
    'feinteraient',
    'feinterais',
    'feinterait',
    'feinteras',
    'feinterez',
    'feinteriez',
    'feinterions',
    'feinterons',
    'feinteront',
    'feintes',
    'feinteur',
    'feinteurs',
    'feintez',
    'feintiez',
    'feintions',
    'feintise',
    'feintises',
    'feintons',
    'feints',
    'feintâmes',
    'feintât',
    'feintâtes',
    'feintèrent',
    'feinté',
    'feintée',
    'feintées',
    'feintés',
    'feldspath',
    'feldspaths',
    'feldwebel',
    'feldwebels',
    'fellaga',
    'fellagas',
    'fellagha',
    'fellaghas',
    'fellah',
    'fellahs',
    'fellation',
    'fellations',
    'felouque',
    'felouques',
    'femelle',
    'femelles',
    'femgen',
    'femme',
    'femmelette',
    'femmelettes',
    'femmes',
    'fenaison',
    'fenaisons',
    'fend',
    'fendage',
    'fendages',
    'fendaient',
    'fendais',
    'fendait',
    'fendant',
    'fendante',
    'fendantes',
    'fendants',
    'fendard',
    'fendards',
    'fendart',
    'fendarts',
    'fende',
    'fendent',
    'fendes',
    'fendeur',
    'fendeurs',
    'fendez',
    'fendiez',
    'fendilla',
    'fendillai',
    'fendillaient',
    'fendillais',
    'fendillait',
    'fendillant',
    'fendillas',
    'fendillasse',
    'fendillasses',
    'fendille',
    'fendillement',
    'fendillent',
    'fendiller',
    'fendillera',
    'fendillerai',
    'fendillerais',
    'fendillerait',
    'fendilleras',
    'fendillerez',
    'fendilleriez',
    'fendillerons',
    'fendilleront',
    'fendilles',
    'fendillez',
    'fendilliez',
    'fendillions',
    'fendillons',
    'fendillâmes',
    'fendillât',
    'fendillâtes',
    'fendillèrent',
    'fendillé',
    'fendillée',
    'fendillées',
    'fendillés',
    'fendions',
    'fendirent',
    'fendis',
    'fendisse',
    'fendissent',
    'fendisses',
    'fendissiez',
    'fendissions',
    'fendit',
    'fendoir',
    'fendoirs',
    'fendons',
    'fendra',
    'fendrai',
    'fendraient',
    'fendrais',
    'fendrait',
    'fendras',
    'fendre',
    'fendrez',
    'fendriez',
    'fendrions',
    'fendrons',
    'fendront',
    'fends',
    'fendu',
    'fendue',
    'fendues',
    'fendus',
    'fendîmes',
    'fendît',
    'fendîtes',
    'fenerol',
    'fenestra',
    'fenestrage',
    'fenestrages',
    'fenestrai',
    'fenestraient',
    'fenestrais',
    'fenestrait',
    'fenestrant',
    'fenestras',
    'fenestrasse',
    'fenestrasses',
    'fenestration',
    'fenestre',
    'fenestrent',
    'fenestrer',
    'fenestrera',
    'fenestrerai',
    'fenestrerais',
    'fenestrerait',
    'fenestreras',
    'fenestrerez',
    'fenestreriez',
    'fenestrerons',
    'fenestreront',
    'fenestres',
    'fenestrez',
    'fenestriez',
    'fenestrions',
    'fenestrons',
    'fenestrâmes',
    'fenestrât',
    'fenestrâtes',
    'fenestrèrent',
    'fenestré',
    'fenestrée',
    'fenestrées',
    'fenestrés',
    'fenil',
    'fenils',
    'fennec',
    'fennecs',
    'fenouil',
    'fenouillet',
    'fenouillets',
    'fenouillette',
    'fenouils',
    'fente',
    'fentes',
    'fenton',
    'fentons',
    'fenugrec',
    'fenugrecs',
    'fenêtra',
    'fenêtrage',
    'fenêtrages',
    'fenêtrai',
    'fenêtraient',
    'fenêtrais',
    'fenêtrait',
    'fenêtrant',
    'fenêtras',
    'fenêtrasse',
    'fenêtrassent',
    'fenêtrasses',
    'fenêtrassiez',
    'fenêtre',
    'fenêtrent',
    'fenêtrer',
    'fenêtrera',
    'fenêtrerai',
    'fenêtrerais',
    'fenêtrerait',
    'fenêtreras',
    'fenêtrerez',
    'fenêtreriez',
    'fenêtrerions',
    'fenêtrerons',
    'fenêtreront',
    'fenêtres',
    'fenêtrez',
    'fenêtriez',
    'fenêtrions',
    'fenêtrons',
    'fenêtrâmes',
    'fenêtrât',
    'fenêtrâtes',
    'fenêtrèrent',
    'fenêtré',
    'fenêtrée',
    'fenêtrées',
    'fenêtrés',
    'fera',
    'ferai',
    'feraient',
    'ferais',
    'ferait',
    'feras',
    'ferblanterie',
    'ferblantier',
    'ferblantiers',
    'ferez',
    'feriez',
    'ferions',
    'ferla',
    'ferlai',
    'ferlaient',
    'ferlais',
    'ferlait',
    'ferlant',
    'ferlas',
    'ferlasse',
    'ferlassent',
    'ferlasses',
    'ferlassiez',
    'ferlassions',
    'ferle',
    'ferlent',
    'ferler',
    'ferlera',
    'ferlerai',
    'ferleraient',
    'ferlerais',
    'ferlerait',
    'ferleras',
    'ferlerez',
    'ferleriez',
    'ferlerions',
    'ferlerons',
    'ferleront',
    'ferles',
    'ferlez',
    'ferliez',
    'ferlions',
    'ferlons',
    'ferlâmes',
    'ferlât',
    'ferlâtes',
    'ferlèrent',
    'ferlé',
    'ferlée',
    'ferlées',
    'ferlés',
    'ferma',
    'fermage',
    'fermages',
    'fermai',
    'fermaient',
    'fermail',
    'fermais',
    'fermait',
    'fermant',
    'fermante',
    'fermantes',
    'fermants',
    'fermas',
    'fermasse',
    'fermassent',
    'fermasses',
    'fermassiez',
    'fermassions',
    'fermaux',
    'ferme',
    'fermement',
    'ferment',
    'fermenta',
    'fermentable',
    'fermentables',
    'fermentai',
    'fermentaient',
    'fermentais',
    'fermentait',
    'fermentant',
    'fermentas',
    'fermentasse',
    'fermentasses',
    'fermentatif',
    'fermentatifs',
    'fermentation',
    'fermentative',
    'fermente',
    'fermentent',
    'fermenter',
    'fermentera',
    'fermenterai',
    'fermenterais',
    'fermenterait',
    'fermenteras',
    'fermenterez',
    'fermenteriez',
    'fermenterons',
    'fermenteront',
    'fermentes',
    'fermentez',
    'fermentiez',
    'fermentions',
    'fermentons',
    'ferments',
    'fermentâmes',
    'fermentât',
    'fermentâtes',
    'fermentèrent',
    'fermenté',
    'fermentée',
    'fermentées',
    'fermentés',
    'fermer',
    'fermera',
    'fermerai',
    'fermeraient',
    'fermerais',
    'fermerait',
    'fermeras',
    'fermerez',
    'fermeriez',
    'fermerions',
    'fermerons',
    'fermeront',
    'fermes',
    'fermette',
    'fermettes',
    'fermeture',
    'fermetures',
    'fermeté',
    'fermetés',
    'fermez',
    'fermier',
    'fermiers',
    'fermiez',
    'fermions',
    'fermium',
    'fermiums',
    'fermière',
    'fermières',
    'fermoir',
    'fermoirs',
    'fermons',
    'fermâmes',
    'fermât',
    'fermâtes',
    'fermèrent',
    'fermé',
    'fermée',
    'fermées',
    'fermés',
    'ferons',
    'feront',
    'ferra',
    'ferrade',
    'ferrades',
    'ferrage',
    'ferrages',
    'ferrai',
    'ferraient',
    'ferrailla',
    'ferraillage',
    'ferraillages',
    'ferraillai',
    'ferraillais',
    'ferraillait',
    'ferraillant',
    'ferraillas',
    'ferraillasse',
    'ferraille',
    'ferraillent',
    'ferrailler',
    'ferraillera',
    'ferraillerai',
    'ferrailleras',
    'ferraillerez',
    'ferrailles',
    'ferrailleur',
    'ferrailleurs',
    'ferrailleuse',
    'ferraillez',
    'ferrailliez',
    'ferraillions',
    'ferraillons',
    'ferraillâmes',
    'ferraillât',
    'ferraillâtes',
    'ferraillé',
    'ferrais',
    'ferrait',
    'ferrant',
    'ferras',
    'ferrasse',
    'ferrassent',
    'ferrasses',
    'ferrassiez',
    'ferrassions',
    'ferrate',
    'ferrates',
    'ferratier',
    'ferratiers',
    'ferre',
    'ferrement',
    'ferrements',
    'ferrent',
    'ferrer',
    'ferrera',
    'ferrerai',
    'ferreraient',
    'ferrerais',
    'ferrerait',
    'ferreras',
    'ferrerez',
    'ferreriez',
    'ferrerions',
    'ferrerons',
    'ferreront',
    'ferres',
    'ferret',
    'ferrets',
    'ferreur',
    'ferreurs',
    'ferreux',
    'ferrez',
    'ferricyanure',
    'ferries',
    'ferriez',
    'ferrions',
    'ferrique',
    'ferriques',
    'ferrite',
    'ferrites',
    'ferronnerie',
    'ferronneries',
    'ferronnier',
    'ferronniers',
    'ferronnière',
    'ferronnières',
    'ferrons',
    'ferrotypie',
    'ferrotypies',
    'ferroutage',
    'ferroutages',
    'ferroviaire',
    'ferroviaires',
    'ferrugineuse',
    'ferrugineux',
    'ferrure',
    'ferrures',
    'ferry',
    'ferrâmes',
    'ferrât',
    'ferrâtes',
    'ferrèrent',
    'ferré',
    'ferrée',
    'ferrées',
    'ferrés',
    'fers',
    'fertile',
    'fertilement',
    'fertiles',
    'fertilisa',
    'fertilisable',
    'fertilisai',
    'fertilisais',
    'fertilisait',
    'fertilisant',
    'fertilisante',
    'fertilisants',
    'fertilisas',
    'fertilisasse',
    'fertilise',
    'fertilisent',
    'fertiliser',
    'fertilisera',
    'fertiliserai',
    'fertiliseras',
    'fertiliserez',
    'fertilises',
    'fertilisez',
    'fertilisiez',
    'fertilisions',
    'fertilisons',
    'fertilisâmes',
    'fertilisât',
    'fertilisâtes',
    'fertilisé',
    'fertilisée',
    'fertilisées',
    'fertilisés',
    'fertilité',
    'fertilités',
    'fervemment',
    'fervent',
    'fervente',
    'ferventes',
    'fervents',
    'ferveur',
    'ferveurs',
    'fessa',
    'fessai',
    'fessaient',
    'fessais',
    'fessait',
    'fessant',
    'fessas',
    'fessasse',
    'fessassent',
    'fessasses',
    'fessassiez',
    'fessassions',
    'fesse',
    'fessent',
    'fesser',
    'fessera',
    'fesserai',
    'fesseraient',
    'fesserais',
    'fesserait',
    'fesseras',
    'fesserez',
    'fesseriez',
    'fesserions',
    'fesserons',
    'fesseront',
    'fesses',
    'fessez',
    'fessier',
    'fessiers',
    'fessiez',
    'fessions',
    'fessière',
    'fessières',
    'fessons',
    'fessu',
    'fessue',
    'fessues',
    'fessus',
    'fessâmes',
    'fessât',
    'fessâtes',
    'fessèrent',
    'fessé',
    'fessée',
    'fessées',
    'fessés',
    'festif',
    'festifs',
    'festin',
    'festins',
    'festival',
    'festivalier',
    'festivaliers',
    'festivalière',
    'festivals',
    'festive',
    'festives',
    'festivité',
    'festivités',
    'festoie',
    'festoient',
    'festoiera',
    'festoierai',
    'festoierais',
    'festoierait',
    'festoieras',
    'festoierez',
    'festoieriez',
    'festoierions',
    'festoierons',
    'festoieront',
    'festoies',
    'feston',
    'festonna',
    'festonnai',
    'festonnaient',
    'festonnais',
    'festonnait',
    'festonnant',
    'festonnas',
    'festonnasse',
    'festonnasses',
    'festonne',
    'festonnent',
    'festonner',
    'festonnera',
    'festonnerai',
    'festonnerais',
    'festonnerait',
    'festonneras',
    'festonnerez',
    'festonneriez',
    'festonnerons',
    'festonneront',
    'festonnes',
    'festonnez',
    'festonniez',
    'festonnions',
    'festonnons',
    'festonnâmes',
    'festonnât',
    'festonnâtes',
    'festonnèrent',
    'festonné',
    'festonnée',
    'festonnées',
    'festonnés',
    'festons',
    'festoya',
    'festoyai',
    'festoyaient',
    'festoyais',
    'festoyait',
    'festoyant',
    'festoyas',
    'festoyasse',
    'festoyassent',
    'festoyasses',
    'festoyassiez',
    'festoyer',
    'festoyez',
    'festoyiez',
    'festoyions',
    'festoyons',
    'festoyâmes',
    'festoyât',
    'festoyâtes',
    'festoyèrent',
    'festoyé',
    'festoyée',
    'festoyées',
    'festoyés',
    'feudataire',
    'feudataires',
    'feudiste',
    'feudistes',
    'feue',
    'feues',
    'feuil',
    'feuiletisa',
    'feuiletisai',
    'feuiletisas',
    'feuiletisât',
    'feuilla',
    'feuillage',
    'feuillages',
    'feuillagiste',
    'feuillai',
    'feuillaient',
    'feuillais',
    'feuillaison',
    'feuillaisons',
    'feuillait',
    'feuillant',
    'feuillantine',
    'feuillard',
    'feuillards',
    'feuillas',
    'feuillasse',
    'feuillassent',
    'feuillasses',
    'feuillassiez',
    'feuille',
    'feuillent',
    'feuiller',
    'feuillera',
    'feuillerai',
    'feuillerais',
    'feuillerait',
    'feuilleras',
    'feuilleret',
    'feuillerets',
    'feuillerez',
    'feuilleriez',
    'feuillerions',
    'feuillerons',
    'feuilleront',
    'feuilles',
    'feuillet',
    'feuilleta',
    'feuilletai',
    'feuilletais',
    'feuilletait',
    'feuilletant',
    'feuilletas',
    'feuilletasse',
    'feuilleter',
    'feuilletez',
    'feuilletiez',
    'feuilletions',
    'feuilletis',
    'feuilletise',
    'feuilletiser',
    'feuilletises',
    'feuilletisez',
    'feuilletisé',
    'feuilletisée',
    'feuilletisés',
    'feuilleton',
    'feuilletons',
    'feuillets',
    'feuillette',
    'feuillettent',
    'feuillettera',
    'feuillettes',
    'feuilletâmes',
    'feuilletât',
    'feuilletâtes',
    'feuilleté',
    'feuilletée',
    'feuilletées',
    'feuilletés',
    'feuillez',
    'feuilliez',
    'feuillions',
    'feuillons',
    'feuillu',
    'feuillue',
    'feuillues',
    'feuillure',
    'feuillures',
    'feuillus',
    'feuillâmes',
    'feuillât',
    'feuillâtes',
    'feuillèrent',
    'feuillé',
    'feuillée',
    'feuillées',
    'feuillés',
    'feuils',
    'feula',
    'feulai',
    'feulaient',
    'feulais',
    'feulait',
    'feulant',
    'feulas',
    'feulasse',
    'feulassent',
    'feulasses',
    'feulassiez',
    'feulassions',
    'feule',
    'feulement',
    'feulements',
    'feulent',
    'feuler',
    'feulera',
    'feulerai',
    'feuleraient',
    'feulerais',
    'feulerait',
    'feuleras',
    'feulerez',
    'feuleriez',
    'feulerions',
    'feulerons',
    'feuleront',
    'feules',
    'feulez',
    'feuliez',
    'feulions',
    'feulons',
    'feulâmes',
    'feulât',
    'feulâtes',
    'feulèrent',
    'feulé',
    'feus',
    'feutra',
    'feutrage',
    'feutrages',
    'feutrai',
    'feutraient',
    'feutrais',
    'feutrait',
    'feutrant',
    'feutrante',
    'feutrantes',
    'feutrants',
    'feutras',
    'feutrasse',
    'feutrassent',
    'feutrasses',
    'feutrassiez',
    'feutrassions',
    'feutre',
    'feutrent',
    'feutrer',
    'feutrera',
    'feutrerai',
    'feutreraient',
    'feutrerais',
    'feutrerait',
    'feutreras',
    'feutrerez',
    'feutreriez',
    'feutrerions',
    'feutrerons',
    'feutreront',
    'feutres',
    'feutrez',
    'feutriez',
    'feutrine',
    'feutrines',
    'feutrions',
    'feutrons',
    'feutrâmes',
    'feutrât',
    'feutrâtes',
    'feutrèrent',
    'feutré',
    'feutrée',
    'feutrées',
    'feutrés',
    'feux',
    'fiabilité',
    'fiabilités',
    'fiable',
    'fiables',
    'fiacre',
    'fiacres',
    'fiai',
    'fiaient',
    'fiais',
    'fiait',
    'fiance',
    'fiancent',
    'fiancer',
    'fiancera',
    'fiancerai',
    'fianceraient',
    'fiancerais',
    'fiancerait',
    'fianceras',
    'fiancerez',
    'fianceriez',
    'fiancerions',
    'fiancerons',
    'fianceront',
    'fiances',
    'fiancez',
    'fianciez',
    'fiancions',
    'fiancèrent',
    'fiancé',
    'fiancée',
    'fiancées',
    'fiancés',
    'fiant',
    'fiança',
    'fiançai',
    'fiançaient',
    'fiançailles',
    'fiançais',
    'fiançait',
    'fiançant',
    'fianças',
    'fiançasse',
    'fiançassent',
    'fiançasses',
    'fiançassiez',
    'fiançassions',
    'fiançons',
    'fiançâmes',
    'fiançât',
    'fiançâtes',
    'fias',
    'fiasco',
    'fiascos',
    'fiasque',
    'fiasques',
    'fiasse',
    'fiassent',
    'fiasses',
    'fiassiez',
    'fiassions',
    'fiat',
    'fibranne',
    'fibrannes',
    'fibre',
    'fibres',
    'fibreuse',
    'fibreuses',
    'fibreux',
    'fibrillaire',
    'fibrillaires',
    'fibrillation',
    'fibrine',
    'fibrines',
    'fibrineuse',
    'fibrineuses',
    'fibrineux',
    'fibrinogène',
    'fibrinogènes',
    'fibrociment',
    'fibrociments',
    'fibromateuse',
    'fibromateux',
    'fibromatose',
    'fibromatoses',
    'fibrome',
    'fibromes',
    'fibromyome',
    'fibromyomes',
    'fibrose',
    'fibroses',
    'fibroïne',
    'fibroïnes',
    'fibule',
    'fibules',
    'ficaire',
    'ficaires',
    'ficela',
    'ficelage',
    'ficelages',
    'ficelai',
    'ficelaient',
    'ficelais',
    'ficelait',
    'ficelant',
    'ficelas',
    'ficelasse',
    'ficelassent',
    'ficelasses',
    'ficelassiez',
    'ficelassions',
    'ficeler',
    'ficelez',
    'ficeliez',
    'ficelions',
    'ficelle',
    'ficellent',
    'ficellera',
    'ficellerai',
    'ficellerais',
    'ficellerait',
    'ficelleras',
    'ficellerez',
    'ficellerie',
    'ficelleries',
    'ficelleriez',
    'ficellerions',
    'ficellerons',
    'ficelleront',
    'ficelles',
    'ficelons',
    'ficelâmes',
    'ficelât',
    'ficelâtes',
    'ficelèrent',
    'ficelé',
    'ficelée',
    'ficelées',
    'ficelés',
    'ficha',
    'fichage',
    'fichages',
    'fichai',
    'fichaient',
    'fichais',
    'fichait',
    'fichant',
    'fichas',
    'fichasse',
    'fichassent',
    'fichasses',
    'fichassiez',
    'fichassions',
    'fiche',
    'fichent',
    'ficher',
    'fichera',
    'ficherai',
    'ficheraient',
    'ficherais',
    'ficherait',
    'ficheras',
    'ficherez',
    'ficheriez',
    'ficherions',
    'ficherons',
    'ficheront',
    'fiches',
    'fichet',
    'fichets',
    'fichez',
    'fichier',
    'fichiers',
    'fichiez',
    'fichions',
    'fichiste',
    'fichistes',
    'fichoir',
    'fichoirs',
    'fichons',
    'fichtre',
    'fichtrement',
    'fichu',
    'fichue',
    'fichues',
    'fichus',
    'fichâmes',
    'fichât',
    'fichâtes',
    'fichèrent',
    'fiché',
    'fichée',
    'fichées',
    'fichés',
    'fics',
    'fictif',
    'fictifs',
    'fiction',
    'fictions',
    'fictive',
    'fictivement',
    'fictives',
    'ficus',
    'fiduciaire',
    'fiduciaires',
    'fidèle',
    'fidèlement',
    'fidèles',
    'fidéicommis',
    'fidéisme',
    'fidéismes',
    'fidéiste',
    'fidéistes',
    'fidéjusseur',
    'fidéjusseurs',
    'fidéjussion',
    'fidéjussions',
    'fidéjussoire',
    'fidélisa',
    'fidélisaient',
    'fidélisais',
    'fidélisait',
    'fidélisant',
    'fidélise',
    'fidélisent',
    'fidéliser',
    'fidélisera',
    'fidéliserai',
    'fidéliserais',
    'fidéliserait',
    'fidéliseras',
    'fidéliserez',
    'fidéliseriez',
    'fidéliserons',
    'fidéliseront',
    'fidélises',
    'fidélisez',
    'fidélisiez',
    'fidélisions',
    'fidélisons',
    'fidélisèrent',
    'fidélisé',
    'fidélisée',
    'fidélisées',
    'fidélisés',
    'fidélité',
    'fidélités',
    'fief',
    'fieffa',
    'fieffai',
    'fieffaient',
    'fieffais',
    'fieffait',
    'fieffant',
    'fieffas',
    'fieffasse',
    'fieffassent',
    'fieffasses',
    'fieffassiez',
    'fieffassions',
    'fieffe',
    'fieffent',
    'fieffer',
    'fieffera',
    'fiefferai',
    'fiefferaient',
    'fiefferais',
    'fiefferait',
    'fiefferas',
    'fiefferez',
    'fiefferiez',
    'fiefferions',
    'fiefferons',
    'fiefferont',
    'fieffes',
    'fieffez',
    'fieffiez',
    'fieffions',
    'fieffons',
    'fieffâmes',
    'fieffât',
    'fieffâtes',
    'fieffèrent',
    'fieffé',
    'fieffée',
    'fieffées',
    'fieffés',
    'fiefs',
    'fiel',
    'fielleuse',
    'fielleuses',
    'fielleux',
    'fiels',
    'fient',
    'fienta',
    'fientai',
    'fientaient',
    'fientais',
    'fientait',
    'fientant',
    'fientas',
    'fientasse',
    'fientassent',
    'fientasses',
    'fientassiez',
    'fientassions',
    'fiente',
    'fientent',
    'fienter',
    'fientera',
    'fienterai',
    'fienteraient',
    'fienterais',
    'fienterait',
    'fienteras',
    'fienterez',
    'fienteriez',
    'fienterions',
    'fienterons',
    'fienteront',
    'fientes',
    'fientez',
    'fientiez',
    'fientions',
    'fientons',
    'fientâmes',
    'fientât',
    'fientâtes',
    'fientèrent',
    'fienté',
    'fier',
    'fiera',
    'fierai',
    'fieraient',
    'fierais',
    'fierait',
    'fieras',
    'fierez',
    'fieriez',
    'fierions',
    'fierons',
    'fieront',
    'fiers',
    'fierté',
    'fiertés',
    'fies',
    'fiesta',
    'fiestas',
    'fieu',
    'fieux',
    'fiez',
    'fifille',
    'fifilles',
    'fifre',
    'fifrelin',
    'fifrelins',
    'fifres',
    'figaro',
    'figaros',
    'fige',
    'figea',
    'figeai',
    'figeaient',
    'figeais',
    'figeait',
    'figeant',
    'figeas',
    'figeasse',
    'figeassent',
    'figeasses',
    'figeassiez',
    'figeassions',
    'figement',
    'figements',
    'figent',
    'figeons',
    'figer',
    'figera',
    'figerai',
    'figeraient',
    'figerais',
    'figerait',
    'figeras',
    'figerez',
    'figeriez',
    'figerions',
    'figerons',
    'figeront',
    'figes',
    'figez',
    'figeâmes',
    'figeât',
    'figeâtes',
    'figiez',
    'figions',
    'fignola',
    'fignolage',
    'fignolages',
    'fignolai',
    'fignolaient',
    'fignolais',
    'fignolait',
    'fignolant',
    'fignolas',
    'fignolasse',
    'fignolassent',
    'fignolasses',
    'fignolassiez',
    'fignole',
    'fignolent',
    'fignoler',
    'fignolera',
    'fignolerai',
    'fignolerais',
    'fignolerait',
    'fignoleras',
    'fignolerez',
    'fignoleriez',
    'fignolerions',
    'fignolerons',
    'fignoleront',
    'fignoles',
    'fignoleur',
    'fignoleurs',
    'fignoleuse',
    'fignoleuses',
    'fignolez',
    'fignoliez',
    'fignolions',
    'fignolons',
    'fignolâmes',
    'fignolât',
    'fignolâtes',
    'fignolèrent',
    'fignolé',
    'fignolée',
    'fignolées',
    'fignolés',
    'figue',
    'figuerie',
    'figueries',
    'figues',
    'figuier',
    'figuiers',
    'figuline',
    'figulines',
    'figura',
    'figurai',
    'figuraient',
    'figurais',
    'figurait',
    'figurant',
    'figurante',
    'figurantes',
    'figurants',
    'figuras',
    'figurasse',
    'figurassent',
    'figurasses',
    'figurassiez',
    'figurassions',
    'figuratif',
    'figuratifs',
    'figuration',
    'figurations',
    'figurative',
    'figuratives',
    'figure',
    'figurent',
    'figurer',
    'figurera',
    'figurerai',
    'figureraient',
    'figurerais',
    'figurerait',
    'figureras',
    'figurerez',
    'figureriez',
    'figurerions',
    'figurerons',
    'figureront',
    'figures',
    'figurez',
    'figuriez',
    'figurine',
    'figurines',
    'figurions',
    'figurisme',
    'figurismes',
    'figuriste',
    'figuristes',
    'figurons',
    'figurâmes',
    'figurât',
    'figurâtes',
    'figurèrent',
    'figuré',
    'figurée',
    'figurées',
    'figurément',
    'figurés',
    'figèrent',
    'figé',
    'figée',
    'figées',
    'figés',
    'fiiez',
    'fiions',
    'fila',
    'filable',
    'filables',
    'filage',
    'filages',
    'filai',
    'filaient',
    'filaire',
    'filaires',
    'filais',
    'filait',
    'filament',
    'filamenteuse',
    'filamenteux',
    'filaments',
    'filandière',
    'filandières',
    'filandre',
    'filandres',
    'filandreuse',
    'filandreuses',
    'filandreux',
    'filant',
    'filante',
    'filantes',
    'filants',
    'filanzane',
    'filanzanes',
    'filariose',
    'filarioses',
    'filas',
    'filasse',
    'filassent',
    'filasses',
    'filassiez',
    'filassions',
    'filateur',
    'filateurs',
    'filature',
    'filatures',
    'file',
    'filent',
    'filer',
    'filera',
    'filerai',
    'fileraient',
    'filerais',
    'filerait',
    'fileras',
    'filerez',
    'fileriez',
    'filerions',
    'filerons',
    'fileront',
    'files',
    'filet',
    'fileta',
    'filetage',
    'filetages',
    'filetai',
    'filetaient',
    'filetais',
    'filetait',
    'filetant',
    'filetas',
    'filetasse',
    'filetassent',
    'filetasses',
    'filetassiez',
    'filetassions',
    'fileter',
    'filetez',
    'filetiez',
    'filetions',
    'filetons',
    'filets',
    'filetâmes',
    'filetât',
    'filetâtes',
    'filetèrent',
    'fileté',
    'filetée',
    'filetées',
    'filetés',
    'fileur',
    'fileurs',
    'fileuse',
    'fileuses',
    'filez',
    'filial',
    'filiale',
    'filialement',
    'filiales',
    'filiation',
    'filiations',
    'filiaux',
    'filiez',
    'filiforme',
    'filiformes',
    'filigrana',
    'filigranai',
    'filigranais',
    'filigranait',
    'filigranant',
    'filigranas',
    'filigranasse',
    'filigrane',
    'filigranent',
    'filigraner',
    'filigranera',
    'filigranerai',
    'filigraneras',
    'filigranerez',
    'filigranes',
    'filigranez',
    'filigraniez',
    'filigranions',
    'filigranons',
    'filigranâmes',
    'filigranât',
    'filigranâtes',
    'filigrané',
    'filigranée',
    'filigranées',
    'filigranés',
    'filin',
    'filins',
    'filions',
    'filipendule',
    'filipendules',
    'filière',
    'filières',
    'fillasse',
    'fillasses',
    'fille',
    'filles',
    'fillette',
    'fillettes',
    'filleul',
    'filleule',
    'filleules',
    'filleuls',
    'film',
    'filma',
    'filmage',
    'filmages',
    'filmai',
    'filmaient',
    'filmais',
    'filmait',
    'filmant',
    'filmas',
    'filmasse',
    'filmassent',
    'filmasses',
    'filmassiez',
    'filmassions',
    'filme',
    'filment',
    'filmer',
    'filmera',
    'filmerai',
    'filmeraient',
    'filmerais',
    'filmerait',
    'filmeras',
    'filmerez',
    'filmeriez',
    'filmerions',
    'filmerons',
    'filmeront',
    'filmes',
    'filmez',
    'filmiez',
    'filmions',
    'filmique',
    'filmiques',
    'filmographie',
    'filmologie',
    'filmologies',
    'filmons',
    'filmothèque',
    'filmothèques',
    'films',
    'filmâmes',
    'filmât',
    'filmâtes',
    'filmèrent',
    'filmé',
    'filmée',
    'filmées',
    'filmés',
    'filocha',
    'filochai',
    'filochaient',
    'filochais',
    'filochait',
    'filochant',
    'filochas',
    'filochasse',
    'filochassent',
    'filochasses',
    'filochassiez',
    'filoche',
    'filochent',
    'filocher',
    'filochera',
    'filocherai',
    'filocherais',
    'filocherait',
    'filocheras',
    'filocherez',
    'filocheriez',
    'filocherions',
    'filocherons',
    'filocheront',
    'filoches',
    'filochez',
    'filochiez',
    'filochions',
    'filochons',
    'filochâmes',
    'filochât',
    'filochâtes',
    'filochèrent',
    'filoché',
    'filochée',
    'filochées',
    'filochés',
    'filon',
    'filonien',
    'filonienne',
    'filoniennes',
    'filoniens',
    'filons',
    'filoselle',
    'filoselles',
    'filou',
    'filous',
    'filouta',
    'filoutai',
    'filoutaient',
    'filoutais',
    'filoutait',
    'filoutant',
    'filoutas',
    'filoutasse',
    'filoutassent',
    'filoutasses',
    'filoutassiez',
    'filoute',
    'filoutent',
    'filouter',
    'filoutera',
    'filouterai',
    'filouterais',
    'filouterait',
    'filouteras',
    'filouterez',
    'filouterie',
    'filouteries',
    'filouteriez',
    'filouterions',
    'filouterons',
    'filouteront',
    'filoutes',
    'filoutez',
    'filoutiez',
    'filoutions',
    'filoutons',
    'filoutâmes',
    'filoutât',
    'filoutâtes',
    'filoutèrent',
    'filouté',
    'filoutée',
    'filoutées',
    'filoutés',
    'fils',
    'filtra',
    'filtrable',
    'filtrables',
    'filtrage',
    'filtrages',
    'filtrai',
    'filtraient',
    'filtrais',
    'filtrait',
    'filtrant',
    'filtrante',
    'filtrantes',
    'filtrants',
    'filtras',
    'filtrasse',
    'filtrassent',
    'filtrasses',
    'filtrassiez',
    'filtrassions',
    'filtrat',
    'filtration',
    'filtrations',
    'filtrats',
    'filtre',
    'filtrent',
    'filtrer',
    'filtrera',
    'filtrerai',
    'filtreraient',
    'filtrerais',
    'filtrerait',
    'filtreras',
    'filtrerez',
    'filtreriez',
    'filtrerions',
    'filtrerons',
    'filtreront',
    'filtres',
    'filtrez',
    'filtriez',
    'filtrions',
    'filtrons',
    'filtrâmes',
    'filtrât',
    'filtrâtes',
    'filtrèrent',
    'filtré',
    'filtrée',
    'filtrées',
    'filtrés',
    'filâmes',
    'filât',
    'filâtes',
    'filèrent',
    'filète',
    'filètent',
    'filètera',
    'filèterai',
    'filèteraient',
    'filèterais',
    'filèterait',
    'filèteras',
    'filèterez',
    'filèteriez',
    'filèterions',
    'filèterons',
    'filèteront',
    'filètes',
    'filé',
    'filée',
    'filées',
    'filés',
    'finage',
    'finages',
    'final',
    'finale',
    'finalement',
    'finales',
    'finalisation',
    'finalisme',
    'finalismes',
    'finaliste',
    'finalistes',
    'finalitaire',
    'finalitaires',
    'finalité',
    'finalités',
    'finals',
    'finance',
    'financement',
    'financements',
    'financent',
    'financer',
    'financera',
    'financerai',
    'financerais',
    'financerait',
    'financeras',
    'financerez',
    'financeriez',
    'financerions',
    'financerons',
    'financeront',
    'finances',
    'financez',
    'financier',
    'financiers',
    'financiez',
    'financions',
    'financière',
    'financières',
    'financèrent',
    'financé',
    'financée',
    'financées',
    'financés',
    'finança',
    'finançai',
    'finançaient',
    'finançais',
    'finançait',
    'finançant',
    'finanças',
    'finançasse',
    'finançassent',
    'finançasses',
    'finançassiez',
    'finançons',
    'finançâmes',
    'finançât',
    'finançâtes',
    'finassa',
    'finassai',
    'finassaient',
    'finassais',
    'finassait',
    'finassant',
    'finassas',
    'finassasse',
    'finassassent',
    'finassasses',
    'finassassiez',
    'finasse',
    'finassent',
    'finasser',
    'finassera',
    'finasserai',
    'finasserais',
    'finasserait',
    'finasseras',
    'finasserez',
    'finasserie',
    'finasseries',
    'finasseriez',
    'finasserions',
    'finasserons',
    'finasseront',
    'finasses',
    'finasseur',
    'finasseurs',
    'finasseuse',
    'finasseuses',
    'finassez',
    'finassier',
    'finassiers',
    'finassiez',
    'finassions',
    'finassière',
    'finassières',
    'finassons',
    'finassâmes',
    'finassât',
    'finassâtes',
    'finassèrent',
    'finassé',
    'finassée',
    'finassées',
    'finassés',
    'finaud',
    'finaude',
    'finauderie',
    'finauderies',
    'finaudes',
    'finauds',
    'finaux',
    'fine',
    'finement',
    'finerie',
    'fineries',
    'fines',
    'finesse',
    'finesses',
    'finette',
    'finettes',
    'fini',
    'finie',
    'finies',
    'finir',
    'finira',
    'finirai',
    'finiraient',
    'finirais',
    'finirait',
    'finiras',
    'finirent',
    'finirez',
    'finiriez',
    'finirions',
    'finirons',
    'finiront',
    'finis',
    'finish',
    'finissage',
    'finissages',
    'finissaient',
    'finissais',
    'finissait',
    'finissant',
    'finissante',
    'finissantes',
    'finissants',
    'finisse',
    'finissent',
    'finisses',
    'finisseur',
    'finisseurs',
    'finisseuse',
    'finisseuses',
    'finissez',
    'finissiez',
    'finissions',
    'finissons',
    'finit',
    'finition',
    'finitions',
    'finlandais',
    'finlandaise',
    'finlandaises',
    'finlandisa',
    'finlandisai',
    'finlandisais',
    'finlandisait',
    'finlandisant',
    'finlandisas',
    'finlandise',
    'finlandisent',
    'finlandiser',
    'finlandisera',
    'finlandises',
    'finlandisez',
    'finlandisiez',
    'finlandisons',
    'finlandisât',
    'finlandisé',
    'finlandisée',
    'finlandisées',
    'finlandisés',
    'finnois',
    'finnoise',
    'finnoises',
    'fins',
    'finîmes',
    'finît',
    'finîtes',
    'fiole',
    'fioles',
    'fion',
    'fions',
    'fioriture',
    'fioritures',
    'fioul',
    'firent',
    'firmament',
    'firmaments',
    'firman',
    'firmans',
    'firme',
    'firmes',
    'fisc',
    'fiscal',
    'fiscale',
    'fiscalement',
    'fiscales',
    'fiscalisa',
    'fiscalisai',
    'fiscalisais',
    'fiscalisait',
    'fiscalisant',
    'fiscalisas',
    'fiscalisasse',
    'fiscalise',
    'fiscalisent',
    'fiscaliser',
    'fiscalisera',
    'fiscaliserai',
    'fiscaliseras',
    'fiscaliserez',
    'fiscalises',
    'fiscalisez',
    'fiscalisiez',
    'fiscalisions',
    'fiscalisons',
    'fiscaliste',
    'fiscalistes',
    'fiscalisâmes',
    'fiscalisât',
    'fiscalisâtes',
    'fiscalisé',
    'fiscalisée',
    'fiscalisées',
    'fiscalisés',
    'fiscalité',
    'fiscalités',
    'fiscaux',
    'fiscs',
    'fisse',
    'fissent',
    'fisses',
    'fissible',
    'fissibles',
    'fissiez',
    'fissile',
    'fissiles',
    'fission',
    'fissionna',
    'fissionnai',
    'fissionnais',
    'fissionnait',
    'fissionnant',
    'fissionnas',
    'fissionnasse',
    'fissionne',
    'fissionnent',
    'fissionner',
    'fissionnera',
    'fissionnerai',
    'fissionneras',
    'fissionnerez',
    'fissionnes',
    'fissionnez',
    'fissionniez',
    'fissionnions',
    'fissionnons',
    'fissionnâmes',
    'fissionnât',
    'fissionnâtes',
    'fissionné',
    'fissionnée',
    'fissionnées',
    'fissionnés',
    'fissions',
    'fissura',
    'fissurai',
    'fissuraient',
    'fissurais',
    'fissurait',
    'fissurant',
    'fissuras',
    'fissurasse',
    'fissurassent',
    'fissurasses',
    'fissurassiez',
    'fissuration',
    'fissurations',
    'fissure',
    'fissurent',
    'fissurer',
    'fissurera',
    'fissurerai',
    'fissurerais',
    'fissurerait',
    'fissureras',
    'fissurerez',
    'fissureriez',
    'fissurerions',
    'fissurerons',
    'fissureront',
    'fissures',
    'fissurez',
    'fissuriez',
    'fissurions',
    'fissurons',
    'fissurâmes',
    'fissurât',
    'fissurâtes',
    'fissurèrent',
    'fissuré',
    'fissurée',
    'fissurées',
    'fissurés',
    'fiston',
    'fistons',
    'fistot',
    'fistots',
    'fistulaire',
    'fistulaires',
    'fistule',
    'fistules',
    'fistuleuse',
    'fistuleuses',
    'fistuleux',
    'fistuline',
    'fistulines',
    'fixa',
    'fixage',
    'fixages',
    'fixai',
    'fixaient',
    'fixais',
    'fixait',
    'fixant',
    'fixante',
    'fixantes',
    'fixants',
    'fixas',
    'fixasse',
    'fixassent',
    'fixasses',
    'fixassiez',
    'fixassions',
    'fixateur',
    'fixateurs',
    'fixatif',
    'fixatifs',
    'fixation',
    'fixations',
    'fixative',
    'fixatives',
    'fixatrice',
    'fixatrices',
    'fixe',
    'fixement',
    'fixent',
    'fixer',
    'fixera',
    'fixerai',
    'fixeraient',
    'fixerais',
    'fixerait',
    'fixeras',
    'fixerez',
    'fixeriez',
    'fixerions',
    'fixerons',
    'fixeront',
    'fixes',
    'fixez',
    'fixiez',
    'fixing',
    'fixings',
    'fixions',
    'fixisme',
    'fixismes',
    'fixiste',
    'fixistes',
    'fixité',
    'fixités',
    'fixons',
    'fixâmes',
    'fixât',
    'fixâtes',
    'fixèrent',
    'fixé',
    'fixée',
    'fixées',
    'fixés',
    'fiâmes',
    'fiât',
    'fiâtes',
    'fière',
    'fièrement',
    'fièrent',
    'fières',
    'fièvre',
    'fièvres',
    'fiée',
    'fiées',
    'fiérot',
    'fiérote',
    'fiérotes',
    'fiérots',
    'fiés',
    'fiévreuse',
    'fiévreuses',
    'fiévreux',
    'fjeld',
    'fjelds',
    'fjord',
    'fjords',
    'flac',
    'flaccidité',
    'flaccidités',
    'flache',
    'flacherie',
    'flacheries',
    'flaches',
    'flacon',
    'flaconnage',
    'flaconnages',
    'flaconnier',
    'flaconniers',
    'flacons',
    'flagada',
    'flagadas',
    'flagella',
    'flagellai',
    'flagellaient',
    'flagellaire',
    'flagellaires',
    'flagellais',
    'flagellait',
    'flagellant',
    'flagellas',
    'flagellasse',
    'flagellasses',
    'flagellateur',
    'flagellation',
    'flagelle',
    'flagellent',
    'flageller',
    'flagellera',
    'flagellerai',
    'flagellerais',
    'flagellerait',
    'flagelleras',
    'flagellerez',
    'flagelleriez',
    'flagellerons',
    'flagelleront',
    'flagelles',
    'flagellez',
    'flagelliez',
    'flagellions',
    'flagellons',
    'flagellum',
    'flagellums',
    'flagellâmes',
    'flagellât',
    'flagellâtes',
    'flagellèrent',
    'flagellé',
    'flagellée',
    'flagellées',
    'flagellés',
    'flageola',
    'flageolai',
    'flageolaient',
    'flageolais',
    'flageolait',
    'flageolant',
    'flageolante',
    'flageolantes',
    'flageolants',
    'flageolas',
    'flageolasse',
    'flageolasses',
    'flageole',
    'flageolement',
    'flageolent',
    'flageoler',
    'flageolera',
    'flageolerai',
    'flageolerais',
    'flageolerait',
    'flageoleras',
    'flageolerez',
    'flageoleriez',
    'flageolerons',
    'flageoleront',
    'flageoles',
    'flageolet',
    'flageolets',
    'flageolez',
    'flageoliez',
    'flageolions',
    'flageolons',
    'flageolâmes',
    'flageolât',
    'flageolâtes',
    'flageolèrent',
    'flageolé',
    'flagorna',
    'flagornai',
    'flagornaient',
    'flagornais',
    'flagornait',
    'flagornant',
    'flagornas',
    'flagornasse',
    'flagornasses',
    'flagorne',
    'flagornent',
    'flagorner',
    'flagornera',
    'flagornerai',
    'flagornerais',
    'flagornerait',
    'flagorneras',
    'flagornerez',
    'flagornerie',
    'flagorneries',
    'flagorneriez',
    'flagornerons',
    'flagorneront',
    'flagornes',
    'flagorneur',
    'flagorneurs',
    'flagorneuse',
    'flagorneuses',
    'flagornez',
    'flagorniez',
    'flagornions',
    'flagornons',
    'flagornâmes',
    'flagornât',
    'flagornâtes',
    'flagornèrent',
    'flagorné',
    'flagornée',
    'flagornées',
    'flagornés',
    'flagrance',
    'flagrances',
    'flagrant',
    'flagrante',
    'flagrantes',
    'flagrants',
    'flair',
    'flaira',
    'flairai',
    'flairaient',
    'flairais',
    'flairait',
    'flairant',
    'flairas',
    'flairasse',
    'flairassent',
    'flairasses',
    'flairassiez',
    'flairassions',
    'flaire',
    'flairent',
    'flairer',
    'flairera',
    'flairerai',
    'flaireraient',
    'flairerais',
    'flairerait',
    'flaireras',
    'flairerez',
    'flaireriez',
    'flairerions',
    'flairerons',
    'flaireront',
    'flaires',
    'flaireur',
    'flaireurs',
    'flaireuse',
    'flaireuses',
    'flairez',
    'flairiez',
    'flairions',
    'flairons',
    'flairs',
    'flairâmes',
    'flairât',
    'flairâtes',
    'flairèrent',
    'flairé',
    'flairée',
    'flairées',
    'flairés',
    'flamand',
    'flamande',
    'flamandes',
    'flamands',
    'flamant',
    'flamants',
    'flamba',
    'flambage',
    'flambages',
    'flambai',
    'flambaient',
    'flambais',
    'flambait',
    'flambant',
    'flambante',
    'flambantes',
    'flambants',
    'flambard',
    'flambards',
    'flambart',
    'flambarts',
    'flambas',
    'flambasse',
    'flambassent',
    'flambasses',
    'flambassiez',
    'flambassions',
    'flambe',
    'flambeau',
    'flambeaux',
    'flambement',
    'flambements',
    'flambent',
    'flamber',
    'flambera',
    'flamberai',
    'flamberaient',
    'flamberais',
    'flamberait',
    'flamberas',
    'flamberez',
    'flamberge',
    'flamberges',
    'flamberiez',
    'flamberions',
    'flamberons',
    'flamberont',
    'flambes',
    'flambeur',
    'flambeurs',
    'flambeuse',
    'flambeuses',
    'flambez',
    'flambiez',
    'flambions',
    'flamboie',
    'flamboiement',
    'flamboient',
    'flamboiera',
    'flamboierai',
    'flamboierais',
    'flamboierait',
    'flamboieras',
    'flamboierez',
    'flamboieriez',
    'flamboierons',
    'flamboieront',
    'flamboies',
    'flambons',
    'flamboya',
    'flamboyai',
    'flamboyaient',
    'flamboyais',
    'flamboyait',
    'flamboyant',
    'flamboyante',
    'flamboyantes',
    'flamboyants',
    'flamboyas',
    'flamboyasse',
    'flamboyasses',
    'flamboyer',
    'flamboyez',
    'flamboyiez',
    'flamboyions',
    'flamboyons',
    'flamboyâmes',
    'flamboyât',
    'flamboyâtes',
    'flamboyèrent',
    'flamboyé',
    'flambâmes',
    'flambât',
    'flambâtes',
    'flambèrent',
    'flambé',
    'flambée',
    'flambées',
    'flambés',
    'flamenco',
    'flamencos',
    'flamine',
    'flamines',
    'flamingant',
    'flamingante',
    'flamingantes',
    'flamingants',
    'flamme',
    'flammerole',
    'flammeroles',
    'flammes',
    'flammèche',
    'flammèches',
    'flammé',
    'flammée',
    'flammées',
    'flammés',
    'flan',
    'flanc',
    'flancha',
    'flanchai',
    'flanchaient',
    'flanchais',
    'flanchait',
    'flanchant',
    'flanchas',
    'flanchasse',
    'flanchassent',
    'flanchasses',
    'flanchassiez',
    'flanche',
    'flanchent',
    'flancher',
    'flanchera',
    'flancherai',
    'flancherais',
    'flancherait',
    'flancheras',
    'flancherez',
    'flancheriez',
    'flancherions',
    'flancherons',
    'flancheront',
    'flanches',
    'flanchet',
    'flanchets',
    'flanchez',
    'flanchiez',
    'flanchions',
    'flanchons',
    'flanchâmes',
    'flanchât',
    'flanchâtes',
    'flanchèrent',
    'flanché',
    'flanchée',
    'flanchées',
    'flanchés',
    'flanconade',
    'flanconades',
    'flancs',
    'flandricisme',
    'flandrin',
    'flandrins',
    'flanelle',
    'flanelles',
    'flanqua',
    'flanquai',
    'flanquaient',
    'flanquais',
    'flanquait',
    'flanquant',
    'flanquas',
    'flanquasse',
    'flanquassent',
    'flanquasses',
    'flanquassiez',
    'flanque',
    'flanquement',
    'flanquements',
    'flanquent',
    'flanquer',
    'flanquera',
    'flanquerai',
    'flanquerais',
    'flanquerait',
    'flanqueras',
    'flanquerez',
    'flanqueriez',
    'flanquerions',
    'flanquerons',
    'flanqueront',
    'flanques',
    'flanquez',
    'flanquiez',
    'flanquions',
    'flanquons',
    'flanquâmes',
    'flanquât',
    'flanquâtes',
    'flanquèrent',
    'flanqué',
    'flanquée',
    'flanquées',
    'flanqués',
    'flans',
    'flaperons',
    'flapi',
    'flapie',
    'flapies',
    'flapis',
    'flaqua',
    'flaquai',
    'flaquaient',
    'flaquais',
    'flaquait',
    'flaquant',
    'flaquas',
    'flaquasse',
    'flaquassent',
    'flaquasses',
    'flaquassiez',
    'flaquassions',
    'flaque',
    'flaquent',
    'flaquer',
    'flaquera',
    'flaquerai',
    'flaqueraient',
    'flaquerais',
    'flaquerait',
    'flaqueras',
    'flaquerez',
    'flaqueriez',
    'flaquerions',
    'flaquerons',
    'flaqueront',
    'flaques',
    'flaquez',
    'flaquiez',
    'flaquions',
    'flaquons',
    'flaquâmes',
    'flaquât',
    'flaquâtes',
    'flaquèrent',
    'flaqué',
    'flash',
    'flasha',
    'flashai',
    'flashaient',
    'flashais',
    'flashait',
    'flashant',
    'flashas',
    'flashasse',
    'flashassent',
    'flashasses',
    'flashassiez',
    'flashassions',
    'flashe',
    'flashent',
    'flasher',
    'flashera',
    'flasherai',
    'flasheraient',
    'flasherais',
    'flasherait',
    'flasheras',
    'flasherez',
    'flasheriez',
    'flasherions',
    'flasherons',
    'flasheront',
    'flashes',
    'flashez',
    'flashiez',
    'flashions',
    'flashons',
    'flashâmes',
    'flashât',
    'flashâtes',
    'flashèrent',
    'flashé',
    'flasque',
    'flasques',
    'flatta',
    'flattai',
    'flattaient',
    'flattais',
    'flattait',
    'flattant',
    'flattas',
    'flattasse',
    'flattassent',
    'flattasses',
    'flattassiez',
    'flattassions',
    'flatte',
    'flattent',
    'flatter',
    'flattera',
    'flatterai',
    'flatteraient',
    'flatterais',
    'flatterait',
    'flatteras',
    'flatterez',
    'flatterie',
    'flatteries',
    'flatteriez',
    'flatterions',
    'flatterons',
    'flatteront',
    'flattes',
    'flatteur',
    'flatteurs',
    'flatteuse',
    'flatteuses',
    'flattez',
    'flattiez',
    'flattions',
    'flattons',
    'flattâmes',
    'flattât',
    'flattâtes',
    'flattèrent',
    'flatté',
    'flattée',
    'flattées',
    'flattés',
    'flatulence',
    'flatulences',
    'flatulent',
    'flatulente',
    'flatulentes',
    'flatulents',
    'flatuosité',
    'flatuosités',
    'flaupa',
    'flaupai',
    'flaupaient',
    'flaupais',
    'flaupait',
    'flaupant',
    'flaupas',
    'flaupasse',
    'flaupassent',
    'flaupasses',
    'flaupassiez',
    'flaupassions',
    'flaupe',
    'flaupent',
    'flauper',
    'flaupera',
    'flauperai',
    'flauperaient',
    'flauperais',
    'flauperait',
    'flauperas',
    'flauperez',
    'flauperiez',
    'flauperions',
    'flauperons',
    'flauperont',
    'flaupes',
    'flaupez',
    'flaupiez',
    'flaupions',
    'flaupons',
    'flaupâmes',
    'flaupât',
    'flaupâtes',
    'flaupèrent',
    'flaupé',
    'flaupée',
    'flaupées',
    'flaupés',
    'flavescent',
    'flavescente',
    'flavescentes',
    'flavescents',
    'flavine',
    'flavines',
    'flegmatique',
    'flegmatiques',
    'flegme',
    'flegmes',
    'flegmon',
    'flegmons',
    'flein',
    'fleins',
    'flemmard',
    'flemmarda',
    'flemmardai',
    'flemmardais',
    'flemmardait',
    'flemmardant',
    'flemmardas',
    'flemmardasse',
    'flemmarde',
    'flemmardent',
    'flemmarder',
    'flemmardera',
    'flemmarderai',
    'flemmarderas',
    'flemmarderez',
    'flemmardes',
    'flemmardez',
    'flemmardiez',
    'flemmardions',
    'flemmardise',
    'flemmardises',
    'flemmardons',
    'flemmards',
    'flemmardâmes',
    'flemmardât',
    'flemmardâtes',
    'flemmardé',
    'flemme',
    'flemmes',
    'flette',
    'flettes',
    'fleur',
    'fleura',
    'fleurage',
    'fleurages',
    'fleurai',
    'fleuraient',
    'fleurais',
    'fleuraison',
    'fleuraisons',
    'fleurait',
    'fleurant',
    'fleuras',
    'fleurasse',
    'fleurassent',
    'fleurasses',
    'fleurassiez',
    'fleurassions',
    'fleurdelisé',
    'fleurdelisée',
    'fleurdelisés',
    'fleure',
    'fleurent',
    'fleurer',
    'fleurera',
    'fleurerai',
    'fleureraient',
    'fleurerais',
    'fleurerait',
    'fleureras',
    'fleurerez',
    'fleureriez',
    'fleurerions',
    'fleurerons',
    'fleureront',
    'fleures',
    'fleuret',
    'fleurets',
    'fleurette',
    'fleurettes',
    'fleurettiste',
    'fleurez',
    'fleuri',
    'fleurie',
    'fleuries',
    'fleuriez',
    'fleurions',
    'fleurir',
    'fleurira',
    'fleurirai',
    'fleuriraient',
    'fleurirais',
    'fleurirait',
    'fleuriras',
    'fleurirent',
    'fleurirez',
    'fleuririez',
    'fleuririons',
    'fleurirons',
    'fleuriront',
    'fleuris',
    'fleurissais',
    'fleurissait',
    'fleurissant',
    'fleurissante',
    'fleurissants',
    'fleurisse',
    'fleurissent',
    'fleurisses',
    'fleurissez',
    'fleurissiez',
    'fleurissions',
    'fleurissons',
    'fleuriste',
    'fleuristes',
    'fleurit',
    'fleuron',
    'fleuronné',
    'fleuronnée',
    'fleuronnées',
    'fleuronnés',
    'fleurons',
    'fleurs',
    'fleurâmes',
    'fleurât',
    'fleurâtes',
    'fleurèrent',
    'fleuré',
    'fleurée',
    'fleurées',
    'fleurés',
    'fleurîmes',
    'fleurît',
    'fleurîtes',
    'fleuve',
    'fleuves',
    'flexibilité',
    'flexibilités',
    'flexible',
    'flexibles',
    'flexion',
    'flexionnel',
    'flexionnelle',
    'flexionnels',
    'flexions',
    'flexure',
    'flexures',
    'flibusta',
    'flibustai',
    'flibustaient',
    'flibustais',
    'flibustait',
    'flibustant',
    'flibustas',
    'flibustasse',
    'flibustasses',
    'flibuste',
    'flibustent',
    'flibuster',
    'flibustera',
    'flibusterai',
    'flibusterais',
    'flibusterait',
    'flibusteras',
    'flibusterez',
    'flibusteriez',
    'flibusterons',
    'flibusteront',
    'flibustes',
    'flibustez',
    'flibustier',
    'flibustiers',
    'flibustiez',
    'flibustions',
    'flibustons',
    'flibustâmes',
    'flibustât',
    'flibustâtes',
    'flibustèrent',
    'flibusté',
    'flibustée',
    'flibustées',
    'flibustés',
    'flic',
    'flics',
    'flingot',
    'flingots',
    'flingua',
    'flinguai',
    'flinguaient',
    'flinguais',
    'flinguait',
    'flinguant',
    'flinguas',
    'flinguasse',
    'flinguassent',
    'flinguasses',
    'flinguassiez',
    'flingue',
    'flinguent',
    'flinguer',
    'flinguera',
    'flinguerai',
    'flinguerais',
    'flinguerait',
    'flingueras',
    'flinguerez',
    'flingueriez',
    'flinguerions',
    'flinguerons',
    'flingueront',
    'flingues',
    'flinguez',
    'flinguiez',
    'flinguions',
    'flinguons',
    'flinguâmes',
    'flinguât',
    'flinguâtes',
    'flinguèrent',
    'flingué',
    'flinguée',
    'flinguées',
    'flingués',
    'flint',
    'flints',
    'flipot',
    'flipots',
    'flippa',
    'flippai',
    'flippaient',
    'flippais',
    'flippait',
    'flippant',
    'flippas',
    'flippasse',
    'flippassent',
    'flippasses',
    'flippassiez',
    'flippassions',
    'flippe',
    'flippent',
    'flipper',
    'flippera',
    'flipperai',
    'flipperaient',
    'flipperais',
    'flipperait',
    'flipperas',
    'flipperez',
    'flipperiez',
    'flipperions',
    'flipperons',
    'flipperont',
    'flippers',
    'flippes',
    'flippez',
    'flippiez',
    'flippions',
    'flippons',
    'flippâmes',
    'flippât',
    'flippâtes',
    'flippèrent',
    'flippé',
    'flirt',
    'flirta',
    'flirtai',
    'flirtaient',
    'flirtais',
    'flirtait',
    'flirtant',
    'flirtas',
    'flirtasse',
    'flirtassent',
    'flirtasses',
    'flirtassiez',
    'flirtassions',
    'flirte',
    'flirtent',
    'flirter',
    'flirtera',
    'flirterai',
    'flirteraient',
    'flirterais',
    'flirterait',
    'flirteras',
    'flirterez',
    'flirteriez',
    'flirterions',
    'flirterons',
    'flirteront',
    'flirtes',
    'flirteur',
    'flirteurs',
    'flirteuse',
    'flirteuses',
    'flirtez',
    'flirtiez',
    'flirtions',
    'flirtons',
    'flirts',
    'flirtâmes',
    'flirtât',
    'flirtâtes',
    'flirtèrent',
    'flirté',
    'floc',
    'flocage',
    'flocages',
    'floche',
    'floches',
    'flocon',
    'floconna',
    'floconnai',
    'floconnaient',
    'floconnais',
    'floconnait',
    'floconnant',
    'floconnante',
    'floconnantes',
    'floconnants',
    'floconnas',
    'floconnasse',
    'floconnasses',
    'floconne',
    'floconnent',
    'floconner',
    'floconnera',
    'floconnerai',
    'floconnerais',
    'floconnerait',
    'floconneras',
    'floconnerez',
    'floconneriez',
    'floconnerons',
    'floconneront',
    'floconnes',
    'floconneuse',
    'floconneuses',
    'floconneux',
    'floconnez',
    'floconniez',
    'floconnions',
    'floconnons',
    'floconnâmes',
    'floconnât',
    'floconnâtes',
    'floconnèrent',
    'floconné',
    'flocons',
    'flocula',
    'floculai',
    'floculaient',
    'floculais',
    'floculait',
    'floculant',
    'floculas',
    'floculasse',
    'floculassent',
    'floculasses',
    'floculassiez',
    'floculation',
    'floculations',
    'flocule',
    'floculer',
    'floculera',
    'floculerai',
    'floculerais',
    'floculerait',
    'floculeras',
    'floculerez',
    'floculeriez',
    'floculerions',
    'floculerons',
    'floculeront',
    'floculez',
    'floculiez',
    'floculions',
    'floculons',
    'floculâmes',
    'floculât',
    'floculâtes',
    'floculèrent',
    'floculé',
    'flonflon',
    'flonflons',
    'flood',
    'flop',
    'flops',
    'flopée',
    'flopées',
    'floquer',
    'floraison',
    'floraisons',
    'floral',
    'florale',
    'florales',
    'floralies',
    'floraux',
    'flore',
    'florence',
    'florences',
    'florentin',
    'florentine',
    'florentines',
    'florentins',
    'flores',
    'floricole',
    'floricoles',
    'floriculture',
    'florifère',
    'florifères',
    'florilège',
    'florilèges',
    'florin',
    'florins',
    'florissant',
    'florissante',
    'florissantes',
    'florissants',
    'florès',
    'floréal',
    'flosculeuse',
    'flosculeuses',
    'flosculeux',
    'flot',
    'flots',
    'flotta',
    'flottabilité',
    'flottable',
    'flottables',
    'flottage',
    'flottages',
    'flottai',
    'flottaient',
    'flottais',
    'flottaison',
    'flottaisons',
    'flottait',
    'flottant',
    'flottante',
    'flottantes',
    'flottants',
    'flottard',
    'flottards',
    'flottas',
    'flottasse',
    'flottassent',
    'flottasses',
    'flottassiez',
    'flottassions',
    'flottation',
    'flottations',
    'flotte',
    'flottement',
    'flottements',
    'flottent',
    'flotter',
    'flottera',
    'flotterai',
    'flotteraient',
    'flotterais',
    'flotterait',
    'flotteras',
    'flotterez',
    'flotteriez',
    'flotterions',
    'flotterons',
    'flotteront',
    'flottes',
    'flotteur',
    'flotteurs',
    'flottez',
    'flottiez',
    'flottille',
    'flottilles',
    'flottions',
    'flottons',
    'flottâmes',
    'flottât',
    'flottâtes',
    'flottèrent',
    'flotté',
    'flottée',
    'flottées',
    'flottés',
    'flou',
    'floua',
    'flouai',
    'flouaient',
    'flouais',
    'flouait',
    'flouant',
    'flouas',
    'flouasse',
    'flouassent',
    'flouasses',
    'flouassiez',
    'flouassions',
    'floue',
    'flouent',
    'flouer',
    'flouera',
    'flouerai',
    'floueraient',
    'flouerais',
    'flouerait',
    'floueras',
    'flouerez',
    'floueriez',
    'flouerions',
    'flouerons',
    'floueront',
    'floues',
    'flouez',
    'flouiez',
    'flouions',
    'flouons',
    'flous',
    'flousa',
    'flousai',
    'flousaient',
    'flousais',
    'flousait',
    'flousant',
    'flousas',
    'flousasse',
    'flousassent',
    'flousasses',
    'flousassiez',
    'flousassions',
    'flouse',
    'flousent',
    'flouser',
    'flousera',
    'flouserai',
    'flouseraient',
    'flouserais',
    'flouserait',
    'flouseras',
    'flouserez',
    'flouseriez',
    'flouserions',
    'flouserons',
    'flouseront',
    'flouses',
    'flousez',
    'flousiez',
    'flousions',
    'flousons',
    'flousâmes',
    'flousât',
    'flousâtes',
    'flousèrent',
    'flousé',
    'flouve',
    'flouves',
    'flouze',
    'flouzes',
    'flouâmes',
    'flouât',
    'flouâtes',
    'flouèrent',
    'floué',
    'flouée',
    'flouées',
    'floués',
    'flua',
    'fluage',
    'fluages',
    'fluai',
    'fluaient',
    'fluais',
    'fluait',
    'fluant',
    'fluas',
    'fluasse',
    'fluassent',
    'fluasses',
    'fluassiez',
    'fluassions',
    'fluate',
    'fluates',
    'fluctua',
    'fluctuai',
    'fluctuaient',
    'fluctuais',
    'fluctuait',
    'fluctuant',
    'fluctuante',
    'fluctuantes',
    'fluctuants',
    'fluctuas',
    'fluctuasse',
    'fluctuassent',
    'fluctuasses',
    'fluctuassiez',
    'fluctuation',
    'fluctuations',
    'fluctue',
    'fluctuent',
    'fluctuer',
    'fluctuera',
    'fluctuerai',
    'fluctuerais',
    'fluctuerait',
    'fluctueras',
    'fluctuerez',
    'fluctueriez',
    'fluctuerions',
    'fluctuerons',
    'fluctueront',
    'fluctues',
    'fluctuez',
    'fluctuiez',
    'fluctuions',
    'fluctuons',
    'fluctuâmes',
    'fluctuât',
    'fluctuâtes',
    'fluctuèrent',
    'fluctué',
    'flue',
    'fluent',
    'fluer',
    'fluera',
    'fluerai',
    'flueraient',
    'fluerais',
    'fluerait',
    'flueras',
    'fluerez',
    'flueriez',
    'fluerions',
    'fluerons',
    'flueront',
    'flues',
    'fluet',
    'fluets',
    'fluette',
    'fluettes',
    'fluez',
    'fluide',
    'fluides',
    'fluidifia',
    'fluidifiai',
    'fluidifiais',
    'fluidifiait',
    'fluidifiant',
    'fluidifiante',
    'fluidifiants',
    'fluidifias',
    'fluidifiasse',
    'fluidifie',
    'fluidifient',
    'fluidifier',
    'fluidifiera',
    'fluidifierai',
    'fluidifieras',
    'fluidifierez',
    'fluidifies',
    'fluidifiez',
    'fluidifiiez',
    'fluidifiions',
    'fluidifions',
    'fluidifiâmes',
    'fluidifiât',
    'fluidifiâtes',
    'fluidifié',
    'fluidifiée',
    'fluidifiées',
    'fluidifiés',
    'fluidique',
    'fluidiques',
    'fluidisa',
    'fluidisai',
    'fluidisaient',
    'fluidisais',
    'fluidisait',
    'fluidisant',
    'fluidisas',
    'fluidisasse',
    'fluidisasses',
    'fluidise',
    'fluidisent',
    'fluidiser',
    'fluidisera',
    'fluidiserai',
    'fluidiserais',
    'fluidiserait',
    'fluidiseras',
    'fluidiserez',
    'fluidiseriez',
    'fluidiserons',
    'fluidiseront',
    'fluidises',
    'fluidisez',
    'fluidisiez',
    'fluidisions',
    'fluidisons',
    'fluidisâmes',
    'fluidisât',
    'fluidisâtes',
    'fluidisèrent',
    'fluidisé',
    'fluidisée',
    'fluidisées',
    'fluidisés',
    'fluidité',
    'fluidités',
    'fluiez',
    'fluions',
    'fluons',
    'fluor',
    'fluoration',
    'fluorations',
    'fluorescence',
    'fluorescent',
    'fluorescente',
    'fluorescents',
    'fluorescéine',
    'fluorine',
    'fluorines',
    'fluorisa',
    'fluorisai',
    'fluorisaient',
    'fluorisais',
    'fluorisait',
    'fluorisant',
    'fluorisante',
    'fluorisantes',
    'fluorisants',
    'fluorisas',
    'fluorisasse',
    'fluorisasses',
    'fluorise',
    'fluorisent',
    'fluoriser',
    'fluorisera',
    'fluoriserai',
    'fluoriserais',
    'fluoriserait',
    'fluoriseras',
    'fluoriserez',
    'fluoriseriez',
    'fluoriserons',
    'fluoriseront',
    'fluorises',
    'fluorisez',
    'fluorisiez',
    'fluorisions',
    'fluorisons',
    'fluorisâmes',
    'fluorisât',
    'fluorisâtes',
    'fluorisèrent',
    'fluorisé',
    'fluorisée',
    'fluorisées',
    'fluorisés',
    'fluorose',
    'fluoroses',
    'fluors',
    'fluoruration',
    'fluorure',
    'fluorures',
    'fluotournage',
    'flush',
    'flushes',
    'fluvial',
    'fluviale',
    'fluviales',
    'fluviatile',
    'fluviatiles',
    'fluviaux',
    'fluviomètre',
    'fluviomètres',
    'flux',
    'fluxa',
    'fluxai',
    'fluxaient',
    'fluxais',
    'fluxait',
    'fluxant',
    'fluxas',
    'fluxasse',
    'fluxassent',
    'fluxasses',
    'fluxassiez',
    'fluxassions',
    'fluxe',
    'fluxent',
    'fluxer',
    'fluxera',
    'fluxerai',
    'fluxeraient',
    'fluxerais',
    'fluxerait',
    'fluxeras',
    'fluxerez',
    'fluxeriez',
    'fluxerions',
    'fluxerons',
    'fluxeront',
    'fluxes',
    'fluxez',
    'fluxiez',
    'fluxion',
    'fluxions',
    'fluxmètre',
    'fluxmètres',
    'fluxons',
    'fluxâmes',
    'fluxât',
    'fluxâtes',
    'fluxèrent',
    'fluxé',
    'fluxée',
    'fluxées',
    'fluxés',
    'fluâmes',
    'fluât',
    'fluâtes',
    'fluèrent',
    'flué',
    'flâna',
    'flânai',
    'flânaient',
    'flânais',
    'flânait',
    'flânant',
    'flânas',
    'flânasse',
    'flânassent',
    'flânasses',
    'flânassiez',
    'flânassions',
    'flâne',
    'flânent',
    'flâner',
    'flânera',
    'flânerai',
    'flâneraient',
    'flânerais',
    'flânerait',
    'flâneras',
    'flânerez',
    'flânerie',
    'flâneries',
    'flâneriez',
    'flânerions',
    'flânerons',
    'flâneront',
    'flânes',
    'flâneur',
    'flâneurs',
    'flâneuse',
    'flâneuses',
    'flânez',
    'flâniez',
    'flânions',
    'flânons',
    'flânâmes',
    'flânât',
    'flânâtes',
    'flânèrent',
    'flâné',
    'flèche',
    'flèchent',
    'flèches',
    'fléau',
    'fléaux',
    'flécha',
    'fléchage',
    'fléchages',
    'fléchai',
    'fléchaient',
    'fléchais',
    'fléchait',
    'fléchant',
    'fléchas',
    'fléchasse',
    'fléchassent',
    'fléchasses',
    'fléchassiez',
    'fléchassions',
    'flécher',
    'fléchera',
    'flécherai',
    'flécheraient',
    'flécherais',
    'flécherait',
    'flécheras',
    'flécherez',
    'flécheriez',
    'flécherions',
    'flécherons',
    'flécheront',
    'fléchette',
    'fléchettes',
    'fléchez',
    'fléchi',
    'fléchie',
    'fléchies',
    'fléchiez',
    'fléchions',
    'fléchir',
    'fléchira',
    'fléchirai',
    'fléchiraient',
    'fléchirais',
    'fléchirait',
    'fléchiras',
    'fléchirent',
    'fléchirez',
    'fléchiriez',
    'fléchirions',
    'fléchirons',
    'fléchiront',
    'fléchis',
    'fléchissais',
    'fléchissait',
    'fléchissant',
    'fléchisse',
    'fléchissent',
    'fléchisses',
    'fléchisseur',
    'fléchisseurs',
    'fléchissez',
    'fléchissiez',
    'fléchissions',
    'fléchissons',
    'fléchit',
    'fléchons',
    'fléchâmes',
    'fléchât',
    'fléchâtes',
    'fléchèrent',
    'fléché',
    'fléchée',
    'fléchées',
    'fléchés',
    'fléchîmes',
    'fléchît',
    'fléchîtes',
    'flémard',
    'flémarde',
    'flémardes',
    'flémards',
    'fléole',
    'fléoles',
    'flétan',
    'flétans',
    'flétri',
    'flétrie',
    'flétries',
    'flétrir',
    'flétrira',
    'flétrirai',
    'flétriraient',
    'flétrirais',
    'flétrirait',
    'flétriras',
    'flétrirent',
    'flétrirez',
    'flétririez',
    'flétririons',
    'flétrirons',
    'flétriront',
    'flétris',
    'flétrissais',
    'flétrissait',
    'flétrissant',
    'flétrissante',
    'flétrissants',
    'flétrisse',
    'flétrissent',
    'flétrisses',
    'flétrissez',
    'flétrissiez',
    'flétrissions',
    'flétrissons',
    'flétrissure',
    'flétrissures',
    'flétrit',
    'flétrîmes',
    'flétrît',
    'flétrîtes',
    'flûta',
    'flûtai',
    'flûtaient',
    'flûtais',
    'flûtait',
    'flûtant',
    'flûtas',
    'flûtasse',
    'flûtassent',
    'flûtasses',
    'flûtassiez',
    'flûtassions',
    'flûte',
    'flûteau',
    'flûteaux',
    'flûtent',
    'flûter',
    'flûtera',
    'flûterai',
    'flûteraient',
    'flûterais',
    'flûterait',
    'flûteras',
    'flûterez',
    'flûteriez',
    'flûterions',
    'flûterons',
    'flûteront',
    'flûtes',
    'flûtez',
    'flûtiez',
    'flûtions',
    'flûtiste',
    'flûtistes',
    'flûtons',
    'flûtâmes',
    'flûtât',
    'flûtâtes',
    'flûtèrent',
    'flûté',
    'flûtée',
    'flûtées',
    'flûtés',
    'focal',
    'focale',
    'focales',
    'focalisa',
    'focalisai',
    'focalisaient',
    'focalisais',
    'focalisait',
    'focalisant',
    'focalisante',
    'focalisantes',
    'focalisants',
    'focalisas',
    'focalisasse',
    'focalisasses',
    'focalisation',
    'focalise',
    'focalisent',
    'focaliser',
    'focalisera',
    'focaliserai',
    'focaliserais',
    'focaliserait',
    'focaliseras',
    'focaliserez',
    'focaliseriez',
    'focaliserons',
    'focaliseront',
    'focalises',
    'focalisez',
    'focalisiez',
    'focalisions',
    'focalisons',
    'focalisâmes',
    'focalisât',
    'focalisâtes',
    'focalisèrent',
    'focalisé',
    'focalisée',
    'focalisées',
    'focalisés',
    'focaux',
    'focs',
    'foehn',
    'foetal',
    'foetale',
    'foetales',
    'foetaux',
    'foetus',
    'foie',
    'foies',
    'foin',
    'foins',
    'foira',
    'foirade',
    'foirades',
    'foirai',
    'foiraient',
    'foirail',
    'foirails',
    'foirais',
    'foirait',
    'foirant',
    'foirante',
    'foirantes',
    'foirants',
    'foiras',
    'foirasse',
    'foirassent',
    'foirasses',
    'foirassiez',
    'foirassions',
    'foire',
    'foirent',
    'foirer',
    'foirera',
    'foirerai',
    'foireraient',
    'foirerais',
    'foirerait',
    'foireras',
    'foirerez',
    'foireriez',
    'foirerions',
    'foirerons',
    'foireront',
    'foires',
    'foireuse',
    'foireuses',
    'foireux',
    'foirez',
    'foiriez',
    'foirions',
    'foirons',
    'foirâmes',
    'foirât',
    'foirâtes',
    'foirèrent',
    'foiré',
    'fois',
    'foison',
    'foisonna',
    'foisonnai',
    'foisonnaient',
    'foisonnais',
    'foisonnait',
    'foisonnant',
    'foisonnante',
    'foisonnantes',
    'foisonnants',
    'foisonnas',
    'foisonnasse',
    'foisonnasses',
    'foisonne',
    'foisonnement',
    'foisonnent',
    'foisonner',
    'foisonnera',
    'foisonnerai',
    'foisonnerais',
    'foisonnerait',
    'foisonneras',
    'foisonnerez',
    'foisonneriez',
    'foisonnerons',
    'foisonneront',
    'foisonnes',
    'foisonnez',
    'foisonniez',
    'foisonnions',
    'foisonnons',
    'foisonnâmes',
    'foisonnât',
    'foisonnâtes',
    'foisonnèrent',
    'foisonné',
    'folasse',
    'folasses',
    'foliacé',
    'foliacée',
    'foliacées',
    'foliacés',
    'foliaire',
    'foliaires',
    'foliation',
    'foliations',
    'folichon',
    'folichonna',
    'folichonnai',
    'folichonnais',
    'folichonnait',
    'folichonnant',
    'folichonnas',
    'folichonne',
    'folichonnent',
    'folichonner',
    'folichonnera',
    'folichonnes',
    'folichonnez',
    'folichonniez',
    'folichonnons',
    'folichonnât',
    'folichonné',
    'folichons',
    'folie',
    'folies',
    'folio',
    'foliole',
    'folioles',
    'folios',
    'foliot',
    'foliota',
    'foliotai',
    'foliotaient',
    'foliotais',
    'foliotait',
    'foliotant',
    'foliotas',
    'foliotasse',
    'foliotassent',
    'foliotasses',
    'foliotassiez',
    'foliote',
    'foliotent',
    'folioter',
    'foliotera',
    'folioterai',
    'folioterais',
    'folioterait',
    'folioteras',
    'folioterez',
    'folioteriez',
    'folioterions',
    'folioterons',
    'folioteront',
    'foliotes',
    'foliotez',
    'foliotiez',
    'foliotions',
    'foliotons',
    'foliots',
    'foliotâmes',
    'foliotât',
    'foliotâtes',
    'foliotèrent',
    'folioté',
    'foliotée',
    'foliotées',
    'foliotés',
    'folié',
    'foliée',
    'foliées',
    'foliés',
    'folk',
    'folklore',
    'folklores',
    'folklorique',
    'folkloriques',
    'folkloriste',
    'folkloristes',
    'folks',
    'folksong',
    'folksongs',
    'folle',
    'follement',
    'folles',
    'follet',
    'follets',
    'follette',
    'follettes',
    'folliculaire',
    'follicule',
    'follicules',
    'folliculine',
    'folliculines',
    'folliculite',
    'folliculites',
    'fols',
    'folâtra',
    'folâtrai',
    'folâtraient',
    'folâtrais',
    'folâtrait',
    'folâtrant',
    'folâtras',
    'folâtrasse',
    'folâtrassent',
    'folâtrasses',
    'folâtrassiez',
    'folâtre',
    'folâtrent',
    'folâtrer',
    'folâtrera',
    'folâtrerai',
    'folâtrerais',
    'folâtrerait',
    'folâtreras',
    'folâtrerez',
    'folâtrerie',
    'folâtreries',
    'folâtreriez',
    'folâtrerions',
    'folâtrerons',
    'folâtreront',
    'folâtres',
    'folâtrez',
    'folâtriez',
    'folâtrions',
    'folâtrons',
    'folâtrâmes',
    'folâtrât',
    'folâtrâtes',
    'folâtrèrent',
    'folâtré',
    'fomenta',
    'fomentai',
    'fomentaient',
    'fomentais',
    'fomentait',
    'fomentant',
    'fomentas',
    'fomentasse',
    'fomentassent',
    'fomentasses',
    'fomentassiez',
    'fomentateur',
    'fomentateurs',
    'fomentation',
    'fomentations',
    'fomentatrice',
    'fomente',
    'fomentent',
    'fomenter',
    'fomentera',
    'fomenterai',
    'fomenterais',
    'fomenterait',
    'fomenteras',
    'fomenterez',
    'fomenteriez',
    'fomenterions',
    'fomenterons',
    'fomenteront',
    'fomentes',
    'fomentez',
    'fomentiez',
    'fomentions',
    'fomentons',
    'fomentâmes',
    'fomentât',
    'fomentâtes',
    'fomentèrent',
    'fomenté',
    'fomentée',
    'fomentées',
    'fomentés',
    'fonce',
    'foncent',
    'foncer',
    'foncera',
    'foncerai',
    'fonceraient',
    'foncerais',
    'foncerait',
    'fonceras',
    'foncerez',
    'fonceriez',
    'foncerions',
    'foncerons',
    'fonceront',
    'fonces',
    'fonceur',
    'fonceurs',
    'fonceuse',
    'fonceuses',
    'foncez',
    'foncier',
    'fonciers',
    'fonciez',
    'foncions',
    'foncière',
    'foncièrement',
    'foncières',
    'fonction',
    'fonctionna',
    'fonctionnai',
    'fonctionnais',
    'fonctionnait',
    'fonctionnant',
    'fonctionnas',
    'fonctionne',
    'fonctionnel',
    'fonctionnels',
    'fonctionnent',
    'fonctionner',
    'fonctionnera',
    'fonctionnes',
    'fonctionnez',
    'fonctionniez',
    'fonctionnons',
    'fonctionnât',
    'fonctionné',
    'fonctions',
    'foncèrent',
    'foncé',
    'foncée',
    'foncées',
    'foncés',
    'fond',
    'fonda',
    'fondai',
    'fondaient',
    'fondais',
    'fondait',
    'fondamental',
    'fondamentale',
    'fondamentaux',
    'fondant',
    'fondante',
    'fondantes',
    'fondants',
    'fondas',
    'fondasse',
    'fondassent',
    'fondasses',
    'fondassiez',
    'fondassions',
    'fondateur',
    'fondateurs',
    'fondation',
    'fondations',
    'fondatrice',
    'fondatrices',
    'fonde',
    'fondement',
    'fondements',
    'fondent',
    'fonder',
    'fondera',
    'fonderai',
    'fonderaient',
    'fonderais',
    'fonderait',
    'fonderas',
    'fonderez',
    'fonderie',
    'fonderies',
    'fonderiez',
    'fonderions',
    'fonderons',
    'fonderont',
    'fondes',
    'fondeur',
    'fondeurs',
    'fondeuse',
    'fondeuses',
    'fondez',
    'fondiez',
    'fondions',
    'fondirent',
    'fondis',
    'fondisse',
    'fondissent',
    'fondisses',
    'fondissiez',
    'fondissions',
    'fondit',
    'fondoir',
    'fondoirs',
    'fondons',
    'fondouk',
    'fondouks',
    'fondra',
    'fondrai',
    'fondraient',
    'fondrais',
    'fondrait',
    'fondras',
    'fondre',
    'fondrez',
    'fondriez',
    'fondrions',
    'fondrière',
    'fondrières',
    'fondrons',
    'fondront',
    'fonds',
    'fondu',
    'fondue',
    'fondues',
    'fondus',
    'fondâmes',
    'fondât',
    'fondâtes',
    'fondèrent',
    'fondé',
    'fondée',
    'fondées',
    'fondés',
    'fondîmes',
    'fondît',
    'fondîtes',
    'fongibilité',
    'fongibilités',
    'fongible',
    'fongibles',
    'fongicide',
    'fongicides',
    'fongiforme',
    'fongiformes',
    'fongique',
    'fongiques',
    'fongosité',
    'fongosités',
    'fongueuse',
    'fongueuses',
    'fongueux',
    'fongus',
    'font',
    'fontaine',
    'fontaines',
    'fontainier',
    'fontainiers',
    'fontanelle',
    'fontanelles',
    'fontange',
    'fontanges',
    'fontanili',
    'fonte',
    'fontes',
    'fontis',
    'fonts',
    'fonça',
    'fonçai',
    'fonçaient',
    'fonçais',
    'fonçait',
    'fonçant',
    'fonças',
    'fonçasse',
    'fonçassent',
    'fonçasses',
    'fonçassiez',
    'fonçassions',
    'fonçons',
    'fonçâmes',
    'fonçât',
    'fonçâtes',
    'foot',
    'football',
    'footballer',
    'footballers',
    'footballeur',
    'footballeurs',
    'footballeuse',
    'footballs',
    'footing',
    'footings',
    'foots',
    'fora',
    'forage',
    'forages',
    'forai',
    'foraient',
    'forain',
    'foraine',
    'foraines',
    'forains',
    'forais',
    'forait',
    'foraminé',
    'foraminée',
    'foraminées',
    'foraminés',
    'forant',
    'foras',
    'forasse',
    'forassent',
    'forasses',
    'forassiez',
    'forassions',
    'forban',
    'forbans',
    'force',
    'forcement',
    'forcements',
    'forcent',
    'forcené',
    'forcenée',
    'forcenées',
    'forcenés',
    'forceps',
    'forcer',
    'forcera',
    'forcerai',
    'forceraient',
    'forcerais',
    'forcerait',
    'forceras',
    'forcerez',
    'forcerie',
    'forceries',
    'forceriez',
    'forcerions',
    'forcerons',
    'forceront',
    'forces',
    'forcez',
    'forci',
    'forciez',
    'forcing',
    'forcings',
    'forcions',
    'forcir',
    'forcira',
    'forcirai',
    'forciraient',
    'forcirais',
    'forcirait',
    'forciras',
    'forcirent',
    'forcirez',
    'forciriez',
    'forcirions',
    'forcirons',
    'forciront',
    'forcis',
    'forcissaient',
    'forcissais',
    'forcissait',
    'forcissant',
    'forcisse',
    'forcissent',
    'forcisses',
    'forcissez',
    'forcissiez',
    'forcissions',
    'forcissons',
    'forcit',
    'forclore',
    'forclos',
    'forclose',
    'forcloses',
    'forclusion',
    'forclusions',
    'forcèrent',
    'forcé',
    'forcée',
    'forcées',
    'forcément',
    'forcés',
    'forcîmes',
    'forcît',
    'forcîtes',
    'fore',
    'forent',
    'forer',
    'forera',
    'forerai',
    'foreraient',
    'forerais',
    'forerait',
    'foreras',
    'forerez',
    'foreriez',
    'forerions',
    'forerons',
    'foreront',
    'fores',
    'foresterie',
    'foresteries',
    'forestier',
    'forestiers',
    'forestière',
    'forestières',
    'foret',
    'forets',
    'foreur',
    'foreurs',
    'foreuse',
    'foreuses',
    'forez',
    'forfaire',
    'forfais',
    'forfaisaient',
    'forfaisais',
    'forfaisait',
    'forfaisant',
    'forfaisiez',
    'forfaisions',
    'forfaisons',
    'forfait',
    'forfaitaire',
    'forfaitaires',
    'forfaite',
    'forfaites',
    'forfaits',
    'forfaiture',
    'forfaitures',
    'forfanterie',
    'forfanteries',
    'forfasse',
    'forfassent',
    'forfasses',
    'forfassiez',
    'forfassions',
    'forfera',
    'forferai',
    'forferaient',
    'forferais',
    'forferait',
    'forferas',
    'forferez',
    'forferiez',
    'forferions',
    'forferons',
    'forferont',
    'forficule',
    'forficules',
    'forfirent',
    'forfis',
    'forfisse',
    'forfissent',
    'forfisses',
    'forfissiez',
    'forfissions',
    'forfit',
    'forfont',
    'forfîmes',
    'forfît',
    'forfîtes',
    'forge',
    'forgea',
    'forgeable',
    'forgeables',
    'forgeage',
    'forgeages',
    'forgeai',
    'forgeaient',
    'forgeais',
    'forgeait',
    'forgeant',
    'forgeas',
    'forgeasse',
    'forgeassent',
    'forgeasses',
    'forgeassiez',
    'forgeassions',
    'forgent',
    'forgeons',
    'forger',
    'forgera',
    'forgerai',
    'forgeraient',
    'forgerais',
    'forgerait',
    'forgeras',
    'forgerez',
    'forgeriez',
    'forgerions',
    'forgeron',
    'forgerons',
    'forgeront',
    'forges',
    'forgeur',
    'forgeurs',
    'forgeuse',
    'forgeuses',
    'forgez',
    'forgeâmes',
    'forgeât',
    'forgeâtes',
    'forgiez',
    'forgions',
    'forgèrent',
    'forgé',
    'forgée',
    'forgées',
    'forgés',
    'foriez',
    'forint',
    'forints',
    'forions',
    'forjeta',
    'forjetai',
    'forjetaient',
    'forjetais',
    'forjetait',
    'forjetant',
    'forjetas',
    'forjetasse',
    'forjetassent',
    'forjetasses',
    'forjetassiez',
    'forjeter',
    'forjetez',
    'forjetiez',
    'forjetions',
    'forjetons',
    'forjette',
    'forjettent',
    'forjettera',
    'forjetterai',
    'forjetterais',
    'forjetterait',
    'forjetteras',
    'forjetterez',
    'forjetteriez',
    'forjetterons',
    'forjetteront',
    'forjettes',
    'forjetâmes',
    'forjetât',
    'forjetâtes',
    'forjetèrent',
    'forjeté',
    'forjetée',
    'forjetées',
    'forjetés',
    'forlance',
    'forlancent',
    'forlancer',
    'forlancera',
    'forlancerai',
    'forlancerais',
    'forlancerait',
    'forlanceras',
    'forlancerez',
    'forlanceriez',
    'forlancerons',
    'forlanceront',
    'forlances',
    'forlancez',
    'forlanciez',
    'forlancions',
    'forlancèrent',
    'forlancé',
    'forlancée',
    'forlancées',
    'forlancés',
    'forlane',
    'forlanes',
    'forlança',
    'forlançai',
    'forlançaient',
    'forlançais',
    'forlançait',
    'forlançant',
    'forlanças',
    'forlançasse',
    'forlançasses',
    'forlançons',
    'forlançâmes',
    'forlançât',
    'forlançâtes',
    'forligna',
    'forlignai',
    'forlignaient',
    'forlignais',
    'forlignait',
    'forlignant',
    'forlignas',
    'forlignasse',
    'forlignasses',
    'forligne',
    'forlignent',
    'forligner',
    'forlignera',
    'forlignerai',
    'forlignerais',
    'forlignerait',
    'forligneras',
    'forlignerez',
    'forligneriez',
    'forlignerons',
    'forligneront',
    'forlignes',
    'forlignez',
    'forligniez',
    'forlignions',
    'forlignons',
    'forlignâmes',
    'forlignât',
    'forlignâtes',
    'forlignèrent',
    'forligné',
    'forma',
    'formage',
    'formages',
    'formai',
    'formaient',
    'formais',
    'formait',
    'formaldéhyde',
    'formalisa',
    'formalisai',
    'formalisais',
    'formalisait',
    'formalisant',
    'formalisante',
    'formalisants',
    'formalisas',
    'formalisasse',
    'formalise',
    'formalisent',
    'formaliser',
    'formalisera',
    'formaliserai',
    'formaliseras',
    'formaliserez',
    'formalises',
    'formalisez',
    'formalisiez',
    'formalisions',
    'formalisme',
    'formalismes',
    'formalisons',
    'formaliste',
    'formalistes',
    'formalisâmes',
    'formalisât',
    'formalisâtes',
    'formalisé',
    'formalisée',
    'formalisées',
    'formalisés',
    'formalité',
    'formalités',
    'formant',
    'formariage',
    'formariages',
    'formas',
    'formasse',
    'formassent',
    'formasses',
    'formassiez',
    'formassions',
    'format',
    'formateur',
    'formateurs',
    'formatif',
    'formatifs',
    'formation',
    'formations',
    'formative',
    'formatives',
    'formatrice',
    'formatrices',
    'formats',
    'forme',
    'formel',
    'formelle',
    'formellement',
    'formelles',
    'formels',
    'forment',
    'former',
    'formera',
    'formerai',
    'formeraient',
    'formerais',
    'formerait',
    'formeras',
    'formeret',
    'formerets',
    'formerez',
    'formeriez',
    'formerions',
    'formerons',
    'formeront',
    'formes',
    'formez',
    'formiate',
    'formiates',
    'formicant',
    'formicante',
    'formicantes',
    'formicants',
    'formication',
    'formications',
    'formidable',
    'formidables',
    'formiez',
    'formions',
    'formique',
    'formiques',
    'formol',
    'formola',
    'formolai',
    'formolaient',
    'formolais',
    'formolait',
    'formolant',
    'formolas',
    'formolasse',
    'formolassent',
    'formolasses',
    'formolassiez',
    'formole',
    'formolent',
    'formoler',
    'formolera',
    'formolerai',
    'formolerais',
    'formolerait',
    'formoleras',
    'formolerez',
    'formoleriez',
    'formolerions',
    'formolerons',
    'formoleront',
    'formoles',
    'formolez',
    'formoliez',
    'formolions',
    'formolons',
    'formols',
    'formolâmes',
    'formolât',
    'formolâtes',
    'formolèrent',
    'formolé',
    'formolée',
    'formolées',
    'formolés',
    'formons',
    'formula',
    'formulable',
    'formulables',
    'formulai',
    'formulaient',
    'formulaire',
    'formulaires',
    'formulais',
    'formulait',
    'formulant',
    'formulas',
    'formulasse',
    'formulassent',
    'formulasses',
    'formulassiez',
    'formulation',
    'formulations',
    'formule',
    'formulent',
    'formuler',
    'formulera',
    'formulerai',
    'formulerais',
    'formulerait',
    'formuleras',
    'formulerez',
    'formuleriez',
    'formulerions',
    'formulerons',
    'formuleront',
    'formules',
    'formulez',
    'formuliez',
    'formulions',
    'formulons',
    'formulâmes',
    'formulât',
    'formulâtes',
    'formulèrent',
    'formulé',
    'formulée',
    'formulées',
    'formulés',
    'formâmes',
    'formât',
    'formâtes',
    'formène',
    'formènes',
    'formèrent',
    'formé',
    'formée',
    'formées',
    'formés',
    'fornicateur',
    'fornicateurs',
    'fornication',
    'fornications',
    'fornicatrice',
    'forniqua',
    'forniquai',
    'forniquaient',
    'forniquais',
    'forniquait',
    'forniquant',
    'forniquas',
    'forniquasse',
    'forniquasses',
    'fornique',
    'forniquent',
    'forniquer',
    'forniquera',
    'forniquerai',
    'forniquerais',
    'forniquerait',
    'forniqueras',
    'forniquerez',
    'forniqueriez',
    'forniquerons',
    'forniqueront',
    'forniques',
    'forniquez',
    'forniquiez',
    'forniquions',
    'forniquons',
    'forniquâmes',
    'forniquât',
    'forniquâtes',
    'forniquèrent',
    'forniqué',
    'forons',
    'fors',
    'forsythia',
    'forsythias',
    'fort',
    'forte',
    'fortement',
    'forteresse',
    'forteresses',
    'fortes',
    'fortiche',
    'fortiches',
    'fortifia',
    'fortifiai',
    'fortifiaient',
    'fortifiais',
    'fortifiait',
    'fortifiant',
    'fortifiante',
    'fortifiantes',
    'fortifiants',
    'fortifias',
    'fortifiasse',
    'fortifiasses',
    'fortifie',
    'fortifient',
    'fortifier',
    'fortifiera',
    'fortifierai',
    'fortifierais',
    'fortifierait',
    'fortifieras',
    'fortifierez',
    'fortifieriez',
    'fortifierons',
    'fortifieront',
    'fortifies',
    'fortifiez',
    'fortifiiez',
    'fortifiions',
    'fortifions',
    'fortifiâmes',
    'fortifiât',
    'fortifiâtes',
    'fortifièrent',
    'fortifié',
    'fortifiée',
    'fortifiées',
    'fortifiés',
    'fortin',
    'fortins',
    'fortiori',
    'fortissimo',
    'fortrait',
    'fortraite',
    'fortraites',
    'fortraits',
    'fortraiture',
    'fortraitures',
    'fortran',
    'fortrans',
    'forts',
    'fortuit',
    'fortuite',
    'fortuitement',
    'fortuites',
    'fortuits',
    'fortune',
    'fortunes',
    'fortuné',
    'fortunée',
    'fortunées',
    'fortunés',
    'forum',
    'forums',
    'forure',
    'forures',
    'forâmes',
    'forât',
    'forâtes',
    'força',
    'forçage',
    'forçages',
    'forçai',
    'forçaient',
    'forçais',
    'forçait',
    'forçant',
    'forças',
    'forçasse',
    'forçassent',
    'forçasses',
    'forçassiez',
    'forçassions',
    'forçat',
    'forçats',
    'forçons',
    'forçâmes',
    'forçât',
    'forçâtes',
    'forèrent',
    'foré',
    'forée',
    'forées',
    'forés',
    'forêt',
    'forêts',
    'fosse',
    'fosses',
    'fossette',
    'fossettes',
    'fossile',
    'fossiles',
    'fossilifère',
    'fossilifères',
    'fossilisa',
    'fossilisai',
    'fossilisais',
    'fossilisait',
    'fossilisant',
    'fossilisas',
    'fossilisasse',
    'fossilise',
    'fossilisent',
    'fossiliser',
    'fossilisera',
    'fossiliserai',
    'fossiliseras',
    'fossiliserez',
    'fossilises',
    'fossilisez',
    'fossilisiez',
    'fossilisions',
    'fossilisons',
    'fossilisâmes',
    'fossilisât',
    'fossilisâtes',
    'fossilisé',
    'fossilisée',
    'fossilisées',
    'fossilisés',
    'fossoie',
    'fossoient',
    'fossoiera',
    'fossoierai',
    'fossoierais',
    'fossoierait',
    'fossoieras',
    'fossoierez',
    'fossoieriez',
    'fossoierions',
    'fossoierons',
    'fossoieront',
    'fossoies',
    'fossoir',
    'fossoirs',
    'fossoya',
    'fossoyai',
    'fossoyaient',
    'fossoyais',
    'fossoyait',
    'fossoyant',
    'fossoyas',
    'fossoyasse',
    'fossoyassent',
    'fossoyasses',
    'fossoyassiez',
    'fossoyer',
    'fossoyeur',
    'fossoyeurs',
    'fossoyeuse',
    'fossoyeuses',
    'fossoyez',
    'fossoyiez',
    'fossoyions',
    'fossoyons',
    'fossoyâmes',
    'fossoyât',
    'fossoyâtes',
    'fossoyèrent',
    'fossoyé',
    'fossoyée',
    'fossoyées',
    'fossoyés',
    'fossé',
    'fossés',
    'fouace',
    'fouaces',
    'fouacier',
    'fouaciers',
    'fouage',
    'fouages',
    'fouailla',
    'fouaillai',
    'fouaillaient',
    'fouaillais',
    'fouaillait',
    'fouaillant',
    'fouaillas',
    'fouaillasse',
    'fouaillasses',
    'fouaille',
    'fouaillent',
    'fouailler',
    'fouaillera',
    'fouaillerai',
    'fouaillerais',
    'fouaillerait',
    'fouailleras',
    'fouaillerez',
    'fouailleriez',
    'fouaillerons',
    'fouailleront',
    'fouailles',
    'fouaillez',
    'fouailliez',
    'fouaillions',
    'fouaillons',
    'fouaillâmes',
    'fouaillât',
    'fouaillâtes',
    'fouaillèrent',
    'fouaillé',
    'fouaillée',
    'fouaillées',
    'fouaillés',
    'foucade',
    'foucades',
    'fouchtra',
    'foudre',
    'foudres',
    'foudroie',
    'foudroiement',
    'foudroient',
    'foudroiera',
    'foudroierai',
    'foudroierais',
    'foudroierait',
    'foudroieras',
    'foudroierez',
    'foudroieriez',
    'foudroierons',
    'foudroieront',
    'foudroies',
    'foudroya',
    'foudroyai',
    'foudroyaient',
    'foudroyais',
    'foudroyait',
    'foudroyant',
    'foudroyante',
    'foudroyantes',
    'foudroyants',
    'foudroyas',
    'foudroyasse',
    'foudroyasses',
    'foudroyer',
    'foudroyez',
    'foudroyiez',
    'foudroyions',
    'foudroyons',
    'foudroyâmes',
    'foudroyât',
    'foudroyâtes',
    'foudroyèrent',
    'foudroyé',
    'foudroyée',
    'foudroyées',
    'foudroyés',
    'fouet',
    'fouets',
    'fouetta',
    'fouettai',
    'fouettaient',
    'fouettais',
    'fouettait',
    'fouettant',
    'fouettard',
    'fouettards',
    'fouettas',
    'fouettasse',
    'fouettassent',
    'fouettasses',
    'fouettassiez',
    'fouette',
    'fouettement',
    'fouettements',
    'fouettent',
    'fouetter',
    'fouettera',
    'fouetterai',
    'fouetterais',
    'fouetterait',
    'fouetteras',
    'fouetterez',
    'fouetteriez',
    'fouetterions',
    'fouetterons',
    'fouetteront',
    'fouettes',
    'fouettez',
    'fouettiez',
    'fouettions',
    'fouettons',
    'fouettâmes',
    'fouettât',
    'fouettâtes',
    'fouettèrent',
    'fouetté',
    'fouettée',
    'fouettées',
    'fouettés',
    'foufou',
    'foufous',
    'fougasse',
    'fougasses',
    'fouge',
    'fougea',
    'fougeai',
    'fougeaient',
    'fougeais',
    'fougeait',
    'fougeant',
    'fougeas',
    'fougeasse',
    'fougeassent',
    'fougeasses',
    'fougeassiez',
    'fougeassions',
    'fougent',
    'fougeons',
    'fouger',
    'fougera',
    'fougerai',
    'fougeraient',
    'fougerais',
    'fougerait',
    'fougeras',
    'fougerez',
    'fougeriez',
    'fougerions',
    'fougerole',
    'fougeroles',
    'fougerons',
    'fougeront',
    'fouges',
    'fougez',
    'fougeâmes',
    'fougeât',
    'fougeâtes',
    'fougiez',
    'fougions',
    'fougue',
    'fougues',
    'fougueuse',
    'fougueuses',
    'fougueux',
    'fougère',
    'fougèrent',
    'fougères',
    'fougé',
    'foui',
    'fouie',
    'fouies',
    'fouilla',
    'fouillai',
    'fouillaient',
    'fouillais',
    'fouillait',
    'fouillant',
    'fouillas',
    'fouillasse',
    'fouillassent',
    'fouillasses',
    'fouillassiez',
    'fouille',
    'fouillent',
    'fouiller',
    'fouillera',
    'fouillerai',
    'fouillerais',
    'fouillerait',
    'fouilleras',
    'fouillerez',
    'fouilleriez',
    'fouillerions',
    'fouillerons',
    'fouilleront',
    'fouilles',
    'fouilleur',
    'fouilleurs',
    'fouilleuse',
    'fouilleuses',
    'fouillez',
    'fouilliez',
    'fouillions',
    'fouillis',
    'fouillons',
    'fouillâmes',
    'fouillât',
    'fouillâtes',
    'fouillèrent',
    'fouillé',
    'fouillée',
    'fouillées',
    'fouillés',
    'fouina',
    'fouinai',
    'fouinaient',
    'fouinais',
    'fouinait',
    'fouinant',
    'fouinard',
    'fouinarde',
    'fouinardes',
    'fouinards',
    'fouinas',
    'fouinasse',
    'fouinassent',
    'fouinasses',
    'fouinassiez',
    'fouinassions',
    'fouine',
    'fouinent',
    'fouiner',
    'fouinera',
    'fouinerai',
    'fouineraient',
    'fouinerais',
    'fouinerait',
    'fouineras',
    'fouinerez',
    'fouineriez',
    'fouinerions',
    'fouinerons',
    'fouineront',
    'fouines',
    'fouineur',
    'fouineurs',
    'fouineuse',
    'fouineuses',
    'fouinez',
    'fouiniez',
    'fouinions',
    'fouinons',
    'fouinâmes',
    'fouinât',
    'fouinâtes',
    'fouinèrent',
    'fouiné',
    'fouir',
    'fouira',
    'fouirai',
    'fouiraient',
    'fouirais',
    'fouirait',
    'fouiras',
    'fouirent',
    'fouirez',
    'fouiriez',
    'fouirions',
    'fouirons',
    'fouiront',
    'fouis',
    'fouissaient',
    'fouissais',
    'fouissait',
    'fouissant',
    'fouisse',
    'fouissent',
    'fouisses',
    'fouisseur',
    'fouisseurs',
    'fouisseuse',
    'fouisseuses',
    'fouissez',
    'fouissiez',
    'fouissions',
    'fouissons',
    'fouit',
    'foula',
    'foulage',
    'foulages',
    'foulai',
    'foulaient',
    'foulais',
    'foulait',
    'foulant',
    'foulard',
    'foulards',
    'foulas',
    'foulasse',
    'foulassent',
    'foulasses',
    'foulassiez',
    'foulassions',
    'foule',
    'foulent',
    'fouler',
    'foulera',
    'foulerai',
    'fouleraient',
    'foulerais',
    'foulerait',
    'fouleras',
    'foulerez',
    'foulerie',
    'fouleries',
    'fouleriez',
    'foulerions',
    'foulerons',
    'fouleront',
    'foules',
    'fouleur',
    'fouleurs',
    'fouleuse',
    'fouleuses',
    'foulez',
    'fouliez',
    'foulions',
    'fouloir',
    'fouloirs',
    'foulon',
    'foulons',
    'foulque',
    'foulques',
    'foultitude',
    'foultitudes',
    'foulure',
    'foulures',
    'foulâmes',
    'foulât',
    'foulâtes',
    'foulèrent',
    'foulé',
    'foulée',
    'foulées',
    'foulés',
    'four',
    'fourailla',
    'fouraillai',
    'fouraillais',
    'fouraillait',
    'fouraillant',
    'fouraillas',
    'fouraillasse',
    'fouraille',
    'fouraillent',
    'fourailler',
    'fouraillera',
    'fouraillerai',
    'fourailleras',
    'fouraillerez',
    'fourailles',
    'fouraillez',
    'fourailliez',
    'fouraillions',
    'fouraillons',
    'fouraillâmes',
    'fouraillât',
    'fouraillâtes',
    'fouraillé',
    'fouraillée',
    'fouraillées',
    'fouraillés',
    'fourba',
    'fourbai',
    'fourbaient',
    'fourbais',
    'fourbait',
    'fourbant',
    'fourbas',
    'fourbasse',
    'fourbassent',
    'fourbasses',
    'fourbassiez',
    'fourbassions',
    'fourbe',
    'fourbent',
    'fourber',
    'fourbera',
    'fourberai',
    'fourberaient',
    'fourberais',
    'fourberait',
    'fourberas',
    'fourberez',
    'fourberie',
    'fourberies',
    'fourberiez',
    'fourberions',
    'fourberons',
    'fourberont',
    'fourbes',
    'fourbez',
    'fourbi',
    'fourbie',
    'fourbies',
    'fourbiez',
    'fourbions',
    'fourbir',
    'fourbira',
    'fourbirai',
    'fourbiraient',
    'fourbirais',
    'fourbirait',
    'fourbiras',
    'fourbirent',
    'fourbirez',
    'fourbiriez',
    'fourbirions',
    'fourbirons',
    'fourbiront',
    'fourbis',
    'fourbissage',
    'fourbissages',
    'fourbissais',
    'fourbissait',
    'fourbissant',
    'fourbisse',
    'fourbissent',
    'fourbisses',
    'fourbisseur',
    'fourbisseurs',
    'fourbissez',
    'fourbissiez',
    'fourbissions',
    'fourbissons',
    'fourbit',
    'fourbons',
    'fourbu',
    'fourbue',
    'fourbues',
    'fourbure',
    'fourbures',
    'fourbus',
    'fourbâmes',
    'fourbât',
    'fourbâtes',
    'fourbèrent',
    'fourbé',
    'fourbée',
    'fourbées',
    'fourbés',
    'fourbîmes',
    'fourbît',
    'fourbîtes',
    'fourcha',
    'fourchai',
    'fourchaient',
    'fourchais',
    'fourchait',
    'fourchant',
    'fourchas',
    'fourchasse',
    'fourchassent',
    'fourchasses',
    'fourchassiez',
    'fourche',
    'fourchent',
    'fourcher',
    'fourchera',
    'fourcherai',
    'fourcheras',
    'fourcherasse',
    'fourcherâmes',
    'fourcherât',
    'fourcherâtes',
    'fourches',
    'fourchet',
    'fourchets',
    'fourchette',
    'fourchettes',
    'fourchez',
    'fourchiez',
    'fourchions',
    'fourchon',
    'fourchons',
    'fourchu',
    'fourchue',
    'fourchues',
    'fourchus',
    'fourchâmes',
    'fourchât',
    'fourchâtes',
    'fourchèrent',
    'fourché',
    'fourchée',
    'fourchées',
    'fourchés',
    'fourgon',
    'fourgonna',
    'fourgonnai',
    'fourgonnais',
    'fourgonnait',
    'fourgonnant',
    'fourgonnas',
    'fourgonnasse',
    'fourgonne',
    'fourgonnent',
    'fourgonner',
    'fourgonnera',
    'fourgonnerai',
    'fourgonneras',
    'fourgonnerez',
    'fourgonnes',
    'fourgonnette',
    'fourgonnez',
    'fourgonniez',
    'fourgonnions',
    'fourgonnons',
    'fourgonnâmes',
    'fourgonnât',
    'fourgonnâtes',
    'fourgonné',
    'fourgonnée',
    'fourgonnées',
    'fourgonnés',
    'fourgons',
    'fourgua',
    'fourguai',
    'fourguaient',
    'fourguais',
    'fourguait',
    'fourguant',
    'fourguas',
    'fourguasse',
    'fourguassent',
    'fourguasses',
    'fourguassiez',
    'fourgue',
    'fourguent',
    'fourguer',
    'fourguera',
    'fourguerai',
    'fourguerais',
    'fourguerait',
    'fourgueras',
    'fourguerez',
    'fourgueriez',
    'fourguerions',
    'fourguerons',
    'fourgueront',
    'fourgues',
    'fourguez',
    'fourguiez',
    'fourguions',
    'fourguons',
    'fourguâmes',
    'fourguât',
    'fourguâtes',
    'fourguèrent',
    'fourgué',
    'fourguée',
    'fourguées',
    'fourgués',
    'fouriérisme',
    'fouriérismes',
    'fouriériste',
    'fouriéristes',
    'fourme',
    'fourmes',
    'fourmi',
    'fourmilier',
    'fourmiliers',
    'fourmilion',
    'fourmilions',
    'fourmilière',
    'fourmilières',
    'fourmilla',
    'fourmillai',
    'fourmillais',
    'fourmillait',
    'fourmillant',
    'fourmillante',
    'fourmillants',
    'fourmillas',
    'fourmillasse',
    'fourmille',
    'fourmillent',
    'fourmiller',
    'fourmillera',
    'fourmillerai',
    'fourmilleras',
    'fourmillerez',
    'fourmilles',
    'fourmillez',
    'fourmilliez',
    'fourmillions',
    'fourmillons',
    'fourmillâmes',
    'fourmillât',
    'fourmillâtes',
    'fourmillé',
    'fourmis',
    'fournaise',
    'fournaises',
    'fourneau',
    'fourneaux',
    'fourni',
    'fournie',
    'fournier',
    'fourniers',
    'fournies',
    'fournil',
    'fournils',
    'fourniment',
    'fourniments',
    'fournir',
    'fournira',
    'fournirai',
    'fourniraient',
    'fournirais',
    'fournirait',
    'fourniras',
    'fournirent',
    'fournirez',
    'fourniriez',
    'fournirions',
    'fournirons',
    'fourniront',
    'fournis',
    'fournissais',
    'fournissait',
    'fournissant',
    'fournisse',
    'fournissent',
    'fournisses',
    'fournisseur',
    'fournisseurs',
    'fournisseuse',
    'fournissez',
    'fournissiez',
    'fournissions',
    'fournissons',
    'fournit',
    'fourniture',
    'fournitures',
    'fournière',
    'fournières',
    'fournée',
    'fournées',
    'fournîmes',
    'fournît',
    'fournîtes',
    'fourra',
    'fourrage',
    'fourragea',
    'fourrageai',
    'fourrageais',
    'fourrageait',
    'fourrageant',
    'fourrageas',
    'fourrageasse',
    'fourragent',
    'fourrageons',
    'fourrager',
    'fourragera',
    'fourragerai',
    'fourragerais',
    'fourragerait',
    'fourrageras',
    'fourragerez',
    'fourrageriez',
    'fourragerons',
    'fourrageront',
    'fourrages',
    'fourrageur',
    'fourrageurs',
    'fourragez',
    'fourrageâmes',
    'fourrageât',
    'fourrageâtes',
    'fourragiez',
    'fourragions',
    'fourragère',
    'fourragèrent',
    'fourragères',
    'fourragé',
    'fourragée',
    'fourragées',
    'fourragés',
    'fourrai',
    'fourraient',
    'fourrais',
    'fourrait',
    'fourrant',
    'fourras',
    'fourrasse',
    'fourrassent',
    'fourrasses',
    'fourrassiez',
    'fourrassions',
    'fourre',
    'fourreau',
    'fourreaux',
    'fourrent',
    'fourrer',
    'fourrera',
    'fourrerai',
    'fourreraient',
    'fourrerais',
    'fourrerait',
    'fourreras',
    'fourrerez',
    'fourreriez',
    'fourrerions',
    'fourrerons',
    'fourreront',
    'fourres',
    'fourreur',
    'fourreurs',
    'fourreuse',
    'fourreuses',
    'fourrez',
    'fourrier',
    'fourriers',
    'fourriez',
    'fourrions',
    'fourrière',
    'fourrières',
    'fourrons',
    'fourrure',
    'fourrures',
    'fourrâmes',
    'fourrât',
    'fourrâtes',
    'fourrèrent',
    'fourré',
    'fourrée',
    'fourrées',
    'fourrés',
    'fours',
    'fourvoie',
    'fourvoiement',
    'fourvoient',
    'fourvoiera',
    'fourvoierai',
    'fourvoierais',
    'fourvoierait',
    'fourvoieras',
    'fourvoierez',
    'fourvoieriez',
    'fourvoierons',
    'fourvoieront',
    'fourvoies',
    'fourvoya',
    'fourvoyai',
    'fourvoyaient',
    'fourvoyais',
    'fourvoyait',
    'fourvoyant',
    'fourvoyante',
    'fourvoyantes',
    'fourvoyants',
    'fourvoyas',
    'fourvoyasse',
    'fourvoyasses',
    'fourvoyer',
    'fourvoyez',
    'fourvoyiez',
    'fourvoyions',
    'fourvoyons',
    'fourvoyâmes',
    'fourvoyât',
    'fourvoyâtes',
    'fourvoyèrent',
    'fourvoyé',
    'fourvoyée',
    'fourvoyées',
    'fourvoyés',
    'fous',
    'fout',
    'foutaient',
    'foutais',
    'foutaise',
    'foutaises',
    'foutait',
    'foutant',
    'foute',
    'foutent',
    'foutes',
    'foutez',
    'foutiez',
    'foutions',
    'foutoir',
    'foutoirs',
    'foutons',
    'foutra',
    'foutrai',
    'foutraient',
    'foutrais',
    'foutrait',
    'foutral',
    'foutrale',
    'foutrales',
    'foutrals',
    'foutraque',
    'foutraques',
    'foutras',
    'foutre',
    'foutrez',
    'foutriez',
    'foutrions',
    'foutriquet',
    'foutriquets',
    'foutrons',
    'foutront',
    'foutu',
    'foutue',
    'foutues',
    'foutus',
    'fouée',
    'fouées',
    'fouîmes',
    'fouît',
    'fouîtes',
    'fovéa',
    'fovéas',
    'foxé',
    'foxée',
    'foxées',
    'foxés',
    'foyer',
    'foyers',
    'frac',
    'fracas',
    'fracassa',
    'fracassai',
    'fracassaient',
    'fracassais',
    'fracassait',
    'fracassant',
    'fracassante',
    'fracassantes',
    'fracassants',
    'fracassas',
    'fracassasse',
    'fracassasses',
    'fracasse',
    'fracassent',
    'fracasser',
    'fracassera',
    'fracasserai',
    'fracasserais',
    'fracasserait',
    'fracasseras',
    'fracasserez',
    'fracasseriez',
    'fracasserons',
    'fracasseront',
    'fracasses',
    'fracassez',
    'fracassiez',
    'fracassions',
    'fracassons',
    'fracassâmes',
    'fracassât',
    'fracassâtes',
    'fracassèrent',
    'fracassé',
    'fracassée',
    'fracassées',
    'fracassés',
    'fracs',
    'fraction',
    'fractionna',
    'fractionnai',
    'fractionnais',
    'fractionnait',
    'fractionnant',
    'fractionnas',
    'fractionne',
    'fractionnel',
    'fractionnels',
    'fractionnent',
    'fractionner',
    'fractionnera',
    'fractionnes',
    'fractionnez',
    'fractionniez',
    'fractionnons',
    'fractionnât',
    'fractionné',
    'fractionnée',
    'fractionnées',
    'fractionnés',
    'fractions',
    'fractura',
    'fracturai',
    'fracturaient',
    'fracturais',
    'fracturait',
    'fracturant',
    'fracturas',
    'fracturasse',
    'fracturasses',
    'fracture',
    'fracturent',
    'fracturer',
    'fracturera',
    'fracturerai',
    'fracturerais',
    'fracturerait',
    'fractureras',
    'fracturerez',
    'fractureriez',
    'fracturerons',
    'fractureront',
    'fractures',
    'fracturez',
    'fracturiez',
    'fracturions',
    'fracturons',
    'fracturâmes',
    'fracturât',
    'fracturâtes',
    'fracturèrent',
    'fracturé',
    'fracturée',
    'fracturées',
    'fracturés',
    'fragile',
    'fragiles',
    'fragilisa',
    'fragilisai',
    'fragilisais',
    'fragilisait',
    'fragilisant',
    'fragilisante',
    'fragilisants',
    'fragilisas',
    'fragilisasse',
    'fragilise',
    'fragilisent',
    'fragiliser',
    'fragilisera',
    'fragiliserai',
    'fragiliseras',
    'fragiliserez',
    'fragilises',
    'fragilisez',
    'fragilisiez',
    'fragilisions',
    'fragilisons',
    'fragilisâmes',
    'fragilisât',
    'fragilisâtes',
    'fragilisé',
    'fragilisée',
    'fragilisées',
    'fragilisés',
    'fragilité',
    'fragilités',
    'fragment',
    'fragmenta',
    'fragmentai',
    'fragmentaire',
    'fragmentais',
    'fragmentait',
    'fragmentant',
    'fragmentas',
    'fragmentasse',
    'fragmente',
    'fragmentent',
    'fragmenter',
    'fragmentera',
    'fragmenterai',
    'fragmenteras',
    'fragmenterez',
    'fragmentes',
    'fragmentez',
    'fragmentiez',
    'fragmentions',
    'fragmentons',
    'fragments',
    'fragmentâmes',
    'fragmentât',
    'fragmentâtes',
    'fragmenté',
    'fragmentée',
    'fragmentées',
    'fragmentés',
    'fragon',
    'fragons',
    'frai',
    'fraie',
    'fraient',
    'fraiera',
    'fraierai',
    'fraieraient',
    'fraierais',
    'fraierait',
    'fraieras',
    'fraierez',
    'fraieriez',
    'fraierions',
    'fraierons',
    'fraieront',
    'fraies',
    'frairie',
    'frairies',
    'frais',
    'fraisa',
    'fraisage',
    'fraisages',
    'fraisai',
    'fraisaient',
    'fraisais',
    'fraisait',
    'fraisant',
    'fraisas',
    'fraisasse',
    'fraisassent',
    'fraisasses',
    'fraisassiez',
    'fraisassions',
    'fraise',
    'fraisent',
    'fraiser',
    'fraisera',
    'fraiserai',
    'fraiseraient',
    'fraiserais',
    'fraiserait',
    'fraiseras',
    'fraiserez',
    'fraiseriez',
    'fraiserions',
    'fraiserons',
    'fraiseront',
    'fraises',
    'fraiseur',
    'fraiseurs',
    'fraiseuse',
    'fraiseuses',
    'fraisez',
    'fraisier',
    'fraisiers',
    'fraisiez',
    'fraisil',
    'fraisils',
    'fraisions',
    'fraisière',
    'fraisières',
    'fraisons',
    'fraisure',
    'fraisures',
    'fraisâmes',
    'fraisât',
    'fraisâtes',
    'fraisèrent',
    'fraisé',
    'fraisée',
    'fraisées',
    'fraisés',
    'framboisa',
    'framboisai',
    'framboisais',
    'framboisait',
    'framboisant',
    'framboisas',
    'framboisasse',
    'framboise',
    'framboisent',
    'framboiser',
    'framboisera',
    'framboiserai',
    'framboiseras',
    'framboiserez',
    'framboises',
    'framboisez',
    'framboisier',
    'framboisiers',
    'framboisiez',
    'framboisions',
    'framboisons',
    'framboisâmes',
    'framboisât',
    'framboisâtes',
    'framboisé',
    'framboisée',
    'framboisées',
    'framboisés',
    'framée',
    'framées',
    'franc',
    'franche',
    'franchement',
    'franches',
    'franchi',
    'franchie',
    'franchies',
    'franchir',
    'franchira',
    'franchirai',
    'franchirais',
    'franchirait',
    'franchiras',
    'franchirent',
    'franchirez',
    'franchiriez',
    'franchirions',
    'franchirons',
    'franchiront',
    'franchis',
    'franchisage',
    'franchisages',
    'franchise',
    'franchiser',
    'franchises',
    'franchissais',
    'franchissait',
    'franchissant',
    'franchisse',
    'franchissent',
    'franchisses',
    'franchissez',
    'franchissiez',
    'franchissons',
    'franchisé',
    'franchisée',
    'franchisées',
    'franchisés',
    'franchit',
    'franchîmes',
    'franchît',
    'franchîtes',
    'francien',
    'franciens',
    'francique',
    'franciques',
    'francisa',
    'francisai',
    'francisaient',
    'francisais',
    'francisait',
    'francisant',
    'francisas',
    'francisasse',
    'francisasses',
    'francisation',
    'franciscain',
    'franciscaine',
    'franciscains',
    'francise',
    'francisent',
    'franciser',
    'francisera',
    'franciserai',
    'franciserais',
    'franciserait',
    'franciseras',
    'franciserez',
    'franciseriez',
    'franciserons',
    'franciseront',
    'francises',
    'francisez',
    'francisiez',
    'francisions',
    'francisons',
    'francisque',
    'francisques',
    'franciste',
    'francistes',
    'francisâmes',
    'francisât',
    'francisâtes',
    'francisèrent',
    'francisé',
    'francisée',
    'francisées',
    'francisés',
    'francité',
    'francités',
    'francium',
    'franciums',
    'franco',
    'francolin',
    'francolins',
    'francophile',
    'francophiles',
    'francophilie',
    'francophobe',
    'francophobes',
    'francophobie',
    'francophone',
    'francophones',
    'francophonie',
    'francs',
    'frange',
    'frangea',
    'frangeai',
    'frangeaient',
    'frangeais',
    'frangeait',
    'frangeant',
    'frangeante',
    'frangeantes',
    'frangeants',
    'frangeas',
    'frangeasse',
    'frangeassent',
    'frangeasses',
    'frangeassiez',
    'frangent',
    'frangeons',
    'franger',
    'frangera',
    'frangerai',
    'frangeraient',
    'frangerais',
    'frangerait',
    'frangeras',
    'frangerez',
    'frangeriez',
    'frangerions',
    'frangerons',
    'frangeront',
    'franges',
    'frangez',
    'frangeâmes',
    'frangeât',
    'frangeâtes',
    'frangiez',
    'frangin',
    'frangine',
    'frangines',
    'frangins',
    'frangions',
    'frangipane',
    'frangipanes',
    'frangipanier',
    'franglais',
    'frangèrent',
    'frangé',
    'frangée',
    'frangées',
    'frangés',
    'franquette',
    'franquiste',
    'franquistes',
    'français',
    'française',
    'françaises',
    'frape',
    'frapes',
    'frappa',
    'frappage',
    'frappages',
    'frappai',
    'frappaient',
    'frappais',
    'frappait',
    'frappant',
    'frappante',
    'frappantes',
    'frappants',
    'frappas',
    'frappasse',
    'frappassent',
    'frappasses',
    'frappassiez',
    'frappassions',
    'frappe',
    'frappement',
    'frappements',
    'frappent',
    'frapper',
    'frappera',
    'frapperai',
    'frapperaient',
    'frapperais',
    'frapperait',
    'frapperas',
    'frapperez',
    'frapperiez',
    'frapperions',
    'frapperons',
    'frapperont',
    'frappes',
    'frappeur',
    'frappeurs',
    'frappeuse',
    'frappeuses',
    'frappez',
    'frappiez',
    'frappions',
    'frappons',
    'frappâmes',
    'frappât',
    'frappâtes',
    'frappèrent',
    'frappé',
    'frappée',
    'frappées',
    'frappés',
    'fraser',
    'frasil',
    'frasils',
    'frasque',
    'frasques',
    'frater',
    'fraternel',
    'fraternelle',
    'fraternelles',
    'fraternels',
    'fraternisa',
    'fraternisai',
    'fraternisais',
    'fraternisait',
    'fraternisant',
    'fraternisas',
    'fraternise',
    'fraternisent',
    'fraterniser',
    'fraternisera',
    'fraternises',
    'fraternisez',
    'fraternisiez',
    'fraternisons',
    'fraternisât',
    'fraternisé',
    'fraternité',
    'fraternités',
    'fraters',
    'fratricide',
    'fratricides',
    'fratrie',
    'fratries',
    'frauda',
    'fraudai',
    'fraudaient',
    'fraudais',
    'fraudait',
    'fraudant',
    'fraudas',
    'fraudasse',
    'fraudassent',
    'fraudasses',
    'fraudassiez',
    'fraudassions',
    'fraude',
    'fraudent',
    'frauder',
    'fraudera',
    'frauderai',
    'frauderaient',
    'frauderais',
    'frauderait',
    'frauderas',
    'frauderez',
    'frauderiez',
    'frauderions',
    'frauderons',
    'frauderont',
    'fraudes',
    'fraudeur',
    'fraudeurs',
    'fraudeuse',
    'fraudeuses',
    'fraudez',
    'fraudiez',
    'fraudions',
    'fraudons',
    'frauduleuse',
    'frauduleuses',
    'frauduleux',
    'fraudâmes',
    'fraudât',
    'fraudâtes',
    'fraudèrent',
    'fraudé',
    'fraudée',
    'fraudées',
    'fraudés',
    'fraxinelle',
    'fraxinelles',
    'fraya',
    'frayage',
    'frayages',
    'frayai',
    'frayaient',
    'frayais',
    'frayait',
    'frayant',
    'frayas',
    'frayasse',
    'frayassent',
    'frayasses',
    'frayassiez',
    'frayassions',
    'fraye',
    'frayement',
    'frayements',
    'frayent',
    'frayer',
    'frayera',
    'frayerai',
    'frayeraient',
    'frayerais',
    'frayerait',
    'frayeras',
    'frayerez',
    'frayeriez',
    'frayerions',
    'frayerons',
    'frayeront',
    'frayes',
    'frayeur',
    'frayeurs',
    'frayez',
    'frayiez',
    'frayions',
    'frayons',
    'frayâmes',
    'frayât',
    'frayâtes',
    'frayère',
    'frayèrent',
    'frayères',
    'frayé',
    'frayée',
    'frayées',
    'frayés',
    'fraîche',
    'fraîchement',
    'fraîches',
    'fraîcheur',
    'fraîcheurs',
    'fraîchi',
    'fraîchin',
    'fraîchins',
    'fraîchir',
    'fraîchira',
    'fraîchirai',
    'fraîchirais',
    'fraîchirait',
    'fraîchiras',
    'fraîchirent',
    'fraîchirez',
    'fraîchiriez',
    'fraîchirions',
    'fraîchirons',
    'fraîchiront',
    'fraîchis',
    'fraîchissais',
    'fraîchissait',
    'fraîchissant',
    'fraîchisse',
    'fraîchissent',
    'fraîchisses',
    'fraîchissez',
    'fraîchissiez',
    'fraîchissons',
    'fraîchit',
    'fraîchîmes',
    'fraîchît',
    'fraîchîtes',
    'fredaine',
    'fredaines',
    'fredonna',
    'fredonnai',
    'fredonnaient',
    'fredonnais',
    'fredonnait',
    'fredonnant',
    'fredonnas',
    'fredonnasse',
    'fredonnasses',
    'fredonne',
    'fredonnement',
    'fredonnent',
    'fredonner',
    'fredonnera',
    'fredonnerai',
    'fredonnerais',
    'fredonnerait',
    'fredonneras',
    'fredonnerez',
    'fredonneriez',
    'fredonnerons',
    'fredonneront',
    'fredonnes',
    'fredonnez',
    'fredonniez',
    'fredonnions',
    'fredonnons',
    'fredonnâmes',
    'fredonnât',
    'fredonnâtes',
    'fredonnèrent',
    'fredonné',
    'fredonnée',
    'fredonnées',
    'fredonnés',
    'freesia',
    'freesias',
    'freezer',
    'freezers',
    'frein',
    'freina',
    'freinage',
    'freinages',
    'freinai',
    'freinaient',
    'freinais',
    'freinait',
    'freinant',
    'freinante',
    'freinantes',
    'freinants',
    'freinas',
    'freinasse',
    'freinassent',
    'freinasses',
    'freinassiez',
    'freinassions',
    'freine',
    'freinent',
    'freiner',
    'freinera',
    'freinerai',
    'freineraient',
    'freinerais',
    'freinerait',
    'freineras',
    'freinerez',
    'freineriez',
    'freinerions',
    'freinerons',
    'freineront',
    'freines',
    'freinez',
    'freiniez',
    'freinions',
    'freinons',
    'freins',
    'freinte',
    'freintes',
    'freinâmes',
    'freinât',
    'freinâtes',
    'freinèrent',
    'freiné',
    'freinée',
    'freinées',
    'freinés',
    'frelata',
    'frelatage',
    'frelatages',
    'frelatai',
    'frelataient',
    'frelatais',
    'frelatait',
    'frelatant',
    'frelatas',
    'frelatasse',
    'frelatassent',
    'frelatasses',
    'frelatassiez',
    'frelate',
    'frelatent',
    'frelater',
    'frelatera',
    'frelaterai',
    'frelaterais',
    'frelaterait',
    'frelateras',
    'frelaterez',
    'frelateriez',
    'frelaterions',
    'frelaterons',
    'frelateront',
    'frelates',
    'frelatez',
    'frelatiez',
    'frelations',
    'frelatons',
    'frelatâmes',
    'frelatât',
    'frelatâtes',
    'frelatèrent',
    'frelaté',
    'frelatée',
    'frelatées',
    'frelatés',
    'frelon',
    'frelons',
    'freluquet',
    'freluquets',
    'frenet',
    'fresque',
    'fresques',
    'fresquiste',
    'fresquistes',
    'fressure',
    'fressures',
    'fret',
    'fretin',
    'fretins',
    'frets',
    'fretta',
    'frettage',
    'frettages',
    'frettai',
    'frettaient',
    'frettais',
    'frettait',
    'frettant',
    'frettas',
    'frettasse',
    'frettassent',
    'frettasses',
    'frettassiez',
    'frettassions',
    'frette',
    'frettent',
    'fretter',
    'frettera',
    'fretterai',
    'fretteraient',
    'fretterais',
    'fretterait',
    'fretteras',
    'fretterez',
    'fretteriez',
    'fretterions',
    'fretterons',
    'fretteront',
    'frettes',
    'frettez',
    'frettiez',
    'frettions',
    'frettons',
    'frettâmes',
    'frettât',
    'frettâtes',
    'frettèrent',
    'fretté',
    'frettée',
    'frettées',
    'frettés',
    'freudien',
    'freudienne',
    'freudiennes',
    'freudiens',
    'freudisme',
    'freudismes',
    'freux',
    'friabilité',
    'friabilités',
    'friable',
    'friables',
    'friand',
    'friande',
    'friandes',
    'friandise',
    'friandises',
    'friands',
    'fric',
    'fricandeau',
    'fricandeaux',
    'fricassa',
    'fricassai',
    'fricassaient',
    'fricassais',
    'fricassait',
    'fricassant',
    'fricassas',
    'fricassasse',
    'fricassasses',
    'fricasse',
    'fricassent',
    'fricasser',
    'fricassera',
    'fricasserai',
    'fricasserais',
    'fricasserait',
    'fricasseras',
    'fricasserez',
    'fricasseriez',
    'fricasserons',
    'fricasseront',
    'fricasses',
    'fricassez',
    'fricassiez',
    'fricassions',
    'fricassons',
    'fricassâmes',
    'fricassât',
    'fricassâtes',
    'fricassèrent',
    'fricassé',
    'fricassée',
    'fricassées',
    'fricassés',
    'fricatif',
    'fricatifs',
    'fricative',
    'fricatives',
    'friche',
    'friches',
    'frichti',
    'frichtis',
    'fricot',
    'fricota',
    'fricotage',
    'fricotages',
    'fricotai',
    'fricotaient',
    'fricotais',
    'fricotait',
    'fricotant',
    'fricotas',
    'fricotasse',
    'fricotassent',
    'fricotasses',
    'fricotassiez',
    'fricote',
    'fricotent',
    'fricoter',
    'fricotera',
    'fricoterai',
    'fricoterais',
    'fricoterait',
    'fricoteras',
    'fricoterez',
    'fricoteriez',
    'fricoterions',
    'fricoterons',
    'fricoteront',
    'fricotes',
    'fricoteur',
    'fricoteurs',
    'fricoteuse',
    'fricoteuses',
    'fricotez',
    'fricotiez',
    'fricotions',
    'fricotons',
    'fricots',
    'fricotâmes',
    'fricotât',
    'fricotâtes',
    'fricotèrent',
    'fricoté',
    'fricotée',
    'fricotées',
    'fricotés',
    'frics',
    'friction',
    'frictionna',
    'frictionnai',
    'frictionnais',
    'frictionnait',
    'frictionnant',
    'frictionnas',
    'frictionne',
    'frictionnel',
    'frictionnels',
    'frictionnent',
    'frictionner',
    'frictionnera',
    'frictionnes',
    'frictionnez',
    'frictionniez',
    'frictionnons',
    'frictionnât',
    'frictionné',
    'frictionnée',
    'frictionnées',
    'frictionnés',
    'frictions',
    'fridolin',
    'fridolins',
    'frigidaire',
    'frigidaires',
    'frigidarium',
    'frigidariums',
    'frigide',
    'frigides',
    'frigidité',
    'frigidités',
    'frigo',
    'frigorie',
    'frigories',
    'frigorifia',
    'frigorifiai',
    'frigorifiais',
    'frigorifiait',
    'frigorifiant',
    'frigorifias',
    'frigorifie',
    'frigorifient',
    'frigorifier',
    'frigorifiera',
    'frigorifies',
    'frigorifiez',
    'frigorifiiez',
    'frigorifions',
    'frigorifique',
    'frigorifiât',
    'frigorifié',
    'frigorifiée',
    'frigorifiées',
    'frigorifiés',
    'frigorifuge',
    'frigorifugea',
    'frigorifuger',
    'frigorifuges',
    'frigorifugez',
    'frigorifugé',
    'frigorifugée',
    'frigorifugés',
    'frigos',
    'frileuse',
    'frileusement',
    'frileuses',
    'frileux',
    'frima',
    'frimai',
    'frimaient',
    'frimaire',
    'frimais',
    'frimait',
    'frimant',
    'frimas',
    'frimasse',
    'frimassent',
    'frimasses',
    'frimassiez',
    'frimassions',
    'frime',
    'friment',
    'frimer',
    'frimera',
    'frimerai',
    'frimeraient',
    'frimerais',
    'frimerait',
    'frimeras',
    'frimerez',
    'frimeriez',
    'frimerions',
    'frimerons',
    'frimeront',
    'frimes',
    'frimeur',
    'frimeurs',
    'frimeuse',
    'frimeuses',
    'frimez',
    'frimiez',
    'frimions',
    'frimons',
    'frimousse',
    'frimousses',
    'frimâmes',
    'frimât',
    'frimâtes',
    'frimèrent',
    'frimé',
    'frimée',
    'frimées',
    'frimés',
    'fringale',
    'fringales',
    'fringant',
    'fringante',
    'fringantes',
    'fringants',
    'fringua',
    'fringuai',
    'fringuaient',
    'fringuais',
    'fringuait',
    'fringuant',
    'fringuante',
    'fringuantes',
    'fringuants',
    'fringuas',
    'fringuasse',
    'fringuassent',
    'fringuasses',
    'fringuassiez',
    'fringue',
    'fringuent',
    'fringuer',
    'fringuera',
    'fringuerai',
    'fringuerais',
    'fringuerait',
    'fringueras',
    'fringuerez',
    'fringueriez',
    'fringuerions',
    'fringuerons',
    'fringueront',
    'fringues',
    'fringuez',
    'fringuiez',
    'fringuions',
    'fringuons',
    'fringuâmes',
    'fringuât',
    'fringuâtes',
    'fringuèrent',
    'fringué',
    'fringuée',
    'fringuées',
    'fringués',
    'fripa',
    'fripai',
    'fripaient',
    'fripais',
    'fripait',
    'fripant',
    'fripas',
    'fripasse',
    'fripassent',
    'fripasses',
    'fripassiez',
    'fripassions',
    'fripe',
    'fripent',
    'friper',
    'fripera',
    'friperai',
    'friperaient',
    'friperais',
    'friperait',
    'friperas',
    'friperez',
    'friperie',
    'friperies',
    'friperiez',
    'friperions',
    'friperons',
    'friperont',
    'fripes',
    'fripez',
    'fripier',
    'fripiers',
    'fripiez',
    'fripions',
    'fripière',
    'fripières',
    'fripon',
    'friponna',
    'friponnai',
    'friponnaient',
    'friponnais',
    'friponnait',
    'friponnant',
    'friponnas',
    'friponnasse',
    'friponnasses',
    'friponne',
    'friponnent',
    'friponner',
    'friponnera',
    'friponnerai',
    'friponnerais',
    'friponnerait',
    'friponneras',
    'friponnerez',
    'friponnerie',
    'friponneries',
    'friponneriez',
    'friponnerons',
    'friponneront',
    'friponnes',
    'friponnez',
    'friponniez',
    'friponnions',
    'friponnons',
    'friponnâmes',
    'friponnât',
    'friponnâtes',
    'friponnèrent',
    'friponné',
    'friponnée',
    'friponnées',
    'friponnés',
    'fripons',
    'fripouille',
    'fripouilles',
    'fripâmes',
    'fripât',
    'fripâtes',
    'fripèrent',
    'fripé',
    'fripée',
    'fripées',
    'fripés',
    'friquet',
    'friquets',
    'friqué',
    'friquée',
    'friquées',
    'friqués',
    'frira',
    'frirai',
    'friraient',
    'frirais',
    'frirait',
    'friras',
    'frire',
    'frirent',
    'frirez',
    'fririez',
    'fririons',
    'frirons',
    'friront',
    'fris',
    'frisa',
    'frisage',
    'frisages',
    'frisai',
    'frisaient',
    'frisais',
    'frisait',
    'frisant',
    'frisante',
    'frisantes',
    'frisants',
    'frisas',
    'frisasse',
    'frisassent',
    'frisasses',
    'frisassiez',
    'frisassions',
    'frise',
    'friselis',
    'frisent',
    'friser',
    'frisera',
    'friserai',
    'friseraient',
    'friserais',
    'friserait',
    'friseras',
    'friserez',
    'friseriez',
    'friserions',
    'friserons',
    'friseront',
    'frises',
    'frisette',
    'frisettes',
    'frisez',
    'frisiez',
    'frisions',
    'frisolée',
    'frisolées',
    'frison',
    'frisonne',
    'frisonnes',
    'frisons',
    'frisotta',
    'frisottai',
    'frisottaient',
    'frisottais',
    'frisottait',
    'frisottant',
    'frisottante',
    'frisottantes',
    'frisottants',
    'frisottas',
    'frisottasse',
    'frisottasses',
    'frisotte',
    'frisottent',
    'frisotter',
    'frisottera',
    'frisotterai',
    'frisotterais',
    'frisotterait',
    'frisotteras',
    'frisotterez',
    'frisotteriez',
    'frisotterons',
    'frisotteront',
    'frisottes',
    'frisottez',
    'frisottiez',
    'frisottions',
    'frisottis',
    'frisottons',
    'frisottâmes',
    'frisottât',
    'frisottâtes',
    'frisottèrent',
    'frisotté',
    'frisottée',
    'frisottées',
    'frisottés',
    'frisquet',
    'frisquets',
    'frisquette',
    'frisquettes',
    'frisse',
    'frissent',
    'frisses',
    'frissiez',
    'frissions',
    'frisson',
    'frissonna',
    'frissonnai',
    'frissonnais',
    'frissonnait',
    'frissonnant',
    'frissonnante',
    'frissonnants',
    'frissonnas',
    'frissonnasse',
    'frissonne',
    'frissonnent',
    'frissonner',
    'frissonnera',
    'frissonnerai',
    'frissonneras',
    'frissonnerez',
    'frissonnes',
    'frissonnez',
    'frissonniez',
    'frissonnions',
    'frissonnons',
    'frissonnâmes',
    'frissonnât',
    'frissonnâtes',
    'frissonné',
    'frissons',
    'frisure',
    'frisures',
    'frisâmes',
    'frisât',
    'frisâtes',
    'frisèrent',
    'frisé',
    'frisée',
    'frisées',
    'frisés',
    'frit',
    'frite',
    'friterie',
    'friteries',
    'frites',
    'friteuse',
    'friteuses',
    'fritillaire',
    'fritillaires',
    'frits',
    'fritta',
    'frittage',
    'frittages',
    'frittai',
    'frittaient',
    'frittais',
    'frittait',
    'frittant',
    'frittas',
    'frittasse',
    'frittassent',
    'frittasses',
    'frittassiez',
    'frittassions',
    'fritte',
    'frittent',
    'fritter',
    'frittera',
    'fritterai',
    'fritteraient',
    'fritterais',
    'fritterait',
    'fritteras',
    'fritterez',
    'fritteriez',
    'fritterions',
    'fritterons',
    'fritteront',
    'frittes',
    'frittez',
    'frittiez',
    'frittions',
    'frittons',
    'frittâmes',
    'frittât',
    'frittâtes',
    'frittèrent',
    'fritté',
    'frittée',
    'frittées',
    'frittés',
    'friture',
    'fritures',
    'fritz',
    'frivole',
    'frivolement',
    'frivoles',
    'frivolité',
    'frivolités',
    'froc',
    'frocard',
    'frocards',
    'frocs',
    'froid',
    'froide',
    'froidement',
    'froides',
    'froideur',
    'froideurs',
    'froidi',
    'froidir',
    'froidira',
    'froidirai',
    'froidiraient',
    'froidirais',
    'froidirait',
    'froidiras',
    'froidirent',
    'froidirez',
    'froidiriez',
    'froidirions',
    'froidirons',
    'froidiront',
    'froidis',
    'froidissais',
    'froidissait',
    'froidissant',
    'froidisse',
    'froidissent',
    'froidisses',
    'froidissez',
    'froidissiez',
    'froidissions',
    'froidissons',
    'froidit',
    'froids',
    'froidure',
    'froidures',
    'froidîmes',
    'froidît',
    'froidîtes',
    'froissa',
    'froissable',
    'froissables',
    'froissai',
    'froissaient',
    'froissais',
    'froissait',
    'froissant',
    'froissante',
    'froissantes',
    'froissants',
    'froissas',
    'froissasse',
    'froissassent',
    'froissasses',
    'froissassiez',
    'froisse',
    'froissement',
    'froissements',
    'froissent',
    'froisser',
    'froissera',
    'froisserai',
    'froisserais',
    'froisserait',
    'froisseras',
    'froisserez',
    'froisseriez',
    'froisserions',
    'froisserons',
    'froisseront',
    'froisses',
    'froissez',
    'froissiez',
    'froissions',
    'froissons',
    'froissure',
    'froissures',
    'froissâmes',
    'froissât',
    'froissâtes',
    'froissèrent',
    'froissé',
    'froissée',
    'froissées',
    'froissés',
    'fromage',
    'fromager',
    'fromagerie',
    'fromageries',
    'fromagers',
    'fromages',
    'fromagère',
    'fromagères',
    'froment',
    'fromental',
    'fromentaux',
    'froments',
    'fronce',
    'froncement',
    'froncements',
    'froncent',
    'froncer',
    'froncera',
    'froncerai',
    'fronceraient',
    'froncerais',
    'froncerait',
    'fronceras',
    'froncerez',
    'fronceriez',
    'froncerions',
    'froncerons',
    'fronceront',
    'fronces',
    'froncez',
    'fronciez',
    'froncions',
    'froncis',
    'froncèrent',
    'froncé',
    'froncée',
    'froncées',
    'froncés',
    'fronda',
    'frondai',
    'frondaient',
    'frondais',
    'frondaison',
    'frondaisons',
    'frondait',
    'frondant',
    'frondas',
    'frondasse',
    'frondassent',
    'frondasses',
    'frondassiez',
    'frondassions',
    'fronde',
    'frondent',
    'fronder',
    'frondera',
    'fronderai',
    'fronderaient',
    'fronderais',
    'fronderait',
    'fronderas',
    'fronderez',
    'fronderiez',
    'fronderions',
    'fronderons',
    'fronderont',
    'frondes',
    'frondeur',
    'frondeurs',
    'frondeuse',
    'frondeuses',
    'frondez',
    'frondiez',
    'frondions',
    'frondons',
    'frondâmes',
    'frondât',
    'frondâtes',
    'frondèrent',
    'frondé',
    'frondée',
    'frondées',
    'frondés',
    'front',
    'frontail',
    'frontails',
    'frontal',
    'frontale',
    'frontales',
    'frontalier',
    'frontaliers',
    'frontalité',
    'frontalités',
    'frontalière',
    'frontalières',
    'frontaux',
    'fronteau',
    'fronteaux',
    'frontignan',
    'frontignans',
    'frontispice',
    'frontispices',
    'frontière',
    'frontières',
    'fronton',
    'frontons',
    'fronts',
    'fronça',
    'fronçai',
    'fronçaient',
    'fronçais',
    'fronçait',
    'fronçant',
    'fronças',
    'fronçasse',
    'fronçassent',
    'fronçasses',
    'fronçassiez',
    'fronçassions',
    'fronçons',
    'fronçâmes',
    'fronçât',
    'fronçâtes',
    'frotta',
    'frottage',
    'frottages',
    'frottai',
    'frottaient',
    'frottais',
    'frottait',
    'frottant',
    'frottante',
    'frottantes',
    'frottants',
    'frottas',
    'frottasse',
    'frottassent',
    'frottasses',
    'frottassiez',
    'frottassions',
    'frotte',
    'frottement',
    'frottements',
    'frottent',
    'frotter',
    'frottera',
    'frotterai',
    'frotteraient',
    'frotterais',
    'frotterait',
    'frotteras',
    'frotterez',
    'frotteriez',
    'frotterions',
    'frotterons',
    'frotteront',
    'frottes',
    'frotteur',
    'frotteurs',
    'frotteuse',
    'frotteuses',
    'frottez',
    'frottiez',
    'frottions',
    'frottis',
    'frottoir',
    'frottoirs',
    'frottons',
    'frottâmes',
    'frottât',
    'frottâtes',
    'frottèrent',
    'frotté',
    'frottée',
    'frottées',
    'frottés',
    'froua',
    'frouai',
    'frouaient',
    'frouais',
    'frouait',
    'frouant',
    'frouas',
    'frouasse',
    'frouassent',
    'frouasses',
    'frouassiez',
    'frouassions',
    'froue',
    'frouent',
    'frouer',
    'frouera',
    'frouerai',
    'froueraient',
    'frouerais',
    'frouerait',
    'froueras',
    'frouerez',
    'froueriez',
    'frouerions',
    'frouerons',
    'froueront',
    'froues',
    'frouez',
    'froufrou',
    'froufrous',
    'froufrouta',
    'froufroutai',
    'froufroutais',
    'froufroutait',
    'froufroutant',
    'froufroutas',
    'froufroute',
    'froufroutent',
    'froufrouter',
    'froufroutera',
    'froufroutes',
    'froufroutez',
    'froufroutiez',
    'froufroutons',
    'froufroutât',
    'froufrouté',
    'frouiez',
    'frouions',
    'frouons',
    'froussard',
    'froussarde',
    'froussardes',
    'froussards',
    'frousse',
    'frousses',
    'frouâmes',
    'frouât',
    'frouâtes',
    'frouèrent',
    'froué',
    'fructidor',
    'fructifia',
    'fructifiai',
    'fructifiais',
    'fructifiait',
    'fructifiant',
    'fructifiante',
    'fructifiants',
    'fructifias',
    'fructifiasse',
    'fructifie',
    'fructifient',
    'fructifier',
    'fructifiera',
    'fructifierai',
    'fructifieras',
    'fructifierez',
    'fructifies',
    'fructifiez',
    'fructifiiez',
    'fructifiions',
    'fructifions',
    'fructifiâmes',
    'fructifiât',
    'fructifiâtes',
    'fructifié',
    'fructifère',
    'fructifères',
    'fructose',
    'fructoses',
    'fructueuse',
    'fructueuses',
    'fructueux',
    'frugal',
    'frugale',
    'frugalement',
    'frugales',
    'frugalité',
    'frugalités',
    'frugaux',
    'frugivore',
    'frugivores',
    'fruit',
    'fruiterie',
    'fruiteries',
    'fruitier',
    'fruitiers',
    'fruitière',
    'fruitières',
    'fruits',
    'fruité',
    'fruitée',
    'fruitées',
    'fruités',
    'frumentacé',
    'frumentacée',
    'frumentacées',
    'frumentacés',
    'frumentaire',
    'frumentaires',
    'frusqua',
    'frusquai',
    'frusquaient',
    'frusquais',
    'frusquait',
    'frusquant',
    'frusquas',
    'frusquasse',
    'frusquassent',
    'frusquasses',
    'frusquassiez',
    'frusque',
    'frusquent',
    'frusquer',
    'frusquera',
    'frusquerai',
    'frusquerais',
    'frusquerait',
    'frusqueras',
    'frusquerez',
    'frusqueriez',
    'frusquerions',
    'frusquerons',
    'frusqueront',
    'frusques',
    'frusquez',
    'frusquiez',
    'frusquions',
    'frusquons',
    'frusquâmes',
    'frusquât',
    'frusquâtes',
    'frusquèrent',
    'frusqué',
    'frusquée',
    'frusquées',
    'frusqués',
    'fruste',
    'frustes',
    'frustra',
    'frustrai',
    'frustraient',
    'frustrais',
    'frustrait',
    'frustrant',
    'frustrante',
    'frustrantes',
    'frustrants',
    'frustras',
    'frustrasse',
    'frustrassent',
    'frustrasses',
    'frustrassiez',
    'frustration',
    'frustrations',
    'frustratoire',
    'frustre',
    'frustrent',
    'frustrer',
    'frustrera',
    'frustrerai',
    'frustrerais',
    'frustrerait',
    'frustreras',
    'frustrerez',
    'frustreriez',
    'frustrerions',
    'frustrerons',
    'frustreront',
    'frustres',
    'frustrez',
    'frustriez',
    'frustrions',
    'frustrons',
    'frustrâmes',
    'frustrât',
    'frustrâtes',
    'frustrèrent',
    'frustré',
    'frustrée',
    'frustrées',
    'frustrés',
    'frutescent',
    'frutescente',
    'frutescentes',
    'frutescents',
    'frère',
    'frères',
    'frète',
    'frètent',
    'frètes',
    'frégata',
    'frégatai',
    'frégataient',
    'frégatais',
    'frégatait',
    'frégatant',
    'frégatas',
    'frégatasse',
    'frégatassent',
    'frégatasses',
    'frégatassiez',
    'frégate',
    'frégatent',
    'frégater',
    'frégates',
    'frégatez',
    'frégatiez',
    'frégations',
    'frégatons',
    'frégatâmes',
    'frégatât',
    'frégatâtes',
    'frégatèrent',
    'frégaté',
    'frégatée',
    'frégatées',
    'frégatés',
    'frémi',
    'frémir',
    'frémira',
    'frémirai',
    'frémiraient',
    'frémirais',
    'frémirait',
    'frémiras',
    'frémirent',
    'frémirez',
    'frémiriez',
    'frémirions',
    'frémirons',
    'frémiront',
    'frémis',
    'frémissaient',
    'frémissais',
    'frémissait',
    'frémissant',
    'frémissante',
    'frémissantes',
    'frémissants',
    'frémisse',
    'frémissement',
    'frémissent',
    'frémisses',
    'frémissez',
    'frémissiez',
    'frémissions',
    'frémissons',
    'frémit',
    'frémîmes',
    'frémît',
    'frémîtes',
    'frénésie',
    'frénésies',
    'frénétique',
    'frénétiques',
    'fréon',
    'fréons',
    'fréquemment',
    'fréquence',
    'fréquences',
    'fréquent',
    'fréquenta',
    'fréquentable',
    'fréquentai',
    'fréquentais',
    'fréquentait',
    'fréquentant',
    'fréquentas',
    'fréquentasse',
    'fréquentatif',
    'fréquente',
    'fréquentent',
    'fréquenter',
    'fréquentera',
    'fréquenterai',
    'fréquenteras',
    'fréquenterez',
    'fréquentes',
    'fréquentez',
    'fréquentiel',
    'fréquentiels',
    'fréquentiez',
    'fréquentions',
    'fréquentons',
    'fréquents',
    'fréquentâmes',
    'fréquentât',
    'fréquentâtes',
    'fréquenté',
    'fréquentée',
    'fréquentées',
    'fréquentés',
    'frérot',
    'frérots',
    'fréta',
    'frétai',
    'frétaient',
    'frétais',
    'frétait',
    'frétant',
    'frétas',
    'frétasse',
    'frétassent',
    'frétasses',
    'frétassiez',
    'frétassions',
    'fréter',
    'frétera',
    'fréterai',
    'fréteraient',
    'fréterais',
    'fréterait',
    'fréteras',
    'fréterez',
    'fréteriez',
    'fréterions',
    'fréterons',
    'fréteront',
    'fréteur',
    'fréteurs',
    'frétez',
    'frétiez',
    'frétilla',
    'frétillai',
    'frétillaient',
    'frétillais',
    'frétillait',
    'frétillant',
    'frétillante',
    'frétillantes',
    'frétillants',
    'frétillas',
    'frétillasse',
    'frétillasses',
    'frétille',
    'frétillement',
    'frétillent',
    'frétiller',
    'frétillera',
    'frétillerai',
    'frétillerais',
    'frétillerait',
    'frétilleras',
    'frétillerez',
    'frétilleriez',
    'frétillerons',
    'frétilleront',
    'frétilles',
    'frétillez',
    'frétilliez',
    'frétillions',
    'frétillons',
    'frétillâmes',
    'frétillât',
    'frétillâtes',
    'frétillèrent',
    'frétillé',
    'frétions',
    'frétons',
    'frétâmes',
    'frétât',
    'frétâtes',
    'frétèrent',
    'frété',
    'frétée',
    'frétées',
    'frétés',
    'frêle',
    'frêles',
    'frênaie',
    'frênaies',
    'frêne',
    'frênes',
    'frîmes',
    'frît',
    'frîtes',
    'frôla',
    'frôlai',
    'frôlaient',
    'frôlais',
    'frôlait',
    'frôlant',
    'frôlas',
    'frôlasse',
    'frôlassent',
    'frôlasses',
    'frôlassiez',
    'frôlassions',
    'frôle',
    'frôlement',
    'frôlements',
    'frôlent',
    'frôler',
    'frôlera',
    'frôlerai',
    'frôleraient',
    'frôlerais',
    'frôlerait',
    'frôleras',
    'frôlerez',
    'frôleriez',
    'frôlerions',
    'frôlerons',
    'frôleront',
    'frôles',
    'frôleur',
    'frôleurs',
    'frôleuse',
    'frôleuses',
    'frôlez',
    'frôliez',
    'frôlions',
    'frôlons',
    'frôlâmes',
    'frôlât',
    'frôlâtes',
    'frôlèrent',
    'frôlé',
    'frôlée',
    'frôlées',
    'frôlés',
    'fuchsia',
    'fuchsias',
    'fuchsine',
    'fuchsines',
    'fucus',
    'fuel',
    'fuels',
    'fugace',
    'fugaces',
    'fugacité',
    'fugacités',
    'fugitif',
    'fugitifs',
    'fugitive',
    'fugitivement',
    'fugitives',
    'fugua',
    'fuguai',
    'fuguaient',
    'fuguais',
    'fuguait',
    'fuguant',
    'fuguas',
    'fuguasse',
    'fuguassent',
    'fuguasses',
    'fuguassiez',
    'fuguassions',
    'fugue',
    'fuguent',
    'fuguer',
    'fuguera',
    'fuguerai',
    'fugueraient',
    'fuguerais',
    'fuguerait',
    'fugueras',
    'fuguerez',
    'fugueriez',
    'fuguerions',
    'fuguerons',
    'fugueront',
    'fugues',
    'fugueur',
    'fugueurs',
    'fugueuse',
    'fugueuses',
    'fuguez',
    'fuguiez',
    'fuguions',
    'fuguons',
    'fuguâmes',
    'fuguât',
    'fuguâtes',
    'fuguèrent',
    'fugué',
    'fuie',
    'fuient',
    'fuies',
    'fuir',
    'fuira',
    'fuirai',
    'fuiraient',
    'fuirais',
    'fuirait',
    'fuiras',
    'fuirent',
    'fuirez',
    'fuiriez',
    'fuirions',
    'fuirons',
    'fuiront',
    'fuis',
    'fuisse',
    'fuissent',
    'fuisses',
    'fuissiez',
    'fuissions',
    'fuit',
    'fuite',
    'fuites',
    'fulgura',
    'fulgurai',
    'fulguraient',
    'fulgurais',
    'fulgurait',
    'fulgurance',
    'fulgurances',
    'fulgurant',
    'fulgurante',
    'fulgurantes',
    'fulgurants',
    'fulguras',
    'fulgurasse',
    'fulgurassent',
    'fulgurasses',
    'fulgurassiez',
    'fulguration',
    'fulgurations',
    'fulgure',
    'fulgurent',
    'fulgurer',
    'fulgurera',
    'fulgurerai',
    'fulgurerais',
    'fulgurerait',
    'fulgureras',
    'fulgurerez',
    'fulgureriez',
    'fulgurerions',
    'fulgurerons',
    'fulgureront',
    'fulgures',
    'fulgurez',
    'fulguriez',
    'fulgurions',
    'fulgurons',
    'fulgurâmes',
    'fulgurât',
    'fulgurâtes',
    'fulgurèrent',
    'fulguré',
    'fulgurée',
    'fulgurées',
    'fulgurés',
    'fuligineuse',
    'fuligineuses',
    'fuligineux',
    'full',
    'fulls',
    'fulmina',
    'fulminai',
    'fulminaient',
    'fulminais',
    'fulminait',
    'fulminant',
    'fulminante',
    'fulminantes',
    'fulminants',
    'fulminas',
    'fulminasse',
    'fulminassent',
    'fulminasses',
    'fulminassiez',
    'fulminate',
    'fulminates',
    'fulmination',
    'fulminations',
    'fulminatoire',
    'fulmine',
    'fulminent',
    'fulminer',
    'fulminera',
    'fulminerai',
    'fulminerais',
    'fulminerait',
    'fulmineras',
    'fulminerez',
    'fulmineriez',
    'fulminerions',
    'fulminerons',
    'fulmineront',
    'fulmines',
    'fulminez',
    'fulminiez',
    'fulminions',
    'fulminique',
    'fulminiques',
    'fulminons',
    'fulminâmes',
    'fulminât',
    'fulminâtes',
    'fulminèrent',
    'fulminé',
    'fulminée',
    'fulminées',
    'fulminés',
    'fuma',
    'fumable',
    'fumables',
    'fumage',
    'fumages',
    'fumagine',
    'fumagines',
    'fumai',
    'fumaient',
    'fumais',
    'fumaison',
    'fumaisons',
    'fumait',
    'fumant',
    'fumante',
    'fumantes',
    'fumants',
    'fumas',
    'fumasse',
    'fumassent',
    'fumasses',
    'fumassiez',
    'fumassions',
    'fume',
    'fument',
    'fumer',
    'fumera',
    'fumerai',
    'fumeraient',
    'fumerais',
    'fumerait',
    'fumeras',
    'fumerez',
    'fumerie',
    'fumeries',
    'fumeriez',
    'fumerions',
    'fumerolle',
    'fumerolles',
    'fumeron',
    'fumeronner',
    'fumerons',
    'fumeront',
    'fumes',
    'fumet',
    'fumeterre',
    'fumeterres',
    'fumets',
    'fumeur',
    'fumeurs',
    'fumeuse',
    'fumeuses',
    'fumeux',
    'fumez',
    'fumier',
    'fumiers',
    'fumiez',
    'fumigateur',
    'fumigateurs',
    'fumigation',
    'fumigations',
    'fumigatoire',
    'fumigatoires',
    'fumige',
    'fumigea',
    'fumigeai',
    'fumigeaient',
    'fumigeais',
    'fumigeait',
    'fumigeant',
    'fumigeas',
    'fumigeasse',
    'fumigeassent',
    'fumigeasses',
    'fumigeassiez',
    'fumigent',
    'fumigeons',
    'fumiger',
    'fumigera',
    'fumigerai',
    'fumigeraient',
    'fumigerais',
    'fumigerait',
    'fumigeras',
    'fumigerez',
    'fumigeriez',
    'fumigerions',
    'fumigerons',
    'fumigeront',
    'fumiges',
    'fumigez',
    'fumigeâmes',
    'fumigeât',
    'fumigeâtes',
    'fumigiez',
    'fumigions',
    'fumigène',
    'fumigènes',
    'fumigèrent',
    'fumigé',
    'fumigée',
    'fumigées',
    'fumigés',
    'fumions',
    'fumiste',
    'fumisterie',
    'fumisteries',
    'fumistes',
    'fumivore',
    'fumivores',
    'fumoir',
    'fumoirs',
    'fumons',
    'fumure',
    'fumures',
    'fumâmes',
    'fumât',
    'fumâtes',
    'fumèrent',
    'fumé',
    'fumée',
    'fumées',
    'fumés',
    'funambule',
    'funambules',
    'funeste',
    'funestement',
    'funestes',
    'funiculaire',
    'funiculaires',
    'funicule',
    'funicules',
    'funin',
    'funins',
    'funky',
    'funèbre',
    'funèbres',
    'funérailles',
    'funéraire',
    'funéraires',
    'funérarium',
    'funérariums',
    'furax',
    'furent',
    'furet',
    'fureta',
    'furetage',
    'furetages',
    'furetai',
    'furetaient',
    'furetais',
    'furetait',
    'furetant',
    'furetas',
    'furetasse',
    'furetassent',
    'furetasses',
    'furetassiez',
    'furetassions',
    'fureter',
    'fureteur',
    'fureteurs',
    'fureteuse',
    'fureteuses',
    'furetez',
    'furetiez',
    'furetions',
    'furetons',
    'furets',
    'furetâmes',
    'furetât',
    'furetâtes',
    'furetèrent',
    'fureté',
    'furetée',
    'furetées',
    'furetés',
    'fureur',
    'fureurs',
    'furfuracé',
    'furfuracée',
    'furfuracées',
    'furfuracés',
    'furfural',
    'furfurals',
    'furia',
    'furias',
    'furibard',
    'furibarde',
    'furibardes',
    'furibards',
    'furibond',
    'furibonde',
    'furibondes',
    'furibonds',
    'furie',
    'furies',
    'furieuse',
    'furieusement',
    'furieuses',
    'furieux',
    'furioso',
    'furiosos',
    'furole',
    'furoles',
    'furoncle',
    'furoncles',
    'furonculeuse',
    'furonculeux',
    'furonculose',
    'furonculoses',
    'furtif',
    'furtifs',
    'furtive',
    'furtivement',
    'furtives',
    'furète',
    'furètent',
    'furètera',
    'furèterai',
    'furèteraient',
    'furèterais',
    'furèterait',
    'furèteras',
    'furèterez',
    'furèteriez',
    'furèterions',
    'furèterons',
    'furèteront',
    'furètes',
    'fusa',
    'fusai',
    'fusaient',
    'fusain',
    'fusainiste',
    'fusainistes',
    'fusains',
    'fusais',
    'fusait',
    'fusant',
    'fusas',
    'fusasse',
    'fusassent',
    'fusasses',
    'fusassiez',
    'fusassions',
    'fuscine',
    'fuscines',
    'fuse',
    'fuseau',
    'fuseaux',
    'fusel',
    'fusela',
    'fuselage',
    'fuselages',
    'fuselai',
    'fuselaient',
    'fuselais',
    'fuselait',
    'fuselant',
    'fuselas',
    'fuselasse',
    'fuselassent',
    'fuselasses',
    'fuselassiez',
    'fuselassions',
    'fuseler',
    'fuselez',
    'fuseliez',
    'fuselions',
    'fuselle',
    'fusellent',
    'fusellera',
    'fusellerai',
    'fusellerais',
    'fusellerait',
    'fuselleras',
    'fusellerez',
    'fuselleriez',
    'fusellerions',
    'fusellerons',
    'fuselleront',
    'fuselles',
    'fuselons',
    'fusels',
    'fuselâmes',
    'fuselât',
    'fuselâtes',
    'fuselèrent',
    'fuselé',
    'fuselée',
    'fuselées',
    'fuselés',
    'fusent',
    'fuser',
    'fusera',
    'fuserai',
    'fuseraient',
    'fuserais',
    'fuserait',
    'fuseras',
    'fuserez',
    'fuseriez',
    'fuserions',
    'fuserons',
    'fuseront',
    'fuses',
    'fusette',
    'fusettes',
    'fusez',
    'fusibilité',
    'fusibilités',
    'fusible',
    'fusibles',
    'fusiez',
    'fusiforme',
    'fusiformes',
    'fusil',
    'fusilier',
    'fusiliers',
    'fusilla',
    'fusillade',
    'fusillades',
    'fusillai',
    'fusillaient',
    'fusillais',
    'fusillait',
    'fusillant',
    'fusillas',
    'fusillasse',
    'fusillassent',
    'fusillasses',
    'fusillassiez',
    'fusille',
    'fusillent',
    'fusiller',
    'fusillera',
    'fusillerai',
    'fusillerais',
    'fusillerait',
    'fusilleras',
    'fusillerez',
    'fusilleriez',
    'fusillerions',
    'fusillerons',
    'fusilleront',
    'fusilles',
    'fusilleur',
    'fusilleurs',
    'fusillez',
    'fusilliez',
    'fusillions',
    'fusillons',
    'fusillâmes',
    'fusillât',
    'fusillâtes',
    'fusillèrent',
    'fusillé',
    'fusillée',
    'fusillées',
    'fusillés',
    'fusils',
    'fusiniste',
    'fusinistes',
    'fusion',
    'fusionna',
    'fusionnai',
    'fusionnaient',
    'fusionnais',
    'fusionnait',
    'fusionnant',
    'fusionnante',
    'fusionnantes',
    'fusionnants',
    'fusionnas',
    'fusionnasse',
    'fusionnasses',
    'fusionne',
    'fusionnement',
    'fusionnent',
    'fusionner',
    'fusionnera',
    'fusionnerai',
    'fusionnerais',
    'fusionnerait',
    'fusionneras',
    'fusionnerez',
    'fusionneriez',
    'fusionnerons',
    'fusionneront',
    'fusionnes',
    'fusionnez',
    'fusionniez',
    'fusionnions',
    'fusionnons',
    'fusionnâmes',
    'fusionnât',
    'fusionnâtes',
    'fusionnèrent',
    'fusionné',
    'fusionnée',
    'fusionnées',
    'fusionnés',
    'fusions',
    'fusons',
    'fusse',
    'fussent',
    'fusses',
    'fussiez',
    'fussions',
    'fustanelle',
    'fustanelles',
    'fustigation',
    'fustigations',
    'fustige',
    'fustigea',
    'fustigeai',
    'fustigeaient',
    'fustigeais',
    'fustigeait',
    'fustigeant',
    'fustigeas',
    'fustigeasse',
    'fustigeasses',
    'fustigent',
    'fustigeons',
    'fustiger',
    'fustigera',
    'fustigerai',
    'fustigerais',
    'fustigerait',
    'fustigeras',
    'fustigerez',
    'fustigeriez',
    'fustigerions',
    'fustigerons',
    'fustigeront',
    'fustiges',
    'fustigez',
    'fustigeâmes',
    'fustigeât',
    'fustigeâtes',
    'fustigiez',
    'fustigions',
    'fustigèrent',
    'fustigé',
    'fustigée',
    'fustigées',
    'fustigés',
    'fusâmes',
    'fusât',
    'fusâtes',
    'fusèrent',
    'fusé',
    'fusée',
    'fusées',
    'fusés',
    'futaie',
    'futaies',
    'futaille',
    'futailles',
    'futaine',
    'futaines',
    'futile',
    'futilement',
    'futiles',
    'futilité',
    'futilités',
    'futur',
    'future',
    'futures',
    'futurible',
    'futuribles',
    'futurisme',
    'futurismes',
    'futuriste',
    'futuristes',
    'futurologie',
    'futurologies',
    'futurologue',
    'futurologues',
    'futurs',
    'futé',
    'futée',
    'futées',
    'futés',
    'fuyaient',
    'fuyais',
    'fuyait',
    'fuyant',
    'fuyante',
    'fuyantes',
    'fuyants',
    'fuyard',
    'fuyarde',
    'fuyardes',
    'fuyards',
    'fuyez',
    'fuyiez',
    'fuyions',
    'fuyons',
    'fuégien',
    'fuégienne',
    'fuégiennes',
    'fuégiens',
    'fuîmes',
    'fuît',
    'fuîtes',
    'fâcha',
    'fâchai',
    'fâchaient',
    'fâchais',
    'fâchait',
    'fâchant',
    'fâchas',
    'fâchasse',
    'fâchassent',
    'fâchasses',
    'fâchassiez',
    'fâchassions',
    'fâche',
    'fâchent',
    'fâcher',
    'fâchera',
    'fâcherai',
    'fâcheraient',
    'fâcherais',
    'fâcherait',
    'fâcheras',
    'fâcherez',
    'fâcherie',
    'fâcheries',
    'fâcheriez',
    'fâcherions',
    'fâcherons',
    'fâcheront',
    'fâches',
    'fâcheu',
    'fâcheuse',
    'fâcheusement',
    'fâcheuses',
    'fâcheux',
    'fâchez',
    'fâchiez',
    'fâchions',
    'fâchons',
    'fâchâmes',
    'fâchât',
    'fâchâtes',
    'fâchèrent',
    'fâché',
    'fâchée',
    'fâchées',
    'fâchés',
    'fèces',
    'fève',
    'fèves',
    'féal',
    'féale',
    'féales',
    'féaux',
    'fébricule',
    'fébricules',
    'fébrifuge',
    'fébrifuges',
    'fébrile',
    'fébrilement',
    'fébriles',
    'fébrilité',
    'fébrilités',
    'fécal',
    'fécale',
    'fécales',
    'fécaux',
    'fécial',
    'féciaux',
    'fécond',
    'féconda',
    'fécondable',
    'fécondables',
    'fécondai',
    'fécondaient',
    'fécondais',
    'fécondait',
    'fécondant',
    'fécondante',
    'fécondantes',
    'fécondants',
    'fécondas',
    'fécondasse',
    'fécondassent',
    'fécondasses',
    'fécondassiez',
    'fécondateur',
    'fécondateurs',
    'fécondation',
    'fécondations',
    'fécondatrice',
    'féconde',
    'fécondent',
    'féconder',
    'fécondera',
    'féconderai',
    'féconderais',
    'féconderait',
    'féconderas',
    'féconderez',
    'féconderiez',
    'féconderions',
    'féconderons',
    'féconderont',
    'fécondes',
    'fécondez',
    'fécondiez',
    'fécondions',
    'fécondité',
    'fécondités',
    'fécondons',
    'féconds',
    'fécondâmes',
    'fécondât',
    'fécondâtes',
    'fécondèrent',
    'fécondé',
    'fécondée',
    'fécondées',
    'fécondés',
    'fécula',
    'féculai',
    'féculaient',
    'féculais',
    'féculait',
    'féculant',
    'féculas',
    'féculasse',
    'féculassent',
    'féculasses',
    'féculassiez',
    'féculassions',
    'fécule',
    'féculence',
    'féculences',
    'féculent',
    'féculente',
    'féculentes',
    'féculents',
    'féculer',
    'féculera',
    'féculerai',
    'féculeraient',
    'féculerais',
    'féculerait',
    'féculeras',
    'féculerez',
    'féculerie',
    'féculeries',
    'féculeriez',
    'féculerions',
    'féculerons',
    'féculeront',
    'fécules',
    'féculez',
    'féculiez',
    'féculions',
    'féculons',
    'féculâmes',
    'féculât',
    'féculâtes',
    'féculèrent',
    'féculé',
    'féculée',
    'féculées',
    'féculés',
    'fédère',
    'fédèrent',
    'fédères',
    'fédéra',
    'fédérai',
    'fédéraient',
    'fédérais',
    'fédérait',
    'fédéral',
    'fédérale',
    'fédérales',
    'fédéralisa',
    'fédéralisai',
    'fédéralisais',
    'fédéralisait',
    'fédéralisant',
    'fédéralisas',
    'fédéralise',
    'fédéralisent',
    'fédéraliser',
    'fédéralisera',
    'fédéralises',
    'fédéralisez',
    'fédéralisiez',
    'fédéralisme',
    'fédéralismes',
    'fédéralisons',
    'fédéraliste',
    'fédéralistes',
    'fédéralisât',
    'fédéralisé',
    'fédéralisée',
    'fédéralisées',
    'fédéralisés',
    'fédérant',
    'fédéras',
    'fédérasse',
    'fédérassent',
    'fédérasses',
    'fédérassiez',
    'fédérassions',
    'fédérateur',
    'fédérateurs',
    'fédératif',
    'fédératifs',
    'fédération',
    'fédérations',
    'fédérative',
    'fédératives',
    'fédératrice',
    'fédératrices',
    'fédéraux',
    'fédérer',
    'fédérera',
    'fédérerai',
    'fédéreraient',
    'fédérerais',
    'fédérerait',
    'fédéreras',
    'fédérerez',
    'fédéreriez',
    'fédérerions',
    'fédérerons',
    'fédéreront',
    'fédérez',
    'fédériez',
    'fédérions',
    'fédérons',
    'fédérâmes',
    'fédérât',
    'fédérâtes',
    'fédérèrent',
    'fédéré',
    'fédérée',
    'fédérées',
    'fédérés',
    'féerie',
    'féeries',
    'féerique',
    'féeriques',
    'fées',
    'fégatera',
    'fégaterai',
    'fégateraient',
    'fégaterais',
    'fégaterait',
    'fégateras',
    'fégaterez',
    'fégateriez',
    'fégaterions',
    'fégaterons',
    'fégateront',
    'félibre',
    'félibres',
    'félibrige',
    'félibriges',
    'félicita',
    'félicitai',
    'félicitaient',
    'félicitais',
    'félicitait',
    'félicitant',
    'félicitas',
    'félicitasse',
    'félicitasses',
    'félicitation',
    'félicite',
    'félicitent',
    'féliciter',
    'félicitera',
    'féliciterai',
    'féliciterais',
    'féliciterait',
    'féliciteras',
    'féliciterez',
    'féliciteriez',
    'féliciterons',
    'féliciteront',
    'félicites',
    'félicitez',
    'félicitiez',
    'félicitions',
    'félicitons',
    'félicitâmes',
    'félicitât',
    'félicitâtes',
    'félicitèrent',
    'félicité',
    'félicitée',
    'félicitées',
    'félicités',
    'félidé',
    'félidés',
    'félin',
    'féline',
    'félines',
    'félinité',
    'félinités',
    'félins',
    'félon',
    'félonie',
    'félonies',
    'félonne',
    'félonnes',
    'félons',
    'féminin',
    'féminine',
    'féminines',
    'féminins',
    'féminisa',
    'féminisai',
    'féminisaient',
    'féminisais',
    'féminisait',
    'féminisant',
    'féminisas',
    'féminisasse',
    'féminisasses',
    'féminisation',
    'féminise',
    'féminisent',
    'féminiser',
    'féminisera',
    'féminiserai',
    'féminiserais',
    'féminiserait',
    'féminiseras',
    'féminiserez',
    'féminiseriez',
    'féminiserons',
    'féminiseront',
    'féminises',
    'féminisez',
    'féminisiez',
    'féminisions',
    'féminisme',
    'féminismes',
    'féminisons',
    'féministe',
    'féministes',
    'féminisâmes',
    'féminisât',
    'féminisâtes',
    'féminisèrent',
    'féminisé',
    'féminisée',
    'féminisées',
    'féminisés',
    'féminité',
    'féminités',
    'fémoral',
    'fémorale',
    'fémorales',
    'fémoraux',
    'fémur',
    'fémurs',
    'féodal',
    'féodale',
    'féodalement',
    'féodales',
    'féodalisme',
    'féodalismes',
    'féodalité',
    'féodalités',
    'féodaux',
    'féra',
    'féras',
    'férial',
    'fériale',
    'fériales',
    'fériaux',
    'férir',
    'férié',
    'fériée',
    'fériées',
    'fériés',
    'féroce',
    'férocement',
    'féroces',
    'férocité',
    'férocités',
    'féru',
    'férue',
    'férues',
    'férule',
    'férules',
    'férus',
    'fétiche',
    'fétiches',
    'féticheur',
    'féticheurs',
    'fétichisa',
    'fétichisai',
    'fétichisais',
    'fétichisait',
    'fétichisant',
    'fétichisas',
    'fétichisasse',
    'fétichise',
    'fétichisent',
    'fétichiser',
    'fétichisera',
    'fétichiserai',
    'fétichiseras',
    'fétichiserez',
    'fétichises',
    'fétichisez',
    'fétichisiez',
    'fétichisions',
    'fétichisme',
    'fétichismes',
    'fétichisons',
    'fétichiste',
    'fétichistes',
    'fétichisâmes',
    'fétichisât',
    'fétichisâtes',
    'fétichisé',
    'fétichisée',
    'fétichisées',
    'fétichisés',
    'fétide',
    'fétides',
    'fétidité',
    'fétidités',
    'fétu',
    'fétuque',
    'fétuques',
    'fétus',
    'féverole',
    'féveroles',
    'févier',
    'féviers',
    'février',
    'févriers',
    'fêla',
    'fêlai',
    'fêlaient',
    'fêlais',
    'fêlait',
    'fêlant',
    'fêlas',
    'fêlasse',
    'fêlassent',
    'fêlasses',
    'fêlassiez',
    'fêlassions',
    'fêle',
    'fêlent',
    'fêler',
    'fêlera',
    'fêlerai',
    'fêleraient',
    'fêlerais',
    'fêlerait',
    'fêleras',
    'fêlerez',
    'fêleriez',
    'fêlerions',
    'fêlerons',
    'fêleront',
    'fêles',
    'fêlez',
    'fêliez',
    'fêlions',
    'fêlons',
    'fêlure',
    'fêlures',
    'fêlâmes',
    'fêlât',
    'fêlâtes',
    'fêlèrent',
    'fêlé',
    'fêlée',
    'fêlées',
    'fêlés',
    'fêta',
    'fêtai',
    'fêtaient',
    'fêtais',
    'fêtait',
    'fêtant',
    'fêtard',
    'fêtards',
    'fêtas',
    'fêtasse',
    'fêtassent',
    'fêtasses',
    'fêtassiez',
    'fêtassions',
    'fête',
    'fêtent',
    'fêter',
    'fêtera',
    'fêterai',
    'fêteraient',
    'fêterais',
    'fêterait',
    'fêteras',
    'fêterez',
    'fêteriez',
    'fêterions',
    'fêterons',
    'fêteront',
    'fêtes',
    'fêtez',
    'fêtiez',
    'fêtions',
    'fêtons',
    'fêtâmes',
    'fêtât',
    'fêtâtes',
    'fêtèrent',
    'fêté',
    'fêtée',
    'fêtées',
    'fêtés',
    'fîmes',
    'fîtes',
    'fûmes',
    'fûtes',
    'fûts',
    'führer',
    'führers',
    'foetus',
    'gabardine',
    'gabardines',
    'gabare',
    'gabares',
    'gabariage',
    'gabariages',
    'gabarier',
    'gabariers',
    'gabarit',
    'gabarits',
    'gabarre',
    'gabarres',
    'gabarrier',
    'gabarriers',
    'gabbro',
    'gabbros',
    'gabegie',
    'gabegies',
    'gabelle',
    'gabelles',
    'gabelou',
    'gabelous',
    'gabier',
    'gabiers',
    'gabion',
    'gabionna',
    'gabionnage',
    'gabionnages',
    'gabionnai',
    'gabionnaient',
    'gabionnais',
    'gabionnait',
    'gabionnant',
    'gabionnas',
    'gabionnasse',
    'gabionnasses',
    'gabionne',
    'gabionnent',
    'gabionner',
    'gabionnera',
    'gabionnerai',
    'gabionnerais',
    'gabionnerait',
    'gabionneras',
    'gabionnerez',
    'gabionneriez',
    'gabionnerons',
    'gabionneront',
    'gabionnes',
    'gabionnez',
    'gabionniez',
    'gabionnions',
    'gabionnons',
    'gabionnâmes',
    'gabionnât',
    'gabionnâtes',
    'gabionnèrent',
    'gabionné',
    'gabionnée',
    'gabionnées',
    'gabionnés',
    'gabions',
    'gade',
    'gades',
    'gadget',
    'gadgets',
    'gadgétisa',
    'gadgétisai',
    'gadgétisais',
    'gadgétisait',
    'gadgétisant',
    'gadgétisas',
    'gadgétisasse',
    'gadgétise',
    'gadgétisent',
    'gadgétiser',
    'gadgétisera',
    'gadgétiserai',
    'gadgétiseras',
    'gadgétiserez',
    'gadgétises',
    'gadgétisez',
    'gadgétisiez',
    'gadgétisions',
    'gadgétisons',
    'gadgétisâmes',
    'gadgétisât',
    'gadgétisâtes',
    'gadgétisé',
    'gadgétisée',
    'gadgétisées',
    'gadgétisés',
    'gadin',
    'gadins',
    'gadolinium',
    'gadoliniums',
    'gadoue',
    'gadoues',
    'gaffa',
    'gaffai',
    'gaffaient',
    'gaffais',
    'gaffait',
    'gaffant',
    'gaffas',
    'gaffasse',
    'gaffassent',
    'gaffasses',
    'gaffassiez',
    'gaffassions',
    'gaffe',
    'gaffent',
    'gaffer',
    'gaffera',
    'gafferai',
    'gafferaient',
    'gafferais',
    'gafferait',
    'gafferas',
    'gafferez',
    'gafferiez',
    'gafferions',
    'gafferons',
    'gafferont',
    'gaffes',
    'gaffeur',
    'gaffeurs',
    'gaffeuse',
    'gaffeuses',
    'gaffez',
    'gaffiez',
    'gaffions',
    'gaffons',
    'gaffâmes',
    'gaffât',
    'gaffâtes',
    'gaffèrent',
    'gaffé',
    'gaffée',
    'gaffées',
    'gaffés',
    'gaga',
    'gagas',
    'gage',
    'gagea',
    'gageai',
    'gageaient',
    'gageais',
    'gageait',
    'gageant',
    'gageas',
    'gageasse',
    'gageassent',
    'gageasses',
    'gageassiez',
    'gageassions',
    'gagent',
    'gageons',
    'gager',
    'gagera',
    'gagerai',
    'gageraient',
    'gagerais',
    'gagerait',
    'gageras',
    'gagerez',
    'gageriez',
    'gagerions',
    'gagerons',
    'gageront',
    'gages',
    'gageure',
    'gageures',
    'gagez',
    'gageâmes',
    'gageât',
    'gageâtes',
    'gagiez',
    'gagions',
    'gagiste',
    'gagistes',
    'gagman',
    'gagmen',
    'gagna',
    'gagnable',
    'gagnables',
    'gagnage',
    'gagnages',
    'gagnai',
    'gagnaient',
    'gagnais',
    'gagnait',
    'gagnant',
    'gagnante',
    'gagnantes',
    'gagnants',
    'gagnas',
    'gagnasse',
    'gagnassent',
    'gagnasses',
    'gagnassiez',
    'gagnassions',
    'gagne',
    'gagnent',
    'gagner',
    'gagnera',
    'gagnerai',
    'gagneraient',
    'gagnerais',
    'gagnerait',
    'gagneras',
    'gagnerez',
    'gagneriez',
    'gagnerions',
    'gagnerons',
    'gagneront',
    'gagnes',
    'gagneur',
    'gagneurs',
    'gagneuse',
    'gagneuses',
    'gagnez',
    'gagniez',
    'gagnions',
    'gagnons',
    'gagnâmes',
    'gagnât',
    'gagnâtes',
    'gagnèrent',
    'gagné',
    'gagnée',
    'gagnées',
    'gagnés',
    'gags',
    'gagèrent',
    'gagé',
    'gagée',
    'gagées',
    'gagés',
    'gaie',
    'gaiement',
    'gaies',
    'gaieté',
    'gaietés',
    'gaillard',
    'gaillarde',
    'gaillardes',
    'gaillardie',
    'gaillardies',
    'gaillardise',
    'gaillardises',
    'gaillards',
    'gaillet',
    'gailleterie',
    'gailleteries',
    'gailletin',
    'gailletins',
    'gaillets',
    'gain',
    'gaina',
    'gainage',
    'gainages',
    'gainai',
    'gainaient',
    'gainais',
    'gainait',
    'gainant',
    'gainas',
    'gainasse',
    'gainassent',
    'gainasses',
    'gainassiez',
    'gainassions',
    'gaine',
    'gainent',
    'gainer',
    'gainera',
    'gainerai',
    'gaineraient',
    'gainerais',
    'gainerait',
    'gaineras',
    'gainerez',
    'gainerie',
    'gaineries',
    'gaineriez',
    'gainerions',
    'gainerons',
    'gaineront',
    'gaines',
    'gainez',
    'gainier',
    'gainiers',
    'gainiez',
    'gainions',
    'gainons',
    'gains',
    'gainâmes',
    'gainât',
    'gainâtes',
    'gainèrent',
    'gainé',
    'gainée',
    'gainées',
    'gainés',
    'gais',
    'gala',
    'galactagogue',
    'galactique',
    'galactiques',
    'galactogène',
    'galactogènes',
    'galactomètre',
    'galactophore',
    'galactose',
    'galactoses',
    'galalithe',
    'galalithes',
    'galamment',
    'galandage',
    'galandages',
    'galant',
    'galante',
    'galanterie',
    'galanteries',
    'galantes',
    'galantin',
    'galantine',
    'galantines',
    'galantins',
    'galants',
    'galapiat',
    'galapiats',
    'galas',
    'galaxie',
    'galaxies',
    'galba',
    'galbai',
    'galbaient',
    'galbais',
    'galbait',
    'galbant',
    'galbante',
    'galbantes',
    'galbants',
    'galbas',
    'galbasse',
    'galbassent',
    'galbasses',
    'galbassiez',
    'galbassions',
    'galbe',
    'galbent',
    'galber',
    'galbera',
    'galberai',
    'galberaient',
    'galberais',
    'galberait',
    'galberas',
    'galberez',
    'galberiez',
    'galberions',
    'galberons',
    'galberont',
    'galbes',
    'galbez',
    'galbiez',
    'galbions',
    'galbons',
    'galbâmes',
    'galbât',
    'galbâtes',
    'galbèrent',
    'galbé',
    'galbée',
    'galbées',
    'galbés',
    'gale',
    'galerie',
    'galeries',
    'galerne',
    'galernes',
    'gales',
    'galet',
    'galetas',
    'galets',
    'galette',
    'galettes',
    'galetteuse',
    'galetteuses',
    'galetteux',
    'galeuse',
    'galeuses',
    'galeux',
    'galgal',
    'galgals',
    'galhauban',
    'galhaubans',
    'galibot',
    'galibots',
    'galiléen',
    'galiléenne',
    'galiléennes',
    'galiléens',
    'galimafrée',
    'galimafrées',
    'galimatias',
    'galion',
    'galions',
    'galiote',
    'galiotes',
    'galipette',
    'galipettes',
    'galipot',
    'galipota',
    'galipotai',
    'galipotaient',
    'galipotais',
    'galipotait',
    'galipotant',
    'galipotas',
    'galipotasse',
    'galipotasses',
    'galipote',
    'galipotent',
    'galipoter',
    'galipotera',
    'galipoterai',
    'galipoterais',
    'galipoterait',
    'galipoteras',
    'galipoterez',
    'galipoteriez',
    'galipoterons',
    'galipoteront',
    'galipotes',
    'galipotez',
    'galipotiez',
    'galipotions',
    'galipotons',
    'galipots',
    'galipotâmes',
    'galipotât',
    'galipotâtes',
    'galipotèrent',
    'galipoté',
    'galipotée',
    'galipotées',
    'galipotés',
    'gallec',
    'gallecs',
    'gallican',
    'gallicane',
    'gallicanes',
    'gallicanisme',
    'gallicans',
    'gallicisme',
    'gallicismes',
    'gallicole',
    'gallicoles',
    'gallinacé',
    'gallinacés',
    'gallique',
    'galliques',
    'gallium',
    'galliums',
    'gallo',
    'gallois',
    'galloise',
    'galloises',
    'gallomanie',
    'gallomanies',
    'gallon',
    'gallons',
    'gallos',
    'gallup',
    'gallups',
    'gallérie',
    'galléries',
    'galoche',
    'galoches',
    'galon',
    'galonna',
    'galonnai',
    'galonnaient',
    'galonnais',
    'galonnait',
    'galonnant',
    'galonnas',
    'galonnasse',
    'galonnassent',
    'galonnasses',
    'galonnassiez',
    'galonne',
    'galonnent',
    'galonner',
    'galonnera',
    'galonnerai',
    'galonnerais',
    'galonnerait',
    'galonneras',
    'galonnerez',
    'galonneriez',
    'galonnerions',
    'galonnerons',
    'galonneront',
    'galonnes',
    'galonnez',
    'galonnier',
    'galonniers',
    'galonniez',
    'galonnions',
    'galonnière',
    'galonnières',
    'galonnons',
    'galonnâmes',
    'galonnât',
    'galonnâtes',
    'galonnèrent',
    'galonné',
    'galonnée',
    'galonnées',
    'galonnés',
    'galons',
    'galop',
    'galopa',
    'galopade',
    'galopades',
    'galopai',
    'galopaient',
    'galopais',
    'galopait',
    'galopant',
    'galopante',
    'galopantes',
    'galopants',
    'galopas',
    'galopasse',
    'galopassent',
    'galopasses',
    'galopassiez',
    'galopassions',
    'galope',
    'galopent',
    'galoper',
    'galopera',
    'galoperai',
    'galoperaient',
    'galoperais',
    'galoperait',
    'galoperas',
    'galoperez',
    'galoperiez',
    'galoperions',
    'galoperons',
    'galoperont',
    'galopes',
    'galopeur',
    'galopeurs',
    'galopeuse',
    'galopeuses',
    'galopez',
    'galopiez',
    'galopin',
    'galopins',
    'galopions',
    'galopons',
    'galops',
    'galopâmes',
    'galopât',
    'galopâtes',
    'galopèrent',
    'galopé',
    'galopée',
    'galopées',
    'galopés',
    'galoubet',
    'galoubets',
    'gals',
    'galuchat',
    'galuchats',
    'galure',
    'galures',
    'galurin',
    'galurins',
    'galvanique',
    'galvaniques',
    'galvanisa',
    'galvanisai',
    'galvanisais',
    'galvanisait',
    'galvanisant',
    'galvanisante',
    'galvanisants',
    'galvanisas',
    'galvanisasse',
    'galvanise',
    'galvanisent',
    'galvaniser',
    'galvanisera',
    'galvaniserai',
    'galvaniseras',
    'galvaniserez',
    'galvanises',
    'galvanisez',
    'galvanisiez',
    'galvanisions',
    'galvanisme',
    'galvanismes',
    'galvanisons',
    'galvanisâmes',
    'galvanisât',
    'galvanisâtes',
    'galvanisé',
    'galvanisée',
    'galvanisées',
    'galvanisés',
    'galvano',
    'galvanomètre',
    'galvanos',
    'galvanotype',
    'galvanotypes',
    'galvanotypie',
    'galvauda',
    'galvaudage',
    'galvaudages',
    'galvaudai',
    'galvaudaient',
    'galvaudais',
    'galvaudait',
    'galvaudant',
    'galvaudas',
    'galvaudasse',
    'galvaudasses',
    'galvaude',
    'galvaudent',
    'galvauder',
    'galvaudera',
    'galvauderai',
    'galvauderais',
    'galvauderait',
    'galvauderas',
    'galvauderez',
    'galvauderiez',
    'galvauderons',
    'galvauderont',
    'galvaudes',
    'galvaudeuse',
    'galvaudeuses',
    'galvaudeux',
    'galvaudez',
    'galvaudiez',
    'galvaudions',
    'galvaudons',
    'galvaudâmes',
    'galvaudât',
    'galvaudâtes',
    'galvaudèrent',
    'galvaudé',
    'galvaudée',
    'galvaudées',
    'galvaudés',
    'galèje',
    'galèjent',
    'galèjes',
    'galène',
    'galènes',
    'galère',
    'galères',
    'galéace',
    'galéaces',
    'galéasse',
    'galéasses',
    'galéja',
    'galéjade',
    'galéjades',
    'galéjai',
    'galéjaient',
    'galéjais',
    'galéjait',
    'galéjant',
    'galéjas',
    'galéjasse',
    'galéjassent',
    'galéjasses',
    'galéjassiez',
    'galéjassions',
    'galéjer',
    'galéjera',
    'galéjerai',
    'galéjeraient',
    'galéjerais',
    'galéjerait',
    'galéjeras',
    'galéjerez',
    'galéjeriez',
    'galéjerions',
    'galéjerons',
    'galéjeront',
    'galéjez',
    'galéjiez',
    'galéjions',
    'galéjons',
    'galéjâmes',
    'galéjât',
    'galéjâtes',
    'galéjèrent',
    'galéjé',
    'galénique',
    'galéniques',
    'galénisme',
    'galénismes',
    'galérien',
    'galériens',
    'gamba',
    'gambada',
    'gambadai',
    'gambadaient',
    'gambadais',
    'gambadait',
    'gambadant',
    'gambadante',
    'gambadantes',
    'gambadants',
    'gambadas',
    'gambadasse',
    'gambadassent',
    'gambadasses',
    'gambadassiez',
    'gambade',
    'gambadent',
    'gambader',
    'gambadera',
    'gambaderai',
    'gambaderais',
    'gambaderait',
    'gambaderas',
    'gambaderez',
    'gambaderiez',
    'gambaderions',
    'gambaderons',
    'gambaderont',
    'gambades',
    'gambadez',
    'gambadiez',
    'gambadions',
    'gambadons',
    'gambadâmes',
    'gambadât',
    'gambadâtes',
    'gambadèrent',
    'gambadé',
    'gambas',
    'gambe',
    'gamberge',
    'gambergea',
    'gambergeai',
    'gambergeais',
    'gambergeait',
    'gambergeant',
    'gambergeas',
    'gambergeasse',
    'gambergent',
    'gambergeons',
    'gamberger',
    'gambergera',
    'gambergerai',
    'gambergerais',
    'gambergerait',
    'gambergeras',
    'gambergerez',
    'gambergeriez',
    'gambergerons',
    'gambergeront',
    'gamberges',
    'gambergez',
    'gambergeâmes',
    'gambergeât',
    'gambergeâtes',
    'gambergiez',
    'gambergions',
    'gambergèrent',
    'gambergé',
    'gambergée',
    'gambergées',
    'gambergés',
    'gambes',
    'gambette',
    'gambettes',
    'gambilla',
    'gambillai',
    'gambillaient',
    'gambillais',
    'gambillait',
    'gambillant',
    'gambillas',
    'gambillasse',
    'gambillasses',
    'gambille',
    'gambillent',
    'gambiller',
    'gambillera',
    'gambillerai',
    'gambillerais',
    'gambillerait',
    'gambilleras',
    'gambillerez',
    'gambilleriez',
    'gambillerons',
    'gambilleront',
    'gambilles',
    'gambillez',
    'gambilliez',
    'gambillions',
    'gambillons',
    'gambillâmes',
    'gambillât',
    'gambillâtes',
    'gambillèrent',
    'gambillé',
    'gambit',
    'gambits',
    'gamelle',
    'gamelles',
    'gamet',
    'gamets',
    'gamin',
    'gamina',
    'gaminai',
    'gaminaient',
    'gaminais',
    'gaminait',
    'gaminant',
    'gaminas',
    'gaminasse',
    'gaminassent',
    'gaminasses',
    'gaminassiez',
    'gaminassions',
    'gamine',
    'gaminent',
    'gaminer',
    'gaminera',
    'gaminerai',
    'gamineraient',
    'gaminerais',
    'gaminerait',
    'gamineras',
    'gaminerez',
    'gaminerie',
    'gamineries',
    'gamineriez',
    'gaminerions',
    'gaminerons',
    'gamineront',
    'gamines',
    'gaminez',
    'gaminiez',
    'gaminions',
    'gaminons',
    'gamins',
    'gaminâmes',
    'gaminât',
    'gaminâtes',
    'gaminèrent',
    'gaminé',
    'gammare',
    'gammares',
    'gamme',
    'gammes',
    'gammée',
    'gammées',
    'gamopétale',
    'gamopétales',
    'gamosépale',
    'gamosépales',
    'gamète',
    'gamètes',
    'ganache',
    'ganacherie',
    'ganacheries',
    'ganaches',
    'ganaderia',
    'ganaderias',
    'gandin',
    'gandins',
    'gandoura',
    'gandouras',
    'gang',
    'ganga',
    'gangas',
    'ganglion',
    'ganglions',
    'gangrena',
    'gangrenai',
    'gangrenaient',
    'gangrenais',
    'gangrenait',
    'gangrenant',
    'gangrenante',
    'gangrenantes',
    'gangrenants',
    'gangrenas',
    'gangrenasse',
    'gangrenasses',
    'gangrener',
    'gangreneuse',
    'gangreneuses',
    'gangreneux',
    'gangrenez',
    'gangreniez',
    'gangrenions',
    'gangrenons',
    'gangrenâmes',
    'gangrenât',
    'gangrenâtes',
    'gangrenèrent',
    'gangrené',
    'gangrenée',
    'gangrenées',
    'gangrenés',
    'gangrène',
    'gangrènent',
    'gangrènera',
    'gangrènerai',
    'gangrènerais',
    'gangrènerait',
    'gangrèneras',
    'gangrènerez',
    'gangrèneriez',
    'gangrènerons',
    'gangrèneront',
    'gangrènes',
    'gangréneuse',
    'gangréneuses',
    'gangréneux',
    'gangs',
    'gangster',
    'gangsters',
    'gangstérisme',
    'gangue',
    'gangues',
    'gangétique',
    'gangétiques',
    'ganoïde',
    'ganoïdes',
    'gansa',
    'gansai',
    'gansaient',
    'gansais',
    'gansait',
    'gansant',
    'gansas',
    'gansasse',
    'gansassent',
    'gansasses',
    'gansassiez',
    'gansassions',
    'ganse',
    'gansent',
    'ganser',
    'gansera',
    'ganserai',
    'ganseraient',
    'ganserais',
    'ganserait',
    'ganseras',
    'ganserez',
    'ganseriez',
    'ganserions',
    'ganserons',
    'ganseront',
    'ganses',
    'gansette',
    'gansettes',
    'gansez',
    'gansiez',
    'gansions',
    'gansons',
    'gansâmes',
    'gansât',
    'gansâtes',
    'gansèrent',
    'gansé',
    'gansée',
    'gansées',
    'gansés',
    'gant',
    'ganta',
    'gantai',
    'gantaient',
    'gantais',
    'gantait',
    'gantant',
    'gantas',
    'gantasse',
    'gantassent',
    'gantasses',
    'gantassiez',
    'gantassions',
    'gante',
    'gantelet',
    'gantelets',
    'ganteline',
    'gantelines',
    'gantelé',
    'gantelée',
    'gantelées',
    'gantelés',
    'gantent',
    'ganter',
    'gantera',
    'ganterai',
    'ganteraient',
    'ganterais',
    'ganterait',
    'ganteras',
    'ganterez',
    'ganterie',
    'ganteries',
    'ganteriez',
    'ganterions',
    'ganterons',
    'ganteront',
    'gantes',
    'gantez',
    'gantier',
    'gantiers',
    'gantiez',
    'gantions',
    'gantière',
    'gantières',
    'gantons',
    'gants',
    'gantâmes',
    'gantât',
    'gantâtes',
    'gantèrent',
    'ganté',
    'gantée',
    'gantées',
    'gantés',
    'gaps',
    'gara',
    'garage',
    'garages',
    'garagiste',
    'garagistes',
    'garai',
    'garaient',
    'garais',
    'garait',
    'garance',
    'garancent',
    'garancer',
    'garancera',
    'garancerai',
    'garancerais',
    'garancerait',
    'garanceras',
    'garancerez',
    'garancerie',
    'garanceries',
    'garanceriez',
    'garancerions',
    'garancerons',
    'garanceront',
    'garances',
    'garanceur',
    'garanceurs',
    'garancez',
    'garanciez',
    'garancions',
    'garancière',
    'garancières',
    'garancèrent',
    'garancé',
    'garancée',
    'garancées',
    'garancés',
    'garant',
    'garante',
    'garantes',
    'garanti',
    'garantie',
    'garanties',
    'garantir',
    'garantira',
    'garantirai',
    'garantirais',
    'garantirait',
    'garantiras',
    'garantirent',
    'garantirez',
    'garantiriez',
    'garantirions',
    'garantirons',
    'garantiront',
    'garantis',
    'garantissais',
    'garantissait',
    'garantissant',
    'garantisse',
    'garantissent',
    'garantisses',
    'garantissez',
    'garantissiez',
    'garantissons',
    'garantit',
    'garants',
    'garantîmes',
    'garantît',
    'garantîtes',
    'garança',
    'garançai',
    'garançaient',
    'garançais',
    'garançait',
    'garançant',
    'garanças',
    'garançasse',
    'garançassent',
    'garançasses',
    'garançassiez',
    'garançons',
    'garançâmes',
    'garançât',
    'garançâtes',
    'garas',
    'garasse',
    'garassent',
    'garasses',
    'garassiez',
    'garassions',
    'garbure',
    'garbures',
    'garce',
    'garces',
    'garcette',
    'garcettes',
    'garda',
    'gardai',
    'gardaient',
    'gardais',
    'gardait',
    'gardant',
    'gardas',
    'gardasse',
    'gardassent',
    'gardasses',
    'gardassiez',
    'gardassions',
    'garde',
    'gardent',
    'garder',
    'gardera',
    'garderai',
    'garderaient',
    'garderais',
    'garderait',
    'garderas',
    'garderez',
    'garderie',
    'garderies',
    'garderiez',
    'garderions',
    'garderons',
    'garderont',
    'gardes',
    'gardeur',
    'gardeurs',
    'gardeuse',
    'gardeuses',
    'gardez',
    'gardian',
    'gardians',
    'gardien',
    'gardiennage',
    'gardiennages',
    'gardienne',
    'gardiennes',
    'gardiens',
    'gardiez',
    'gardions',
    'gardon',
    'gardons',
    'gardâmes',
    'gardât',
    'gardâtes',
    'gardèrent',
    'gardé',
    'gardée',
    'gardées',
    'gardénal',
    'gardénals',
    'gardénia',
    'gardénias',
    'gardés',
    'gare',
    'garenne',
    'garennes',
    'garent',
    'garer',
    'garera',
    'garerai',
    'gareraient',
    'garerais',
    'garerait',
    'gareras',
    'garerez',
    'gareriez',
    'garerions',
    'garerons',
    'gareront',
    'gares',
    'garez',
    'gargamelle',
    'gargamelles',
    'gargantua',
    'gargantuas',
    'gargarisa',
    'gargarisai',
    'gargarisais',
    'gargarisait',
    'gargarisant',
    'gargarisante',
    'gargarisants',
    'gargarisas',
    'gargarisasse',
    'gargarise',
    'gargarisent',
    'gargariser',
    'gargarisera',
    'gargariserai',
    'gargariseras',
    'gargariserez',
    'gargarises',
    'gargarisez',
    'gargarisiez',
    'gargarisions',
    'gargarisme',
    'gargarismes',
    'gargarisons',
    'gargarisâmes',
    'gargarisât',
    'gargarisâtes',
    'gargarisé',
    'gargarisée',
    'gargarisées',
    'gargarisés',
    'gargota',
    'gargotai',
    'gargotaient',
    'gargotais',
    'gargotait',
    'gargotant',
    'gargotante',
    'gargotantes',
    'gargotants',
    'gargotas',
    'gargotasse',
    'gargotassent',
    'gargotasses',
    'gargotassiez',
    'gargote',
    'gargotent',
    'gargoter',
    'gargotera',
    'gargoterai',
    'gargoterais',
    'gargoterait',
    'gargoteras',
    'gargoterez',
    'gargoteriez',
    'gargoterions',
    'gargoterons',
    'gargoteront',
    'gargotes',
    'gargotez',
    'gargotier',
    'gargotiers',
    'gargotiez',
    'gargotions',
    'gargotière',
    'gargotières',
    'gargotons',
    'gargotâmes',
    'gargotât',
    'gargotâtes',
    'gargotèrent',
    'gargoté',
    'gargouilla',
    'gargouillai',
    'gargouillais',
    'gargouillait',
    'gargouillant',
    'gargouillas',
    'gargouille',
    'gargouillent',
    'gargouiller',
    'gargouillera',
    'gargouilles',
    'gargouillez',
    'gargouilliez',
    'gargouillis',
    'gargouillons',
    'gargouillât',
    'gargouillé',
    'gargoulette',
    'gargoulettes',
    'gargousse',
    'gargousses',
    'garibaldien',
    'garibaldiens',
    'gariez',
    'garions',
    'garnement',
    'garnements',
    'garni',
    'garnie',
    'garnies',
    'garnir',
    'garnira',
    'garnirai',
    'garniraient',
    'garnirais',
    'garnirait',
    'garniras',
    'garnirent',
    'garnirez',
    'garniriez',
    'garnirions',
    'garnirons',
    'garniront',
    'garnis',
    'garnison',
    'garnisons',
    'garnissage',
    'garnissages',
    'garnissaient',
    'garnissais',
    'garnissait',
    'garnissant',
    'garnisse',
    'garnissent',
    'garnisses',
    'garnisseur',
    'garnisseurs',
    'garnisseuse',
    'garnisseuses',
    'garnissez',
    'garnissiez',
    'garnissions',
    'garnissons',
    'garnit',
    'garniture',
    'garnitures',
    'garnîmes',
    'garnît',
    'garnîtes',
    'garons',
    'garou',
    'garous',
    'garrigue',
    'garrigues',
    'garrot',
    'garrots',
    'garrotta',
    'garrottage',
    'garrottages',
    'garrottai',
    'garrottaient',
    'garrottais',
    'garrottait',
    'garrottant',
    'garrottas',
    'garrottasse',
    'garrottasses',
    'garrotte',
    'garrottent',
    'garrotter',
    'garrottera',
    'garrotterai',
    'garrotterais',
    'garrotterait',
    'garrotteras',
    'garrotterez',
    'garrotteriez',
    'garrotterons',
    'garrotteront',
    'garrottes',
    'garrottez',
    'garrottiez',
    'garrottions',
    'garrottons',
    'garrottâmes',
    'garrottât',
    'garrottâtes',
    'garrottèrent',
    'garrotté',
    'garrottée',
    'garrottées',
    'garrottés',
    'gars',
    'garâmes',
    'garât',
    'garâtes',
    'garçon',
    'garçonne',
    'garçonnes',
    'garçonnet',
    'garçonnets',
    'garçonnier',
    'garçonniers',
    'garçonnière',
    'garçonnières',
    'garçons',
    'garèrent',
    'garé',
    'garée',
    'garées',
    'garés',
    'gascon',
    'gasconna',
    'gasconnade',
    'gasconnades',
    'gasconnai',
    'gasconnaient',
    'gasconnais',
    'gasconnait',
    'gasconnant',
    'gasconnas',
    'gasconnasse',
    'gasconnasses',
    'gasconne',
    'gasconnent',
    'gasconner',
    'gasconnera',
    'gasconnerai',
    'gasconnerais',
    'gasconnerait',
    'gasconneras',
    'gasconnerez',
    'gasconneriez',
    'gasconnerons',
    'gasconneront',
    'gasconnes',
    'gasconnez',
    'gasconniez',
    'gasconnions',
    'gasconnisme',
    'gasconnismes',
    'gasconnons',
    'gasconnâmes',
    'gasconnât',
    'gasconnâtes',
    'gasconnèrent',
    'gasconné',
    'gascons',
    'gasoil',
    'gasoils',
    'gaspacho',
    'gaspachos',
    'gaspilla',
    'gaspillage',
    'gaspillages',
    'gaspillai',
    'gaspillaient',
    'gaspillais',
    'gaspillait',
    'gaspillant',
    'gaspillas',
    'gaspillasse',
    'gaspillasses',
    'gaspille',
    'gaspillent',
    'gaspiller',
    'gaspillera',
    'gaspillerai',
    'gaspillerais',
    'gaspillerait',
    'gaspilleras',
    'gaspillerez',
    'gaspilleriez',
    'gaspillerons',
    'gaspilleront',
    'gaspilles',
    'gaspilleur',
    'gaspilleurs',
    'gaspilleuse',
    'gaspilleuses',
    'gaspillez',
    'gaspilliez',
    'gaspillions',
    'gaspillons',
    'gaspillâmes',
    'gaspillât',
    'gaspillâtes',
    'gaspillèrent',
    'gaspillé',
    'gaspillée',
    'gaspillées',
    'gaspillés',
    'gastralgie',
    'gastralgies',
    'gastralgique',
    'gastrectomie',
    'gastrique',
    'gastriques',
    'gastrite',
    'gastrites',
    'gastronome',
    'gastronomes',
    'gastronomie',
    'gastronomies',
    'gastropode',
    'gastropodes',
    'gastroscopie',
    'gastrotomie',
    'gastrotomies',
    'gastrula',
    'gastrulas',
    'gastéropode',
    'gastéropodes',
    'gatte',
    'gattes',
    'gattilier',
    'gattiliers',
    'gauche',
    'gauchement',
    'gaucher',
    'gaucherie',
    'gaucheries',
    'gauchers',
    'gauches',
    'gauchi',
    'gauchie',
    'gauchies',
    'gauchir',
    'gauchira',
    'gauchirai',
    'gauchiraient',
    'gauchirais',
    'gauchirait',
    'gauchiras',
    'gauchirent',
    'gauchirez',
    'gauchiriez',
    'gauchirions',
    'gauchirons',
    'gauchiront',
    'gauchis',
    'gauchisant',
    'gauchisante',
    'gauchisantes',
    'gauchisants',
    'gauchisme',
    'gauchismes',
    'gauchissais',
    'gauchissait',
    'gauchissant',
    'gauchisse',
    'gauchissent',
    'gauchisses',
    'gauchissez',
    'gauchissiez',
    'gauchissions',
    'gauchissons',
    'gauchiste',
    'gauchistes',
    'gauchit',
    'gaucho',
    'gauchos',
    'gauchère',
    'gauchères',
    'gauchîmes',
    'gauchît',
    'gauchîtes',
    'gaude',
    'gaudes',
    'gaudriole',
    'gaudrioles',
    'gaufra',
    'gaufrage',
    'gaufrages',
    'gaufrai',
    'gaufraient',
    'gaufrais',
    'gaufrait',
    'gaufrant',
    'gaufras',
    'gaufrasse',
    'gaufrassent',
    'gaufrasses',
    'gaufrassiez',
    'gaufrassions',
    'gaufre',
    'gaufrent',
    'gaufrer',
    'gaufrera',
    'gaufrerai',
    'gaufreraient',
    'gaufrerais',
    'gaufrerait',
    'gaufreras',
    'gaufrerez',
    'gaufreriez',
    'gaufrerions',
    'gaufrerons',
    'gaufreront',
    'gaufres',
    'gaufrette',
    'gaufrettes',
    'gaufreur',
    'gaufreurs',
    'gaufreuse',
    'gaufreuses',
    'gaufrez',
    'gaufrier',
    'gaufriers',
    'gaufriez',
    'gaufrions',
    'gaufroir',
    'gaufroirs',
    'gaufrons',
    'gaufrure',
    'gaufrures',
    'gaufrâmes',
    'gaufrât',
    'gaufrâtes',
    'gaufrèrent',
    'gaufré',
    'gaufrée',
    'gaufrées',
    'gaufrés',
    'gaula',
    'gaulage',
    'gaulages',
    'gaulai',
    'gaulaient',
    'gaulais',
    'gaulait',
    'gaulant',
    'gaulas',
    'gaulasse',
    'gaulassent',
    'gaulasses',
    'gaulassiez',
    'gaulassions',
    'gaule',
    'gaulent',
    'gauler',
    'gaulera',
    'gaulerai',
    'gauleraient',
    'gaulerais',
    'gaulerait',
    'gauleras',
    'gaulerez',
    'gauleriez',
    'gaulerions',
    'gaulerons',
    'gauleront',
    'gaules',
    'gaulez',
    'gauliez',
    'gaulions',
    'gaulis',
    'gaullien',
    'gaullienne',
    'gaulliennes',
    'gaulliens',
    'gaullisme',
    'gaullismes',
    'gaulliste',
    'gaullistes',
    'gaulois',
    'gauloise',
    'gauloisement',
    'gauloiserie',
    'gauloiseries',
    'gauloises',
    'gaulons',
    'gaulthérie',
    'gaulthéries',
    'gaulâmes',
    'gaulât',
    'gaulâtes',
    'gaulèrent',
    'gaulé',
    'gaulée',
    'gaulées',
    'gaulés',
    'gaupe',
    'gaupes',
    'gaur',
    'gaurs',
    'gauss',
    'gaussa',
    'gaussai',
    'gaussaient',
    'gaussais',
    'gaussait',
    'gaussant',
    'gaussas',
    'gaussasse',
    'gaussassent',
    'gaussasses',
    'gaussassiez',
    'gaussassions',
    'gausse',
    'gaussent',
    'gausser',
    'gaussera',
    'gausserai',
    'gausseraient',
    'gausserais',
    'gausserait',
    'gausseras',
    'gausserez',
    'gausseriez',
    'gausserions',
    'gausserons',
    'gausseront',
    'gausses',
    'gaussez',
    'gaussiez',
    'gaussions',
    'gaussons',
    'gaussâmes',
    'gaussât',
    'gaussâtes',
    'gaussèrent',
    'gaussé',
    'gaussée',
    'gaussées',
    'gaussés',
    'gava',
    'gavache',
    'gavaches',
    'gavage',
    'gavages',
    'gavai',
    'gavaient',
    'gavais',
    'gavait',
    'gavant',
    'gavas',
    'gavasse',
    'gavassent',
    'gavasses',
    'gavassiez',
    'gavassions',
    'gave',
    'gavent',
    'gaver',
    'gavera',
    'gaverai',
    'gaveraient',
    'gaverais',
    'gaverait',
    'gaveras',
    'gaverez',
    'gaveriez',
    'gaverions',
    'gaverons',
    'gaveront',
    'gaves',
    'gaveur',
    'gaveurs',
    'gaveuse',
    'gaveuses',
    'gavez',
    'gavial',
    'gavials',
    'gaviez',
    'gavions',
    'gavons',
    'gavotte',
    'gavottes',
    'gavroche',
    'gavroches',
    'gavâmes',
    'gavât',
    'gavâtes',
    'gavèrent',
    'gavé',
    'gavée',
    'gavées',
    'gavés',
    'gayal',
    'gayals',
    'gays',
    'gaza',
    'gazage',
    'gazages',
    'gazai',
    'gazaient',
    'gazais',
    'gazait',
    'gazant',
    'gazante',
    'gazantes',
    'gazants',
    'gazas',
    'gazasse',
    'gazassent',
    'gazasses',
    'gazassiez',
    'gazassions',
    'gaze',
    'gazelle',
    'gazelles',
    'gazent',
    'gazer',
    'gazera',
    'gazerai',
    'gazeraient',
    'gazerais',
    'gazerait',
    'gazeras',
    'gazerez',
    'gazeriez',
    'gazerions',
    'gazerons',
    'gazeront',
    'gazes',
    'gazetier',
    'gazetiers',
    'gazetière',
    'gazetières',
    'gazette',
    'gazettes',
    'gazeuse',
    'gazeuses',
    'gazeux',
    'gazez',
    'gazier',
    'gaziers',
    'gaziez',
    'gazions',
    'gazière',
    'gazières',
    'gazoduc',
    'gazoducs',
    'gazogène',
    'gazogènes',
    'gazole',
    'gazoles',
    'gazoline',
    'gazolines',
    'gazomètre',
    'gazomètres',
    'gazon',
    'gazonna',
    'gazonnage',
    'gazonnages',
    'gazonnai',
    'gazonnaient',
    'gazonnais',
    'gazonnait',
    'gazonnant',
    'gazonnas',
    'gazonnasse',
    'gazonnassent',
    'gazonnasses',
    'gazonnassiez',
    'gazonne',
    'gazonnement',
    'gazonnements',
    'gazonnent',
    'gazonner',
    'gazonnera',
    'gazonnerai',
    'gazonnerais',
    'gazonnerait',
    'gazonneras',
    'gazonnerez',
    'gazonneriez',
    'gazonnerions',
    'gazonnerons',
    'gazonneront',
    'gazonnes',
    'gazonnez',
    'gazonniez',
    'gazonnions',
    'gazonnons',
    'gazonnâmes',
    'gazonnât',
    'gazonnâtes',
    'gazonnèrent',
    'gazonné',
    'gazonnée',
    'gazonnées',
    'gazonnés',
    'gazons',
    'gazouilla',
    'gazouillai',
    'gazouillais',
    'gazouillait',
    'gazouillant',
    'gazouillas',
    'gazouillasse',
    'gazouille',
    'gazouillent',
    'gazouiller',
    'gazouillera',
    'gazouillerai',
    'gazouilleras',
    'gazouillerez',
    'gazouilles',
    'gazouilleur',
    'gazouilleurs',
    'gazouilleuse',
    'gazouillez',
    'gazouilliez',
    'gazouillions',
    'gazouillis',
    'gazouillons',
    'gazouillâmes',
    'gazouillât',
    'gazouillâtes',
    'gazouillé',
    'gazâmes',
    'gazât',
    'gazâtes',
    'gazèrent',
    'gazé',
    'gazée',
    'gazées',
    'gazéifia',
    'gazéifiai',
    'gazéifiaient',
    'gazéifiais',
    'gazéifiait',
    'gazéifiant',
    'gazéifias',
    'gazéifiasse',
    'gazéifiasses',
    'gazéifie',
    'gazéifient',
    'gazéifier',
    'gazéifiera',
    'gazéifierai',
    'gazéifierais',
    'gazéifierait',
    'gazéifieras',
    'gazéifierez',
    'gazéifieriez',
    'gazéifierons',
    'gazéifieront',
    'gazéifies',
    'gazéifiez',
    'gazéifiiez',
    'gazéifiions',
    'gazéifions',
    'gazéifiâmes',
    'gazéifiât',
    'gazéifiâtes',
    'gazéifièrent',
    'gazéifié',
    'gazéifiée',
    'gazéifiées',
    'gazéifiés',
    'gazés',
    'gaélique',
    'gaéliques',
    'gaîment',
    'gaïac',
    'gaïacol',
    'gaïacols',
    'gaïacs',
    'geai',
    'geais',
    'gecko',
    'geckos',
    'geignaient',
    'geignais',
    'geignait',
    'geignant',
    'geignard',
    'geignarde',
    'geignardes',
    'geignards',
    'geigne',
    'geignement',
    'geignements',
    'geignent',
    'geignes',
    'geignez',
    'geigniez',
    'geignions',
    'geignirent',
    'geignis',
    'geignisse',
    'geignissent',
    'geignisses',
    'geignissiez',
    'geignissions',
    'geignit',
    'geignons',
    'geignîmes',
    'geignît',
    'geignîtes',
    'geindra',
    'geindrai',
    'geindraient',
    'geindrais',
    'geindrait',
    'geindras',
    'geindre',
    'geindrez',
    'geindriez',
    'geindrions',
    'geindrons',
    'geindront',
    'geins',
    'geint',
    'geinte',
    'geintes',
    'geints',
    'geisha',
    'geishas',
    'gela',
    'gelai',
    'gelaient',
    'gelais',
    'gelait',
    'gelant',
    'gelas',
    'gelasse',
    'gelassent',
    'gelasses',
    'gelassiez',
    'gelassions',
    'geler',
    'gelez',
    'geliez',
    'gelinotte',
    'gelinottes',
    'gelions',
    'gelons',
    'gels',
    'gelure',
    'gelures',
    'gelâmes',
    'gelât',
    'gelâtes',
    'gelèrent',
    'gelé',
    'gelée',
    'gelées',
    'gelés',
    'gemma',
    'gemmage',
    'gemmages',
    'gemmai',
    'gemmaient',
    'gemmail',
    'gemmais',
    'gemmait',
    'gemmant',
    'gemmas',
    'gemmasse',
    'gemmassent',
    'gemmasses',
    'gemmassiez',
    'gemmassions',
    'gemmation',
    'gemmations',
    'gemmaux',
    'gemme',
    'gemment',
    'gemmer',
    'gemmera',
    'gemmerai',
    'gemmeraient',
    'gemmerais',
    'gemmerait',
    'gemmeras',
    'gemmerez',
    'gemmeriez',
    'gemmerions',
    'gemmerons',
    'gemmeront',
    'gemmes',
    'gemmeur',
    'gemmeurs',
    'gemmeuse',
    'gemmeuses',
    'gemmez',
    'gemmiez',
    'gemmifère',
    'gemmifères',
    'gemmions',
    'gemmologie',
    'gemmologies',
    'gemmologiste',
    'gemmons',
    'gemmule',
    'gemmules',
    'gemmâmes',
    'gemmât',
    'gemmâtes',
    'gemmèrent',
    'gemmé',
    'gemmée',
    'gemmées',
    'gemmés',
    'gencive',
    'gencives',
    'gendarma',
    'gendarmai',
    'gendarmaient',
    'gendarmais',
    'gendarmait',
    'gendarmant',
    'gendarmas',
    'gendarmasse',
    'gendarmasses',
    'gendarme',
    'gendarment',
    'gendarmer',
    'gendarmera',
    'gendarmerai',
    'gendarmerais',
    'gendarmerait',
    'gendarmeras',
    'gendarmerez',
    'gendarmerie',
    'gendarmeries',
    'gendarmeriez',
    'gendarmerons',
    'gendarmeront',
    'gendarmes',
    'gendarmez',
    'gendarmiez',
    'gendarmions',
    'gendarmons',
    'gendarmâmes',
    'gendarmât',
    'gendarmâtes',
    'gendarmèrent',
    'gendarmé',
    'gendarmée',
    'gendarmées',
    'gendarmés',
    'gendre',
    'gendres',
    'genet',
    'genets',
    'genette',
    'genettes',
    'genièvre',
    'genièvres',
    'genou',
    'genouillère',
    'genouillères',
    'genouillé',
    'genoux',
    'genre',
    'genres',
    'gens',
    'gent',
    'gentes',
    'gentiane',
    'gentianes',
    'gentil',
    'gentilhomme',
    'gentilité',
    'gentilités',
    'gentille',
    'gentilles',
    'gentillesse',
    'gentillesses',
    'gentillet',
    'gentillets',
    'gentillette',
    'gentillettes',
    'gentils',
    'gentiment',
    'gentleman',
    'gentlemen',
    'gentry',
    'genèse',
    'genèses',
    'genépi',
    'genépis',
    'genévrier',
    'genévriers',
    'genêt',
    'genêtière',
    'genêtières',
    'genêts',
    'gerba',
    'gerbage',
    'gerbages',
    'gerbai',
    'gerbaient',
    'gerbais',
    'gerbait',
    'gerbant',
    'gerbante',
    'gerbantes',
    'gerbants',
    'gerbas',
    'gerbasse',
    'gerbassent',
    'gerbasses',
    'gerbassiez',
    'gerbassions',
    'gerbe',
    'gerbent',
    'gerber',
    'gerbera',
    'gerberai',
    'gerberaient',
    'gerberais',
    'gerberait',
    'gerberas',
    'gerberez',
    'gerberiez',
    'gerberions',
    'gerberons',
    'gerberont',
    'gerbes',
    'gerbeur',
    'gerbeurs',
    'gerbeuse',
    'gerbeuses',
    'gerbez',
    'gerbier',
    'gerbiers',
    'gerbiez',
    'gerbille',
    'gerbilles',
    'gerbions',
    'gerbière',
    'gerbières',
    'gerboise',
    'gerboises',
    'gerbons',
    'gerbâmes',
    'gerbât',
    'gerbâtes',
    'gerbèrent',
    'gerbé',
    'gerbée',
    'gerbées',
    'gerbés',
    'gerce',
    'gercent',
    'gercer',
    'gercera',
    'gercerai',
    'gerceraient',
    'gercerais',
    'gercerait',
    'gerceras',
    'gercerez',
    'gerceriez',
    'gercerions',
    'gercerons',
    'gerceront',
    'gerces',
    'gercez',
    'gerciez',
    'gercions',
    'gercèrent',
    'gercé',
    'gercée',
    'gercées',
    'gercés',
    'gerfaut',
    'gerfauts',
    'germa',
    'germai',
    'germaient',
    'germain',
    'germaine',
    'germaines',
    'germains',
    'germais',
    'germait',
    'germandrée',
    'germandrées',
    'germanique',
    'germaniques',
    'germanisa',
    'germanisai',
    'germanisais',
    'germanisait',
    'germanisant',
    'germanisas',
    'germanisasse',
    'germanise',
    'germanisent',
    'germaniser',
    'germanisera',
    'germaniserai',
    'germaniseras',
    'germaniserez',
    'germanises',
    'germanisez',
    'germanisiez',
    'germanisions',
    'germanisme',
    'germanismes',
    'germanisons',
    'germaniste',
    'germanistes',
    'germanisâmes',
    'germanisât',
    'germanisâtes',
    'germanisé',
    'germanisée',
    'germanisées',
    'germanisés',
    'germanium',
    'germaniums',
    'germanophile',
    'germanophobe',
    'germant',
    'germas',
    'germasse',
    'germassent',
    'germasses',
    'germassiez',
    'germassions',
    'germe',
    'germen',
    'germens',
    'germent',
    'germer',
    'germera',
    'germerai',
    'germeraient',
    'germerais',
    'germerait',
    'germeras',
    'germerez',
    'germeriez',
    'germerions',
    'germerons',
    'germeront',
    'germes',
    'germez',
    'germicide',
    'germicides',
    'germiez',
    'germinal',
    'germinateur',
    'germinateurs',
    'germinatif',
    'germinatifs',
    'germination',
    'germinations',
    'germinative',
    'germinatives',
    'germinatrice',
    'germions',
    'germoir',
    'germoirs',
    'germon',
    'germons',
    'germâmes',
    'germât',
    'germâtes',
    'germèrent',
    'germé',
    'germée',
    'germées',
    'germés',
    'gerseau',
    'gerseaux',
    'gerça',
    'gerçai',
    'gerçaient',
    'gerçais',
    'gerçait',
    'gerçant',
    'gerças',
    'gerçasse',
    'gerçassent',
    'gerçasses',
    'gerçassiez',
    'gerçassions',
    'gerçons',
    'gerçure',
    'gerçures',
    'gerçâmes',
    'gerçât',
    'gerçâtes',
    'gesse',
    'gesses',
    'gestaltisme',
    'gestaltismes',
    'gestation',
    'gestations',
    'gestatoire',
    'gestatoires',
    'geste',
    'gestes',
    'gesticula',
    'gesticulai',
    'gesticulais',
    'gesticulait',
    'gesticulant',
    'gesticulante',
    'gesticulants',
    'gesticulas',
    'gesticulasse',
    'gesticule',
    'gesticulent',
    'gesticuler',
    'gesticulera',
    'gesticulerai',
    'gesticuleras',
    'gesticulerez',
    'gesticules',
    'gesticulez',
    'gesticuliez',
    'gesticulions',
    'gesticulons',
    'gesticulâmes',
    'gesticulât',
    'gesticulâtes',
    'gesticulé',
    'gesticulée',
    'gesticulées',
    'gesticulés',
    'gestion',
    'gestionnaire',
    'gestions',
    'gestuel',
    'gestuelle',
    'gestuelles',
    'gestuels',
    'geyser',
    'geysers',
    'geôle',
    'geôles',
    'geôlier',
    'geôliers',
    'geôlière',
    'geôlières',
    'ghetto',
    'ghettos',
    'ghilde',
    'ghildes',
    'giaour',
    'giaours',
    'gibbeuse',
    'gibbeuses',
    'gibbeux',
    'gibbon',
    'gibbons',
    'gibbosité',
    'gibbosités',
    'gibecière',
    'gibecières',
    'gibelin',
    'gibeline',
    'gibelines',
    'gibelins',
    'gibelotte',
    'gibelottes',
    'giberne',
    'gibernes',
    'gibet',
    'gibets',
    'gibier',
    'gibiers',
    'giboie',
    'giboient',
    'giboiera',
    'giboierai',
    'giboieraient',
    'giboierais',
    'giboierait',
    'giboieras',
    'giboierez',
    'giboieriez',
    'giboierions',
    'giboierons',
    'giboieront',
    'giboies',
    'giboulée',
    'giboulées',
    'giboya',
    'giboyai',
    'giboyaient',
    'giboyais',
    'giboyait',
    'giboyant',
    'giboyas',
    'giboyasse',
    'giboyassent',
    'giboyasses',
    'giboyassiez',
    'giboyassions',
    'giboyer',
    'giboyeuse',
    'giboyeuses',
    'giboyeux',
    'giboyez',
    'giboyiez',
    'giboyions',
    'giboyons',
    'giboyâmes',
    'giboyât',
    'giboyâtes',
    'giboyèrent',
    'giboyé',
    'giboyée',
    'giboyées',
    'giboyés',
    'gibus',
    'gicla',
    'giclai',
    'giclaient',
    'giclais',
    'giclait',
    'giclant',
    'giclas',
    'giclasse',
    'giclassent',
    'giclasses',
    'giclassiez',
    'giclassions',
    'gicle',
    'giclement',
    'giclements',
    'giclent',
    'gicler',
    'giclera',
    'giclerai',
    'gicleraient',
    'giclerais',
    'giclerait',
    'gicleras',
    'giclerez',
    'gicleriez',
    'giclerions',
    'giclerons',
    'gicleront',
    'gicles',
    'gicleur',
    'gicleurs',
    'giclez',
    'gicliez',
    'giclions',
    'giclons',
    'giclâmes',
    'giclât',
    'giclâtes',
    'giclèrent',
    'giclé',
    'giclée',
    'giclées',
    'giclés',
    'gifla',
    'giflai',
    'giflaient',
    'giflais',
    'giflait',
    'giflant',
    'giflas',
    'giflasse',
    'giflassent',
    'giflasses',
    'giflassiez',
    'giflassions',
    'gifle',
    'giflent',
    'gifler',
    'giflera',
    'giflerai',
    'gifleraient',
    'giflerais',
    'giflerait',
    'gifleras',
    'giflerez',
    'gifleriez',
    'giflerions',
    'giflerons',
    'gifleront',
    'gifles',
    'giflez',
    'gifliez',
    'giflions',
    'giflons',
    'giflâmes',
    'giflât',
    'giflâtes',
    'giflèrent',
    'giflé',
    'giflée',
    'giflées',
    'giflés',
    'gigantesque',
    'gigantesques',
    'gigantisme',
    'gigantismes',
    'gigogne',
    'gigognes',
    'gigolo',
    'gigolos',
    'gigot',
    'gigota',
    'gigotai',
    'gigotaient',
    'gigotais',
    'gigotait',
    'gigotant',
    'gigotante',
    'gigotantes',
    'gigotants',
    'gigotas',
    'gigotasse',
    'gigotassent',
    'gigotasses',
    'gigotassiez',
    'gigotassions',
    'gigote',
    'gigotent',
    'gigoter',
    'gigotera',
    'gigoterai',
    'gigoteraient',
    'gigoterais',
    'gigoterait',
    'gigoteras',
    'gigoterez',
    'gigoteriez',
    'gigoterions',
    'gigoterons',
    'gigoteront',
    'gigotes',
    'gigotez',
    'gigotiez',
    'gigotions',
    'gigotons',
    'gigots',
    'gigotâmes',
    'gigotât',
    'gigotâtes',
    'gigotèrent',
    'gigoté',
    'gigue',
    'gigues',
    'gilde',
    'gildes',
    'gilet',
    'giletier',
    'giletiers',
    'giletière',
    'giletières',
    'gilets',
    'gille',
    'gilles',
    'gimblette',
    'gimblettes',
    'gindre',
    'gindres',
    'gingembre',
    'gingembres',
    'gingival',
    'gingivale',
    'gingivales',
    'gingivaux',
    'gingivite',
    'gingivites',
    'ginguet',
    'ginguets',
    'ginkgo',
    'ginkgos',
    'gins',
    'ginseng',
    'ginsengs',
    'girafe',
    'girafeau',
    'girafeaux',
    'girafes',
    'girafon',
    'girafons',
    'girandole',
    'girandoles',
    'girasol',
    'girasols',
    'giration',
    'girations',
    'giratoire',
    'giratoires',
    'giraumon',
    'giraumons',
    'giraumont',
    'giraumonts',
    'giravion',
    'giravions',
    'girelle',
    'girelles',
    'girie',
    'giries',
    'girl',
    'girls',
    'girodyne',
    'girodynes',
    'girofle',
    'girofles',
    'giroflier',
    'girofliers',
    'giroflée',
    'giroflées',
    'girolle',
    'girolles',
    'giron',
    'girond',
    'gironde',
    'girondes',
    'girondin',
    'girondine',
    'girondines',
    'girondins',
    'gironds',
    'gironna',
    'gironnai',
    'gironnaient',
    'gironnais',
    'gironnait',
    'gironnant',
    'gironnas',
    'gironnasse',
    'gironnassent',
    'gironnasses',
    'gironnassiez',
    'gironne',
    'gironnent',
    'gironner',
    'gironnera',
    'gironnerai',
    'gironnerais',
    'gironnerait',
    'gironneras',
    'gironnerez',
    'gironneriez',
    'gironnerions',
    'gironnerons',
    'gironneront',
    'gironnes',
    'gironnez',
    'gironniez',
    'gironnions',
    'gironnons',
    'gironnâmes',
    'gironnât',
    'gironnâtes',
    'gironnèrent',
    'gironné',
    'gironnée',
    'gironnées',
    'gironnés',
    'girons',
    'girouetta',
    'girouettai',
    'girouettais',
    'girouettait',
    'girouettant',
    'girouettas',
    'girouettasse',
    'girouette',
    'girouettent',
    'girouetter',
    'girouettera',
    'girouetterai',
    'girouetteras',
    'girouetterez',
    'girouettes',
    'girouettez',
    'girouettiez',
    'girouettions',
    'girouettons',
    'girouettâmes',
    'girouettât',
    'girouettâtes',
    'girouetté',
    'gisaient',
    'gisais',
    'gisait',
    'gisant',
    'gisante',
    'gisantes',
    'gisants',
    'gisement',
    'gisements',
    'gisez',
    'gisiez',
    'gisions',
    'gisons',
    'gitan',
    'gitane',
    'gitanes',
    'gitans',
    'giton',
    'gitons',
    'givra',
    'givrage',
    'givrages',
    'givrai',
    'givraient',
    'givrais',
    'givrait',
    'givrant',
    'givrante',
    'givrantes',
    'givrants',
    'givras',
    'givrasse',
    'givrassent',
    'givrasses',
    'givrassiez',
    'givrassions',
    'givre',
    'givrent',
    'givrer',
    'givrera',
    'givrerai',
    'givreraient',
    'givrerais',
    'givrerait',
    'givreras',
    'givrerez',
    'givreriez',
    'givrerions',
    'givrerons',
    'givreront',
    'givres',
    'givreuse',
    'givreuses',
    'givreux',
    'givrez',
    'givriez',
    'givrions',
    'givrons',
    'givrure',
    'givrures',
    'givrâmes',
    'givrât',
    'givrâtes',
    'givrèrent',
    'givré',
    'givrée',
    'givrées',
    'givrés',
    'glabelle',
    'glabelles',
    'glabre',
    'glabres',
    'glace',
    'glacent',
    'glacer',
    'glacera',
    'glacerai',
    'glaceraient',
    'glacerais',
    'glacerait',
    'glaceras',
    'glacerez',
    'glacerie',
    'glaceries',
    'glaceriez',
    'glacerions',
    'glacerons',
    'glaceront',
    'glaces',
    'glaceur',
    'glaceurs',
    'glaceuse',
    'glaceuses',
    'glaceux',
    'glacez',
    'glaciaire',
    'glaciaires',
    'glacial',
    'glaciale',
    'glaciales',
    'glacials',
    'glaciation',
    'glaciations',
    'glaciaux',
    'glacier',
    'glaciers',
    'glaciez',
    'glaciologue',
    'glaciologues',
    'glacions',
    'glacis',
    'glacière',
    'glacières',
    'glacèrent',
    'glacé',
    'glacée',
    'glacées',
    'glacés',
    'gladiateur',
    'gladiateurs',
    'glagolitique',
    'glaira',
    'glairai',
    'glairaient',
    'glairais',
    'glairait',
    'glairant',
    'glairas',
    'glairasse',
    'glairassent',
    'glairasses',
    'glairassiez',
    'glairassions',
    'glaire',
    'glairent',
    'glairer',
    'glairera',
    'glairerai',
    'glaireraient',
    'glairerais',
    'glairerait',
    'glaireras',
    'glairerez',
    'glaireriez',
    'glairerions',
    'glairerons',
    'glaireront',
    'glaires',
    'glaireuse',
    'glaireuses',
    'glaireux',
    'glairez',
    'glairiez',
    'glairions',
    'glairons',
    'glairure',
    'glairures',
    'glairâmes',
    'glairât',
    'glairâtes',
    'glairèrent',
    'glairé',
    'glairée',
    'glairées',
    'glairés',
    'glaisa',
    'glaisai',
    'glaisaient',
    'glaisais',
    'glaisait',
    'glaisant',
    'glaisas',
    'glaisasse',
    'glaisassent',
    'glaisasses',
    'glaisassiez',
    'glaisassions',
    'glaise',
    'glaisent',
    'glaiser',
    'glaisera',
    'glaiserai',
    'glaiseraient',
    'glaiserais',
    'glaiserait',
    'glaiseras',
    'glaiserez',
    'glaiseriez',
    'glaiserions',
    'glaiserons',
    'glaiseront',
    'glaises',
    'glaiseuse',
    'glaiseuses',
    'glaiseux',
    'glaisez',
    'glaisiez',
    'glaisions',
    'glaisière',
    'glaisières',
    'glaisons',
    'glaisâmes',
    'glaisât',
    'glaisâtes',
    'glaisèrent',
    'glaisé',
    'glaisée',
    'glaisées',
    'glaisés',
    'glaive',
    'glaives',
    'glana',
    'glanage',
    'glanages',
    'glanai',
    'glanaient',
    'glanais',
    'glanait',
    'glanant',
    'glanas',
    'glanasse',
    'glanassent',
    'glanasses',
    'glanassiez',
    'glanassions',
    'gland',
    'glanda',
    'glandage',
    'glandages',
    'glandai',
    'glandaient',
    'glandais',
    'glandait',
    'glandant',
    'glandas',
    'glandasse',
    'glandassent',
    'glandasses',
    'glandassiez',
    'glandassions',
    'glande',
    'glandent',
    'glander',
    'glandera',
    'glanderai',
    'glanderaient',
    'glanderais',
    'glanderait',
    'glanderas',
    'glanderez',
    'glanderiez',
    'glanderions',
    'glanderons',
    'glanderont',
    'glandes',
    'glandeur',
    'glandeurs',
    'glandeuse',
    'glandeuses',
    'glandez',
    'glandiez',
    'glandions',
    'glandons',
    'glandouilla',
    'glandouillai',
    'glandouillas',
    'glandouille',
    'glandouiller',
    'glandouilles',
    'glandouillez',
    'glandouillât',
    'glandouillé',
    'glands',
    'glandulaire',
    'glandulaires',
    'glanduleuse',
    'glanduleuses',
    'glanduleux',
    'glandâmes',
    'glandât',
    'glandâtes',
    'glandèrent',
    'glandé',
    'glandée',
    'glandées',
    'glandés',
    'glane',
    'glanent',
    'glaner',
    'glanera',
    'glanerai',
    'glaneraient',
    'glanerais',
    'glanerait',
    'glaneras',
    'glanerez',
    'glaneriez',
    'glanerions',
    'glanerons',
    'glaneront',
    'glanes',
    'glaneur',
    'glaneurs',
    'glaneuse',
    'glaneuses',
    'glanez',
    'glaniez',
    'glanions',
    'glanons',
    'glanure',
    'glanures',
    'glanâmes',
    'glanât',
    'glanâtes',
    'glanèrent',
    'glané',
    'glanée',
    'glanées',
    'glanés',
    'glapi',
    'glapie',
    'glapies',
    'glapir',
    'glapira',
    'glapirai',
    'glapiraient',
    'glapirais',
    'glapirait',
    'glapiras',
    'glapirent',
    'glapirez',
    'glapiriez',
    'glapirions',
    'glapirons',
    'glapiront',
    'glapis',
    'glapissaient',
    'glapissais',
    'glapissait',
    'glapissant',
    'glapissante',
    'glapissantes',
    'glapissants',
    'glapisse',
    'glapissement',
    'glapissent',
    'glapisses',
    'glapissez',
    'glapissiez',
    'glapissions',
    'glapissons',
    'glapit',
    'glapîmes',
    'glapît',
    'glapîtes',
    'glaréole',
    'glaréoles',
    'glas',
    'glass',
    'glati',
    'glatir',
    'glatira',
    'glatirai',
    'glatiraient',
    'glatirais',
    'glatirait',
    'glatiras',
    'glatirent',
    'glatirez',
    'glatiriez',
    'glatirions',
    'glatirons',
    'glatiront',
    'glatis',
    'glatissaient',
    'glatissais',
    'glatissait',
    'glatissant',
    'glatisse',
    'glatissent',
    'glatisses',
    'glatissez',
    'glatissiez',
    'glatissions',
    'glatissons',
    'glatit',
    'glatîmes',
    'glatît',
    'glatîtes',
    'glaucome',
    'glaucomes',
    'glauque',
    'glauques',
    'glaviot',
    'glaviota',
    'glaviotai',
    'glaviotaient',
    'glaviotais',
    'glaviotait',
    'glaviotant',
    'glaviotas',
    'glaviotasse',
    'glaviotasses',
    'glaviote',
    'glaviotent',
    'glavioter',
    'glaviotera',
    'glavioterai',
    'glavioterais',
    'glavioterait',
    'glavioteras',
    'glavioterez',
    'glavioteriez',
    'glavioterons',
    'glavioteront',
    'glaviotes',
    'glaviotez',
    'glaviotiez',
    'glaviotions',
    'glaviotons',
    'glaviots',
    'glaviotta',
    'glaviottai',
    'glaviottais',
    'glaviottait',
    'glaviottant',
    'glaviottas',
    'glaviottasse',
    'glaviotte',
    'glaviottent',
    'glaviotter',
    'glaviottera',
    'glaviotterai',
    'glaviotteras',
    'glaviotterez',
    'glaviottes',
    'glaviottez',
    'glaviottiez',
    'glaviottions',
    'glaviottons',
    'glaviottâmes',
    'glaviottât',
    'glaviottâtes',
    'glaviotté',
    'glaviotâmes',
    'glaviotât',
    'glaviotâtes',
    'glaviotèrent',
    'glavioté',
    'glaça',
    'glaçage',
    'glaçages',
    'glaçai',
    'glaçaient',
    'glaçais',
    'glaçait',
    'glaçant',
    'glaçante',
    'glaçantes',
    'glaçants',
    'glaças',
    'glaçasse',
    'glaçassent',
    'glaçasses',
    'glaçassiez',
    'glaçassions',
    'glaçon',
    'glaçons',
    'glaçure',
    'glaçures',
    'glaçâmes',
    'glaçât',
    'glaçâtes',
    'glaïeul',
    'glaïeuls',
    'gliale',
    'gliome',
    'gliomes',
    'glissa',
    'glissade',
    'glissades',
    'glissage',
    'glissages',
    'glissai',
    'glissaient',
    'glissais',
    'glissait',
    'glissant',
    'glissante',
    'glissantes',
    'glissants',
    'glissas',
    'glissasse',
    'glissassent',
    'glissasses',
    'glissassiez',
    'glissassions',
    'glisse',
    'glissement',
    'glissements',
    'glissent',
    'glisser',
    'glissera',
    'glisserai',
    'glisseraient',
    'glisserais',
    'glisserait',
    'glisseras',
    'glisserez',
    'glisseriez',
    'glisserions',
    'glisserons',
    'glisseront',
    'glisses',
    'glisseur',
    'glisseurs',
    'glisseuse',
    'glisseuses',
    'glissez',
    'glissiez',
    'glissions',
    'glissière',
    'glissières',
    'glissoir',
    'glissoire',
    'glissoires',
    'glissoirs',
    'glissons',
    'glissâmes',
    'glissât',
    'glissâtes',
    'glissèrent',
    'glissé',
    'glissée',
    'glissées',
    'glissés',
    'global',
    'globale',
    'globalement',
    'globales',
    'globalisa',
    'globalisai',
    'globalisais',
    'globalisait',
    'globalisant',
    'globalisante',
    'globalisants',
    'globalisas',
    'globalisasse',
    'globalise',
    'globalisent',
    'globaliser',
    'globalisera',
    'globaliserai',
    'globaliseras',
    'globaliserez',
    'globalises',
    'globalisez',
    'globalisiez',
    'globalisions',
    'globalisons',
    'globalisâmes',
    'globalisât',
    'globalisâtes',
    'globalisé',
    'globalisée',
    'globalisées',
    'globalisés',
    'globalité',
    'globalités',
    'globaux',
    'globe',
    'globes',
    'globigérine',
    'globigérines',
    'globine',
    'globines',
    'globulaire',
    'globulaires',
    'globule',
    'globules',
    'globuleuse',
    'globuleuses',
    'globuleux',
    'globuline',
    'globulines',
    'glockenspiel',
    'gloire',
    'gloires',
    'glome',
    'glomes',
    'gloméris',
    'glomérule',
    'glomérules',
    'gloria',
    'gloriette',
    'gloriettes',
    'glorieuse',
    'glorieuses',
    'glorieux',
    'glorifia',
    'glorifiai',
    'glorifiaient',
    'glorifiais',
    'glorifiait',
    'glorifiant',
    'glorifiante',
    'glorifiantes',
    'glorifiants',
    'glorifias',
    'glorifiasse',
    'glorifiasses',
    'glorifie',
    'glorifient',
    'glorifier',
    'glorifiera',
    'glorifierai',
    'glorifierais',
    'glorifierait',
    'glorifieras',
    'glorifierez',
    'glorifieriez',
    'glorifierons',
    'glorifieront',
    'glorifies',
    'glorifiez',
    'glorifiiez',
    'glorifiions',
    'glorifions',
    'glorifiâmes',
    'glorifiât',
    'glorifiâtes',
    'glorifièrent',
    'glorifié',
    'glorifiée',
    'glorifiées',
    'glorifiés',
    'gloriole',
    'glorioles',
    'glosa',
    'glosai',
    'glosaient',
    'glosais',
    'glosait',
    'glosant',
    'glosas',
    'glosasse',
    'glosassent',
    'glosasses',
    'glosassiez',
    'glosassions',
    'glose',
    'glosent',
    'gloser',
    'glosera',
    'gloserai',
    'gloseraient',
    'gloserais',
    'gloserait',
    'gloseras',
    'gloserez',
    'gloseriez',
    'gloserions',
    'gloserons',
    'gloseront',
    'gloses',
    'glosez',
    'glosiez',
    'glosions',
    'glosons',
    'glossaire',
    'glossaires',
    'glossateur',
    'glossateurs',
    'glossine',
    'glossines',
    'glossite',
    'glossites',
    'glossolalie',
    'glossolalies',
    'glossotomie',
    'glossotomies',
    'glosâmes',
    'glosât',
    'glosâtes',
    'glosèrent',
    'glosé',
    'glosée',
    'glosées',
    'glosés',
    'glottal',
    'glottale',
    'glottales',
    'glottaux',
    'glotte',
    'glottes',
    'glottique',
    'glottiques',
    'glouglou',
    'glouglous',
    'glouglouta',
    'glougloutai',
    'glougloutais',
    'glougloutait',
    'glougloutant',
    'glougloutas',
    'glougloute',
    'glougloutent',
    'glouglouter',
    'glougloutera',
    'glougloutes',
    'glougloutez',
    'glougloutiez',
    'glougloutons',
    'glougloutât',
    'glouglouté',
    'gloussa',
    'gloussai',
    'gloussaient',
    'gloussais',
    'gloussait',
    'gloussant',
    'gloussante',
    'gloussantes',
    'gloussants',
    'gloussas',
    'gloussasse',
    'gloussassent',
    'gloussasses',
    'gloussassiez',
    'glousse',
    'gloussement',
    'gloussements',
    'gloussent',
    'glousser',
    'gloussera',
    'glousserai',
    'glousserais',
    'glousserait',
    'glousseras',
    'glousserez',
    'glousseriez',
    'glousserions',
    'glousserons',
    'glousseront',
    'glousses',
    'gloussez',
    'gloussiez',
    'gloussions',
    'gloussons',
    'gloussâmes',
    'gloussât',
    'gloussâtes',
    'gloussèrent',
    'gloussé',
    'glouteron',
    'glouterons',
    'glouton',
    'gloutonne',
    'gloutonnerie',
    'gloutonnes',
    'gloutons',
    'gluant',
    'gluante',
    'gluantes',
    'gluants',
    'gluau',
    'gluaux',
    'glucide',
    'glucides',
    'glucinium',
    'gluciniums',
    'glucomètre',
    'glucomètres',
    'glucose',
    'glucoserie',
    'glucoseries',
    'glucoses',
    'glucoside',
    'glucosides',
    'glui',
    'gluis',
    'glume',
    'glumelle',
    'glumelles',
    'glumes',
    'glus',
    'glutamate',
    'glutamates',
    'glutamine',
    'glutamines',
    'glutamique',
    'glutamiques',
    'gluten',
    'glutens',
    'glutineuse',
    'glutineuses',
    'glutineux',
    'glycine',
    'glycines',
    'glycocolle',
    'glycocolles',
    'glycogène',
    'glycogènes',
    'glycogénique',
    'glycol',
    'glycolipide',
    'glycolipides',
    'glycols',
    'glycolyse',
    'glycolyses',
    'glycosurie',
    'glycosuries',
    'glycosurique',
    'glycémie',
    'glycémies',
    'glycéride',
    'glycérides',
    'glycérie',
    'glycéries',
    'glycérina',
    'glycérinai',
    'glycérinais',
    'glycérinait',
    'glycérinant',
    'glycérinas',
    'glycérinasse',
    'glycérine',
    'glycérinent',
    'glycériner',
    'glycérinera',
    'glycérinerai',
    'glycérineras',
    'glycérinerez',
    'glycérines',
    'glycérinez',
    'glycériniez',
    'glycérinions',
    'glycérinons',
    'glycérinâmes',
    'glycérinât',
    'glycérinâtes',
    'glycériné',
    'glycérinée',
    'glycérinées',
    'glycérinés',
    'glycérique',
    'glycériques',
    'glycérol',
    'glyphe',
    'glyphes',
    'glyptique',
    'glyptiques',
    'glyptodon',
    'glyptodons',
    'glyptodonte',
    'glyptodontes',
    'glyptothèque',
    'glèbe',
    'glèbes',
    'glène',
    'glènes',
    'gléchome',
    'gléchomes',
    'glécome',
    'glécomes',
    'glénoïde',
    'glénoïdes',
    'gnangnan',
    'gneiss',
    'gnocchi',
    'gnocchis',
    'gnognote',
    'gnognotes',
    'gnognotte',
    'gnognottes',
    'gnome',
    'gnomes',
    'gnomique',
    'gnomiques',
    'gnomon',
    'gnomonique',
    'gnomoniques',
    'gnomons',
    'gnon',
    'gnons',
    'gnose',
    'gnoses',
    'gnosie',
    'gnosies',
    'gnosticisme',
    'gnosticismes',
    'gnostique',
    'gnostiques',
    'gnoséologie',
    'gnoséologies',
    'gnou',
    'gnous',
    'gnôle',
    'gnôles',
    'goal',
    'goals',
    'goba',
    'gobai',
    'gobaient',
    'gobais',
    'gobait',
    'gobant',
    'gobas',
    'gobasse',
    'gobassent',
    'gobasses',
    'gobassiez',
    'gobassions',
    'gobe',
    'gobelet',
    'gobeleterie',
    'gobeleteries',
    'gobeletier',
    'gobeletiers',
    'gobelets',
    'gobelin',
    'gobelins',
    'gobent',
    'gober',
    'gobera',
    'goberai',
    'goberaient',
    'goberais',
    'goberait',
    'goberas',
    'goberez',
    'goberge',
    'gobergea',
    'gobergeai',
    'gobergeaient',
    'gobergeais',
    'gobergeait',
    'gobergeant',
    'gobergeas',
    'gobergeasse',
    'gobergeasses',
    'gobergent',
    'gobergeons',
    'goberger',
    'gobergera',
    'gobergerai',
    'gobergerais',
    'gobergerait',
    'gobergeras',
    'gobergerez',
    'gobergeriez',
    'gobergerions',
    'gobergerons',
    'gobergeront',
    'goberges',
    'gobergez',
    'gobergeâmes',
    'gobergeât',
    'gobergeâtes',
    'gobergiez',
    'gobergions',
    'gobergèrent',
    'gobergé',
    'gobergée',
    'gobergées',
    'gobergés',
    'goberiez',
    'goberions',
    'goberons',
    'goberont',
    'gobes',
    'gobeta',
    'gobetai',
    'gobetaient',
    'gobetais',
    'gobetait',
    'gobetant',
    'gobetas',
    'gobetasse',
    'gobetassent',
    'gobetasses',
    'gobetassiez',
    'gobetassions',
    'gobeter',
    'gobetez',
    'gobetiez',
    'gobetions',
    'gobetons',
    'gobette',
    'gobettent',
    'gobettera',
    'gobetterai',
    'gobetterais',
    'gobetterait',
    'gobetteras',
    'gobetterez',
    'gobetteriez',
    'gobetterions',
    'gobetterons',
    'gobetteront',
    'gobettes',
    'gobetâmes',
    'gobetât',
    'gobetâtes',
    'gobetèrent',
    'gobeté',
    'gobetée',
    'gobetées',
    'gobetés',
    'gobeur',
    'gobeurs',
    'gobeuse',
    'gobeuses',
    'gobez',
    'gobichonner',
    'gobie',
    'gobies',
    'gobiez',
    'gobions',
    'gobons',
    'gobâmes',
    'gobât',
    'gobâtes',
    'gobèrent',
    'gobé',
    'gobée',
    'gobées',
    'gobés',
    'goda',
    'godage',
    'godages',
    'godai',
    'godaient',
    'godailla',
    'godaillai',
    'godaillaient',
    'godaillais',
    'godaillait',
    'godaillant',
    'godaillas',
    'godaillasse',
    'godaillasses',
    'godaille',
    'godaillent',
    'godailler',
    'godaillera',
    'godaillerai',
    'godaillerais',
    'godaillerait',
    'godailleras',
    'godaillerez',
    'godailleriez',
    'godaillerons',
    'godailleront',
    'godailles',
    'godaillez',
    'godailliez',
    'godaillions',
    'godaillons',
    'godaillâmes',
    'godaillât',
    'godaillâtes',
    'godaillèrent',
    'godaillé',
    'godais',
    'godait',
    'godant',
    'godas',
    'godasse',
    'godassent',
    'godasses',
    'godassiez',
    'godassions',
    'gode',
    'godelureau',
    'godelureaux',
    'godemiché',
    'godemichés',
    'godent',
    'goder',
    'godera',
    'goderai',
    'goderaient',
    'goderais',
    'goderait',
    'goderas',
    'goderez',
    'goderiez',
    'goderions',
    'goderons',
    'goderont',
    'godes',
    'godet',
    'godets',
    'godez',
    'godiche',
    'godiches',
    'godiez',
    'godilla',
    'godillai',
    'godillaient',
    'godillais',
    'godillait',
    'godillant',
    'godillante',
    'godillantes',
    'godillants',
    'godillas',
    'godillasse',
    'godillassent',
    'godillasses',
    'godillassiez',
    'godille',
    'godillent',
    'godiller',
    'godillera',
    'godillerai',
    'godillerais',
    'godillerait',
    'godilleras',
    'godillerez',
    'godilleriez',
    'godillerions',
    'godillerons',
    'godilleront',
    'godilles',
    'godilleur',
    'godilleurs',
    'godillez',
    'godilliez',
    'godillions',
    'godillons',
    'godillot',
    'godillots',
    'godillâmes',
    'godillât',
    'godillâtes',
    'godillèrent',
    'godillé',
    'godions',
    'godiveau',
    'godiveaux',
    'godons',
    'godron',
    'godronna',
    'godronnage',
    'godronnages',
    'godronnai',
    'godronnaient',
    'godronnais',
    'godronnait',
    'godronnant',
    'godronnas',
    'godronnasse',
    'godronnasses',
    'godronne',
    'godronnent',
    'godronner',
    'godronnera',
    'godronnerai',
    'godronnerais',
    'godronnerait',
    'godronneras',
    'godronnerez',
    'godronneriez',
    'godronnerons',
    'godronneront',
    'godronnes',
    'godronnez',
    'godronniez',
    'godronnions',
    'godronnons',
    'godronnâmes',
    'godronnât',
    'godronnâtes',
    'godronnèrent',
    'godronné',
    'godronnée',
    'godronnées',
    'godronnés',
    'godrons',
    'godâmes',
    'godât',
    'godâtes',
    'godèrent',
    'godé',
    'goglu',
    'goglus',
    'gogo',
    'gogos',
    'goguenard',
    'goguenarda',
    'goguenardai',
    'goguenardais',
    'goguenardait',
    'goguenardant',
    'goguenardas',
    'goguenarde',
    'goguenardent',
    'goguenarder',
    'goguenardera',
    'goguenardes',
    'goguenardez',
    'goguenardiez',
    'goguenardise',
    'goguenardons',
    'goguenards',
    'goguenardât',
    'goguenardé',
    'goguette',
    'goguettes',
    'goinfra',
    'goinfrai',
    'goinfraient',
    'goinfrais',
    'goinfrait',
    'goinfrant',
    'goinfras',
    'goinfrasse',
    'goinfrassent',
    'goinfrasses',
    'goinfrassiez',
    'goinfre',
    'goinfrent',
    'goinfrer',
    'goinfrera',
    'goinfrerai',
    'goinfrerais',
    'goinfrerait',
    'goinfreras',
    'goinfrerez',
    'goinfrerie',
    'goinfreries',
    'goinfreriez',
    'goinfrerions',
    'goinfrerons',
    'goinfreront',
    'goinfres',
    'goinfrez',
    'goinfriez',
    'goinfrions',
    'goinfrons',
    'goinfrâmes',
    'goinfrât',
    'goinfrâtes',
    'goinfrèrent',
    'goinfré',
    'goinfrée',
    'goinfrées',
    'goinfrés',
    'goitre',
    'goitres',
    'goitreuse',
    'goitreuses',
    'goitreux',
    'golden',
    'goldens',
    'golf',
    'golfe',
    'golfes',
    'golfeur',
    'golfeurs',
    'golfeuse',
    'golfeuses',
    'golfs',
    'golmotte',
    'golmottes',
    'gombo',
    'gombos',
    'gomina',
    'gominai',
    'gominaient',
    'gominais',
    'gominait',
    'gominant',
    'gominas',
    'gominasse',
    'gominassent',
    'gominasses',
    'gominassiez',
    'gominassions',
    'gomine',
    'gominent',
    'gominer',
    'gominera',
    'gominerai',
    'gomineraient',
    'gominerais',
    'gominerait',
    'gomineras',
    'gominerez',
    'gomineriez',
    'gominerions',
    'gominerons',
    'gomineront',
    'gomines',
    'gominez',
    'gominiez',
    'gominions',
    'gominons',
    'gominâmes',
    'gominât',
    'gominâtes',
    'gominèrent',
    'gominé',
    'gominée',
    'gominées',
    'gominés',
    'gomma',
    'gommage',
    'gommages',
    'gommai',
    'gommaient',
    'gommais',
    'gommait',
    'gommant',
    'gommas',
    'gommasse',
    'gommassent',
    'gommasses',
    'gommassiez',
    'gommassions',
    'gomme',
    'gomment',
    'gommer',
    'gommera',
    'gommerai',
    'gommeraient',
    'gommerais',
    'gommerait',
    'gommeras',
    'gommerez',
    'gommeriez',
    'gommerions',
    'gommerons',
    'gommeront',
    'gommes',
    'gommeuse',
    'gommeuses',
    'gommeux',
    'gommez',
    'gommier',
    'gommiers',
    'gommiez',
    'gommions',
    'gommons',
    'gommâmes',
    'gommât',
    'gommâtes',
    'gommèrent',
    'gommé',
    'gommée',
    'gommées',
    'gommés',
    'gomorrhéen',
    'gomorrhéenne',
    'gomorrhéens',
    'goménol',
    'goménols',
    'goménolé',
    'goménolée',
    'goménolées',
    'goménolés',
    'gonade',
    'gonades',
    'gonadique',
    'gonadiques',
    'gonadotrope',
    'gonadotropes',
    'gond',
    'gonda',
    'gondai',
    'gondaient',
    'gondais',
    'gondait',
    'gondant',
    'gondas',
    'gondasse',
    'gondassent',
    'gondasses',
    'gondassiez',
    'gondassions',
    'gonde',
    'gondent',
    'gonder',
    'gondera',
    'gonderai',
    'gonderaient',
    'gonderais',
    'gonderait',
    'gonderas',
    'gonderez',
    'gonderiez',
    'gonderions',
    'gonderons',
    'gonderont',
    'gondes',
    'gondez',
    'gondiez',
    'gondions',
    'gondola',
    'gondolage',
    'gondolages',
    'gondolai',
    'gondolaient',
    'gondolais',
    'gondolait',
    'gondolant',
    'gondolante',
    'gondolantes',
    'gondolants',
    'gondolas',
    'gondolasse',
    'gondolassent',
    'gondolasses',
    'gondolassiez',
    'gondole',
    'gondolement',
    'gondolements',
    'gondolent',
    'gondoler',
    'gondolera',
    'gondolerai',
    'gondolerais',
    'gondolerait',
    'gondoleras',
    'gondolerez',
    'gondoleriez',
    'gondolerions',
    'gondolerons',
    'gondoleront',
    'gondoles',
    'gondolez',
    'gondolier',
    'gondoliers',
    'gondoliez',
    'gondolions',
    'gondolons',
    'gondolâmes',
    'gondolât',
    'gondolâtes',
    'gondolèrent',
    'gondolé',
    'gondolée',
    'gondolées',
    'gondolés',
    'gondons',
    'gonds',
    'gondâmes',
    'gondât',
    'gondâtes',
    'gondèrent',
    'gondé',
    'gondée',
    'gondées',
    'gondés',
    'gonelle',
    'gonelles',
    'gonfalon',
    'gonfalonier',
    'gonfaloniers',
    'gonfalons',
    'gonfanon',
    'gonfanonier',
    'gonfanoniers',
    'gonfanons',
    'gonfla',
    'gonflable',
    'gonflables',
    'gonflage',
    'gonflages',
    'gonflai',
    'gonflaient',
    'gonflais',
    'gonflait',
    'gonflant',
    'gonflante',
    'gonflantes',
    'gonflants',
    'gonflas',
    'gonflasse',
    'gonflassent',
    'gonflasses',
    'gonflassiez',
    'gonflassions',
    'gonfle',
    'gonflement',
    'gonflements',
    'gonflent',
    'gonfler',
    'gonflera',
    'gonflerai',
    'gonfleraient',
    'gonflerais',
    'gonflerait',
    'gonfleras',
    'gonflerez',
    'gonfleriez',
    'gonflerions',
    'gonflerons',
    'gonfleront',
    'gonfles',
    'gonfleur',
    'gonfleurs',
    'gonflez',
    'gonfliez',
    'gonflions',
    'gonflons',
    'gonflâmes',
    'gonflât',
    'gonflâtes',
    'gonflèrent',
    'gonflé',
    'gonflée',
    'gonflées',
    'gonflés',
    'gong',
    'gongorisme',
    'gongorismes',
    'gongs',
    'goniomètre',
    'goniomètres',
    'goniométrie',
    'goniométries',
    'gonnelle',
    'gonnelles',
    'gonochorisme',
    'gonococcie',
    'gonococcies',
    'gonocoque',
    'gonocoques',
    'gonophore',
    'gonophores',
    'gonozoïde',
    'gonozoïdes',
    'gonze',
    'gonzes',
    'gonzesse',
    'gonzesses',
    'gord',
    'gordien',
    'gordiens',
    'gords',
    'goret',
    'gorets',
    'gorfou',
    'gorfous',
    'gorge',
    'gorgea',
    'gorgeai',
    'gorgeaient',
    'gorgeais',
    'gorgeait',
    'gorgeant',
    'gorgeas',
    'gorgeasse',
    'gorgeassent',
    'gorgeasses',
    'gorgeassiez',
    'gorgeassions',
    'gorgent',
    'gorgeons',
    'gorger',
    'gorgera',
    'gorgerai',
    'gorgeraient',
    'gorgerais',
    'gorgerait',
    'gorgeras',
    'gorgerette',
    'gorgerettes',
    'gorgerez',
    'gorgeriez',
    'gorgerin',
    'gorgerins',
    'gorgerions',
    'gorgerons',
    'gorgeront',
    'gorges',
    'gorget',
    'gorgets',
    'gorgez',
    'gorgeâmes',
    'gorgeât',
    'gorgeâtes',
    'gorgiez',
    'gorgions',
    'gorgone',
    'gorgones',
    'gorgonzola',
    'gorgonzolas',
    'gorgèrent',
    'gorgé',
    'gorgée',
    'gorgées',
    'gorgés',
    'gorille',
    'gorilles',
    'gosette',
    'gosettes',
    'gosier',
    'gosiers',
    'gospel',
    'gospels',
    'gosse',
    'gosses',
    'gothique',
    'gothiques',
    'gotique',
    'gotiques',
    'goton',
    'gotons',
    'gouacha',
    'gouachai',
    'gouachaient',
    'gouachais',
    'gouachait',
    'gouachant',
    'gouachas',
    'gouachasse',
    'gouachassent',
    'gouachasses',
    'gouachassiez',
    'gouache',
    'gouachent',
    'gouacher',
    'gouachera',
    'gouacherai',
    'gouacherais',
    'gouacherait',
    'gouacheras',
    'gouacherez',
    'gouacheriez',
    'gouacherions',
    'gouacherons',
    'gouacheront',
    'gouaches',
    'gouachez',
    'gouachiez',
    'gouachions',
    'gouachons',
    'gouachâmes',
    'gouachât',
    'gouachâtes',
    'gouachèrent',
    'gouaché',
    'gouachée',
    'gouachées',
    'gouachés',
    'gouailla',
    'gouaillai',
    'gouaillaient',
    'gouaillais',
    'gouaillait',
    'gouaillant',
    'gouaillante',
    'gouaillantes',
    'gouaillants',
    'gouaillas',
    'gouaillasse',
    'gouaillasses',
    'gouaille',
    'gouaillent',
    'gouailler',
    'gouaillera',
    'gouaillerai',
    'gouaillerais',
    'gouaillerait',
    'gouailleras',
    'gouaillerez',
    'gouaillerie',
    'gouailleries',
    'gouailleriez',
    'gouaillerons',
    'gouailleront',
    'gouailles',
    'gouailleur',
    'gouailleurs',
    'gouailleuse',
    'gouailleuses',
    'gouaillez',
    'gouailliez',
    'gouaillions',
    'gouaillons',
    'gouaillâmes',
    'gouaillât',
    'gouaillâtes',
    'gouaillèrent',
    'gouaillé',
    'goualante',
    'goualantes',
    'gouape',
    'gouapes',
    'gouda',
    'goudas',
    'goudron',
    'goudronna',
    'goudronnage',
    'goudronnages',
    'goudronnai',
    'goudronnais',
    'goudronnait',
    'goudronnant',
    'goudronnas',
    'goudronnasse',
    'goudronne',
    'goudronnent',
    'goudronner',
    'goudronnera',
    'goudronnerai',
    'goudronneras',
    'goudronnerez',
    'goudronnes',
    'goudronneur',
    'goudronneurs',
    'goudronneuse',
    'goudronneux',
    'goudronnez',
    'goudronniez',
    'goudronnions',
    'goudronnons',
    'goudronnâmes',
    'goudronnât',
    'goudronnâtes',
    'goudronné',
    'goudronnée',
    'goudronnées',
    'goudronnés',
    'goudrons',
    'gouet',
    'gouets',
    'gouffre',
    'gouffres',
    'gouge',
    'gouges',
    'gougnafier',
    'gougnafiers',
    'gougère',
    'gougères',
    'gouine',
    'gouines',
    'goujat',
    'goujaterie',
    'goujateries',
    'goujats',
    'goujon',
    'goujonna',
    'goujonnai',
    'goujonnaient',
    'goujonnais',
    'goujonnait',
    'goujonnant',
    'goujonnas',
    'goujonnasse',
    'goujonnasses',
    'goujonne',
    'goujonnent',
    'goujonner',
    'goujonnera',
    'goujonnerai',
    'goujonnerais',
    'goujonnerait',
    'goujonneras',
    'goujonnerez',
    'goujonneriez',
    'goujonnerons',
    'goujonneront',
    'goujonnes',
    'goujonnez',
    'goujonniez',
    'goujonnions',
    'goujonnière',
    'goujonnières',
    'goujonnons',
    'goujonnâmes',
    'goujonnât',
    'goujonnâtes',
    'goujonnèrent',
    'goujonné',
    'goujonnée',
    'goujonnées',
    'goujonnés',
    'goujons',
    'goulache',
    'goulaches',
    'goulafre',
    'goulafres',
    'goulag',
    'goulags',
    'goulasch',
    'goulaschs',
    'goule',
    'goules',
    'goulet',
    'goulets',
    'gouleyant',
    'gouleyante',
    'gouleyantes',
    'gouleyants',
    'goulot',
    'goulots',
    'goulotte',
    'goulottes',
    'goulu',
    'goulue',
    'goulues',
    'goulus',
    'goulée',
    'goulées',
    'goulûment',
    'goum',
    'goums',
    'goupil',
    'goupilla',
    'goupillai',
    'goupillaient',
    'goupillais',
    'goupillait',
    'goupillant',
    'goupillas',
    'goupillasse',
    'goupillasses',
    'goupille',
    'goupillent',
    'goupiller',
    'goupillera',
    'goupillerai',
    'goupillerais',
    'goupillerait',
    'goupilleras',
    'goupillerez',
    'goupilleriez',
    'goupillerons',
    'goupilleront',
    'goupilles',
    'goupillez',
    'goupilliez',
    'goupillions',
    'goupillon',
    'goupillonna',
    'goupillonnai',
    'goupillonnas',
    'goupillonne',
    'goupillonner',
    'goupillonnes',
    'goupillonnez',
    'goupillonnât',
    'goupillonné',
    'goupillonnée',
    'goupillonnés',
    'goupillons',
    'goupillâmes',
    'goupillât',
    'goupillâtes',
    'goupillèrent',
    'goupillé',
    'goupillée',
    'goupillées',
    'goupillés',
    'goupils',
    'gour',
    'goura',
    'gourai',
    'gouraient',
    'gourais',
    'gourait',
    'gourance',
    'gourances',
    'gourant',
    'gouras',
    'gourasse',
    'gourassent',
    'gourasses',
    'gourassiez',
    'gourassions',
    'gourbi',
    'gourbis',
    'gourd',
    'gourde',
    'gourdes',
    'gourdin',
    'gourdins',
    'gourds',
    'goure',
    'gourent',
    'gourer',
    'gourera',
    'gourerai',
    'goureraient',
    'gourerais',
    'gourerait',
    'goureras',
    'gourerez',
    'goureriez',
    'gourerions',
    'gourerons',
    'goureront',
    'goures',
    'gourez',
    'gourgandine',
    'gourgandines',
    'gouriez',
    'gourions',
    'gourmand',
    'gourmanda',
    'gourmandai',
    'gourmandais',
    'gourmandait',
    'gourmandant',
    'gourmandas',
    'gourmandasse',
    'gourmande',
    'gourmandent',
    'gourmander',
    'gourmandera',
    'gourmanderai',
    'gourmanderas',
    'gourmanderez',
    'gourmandes',
    'gourmandez',
    'gourmandiez',
    'gourmandions',
    'gourmandise',
    'gourmandises',
    'gourmandons',
    'gourmands',
    'gourmandâmes',
    'gourmandât',
    'gourmandâtes',
    'gourmandé',
    'gourmandée',
    'gourmandées',
    'gourmandés',
    'gourme',
    'gourmes',
    'gourmet',
    'gourmets',
    'gourmette',
    'gourmettes',
    'gourmé',
    'gourmée',
    'gourmées',
    'gourmés',
    'gourons',
    'gourou',
    'gourous',
    'gourâmes',
    'gourât',
    'gourâtes',
    'gourèrent',
    'gouré',
    'gourée',
    'gourées',
    'gourés',
    'gousse',
    'gousses',
    'gousset',
    'goussets',
    'goutta',
    'gouttai',
    'gouttaient',
    'gouttais',
    'gouttait',
    'gouttant',
    'gouttas',
    'gouttasse',
    'gouttassent',
    'gouttasses',
    'gouttassiez',
    'gouttassions',
    'goutte',
    'gouttelette',
    'gouttelettes',
    'gouttent',
    'goutter',
    'gouttera',
    'goutterai',
    'goutteraient',
    'goutterais',
    'goutterait',
    'goutteras',
    'goutterez',
    'goutteriez',
    'goutterions',
    'goutterons',
    'goutteront',
    'gouttes',
    'goutteuse',
    'goutteuses',
    'goutteux',
    'gouttez',
    'gouttiez',
    'gouttions',
    'gouttière',
    'gouttières',
    'gouttons',
    'gouttâmes',
    'gouttât',
    'gouttâtes',
    'gouttèrent',
    'goutté',
    'gouverna',
    'gouvernable',
    'gouvernables',
    'gouvernai',
    'gouvernaient',
    'gouvernail',
    'gouvernails',
    'gouvernais',
    'gouvernait',
    'gouvernance',
    'gouvernances',
    'gouvernant',
    'gouvernante',
    'gouvernantes',
    'gouvernants',
    'gouvernas',
    'gouvernasse',
    'gouvernasses',
    'gouverne',
    'gouvernement',
    'gouvernent',
    'gouverner',
    'gouvernera',
    'gouvernerai',
    'gouvernerais',
    'gouvernerait',
    'gouverneras',
    'gouvernerez',
    'gouverneriez',
    'gouvernerons',
    'gouverneront',
    'gouvernes',
    'gouverneur',
    'gouverneurs',
    'gouvernez',
    'gouverniez',
    'gouvernions',
    'gouvernons',
    'gouvernâmes',
    'gouvernât',
    'gouvernâtes',
    'gouvernèrent',
    'gouverné',
    'gouvernée',
    'gouvernées',
    'gouvernés',
    'goyave',
    'goyaves',
    'goyavier',
    'goyaviers',
    'goyim',
    'goéland',
    'goélands',
    'goélette',
    'goélettes',
    'goémon',
    'goémons',
    'goïm',
    'goût',
    'goûta',
    'goûtai',
    'goûtaient',
    'goûtais',
    'goûtait',
    'goûtant',
    'goûtas',
    'goûtasse',
    'goûtassent',
    'goûtasses',
    'goûtassiez',
    'goûtassions',
    'goûte',
    'goûtent',
    'goûter',
    'goûtera',
    'goûterai',
    'goûteraient',
    'goûterais',
    'goûterait',
    'goûteras',
    'goûterez',
    'goûteriez',
    'goûterions',
    'goûterons',
    'goûteront',
    'goûters',
    'goûtes',
    'goûteur',
    'goûteurs',
    'goûteuse',
    'goûteuses',
    'goûteux',
    'goûtez',
    'goûtiez',
    'goûtions',
    'goûtons',
    'goûts',
    'goûtâmes',
    'goûtât',
    'goûtâtes',
    'goûtèrent',
    'goûté',
    'goûtée',
    'goûtées',
    'goûtés',
    'grabat',
    'grabataire',
    'grabataires',
    'grabats',
    'graben',
    'grabens',
    'grabuge',
    'grabuges',
    'gracia',
    'graciai',
    'graciaient',
    'graciais',
    'graciait',
    'graciant',
    'gracias',
    'graciasse',
    'graciassent',
    'graciasses',
    'graciassiez',
    'graciassions',
    'gracie',
    'gracient',
    'gracier',
    'graciera',
    'gracierai',
    'gracieraient',
    'gracierais',
    'gracierait',
    'gracieras',
    'gracierez',
    'gracieriez',
    'gracierions',
    'gracierons',
    'gracieront',
    'gracies',
    'gracieuse',
    'gracieuses',
    'gracieuseté',
    'gracieusetés',
    'gracieux',
    'graciez',
    'graciiez',
    'graciions',
    'gracile',
    'graciles',
    'gracilité',
    'gracilités',
    'gracions',
    'graciâmes',
    'graciât',
    'graciâtes',
    'gracièrent',
    'gracié',
    'graciée',
    'graciées',
    'graciés',
    'gradation',
    'gradations',
    'grade',
    'grader',
    'graders',
    'grades',
    'gradient',
    'gradients',
    'gradin',
    'gradins',
    'gradua',
    'graduai',
    'graduaient',
    'graduais',
    'graduait',
    'graduant',
    'graduas',
    'graduasse',
    'graduassent',
    'graduasses',
    'graduassiez',
    'graduassions',
    'graduation',
    'graduations',
    'gradue',
    'graduel',
    'graduelle',
    'graduelles',
    'graduels',
    'graduent',
    'graduer',
    'graduera',
    'graduerai',
    'gradueraient',
    'graduerais',
    'graduerait',
    'gradueras',
    'graduerez',
    'gradueriez',
    'graduerions',
    'graduerons',
    'gradueront',
    'gradues',
    'graduez',
    'graduiez',
    'graduions',
    'graduons',
    'gradus',
    'graduâmes',
    'graduât',
    'graduâtes',
    'graduèrent',
    'gradué',
    'graduée',
    'graduées',
    'gradués',
    'gradé',
    'gradée',
    'gradées',
    'gradés',
    'graffiti',
    'graffitis',
    'grailla',
    'graillai',
    'graillaient',
    'graillais',
    'graillait',
    'graillant',
    'graillas',
    'graillasse',
    'graillassent',
    'graillasses',
    'graillassiez',
    'graille',
    'graillement',
    'graillements',
    'graillent',
    'grailler',
    'graillera',
    'graillerai',
    'graillerais',
    'graillerait',
    'grailleras',
    'graillerez',
    'grailleriez',
    'graillerions',
    'graillerons',
    'grailleront',
    'grailles',
    'graillez',
    'grailliez',
    'graillions',
    'graillon',
    'graillonna',
    'graillonnai',
    'graillonnais',
    'graillonnait',
    'graillonnant',
    'graillonnas',
    'graillonne',
    'graillonnent',
    'graillonner',
    'graillonnera',
    'graillonnes',
    'graillonnez',
    'graillonniez',
    'graillonnons',
    'graillonnât',
    'graillonné',
    'graillons',
    'graillâmes',
    'graillât',
    'graillâtes',
    'graillèrent',
    'graillé',
    'graillée',
    'graillées',
    'graillés',
    'grain',
    'graina',
    'grainage',
    'grainages',
    'grainai',
    'grainaient',
    'grainais',
    'grainait',
    'grainant',
    'grainas',
    'grainasse',
    'grainassent',
    'grainasses',
    'grainassiez',
    'grainassions',
    'graine',
    'grainent',
    'grainer',
    'grainera',
    'grainerai',
    'graineraient',
    'grainerais',
    'grainerait',
    'graineras',
    'grainerez',
    'graineriez',
    'grainerions',
    'grainerons',
    'graineront',
    'graines',
    'graineterie',
    'graineteries',
    'grainetier',
    'grainetiers',
    'grainetière',
    'grainetières',
    'grainez',
    'grainier',
    'grainiers',
    'grainiez',
    'grainions',
    'grainière',
    'grainières',
    'grainons',
    'grains',
    'grainâmes',
    'grainât',
    'grainâtes',
    'grainèrent',
    'grainé',
    'grainée',
    'grainées',
    'grainés',
    'graissa',
    'graissage',
    'graissages',
    'graissai',
    'graissaient',
    'graissais',
    'graissait',
    'graissant',
    'graissante',
    'graissantes',
    'graissants',
    'graissas',
    'graissasse',
    'graissassent',
    'graissasses',
    'graissassiez',
    'graisse',
    'graissent',
    'graisser',
    'graissera',
    'graisserai',
    'graisserais',
    'graisserait',
    'graisseras',
    'graisserez',
    'graisseriez',
    'graisserions',
    'graisserons',
    'graisseront',
    'graisses',
    'graisseur',
    'graisseurs',
    'graisseuse',
    'graisseuses',
    'graisseux',
    'graissez',
    'graissiez',
    'graissions',
    'graissons',
    'graissâmes',
    'graissât',
    'graissâtes',
    'graissèrent',
    'graissé',
    'graissée',
    'graissées',
    'graissés',
    'gramen',
    'gramens',
    'graminée',
    'graminées',
    'grammaire',
    'grammaires',
    'grammairien',
    'grammairiens',
    'grammatical',
    'grammaticale',
    'grammaticaux',
    'grammatiste',
    'grammatistes',
    'gramme',
    'grammes',
    'gramophone',
    'gramophones',
    'grand',
    'grande',
    'grandelet',
    'grandelets',
    'grandelette',
    'grandelettes',
    'grandement',
    'grandes',
    'grandesse',
    'grandesses',
    'grandet',
    'grandets',
    'grandette',
    'grandettes',
    'grandeur',
    'grandeurs',
    'grandi',
    'grandie',
    'grandies',
    'grandiose',
    'grandioses',
    'grandir',
    'grandira',
    'grandirai',
    'grandiraient',
    'grandirais',
    'grandirait',
    'grandiras',
    'grandirent',
    'grandirez',
    'grandiriez',
    'grandirions',
    'grandirons',
    'grandiront',
    'grandis',
    'grandissais',
    'grandissait',
    'grandissant',
    'grandissante',
    'grandissants',
    'grandisse',
    'grandissent',
    'grandisses',
    'grandissez',
    'grandissiez',
    'grandissions',
    'grandissons',
    'grandit',
    'grands',
    'grandîmes',
    'grandît',
    'grandîtes',
    'grange',
    'granges',
    'granit',
    'granita',
    'granitai',
    'granitaient',
    'granitais',
    'granitait',
    'granitant',
    'granitas',
    'granitasse',
    'granitassent',
    'granitasses',
    'granitassiez',
    'granite',
    'granitent',
    'graniter',
    'granitera',
    'graniterai',
    'graniterais',
    'graniterait',
    'graniteras',
    'graniterez',
    'graniteriez',
    'graniterions',
    'graniterons',
    'graniteront',
    'granites',
    'graniteuse',
    'graniteuses',
    'graniteux',
    'granitez',
    'granitiez',
    'granitions',
    'granitique',
    'granitiques',
    'granitons',
    'granitoïde',
    'granitoïdes',
    'granits',
    'granitâmes',
    'granitât',
    'granitâtes',
    'granitèrent',
    'granité',
    'granitée',
    'granitées',
    'granités',
    'granivore',
    'granivores',
    'granula',
    'granulai',
    'granulaient',
    'granulaire',
    'granulaires',
    'granulais',
    'granulait',
    'granulant',
    'granulas',
    'granulasse',
    'granulassent',
    'granulasses',
    'granulassiez',
    'granulat',
    'granulation',
    'granulations',
    'granulats',
    'granule',
    'granulent',
    'granuler',
    'granulera',
    'granulerai',
    'granulerais',
    'granulerait',
    'granuleras',
    'granulerez',
    'granuleriez',
    'granulerions',
    'granulerons',
    'granuleront',
    'granules',
    'granuleuse',
    'granuleuses',
    'granuleux',
    'granulez',
    'granulie',
    'granulies',
    'granuliez',
    'granulions',
    'granulite',
    'granulites',
    'granulocyte',
    'granulocytes',
    'granulome',
    'granulomes',
    'granulons',
    'granulâmes',
    'granulât',
    'granulâtes',
    'granulèrent',
    'granulé',
    'granulée',
    'granulées',
    'granulés',
    'grapefruit',
    'grapefruits',
    'graphe',
    'graphes',
    'graphie',
    'graphies',
    'graphique',
    'graphiques',
    'graphisme',
    'graphismes',
    'graphiste',
    'graphistes',
    'graphita',
    'graphitage',
    'graphitages',
    'graphitai',
    'graphitaient',
    'graphitais',
    'graphitait',
    'graphitant',
    'graphitas',
    'graphitasse',
    'graphitasses',
    'graphite',
    'graphitent',
    'graphiter',
    'graphitera',
    'graphiterai',
    'graphiterais',
    'graphiterait',
    'graphiteras',
    'graphiterez',
    'graphiteriez',
    'graphiterons',
    'graphiteront',
    'graphites',
    'graphiteuse',
    'graphiteuses',
    'graphiteux',
    'graphitez',
    'graphitiez',
    'graphitions',
    'graphitons',
    'graphitâmes',
    'graphitât',
    'graphitâtes',
    'graphitèrent',
    'graphité',
    'graphitée',
    'graphitées',
    'graphités',
    'graphologie',
    'graphologies',
    'graphologue',
    'graphologues',
    'graphomètre',
    'graphomètres',
    'graphème',
    'graphèmes',
    'grappe',
    'grappes',
    'grappilla',
    'grappillage',
    'grappillages',
    'grappillai',
    'grappillais',
    'grappillait',
    'grappillant',
    'grappillas',
    'grappillasse',
    'grappille',
    'grappillent',
    'grappiller',
    'grappillera',
    'grappillerai',
    'grappilleras',
    'grappillerez',
    'grappilles',
    'grappilleur',
    'grappilleurs',
    'grappilleuse',
    'grappillez',
    'grappilliez',
    'grappillions',
    'grappillon',
    'grappillons',
    'grappillâmes',
    'grappillât',
    'grappillâtes',
    'grappillé',
    'grappillée',
    'grappillées',
    'grappillés',
    'grappin',
    'grappins',
    'gras',
    'grasse',
    'grassement',
    'grasserie',
    'grasseries',
    'grasses',
    'grasset',
    'grassets',
    'grasseya',
    'grasseyai',
    'grasseyaient',
    'grasseyais',
    'grasseyait',
    'grasseyant',
    'grasseyante',
    'grasseyantes',
    'grasseyants',
    'grasseyas',
    'grasseyasse',
    'grasseyasses',
    'grasseye',
    'grasseyement',
    'grasseyent',
    'grasseyer',
    'grasseyera',
    'grasseyerai',
    'grasseyerais',
    'grasseyerait',
    'grasseyeras',
    'grasseyerez',
    'grasseyeriez',
    'grasseyerons',
    'grasseyeront',
    'grasseyes',
    'grasseyez',
    'grasseyiez',
    'grasseyions',
    'grasseyons',
    'grasseyâmes',
    'grasseyât',
    'grasseyâtes',
    'grasseyèrent',
    'grasseyé',
    'grassouillet',
    'grateron',
    'graterons',
    'graticula',
    'graticulai',
    'graticulais',
    'graticulait',
    'graticulant',
    'graticulas',
    'graticulasse',
    'graticule',
    'graticulent',
    'graticuler',
    'graticulera',
    'graticulerai',
    'graticuleras',
    'graticulerez',
    'graticules',
    'graticulez',
    'graticuliez',
    'graticulions',
    'graticulons',
    'graticulâmes',
    'graticulât',
    'graticulâtes',
    'graticulé',
    'graticulée',
    'graticulées',
    'graticulés',
    'gratifia',
    'gratifiai',
    'gratifiaient',
    'gratifiais',
    'gratifiait',
    'gratifiant',
    'gratifiante',
    'gratifiantes',
    'gratifiants',
    'gratifias',
    'gratifiasse',
    'gratifiasses',
    'gratifie',
    'gratifient',
    'gratifier',
    'gratifiera',
    'gratifierai',
    'gratifierais',
    'gratifierait',
    'gratifieras',
    'gratifierez',
    'gratifieriez',
    'gratifierons',
    'gratifieront',
    'gratifies',
    'gratifiez',
    'gratifiiez',
    'gratifiions',
    'gratifions',
    'gratifiâmes',
    'gratifiât',
    'gratifiâtes',
    'gratifièrent',
    'gratifié',
    'gratifiée',
    'gratifiées',
    'gratifiés',
    'gratin',
    'gratina',
    'gratinai',
    'gratinaient',
    'gratinais',
    'gratinait',
    'gratinant',
    'gratinas',
    'gratinasse',
    'gratinassent',
    'gratinasses',
    'gratinassiez',
    'gratine',
    'gratinent',
    'gratiner',
    'gratinera',
    'gratinerai',
    'gratinerais',
    'gratinerait',
    'gratineras',
    'gratinerez',
    'gratineriez',
    'gratinerions',
    'gratinerons',
    'gratineront',
    'gratines',
    'gratinez',
    'gratiniez',
    'gratinions',
    'gratinons',
    'gratins',
    'gratinâmes',
    'gratinât',
    'gratinâtes',
    'gratinèrent',
    'gratiné',
    'gratinée',
    'gratinées',
    'gratinés',
    'gratiole',
    'gratioles',
    'gratis',
    'gratitude',
    'gratitudes',
    'gratta',
    'grattage',
    'grattages',
    'grattai',
    'grattaient',
    'grattais',
    'grattait',
    'grattant',
    'grattas',
    'grattasse',
    'grattassent',
    'grattasses',
    'grattassiez',
    'grattassions',
    'gratte',
    'grattelle',
    'grattelles',
    'grattement',
    'grattements',
    'grattent',
    'gratter',
    'grattera',
    'gratterai',
    'gratteraient',
    'gratterais',
    'gratterait',
    'gratteras',
    'gratterez',
    'gratteriez',
    'gratterions',
    'gratteron',
    'gratterons',
    'gratteront',
    'grattes',
    'gratteur',
    'gratteurs',
    'gratteuse',
    'gratteuses',
    'grattez',
    'grattiez',
    'grattions',
    'grattoir',
    'grattoirs',
    'grattons',
    'gratture',
    'grattures',
    'grattâmes',
    'grattât',
    'grattâtes',
    'grattèrent',
    'gratté',
    'grattée',
    'grattées',
    'grattés',
    'gratuit',
    'gratuite',
    'gratuitement',
    'gratuites',
    'gratuits',
    'gratuité',
    'gratuités',
    'grau',
    'graux',
    'grava',
    'gravai',
    'gravaient',
    'gravais',
    'gravait',
    'gravant',
    'gravas',
    'gravasse',
    'gravassent',
    'gravasses',
    'gravassiez',
    'gravassions',
    'gravatier',
    'gravatiers',
    'gravats',
    'grave',
    'graveleuse',
    'graveleuses',
    'graveleux',
    'gravelle',
    'gravelles',
    'gravelure',
    'gravelures',
    'gravelée',
    'gravelées',
    'gravement',
    'gravent',
    'graver',
    'gravera',
    'graverai',
    'graveraient',
    'graverais',
    'graverait',
    'graveras',
    'graverez',
    'graveriez',
    'graverions',
    'graverons',
    'graveront',
    'graves',
    'graveur',
    'graveurs',
    'graveuse',
    'graveuses',
    'gravez',
    'gravi',
    'gravide',
    'gravides',
    'gravidique',
    'gravidiques',
    'gravidité',
    'gravidités',
    'gravie',
    'gravier',
    'graviers',
    'gravies',
    'graviez',
    'gravillon',
    'gravillonner',
    'gravillons',
    'gravimétrie',
    'gravimétries',
    'gravions',
    'gravir',
    'gravira',
    'gravirai',
    'graviraient',
    'gravirais',
    'gravirait',
    'graviras',
    'gravirent',
    'gravirez',
    'graviriez',
    'gravirions',
    'gravirons',
    'graviront',
    'gravis',
    'gravissaient',
    'gravissais',
    'gravissait',
    'gravissant',
    'gravisse',
    'gravissent',
    'gravisses',
    'gravissez',
    'gravissiez',
    'gravissions',
    'gravissons',
    'gravit',
    'gravita',
    'gravitai',
    'gravitaient',
    'gravitais',
    'gravitait',
    'gravitant',
    'gravitas',
    'gravitasse',
    'gravitassent',
    'gravitasses',
    'gravitassiez',
    'gravitation',
    'gravitations',
    'gravite',
    'gravitent',
    'graviter',
    'gravitera',
    'graviterai',
    'graviterais',
    'graviterait',
    'graviteras',
    'graviterez',
    'graviteriez',
    'graviterions',
    'graviterons',
    'graviteront',
    'gravites',
    'gravitez',
    'gravitiez',
    'gravitions',
    'gravitons',
    'gravitâmes',
    'gravitât',
    'gravitâtes',
    'gravitèrent',
    'gravité',
    'gravois',
    'gravons',
    'gravure',
    'gravures',
    'gravâmes',
    'gravât',
    'gravâtes',
    'gravèrent',
    'gravé',
    'gravée',
    'gravées',
    'gravés',
    'gravîmes',
    'gravît',
    'gravîtes',
    'grec',
    'grecqua',
    'grecquai',
    'grecquaient',
    'grecquais',
    'grecquait',
    'grecquant',
    'grecquas',
    'grecquasse',
    'grecquassent',
    'grecquasses',
    'grecquassiez',
    'grecque',
    'grecquent',
    'grecquer',
    'grecquera',
    'grecquerai',
    'grecquerais',
    'grecquerait',
    'grecqueras',
    'grecquerez',
    'grecqueriez',
    'grecquerions',
    'grecquerons',
    'grecqueront',
    'grecques',
    'grecquez',
    'grecquiez',
    'grecquions',
    'grecquons',
    'grecquâmes',
    'grecquât',
    'grecquâtes',
    'grecquèrent',
    'grecqué',
    'grecquée',
    'grecquées',
    'grecqués',
    'grecs',
    'gredin',
    'gredine',
    'gredinerie',
    'gredineries',
    'gredines',
    'gredins',
    'green',
    'greens',
    'greffa',
    'greffage',
    'greffages',
    'greffai',
    'greffaient',
    'greffais',
    'greffait',
    'greffant',
    'greffas',
    'greffasse',
    'greffassent',
    'greffasses',
    'greffassiez',
    'greffassions',
    'greffe',
    'greffent',
    'greffer',
    'greffera',
    'grefferai',
    'grefferaient',
    'grefferais',
    'grefferait',
    'grefferas',
    'grefferez',
    'grefferiez',
    'grefferions',
    'grefferons',
    'grefferont',
    'greffes',
    'greffeur',
    'greffeurs',
    'greffeuse',
    'greffeuses',
    'greffez',
    'greffier',
    'greffiers',
    'greffiez',
    'greffions',
    'greffière',
    'greffières',
    'greffoir',
    'greffoirs',
    'greffon',
    'greffons',
    'greffâmes',
    'greffât',
    'greffâtes',
    'greffèrent',
    'greffé',
    'greffée',
    'greffées',
    'greffés',
    'grelin',
    'grelins',
    'grelot',
    'grelots',
    'grelotta',
    'grelottai',
    'grelottaient',
    'grelottais',
    'grelottait',
    'grelottant',
    'grelottante',
    'grelottantes',
    'grelottants',
    'grelottas',
    'grelottasse',
    'grelottasses',
    'grelotte',
    'grelottement',
    'grelottent',
    'grelotter',
    'grelottera',
    'grelotterai',
    'grelotterais',
    'grelotterait',
    'grelotteras',
    'grelotterez',
    'grelotteriez',
    'grelotterons',
    'grelotteront',
    'grelottes',
    'grelottez',
    'grelottiez',
    'grelottions',
    'grelottons',
    'grelottâmes',
    'grelottât',
    'grelottâtes',
    'grelottèrent',
    'grelotté',
    'greluchon',
    'greluchons',
    'grena',
    'grenache',
    'grenaches',
    'grenadage',
    'grenadages',
    'grenade',
    'grenader',
    'grenades',
    'grenadeur',
    'grenadeurs',
    'grenadier',
    'grenadiers',
    'grenadille',
    'grenadilles',
    'grenadin',
    'grenadine',
    'grenadines',
    'grenadins',
    'grenadière',
    'grenadières',
    'grenage',
    'grenages',
    'grenai',
    'grenaient',
    'grenailla',
    'grenaillai',
    'grenaillais',
    'grenaillait',
    'grenaillant',
    'grenaillas',
    'grenaillasse',
    'grenaille',
    'grenaillent',
    'grenailler',
    'grenaillera',
    'grenaillerai',
    'grenailleras',
    'grenaillerez',
    'grenailles',
    'grenaillez',
    'grenailliez',
    'grenaillions',
    'grenaillons',
    'grenaillâmes',
    'grenaillât',
    'grenaillâtes',
    'grenaillé',
    'grenaillée',
    'grenaillées',
    'grenaillés',
    'grenais',
    'grenaison',
    'grenaisons',
    'grenait',
    'grenant',
    'grenas',
    'grenasse',
    'grenassent',
    'grenasses',
    'grenassiez',
    'grenassions',
    'grenat',
    'grenats',
    'grenela',
    'grenelai',
    'grenelaient',
    'grenelais',
    'grenelait',
    'grenelant',
    'grenelas',
    'grenelasse',
    'grenelassent',
    'grenelasses',
    'grenelassiez',
    'greneler',
    'grenelez',
    'greneliez',
    'grenelions',
    'grenelle',
    'grenellent',
    'grenellera',
    'grenellerai',
    'grenellerais',
    'grenellerait',
    'grenelleras',
    'grenellerez',
    'grenelleriez',
    'grenellerons',
    'grenelleront',
    'grenelles',
    'grenelons',
    'grenelâmes',
    'grenelât',
    'grenelâtes',
    'grenelèrent',
    'grenelé',
    'grenelée',
    'grenelées',
    'grenelés',
    'grener',
    'greneur',
    'greneurs',
    'grenez',
    'grenier',
    'greniers',
    'greniez',
    'grenions',
    'grenons',
    'grenouilla',
    'grenouillage',
    'grenouillai',
    'grenouillais',
    'grenouillait',
    'grenouillant',
    'grenouillas',
    'grenouille',
    'grenouillent',
    'grenouiller',
    'grenouillera',
    'grenouilles',
    'grenouillez',
    'grenouilliez',
    'grenouillons',
    'grenouillât',
    'grenouillère',
    'grenouillé',
    'grenu',
    'grenue',
    'grenues',
    'grenure',
    'grenures',
    'grenus',
    'grenâmes',
    'grenât',
    'grenâtes',
    'grenèrent',
    'grené',
    'grenée',
    'grenées',
    'grenés',
    'gressin',
    'gressins',
    'greva',
    'grevai',
    'grevaient',
    'grevais',
    'grevait',
    'grevant',
    'grevante',
    'grevantes',
    'grevants',
    'grevas',
    'grevasse',
    'grevassent',
    'grevasses',
    'grevassiez',
    'grevassions',
    'grever',
    'grevez',
    'greviez',
    'grevions',
    'grevons',
    'grevâmes',
    'grevât',
    'grevâtes',
    'grevèrent',
    'grevé',
    'grevée',
    'grevées',
    'grevés',
    'gribiche',
    'gribiches',
    'gribouilla',
    'gribouillage',
    'gribouillai',
    'gribouillais',
    'gribouillait',
    'gribouillant',
    'gribouillas',
    'gribouille',
    'gribouillent',
    'gribouiller',
    'gribouillera',
    'gribouilles',
    'gribouilleur',
    'gribouillez',
    'gribouilliez',
    'gribouillis',
    'gribouillons',
    'gribouillât',
    'gribouillé',
    'gribouillée',
    'gribouillées',
    'gribouillés',
    'grief',
    'griefs',
    'griffa',
    'griffade',
    'griffades',
    'griffai',
    'griffaient',
    'griffais',
    'griffait',
    'griffant',
    'griffas',
    'griffasse',
    'griffassent',
    'griffasses',
    'griffassiez',
    'griffassions',
    'griffe',
    'griffent',
    'griffer',
    'griffera',
    'grifferai',
    'grifferaient',
    'grifferais',
    'grifferait',
    'grifferas',
    'grifferez',
    'grifferiez',
    'grifferions',
    'grifferons',
    'grifferont',
    'griffes',
    'griffeur',
    'griffeurs',
    'griffeuse',
    'griffeuses',
    'griffez',
    'griffiez',
    'griffions',
    'griffon',
    'griffonna',
    'griffonnage',
    'griffonnages',
    'griffonnai',
    'griffonnais',
    'griffonnait',
    'griffonnant',
    'griffonnas',
    'griffonnasse',
    'griffonne',
    'griffonnent',
    'griffonner',
    'griffonnera',
    'griffonnerai',
    'griffonneras',
    'griffonnerez',
    'griffonnes',
    'griffonneur',
    'griffonneurs',
    'griffonneuse',
    'griffonnez',
    'griffonniez',
    'griffonnions',
    'griffonnons',
    'griffonnâmes',
    'griffonnât',
    'griffonnâtes',
    'griffonné',
    'griffonnée',
    'griffonnées',
    'griffonnés',
    'griffons',
    'griffu',
    'griffue',
    'griffues',
    'griffure',
    'griffures',
    'griffus',
    'griffâmes',
    'griffât',
    'griffâtes',
    'griffèrent',
    'griffé',
    'griffée',
    'griffées',
    'griffés',
    'grigna',
    'grignai',
    'grignaient',
    'grignais',
    'grignait',
    'grignant',
    'grignas',
    'grignasse',
    'grignassent',
    'grignasses',
    'grignassiez',
    'grignassions',
    'grigne',
    'grignent',
    'grigner',
    'grignera',
    'grignerai',
    'grigneraient',
    'grignerais',
    'grignerait',
    'grigneras',
    'grignerez',
    'grigneriez',
    'grignerions',
    'grignerons',
    'grigneront',
    'grignes',
    'grignez',
    'grigniez',
    'grignions',
    'grignon',
    'grignons',
    'grignota',
    'grignotage',
    'grignotages',
    'grignotai',
    'grignotaient',
    'grignotais',
    'grignotait',
    'grignotant',
    'grignotas',
    'grignotasse',
    'grignotasses',
    'grignote',
    'grignotement',
    'grignotent',
    'grignoter',
    'grignotera',
    'grignoterai',
    'grignoterais',
    'grignoterait',
    'grignoteras',
    'grignoterez',
    'grignoteriez',
    'grignoterons',
    'grignoteront',
    'grignotes',
    'grignoteur',
    'grignoteurs',
    'grignoteuse',
    'grignoteuses',
    'grignotez',
    'grignotiez',
    'grignotions',
    'grignotis',
    'grignotons',
    'grignotâmes',
    'grignotât',
    'grignotâtes',
    'grignotèrent',
    'grignoté',
    'grignotée',
    'grignotées',
    'grignotés',
    'grignâmes',
    'grignât',
    'grignâtes',
    'grignèrent',
    'grigné',
    'grigou',
    'grigous',
    'grigri',
    'grigris',
    'gril',
    'grill',
    'grilla',
    'grillade',
    'grillades',
    'grillage',
    'grillagea',
    'grillageai',
    'grillageais',
    'grillageait',
    'grillageant',
    'grillageas',
    'grillageasse',
    'grillagent',
    'grillageons',
    'grillager',
    'grillagera',
    'grillagerai',
    'grillagerais',
    'grillagerait',
    'grillageras',
    'grillagerez',
    'grillageriez',
    'grillagerons',
    'grillageront',
    'grillages',
    'grillageur',
    'grillageurs',
    'grillagez',
    'grillageâmes',
    'grillageât',
    'grillageâtes',
    'grillagiez',
    'grillagions',
    'grillagèrent',
    'grillagé',
    'grillagée',
    'grillagées',
    'grillagés',
    'grillai',
    'grillaient',
    'grillais',
    'grillait',
    'grillant',
    'grillas',
    'grillasse',
    'grillassent',
    'grillasses',
    'grillassiez',
    'grillassions',
    'grille',
    'grillent',
    'griller',
    'grillera',
    'grillerai',
    'grilleraient',
    'grillerais',
    'grillerait',
    'grilleras',
    'grillerez',
    'grilleriez',
    'grillerions',
    'grillerons',
    'grilleront',
    'grilles',
    'grillez',
    'grilliez',
    'grillions',
    'grilloir',
    'grilloirs',
    'grillon',
    'grillons',
    'grills',
    'grillâmes',
    'grillât',
    'grillâtes',
    'grillèrent',
    'grillé',
    'grillée',
    'grillées',
    'grillés',
    'grils',
    'grima',
    'grimace',
    'grimacent',
    'grimacer',
    'grimacera',
    'grimacerai',
    'grimacerais',
    'grimacerait',
    'grimaceras',
    'grimacerez',
    'grimaceriez',
    'grimacerions',
    'grimacerons',
    'grimaceront',
    'grimaces',
    'grimacez',
    'grimacier',
    'grimaciers',
    'grimaciez',
    'grimacions',
    'grimacière',
    'grimacières',
    'grimacèrent',
    'grimacé',
    'grimacée',
    'grimacées',
    'grimacés',
    'grimage',
    'grimages',
    'grimai',
    'grimaient',
    'grimais',
    'grimait',
    'grimant',
    'grimas',
    'grimasse',
    'grimassent',
    'grimasses',
    'grimassiez',
    'grimassions',
    'grimaud',
    'grimauds',
    'grimaça',
    'grimaçai',
    'grimaçaient',
    'grimaçais',
    'grimaçait',
    'grimaçant',
    'grimaçante',
    'grimaçantes',
    'grimaçants',
    'grimaças',
    'grimaçasse',
    'grimaçassent',
    'grimaçasses',
    'grimaçassiez',
    'grimaçons',
    'grimaçâmes',
    'grimaçât',
    'grimaçâtes',
    'grime',
    'griment',
    'grimer',
    'grimera',
    'grimerai',
    'grimeraient',
    'grimerais',
    'grimerait',
    'grimeras',
    'grimerez',
    'grimeriez',
    'grimerions',
    'grimerons',
    'grimeront',
    'grimes',
    'grimez',
    'grimiez',
    'grimions',
    'grimoire',
    'grimoires',
    'grimons',
    'grimpa',
    'grimpai',
    'grimpaient',
    'grimpais',
    'grimpait',
    'grimpant',
    'grimpante',
    'grimpantes',
    'grimpants',
    'grimpas',
    'grimpasse',
    'grimpassent',
    'grimpasses',
    'grimpassiez',
    'grimpassions',
    'grimpe',
    'grimpent',
    'grimper',
    'grimpera',
    'grimperai',
    'grimperaient',
    'grimperais',
    'grimperait',
    'grimperas',
    'grimpereau',
    'grimpereaux',
    'grimperez',
    'grimperiez',
    'grimperions',
    'grimperons',
    'grimperont',
    'grimpes',
    'grimpette',
    'grimpettes',
    'grimpeur',
    'grimpeurs',
    'grimpeuse',
    'grimpeuses',
    'grimpez',
    'grimpiez',
    'grimpions',
    'grimpons',
    'grimpâmes',
    'grimpât',
    'grimpâtes',
    'grimpèrent',
    'grimpé',
    'grimpée',
    'grimpées',
    'grimpés',
    'grimâmes',
    'grimât',
    'grimâtes',
    'grimèrent',
    'grimé',
    'grimée',
    'grimées',
    'grimés',
    'grince',
    'grincement',
    'grincements',
    'grincent',
    'grincer',
    'grincera',
    'grincerai',
    'grinceraient',
    'grincerais',
    'grincerait',
    'grinceras',
    'grincerez',
    'grinceriez',
    'grincerions',
    'grincerons',
    'grinceront',
    'grinces',
    'grincez',
    'grincha',
    'grinchai',
    'grinchaient',
    'grinchais',
    'grinchait',
    'grinchant',
    'grinchas',
    'grinchasse',
    'grinchassent',
    'grinchasses',
    'grinchassiez',
    'grinche',
    'grinchent',
    'grincher',
    'grinchera',
    'grincherai',
    'grincherais',
    'grincherait',
    'grincheras',
    'grincherez',
    'grincheriez',
    'grincherions',
    'grincherons',
    'grincheront',
    'grinches',
    'grincheuse',
    'grincheuses',
    'grincheux',
    'grinchez',
    'grinchiez',
    'grinchions',
    'grinchons',
    'grinchâmes',
    'grinchât',
    'grinchâtes',
    'grinchèrent',
    'grinché',
    'grinchée',
    'grinchées',
    'grinchés',
    'grinciez',
    'grincions',
    'grincèrent',
    'grincé',
    'gringalet',
    'gringalets',
    'gringe',
    'gringes',
    'gringo',
    'gringos',
    'gringua',
    'gringuai',
    'gringuaient',
    'gringuais',
    'gringuait',
    'gringuant',
    'gringuas',
    'gringuasse',
    'gringuassent',
    'gringuasses',
    'gringuassiez',
    'gringue',
    'gringuent',
    'gringuer',
    'gringuera',
    'gringuerai',
    'gringuerais',
    'gringuerait',
    'gringueras',
    'gringuerez',
    'gringueriez',
    'gringuerions',
    'gringuerons',
    'gringueront',
    'gringues',
    'gringuez',
    'gringuiez',
    'gringuions',
    'gringuons',
    'gringuâmes',
    'gringuât',
    'gringuâtes',
    'gringuèrent',
    'gringué',
    'grinça',
    'grinçai',
    'grinçaient',
    'grinçais',
    'grinçait',
    'grinçant',
    'grinçante',
    'grinçantes',
    'grinçants',
    'grinças',
    'grinçasse',
    'grinçassent',
    'grinçasses',
    'grinçassiez',
    'grinçassions',
    'grinçons',
    'grinçâmes',
    'grinçât',
    'grinçâtes',
    'griot',
    'griots',
    'griotte',
    'griottes',
    'grippa',
    'grippage',
    'grippages',
    'grippai',
    'grippaient',
    'grippais',
    'grippait',
    'grippal',
    'grippale',
    'grippales',
    'grippant',
    'grippas',
    'grippasse',
    'grippassent',
    'grippasses',
    'grippassiez',
    'grippassions',
    'grippaux',
    'grippe',
    'grippement',
    'grippements',
    'grippent',
    'gripper',
    'grippera',
    'gripperai',
    'gripperaient',
    'gripperais',
    'gripperait',
    'gripperas',
    'gripperez',
    'gripperiez',
    'gripperions',
    'gripperons',
    'gripperont',
    'grippes',
    'grippez',
    'grippiez',
    'grippions',
    'grippons',
    'grippâmes',
    'grippât',
    'grippâtes',
    'grippèrent',
    'grippé',
    'grippée',
    'grippées',
    'grippés',
    'gris',
    'grisa',
    'grisai',
    'grisaient',
    'grisailla',
    'grisaillai',
    'grisaillais',
    'grisaillait',
    'grisaillant',
    'grisaillas',
    'grisaillasse',
    'grisaille',
    'grisaillent',
    'grisailler',
    'grisaillera',
    'grisaillerai',
    'grisailleras',
    'grisaillerez',
    'grisailles',
    'grisaillez',
    'grisailliez',
    'grisaillions',
    'grisaillons',
    'grisaillâmes',
    'grisaillât',
    'grisaillâtes',
    'grisaillé',
    'grisaillée',
    'grisaillées',
    'grisaillés',
    'grisais',
    'grisait',
    'grisant',
    'grisante',
    'grisantes',
    'grisants',
    'grisard',
    'grisards',
    'grisas',
    'grisasse',
    'grisassent',
    'grisasses',
    'grisassiez',
    'grisassions',
    'grisbi',
    'grisbis',
    'grise',
    'grisent',
    'griser',
    'grisera',
    'griserai',
    'griseraient',
    'griserais',
    'griserait',
    'griseras',
    'griserez',
    'griserie',
    'griseries',
    'griseriez',
    'griserions',
    'griserons',
    'griseront',
    'grises',
    'griset',
    'grisets',
    'grisette',
    'grisettes',
    'grisez',
    'grisiez',
    'grisions',
    'grisola',
    'grisolai',
    'grisolaient',
    'grisolais',
    'grisolait',
    'grisolant',
    'grisolas',
    'grisolasse',
    'grisolassent',
    'grisolasses',
    'grisolassiez',
    'grisole',
    'grisolent',
    'grisoler',
    'grisolera',
    'grisolerai',
    'grisolerais',
    'grisolerait',
    'grisoleras',
    'grisolerez',
    'grisoleriez',
    'grisolerions',
    'grisolerons',
    'grisoleront',
    'grisoles',
    'grisolez',
    'grisoliez',
    'grisolions',
    'grisolla',
    'grisollai',
    'grisollaient',
    'grisollais',
    'grisollait',
    'grisollant',
    'grisollas',
    'grisollasse',
    'grisollasses',
    'grisolle',
    'grisollent',
    'grisoller',
    'grisollera',
    'grisollerai',
    'grisollerais',
    'grisollerait',
    'grisolleras',
    'grisollerez',
    'grisolleriez',
    'grisollerons',
    'grisolleront',
    'grisolles',
    'grisollez',
    'grisolliez',
    'grisollions',
    'grisollons',
    'grisollâmes',
    'grisollât',
    'grisollâtes',
    'grisollèrent',
    'grisollé',
    'grisolons',
    'grisolâmes',
    'grisolât',
    'grisolâtes',
    'grisolèrent',
    'grisolé',
    'grison',
    'grisonna',
    'grisonnai',
    'grisonnaient',
    'grisonnais',
    'grisonnait',
    'grisonnant',
    'grisonnante',
    'grisonnantes',
    'grisonnants',
    'grisonnas',
    'grisonnasse',
    'grisonnasses',
    'grisonne',
    'grisonnement',
    'grisonnent',
    'grisonner',
    'grisonnera',
    'grisonnerai',
    'grisonnerais',
    'grisonnerait',
    'grisonneras',
    'grisonnerez',
    'grisonneriez',
    'grisonnerons',
    'grisonneront',
    'grisonnes',
    'grisonnez',
    'grisonniez',
    'grisonnions',
    'grisonnons',
    'grisonnâmes',
    'grisonnât',
    'grisonnâtes',
    'grisonnèrent',
    'grisonné',
    'grisons',
    'grisou',
    'grisoumètre',
    'grisoumètres',
    'grisous',
    'grisouteuse',
    'grisouteuses',
    'grisouteux',
    'grisâmes',
    'grisât',
    'grisâtes',
    'grisâtre',
    'grisâtres',
    'grisèrent',
    'grisé',
    'grisée',
    'grisées',
    'grisés',
    'grive',
    'grivela',
    'grivelai',
    'grivelaient',
    'grivelais',
    'grivelait',
    'grivelant',
    'grivelas',
    'grivelasse',
    'grivelassent',
    'grivelasses',
    'grivelassiez',
    'griveler',
    'grivelez',
    'griveliez',
    'grivelions',
    'grivelle',
    'grivellent',
    'grivellera',
    'grivellerai',
    'grivellerais',
    'grivellerait',
    'grivelleras',
    'grivellerez',
    'grivelleriez',
    'grivellerons',
    'grivelleront',
    'grivelles',
    'grivelons',
    'grivelure',
    'grivelures',
    'grivelâmes',
    'grivelât',
    'grivelâtes',
    'grivelèrent',
    'grivelé',
    'grivelée',
    'grivelées',
    'grivelés',
    'grives',
    'griveton',
    'grivetons',
    'grivois',
    'grivoise',
    'grivoiserie',
    'grivoiseries',
    'grivoises',
    'grivèlerie',
    'grivèleries',
    'grizzli',
    'grizzlis',
    'grizzly',
    'grizzlys',
    'grièche',
    'grièches',
    'grièvement',
    'groenendael',
    'groenendaels',
    'grog',
    'groggy',
    'grogna',
    'grognai',
    'grognaient',
    'grognais',
    'grognait',
    'grognant',
    'grognard',
    'grognarde',
    'grognardes',
    'grognards',
    'grognas',
    'grognassa',
    'grognassai',
    'grognassais',
    'grognassait',
    'grognassant',
    'grognassas',
    'grognassasse',
    'grognasse',
    'grognassent',
    'grognasser',
    'grognassera',
    'grognasserai',
    'grognasseras',
    'grognasserez',
    'grognasses',
    'grognassez',
    'grognassiez',
    'grognassions',
    'grognassons',
    'grognassâmes',
    'grognassât',
    'grognassâtes',
    'grognassé',
    'grogne',
    'grognement',
    'grognements',
    'grognent',
    'grogner',
    'grognera',
    'grognerai',
    'grogneraient',
    'grognerais',
    'grognerait',
    'grogneras',
    'grognerez',
    'grognerie',
    'grogneries',
    'grogneriez',
    'grognerions',
    'grognerons',
    'grogneront',
    'grognes',
    'grogneur',
    'grogneurs',
    'grogneuse',
    'grogneuses',
    'grognez',
    'grogniez',
    'grognions',
    'grognon',
    'grognonne',
    'grognonner',
    'grognonnes',
    'grognons',
    'grognâmes',
    'grognât',
    'grognâtes',
    'grognèrent',
    'grogné',
    'grognée',
    'grognées',
    'grognés',
    'grogs',
    'groin',
    'groins',
    'groisil',
    'groisils',
    'grole',
    'groles',
    'grolle',
    'grolles',
    'grommela',
    'grommelai',
    'grommelaient',
    'grommelais',
    'grommelait',
    'grommelant',
    'grommelas',
    'grommelasse',
    'grommelasses',
    'grommeler',
    'grommelez',
    'grommeliez',
    'grommelions',
    'grommelle',
    'grommellent',
    'grommellera',
    'grommellerai',
    'grommelleras',
    'grommellerez',
    'grommelles',
    'grommelons',
    'grommelâmes',
    'grommelât',
    'grommelâtes',
    'grommelèrent',
    'grommelé',
    'grommelée',
    'grommelées',
    'grommelés',
    'gronda',
    'grondai',
    'grondaient',
    'grondais',
    'grondait',
    'grondant',
    'grondas',
    'grondasse',
    'grondassent',
    'grondasses',
    'grondassiez',
    'grondassions',
    'gronde',
    'grondement',
    'grondements',
    'grondent',
    'gronder',
    'grondera',
    'gronderai',
    'gronderaient',
    'gronderais',
    'gronderait',
    'gronderas',
    'gronderez',
    'gronderie',
    'gronderies',
    'gronderiez',
    'gronderions',
    'gronderons',
    'gronderont',
    'grondes',
    'grondez',
    'grondiez',
    'grondin',
    'grondins',
    'grondions',
    'grondons',
    'grondâmes',
    'grondât',
    'grondâtes',
    'grondèrent',
    'grondé',
    'grondée',
    'grondées',
    'grondés',
    'groom',
    'grooms',
    'gros',
    'groseille',
    'groseilles',
    'groseillier',
    'groseilliers',
    'grosse',
    'grosserie',
    'grosseries',
    'grosses',
    'grossesse',
    'grossesses',
    'grosseur',
    'grosseurs',
    'grossi',
    'grossie',
    'grossier',
    'grossiers',
    'grossies',
    'grossir',
    'grossira',
    'grossirai',
    'grossiraient',
    'grossirais',
    'grossirait',
    'grossiras',
    'grossirent',
    'grossirez',
    'grossiriez',
    'grossirions',
    'grossirons',
    'grossiront',
    'grossis',
    'grossissais',
    'grossissait',
    'grossissant',
    'grossissante',
    'grossissants',
    'grossisse',
    'grossissent',
    'grossisses',
    'grossissez',
    'grossissiez',
    'grossissions',
    'grossissons',
    'grossiste',
    'grossistes',
    'grossit',
    'grossière',
    'grossières',
    'grossièreté',
    'grossièretés',
    'grossoie',
    'grossoient',
    'grossoiera',
    'grossoierai',
    'grossoierais',
    'grossoierait',
    'grossoieras',
    'grossoierez',
    'grossoieriez',
    'grossoierons',
    'grossoieront',
    'grossoies',
    'grossoya',
    'grossoyai',
    'grossoyaient',
    'grossoyais',
    'grossoyait',
    'grossoyant',
    'grossoyas',
    'grossoyasse',
    'grossoyasses',
    'grossoyer',
    'grossoyez',
    'grossoyiez',
    'grossoyions',
    'grossoyons',
    'grossoyâmes',
    'grossoyât',
    'grossoyâtes',
    'grossoyèrent',
    'grossoyé',
    'grossoyée',
    'grossoyées',
    'grossoyés',
    'grossîmes',
    'grossît',
    'grossîtes',
    'grotesque',
    'grotesques',
    'grotte',
    'grottes',
    'grouilla',
    'grouillaient',
    'grouillais',
    'grouillait',
    'grouillant',
    'grouillante',
    'grouillantes',
    'grouillants',
    'grouille',
    'grouillement',
    'grouillent',
    'grouiller',
    'grouillera',
    'grouillerai',
    'grouillerais',
    'grouillerait',
    'grouilleras',
    'grouillerez',
    'grouilleriez',
    'grouillerons',
    'grouilleront',
    'grouilles',
    'grouillez',
    'grouilliez',
    'grouillions',
    'grouillons',
    'grouillot',
    'grouillots',
    'grouillèrent',
    'grouillé',
    'grouillée',
    'grouillées',
    'grouillés',
    'groulla',
    'groullai',
    'groullas',
    'groullasse',
    'groullassent',
    'groullasses',
    'groullassiez',
    'groullâmes',
    'groullât',
    'groullâtes',
    'groullèrent',
    'group',
    'groupa',
    'groupage',
    'groupages',
    'groupai',
    'groupaient',
    'groupais',
    'groupait',
    'groupant',
    'groupas',
    'groupasse',
    'groupassent',
    'groupasses',
    'groupassiez',
    'groupassions',
    'groupe',
    'groupement',
    'groupements',
    'groupent',
    'grouper',
    'groupera',
    'grouperai',
    'grouperaient',
    'grouperais',
    'grouperait',
    'grouperas',
    'grouperez',
    'grouperiez',
    'grouperions',
    'grouperons',
    'grouperont',
    'groupes',
    'groupez',
    'groupie',
    'groupies',
    'groupiez',
    'groupions',
    'groupons',
    'groups',
    'groupuscule',
    'groupuscules',
    'groupâmes',
    'groupât',
    'groupâtes',
    'groupèrent',
    'groupé',
    'groupée',
    'groupées',
    'groupés',
    'grouse',
    'grouses',
    'gruau',
    'gruaux',
    'grue',
    'grues',
    'gruge',
    'grugea',
    'grugeai',
    'grugeaient',
    'grugeais',
    'grugeait',
    'grugeant',
    'grugeas',
    'grugeasse',
    'grugeassent',
    'grugeasses',
    'grugeassiez',
    'grugeassions',
    'grugent',
    'grugeoir',
    'grugeoirs',
    'grugeons',
    'gruger',
    'grugera',
    'grugerai',
    'grugeraient',
    'grugerais',
    'grugerait',
    'grugeras',
    'grugerez',
    'grugeriez',
    'grugerions',
    'grugerons',
    'grugeront',
    'gruges',
    'grugez',
    'grugeâmes',
    'grugeât',
    'grugeâtes',
    'grugiez',
    'grugions',
    'grugèrent',
    'grugé',
    'grugée',
    'grugées',
    'grugés',
    'grume',
    'grumeau',
    'grumeaux',
    'grumela',
    'grumelai',
    'grumelaient',
    'grumelais',
    'grumelait',
    'grumelant',
    'grumelas',
    'grumelasse',
    'grumelassent',
    'grumelasses',
    'grumelassiez',
    'grumeler',
    'grumeleuse',
    'grumeleuses',
    'grumeleux',
    'grumelez',
    'grumeliez',
    'grumelions',
    'grumelle',
    'grumellent',
    'grumellera',
    'grumellerai',
    'grumellerais',
    'grumellerait',
    'grumelleras',
    'grumellerez',
    'grumelleriez',
    'grumellerons',
    'grumelleront',
    'grumelles',
    'grumelons',
    'grumelure',
    'grumelures',
    'grumelâmes',
    'grumelât',
    'grumelâtes',
    'grumelèrent',
    'grumelé',
    'grumelée',
    'grumelées',
    'grumelés',
    'grumes',
    'gruppetti',
    'gruppetto',
    'grutier',
    'grutiers',
    'gruyère',
    'gruyères',
    'gryphée',
    'gryphées',
    'grâce',
    'grâces',
    'grèbe',
    'grèbes',
    'grège',
    'grèges',
    'grègues',
    'grène',
    'grènent',
    'grènera',
    'grènerai',
    'grèneraient',
    'grènerais',
    'grènerait',
    'grèneras',
    'grènerez',
    'grèneriez',
    'grènerions',
    'grènerons',
    'grèneront',
    'grènes',
    'grènetis',
    'grès',
    'grèse',
    'grèsent',
    'grèses',
    'grève',
    'grèvent',
    'grèvera',
    'grèverai',
    'grèveraient',
    'grèverais',
    'grèverait',
    'grèveras',
    'grèverez',
    'grèveriez',
    'grèverions',
    'grèverons',
    'grèveront',
    'grèves',
    'gréa',
    'gréai',
    'gréaient',
    'gréais',
    'gréait',
    'gréant',
    'gréas',
    'gréasse',
    'gréassent',
    'gréasses',
    'gréassiez',
    'gréassions',
    'grébiche',
    'grébige',
    'grécisa',
    'grécisai',
    'grécisaient',
    'grécisais',
    'grécisait',
    'grécisant',
    'grécisas',
    'grécisasse',
    'grécisassent',
    'grécisasses',
    'grécisassiez',
    'grécise',
    'grécisent',
    'gréciser',
    'grécisera',
    'gréciserai',
    'gréciserais',
    'gréciserait',
    'gréciseras',
    'gréciserez',
    'gréciseriez',
    'gréciserions',
    'gréciserons',
    'gréciseront',
    'grécises',
    'grécisez',
    'grécisiez',
    'grécisions',
    'grécisons',
    'grécisâmes',
    'grécisât',
    'grécisâtes',
    'grécisèrent',
    'grécisé',
    'grécisée',
    'grécisées',
    'grécisés',
    'grécité',
    'grée',
    'gréement',
    'gréements',
    'gréent',
    'gréer',
    'gréerai',
    'grées',
    'gréez',
    'grégaire',
    'grégaires',
    'grégarisme',
    'grégarismes',
    'grégeois',
    'grégorien',
    'grégorienne',
    'grégoriennes',
    'grégoriens',
    'gréiez',
    'gréions',
    'grémil',
    'gréons',
    'grésa',
    'grésage',
    'grésai',
    'grésaient',
    'grésais',
    'grésait',
    'grésant',
    'grésas',
    'grésasse',
    'grésassent',
    'grésasses',
    'grésassiez',
    'grésassions',
    'gréser',
    'grésera',
    'gréserai',
    'gréseraient',
    'gréserais',
    'gréserait',
    'gréseras',
    'gréserez',
    'gréseriez',
    'gréserions',
    'gréserons',
    'gréseront',
    'gréseux',
    'grésez',
    'grésiez',
    'grésil',
    'grésilla',
    'grésillaient',
    'grésillait',
    'grésillant',
    'grésille',
    'grésillement',
    'grésillent',
    'grésiller',
    'grésillera',
    'grésillerait',
    'grésilleront',
    'grésillèrent',
    'grésillé',
    'grésils',
    'grésions',
    'grésoir',
    'grésons',
    'grésâmes',
    'grésât',
    'grésâtes',
    'grésèrent',
    'grésé',
    'grésée',
    'grésées',
    'grésés',
    'gréviste',
    'grévistes',
    'gréâmes',
    'gréât',
    'gréâtes',
    'gréèrent',
    'gréé',
    'gréée',
    'gréées',
    'gréés',
    'grêla',
    'grêlait',
    'grêle',
    'grêler',
    'grêlera',
    'grêlerait',
    'grêles',
    'grêlon',
    'grêlons',
    'grêlât',
    'grêlèrent',
    'grêlé',
    'grêlée',
    'grêlées',
    'grêlés',
    'groenendael',
    'groenendaels',
    'guadeloupe',
    'guai',
    'guais',
    'guanaco',
    'guanacos',
    'guano',
    'guanos',
    'guarani',
    'guelfe',
    'guelfes',
    'guelte',
    'gueltes',
    'guenille',
    'guenilles',
    'guenon',
    'guenons',
    'guerre',
    'guerres',
    'guerrier',
    'guerriers',
    'guerrière',
    'guerrières',
    'guerroie',
    'guerroient',
    'guerroiera',
    'guerroierai',
    'guerroierais',
    'guerroierait',
    'guerroieras',
    'guerroierez',
    'guerroieriez',
    'guerroierons',
    'guerroieront',
    'guerroies',
    'guerroya',
    'guerroyai',
    'guerroyaient',
    'guerroyais',
    'guerroyait',
    'guerroyant',
    'guerroyas',
    'guerroyasse',
    'guerroyasses',
    'guerroyer',
    'guerroyez',
    'guerroyiez',
    'guerroyions',
    'guerroyons',
    'guerroyâmes',
    'guerroyât',
    'guerroyâtes',
    'guerroyèrent',
    'guerroyé',
    'guet',
    'guets',
    'guetta',
    'guettai',
    'guettaient',
    'guettais',
    'guettait',
    'guettant',
    'guettas',
    'guettasse',
    'guettassent',
    'guettasses',
    'guettassiez',
    'guettassions',
    'guette',
    'guettent',
    'guetter',
    'guettera',
    'guetterai',
    'guetteraient',
    'guetterais',
    'guetterait',
    'guetteras',
    'guetterez',
    'guetteriez',
    'guetterions',
    'guetterons',
    'guetteront',
    'guettes',
    'guetteur',
    'guetteurs',
    'guetteuse',
    'guetteuses',
    'guettez',
    'guettiez',
    'guettions',
    'guettons',
    'guettâmes',
    'guettât',
    'guettâtes',
    'guettèrent',
    'guetté',
    'guettée',
    'guettées',
    'guettés',
    'gueula',
    'gueulai',
    'gueulaient',
    'gueulais',
    'gueulait',
    'gueulant',
    'gueulante',
    'gueulantes',
    'gueulants',
    'gueulard',
    'gueularde',
    'gueulardes',
    'gueulards',
    'gueulas',
    'gueulasse',
    'gueulassent',
    'gueulasses',
    'gueulassiez',
    'gueulassions',
    'gueule',
    'gueulement',
    'gueulements',
    'gueulent',
    'gueuler',
    'gueulera',
    'gueulerai',
    'gueuleraient',
    'gueulerais',
    'gueulerait',
    'gueuleras',
    'gueulerez',
    'gueuleriez',
    'gueulerions',
    'gueulerons',
    'gueuleront',
    'gueules',
    'gueuleton',
    'gueuletonna',
    'gueuletonnai',
    'gueuletonnas',
    'gueuletonne',
    'gueuletonner',
    'gueuletonnes',
    'gueuletonnez',
    'gueuletonnât',
    'gueuletonné',
    'gueuletons',
    'gueulez',
    'gueuliez',
    'gueulions',
    'gueulons',
    'gueulâmes',
    'gueulât',
    'gueulâtes',
    'gueulèrent',
    'gueulé',
    'gueulée',
    'gueulées',
    'gueulés',
    'gueusa',
    'gueusai',
    'gueusaient',
    'gueusais',
    'gueusait',
    'gueusant',
    'gueusas',
    'gueusasse',
    'gueusassent',
    'gueusasses',
    'gueusassiez',
    'gueusassions',
    'gueuse',
    'gueusent',
    'gueuser',
    'gueusera',
    'gueuserai',
    'gueuseraient',
    'gueuserais',
    'gueuserait',
    'gueuseras',
    'gueuserez',
    'gueuserie',
    'gueuseries',
    'gueuseriez',
    'gueuserions',
    'gueuserons',
    'gueuseront',
    'gueuses',
    'gueusez',
    'gueusiez',
    'gueusions',
    'gueusons',
    'gueusâmes',
    'gueusât',
    'gueusâtes',
    'gueusèrent',
    'gueusé',
    'gueusée',
    'gueusées',
    'gueusés',
    'gueux',
    'guibole',
    'guiboles',
    'guibolle',
    'guibolles',
    'guibre',
    'guibres',
    'guiche',
    'guiches',
    'guichet',
    'guichetier',
    'guichetiers',
    'guichetière',
    'guichetières',
    'guichets',
    'guida',
    'guidage',
    'guidages',
    'guidai',
    'guidaient',
    'guidais',
    'guidait',
    'guidant',
    'guidas',
    'guidasse',
    'guidassent',
    'guidasses',
    'guidassiez',
    'guidassions',
    'guide',
    'guideau',
    'guideaux',
    'guident',
    'guider',
    'guidera',
    'guiderai',
    'guideraient',
    'guiderais',
    'guiderait',
    'guideras',
    'guiderez',
    'guideriez',
    'guiderions',
    'guiderons',
    'guideront',
    'guiderope',
    'guideropes',
    'guides',
    'guidez',
    'guidiez',
    'guidions',
    'guidon',
    'guidons',
    'guidâmes',
    'guidât',
    'guidâtes',
    'guidèrent',
    'guidé',
    'guidée',
    'guidées',
    'guidés',
    'guigna',
    'guignai',
    'guignaient',
    'guignais',
    'guignait',
    'guignant',
    'guignard',
    'guignarde',
    'guignardes',
    'guignards',
    'guignas',
    'guignasse',
    'guignassent',
    'guignasses',
    'guignassiez',
    'guignassions',
    'guigne',
    'guignent',
    'guigner',
    'guignera',
    'guignerai',
    'guigneraient',
    'guignerais',
    'guignerait',
    'guigneras',
    'guignerez',
    'guigneriez',
    'guignerions',
    'guignerons',
    'guigneront',
    'guignes',
    'guignette',
    'guignettes',
    'guignez',
    'guignier',
    'guigniers',
    'guigniez',
    'guignions',
    'guignol',
    'guignolet',
    'guignolets',
    'guignols',
    'guignon',
    'guignons',
    'guignâmes',
    'guignât',
    'guignâtes',
    'guignèrent',
    'guigné',
    'guignée',
    'guignées',
    'guignés',
    'guilde',
    'guildes',
    'guillaume',
    'guillaumes',
    'guilledou',
    'guillemet',
    'guillemeta',
    'guillemetai',
    'guillemetais',
    'guillemetait',
    'guillemetant',
    'guillemetas',
    'guillemeter',
    'guillemetez',
    'guillemetiez',
    'guillemetons',
    'guillemets',
    'guillemette',
    'guillemettes',
    'guillemetât',
    'guillemeté',
    'guillemetée',
    'guillemetées',
    'guillemetés',
    'guillemot',
    'guillemots',
    'guilleret',
    'guillerets',
    'guillerette',
    'guillerettes',
    'guillocha',
    'guillochage',
    'guillochages',
    'guillochai',
    'guillochais',
    'guillochait',
    'guillochant',
    'guillochas',
    'guillochasse',
    'guilloche',
    'guillochent',
    'guillocher',
    'guillochera',
    'guillocherai',
    'guillocheras',
    'guillocherez',
    'guilloches',
    'guillocheur',
    'guillocheurs',
    'guillochez',
    'guillochiez',
    'guillochions',
    'guillochis',
    'guillochons',
    'guillochure',
    'guillochures',
    'guillochâmes',
    'guillochât',
    'guillochâtes',
    'guilloché',
    'guillochée',
    'guillochées',
    'guillochés',
    'guillotina',
    'guillotinai',
    'guillotinais',
    'guillotinait',
    'guillotinant',
    'guillotinas',
    'guillotine',
    'guillotinent',
    'guillotiner',
    'guillotinera',
    'guillotines',
    'guillotinez',
    'guillotiniez',
    'guillotinons',
    'guillotinât',
    'guillotiné',
    'guillotinée',
    'guillotinées',
    'guillotinés',
    'guimauve',
    'guimauves',
    'guimbarde',
    'guimbardes',
    'guimpe',
    'guimpes',
    'guincha',
    'guinchai',
    'guinchaient',
    'guinchais',
    'guinchait',
    'guinchant',
    'guinchas',
    'guinchasse',
    'guinchassent',
    'guinchasses',
    'guinchassiez',
    'guinche',
    'guinchent',
    'guincher',
    'guinchera',
    'guincherai',
    'guincherais',
    'guincherait',
    'guincheras',
    'guincherez',
    'guincheriez',
    'guincherions',
    'guincherons',
    'guincheront',
    'guinches',
    'guinchez',
    'guinchiez',
    'guinchions',
    'guinchons',
    'guinchâmes',
    'guinchât',
    'guinchâtes',
    'guinchèrent',
    'guinché',
    'guinda',
    'guindai',
    'guindaient',
    'guindais',
    'guindait',
    'guindant',
    'guindas',
    'guindasse',
    'guindassent',
    'guindasses',
    'guindassiez',
    'guindassions',
    'guinde',
    'guindeau',
    'guindeaux',
    'guindent',
    'guinder',
    'guindera',
    'guinderai',
    'guinderaient',
    'guinderais',
    'guinderait',
    'guinderas',
    'guinderesse',
    'guinderesses',
    'guinderez',
    'guinderiez',
    'guinderions',
    'guinderons',
    'guinderont',
    'guindes',
    'guindez',
    'guindiez',
    'guindions',
    'guindons',
    'guindâmes',
    'guindât',
    'guindâtes',
    'guindèrent',
    'guindé',
    'guindée',
    'guindées',
    'guindés',
    'guingois',
    'guinguette',
    'guinguettes',
    'guinée',
    'guinées',
    'guipa',
    'guipage',
    'guipages',
    'guipai',
    'guipaient',
    'guipais',
    'guipait',
    'guipant',
    'guipas',
    'guipasse',
    'guipassent',
    'guipasses',
    'guipassiez',
    'guipassions',
    'guipe',
    'guipent',
    'guiper',
    'guipera',
    'guiperai',
    'guiperaient',
    'guiperais',
    'guiperait',
    'guiperas',
    'guiperez',
    'guiperiez',
    'guiperions',
    'guiperons',
    'guiperont',
    'guipes',
    'guipez',
    'guipiez',
    'guipions',
    'guipoir',
    'guipoirs',
    'guipon',
    'guipons',
    'guipure',
    'guipures',
    'guipâmes',
    'guipât',
    'guipâtes',
    'guipèrent',
    'guipé',
    'guipée',
    'guipées',
    'guipés',
    'guirlande',
    'guirlandes',
    'guis',
    'guisarme',
    'guisarmes',
    'guise',
    'guises',
    'guitare',
    'guitares',
    'guitariste',
    'guitaristes',
    'guitoune',
    'guitounes',
    'guivré',
    'guivrée',
    'guivrées',
    'guivrés',
    'gulden',
    'guldens',
    'gummifère',
    'gummifères',
    'gunite',
    'guniter',
    'gunites',
    'guppy',
    'guppys',
    'guru',
    'gurus',
    'guss',
    'gustatif',
    'gustatifs',
    'gustation',
    'gustations',
    'gustative',
    'gustatives',
    'gustométrie',
    'gustométries',
    'guttural',
    'gutturale',
    'gutturales',
    'gutturaux',
    'guzla',
    'guzlas',
    'guèbre',
    'guèbres',
    'guède',
    'guèdes',
    'guère',
    'guères',
    'guète',
    'guètes',
    'guéa',
    'guéable',
    'guéables',
    'guéai',
    'guéaient',
    'guéais',
    'guéait',
    'guéant',
    'guéas',
    'guéasse',
    'guéassent',
    'guéasses',
    'guéassiez',
    'guéassions',
    'guée',
    'guéent',
    'guéer',
    'guéera',
    'guéerai',
    'guéeraient',
    'guéerais',
    'guéerait',
    'guéeras',
    'guéerez',
    'guéeriez',
    'guéerions',
    'guéerons',
    'guéeront',
    'guées',
    'guéez',
    'guéiez',
    'guéions',
    'guéons',
    'guépard',
    'guépards',
    'guéret',
    'guérets',
    'guéri',
    'guéridon',
    'guéridons',
    'guérie',
    'guéries',
    'guérilla',
    'guérillas',
    'guérillero',
    'guérilleros',
    'guérir',
    'guérira',
    'guérirai',
    'guériraient',
    'guérirais',
    'guérirait',
    'guériras',
    'guérirent',
    'guérirez',
    'guéririez',
    'guéririons',
    'guérirons',
    'guériront',
    'guéris',
    'guérison',
    'guérisons',
    'guérissable',
    'guérissables',
    'guérissaient',
    'guérissais',
    'guérissait',
    'guérissant',
    'guérissante',
    'guérissantes',
    'guérissants',
    'guérisse',
    'guérissent',
    'guérisses',
    'guérisseur',
    'guérisseurs',
    'guérisseuse',
    'guérisseuses',
    'guérissez',
    'guérissiez',
    'guérissions',
    'guérissons',
    'guérit',
    'guérite',
    'guérites',
    'guérîmes',
    'guérît',
    'guérîtes',
    'gués',
    'guéâmes',
    'guéât',
    'guéâtes',
    'guéèrent',
    'guéé',
    'guéée',
    'guéées',
    'guéés',
    'guêpe',
    'guêpes',
    'guêpier',
    'guêpiers',
    'guêpière',
    'guêpières',
    'guêtra',
    'guêtrai',
    'guêtraient',
    'guêtrais',
    'guêtrait',
    'guêtrant',
    'guêtras',
    'guêtrasse',
    'guêtrassent',
    'guêtrasses',
    'guêtrassiez',
    'guêtrassions',
    'guêtre',
    'guêtrent',
    'guêtrer',
    'guêtrera',
    'guêtrerai',
    'guêtreraient',
    'guêtrerais',
    'guêtrerait',
    'guêtreras',
    'guêtrerez',
    'guêtreriez',
    'guêtrerions',
    'guêtrerons',
    'guêtreront',
    'guêtres',
    'guêtrez',
    'guêtriez',
    'guêtrions',
    'guêtron',
    'guêtrons',
    'guêtrâmes',
    'guêtrât',
    'guêtrâtes',
    'guêtrèrent',
    'guêtré',
    'guêtrée',
    'guêtrées',
    'guêtrés',
    'gymkhana',
    'gymkhanas',
    'gymnase',
    'gymnases',
    'gymnasiarque',
    'gymnaste',
    'gymnastes',
    'gymnastique',
    'gymnastiques',
    'gymnique',
    'gymniques',
    'gymnocarpe',
    'gymnocarpes',
    'gymnosperme',
    'gymnospermes',
    'gymnote',
    'gymnotes',
    'gyms',
    'gynécologie',
    'gynécologies',
    'gynécologue',
    'gynécologues',
    'gynécomastie',
    'gypaète',
    'gypaètes',
    'gypse',
    'gypses',
    'gypseuse',
    'gypseuses',
    'gypseux',
    'gypsomètre',
    'gypsomètres',
    'gypsophile',
    'gypsophiles',
    'gyrin',
    'gyrins',
    'gyrocompas',
    'gyromètre',
    'gyromètres',
    'gyrophare',
    'gyrophares',
    'gyropilote',
    'gyropilotes',
    'gyroscope',
    'gyroscopes',
    'gyroscopique',
    'gyrostat',
    'gyrostats',
    'gâble',
    'gâbles',
    'gâcha',
    'gâchage',
    'gâchages',
    'gâchai',
    'gâchaient',
    'gâchais',
    'gâchait',
    'gâchant',
    'gâchas',
    'gâchasse',
    'gâchassent',
    'gâchasses',
    'gâchassiez',
    'gâchassions',
    'gâche',
    'gâchent',
    'gâcher',
    'gâchera',
    'gâcherai',
    'gâcheraient',
    'gâcherais',
    'gâcherait',
    'gâcheras',
    'gâcherez',
    'gâcheriez',
    'gâcherions',
    'gâcherons',
    'gâcheront',
    'gâches',
    'gâchette',
    'gâchettes',
    'gâcheur',
    'gâcheurs',
    'gâcheuse',
    'gâcheuses',
    'gâchez',
    'gâchiez',
    'gâchions',
    'gâchis',
    'gâchons',
    'gâchâmes',
    'gâchât',
    'gâchâtes',
    'gâchèrent',
    'gâché',
    'gâchée',
    'gâchées',
    'gâchés',
    'gâta',
    'gâtai',
    'gâtaient',
    'gâtais',
    'gâtait',
    'gâtant',
    'gâtas',
    'gâtasse',
    'gâtassent',
    'gâtasses',
    'gâtassiez',
    'gâtassions',
    'gâte',
    'gâteau',
    'gâteaux',
    'gâtent',
    'gâter',
    'gâtera',
    'gâterai',
    'gâteraient',
    'gâterais',
    'gâterait',
    'gâteras',
    'gâterez',
    'gâterie',
    'gâteries',
    'gâteriez',
    'gâterions',
    'gâterons',
    'gâteront',
    'gâtes',
    'gâteuse',
    'gâteuses',
    'gâteux',
    'gâtez',
    'gâtiez',
    'gâtifia',
    'gâtifiai',
    'gâtifiaient',
    'gâtifiais',
    'gâtifiait',
    'gâtifiant',
    'gâtifias',
    'gâtifiasse',
    'gâtifiassent',
    'gâtifiasses',
    'gâtifiassiez',
    'gâtifie',
    'gâtifient',
    'gâtifier',
    'gâtifiera',
    'gâtifierai',
    'gâtifierais',
    'gâtifierait',
    'gâtifieras',
    'gâtifierez',
    'gâtifieriez',
    'gâtifierions',
    'gâtifierons',
    'gâtifieront',
    'gâtifies',
    'gâtifiez',
    'gâtifiiez',
    'gâtifiions',
    'gâtifions',
    'gâtifiâmes',
    'gâtifiât',
    'gâtifiâtes',
    'gâtifièrent',
    'gâtifié',
    'gâtine',
    'gâtines',
    'gâtions',
    'gâtisme',
    'gâtismes',
    'gâtons',
    'gâtâmes',
    'gâtât',
    'gâtâtes',
    'gâtèrent',
    'gâté',
    'gâtée',
    'gâtées',
    'gâtés',
    'gèle',
    'gèlent',
    'gèlera',
    'gèlerai',
    'gèleraient',
    'gèlerais',
    'gèlerait',
    'gèleras',
    'gèlerez',
    'gèleriez',
    'gèlerions',
    'gèlerons',
    'gèleront',
    'gèles',
    'gène',
    'gènes',
    'gère',
    'gèrent',
    'gères',
    'géant',
    'géante',
    'géantes',
    'géants',
    'géhenne',
    'géhennes',
    'gélatina',
    'gélatinai',
    'gélatinaient',
    'gélatinais',
    'gélatinait',
    'gélatinant',
    'gélatinas',
    'gélatinasse',
    'gélatinasses',
    'gélatine',
    'gélatinent',
    'gélatiner',
    'gélatinera',
    'gélatinerai',
    'gélatinerais',
    'gélatinerait',
    'gélatineras',
    'gélatinerez',
    'gélatineriez',
    'gélatinerons',
    'gélatineront',
    'gélatines',
    'gélatineuse',
    'gélatineuses',
    'gélatineux',
    'gélatinez',
    'gélatiniez',
    'gélatinions',
    'gélatinisa',
    'gélatinisai',
    'gélatinisais',
    'gélatinisait',
    'gélatinisant',
    'gélatinisas',
    'gélatinise',
    'gélatinisent',
    'gélatiniser',
    'gélatinisera',
    'gélatinises',
    'gélatinisez',
    'gélatinisiez',
    'gélatinisons',
    'gélatinisât',
    'gélatinisé',
    'gélatinisée',
    'gélatinisées',
    'gélatinisés',
    'gélatinons',
    'gélatinâmes',
    'gélatinât',
    'gélatinâtes',
    'gélatinèrent',
    'gélatiné',
    'gélatinée',
    'gélatinées',
    'gélatinés',
    'gélif',
    'gélifia',
    'gélifiai',
    'gélifiaient',
    'gélifiais',
    'gélifiait',
    'gélifiant',
    'gélifiante',
    'gélifiantes',
    'gélifiants',
    'gélifias',
    'gélifiasse',
    'gélifiassent',
    'gélifiasses',
    'gélifiassiez',
    'gélification',
    'gélifie',
    'gélifient',
    'gélifier',
    'gélifiera',
    'gélifierai',
    'gélifierais',
    'gélifierait',
    'gélifieras',
    'gélifierez',
    'gélifieriez',
    'gélifierions',
    'gélifierons',
    'gélifieront',
    'gélifies',
    'gélifiez',
    'gélifiiez',
    'gélifiions',
    'gélifions',
    'gélifiâmes',
    'gélifiât',
    'gélifiâtes',
    'gélifièrent',
    'gélifié',
    'gélifiée',
    'gélifiées',
    'gélifiés',
    'gélifs',
    'gélinotte',
    'gélinottes',
    'gélive',
    'gélives',
    'gélivure',
    'gélivures',
    'gélose',
    'géloses',
    'gélule',
    'gélules',
    'gémeau',
    'gémeaux',
    'gémellaire',
    'gémellaires',
    'gémelle',
    'gémelles',
    'gémellipare',
    'gémellipares',
    'gémellité',
    'gémellités',
    'gémi',
    'gémie',
    'gémies',
    'gémina',
    'géminai',
    'géminaient',
    'géminais',
    'géminait',
    'géminant',
    'géminas',
    'géminasse',
    'géminassent',
    'géminasses',
    'géminassiez',
    'géminassions',
    'gémination',
    'géminations',
    'gémine',
    'géminent',
    'géminer',
    'géminera',
    'géminerai',
    'gémineraient',
    'géminerais',
    'géminerait',
    'gémineras',
    'géminerez',
    'gémineriez',
    'géminerions',
    'géminerons',
    'gémineront',
    'gémines',
    'géminez',
    'gémini',
    'géminiez',
    'géminions',
    'géminons',
    'géminâmes',
    'géminât',
    'géminâtes',
    'géminèrent',
    'géminé',
    'géminée',
    'géminées',
    'géminés',
    'gémir',
    'gémira',
    'gémirai',
    'gémiraient',
    'gémirais',
    'gémirait',
    'gémiras',
    'gémirent',
    'gémirez',
    'gémiriez',
    'gémirions',
    'gémirons',
    'gémiront',
    'gémis',
    'gémissaient',
    'gémissais',
    'gémissait',
    'gémissant',
    'gémissante',
    'gémissantes',
    'gémissants',
    'gémisse',
    'gémissement',
    'gémissements',
    'gémissent',
    'gémisses',
    'gémissez',
    'gémissiez',
    'gémissions',
    'gémissons',
    'gémit',
    'gémonies',
    'gémîmes',
    'gémît',
    'gémîtes',
    'génial',
    'géniale',
    'génialement',
    'géniales',
    'génialité',
    'génialités',
    'géniaux',
    'génie',
    'génies',
    'génique',
    'génisse',
    'génisses',
    'génital',
    'génitale',
    'génitales',
    'génitaux',
    'géniteur',
    'géniteurs',
    'génitif',
    'génitifs',
    'génitrice',
    'génitrices',
    'génocide',
    'génocides',
    'génois',
    'génoise',
    'génoises',
    'génome',
    'génomes',
    'génomique',
    'génomiques',
    'génotype',
    'génotypes',
    'génuflexion',
    'génuflexions',
    'génère',
    'génèrent',
    'génères',
    'généalogie',
    'généalogies',
    'généalogique',
    'généalogiste',
    'génépi',
    'génépis',
    'généra',
    'générai',
    'généraient',
    'générais',
    'générait',
    'général',
    'généralat',
    'généralats',
    'générale',
    'généralement',
    'générales',
    'généralisa',
    'généralisai',
    'généralisais',
    'généralisait',
    'généralisant',
    'généralisas',
    'généralise',
    'généralisent',
    'généraliser',
    'généralisera',
    'généralises',
    'généralisez',
    'généralisiez',
    'généralisons',
    'généraliste',
    'généralistes',
    'généralisât',
    'généralisé',
    'généralisée',
    'généralisées',
    'généralisés',
    'généralité',
    'généralités',
    'générant',
    'généras',
    'générasse',
    'générassent',
    'générasses',
    'générassiez',
    'générassions',
    'générateur',
    'générateurs',
    'génératif',
    'génératifs',
    'génération',
    'générations',
    'générative',
    'génératives',
    'génératrice',
    'génératrices',
    'généraux',
    'générer',
    'générera',
    'générerai',
    'généreraient',
    'générerais',
    'générerait',
    'généreras',
    'générerez',
    'généreriez',
    'générerions',
    'générerons',
    'généreront',
    'généreuse',
    'généreuses',
    'généreux',
    'générez',
    'génériez',
    'générions',
    'générique',
    'génériques',
    'générons',
    'générosité',
    'générosités',
    'générâmes',
    'générât',
    'générâtes',
    'générèrent',
    'généré',
    'générée',
    'générées',
    'générés',
    'génésiaque',
    'génésiaques',
    'génésique',
    'génésiques',
    'généthliaque',
    'généticien',
    'généticienne',
    'généticiens',
    'génétique',
    'génétiques',
    'génétisme',
    'génétismes',
    'géocentrique',
    'géochimie',
    'géochimies',
    'géode',
    'géodes',
    'géodynamique',
    'géodésie',
    'géodésies',
    'géodésique',
    'géodésiques',
    'géographe',
    'géographes',
    'géographie',
    'géographies',
    'géographique',
    'géologie',
    'géologies',
    'géologique',
    'géologiques',
    'géologue',
    'géologues',
    'géomancie',
    'géomancies',
    'géomètre',
    'géomètres',
    'géométral',
    'géométraux',
    'géométrie',
    'géométries',
    'géométrique',
    'géométriques',
    'géométrisa',
    'géométrisai',
    'géométrisais',
    'géométrisait',
    'géométrisant',
    'géométrisas',
    'géométrise',
    'géométrisent',
    'géométriser',
    'géométrisera',
    'géométrises',
    'géométrisez',
    'géométrisiez',
    'géométrisons',
    'géométrisât',
    'géométrisé',
    'géométrisée',
    'géométrisées',
    'géométrisés',
    'géophage',
    'géophages',
    'géophile',
    'géophiles',
    'géophysicien',
    'géophysique',
    'géophysiques',
    'géopolitique',
    'géorgien',
    'géorgienne',
    'géorgiennes',
    'géorgiens',
    'géosynclinal',
    'géotechnique',
    'géothermie',
    'géothermies',
    'géothermique',
    'géotropisme',
    'géotropismes',
    'géotrupe',
    'géotrupes',
    'géoïde',
    'géoïdes',
    'géra',
    'gérai',
    'géraient',
    'gérais',
    'gérait',
    'gérance',
    'gérances',
    'géranium',
    'géraniums',
    'gérant',
    'gérante',
    'gérantes',
    'gérants',
    'géras',
    'gérasse',
    'gérassent',
    'gérasses',
    'gérassiez',
    'gérassions',
    'gérer',
    'gérera',
    'gérerai',
    'géreraient',
    'gérerais',
    'gérerait',
    'géreras',
    'gérerez',
    'géreriez',
    'gérerions',
    'gérerons',
    'géreront',
    'gérez',
    'gériatre',
    'gériatres',
    'gériatrie',
    'gériatries',
    'gériatrique',
    'gériatriques',
    'gériez',
    'gérions',
    'géromé',
    'géromés',
    'gérondif',
    'gérondifs',
    'gérons',
    'géronte',
    'gérontes',
    'gérontisme',
    'gérontismes',
    'gérontologie',
    'gérontologue',
    'gérontophile',
    'gérâmes',
    'gérât',
    'gérâtes',
    'gérèrent',
    'géré',
    'gérée',
    'gérées',
    'gérés',
    'gésier',
    'gésiers',
    'gésine',
    'gésines',
    'gésir',
    'gêna',
    'gênai',
    'gênaient',
    'gênais',
    'gênait',
    'gênant',
    'gênante',
    'gênantes',
    'gênants',
    'gênas',
    'gênasse',
    'gênassent',
    'gênasses',
    'gênassiez',
    'gênassions',
    'gêne',
    'gênent',
    'gêner',
    'gênera',
    'gênerai',
    'gêneraient',
    'gênerais',
    'gênerait',
    'gêneras',
    'gênerez',
    'gêneriez',
    'gênerions',
    'gênerons',
    'gêneront',
    'gênes',
    'gêneur',
    'gêneurs',
    'gêneuse',
    'gêneuses',
    'gênez',
    'gêniez',
    'gênions',
    'gênons',
    'gênâmes',
    'gênât',
    'gênâtes',
    'gênèrent',
    'gêné',
    'gênée',
    'gênées',
    'gênés',
    'gîta',
    'gîtai',
    'gîtaient',
    'gîtais',
    'gîtait',
    'gîtant',
    'gîtas',
    'gîtasse',
    'gîtassent',
    'gîtasses',
    'gîtassiez',
    'gîtassions',
    'gîte',
    'gîtent',
    'gîter',
    'gîtera',
    'gîterai',
    'gîteraient',
    'gîterais',
    'gîterait',
    'gîteras',
    'gîterez',
    'gîteriez',
    'gîterions',
    'gîterons',
    'gîteront',
    'gîtes',
    'gîtez',
    'gîtiez',
    'gîtions',
    'gîtons',
    'gîtâmes',
    'gîtât',
    'gîtâtes',
    'gîtèrent',
    'gîté',
    'habanera',
    'habaneras',
    'habile',
    'habilement',
    'habiles',
    'habileté',
    'habiletés',
    'habilita',
    'habilitai',
    'habilitaient',
    'habilitais',
    'habilitait',
    'habilitant',
    'habilitas',
    'habilitasse',
    'habilitasses',
    'habilitation',
    'habilite',
    'habilitent',
    'habiliter',
    'habilitera',
    'habiliterai',
    'habiliterais',
    'habiliterait',
    'habiliteras',
    'habiliterez',
    'habiliteriez',
    'habiliterons',
    'habiliteront',
    'habilites',
    'habilitez',
    'habilitiez',
    'habilitions',
    'habilitons',
    'habilitâmes',
    'habilitât',
    'habilitâtes',
    'habilitèrent',
    'habilité',
    'habilitée',
    'habilitées',
    'habilités',
    'habilla',
    'habillable',
    'habillables',
    'habillage',
    'habillages',
    'habillai',
    'habillaient',
    'habillais',
    'habillait',
    'habillant',
    'habillas',
    'habillasse',
    'habillassent',
    'habillasses',
    'habillassiez',
    'habille',
    'habillement',
    'habillements',
    'habillent',
    'habiller',
    'habillera',
    'habillerai',
    'habillerais',
    'habillerait',
    'habilleras',
    'habillerez',
    'habilleriez',
    'habillerions',
    'habillerons',
    'habilleront',
    'habilles',
    'habilleur',
    'habilleurs',
    'habilleuse',
    'habilleuses',
    'habillez',
    'habilliez',
    'habillions',
    'habillons',
    'habillâmes',
    'habillât',
    'habillâtes',
    'habillèrent',
    'habillé',
    'habillée',
    'habillées',
    'habillés',
    'habit',
    'habita',
    'habitabilité',
    'habitable',
    'habitables',
    'habitacle',
    'habitacles',
    'habitai',
    'habitaient',
    'habitais',
    'habitait',
    'habitant',
    'habitante',
    'habitantes',
    'habitants',
    'habitas',
    'habitasse',
    'habitassent',
    'habitasses',
    'habitassiez',
    'habitassions',
    'habitat',
    'habitation',
    'habitations',
    'habitats',
    'habite',
    'habitent',
    'habiter',
    'habitera',
    'habiterai',
    'habiteraient',
    'habiterais',
    'habiterait',
    'habiteras',
    'habiterez',
    'habiteriez',
    'habiterions',
    'habiterons',
    'habiteront',
    'habites',
    'habitez',
    'habitiez',
    'habitions',
    'habitons',
    'habits',
    'habitua',
    'habituai',
    'habituaient',
    'habituais',
    'habituait',
    'habituant',
    'habituas',
    'habituasse',
    'habituassent',
    'habituasses',
    'habituassiez',
    'habituation',
    'habituations',
    'habitude',
    'habitudes',
    'habitue',
    'habituel',
    'habituelle',
    'habituelles',
    'habituels',
    'habituent',
    'habituer',
    'habituera',
    'habituerai',
    'habituerais',
    'habituerait',
    'habitueras',
    'habituerez',
    'habitueriez',
    'habituerions',
    'habituerons',
    'habitueront',
    'habitues',
    'habituez',
    'habituiez',
    'habituions',
    'habituons',
    'habitus',
    'habituâmes',
    'habituât',
    'habituâtes',
    'habituèrent',
    'habitué',
    'habituée',
    'habituées',
    'habitués',
    'habitâmes',
    'habitât',
    'habitâtes',
    'habitèrent',
    'habité',
    'habitée',
    'habitées',
    'habités',
    'habla',
    'hablai',
    'hablaient',
    'hablais',
    'hablait',
    'hablant',
    'hablas',
    'hablasse',
    'hablassent',
    'hablasses',
    'hablassiez',
    'hablassions',
    'hable',
    'hablent',
    'habler',
    'hablera',
    'hablerai',
    'hableraient',
    'hablerais',
    'hablerait',
    'hableras',
    'hablerez',
    'hableriez',
    'hablerions',
    'hablerons',
    'hableront',
    'hables',
    'hablez',
    'habliez',
    'hablions',
    'hablons',
    'hablâmes',
    'hablât',
    'hablâtes',
    'hablèrent',
    'hablé',
    'hablée',
    'hablées',
    'hablés',
    'hacha',
    'hachage',
    'hachages',
    'hachai',
    'hachaient',
    'hachais',
    'hachait',
    'hachant',
    'hachas',
    'hachasse',
    'hachassent',
    'hachasses',
    'hachassiez',
    'hachassions',
    'hache',
    'hachement',
    'hachements',
    'hachent',
    'hacher',
    'hachera',
    'hacherai',
    'hacheraient',
    'hacherais',
    'hacherait',
    'hacheras',
    'hachereau',
    'hachereaux',
    'hacherez',
    'hacheriez',
    'hacherions',
    'hacherons',
    'hacheront',
    'haches',
    'hachette',
    'hachettes',
    'hacheur',
    'hacheurs',
    'hachez',
    'hachiez',
    'hachions',
    'hachis',
    'hachisch',
    'hachischs',
    'hachoir',
    'hachoirs',
    'hachons',
    'hachura',
    'hachurai',
    'hachuraient',
    'hachurais',
    'hachurait',
    'hachurant',
    'hachuras',
    'hachurasse',
    'hachurassent',
    'hachurasses',
    'hachurassiez',
    'hachure',
    'hachurent',
    'hachurer',
    'hachurera',
    'hachurerai',
    'hachurerais',
    'hachurerait',
    'hachureras',
    'hachurerez',
    'hachureriez',
    'hachurerions',
    'hachurerons',
    'hachureront',
    'hachures',
    'hachurez',
    'hachuriez',
    'hachurions',
    'hachurons',
    'hachurâmes',
    'hachurât',
    'hachurâtes',
    'hachurèrent',
    'hachuré',
    'hachurée',
    'hachurées',
    'hachurés',
    'hachâmes',
    'hachât',
    'hachâtes',
    'hachèrent',
    'haché',
    'hachée',
    'hachées',
    'hachés',
    'hacienda',
    'haciendas',
    'haddock',
    'haddocks',
    'hadith',
    'hadiths',
    'hadji',
    'hadjis',
    'hafnium',
    'hafniums',
    'hagard',
    'hagarde',
    'hagardes',
    'hagards',
    'hagiographe',
    'hagiographes',
    'hagiographie',
    'haie',
    'haies',
    'haillon',
    'haillonneuse',
    'haillonneux',
    'haillons',
    'haine',
    'haines',
    'haineuse',
    'haineusement',
    'haineuses',
    'haineux',
    'haire',
    'haires',
    'hais',
    'hait',
    'hala',
    'halage',
    'halages',
    'halai',
    'halaient',
    'halais',
    'halait',
    'halant',
    'halas',
    'halasse',
    'halassent',
    'halasses',
    'halassiez',
    'halassions',
    'halbi',
    'halbis',
    'halbran',
    'halbrans',
    'hale',
    'halecret',
    'halecrets',
    'haleine',
    'haleines',
    'halent',
    'haler',
    'halera',
    'halerai',
    'haleraient',
    'halerais',
    'halerait',
    'haleras',
    'halerez',
    'haleriez',
    'halerions',
    'halerons',
    'haleront',
    'hales',
    'haleta',
    'haletai',
    'haletaient',
    'haletais',
    'haletait',
    'haletant',
    'haletante',
    'haletantes',
    'haletants',
    'haletas',
    'haletasse',
    'haletassent',
    'haletasses',
    'haletassiez',
    'haletassions',
    'haleter',
    'haletez',
    'haletiez',
    'haletions',
    'haletons',
    'haletâmes',
    'haletât',
    'haletâtes',
    'haletèrent',
    'haleté',
    'haletée',
    'haletées',
    'haletés',
    'haleur',
    'haleurs',
    'haleuse',
    'haleuses',
    'halez',
    'halicte',
    'halictes',
    'halieutique',
    'halieutiques',
    'haliez',
    'halions',
    'haliotide',
    'haliotides',
    'haliple',
    'haliples',
    'halitueuse',
    'halitueuses',
    'halitueux',
    'hall',
    'hallali',
    'hallalis',
    'halle',
    'hallebarde',
    'hallebardes',
    'hallebardier',
    'halles',
    'hallier',
    'halliers',
    'halloween',
    'halloweens',
    'halls',
    'hallstattien',
    'hallucina',
    'hallucinai',
    'hallucinais',
    'hallucinait',
    'hallucinant',
    'hallucinante',
    'hallucinants',
    'hallucinas',
    'hallucinasse',
    'hallucine',
    'hallucinent',
    'halluciner',
    'hallucinera',
    'hallucinerai',
    'hallucineras',
    'hallucinerez',
    'hallucines',
    'hallucinez',
    'halluciniez',
    'hallucinions',
    'hallucinons',
    'hallucinose',
    'hallucinoses',
    'hallucinâmes',
    'hallucinât',
    'hallucinâtes',
    'halluciné',
    'hallucinée',
    'hallucinées',
    'hallucinés',
    'halo',
    'halographie',
    'halographies',
    'halogène',
    'halogènes',
    'halogénation',
    'halogénure',
    'halogénures',
    'halons',
    'halophile',
    'halophiles',
    'halophyte',
    'halophytes',
    'halos',
    'halte',
    'haltes',
    'haltère',
    'haltères',
    'haltérophile',
    'halva',
    'halvas',
    'halâmes',
    'halât',
    'halâtes',
    'halèrent',
    'halète',
    'halètement',
    'halètements',
    'halètent',
    'halètera',
    'halèterai',
    'halèteraient',
    'halèterais',
    'halèterait',
    'halèteras',
    'halèterez',
    'halèteriez',
    'halèterions',
    'halèterons',
    'halèteront',
    'halètes',
    'halé',
    'halée',
    'halées',
    'halés',
    'hamac',
    'hamacs',
    'hamada',
    'hamadas',
    'hamadryade',
    'hamadryades',
    'hamadryas',
    'hamamélis',
    'hamburger',
    'hamburgers',
    'hameau',
    'hameaux',
    'hameçon',
    'hameçonna',
    'hameçonnai',
    'hameçonnais',
    'hameçonnait',
    'hameçonnant',
    'hameçonnas',
    'hameçonnasse',
    'hameçonne',
    'hameçonnent',
    'hameçonner',
    'hameçonnera',
    'hameçonnerai',
    'hameçonneras',
    'hameçonnerez',
    'hameçonnes',
    'hameçonnez',
    'hameçonniez',
    'hameçonnions',
    'hameçonnons',
    'hameçonnâmes',
    'hameçonnât',
    'hameçonnâtes',
    'hameçonné',
    'hameçonnée',
    'hameçonnées',
    'hameçonnés',
    'hameçons',
    'hammam',
    'hammams',
    'hammerless',
    'hampe',
    'hampes',
    'hamster',
    'hamsters',
    'hanap',
    'hanaps',
    'hancha',
    'hanchai',
    'hanchaient',
    'hanchais',
    'hanchait',
    'hanchant',
    'hanchas',
    'hanchasse',
    'hanchassent',
    'hanchasses',
    'hanchassiez',
    'hanchassions',
    'hanche',
    'hanchement',
    'hanchements',
    'hanchent',
    'hancher',
    'hanchera',
    'hancherai',
    'hancheraient',
    'hancherais',
    'hancherait',
    'hancheras',
    'hancherez',
    'hancheriez',
    'hancherions',
    'hancherons',
    'hancheront',
    'hanches',
    'hanchez',
    'hanchiez',
    'hanchions',
    'hanchons',
    'hanchâmes',
    'hanchât',
    'hanchâtes',
    'hanchèrent',
    'hanché',
    'hanchée',
    'hanchées',
    'hanchés',
    'handball',
    'handballeur',
    'handballeurs',
    'handballeuse',
    'handballs',
    'handicap',
    'handicapa',
    'handicapai',
    'handicapais',
    'handicapait',
    'handicapant',
    'handicapas',
    'handicapasse',
    'handicape',
    'handicapent',
    'handicaper',
    'handicapera',
    'handicaperai',
    'handicaperas',
    'handicaperez',
    'handicapes',
    'handicapeur',
    'handicapeurs',
    'handicapez',
    'handicapiez',
    'handicapions',
    'handicapons',
    'handicaps',
    'handicapâmes',
    'handicapât',
    'handicapâtes',
    'handicapé',
    'handicapée',
    'handicapées',
    'handicapés',
    'handisport',
    'handisports',
    'hangar',
    'hangars',
    'hanneton',
    'hannetonna',
    'hannetonnage',
    'hannetonnai',
    'hannetonnais',
    'hannetonnait',
    'hannetonnant',
    'hannetonnas',
    'hannetonne',
    'hannetonnent',
    'hannetonner',
    'hannetonnera',
    'hannetonnes',
    'hannetonnez',
    'hannetonniez',
    'hannetonnons',
    'hannetonnât',
    'hannetonné',
    'hannetons',
    'hansart',
    'hansarts',
    'hanse',
    'hanses',
    'hanséatique',
    'hanséatiques',
    'hanta',
    'hantai',
    'hantaient',
    'hantais',
    'hantait',
    'hantant',
    'hantas',
    'hantasse',
    'hantassent',
    'hantasses',
    'hantassiez',
    'hantassions',
    'hante',
    'hantent',
    'hanter',
    'hantera',
    'hanterai',
    'hanteraient',
    'hanterais',
    'hanterait',
    'hanteras',
    'hanterez',
    'hanteriez',
    'hanterions',
    'hanterons',
    'hanteront',
    'hantes',
    'hantez',
    'hantiez',
    'hantions',
    'hantise',
    'hantises',
    'hantons',
    'hantâmes',
    'hantât',
    'hantâtes',
    'hantèrent',
    'hanté',
    'hantée',
    'hantées',
    'hantés',
    'hapax',
    'haplologie',
    'haplologies',
    'haploïde',
    'haploïdes',
    'happa',
    'happai',
    'happaient',
    'happais',
    'happait',
    'happant',
    'happas',
    'happasse',
    'happassent',
    'happasses',
    'happassiez',
    'happassions',
    'happe',
    'happement',
    'happements',
    'happening',
    'happenings',
    'happent',
    'happer',
    'happera',
    'happerai',
    'happeraient',
    'happerais',
    'happerait',
    'happeras',
    'happerez',
    'happeriez',
    'happerions',
    'happerons',
    'happeront',
    'happes',
    'happez',
    'happiez',
    'happions',
    'happons',
    'happâmes',
    'happât',
    'happâtes',
    'happèrent',
    'happé',
    'happée',
    'happées',
    'happés',
    'haquebute',
    'haquebutes',
    'haquenée',
    'haquenées',
    'haquet',
    'haquets',
    'harangua',
    'haranguai',
    'haranguaient',
    'haranguais',
    'haranguait',
    'haranguant',
    'haranguas',
    'haranguasse',
    'haranguasses',
    'harangue',
    'haranguent',
    'haranguer',
    'haranguera',
    'haranguerai',
    'haranguerais',
    'haranguerait',
    'harangueras',
    'haranguerez',
    'harangueriez',
    'haranguerons',
    'harangueront',
    'harangues',
    'harangueur',
    'harangueurs',
    'harangueuse',
    'harangueuses',
    'haranguez',
    'haranguiez',
    'haranguions',
    'haranguons',
    'haranguâmes',
    'haranguât',
    'haranguâtes',
    'haranguèrent',
    'harangué',
    'haranguée',
    'haranguées',
    'harangués',
    'haras',
    'harassa',
    'harassai',
    'harassaient',
    'harassais',
    'harassait',
    'harassant',
    'harassante',
    'harassantes',
    'harassants',
    'harassas',
    'harassasse',
    'harassassent',
    'harassasses',
    'harassassiez',
    'harasse',
    'harassement',
    'harassements',
    'harassent',
    'harasser',
    'harassera',
    'harasserai',
    'harasserais',
    'harasserait',
    'harasseras',
    'harasserez',
    'harasseriez',
    'harasserions',
    'harasserons',
    'harasseront',
    'harasses',
    'harassez',
    'harassiez',
    'harassions',
    'harassons',
    'harassâmes',
    'harassât',
    'harassâtes',
    'harassèrent',
    'harassé',
    'harassée',
    'harassées',
    'harassés',
    'harcela',
    'harcelai',
    'harcelaient',
    'harcelais',
    'harcelait',
    'harcelant',
    'harcelante',
    'harcelantes',
    'harcelants',
    'harcelas',
    'harcelasse',
    'harcelassent',
    'harcelasses',
    'harcelassiez',
    'harceler',
    'harcelez',
    'harceliez',
    'harcelions',
    'harcelle',
    'harcellement',
    'harcellent',
    'harcellera',
    'harcellerai',
    'harcellerais',
    'harcellerait',
    'harcelleras',
    'harcellerez',
    'harcelleriez',
    'harcellerons',
    'harcelleront',
    'harcelles',
    'harcelons',
    'harcelâmes',
    'harcelât',
    'harcelâtes',
    'harcelèrent',
    'harcelé',
    'harcelée',
    'harcelées',
    'harcelés',
    'harcèle',
    'harcèlement',
    'harcèlements',
    'harcèlent',
    'harcèlera',
    'harcèlerai',
    'harcèlerais',
    'harcèlerait',
    'harcèleras',
    'harcèlerez',
    'harcèleriez',
    'harcèlerions',
    'harcèlerons',
    'harcèleront',
    'harcèles',
    'harda',
    'hardai',
    'hardaient',
    'hardais',
    'hardait',
    'hardant',
    'hardas',
    'hardasse',
    'hardassent',
    'hardasses',
    'hardassiez',
    'hardassions',
    'harde',
    'hardent',
    'harder',
    'hardera',
    'harderai',
    'harderaient',
    'harderais',
    'harderait',
    'harderas',
    'harderez',
    'harderiez',
    'harderions',
    'harderons',
    'harderont',
    'hardes',
    'hardez',
    'hardi',
    'hardie',
    'hardies',
    'hardiesse',
    'hardiesses',
    'hardiez',
    'hardiment',
    'hardions',
    'hardis',
    'hardons',
    'hardware',
    'hardâmes',
    'hardât',
    'hardâtes',
    'hardèrent',
    'hardé',
    'hardée',
    'hardées',
    'hardés',
    'harem',
    'harems',
    'hareng',
    'harengaison',
    'harengaisons',
    'harengs',
    'harenguet',
    'harenguets',
    'harengueux',
    'harenguier',
    'harenguiers',
    'harengère',
    'harengères',
    'harfang',
    'harfangs',
    'hargne',
    'hargnes',
    'hargneuse',
    'hargneuses',
    'hargneux',
    'haricot',
    'haricots',
    'haridelle',
    'haridelles',
    'harissa',
    'harissas',
    'harki',
    'harkis',
    'harle',
    'harles',
    'harmattan',
    'harmattans',
    'harmonica',
    'harmonicas',
    'harmoniciste',
    'harmonicorde',
    'harmonie',
    'harmonies',
    'harmonieuse',
    'harmonieuses',
    'harmonieux',
    'harmonique',
    'harmoniques',
    'harmonisa',
    'harmonisai',
    'harmonisais',
    'harmonisait',
    'harmonisant',
    'harmonisas',
    'harmonisasse',
    'harmonise',
    'harmonisent',
    'harmoniser',
    'harmonisera',
    'harmoniserai',
    'harmoniseras',
    'harmoniserez',
    'harmonises',
    'harmonisez',
    'harmonisiez',
    'harmonisions',
    'harmonisons',
    'harmonisâmes',
    'harmonisât',
    'harmonisâtes',
    'harmonisé',
    'harmonisée',
    'harmonisées',
    'harmonisés',
    'harmonium',
    'harmoniums',
    'harnacha',
    'harnachai',
    'harnachaient',
    'harnachais',
    'harnachait',
    'harnachant',
    'harnachas',
    'harnachasse',
    'harnachasses',
    'harnache',
    'harnachement',
    'harnachent',
    'harnacher',
    'harnachera',
    'harnacherai',
    'harnacherais',
    'harnacherait',
    'harnacheras',
    'harnacherez',
    'harnacheriez',
    'harnacherons',
    'harnacheront',
    'harnaches',
    'harnacheur',
    'harnacheurs',
    'harnachez',
    'harnachiez',
    'harnachions',
    'harnachons',
    'harnachâmes',
    'harnachât',
    'harnachâtes',
    'harnachèrent',
    'harnaché',
    'harnachée',
    'harnachées',
    'harnachés',
    'harnais',
    'harnois',
    'haro',
    'haros',
    'harpa',
    'harpagon',
    'harpagons',
    'harpai',
    'harpaient',
    'harpail',
    'harpailla',
    'harpaillai',
    'harpaillais',
    'harpaillait',
    'harpaillant',
    'harpaillas',
    'harpaillasse',
    'harpaille',
    'harpaillent',
    'harpailler',
    'harpaillera',
    'harpaillerai',
    'harpailleras',
    'harpaillerez',
    'harpailles',
    'harpaillez',
    'harpailliez',
    'harpaillions',
    'harpaillons',
    'harpaillâmes',
    'harpaillât',
    'harpaillâtes',
    'harpaillé',
    'harpaillée',
    'harpaillées',
    'harpaillés',
    'harpails',
    'harpais',
    'harpait',
    'harpant',
    'harpas',
    'harpasse',
    'harpassent',
    'harpasses',
    'harpassiez',
    'harpassions',
    'harpe',
    'harpent',
    'harper',
    'harpera',
    'harperai',
    'harperaient',
    'harperais',
    'harperait',
    'harperas',
    'harperez',
    'harperiez',
    'harperions',
    'harperons',
    'harperont',
    'harpes',
    'harpez',
    'harpie',
    'harpies',
    'harpiez',
    'harpions',
    'harpiste',
    'harpistes',
    'harpon',
    'harponna',
    'harponnage',
    'harponnages',
    'harponnai',
    'harponnaient',
    'harponnais',
    'harponnait',
    'harponnant',
    'harponnas',
    'harponnasse',
    'harponnasses',
    'harponne',
    'harponnement',
    'harponnent',
    'harponner',
    'harponnera',
    'harponnerai',
    'harponnerais',
    'harponnerait',
    'harponneras',
    'harponnerez',
    'harponneriez',
    'harponnerons',
    'harponneront',
    'harponnes',
    'harponneur',
    'harponneurs',
    'harponnez',
    'harponniez',
    'harponnions',
    'harponnons',
    'harponnâmes',
    'harponnât',
    'harponnâtes',
    'harponnèrent',
    'harponné',
    'harponnée',
    'harponnées',
    'harponnés',
    'harpons',
    'harpâmes',
    'harpât',
    'harpâtes',
    'harpèrent',
    'harpé',
    'harpée',
    'harpées',
    'harpés',
    'hart',
    'harts',
    'haruspice',
    'haruspices',
    'hasard',
    'hasarda',
    'hasardai',
    'hasardaient',
    'hasardais',
    'hasardait',
    'hasardant',
    'hasardas',
    'hasardasse',
    'hasardassent',
    'hasardasses',
    'hasardassiez',
    'hasarde',
    'hasardent',
    'hasarder',
    'hasardera',
    'hasarderai',
    'hasarderais',
    'hasarderait',
    'hasarderas',
    'hasarderez',
    'hasarderiez',
    'hasarderions',
    'hasarderons',
    'hasarderont',
    'hasardes',
    'hasardeuse',
    'hasardeuses',
    'hasardeux',
    'hasardez',
    'hasardiez',
    'hasardions',
    'hasardons',
    'hasards',
    'hasardâmes',
    'hasardât',
    'hasardâtes',
    'hasardèrent',
    'hasardé',
    'hasardée',
    'hasardées',
    'hasardés',
    'hasch',
    'haschich',
    'haschichs',
    'haschisch',
    'haschischin',
    'haschischins',
    'haschischs',
    'haschs',
    'hase',
    'hases',
    'hassidisme',
    'hassidismes',
    'hast',
    'hasts',
    'hasté',
    'hastée',
    'hastées',
    'hastés',
    'hauban',
    'haubana',
    'haubanage',
    'haubanages',
    'haubanai',
    'haubanaient',
    'haubanais',
    'haubanait',
    'haubanant',
    'haubanas',
    'haubanasse',
    'haubanassent',
    'haubanasses',
    'haubanassiez',
    'haubane',
    'haubanent',
    'haubaner',
    'haubanera',
    'haubanerai',
    'haubanerais',
    'haubanerait',
    'haubaneras',
    'haubanerez',
    'haubaneriez',
    'haubanerions',
    'haubanerons',
    'haubaneront',
    'haubanes',
    'haubanez',
    'haubaniez',
    'haubanions',
    'haubanons',
    'haubans',
    'haubanâmes',
    'haubanât',
    'haubanâtes',
    'haubanèrent',
    'haubané',
    'haubanée',
    'haubanées',
    'haubanés',
    'haubert',
    'hauberts',
    'haussa',
    'haussai',
    'haussaient',
    'haussais',
    'haussait',
    'haussant',
    'haussas',
    'haussasse',
    'haussassent',
    'haussasses',
    'haussassiez',
    'haussassions',
    'hausse',
    'haussement',
    'haussements',
    'haussent',
    'hausser',
    'haussera',
    'hausserai',
    'hausseraient',
    'hausserais',
    'hausserait',
    'hausseras',
    'hausserez',
    'hausseriez',
    'hausserions',
    'hausserons',
    'hausseront',
    'hausses',
    'haussez',
    'haussier',
    'haussiers',
    'haussiez',
    'haussions',
    'haussière',
    'haussières',
    'haussons',
    'haussâmes',
    'haussât',
    'haussâtes',
    'haussèrent',
    'haussé',
    'haussée',
    'haussées',
    'haussés',
    'haut',
    'hautain',
    'hautaine',
    'hautaines',
    'hautains',
    'hautbois',
    'hautboïste',
    'hautboïstes',
    'haute',
    'hautement',
    'hautes',
    'hauteur',
    'hauteurs',
    'hautin',
    'hautins',
    'hauts',
    'hauturier',
    'hauturiers',
    'hauturière',
    'hauturières',
    'hava',
    'havage',
    'havages',
    'havai',
    'havaient',
    'havais',
    'havait',
    'havanais',
    'havanaise',
    'havanaises',
    'havane',
    'havanes',
    'havant',
    'havas',
    'havasse',
    'havassent',
    'havasses',
    'havassiez',
    'havassions',
    'have',
    'haveneau',
    'haveneaux',
    'havenet',
    'havenets',
    'havent',
    'haver',
    'havera',
    'haverai',
    'haveraient',
    'haverais',
    'haverait',
    'haveras',
    'haverez',
    'haveriez',
    'haverions',
    'haverons',
    'haveront',
    'haves',
    'haveur',
    'haveurs',
    'haveuse',
    'haveuses',
    'havez',
    'havi',
    'havie',
    'havies',
    'haviez',
    'havions',
    'havir',
    'havira',
    'havirai',
    'haviraient',
    'havirais',
    'havirait',
    'haviras',
    'havirent',
    'havirez',
    'haviriez',
    'havirions',
    'havirons',
    'haviront',
    'havis',
    'havissaient',
    'havissais',
    'havissait',
    'havissant',
    'havisse',
    'havissent',
    'havisses',
    'havissez',
    'havissiez',
    'havissions',
    'havissons',
    'havit',
    'havons',
    'havre',
    'havres',
    'havresac',
    'havresacs',
    'havâmes',
    'havât',
    'havâtes',
    'havèrent',
    'havé',
    'havée',
    'havées',
    'havés',
    'havîmes',
    'havît',
    'havîtes',
    'hawaïen',
    'hawaïenne',
    'hawaïennes',
    'hawaïens',
    'hayon',
    'hayons',
    'haïe',
    'haïes',
    'haïk',
    'haïkaï',
    'haïkaïs',
    'haïks',
    'haïku',
    'haïkus',
    'haïmes',
    'haïr',
    'haïra',
    'haïrai',
    'haïraient',
    'haïrais',
    'haïrait',
    'haïras',
    'haïrent',
    'haïrez',
    'haïriez',
    'haïrions',
    'haïrons',
    'haïront',
    'haïs',
    'haïssable',
    'haïssables',
    'haïssaient',
    'haïssais',
    'haïssait',
    'haïssant',
    'haïsse',
    'haïssent',
    'haïsses',
    'haïssez',
    'haïssiez',
    'haïssions',
    'haïssons',
    'haït',
    'haïtes',
    'haïtien',
    'haïtienne',
    'haïtiennes',
    'haïtiens',
    'heaume',
    'heaumes',
    'heaumier',
    'heaumiers',
    'hebdomadaire',
    'hebdomadier',
    'hebdomadiers',
    'hebdomadière',
    'hectare',
    'hectares',
    'hectique',
    'hectiques',
    'hecto',
    'hectogramme',
    'hectogrammes',
    'hectolitre',
    'hectolitres',
    'hectomètre',
    'hectomètres',
    'hectos',
    'hectowatt',
    'hectowatts',
    'heiduque',
    'heiduques',
    'heimatlos',
    'hein',
    'hello',
    'hellène',
    'hellènes',
    'hellébore',
    'hellébores',
    'hellénique',
    'helléniques',
    'hellénisa',
    'hellénisai',
    'hellénisais',
    'hellénisait',
    'hellénisant',
    'hellénisante',
    'hellénisants',
    'hellénisas',
    'hellénisasse',
    'hellénise',
    'hellénisent',
    'helléniser',
    'hellénisera',
    'helléniserai',
    'helléniseras',
    'helléniserez',
    'hellénises',
    'hellénisez',
    'hellénisiez',
    'hellénisions',
    'hellénisme',
    'hellénismes',
    'hellénisons',
    'helléniste',
    'hellénistes',
    'hellénisâmes',
    'hellénisât',
    'hellénisâtes',
    'hellénisé',
    'hellénisée',
    'hellénisées',
    'hellénisés',
    'helminthe',
    'helminthes',
    'helminthiase',
    'helminthique',
    'helvelle',
    'helvelles',
    'helvète',
    'helvètes',
    'helvétique',
    'helvétiques',
    'helvétisme',
    'helvétismes',
    'hendécagone',
    'hendécagones',
    'henni',
    'hennie',
    'hennies',
    'hennin',
    'hennins',
    'hennir',
    'hennira',
    'hennirai',
    'henniraient',
    'hennirais',
    'hennirait',
    'henniras',
    'hennirent',
    'hennirez',
    'henniriez',
    'hennirions',
    'hennirons',
    'henniront',
    'hennis',
    'hennissaient',
    'hennissais',
    'hennissait',
    'hennissant',
    'hennissante',
    'hennissantes',
    'hennissants',
    'hennisse',
    'hennissement',
    'hennissent',
    'hennisses',
    'hennissez',
    'hennissiez',
    'hennissions',
    'hennissons',
    'hennit',
    'henné',
    'hennés',
    'hennîmes',
    'hennît',
    'hennîtes',
    'henriot',
    'henry',
    'henrys',
    'heptagonal',
    'heptagonale',
    'heptagonales',
    'heptagonaux',
    'heptagone',
    'heptagones',
    'heptamètre',
    'heptamètres',
    'heptaèdre',
    'heptaèdres',
    'herba',
    'herbacé',
    'herbacée',
    'herbacées',
    'herbacés',
    'herbage',
    'herbagea',
    'herbageai',
    'herbageaient',
    'herbageais',
    'herbageait',
    'herbageant',
    'herbageas',
    'herbageasse',
    'herbageasses',
    'herbagent',
    'herbageons',
    'herbager',
    'herbagera',
    'herbagerai',
    'herbagerais',
    'herbagerait',
    'herbageras',
    'herbagerez',
    'herbageriez',
    'herbagerions',
    'herbagerons',
    'herbageront',
    'herbages',
    'herbagez',
    'herbageâmes',
    'herbageât',
    'herbageâtes',
    'herbagiez',
    'herbagions',
    'herbagèrent',
    'herbagé',
    'herbagée',
    'herbagées',
    'herbagés',
    'herbai',
    'herbaient',
    'herbais',
    'herbait',
    'herbant',
    'herbas',
    'herbasse',
    'herbassent',
    'herbasses',
    'herbassiez',
    'herbassions',
    'herbe',
    'herbent',
    'herber',
    'herbera',
    'herberai',
    'herberaient',
    'herberais',
    'herberait',
    'herberas',
    'herberez',
    'herberie',
    'herberies',
    'herberiez',
    'herberions',
    'herberons',
    'herberont',
    'herbes',
    'herbette',
    'herbettes',
    'herbeuse',
    'herbeuses',
    'herbeux',
    'herbez',
    'herbicide',
    'herbicides',
    'herbier',
    'herbiers',
    'herbiez',
    'herbions',
    'herbivore',
    'herbivores',
    'herbons',
    'herborisa',
    'herborisai',
    'herborisais',
    'herborisait',
    'herborisant',
    'herborisas',
    'herborisasse',
    'herborise',
    'herborisent',
    'herboriser',
    'herborisera',
    'herboriserai',
    'herboriseras',
    'herboriserez',
    'herborises',
    'herborisez',
    'herborisiez',
    'herborisions',
    'herborisons',
    'herboriste',
    'herboristes',
    'herborisâmes',
    'herborisât',
    'herborisâtes',
    'herborisé',
    'herborisée',
    'herborisées',
    'herborisés',
    'herbu',
    'herbue',
    'herbues',
    'herbus',
    'herbâmes',
    'herbât',
    'herbâtes',
    'herbèrent',
    'herbé',
    'herbée',
    'herbées',
    'herbés',
    'hercher',
    'hercule',
    'hercules',
    'herculéen',
    'herculéenne',
    'herculéennes',
    'herculéens',
    'hercynien',
    'hercynienne',
    'hercyniennes',
    'hercyniens',
    'hermandad',
    'hermandads',
    'hermesse',
    'hermesses',
    'hermine',
    'hermines',
    'herminette',
    'herminettes',
    'herméticité',
    'herméticités',
    'hermétique',
    'hermétiques',
    'hermétisme',
    'hermétismes',
    'herniaire',
    'herniaires',
    'hernie',
    'hernies',
    'hernieuse',
    'hernieuses',
    'hernieux',
    'hernié',
    'herniée',
    'herniées',
    'herniés',
    'herpe',
    'herpes',
    'herpès',
    'herpétique',
    'herpétiques',
    'herpétologie',
    'hersa',
    'hersage',
    'hersages',
    'hersai',
    'hersaient',
    'hersais',
    'hersait',
    'hersant',
    'hersas',
    'hersasse',
    'hersassent',
    'hersasses',
    'hersassiez',
    'hersassions',
    'herschage',
    'herschages',
    'herscher',
    'herscheur',
    'herscheurs',
    'herscheuse',
    'herscheuses',
    'herse',
    'hersent',
    'herser',
    'hersera',
    'herserai',
    'herseraient',
    'herserais',
    'herserait',
    'herseras',
    'herserez',
    'herseriez',
    'herserions',
    'herserons',
    'herseront',
    'herses',
    'herseur',
    'herseurs',
    'herseuse',
    'herseuses',
    'hersez',
    'hersiez',
    'hersions',
    'hersons',
    'hersâmes',
    'hersât',
    'hersâtes',
    'hersèrent',
    'hersé',
    'hersée',
    'hersées',
    'hersés',
    'hertz',
    'hetman',
    'hetmans',
    'heur',
    'heure',
    'heures',
    'heureuse',
    'heureusement',
    'heureuses',
    'heureux',
    'heuristique',
    'heuristiques',
    'heurs',
    'heurt',
    'heurta',
    'heurtai',
    'heurtaient',
    'heurtais',
    'heurtait',
    'heurtant',
    'heurtas',
    'heurtasse',
    'heurtassent',
    'heurtasses',
    'heurtassiez',
    'heurtassions',
    'heurte',
    'heurtent',
    'heurter',
    'heurtera',
    'heurterai',
    'heurteraient',
    'heurterais',
    'heurterait',
    'heurteras',
    'heurterez',
    'heurteriez',
    'heurterions',
    'heurterons',
    'heurteront',
    'heurtes',
    'heurtez',
    'heurtiez',
    'heurtions',
    'heurtoir',
    'heurtoirs',
    'heurtons',
    'heurts',
    'heurtâmes',
    'heurtât',
    'heurtâtes',
    'heurtèrent',
    'heurté',
    'heurtée',
    'heurtées',
    'heurtés',
    'hexacorde',
    'hexacordes',
    'hexadécimal',
    'hexadécimale',
    'hexadécimaux',
    'hexagonal',
    'hexagonale',
    'hexagonales',
    'hexagonaux',
    'hexagone',
    'hexagones',
    'hexamètre',
    'hexamètres',
    'hexapode',
    'hexapodes',
    'hexaèdre',
    'hexaèdres',
    'hexose',
    'hexoses',
    'hiatal',
    'hiatale',
    'hiatales',
    'hiataux',
    'hiatus',
    'hiberna',
    'hibernai',
    'hibernaient',
    'hibernais',
    'hibernait',
    'hibernal',
    'hibernale',
    'hibernales',
    'hibernant',
    'hibernante',
    'hibernantes',
    'hibernants',
    'hibernas',
    'hibernasse',
    'hibernassent',
    'hibernasses',
    'hibernassiez',
    'hibernation',
    'hibernations',
    'hibernaux',
    'hiberne',
    'hibernent',
    'hiberner',
    'hibernera',
    'hibernerai',
    'hibernerais',
    'hibernerait',
    'hiberneras',
    'hibernerez',
    'hiberneriez',
    'hibernerions',
    'hibernerons',
    'hiberneront',
    'hibernes',
    'hibernez',
    'hiberniez',
    'hibernions',
    'hibernons',
    'hibernâmes',
    'hibernât',
    'hibernâtes',
    'hibernèrent',
    'hiberné',
    'hibernée',
    'hibernées',
    'hibernés',
    'hibiscus',
    'hibou',
    'hiboux',
    'hickory',
    'hickorys',
    'hidalgo',
    'hidalgos',
    'hideur',
    'hideurs',
    'hideuse',
    'hideusement',
    'hideuses',
    'hideux',
    'hier',
    'hies',
    'hilaire',
    'hilaires',
    'hilarant',
    'hilarante',
    'hilarantes',
    'hilarants',
    'hilare',
    'hilares',
    'hilarité',
    'hilarités',
    'himalayen',
    'himalayenne',
    'himalayennes',
    'himalayens',
    'himation',
    'himations',
    'hindi',
    'hindou',
    'hindoue',
    'hindoues',
    'hindouisme',
    'hindouismes',
    'hindouiste',
    'hindouistes',
    'hindous',
    'hindoustani',
    'hindoustanis',
    'hinterland',
    'hinterlands',
    'hipparchie',
    'hipparchies',
    'hipparion',
    'hipparions',
    'hipparque',
    'hipparques',
    'hippiatre',
    'hippiatres',
    'hippiatrie',
    'hippiatries',
    'hippiatrique',
    'hippie',
    'hippies',
    'hippique',
    'hippiques',
    'hippisme',
    'hippismes',
    'hippocampe',
    'hippocampes',
    'hippodrome',
    'hippodromes',
    'hippogriffe',
    'hippogriffes',
    'hippologie',
    'hippologies',
    'hippologique',
    'hippomobile',
    'hippomobiles',
    'hippopotame',
    'hippopotames',
    'hippurique',
    'hippuriques',
    'hippy',
    'hircin',
    'hircine',
    'hircines',
    'hircins',
    'hirondeau',
    'hirondeaux',
    'hirondelle',
    'hirondelles',
    'hirsute',
    'hirsutes',
    'hirsutisme',
    'hirsutismes',
    'hispanique',
    'hispaniques',
    'hispanisant',
    'hispanisante',
    'hispanisants',
    'hispanisme',
    'hispanismes',
    'hispide',
    'hispides',
    'hissa',
    'hissai',
    'hissaient',
    'hissais',
    'hissait',
    'hissant',
    'hissas',
    'hissasse',
    'hissassent',
    'hissasses',
    'hissassiez',
    'hissassions',
    'hisse',
    'hissent',
    'hisser',
    'hissera',
    'hisserai',
    'hisseraient',
    'hisserais',
    'hisserait',
    'hisseras',
    'hisserez',
    'hisseriez',
    'hisserions',
    'hisserons',
    'hisseront',
    'hisses',
    'hissez',
    'hissiez',
    'hissions',
    'hissons',
    'hissâmes',
    'hissât',
    'hissâtes',
    'hissèrent',
    'hissé',
    'hissée',
    'hissées',
    'hissés',
    'histamine',
    'histamines',
    'histaminique',
    'histidine',
    'histidines',
    'histochimie',
    'histogenèse',
    'histogenèses',
    'histogramme',
    'histogrammes',
    'histoire',
    'histoires',
    'histologie',
    'histologies',
    'histologique',
    'histolyse',
    'histolyses',
    'historia',
    'historiai',
    'historiaient',
    'historiais',
    'historiait',
    'historiant',
    'historias',
    'historiasse',
    'historiasses',
    'historicité',
    'historicités',
    'historie',
    'historien',
    'historienne',
    'historiennes',
    'historiens',
    'historient',
    'historier',
    'historiera',
    'historierai',
    'historierais',
    'historierait',
    'historieras',
    'historierez',
    'historieriez',
    'historierons',
    'historieront',
    'histories',
    'historiette',
    'historiettes',
    'historiez',
    'historiiez',
    'historiions',
    'historions',
    'historique',
    'historiques',
    'historisme',
    'historismes',
    'historiâmes',
    'historiât',
    'historiâtes',
    'historièrent',
    'historié',
    'historiée',
    'historiées',
    'historiés',
    'histrion',
    'histrions',
    'hitlérien',
    'hitlérienne',
    'hitlériennes',
    'hitlériens',
    'hitlérisme',
    'hitlérismes',
    'hittite',
    'hittites',
    'hiver',
    'hiverna',
    'hivernage',
    'hivernages',
    'hivernai',
    'hivernaient',
    'hivernais',
    'hivernait',
    'hivernal',
    'hivernale',
    'hivernales',
    'hivernant',
    'hivernante',
    'hivernantes',
    'hivernants',
    'hivernas',
    'hivernasse',
    'hivernassent',
    'hivernasses',
    'hivernassiez',
    'hivernaux',
    'hiverne',
    'hivernent',
    'hiverner',
    'hivernera',
    'hivernerai',
    'hivernerais',
    'hivernerait',
    'hiverneras',
    'hivernerez',
    'hiverneriez',
    'hivernerions',
    'hivernerons',
    'hiverneront',
    'hivernes',
    'hivernez',
    'hiverniez',
    'hivernions',
    'hivernons',
    'hivernâmes',
    'hivernât',
    'hivernâtes',
    'hivernèrent',
    'hiverné',
    'hivernée',
    'hivernées',
    'hivernés',
    'hivers',
    'hièble',
    'hièbles',
    'hiémal',
    'hiémale',
    'hiémales',
    'hiémaux',
    'hiérarchie',
    'hiérarchies',
    'hiérarchique',
    'hiérarchisa',
    'hiérarchisai',
    'hiérarchisas',
    'hiérarchise',
    'hiérarchiser',
    'hiérarchises',
    'hiérarchisez',
    'hiérarchisât',
    'hiérarchisé',
    'hiérarchisée',
    'hiérarchisés',
    'hiératique',
    'hiératiques',
    'hiératisme',
    'hiératismes',
    'hiéroglyphe',
    'hiéroglyphes',
    'hobbies',
    'hobby',
    'hobereau',
    'hobereaux',
    'hocco',
    'hoccos',
    'hocha',
    'hochai',
    'hochaient',
    'hochais',
    'hochait',
    'hochant',
    'hochas',
    'hochasse',
    'hochassent',
    'hochasses',
    'hochassiez',
    'hochassions',
    'hoche',
    'hochement',
    'hochements',
    'hochent',
    'hochequeue',
    'hochequeues',
    'hocher',
    'hochera',
    'hocherai',
    'hocheraient',
    'hocherais',
    'hocherait',
    'hocheras',
    'hocherez',
    'hocheriez',
    'hocherions',
    'hocherons',
    'hocheront',
    'hoches',
    'hochet',
    'hochets',
    'hochez',
    'hochiez',
    'hochions',
    'hochons',
    'hochâmes',
    'hochât',
    'hochâtes',
    'hochèrent',
    'hoché',
    'hochée',
    'hochées',
    'hochés',
    'hockey',
    'hockeyeur',
    'hockeyeurs',
    'hockeyeuse',
    'hockeyeuses',
    'hockeys',
    'hoir',
    'hoirie',
    'hoiries',
    'hoirs',
    'holding',
    'holdings',
    'hollandais',
    'hollandaise',
    'hollandaises',
    'hollande',
    'hollandes',
    'hollywoodien',
    'holmium',
    'holmiums',
    'holocauste',
    'holocaustes',
    'holocène',
    'holocènes',
    'hologramme',
    'hologrammes',
    'holographe',
    'holographes',
    'holographie',
    'holographies',
    'holoprotéine',
    'holoside',
    'holosides',
    'holothurie',
    'holothuries',
    'holà',
    'homard',
    'homarderie',
    'homarderies',
    'homards',
    'home',
    'homes',
    'homespun',
    'homespuns',
    'homicide',
    'homicides',
    'homilétique',
    'homilétiques',
    'hominisation',
    'hominisé',
    'hominisée',
    'hominisées',
    'hominisés',
    'hommage',
    'hommages',
    'hommasse',
    'hommasses',
    'homme',
    'hommes',
    'homo',
    'homocerque',
    'homocerques',
    'homochromie',
    'homochromies',
    'homocyclique',
    'homodonte',
    'homodontes',
    'homofocal',
    'homofocale',
    'homofocales',
    'homofocaux',
    'homographe',
    'homographes',
    'homogreffe',
    'homogreffes',
    'homogène',
    'homogènes',
    'homogénéifia',
    'homogénéifie',
    'homogénéifié',
    'homogénéisa',
    'homogénéisai',
    'homogénéisas',
    'homogénéise',
    'homogénéiser',
    'homogénéises',
    'homogénéisez',
    'homogénéisât',
    'homogénéisé',
    'homogénéisée',
    'homogénéisés',
    'homogénéité',
    'homogénéités',
    'homologation',
    'homologie',
    'homologies',
    'homologua',
    'homologuai',
    'homologuais',
    'homologuait',
    'homologuant',
    'homologuas',
    'homologuasse',
    'homologue',
    'homologuent',
    'homologuer',
    'homologuera',
    'homologuerai',
    'homologueras',
    'homologuerez',
    'homologues',
    'homologuez',
    'homologuiez',
    'homologuions',
    'homologuons',
    'homologuâmes',
    'homologuât',
    'homologuâtes',
    'homologué',
    'homologuée',
    'homologuées',
    'homologués',
    'homonyme',
    'homonymes',
    'homonymie',
    'homonymies',
    'homonymique',
    'homonymiques',
    'homophone',
    'homophones',
    'homophonie',
    'homophonies',
    'homos',
    'homosexuel',
    'homosexuelle',
    'homosexuels',
    'homothétie',
    'homothétique',
    'homozygotes',
    'homuncule',
    'homuncules',
    'homélie',
    'homélies',
    'homéopathe',
    'homéopathes',
    'homéopathie',
    'homéopathies',
    'homéostasie',
    'homéostasies',
    'homéostat',
    'homéostats',
    'homéotherme',
    'homéothermes',
    'homérique',
    'homériques',
    'hongra',
    'hongrai',
    'hongraient',
    'hongrais',
    'hongrait',
    'hongrant',
    'hongras',
    'hongrasse',
    'hongrassent',
    'hongrasses',
    'hongrassiez',
    'hongrassions',
    'hongre',
    'hongrent',
    'hongrer',
    'hongrera',
    'hongrerai',
    'hongreraient',
    'hongrerais',
    'hongrerait',
    'hongreras',
    'hongrerez',
    'hongreriez',
    'hongrerions',
    'hongrerons',
    'hongreront',
    'hongres',
    'hongrez',
    'hongriez',
    'hongrions',
    'hongroie',
    'hongroient',
    'hongroiera',
    'hongroierai',
    'hongroierais',
    'hongroierait',
    'hongroieras',
    'hongroierez',
    'hongroierie',
    'hongroieries',
    'hongroieriez',
    'hongroierons',
    'hongroieront',
    'hongroies',
    'hongrois',
    'hongroise',
    'hongroises',
    'hongrons',
    'hongroya',
    'hongroyage',
    'hongroyages',
    'hongroyai',
    'hongroyaient',
    'hongroyais',
    'hongroyait',
    'hongroyant',
    'hongroyas',
    'hongroyasse',
    'hongroyasses',
    'hongroyer',
    'hongroyeur',
    'hongroyeurs',
    'hongroyez',
    'hongroyiez',
    'hongroyions',
    'hongroyons',
    'hongroyâmes',
    'hongroyât',
    'hongroyâtes',
    'hongroyèrent',
    'hongroyé',
    'hongroyée',
    'hongroyées',
    'hongroyés',
    'hongrâmes',
    'hongrât',
    'hongrâtes',
    'hongrèrent',
    'hongré',
    'hongrée',
    'hongrées',
    'hongrés',
    'honneur',
    'honneurs',
    'honni',
    'honnie',
    'honnies',
    'honnir',
    'honnira',
    'honnirai',
    'honniraient',
    'honnirais',
    'honnirait',
    'honniras',
    'honnirent',
    'honnirez',
    'honniriez',
    'honnirions',
    'honnirons',
    'honniront',
    'honnis',
    'honnissaient',
    'honnissais',
    'honnissait',
    'honnissant',
    'honnisse',
    'honnissent',
    'honnisses',
    'honnissez',
    'honnissiez',
    'honnissions',
    'honnissons',
    'honnit',
    'honnête',
    'honnêtement',
    'honnêtes',
    'honnêteté',
    'honnêtetés',
    'honnîmes',
    'honnît',
    'honnîtes',
    'honora',
    'honorabilité',
    'honorable',
    'honorables',
    'honorai',
    'honoraient',
    'honoraire',
    'honoraires',
    'honorais',
    'honorait',
    'honorant',
    'honorariat',
    'honorariats',
    'honoras',
    'honorasse',
    'honorassent',
    'honorasses',
    'honorassiez',
    'honorassions',
    'honore',
    'honorent',
    'honorer',
    'honorera',
    'honorerai',
    'honoreraient',
    'honorerais',
    'honorerait',
    'honoreras',
    'honorerez',
    'honoreriez',
    'honorerions',
    'honorerons',
    'honoreront',
    'honores',
    'honorez',
    'honoriez',
    'honorifique',
    'honorifiques',
    'honorions',
    'honorons',
    'honorâmes',
    'honorât',
    'honorâtes',
    'honorèrent',
    'honoré',
    'honorée',
    'honorées',
    'honorés',
    'honte',
    'hontes',
    'honteuse',
    'honteusement',
    'honteuses',
    'honteux',
    'hooligan',
    'hooligans',
    'hoplite',
    'hoplites',
    'hoquet',
    'hoqueta',
    'hoquetai',
    'hoquetaient',
    'hoquetais',
    'hoquetait',
    'hoquetant',
    'hoquetas',
    'hoquetasse',
    'hoquetassent',
    'hoquetasses',
    'hoquetassiez',
    'hoqueter',
    'hoquetez',
    'hoquetiez',
    'hoquetions',
    'hoqueton',
    'hoquetons',
    'hoquets',
    'hoquette',
    'hoquettent',
    'hoquettera',
    'hoquetterai',
    'hoquetterais',
    'hoquetterait',
    'hoquetteras',
    'hoquetterez',
    'hoquetteriez',
    'hoquetterons',
    'hoquetteront',
    'hoquettes',
    'hoquetâmes',
    'hoquetât',
    'hoquetâtes',
    'hoquetèrent',
    'hoqueté',
    'hoquetée',
    'hoquetées',
    'hoquetés',
    'horaire',
    'horaires',
    'horde',
    'hordes',
    'hordéine',
    'hordéines',
    'horion',
    'horions',
    'horizon',
    'horizons',
    'horizontal',
    'horizontale',
    'horizontales',
    'horizontaux',
    'horloge',
    'horloger',
    'horlogerie',
    'horlogeries',
    'horlogers',
    'horloges',
    'horlogère',
    'horlogères',
    'hormis',
    'hormona',
    'hormonai',
    'hormonaient',
    'hormonais',
    'hormonait',
    'hormonal',
    'hormonale',
    'hormonales',
    'hormonant',
    'hormonas',
    'hormonasse',
    'hormonassent',
    'hormonasses',
    'hormonassiez',
    'hormonaux',
    'hormone',
    'hormonent',
    'hormoner',
    'hormonera',
    'hormonerai',
    'hormonerais',
    'hormonerait',
    'hormoneras',
    'hormonerez',
    'hormoneriez',
    'hormonerions',
    'hormonerons',
    'hormoneront',
    'hormones',
    'hormonez',
    'hormoniez',
    'hormonions',
    'hormonons',
    'hormonâmes',
    'hormonât',
    'hormonâtes',
    'hormonèrent',
    'hormoné',
    'hormonée',
    'hormonées',
    'hormonés',
    'hornblende',
    'hornblendes',
    'horodateur',
    'horodateurs',
    'horodaté',
    'horodatée',
    'horodatées',
    'horodatés',
    'horoscope',
    'horoscopes',
    'horreur',
    'horreurs',
    'horrible',
    'horriblement',
    'horribles',
    'horrifia',
    'horrifiai',
    'horrifiaient',
    'horrifiais',
    'horrifiait',
    'horrifiant',
    'horrifiante',
    'horrifiantes',
    'horrifiants',
    'horrifias',
    'horrifiasse',
    'horrifiasses',
    'horrifie',
    'horrifient',
    'horrifier',
    'horrifiera',
    'horrifierai',
    'horrifierais',
    'horrifierait',
    'horrifieras',
    'horrifierez',
    'horrifieriez',
    'horrifierons',
    'horrifieront',
    'horrifies',
    'horrifiez',
    'horrifiiez',
    'horrifiions',
    'horrifions',
    'horrifique',
    'horrifiques',
    'horrifiâmes',
    'horrifiât',
    'horrifiâtes',
    'horrifièrent',
    'horrifié',
    'horrifiée',
    'horrifiées',
    'horrifiés',
    'horripila',
    'horripilai',
    'horripilais',
    'horripilait',
    'horripilant',
    'horripilante',
    'horripilants',
    'horripilas',
    'horripilasse',
    'horripile',
    'horripilent',
    'horripiler',
    'horripilera',
    'horripilerai',
    'horripileras',
    'horripilerez',
    'horripiles',
    'horripilez',
    'horripiliez',
    'horripilions',
    'horripilons',
    'horripilâmes',
    'horripilât',
    'horripilâtes',
    'horripilé',
    'horripilée',
    'horripilées',
    'horripilés',
    'hors',
    'horst',
    'horsts',
    'hortensia',
    'hortensias',
    'horticole',
    'horticoles',
    'horticulteur',
    'horticulture',
    'hosanna',
    'hosannas',
    'hospice',
    'hospices',
    'hospitalier',
    'hospitaliers',
    'hospitalisa',
    'hospitalisai',
    'hospitalisas',
    'hospitalise',
    'hospitaliser',
    'hospitalises',
    'hospitalisez',
    'hospitalisme',
    'hospitalisât',
    'hospitalisé',
    'hospitalisée',
    'hospitalisés',
    'hospitalité',
    'hospitalités',
    'hospitalière',
    'hospodar',
    'hospodars',
    'hostellerie',
    'hostelleries',
    'hostie',
    'hosties',
    'hostile',
    'hostilement',
    'hostiles',
    'hostilité',
    'hostilités',
    'hosto',
    'hostos',
    'hotte',
    'hottentot',
    'hottentote',
    'hottentotes',
    'hottentots',
    'hotter',
    'hottereau',
    'hottereaux',
    'hotteret',
    'hotterets',
    'hottes',
    'hottée',
    'hottées',
    'houa',
    'houache',
    'houaches',
    'houai',
    'houaiche',
    'houaiches',
    'houaient',
    'houais',
    'houait',
    'houant',
    'houas',
    'houasse',
    'houassent',
    'houasses',
    'houassiez',
    'houassions',
    'houblon',
    'houblonna',
    'houblonnage',
    'houblonnages',
    'houblonnai',
    'houblonnais',
    'houblonnait',
    'houblonnant',
    'houblonnas',
    'houblonnasse',
    'houblonne',
    'houblonnent',
    'houblonner',
    'houblonnera',
    'houblonnerai',
    'houblonneras',
    'houblonnerez',
    'houblonnes',
    'houblonnez',
    'houblonnier',
    'houblonniers',
    'houblonniez',
    'houblonnions',
    'houblonnière',
    'houblonnons',
    'houblonnâmes',
    'houblonnât',
    'houblonnâtes',
    'houblonné',
    'houblonnée',
    'houblonnées',
    'houblonnés',
    'houblons',
    'houdan',
    'houdans',
    'houe',
    'houent',
    'houer',
    'houera',
    'houerai',
    'houeraient',
    'houerais',
    'houerait',
    'houeras',
    'houerez',
    'houeriez',
    'houerions',
    'houerons',
    'houeront',
    'houes',
    'houez',
    'houiez',
    'houille',
    'houiller',
    'houillers',
    'houilles',
    'houillère',
    'houillères',
    'houions',
    'houka',
    'houkas',
    'houle',
    'houles',
    'houlette',
    'houlettes',
    'houleuse',
    'houleuses',
    'houleux',
    'houlque',
    'houlques',
    'houons',
    'houp',
    'houppa',
    'houppai',
    'houppaient',
    'houppais',
    'houppait',
    'houppant',
    'houppas',
    'houppasse',
    'houppassent',
    'houppasses',
    'houppassiez',
    'houppassions',
    'houppe',
    'houppelande',
    'houppelandes',
    'houppent',
    'houpper',
    'houppera',
    'houpperai',
    'houpperaient',
    'houpperais',
    'houpperait',
    'houpperas',
    'houpperez',
    'houpperiez',
    'houpperions',
    'houpperons',
    'houpperont',
    'houppes',
    'houppette',
    'houppettes',
    'houppez',
    'houppier',
    'houppiers',
    'houppiez',
    'houppions',
    'houppons',
    'houppâmes',
    'houppât',
    'houppâtes',
    'houppèrent',
    'houppé',
    'houppée',
    'houppées',
    'houppés',
    'houque',
    'houques',
    'hourd',
    'hourda',
    'hourdage',
    'hourdages',
    'hourdai',
    'hourdaient',
    'hourdais',
    'hourdait',
    'hourdant',
    'hourdas',
    'hourdasse',
    'hourdassent',
    'hourdasses',
    'hourdassiez',
    'hourdassions',
    'hourde',
    'hourdent',
    'hourder',
    'hourdera',
    'hourderai',
    'hourderaient',
    'hourderais',
    'hourderait',
    'hourderas',
    'hourderez',
    'hourderiez',
    'hourderions',
    'hourderons',
    'hourderont',
    'hourdes',
    'hourdez',
    'hourdi',
    'hourdie',
    'hourdies',
    'hourdiez',
    'hourdions',
    'hourdir',
    'hourdira',
    'hourdirai',
    'hourdiraient',
    'hourdirais',
    'hourdirait',
    'hourdiras',
    'hourdirent',
    'hourdirez',
    'hourdiriez',
    'hourdirions',
    'hourdirons',
    'hourdiront',
    'hourdis',
    'hourdissais',
    'hourdissait',
    'hourdissant',
    'hourdisse',
    'hourdissent',
    'hourdisses',
    'hourdissez',
    'hourdissiez',
    'hourdissions',
    'hourdissons',
    'hourdit',
    'hourdons',
    'hourds',
    'hourdâmes',
    'hourdât',
    'hourdâtes',
    'hourdèrent',
    'hourdé',
    'hourdée',
    'hourdées',
    'hourdés',
    'hourdîmes',
    'hourdît',
    'hourdîtes',
    'houri',
    'houris',
    'hourque',
    'hourques',
    'hourra',
    'hourras',
    'hourvari',
    'hourvaris',
    'houseau',
    'houseaux',
    'houspilla',
    'houspillai',
    'houspillais',
    'houspillait',
    'houspillant',
    'houspillas',
    'houspillasse',
    'houspille',
    'houspillent',
    'houspiller',
    'houspillera',
    'houspillerai',
    'houspilleras',
    'houspillerez',
    'houspilles',
    'houspilleur',
    'houspilleurs',
    'houspilleuse',
    'houspillez',
    'houspilliez',
    'houspillions',
    'houspillons',
    'houspillâmes',
    'houspillât',
    'houspillâtes',
    'houspillé',
    'houspillée',
    'houspillées',
    'houspillés',
    'houssa',
    'houssai',
    'houssaie',
    'houssaient',
    'houssaies',
    'houssais',
    'houssait',
    'houssant',
    'houssas',
    'houssasse',
    'houssassent',
    'houssasses',
    'houssassiez',
    'houssassions',
    'housse',
    'houssent',
    'housser',
    'houssera',
    'housserai',
    'housseraient',
    'housserais',
    'housserait',
    'housseras',
    'housserez',
    'housseriez',
    'housserions',
    'housserons',
    'housseront',
    'housses',
    'houssez',
    'houssiez',
    'houssine',
    'houssiner',
    'houssines',
    'houssions',
    'houssoir',
    'houssoirs',
    'houssons',
    'houssâmes',
    'houssât',
    'houssâtes',
    'houssèrent',
    'houssé',
    'houssée',
    'houssées',
    'houssés',
    'houx',
    'houâmes',
    'houât',
    'houâtes',
    'houèrent',
    'houé',
    'houée',
    'houées',
    'houés',
    'hovercraft',
    'hovercrafts',
    'hoyau',
    'hoyaux',
    'huai',
    'huaient',
    'huais',
    'huait',
    'huant',
    'huard',
    'huards',
    'huart',
    'huarts',
    'huas',
    'huasse',
    'huassent',
    'huasses',
    'huassiez',
    'huassions',
    'hublot',
    'hublots',
    'hucha',
    'huchai',
    'huchaient',
    'huchais',
    'huchait',
    'huchant',
    'huchas',
    'huchasse',
    'huchassent',
    'huchasses',
    'huchassiez',
    'huchassions',
    'huche',
    'huchent',
    'hucher',
    'huchera',
    'hucherai',
    'hucheraient',
    'hucherais',
    'hucherait',
    'hucheras',
    'hucherez',
    'hucheriez',
    'hucherions',
    'hucherons',
    'hucheront',
    'huches',
    'huchet',
    'huchets',
    'huchez',
    'huchiez',
    'huchions',
    'huchons',
    'huchâmes',
    'huchât',
    'huchâtes',
    'huchèrent',
    'huché',
    'huchée',
    'huchées',
    'huchés',
    'huent',
    'huer',
    'huera',
    'huerai',
    'hueraient',
    'huerais',
    'huerait',
    'hueras',
    'huerez',
    'hueriez',
    'huerions',
    'huerons',
    'hueront',
    'huerta',
    'huertas',
    'hues',
    'huez',
    'huguenot',
    'huguenote',
    'huguenotes',
    'huguenots',
    'huiez',
    'huila',
    'huilage',
    'huilages',
    'huilai',
    'huilaient',
    'huilais',
    'huilait',
    'huilant',
    'huilas',
    'huilasse',
    'huilassent',
    'huilasses',
    'huilassiez',
    'huilassions',
    'huile',
    'huilent',
    'huiler',
    'huilera',
    'huilerai',
    'huileraient',
    'huilerais',
    'huilerait',
    'huileras',
    'huilerez',
    'huilerie',
    'huileries',
    'huileriez',
    'huilerions',
    'huilerons',
    'huileront',
    'huiles',
    'huileuse',
    'huileuses',
    'huileux',
    'huilez',
    'huilier',
    'huiliers',
    'huiliez',
    'huilions',
    'huilons',
    'huilâmes',
    'huilât',
    'huilâtes',
    'huilèrent',
    'huilé',
    'huilée',
    'huilées',
    'huilés',
    'huions',
    'huis',
    'huisserie',
    'huisseries',
    'huissier',
    'huissiers',
    'huit',
    'huitain',
    'huitaine',
    'huitaines',
    'huitains',
    'huitième',
    'huitièmement',
    'huitièmes',
    'hulotte',
    'hulottes',
    'hulula',
    'hululai',
    'hululaient',
    'hululais',
    'hululait',
    'hululant',
    'hululas',
    'hululasse',
    'hululassent',
    'hululasses',
    'hululassiez',
    'hululassions',
    'hulule',
    'hululement',
    'hululements',
    'hululent',
    'hululer',
    'hululera',
    'hululerai',
    'hululeraient',
    'hululerais',
    'hululerait',
    'hululeras',
    'hululerez',
    'hululeriez',
    'hululerions',
    'hululerons',
    'hululeront',
    'hulules',
    'hululez',
    'hululiez',
    'hululions',
    'hululons',
    'hululâmes',
    'hululât',
    'hululâtes',
    'hululèrent',
    'hululé',
    'hululée',
    'hululées',
    'hululés',
    'huma',
    'humage',
    'humages',
    'humai',
    'humaient',
    'humain',
    'humaine',
    'humainement',
    'humaines',
    'humains',
    'humais',
    'humait',
    'humanisa',
    'humanisai',
    'humanisaient',
    'humanisais',
    'humanisait',
    'humanisant',
    'humanisas',
    'humanisasse',
    'humanisasses',
    'humanisation',
    'humanise',
    'humanisent',
    'humaniser',
    'humanisera',
    'humaniserai',
    'humaniserais',
    'humaniserait',
    'humaniseras',
    'humaniserez',
    'humaniseriez',
    'humaniserons',
    'humaniseront',
    'humanises',
    'humanisez',
    'humanisiez',
    'humanisions',
    'humanisme',
    'humanismes',
    'humanisons',
    'humaniste',
    'humanistes',
    'humanisâmes',
    'humanisât',
    'humanisâtes',
    'humanisèrent',
    'humanisé',
    'humanisée',
    'humanisées',
    'humanisés',
    'humanitaire',
    'humanitaires',
    'humanité',
    'humanités',
    'humanoïde',
    'humanoïdes',
    'humant',
    'humas',
    'humasse',
    'humassent',
    'humasses',
    'humassiez',
    'humassions',
    'humble',
    'humblement',
    'humbles',
    'hume',
    'humecta',
    'humectage',
    'humectages',
    'humectai',
    'humectaient',
    'humectais',
    'humectait',
    'humectant',
    'humectas',
    'humectasse',
    'humectassent',
    'humectasses',
    'humectassiez',
    'humecte',
    'humectent',
    'humecter',
    'humectera',
    'humecterai',
    'humecterais',
    'humecterait',
    'humecteras',
    'humecterez',
    'humecteriez',
    'humecterions',
    'humecterons',
    'humecteront',
    'humectes',
    'humectez',
    'humectiez',
    'humections',
    'humectons',
    'humectâmes',
    'humectât',
    'humectâtes',
    'humectèrent',
    'humecté',
    'humectée',
    'humectées',
    'humectés',
    'hument',
    'humer',
    'humera',
    'humerai',
    'humeraient',
    'humerais',
    'humerait',
    'humeras',
    'humerez',
    'humeriez',
    'humerions',
    'humerons',
    'humeront',
    'humes',
    'humeur',
    'humeurs',
    'humez',
    'humide',
    'humides',
    'humidifia',
    'humidifiai',
    'humidifiais',
    'humidifiait',
    'humidifiant',
    'humidifias',
    'humidifiasse',
    'humidifie',
    'humidifient',
    'humidifier',
    'humidifiera',
    'humidifierai',
    'humidifieras',
    'humidifierez',
    'humidifies',
    'humidifiez',
    'humidifiiez',
    'humidifiions',
    'humidifions',
    'humidifiâmes',
    'humidifiât',
    'humidifiâtes',
    'humidifié',
    'humidifiée',
    'humidifiées',
    'humidifiés',
    'humidité',
    'humidités',
    'humiez',
    'humification',
    'humilia',
    'humiliai',
    'humiliaient',
    'humiliais',
    'humiliait',
    'humiliant',
    'humiliante',
    'humiliantes',
    'humiliants',
    'humilias',
    'humiliasse',
    'humiliassent',
    'humiliasses',
    'humiliassiez',
    'humiliation',
    'humiliations',
    'humilie',
    'humilient',
    'humilier',
    'humiliera',
    'humilierai',
    'humilierais',
    'humilierait',
    'humilieras',
    'humilierez',
    'humilieriez',
    'humilierions',
    'humilierons',
    'humilieront',
    'humilies',
    'humiliez',
    'humiliiez',
    'humiliions',
    'humilions',
    'humilité',
    'humilités',
    'humiliâmes',
    'humiliât',
    'humiliâtes',
    'humilièrent',
    'humilié',
    'humiliée',
    'humiliées',
    'humiliés',
    'humions',
    'humons',
    'humoral',
    'humorale',
    'humorales',
    'humoraux',
    'humorisme',
    'humorismes',
    'humoriste',
    'humoristes',
    'humoristique',
    'humour',
    'humours',
    'humus',
    'humâmes',
    'humât',
    'humâtes',
    'humèrent',
    'humé',
    'humée',
    'humées',
    'huméral',
    'humérale',
    'humérales',
    'huméraux',
    'humérus',
    'humés',
    'hune',
    'hunes',
    'hunier',
    'huniers',
    'huons',
    'huotte',
    'huottes',
    'huppe',
    'huppes',
    'huppé',
    'huppée',
    'huppées',
    'huppés',
    'hurdler',
    'hurdlers',
    'hure',
    'hures',
    'hurla',
    'hurlai',
    'hurlaient',
    'hurlais',
    'hurlait',
    'hurlant',
    'hurlante',
    'hurlantes',
    'hurlants',
    'hurlas',
    'hurlasse',
    'hurlassent',
    'hurlasses',
    'hurlassiez',
    'hurlassions',
    'hurle',
    'hurlement',
    'hurlements',
    'hurlent',
    'hurler',
    'hurlera',
    'hurlerai',
    'hurleraient',
    'hurlerais',
    'hurlerait',
    'hurleras',
    'hurlerez',
    'hurleriez',
    'hurlerions',
    'hurlerons',
    'hurleront',
    'hurles',
    'hurleur',
    'hurleurs',
    'hurleuse',
    'hurleuses',
    'hurlez',
    'hurliez',
    'hurlions',
    'hurlons',
    'hurluberlu',
    'hurluberlue',
    'hurluberlues',
    'hurluberlus',
    'hurlâmes',
    'hurlât',
    'hurlâtes',
    'hurlèrent',
    'hurlé',
    'hurlée',
    'hurlées',
    'hurlés',
    'huron',
    'huronien',
    'huronienne',
    'huroniennes',
    'huroniens',
    'huronne',
    'huronnes',
    'hurons',
    'hurrah',
    'hurrahs',
    'hurricane',
    'hurricanes',
    'hussard',
    'hussarde',
    'hussardes',
    'hussards',
    'hussite',
    'hussites',
    'hutinet',
    'hutinets',
    'hutte',
    'huttes',
    'huâmes',
    'huât',
    'huâtes',
    'huèrent',
    'huée',
    'huées',
    'hués',
    'huître',
    'huîtres',
    'huîtrier',
    'huîtriers',
    'huîtrière',
    'huîtrières',
    'hyacinthe',
    'hyacinthes',
    'hyalin',
    'hyaline',
    'hyalines',
    'hyalins',
    'hyalite',
    'hyalites',
    'hyaloïde',
    'hyaloïdes',
    'hybrida',
    'hybridai',
    'hybridaient',
    'hybridais',
    'hybridait',
    'hybridant',
    'hybridas',
    'hybridasse',
    'hybridassent',
    'hybridasses',
    'hybridassiez',
    'hybridation',
    'hybridations',
    'hybride',
    'hybrident',
    'hybrider',
    'hybridera',
    'hybriderai',
    'hybriderais',
    'hybriderait',
    'hybrideras',
    'hybriderez',
    'hybrideriez',
    'hybriderions',
    'hybriderons',
    'hybrideront',
    'hybrides',
    'hybridez',
    'hybridiez',
    'hybridions',
    'hybridisme',
    'hybridismes',
    'hybridité',
    'hybridités',
    'hybridons',
    'hybridâmes',
    'hybridât',
    'hybridâtes',
    'hybridèrent',
    'hybridé',
    'hybridée',
    'hybridées',
    'hybridés',
    'hydarthrose',
    'hydarthroses',
    'hydatide',
    'hydatides',
    'hydne',
    'hydnes',
    'hydracide',
    'hydracides',
    'hydrata',
    'hydratable',
    'hydratables',
    'hydratai',
    'hydrataient',
    'hydratais',
    'hydratait',
    'hydratant',
    'hydratante',
    'hydratantes',
    'hydratants',
    'hydratas',
    'hydratasse',
    'hydratassent',
    'hydratasses',
    'hydratassiez',
    'hydratation',
    'hydratations',
    'hydrate',
    'hydratent',
    'hydrater',
    'hydratera',
    'hydraterai',
    'hydraterais',
    'hydraterait',
    'hydrateras',
    'hydraterez',
    'hydrateriez',
    'hydraterions',
    'hydraterons',
    'hydrateront',
    'hydrates',
    'hydratez',
    'hydratiez',
    'hydrations',
    'hydratons',
    'hydratâmes',
    'hydratât',
    'hydratâtes',
    'hydratèrent',
    'hydraté',
    'hydratée',
    'hydratées',
    'hydratés',
    'hydraulicien',
    'hydraulique',
    'hydrauliques',
    'hydravion',
    'hydravions',
    'hydrazine',
    'hydrazines',
    'hydre',
    'hydres',
    'hydrie',
    'hydries',
    'hydrique',
    'hydriques',
    'hydrocarboné',
    'hydrocarbure',
    'hydrocotyle',
    'hydrocotyles',
    'hydrocution',
    'hydrocutions',
    'hydrocèle',
    'hydrocèles',
    'hydrocéphale',
    'hydrofoil',
    'hydrofoils',
    'hydrofuge',
    'hydrofugea',
    'hydrofugeai',
    'hydrofugeais',
    'hydrofugeait',
    'hydrofugeant',
    'hydrofugeas',
    'hydrofugent',
    'hydrofugeons',
    'hydrofuger',
    'hydrofugera',
    'hydrofugerai',
    'hydrofugeras',
    'hydrofugerez',
    'hydrofuges',
    'hydrofugez',
    'hydrofugeât',
    'hydrofugiez',
    'hydrofugions',
    'hydrofugé',
    'hydrofugée',
    'hydrofugées',
    'hydrofugés',
    'hydrographe',
    'hydrographes',
    'hydrographie',
    'hydrogène',
    'hydrogènent',
    'hydrogènes',
    'hydrogéna',
    'hydrogénai',
    'hydrogénais',
    'hydrogénait',
    'hydrogénant',
    'hydrogénas',
    'hydrogénasse',
    'hydrogéner',
    'hydrogénera',
    'hydrogénerai',
    'hydrogéneras',
    'hydrogénerez',
    'hydrogénez',
    'hydrogéniez',
    'hydrogénions',
    'hydrogénons',
    'hydrogénâmes',
    'hydrogénât',
    'hydrogénâtes',
    'hydrogéné',
    'hydrogénée',
    'hydrogénées',
    'hydrogénés',
    'hydrolase',
    'hydrolases',
    'hydrolat',
    'hydrolats',
    'hydrolithe',
    'hydrolithes',
    'hydrologie',
    'hydrologies',
    'hydrologique',
    'hydrologiste',
    'hydrologue',
    'hydrologues',
    'hydrolysa',
    'hydrolysable',
    'hydrolysai',
    'hydrolysais',
    'hydrolysait',
    'hydrolysant',
    'hydrolysas',
    'hydrolysasse',
    'hydrolyse',
    'hydrolysent',
    'hydrolyser',
    'hydrolysera',
    'hydrolyserai',
    'hydrolyseras',
    'hydrolyserez',
    'hydrolyses',
    'hydrolysez',
    'hydrolysiez',
    'hydrolysions',
    'hydrolysons',
    'hydrolysâmes',
    'hydrolysât',
    'hydrolysâtes',
    'hydrolysé',
    'hydrolysée',
    'hydrolysées',
    'hydrolysés',
    'hydromel',
    'hydromels',
    'hydrominéral',
    'hydromètre',
    'hydromètres',
    'hydrométrie',
    'hydrométries',
    'hydrométéore',
    'hydrophile',
    'hydrophiles',
    'hydrophobe',
    'hydrophobes',
    'hydrophobie',
    'hydrophobies',
    'hydropique',
    'hydropiques',
    'hydropisie',
    'hydropisies',
    'hydroquinone',
    'hydrosoluble',
    'hydrosphère',
    'hydrosphères',
    'hydroxyde',
    'hydroxydes',
    'hydrure',
    'hydrures',
    'hydrémie',
    'hydrémies',
    'hygiène',
    'hygiènes',
    'hygiénique',
    'hygiéniques',
    'hygiéniste',
    'hygiénistes',
    'hygroma',
    'hygromas',
    'hygromètre',
    'hygromètres',
    'hygrométrie',
    'hygrométries',
    'hygrophile',
    'hygrophiles',
    'hygrophobe',
    'hygrophobes',
    'hygroscope',
    'hygroscopes',
    'hygroscopie',
    'hygroscopies',
    'hylozoïsme',
    'hylozoïsmes',
    'hymen',
    'hymens',
    'hymne',
    'hymnes',
    'hyménée',
    'hyménées',
    'hyoïde',
    'hyoïdes',
    'hyoïdien',
    'hyoïdienne',
    'hyoïdiennes',
    'hyoïdiens',
    'hypallage',
    'hypallages',
    'hyperacidité',
    'hyperacousie',
    'hyperactif',
    'hyperactifs',
    'hyperactive',
    'hyperactives',
    'hyperalgie',
    'hyperalgies',
    'hyperalgésie',
    'hyperbate',
    'hyperbates',
    'hyperbole',
    'hyperboles',
    'hyperbolique',
    'hyperboloïde',
    'hyperboréen',
    'hyperboréens',
    'hypercapnie',
    'hypercapnies',
    'hyperchrome',
    'hyperchromes',
    'hyperchromie',
    'hypercorrect',
    'hyperdulie',
    'hyperdulies',
    'hypergenèse',
    'hypergenèses',
    'hyperlipémie',
    'hypermarché',
    'hypermarchés',
    'hypermnésie',
    'hypermnésies',
    'hypermètre',
    'hypermètres',
    'hypermétrope',
    'hypernerveux',
    'hyperplasie',
    'hyperplasies',
    'hyperref',
    'hypersonique',
    'hypertendu',
    'hypertendue',
    'hypertendues',
    'hypertendus',
    'hypertension',
    'hyperthermie',
    'hypertonie',
    'hypertonies',
    'hypertrophie',
    'hypertrophié',
    'hypertélie',
    'hypertélies',
    'hypnose',
    'hypnoses',
    'hypnotique',
    'hypnotiques',
    'hypnotisa',
    'hypnotisai',
    'hypnotisais',
    'hypnotisait',
    'hypnotisant',
    'hypnotisas',
    'hypnotisasse',
    'hypnotise',
    'hypnotisent',
    'hypnotiser',
    'hypnotisera',
    'hypnotiserai',
    'hypnotiseras',
    'hypnotiserez',
    'hypnotises',
    'hypnotiseur',
    'hypnotiseurs',
    'hypnotiseuse',
    'hypnotisez',
    'hypnotisiez',
    'hypnotisions',
    'hypnotisme',
    'hypnotismes',
    'hypnotisons',
    'hypnotisâmes',
    'hypnotisât',
    'hypnotisâtes',
    'hypnotisé',
    'hypnotisée',
    'hypnotisées',
    'hypnotisés',
    'hypoacousie',
    'hypoacousies',
    'hypocauste',
    'hypocaustes',
    'hypocentre',
    'hypocentres',
    'hypochloreux',
    'hypochlorite',
    'hypochrome',
    'hypochromes',
    'hypocondre',
    'hypocondres',
    'hypocondrie',
    'hypocondries',
    'hypocras',
    'hypocrisie',
    'hypocrisies',
    'hypocrite',
    'hypocrites',
    'hypoderme',
    'hypodermes',
    'hypodermique',
    'hypodermose',
    'hypodermoses',
    'hypogastre',
    'hypogastres',
    'hypoglosse',
    'hypoglosses',
    'hypoglycémie',
    'hypogyne',
    'hypogynes',
    'hypogé',
    'hypogée',
    'hypogées',
    'hypogés',
    'hypolipémie',
    'hypolipémies',
    'hypophysaire',
    'hypophyse',
    'hypophyses',
    'hypospadias',
    'hypostase',
    'hypostases',
    'hypostasia',
    'hypostasiai',
    'hypostasiais',
    'hypostasiait',
    'hypostasiant',
    'hypostasias',
    'hypostasie',
    'hypostasient',
    'hypostasier',
    'hypostasiera',
    'hypostasies',
    'hypostasiez',
    'hypostasiiez',
    'hypostasions',
    'hypostasiât',
    'hypostasié',
    'hypostasiée',
    'hypostasiées',
    'hypostasiés',
    'hypostatique',
    'hypostyle',
    'hypostyles',
    'hyposulfite',
    'hyposulfites',
    'hypotendu',
    'hypotendue',
    'hypotendues',
    'hypotendus',
    'hypotension',
    'hypotensions',
    'hypothalamus',
    'hypothermie',
    'hypothermies',
    'hypothèque',
    'hypothèquent',
    'hypothèques',
    'hypothèse',
    'hypothèses',
    'hypothécable',
    'hypothécaire',
    'hypothénar',
    'hypothénars',
    'hypothéqua',
    'hypothéquai',
    'hypothéquais',
    'hypothéquait',
    'hypothéquant',
    'hypothéquas',
    'hypothéquer',
    'hypothéquera',
    'hypothéquez',
    'hypothéquiez',
    'hypothéquons',
    'hypothéquât',
    'hypothéqué',
    'hypothéquée',
    'hypothéquées',
    'hypothéqués',
    'hypothétique',
    'hypotonie',
    'hypotonies',
    'hypotonique',
    'hypotoniques',
    'hypotrophie',
    'hypotrophies',
    'hypoténuse',
    'hypoténuses',
    'hypéron',
    'hypérons',
    'hysope',
    'hysopes',
    'hystérie',
    'hystéries',
    'hystérique',
    'hystériques',
    'hyène',
    'hyènes',
    'hâblerie',
    'hâbleries',
    'hâbleur',
    'hâbleurs',
    'hâbleuse',
    'hâbleuses',
    'hâla',
    'hâlai',
    'hâlaient',
    'hâlais',
    'hâlait',
    'hâlant',
    'hâlas',
    'hâlasse',
    'hâlassent',
    'hâlasses',
    'hâlassiez',
    'hâlassions',
    'hâle',
    'hâlent',
    'hâler',
    'hâlera',
    'hâlerai',
    'hâleraient',
    'hâlerais',
    'hâlerait',
    'hâleras',
    'hâlerez',
    'hâleriez',
    'hâlerions',
    'hâlerons',
    'hâleront',
    'hâles',
    'hâlez',
    'hâliez',
    'hâlions',
    'hâloir',
    'hâloirs',
    'hâlons',
    'hâlâmes',
    'hâlât',
    'hâlâtes',
    'hâlèrent',
    'hâlé',
    'hâlée',
    'hâlées',
    'hâlés',
    'hâta',
    'hâtai',
    'hâtaient',
    'hâtais',
    'hâtait',
    'hâtant',
    'hâtas',
    'hâtasse',
    'hâtassent',
    'hâtasses',
    'hâtassiez',
    'hâtassions',
    'hâte',
    'hâtelet',
    'hâtelets',
    'hâtelette',
    'hâtelettes',
    'hâtent',
    'hâter',
    'hâtera',
    'hâterai',
    'hâteraient',
    'hâterais',
    'hâterait',
    'hâteras',
    'hâtereau',
    'hâtereaux',
    'hâterez',
    'hâteriez',
    'hâterions',
    'hâterons',
    'hâteront',
    'hâtes',
    'hâtez',
    'hâtier',
    'hâtiers',
    'hâtiez',
    'hâtif',
    'hâtifs',
    'hâtions',
    'hâtive',
    'hâtiveau',
    'hâtiveaux',
    'hâtivement',
    'hâtives',
    'hâtons',
    'hâtâmes',
    'hâtât',
    'hâtâtes',
    'hâtèrent',
    'hâté',
    'hâtée',
    'hâtées',
    'hâtés',
    'hâve',
    'hâves',
    'hèle',
    'hèlent',
    'hèles',
    'hère',
    'hères',
    'héberge',
    'hébergea',
    'hébergeai',
    'hébergeaient',
    'hébergeais',
    'hébergeait',
    'hébergeant',
    'hébergeas',
    'hébergeasse',
    'hébergeasses',
    'hébergement',
    'hébergements',
    'hébergent',
    'hébergeons',
    'héberger',
    'hébergera',
    'hébergerai',
    'hébergerais',
    'hébergerait',
    'hébergeras',
    'hébergerez',
    'hébergeriez',
    'hébergerions',
    'hébergerons',
    'hébergeront',
    'héberges',
    'hébergez',
    'hébergeâmes',
    'hébergeât',
    'hébergeâtes',
    'hébergiez',
    'hébergions',
    'hébergèrent',
    'hébergé',
    'hébergée',
    'hébergées',
    'hébergés',
    'hébertisme',
    'hébertismes',
    'hébraïque',
    'hébraïques',
    'hébraïsa',
    'hébraïsai',
    'hébraïsaient',
    'hébraïsais',
    'hébraïsait',
    'hébraïsant',
    'hébraïsante',
    'hébraïsantes',
    'hébraïsants',
    'hébraïsas',
    'hébraïsasse',
    'hébraïsasses',
    'hébraïse',
    'hébraïsent',
    'hébraïser',
    'hébraïsera',
    'hébraïserai',
    'hébraïserais',
    'hébraïserait',
    'hébraïseras',
    'hébraïserez',
    'hébraïseriez',
    'hébraïserons',
    'hébraïseront',
    'hébraïses',
    'hébraïsez',
    'hébraïsiez',
    'hébraïsions',
    'hébraïsme',
    'hébraïsmes',
    'hébraïsons',
    'hébraïsâmes',
    'hébraïsât',
    'hébraïsâtes',
    'hébraïsèrent',
    'hébraïsé',
    'hébreu',
    'hébreux',
    'hébète',
    'hébètent',
    'hébètes',
    'hébéphrénie',
    'hébéphrénies',
    'hébéta',
    'hébétai',
    'hébétaient',
    'hébétais',
    'hébétait',
    'hébétant',
    'hébétas',
    'hébétasse',
    'hébétassent',
    'hébétasses',
    'hébétassiez',
    'hébétassions',
    'hébétement',
    'hébétements',
    'hébéter',
    'hébétera',
    'hébéterai',
    'hébéteraient',
    'hébéterais',
    'hébéterait',
    'hébéteras',
    'hébéterez',
    'hébéteriez',
    'hébéterions',
    'hébéterons',
    'hébéteront',
    'hébétez',
    'hébétiez',
    'hébétions',
    'hébétons',
    'hébétude',
    'hébétudes',
    'hébétâmes',
    'hébétât',
    'hébétâtes',
    'hébétèrent',
    'hébété',
    'hébétée',
    'hébétées',
    'hébétés',
    'hécatombe',
    'hécatombes',
    'hédonisme',
    'hédonismes',
    'hédoniste',
    'hédonistes',
    'hégire',
    'hégires',
    'hégélianisme',
    'hégélien',
    'hégélienne',
    'hégéliennes',
    'hégéliens',
    'hégémonie',
    'hégémonies',
    'hégémonique',
    'hégémoniques',
    'héla',
    'hélai',
    'hélaient',
    'hélais',
    'hélait',
    'hélant',
    'hélas',
    'hélasse',
    'hélassent',
    'hélasses',
    'hélassiez',
    'hélassions',
    'héler',
    'hélera',
    'hélerai',
    'héleraient',
    'hélerais',
    'hélerait',
    'héleras',
    'hélerez',
    'héleriez',
    'hélerions',
    'hélerons',
    'héleront',
    'hélez',
    'hélianthe',
    'hélianthes',
    'hélianthine',
    'hélianthines',
    'hélianthème',
    'hélianthèmes',
    'héliaque',
    'héliaques',
    'héliaste',
    'héliastes',
    'hélice',
    'hélices',
    'hélicon',
    'hélicons',
    'hélicoptère',
    'hélicoptères',
    'hélicoïdal',
    'hélicoïdale',
    'hélicoïdales',
    'hélicoïdaux',
    'hélicoïde',
    'hélicoïdes',
    'héliez',
    'héligare',
    'héligares',
    'héliochromie',
    'héliographe',
    'héliographes',
    'héliographie',
    'héliograveur',
    'héliogravure',
    'héliomarin',
    'héliomarine',
    'héliomarines',
    'héliomarins',
    'hélion',
    'hélions',
    'héliostat',
    'héliostats',
    'héliotrope',
    'héliotropes',
    'héliotropine',
    'héliport',
    'héliportage',
    'héliportages',
    'héliports',
    'héliporté',
    'héliportée',
    'héliportées',
    'héliportés',
    'hélium',
    'héliums',
    'hélix',
    'hélodée',
    'hélodées',
    'hélons',
    'hélâmes',
    'hélât',
    'hélâtes',
    'hélèrent',
    'hélé',
    'hélée',
    'hélées',
    'hélépole',
    'hélépoles',
    'hélés',
    'hémarthrose',
    'hémarthroses',
    'hématidrose',
    'hématidroses',
    'hématie',
    'hématies',
    'hématine',
    'hématines',
    'hématique',
    'hématiques',
    'hématite',
    'hématites',
    'hématologie',
    'hématologies',
    'hématologue',
    'hématologues',
    'hématome',
    'hématomes',
    'hématopoïèse',
    'hématose',
    'hématoses',
    'hématozoaire',
    'hématurie',
    'hématuries',
    'hématémèse',
    'hématémèses',
    'hémialgie',
    'hémialgies',
    'hémicrânie',
    'hémicrânies',
    'hémicycle',
    'hémicycles',
    'hémine',
    'hémines',
    'hémione',
    'hémiones',
    'hémiparésie',
    'hémiparésies',
    'hémiplégie',
    'hémiplégies',
    'hémiplégique',
    'hémisphère',
    'hémisphères',
    'hémistiche',
    'hémistiches',
    'hémitropie',
    'hémitropies',
    'hémièdre',
    'hémièdres',
    'hémiédrie',
    'hémiédries',
    'hémiédrique',
    'hémiédriques',
    'hémoculture',
    'hémocultures',
    'hémocyanine',
    'hémocyanines',
    'hémodialyse',
    'hémodialyses',
    'hémoglobine',
    'hémoglobines',
    'hémogramme',
    'hémogrammes',
    'hémogénie',
    'hémogénies',
    'hémolyse',
    'hémolyses',
    'hémolysine',
    'hémolysines',
    'hémolytique',
    'hémolytiques',
    'hémopathie',
    'hémopathies',
    'hémophile',
    'hémophiles',
    'hémophilie',
    'hémophilies',
    'hémoptysie',
    'hémoptysies',
    'hémoptysique',
    'hémorragie',
    'hémorragies',
    'hémorragique',
    'hémorroïdal',
    'hémorroïdale',
    'hémorroïdaux',
    'hémorroïde',
    'hémorroïdes',
    'hémostase',
    'hémostases',
    'hémostatique',
    'héméralope',
    'héméralopes',
    'héméralopie',
    'héméralopies',
    'hémérocalle',
    'hémérocalles',
    'héparine',
    'héparines',
    'hépatalgie',
    'hépatalgies',
    'hépatique',
    'hépatiques',
    'hépatisation',
    'hépatisme',
    'hépatismes',
    'hépatite',
    'hépatites',
    'hépatocèle',
    'hépatocèles',
    'hépatologie',
    'hépatologies',
    'héraldique',
    'héraldiques',
    'héraldiste',
    'héraldistes',
    'héraut',
    'hérauts',
    'hérissa',
    'hérissai',
    'hérissaient',
    'hérissais',
    'hérissait',
    'hérissant',
    'hérissas',
    'hérissasse',
    'hérissassent',
    'hérissasses',
    'hérissassiez',
    'hérisse',
    'hérissement',
    'hérissements',
    'hérissent',
    'hérisser',
    'hérissera',
    'hérisserai',
    'hérisserais',
    'hérisserait',
    'hérisseras',
    'hérisserez',
    'hérisseriez',
    'hérisserions',
    'hérisserons',
    'hérisseront',
    'hérisses',
    'hérissez',
    'hérissiez',
    'hérissions',
    'hérisson',
    'hérissonna',
    'hérissonnai',
    'hérissonnais',
    'hérissonnait',
    'hérissonnant',
    'hérissonnas',
    'hérissonne',
    'hérissonnent',
    'hérissonner',
    'hérissonnera',
    'hérissonnes',
    'hérissonnez',
    'hérissonniez',
    'hérissonnons',
    'hérissonnât',
    'hérissonné',
    'hérissonnée',
    'hérissonnées',
    'hérissonnés',
    'hérissons',
    'hérissâmes',
    'hérissât',
    'hérissâtes',
    'hérissèrent',
    'hérissé',
    'hérissée',
    'hérissées',
    'hérissés',
    'hérita',
    'héritage',
    'héritages',
    'héritai',
    'héritaient',
    'héritais',
    'héritait',
    'héritant',
    'héritas',
    'héritasse',
    'héritassent',
    'héritasses',
    'héritassiez',
    'héritassions',
    'hérite',
    'héritent',
    'hériter',
    'héritera',
    'hériterai',
    'hériteraient',
    'hériterais',
    'hériterait',
    'hériteras',
    'hériterez',
    'hériteriez',
    'hériterions',
    'hériterons',
    'hériteront',
    'hérites',
    'héritez',
    'héritier',
    'héritiers',
    'héritiez',
    'héritions',
    'héritière',
    'héritières',
    'héritons',
    'héritâmes',
    'héritât',
    'héritâtes',
    'héritèrent',
    'hérité',
    'héritée',
    'héritées',
    'hérités',
    'héron',
    'héronneau',
    'héronneaux',
    'héronnière',
    'héronnières',
    'hérons',
    'héros',
    'héroïne',
    'héroïnes',
    'héroïnomane',
    'héroïnomanes',
    'héroïque',
    'héroïquement',
    'héroïques',
    'héroïsme',
    'héroïsmes',
    'héréditaire',
    'héréditaires',
    'hérédité',
    'hérédités',
    'hérésiarque',
    'hérésiarques',
    'hérésie',
    'hérésies',
    'hérétique',
    'hérétiques',
    'hésita',
    'hésitai',
    'hésitaient',
    'hésitais',
    'hésitait',
    'hésitant',
    'hésitante',
    'hésitantes',
    'hésitants',
    'hésitas',
    'hésitasse',
    'hésitassent',
    'hésitasses',
    'hésitassiez',
    'hésitassions',
    'hésitation',
    'hésitations',
    'hésite',
    'hésitent',
    'hésiter',
    'hésitera',
    'hésiterai',
    'hésiteraient',
    'hésiterais',
    'hésiterait',
    'hésiteras',
    'hésiterez',
    'hésiteriez',
    'hésiterions',
    'hésiterons',
    'hésiteront',
    'hésites',
    'hésitez',
    'hésitiez',
    'hésitions',
    'hésitons',
    'hésitâmes',
    'hésitât',
    'hésitâtes',
    'hésitèrent',
    'hésité',
    'hétairie',
    'hétairies',
    'hétaïre',
    'hétaïres',
    'hétéro',
    'hétérocerque',
    'hétéroclite',
    'hétéroclites',
    'hétérodoxe',
    'hétérodoxes',
    'hétérodoxie',
    'hétérodoxies',
    'hétérodyne',
    'hétérodynes',
    'hétérogamie',
    'hétérogamies',
    'hétérogreffe',
    'hétérogène',
    'hétérogènes',
    'hétérogénie',
    'hétérogénies',
    'hétérologue',
    'hétérologues',
    'hétéromorphe',
    'hétérosexuel',
    'hétérotrophe',
    'hétérozygote',
    'hévéa',
    'hévéas',
    'hêtraie',
    'hêtraies',
    'hêtre',
    'hêtres',
    'hôpital',
    'hôpitaux',
    'hôte',
    'hôtel',
    'hôtelier',
    'hôteliers',
    'hôtelière',
    'hôtelières',
    'hôtellerie',
    'hôtelleries',
    'hôtels',
    'hôtes',
    'hôtesse',
    'hôtesses',
    'iambe',
    'iambes',
    'iatrogène',
    'iatrogènes',
    'ibidem',
    'ibis',
    'ibère',
    'ibères',
    'ibéride',
    'ibérides',
    'ibérique',
    'ibériques',
    'icaque',
    'icaques',
    'icaquier',
    'icaquiers',
    'icarien',
    'icarienne',
    'icariennes',
    'icariens',
    'iceberg',
    'icebergs',
    'icefield',
    'icefields',
    'ichneumon',
    'ichneumons',
    'ichor',
    'ichors',
    'ichtyocolle',
    'ichtyocolles',
    'ichtyol',
    'ichtyologie',
    'ichtyologies',
    'ichtyols',
    'ichtyophage',
    'ichtyophages',
    'ichtyornis',
    'ichtyosaure',
    'ichtyosaures',
    'ichtyose',
    'ichtyoses',
    'icoglan',
    'icoglans',
    'iconique',
    'iconiques',
    'iconoclasme',
    'iconoclasmes',
    'iconoclaste',
    'iconoclastes',
    'iconoclastie',
    'iconographe',
    'iconographes',
    'iconographie',
    'iconogène',
    'iconogènes',
    'iconologie',
    'iconologies',
    'iconolâtre',
    'iconolâtres',
    'iconolâtrie',
    'iconolâtries',
    'iconoscope',
    'iconoscopes',
    'iconostase',
    'iconostases',
    'ictus',
    'ictère',
    'ictères',
    'ictérique',
    'ictériques',
    'icône',
    'icônes',
    'idem',
    'identifia',
    'identifiable',
    'identifiai',
    'identifiais',
    'identifiait',
    'identifiant',
    'identifias',
    'identifiasse',
    'identifie',
    'identifient',
    'identifier',
    'identifiera',
    'identifierai',
    'identifieras',
    'identifierez',
    'identifies',
    'identifiez',
    'identifiiez',
    'identifiions',
    'identifions',
    'identifiâmes',
    'identifiât',
    'identifiâtes',
    'identifié',
    'identifiée',
    'identifiées',
    'identifiés',
    'identique',
    'identiques',
    'identité',
    'identités',
    'ides',
    'idiolecte',
    'idiolectes',
    'idiomatique',
    'idiomatiques',
    'idiome',
    'idiomes',
    'idiopathie',
    'idiopathies',
    'idiopathique',
    'idiot',
    'idiote',
    'idiotement',
    'idiotes',
    'idiotie',
    'idioties',
    'idiotifia',
    'idiotifiai',
    'idiotifiais',
    'idiotifiait',
    'idiotifiant',
    'idiotifias',
    'idiotifiasse',
    'idiotifie',
    'idiotifient',
    'idiotifier',
    'idiotifiera',
    'idiotifierai',
    'idiotifieras',
    'idiotifierez',
    'idiotifies',
    'idiotifiez',
    'idiotifiiez',
    'idiotifiions',
    'idiotifions',
    'idiotifiâmes',
    'idiotifiât',
    'idiotifiâtes',
    'idiotifié',
    'idiotifiée',
    'idiotifiées',
    'idiotifiés',
    'idiotisa',
    'idiotisai',
    'idiotisaient',
    'idiotisais',
    'idiotisait',
    'idiotisant',
    'idiotisas',
    'idiotisasse',
    'idiotisasses',
    'idiotise',
    'idiotisent',
    'idiotiser',
    'idiotisera',
    'idiotiserai',
    'idiotiserais',
    'idiotiserait',
    'idiotiseras',
    'idiotiserez',
    'idiotiseriez',
    'idiotiserons',
    'idiotiseront',
    'idiotises',
    'idiotisez',
    'idiotisiez',
    'idiotisions',
    'idiotisme',
    'idiotismes',
    'idiotisons',
    'idiotisâmes',
    'idiotisât',
    'idiotisâtes',
    'idiotisèrent',
    'idiotisé',
    'idiotisée',
    'idiotisées',
    'idiotisés',
    'idiots',
    'idoine',
    'idoines',
    'idole',
    'idoles',
    'idolâtra',
    'idolâtrai',
    'idolâtraient',
    'idolâtrais',
    'idolâtrait',
    'idolâtrant',
    'idolâtras',
    'idolâtrasse',
    'idolâtrasses',
    'idolâtre',
    'idolâtrent',
    'idolâtrer',
    'idolâtrera',
    'idolâtrerai',
    'idolâtrerais',
    'idolâtrerait',
    'idolâtreras',
    'idolâtrerez',
    'idolâtreriez',
    'idolâtrerons',
    'idolâtreront',
    'idolâtres',
    'idolâtrez',
    'idolâtrie',
    'idolâtries',
    'idolâtriez',
    'idolâtrions',
    'idolâtrique',
    'idolâtriques',
    'idolâtrons',
    'idolâtrâmes',
    'idolâtrât',
    'idolâtrâtes',
    'idolâtrèrent',
    'idolâtré',
    'idolâtrée',
    'idolâtrées',
    'idolâtrés',
    'idylle',
    'idylles',
    'idyllique',
    'idylliques',
    'idéal',
    'idéale',
    'idéalement',
    'idéales',
    'idéalisa',
    'idéalisai',
    'idéalisaient',
    'idéalisais',
    'idéalisait',
    'idéalisant',
    'idéalisas',
    'idéalisasse',
    'idéalisasses',
    'idéalisateur',
    'idéalisation',
    'idéalise',
    'idéalisent',
    'idéaliser',
    'idéalisera',
    'idéaliserai',
    'idéaliserais',
    'idéaliserait',
    'idéaliseras',
    'idéaliserez',
    'idéaliseriez',
    'idéaliserons',
    'idéaliseront',
    'idéalises',
    'idéalisez',
    'idéalisiez',
    'idéalisions',
    'idéalisme',
    'idéalismes',
    'idéalisons',
    'idéaliste',
    'idéalistes',
    'idéalisâmes',
    'idéalisât',
    'idéalisâtes',
    'idéalisèrent',
    'idéalisé',
    'idéalisée',
    'idéalisées',
    'idéalisés',
    'idéalité',
    'idéalités',
    'idéals',
    'idéation',
    'idéations',
    'idéaux',
    'idée',
    'idéel',
    'idéelle',
    'idéelles',
    'idéels',
    'idées',
    'idéogramme',
    'idéogrammes',
    'idéographie',
    'idéographies',
    'idéologie',
    'idéologies',
    'idéologique',
    'idéologiques',
    'idéologisa',
    'idéologisai',
    'idéologisais',
    'idéologisait',
    'idéologisant',
    'idéologisas',
    'idéologise',
    'idéologisent',
    'idéologiser',
    'idéologisera',
    'idéologises',
    'idéologisez',
    'idéologisiez',
    'idéologisons',
    'idéologisât',
    'idéologisé',
    'idéologisée',
    'idéologisées',
    'idéologisés',
    'idéologue',
    'idéologues',
    'igloo',
    'igloos',
    'igname',
    'ignames',
    'ignare',
    'ignares',
    'ignifugation',
    'ignifuge',
    'ignifugea',
    'ignifugeai',
    'ignifugeais',
    'ignifugeait',
    'ignifugeant',
    'ignifugeants',
    'ignifugeas',
    'ignifugeasse',
    'ignifugent',
    'ignifugeons',
    'ignifuger',
    'ignifugera',
    'ignifugerai',
    'ignifugerais',
    'ignifugerait',
    'ignifugeras',
    'ignifugerez',
    'ignifugeriez',
    'ignifugerons',
    'ignifugeront',
    'ignifuges',
    'ignifugez',
    'ignifugeâmes',
    'ignifugeât',
    'ignifugeâtes',
    'ignifugiez',
    'ignifugions',
    'ignifugèrent',
    'ignifugé',
    'ignifugée',
    'ignifugées',
    'ignifugés',
    'ignipuncture',
    'ignition',
    'ignitions',
    'ignivome',
    'ignivomes',
    'ignoble',
    'ignoblement',
    'ignobles',
    'ignominie',
    'ignominies',
    'ignominieuse',
    'ignominieux',
    'ignora',
    'ignorai',
    'ignoraient',
    'ignorais',
    'ignorait',
    'ignorance',
    'ignorances',
    'ignorant',
    'ignorante',
    'ignorantes',
    'ignorantin',
    'ignorantins',
    'ignorants',
    'ignoras',
    'ignorasse',
    'ignorassent',
    'ignorasses',
    'ignorassiez',
    'ignorassions',
    'ignore',
    'ignorent',
    'ignorer',
    'ignorera',
    'ignorerai',
    'ignoreraient',
    'ignorerais',
    'ignorerait',
    'ignoreras',
    'ignorerez',
    'ignoreriez',
    'ignorerions',
    'ignorerons',
    'ignoreront',
    'ignores',
    'ignorez',
    'ignoriez',
    'ignorions',
    'ignorons',
    'ignorâmes',
    'ignorât',
    'ignorâtes',
    'ignorèrent',
    'ignoré',
    'ignorée',
    'ignorées',
    'ignorés',
    'igné',
    'ignée',
    'ignées',
    'ignés',
    'iguane',
    'iguanes',
    'iguanodon',
    'iguanodons',
    'igue',
    'igues',
    'iliaque',
    'iliaques',
    'ilion',
    'ilions',
    'illettrisme',
    'illettrismes',
    'illettré',
    'illettrée',
    'illettrées',
    'illettrés',
    'illicite',
    'illicitement',
    'illicites',
    'illico',
    'illimité',
    'illimitée',
    'illimitées',
    'illimités',
    'illisibilité',
    'illisible',
    'illisibles',
    'illogique',
    'illogiques',
    'illogisme',
    'illogismes',
    'illumina',
    'illuminai',
    'illuminaient',
    'illuminais',
    'illuminait',
    'illuminant',
    'illuminas',
    'illuminasse',
    'illuminasses',
    'illumination',
    'illumine',
    'illuminent',
    'illuminer',
    'illuminera',
    'illuminerai',
    'illuminerais',
    'illuminerait',
    'illumineras',
    'illuminerez',
    'illumineriez',
    'illuminerons',
    'illumineront',
    'illumines',
    'illuminez',
    'illuminiez',
    'illuminions',
    'illuminisme',
    'illuminismes',
    'illuminons',
    'illuminâmes',
    'illuminât',
    'illuminâtes',
    'illuminèrent',
    'illuminé',
    'illuminée',
    'illuminées',
    'illuminés',
    'illusion',
    'illusionna',
    'illusionnai',
    'illusionnais',
    'illusionnait',
    'illusionnant',
    'illusionnas',
    'illusionne',
    'illusionnent',
    'illusionner',
    'illusionnera',
    'illusionnes',
    'illusionnez',
    'illusionniez',
    'illusionnons',
    'illusionnât',
    'illusionné',
    'illusionnée',
    'illusionnées',
    'illusionnés',
    'illusions',
    'illusoire',
    'illusoires',
    'illustra',
    'illustrai',
    'illustraient',
    'illustrais',
    'illustrait',
    'illustrant',
    'illustras',
    'illustrasse',
    'illustrasses',
    'illustrateur',
    'illustration',
    'illustre',
    'illustrent',
    'illustrer',
    'illustrera',
    'illustrerai',
    'illustrerais',
    'illustrerait',
    'illustreras',
    'illustrerez',
    'illustreriez',
    'illustrerons',
    'illustreront',
    'illustres',
    'illustrez',
    'illustriez',
    'illustrions',
    'illustrons',
    'illustrâmes',
    'illustrât',
    'illustrâtes',
    'illustrèrent',
    'illustré',
    'illustrée',
    'illustrées',
    'illustrés',
    'illégal',
    'illégale',
    'illégalement',
    'illégales',
    'illégalité',
    'illégalités',
    'illégaux',
    'illégitime',
    'illégitimes',
    'illégitimité',
    'ilote',
    'ilotes',
    'iléal',
    'iléale',
    'iléales',
    'iléaux',
    'iléite',
    'iléites',
    'iléon',
    'iléons',
    'iléus',
    'image',
    'imagea',
    'imageai',
    'imageaient',
    'imageais',
    'imageait',
    'imageant',
    'imageas',
    'imageasse',
    'imageassent',
    'imageasses',
    'imageassiez',
    'imageassions',
    'imagent',
    'imageons',
    'imager',
    'imagera',
    'imagerai',
    'imageraient',
    'imagerais',
    'imagerait',
    'imageras',
    'imagerez',
    'imagerie',
    'imageries',
    'imageriez',
    'imagerions',
    'imagerons',
    'imageront',
    'images',
    'imagez',
    'imageâmes',
    'imageât',
    'imageâtes',
    'imagier',
    'imagiers',
    'imagiez',
    'imagina',
    'imaginable',
    'imaginables',
    'imaginai',
    'imaginaient',
    'imaginaire',
    'imaginaires',
    'imaginais',
    'imaginait',
    'imaginant',
    'imaginas',
    'imaginasse',
    'imaginassent',
    'imaginasses',
    'imaginassiez',
    'imaginatif',
    'imaginatifs',
    'imagination',
    'imaginations',
    'imaginative',
    'imaginatives',
    'imagine',
    'imaginent',
    'imaginer',
    'imaginera',
    'imaginerai',
    'imaginerais',
    'imaginerait',
    'imagineras',
    'imaginerez',
    'imagineriez',
    'imaginerions',
    'imaginerons',
    'imagineront',
    'imagines',
    'imaginez',
    'imaginiez',
    'imaginions',
    'imaginons',
    'imaginâmes',
    'imaginât',
    'imaginâtes',
    'imaginèrent',
    'imaginé',
    'imaginée',
    'imaginées',
    'imaginés',
    'imagions',
    'imagière',
    'imagières',
    'imago',
    'imagos',
    'imagèrent',
    'imagé',
    'imagée',
    'imagées',
    'imagés',
    'imam',
    'imamat',
    'imamats',
    'imams',
    'imanat',
    'imanats',
    'imbattable',
    'imbattables',
    'imberbe',
    'imberbes',
    'imbiba',
    'imbibai',
    'imbibaient',
    'imbibais',
    'imbibait',
    'imbibant',
    'imbibas',
    'imbibasse',
    'imbibassent',
    'imbibasses',
    'imbibassiez',
    'imbibassions',
    'imbibe',
    'imbibent',
    'imbiber',
    'imbibera',
    'imbiberai',
    'imbiberaient',
    'imbiberais',
    'imbiberait',
    'imbiberas',
    'imbiberez',
    'imbiberiez',
    'imbiberions',
    'imbiberons',
    'imbiberont',
    'imbibes',
    'imbibez',
    'imbibiez',
    'imbibions',
    'imbibition',
    'imbibitions',
    'imbibons',
    'imbibâmes',
    'imbibât',
    'imbibâtes',
    'imbibèrent',
    'imbibé',
    'imbibée',
    'imbibées',
    'imbibés',
    'imbrication',
    'imbrications',
    'imbriqua',
    'imbriquai',
    'imbriquaient',
    'imbriquais',
    'imbriquait',
    'imbriquant',
    'imbriquas',
    'imbriquasse',
    'imbriquasses',
    'imbrique',
    'imbriquent',
    'imbriquer',
    'imbriquera',
    'imbriquerai',
    'imbriquerais',
    'imbriquerait',
    'imbriqueras',
    'imbriquerez',
    'imbriqueriez',
    'imbriquerons',
    'imbriqueront',
    'imbriques',
    'imbriquez',
    'imbriquiez',
    'imbriquions',
    'imbriquons',
    'imbriquâmes',
    'imbriquât',
    'imbriquâtes',
    'imbriquèrent',
    'imbriqué',
    'imbriquée',
    'imbriquées',
    'imbriqués',
    'imbroglio',
    'imbroglios',
    'imbu',
    'imbue',
    'imbues',
    'imbus',
    'imbuvable',
    'imbuvables',
    'imbécile',
    'imbéciles',
    'imbécillité',
    'imbécillités',
    'imide',
    'imides',
    'imita',
    'imitable',
    'imitables',
    'imitai',
    'imitaient',
    'imitais',
    'imitait',
    'imitant',
    'imitas',
    'imitasse',
    'imitassent',
    'imitasses',
    'imitassiez',
    'imitassions',
    'imitateur',
    'imitateurs',
    'imitatif',
    'imitatifs',
    'imitation',
    'imitations',
    'imitative',
    'imitatives',
    'imitatrice',
    'imitatrices',
    'imite',
    'imitent',
    'imiter',
    'imitera',
    'imiterai',
    'imiteraient',
    'imiterais',
    'imiterait',
    'imiteras',
    'imiterez',
    'imiteriez',
    'imiterions',
    'imiterons',
    'imiteront',
    'imites',
    'imitez',
    'imitiez',
    'imitions',
    'imitons',
    'imitâmes',
    'imitât',
    'imitâtes',
    'imitèrent',
    'imité',
    'imitée',
    'imitées',
    'imités',
    'immaculé',
    'immaculée',
    'immaculées',
    'immaculés',
    'immanence',
    'immanences',
    'immanent',
    'immanente',
    'immanentes',
    'immanentisme',
    'immanents',
    'immangeable',
    'immangeables',
    'immanquable',
    'immanquables',
    'immariable',
    'immariables',
    'immatricula',
    'immatriculai',
    'immatriculas',
    'immatricule',
    'immatriculer',
    'immatricules',
    'immatriculez',
    'immatriculât',
    'immatriculé',
    'immatriculée',
    'immatriculés',
    'immature',
    'immatures',
    'immaturité',
    'immaturités',
    'immatériel',
    'immatérielle',
    'immatériels',
    'immense',
    'immenses',
    'immensité',
    'immensités',
    'immensurable',
    'immensément',
    'immerge',
    'immergea',
    'immergeai',
    'immergeaient',
    'immergeais',
    'immergeait',
    'immergeant',
    'immergeas',
    'immergeasse',
    'immergeasses',
    'immergent',
    'immergeons',
    'immerger',
    'immergera',
    'immergerai',
    'immergerais',
    'immergerait',
    'immergeras',
    'immergerez',
    'immergeriez',
    'immergerions',
    'immergerons',
    'immergeront',
    'immerges',
    'immergez',
    'immergeâmes',
    'immergeât',
    'immergeâtes',
    'immergiez',
    'immergions',
    'immergèrent',
    'immergé',
    'immergée',
    'immergées',
    'immergés',
    'immersif',
    'immersifs',
    'immersion',
    'immersions',
    'immersive',
    'immersives',
    'immettable',
    'immettables',
    'immeuble',
    'immeubles',
    'immigra',
    'immigrai',
    'immigraient',
    'immigrais',
    'immigrait',
    'immigrant',
    'immigrante',
    'immigrantes',
    'immigrants',
    'immigras',
    'immigrasse',
    'immigrassent',
    'immigrasses',
    'immigrassiez',
    'immigration',
    'immigrations',
    'immigre',
    'immigrent',
    'immigrer',
    'immigrera',
    'immigrerai',
    'immigrerais',
    'immigrerait',
    'immigreras',
    'immigrerez',
    'immigreriez',
    'immigrerions',
    'immigrerons',
    'immigreront',
    'immigres',
    'immigrez',
    'immigriez',
    'immigrions',
    'immigrons',
    'immigrâmes',
    'immigrât',
    'immigrâtes',
    'immigrèrent',
    'immigré',
    'immigrée',
    'immigrées',
    'immigrés',
    'imminence',
    'imminences',
    'imminent',
    'imminente',
    'imminentes',
    'imminents',
    'immisce',
    'immiscent',
    'immiscer',
    'immiscera',
    'immiscerai',
    'immiscerais',
    'immiscerait',
    'immisceras',
    'immiscerez',
    'immisceriez',
    'immiscerions',
    'immiscerons',
    'immisceront',
    'immisces',
    'immiscez',
    'immisciez',
    'immiscions',
    'immiscèrent',
    'immiscé',
    'immiscée',
    'immiscées',
    'immiscés',
    'immisça',
    'immisçaient',
    'immisçais',
    'immisçait',
    'immisçant',
    'immisçassiez',
    'immisçons',
    'immisçâmes',
    'immisçâtes',
    'immixtion',
    'immixtions',
    'immobile',
    'immobiles',
    'immobilier',
    'immobiliers',
    'immobilisa',
    'immobilisai',
    'immobilisais',
    'immobilisait',
    'immobilisant',
    'immobilisas',
    'immobilise',
    'immobilisent',
    'immobiliser',
    'immobilisera',
    'immobilises',
    'immobilisez',
    'immobilisiez',
    'immobilisme',
    'immobilismes',
    'immobilisons',
    'immobiliste',
    'immobilistes',
    'immobilisât',
    'immobilisé',
    'immobilisée',
    'immobilisées',
    'immobilisés',
    'immobilité',
    'immobilités',
    'immobilière',
    'immobilières',
    'immodeste',
    'immodestes',
    'immodestie',
    'immodesties',
    'immodéré',
    'immodérée',
    'immodérées',
    'immodérément',
    'immodérés',
    'immola',
    'immolai',
    'immolaient',
    'immolais',
    'immolait',
    'immolant',
    'immolas',
    'immolasse',
    'immolassent',
    'immolasses',
    'immolassiez',
    'immolassions',
    'immolation',
    'immolations',
    'immole',
    'immolent',
    'immoler',
    'immolera',
    'immolerai',
    'immoleraient',
    'immolerais',
    'immolerait',
    'immoleras',
    'immolerez',
    'immoleriez',
    'immolerions',
    'immolerons',
    'immoleront',
    'immoles',
    'immolez',
    'immoliez',
    'immolions',
    'immolons',
    'immolâmes',
    'immolât',
    'immolâtes',
    'immolèrent',
    'immolé',
    'immolée',
    'immolées',
    'immolés',
    'immonde',
    'immondes',
    'immondice',
    'immondices',
    'immoral',
    'immorale',
    'immoralement',
    'immorales',
    'immoralisme',
    'immoralismes',
    'immoraliste',
    'immoralistes',
    'immoralité',
    'immoralités',
    'immoraux',
    'immortalisa',
    'immortalisai',
    'immortalisas',
    'immortalise',
    'immortaliser',
    'immortalises',
    'immortalisez',
    'immortalisât',
    'immortalisé',
    'immortalisée',
    'immortalisés',
    'immortalité',
    'immortalités',
    'immortel',
    'immortelle',
    'immortelles',
    'immortels',
    'immotivé',
    'immotivée',
    'immotivées',
    'immotivés',
    'immuabilité',
    'immuabilités',
    'immuable',
    'immuablement',
    'immuables',
    'immun',
    'immune',
    'immunes',
    'immunisa',
    'immunisai',
    'immunisaient',
    'immunisais',
    'immunisait',
    'immunisant',
    'immunisante',
    'immunisantes',
    'immunisants',
    'immunisas',
    'immunisasse',
    'immunisasses',
    'immunisation',
    'immunise',
    'immunisent',
    'immuniser',
    'immunisera',
    'immuniserai',
    'immuniserais',
    'immuniserait',
    'immuniseras',
    'immuniserez',
    'immuniseriez',
    'immuniserons',
    'immuniseront',
    'immunises',
    'immunisez',
    'immunisiez',
    'immunisions',
    'immunisons',
    'immunisâmes',
    'immunisât',
    'immunisâtes',
    'immunisèrent',
    'immunisé',
    'immunisée',
    'immunisées',
    'immunisés',
    'immunitaire',
    'immunitaires',
    'immunité',
    'immunités',
    'immuno',
    'immunochimie',
    'immunogène',
    'immunogènes',
    'immunologie',
    'immunologies',
    'immuns',
    'immutabilité',
    'immédiat',
    'immédiate',
    'immédiates',
    'immédiateté',
    'immédiatetés',
    'immédiats',
    'immémorial',
    'immémoriale',
    'immémoriales',
    'immémoriaux',
    'immérité',
    'imméritée',
    'imméritées',
    'immérités',
    'impact',
    'impacta',
    'impactai',
    'impactaient',
    'impactais',
    'impactait',
    'impactant',
    'impactas',
    'impactasse',
    'impactassent',
    'impactasses',
    'impactassiez',
    'impacte',
    'impactent',
    'impacter',
    'impactera',
    'impacterai',
    'impacterais',
    'impacterait',
    'impacteras',
    'impacterez',
    'impacteriez',
    'impacterions',
    'impacterons',
    'impacteront',
    'impactes',
    'impactez',
    'impactiez',
    'impactions',
    'impactons',
    'impacts',
    'impactâmes',
    'impactât',
    'impactâtes',
    'impactèrent',
    'impacté',
    'impactée',
    'impactées',
    'impactés',
    'impair',
    'impaire',
    'impaires',
    'impairs',
    'impala',
    'impalas',
    'impalpable',
    'impalpables',
    'impaludation',
    'impaludé',
    'impaludée',
    'impaludées',
    'impaludés',
    'impanation',
    'impanations',
    'imparable',
    'imparables',
    'imparfait',
    'imparfaite',
    'imparfaites',
    'imparfaits',
    'imparidigité',
    'imparipenné',
    'imparipennée',
    'imparipennés',
    'imparti',
    'impartial',
    'impartiale',
    'impartiales',
    'impartialité',
    'impartiaux',
    'impartie',
    'imparties',
    'impartir',
    'impartira',
    'impartirai',
    'impartirais',
    'impartirait',
    'impartiras',
    'impartirent',
    'impartirez',
    'impartiriez',
    'impartirions',
    'impartirons',
    'impartiront',
    'impartis',
    'impartissais',
    'impartissait',
    'impartissant',
    'impartisse',
    'impartissent',
    'impartisses',
    'impartissez',
    'impartissiez',
    'impartissons',
    'impartit',
    'impartîmes',
    'impartît',
    'impartîtes',
    'impasse',
    'impasses',
    'impassible',
    'impassibles',
    'impatiemment',
    'impatience',
    'impatiences',
    'impatient',
    'impatienta',
    'impatientai',
    'impatientais',
    'impatientait',
    'impatientant',
    'impatientas',
    'impatiente',
    'impatientent',
    'impatienter',
    'impatientera',
    'impatientes',
    'impatientez',
    'impatientiez',
    'impatientons',
    'impatients',
    'impatientât',
    'impatienté',
    'impatientée',
    'impatientées',
    'impatientés',
    'impatronisa',
    'impatronisai',
    'impatronisas',
    'impatronise',
    'impatroniser',
    'impatronises',
    'impatronisez',
    'impatronisât',
    'impatronisé',
    'impatronisée',
    'impatronisés',
    'impavide',
    'impavides',
    'impayable',
    'impayables',
    'impayé',
    'impayée',
    'impayées',
    'impayés',
    'impeachment',
    'impeachments',
    'impeccable',
    'impeccables',
    'impedimenta',
    'impensable',
    'impensables',
    'imper',
    'imperdable',
    'imperdables',
    'imperfectif',
    'imperfectifs',
    'imperfection',
    'imperfective',
    'imperméable',
    'imperméables',
    'impers',
    'impersonnel',
    'impersonnels',
    'impertinence',
    'impertinent',
    'impertinente',
    'impertinents',
    'impie',
    'impies',
    'impitoyable',
    'impitoyables',
    'impiété',
    'impiétés',
    'implacable',
    'implacables',
    'implant',
    'implanta',
    'implantai',
    'implantaient',
    'implantais',
    'implantait',
    'implantant',
    'implantas',
    'implantasse',
    'implantasses',
    'implantation',
    'implante',
    'implantent',
    'implanter',
    'implantera',
    'implanterai',
    'implanterais',
    'implanterait',
    'implanteras',
    'implanterez',
    'implanteriez',
    'implanterons',
    'implanteront',
    'implantes',
    'implantez',
    'implantiez',
    'implantions',
    'implantons',
    'implants',
    'implantâmes',
    'implantât',
    'implantâtes',
    'implantèrent',
    'implanté',
    'implantée',
    'implantées',
    'implantés',
    'implexe',
    'implexes',
    'implication',
    'implications',
    'implicite',
    'implicites',
    'impliqua',
    'impliquai',
    'impliquaient',
    'impliquais',
    'impliquait',
    'impliquant',
    'impliquas',
    'impliquasse',
    'impliquasses',
    'implique',
    'impliquent',
    'impliquer',
    'impliquera',
    'impliquerai',
    'impliquerais',
    'impliquerait',
    'impliqueras',
    'impliquerez',
    'impliqueriez',
    'impliquerons',
    'impliqueront',
    'impliques',
    'impliquez',
    'impliquiez',
    'impliquions',
    'impliquons',
    'impliquâmes',
    'impliquât',
    'impliquâtes',
    'impliquèrent',
    'impliqué',
    'impliquée',
    'impliquées',
    'impliqués',
    'implora',
    'implorai',
    'imploraient',
    'implorais',
    'implorait',
    'implorant',
    'implorante',
    'implorantes',
    'implorants',
    'imploras',
    'implorasse',
    'implorassent',
    'implorasses',
    'implorassiez',
    'imploration',
    'implorations',
    'implore',
    'implorent',
    'implorer',
    'implorera',
    'implorerai',
    'implorerais',
    'implorerait',
    'imploreras',
    'implorerez',
    'imploreriez',
    'implorerions',
    'implorerons',
    'imploreront',
    'implores',
    'implorez',
    'imploriez',
    'implorions',
    'implorons',
    'implorâmes',
    'implorât',
    'implorâtes',
    'implorèrent',
    'imploré',
    'implorée',
    'implorées',
    'implorés',
    'implosa',
    'implosai',
    'implosaient',
    'implosais',
    'implosait',
    'implosant',
    'implosas',
    'implosasse',
    'implosassent',
    'implosasses',
    'implosassiez',
    'implose',
    'implosent',
    'imploser',
    'implosera',
    'imploserai',
    'imploserais',
    'imploserait',
    'imploseras',
    'imploserez',
    'imploseriez',
    'imploserions',
    'imploserons',
    'imploseront',
    'imploses',
    'implosez',
    'implosiez',
    'implosif',
    'implosifs',
    'implosion',
    'implosions',
    'implosive',
    'implosives',
    'implosons',
    'implosâmes',
    'implosât',
    'implosâtes',
    'implosèrent',
    'implosé',
    'implosée',
    'implosées',
    'implosés',
    'impluvium',
    'impluviums',
    'implémenta',
    'implémentai',
    'implémentais',
    'implémentait',
    'implémentant',
    'implémentas',
    'implémente',
    'implémentent',
    'implémenter',
    'implémentera',
    'implémentes',
    'implémentez',
    'implémentiez',
    'implémentons',
    'implémentât',
    'implémenté',
    'implémentée',
    'implémentées',
    'implémentés',
    'impoli',
    'impolie',
    'impolies',
    'impoliment',
    'impolis',
    'impolitesse',
    'impolitesses',
    'impolitique',
    'impolitiques',
    'impondérable',
    'impopulaire',
    'impopulaires',
    'impopularité',
    'importa',
    'importable',
    'importables',
    'importai',
    'importaient',
    'importais',
    'importait',
    'importance',
    'importances',
    'important',
    'importante',
    'importantes',
    'importants',
    'importas',
    'importasse',
    'importassent',
    'importasses',
    'importassiez',
    'importateur',
    'importateurs',
    'importation',
    'importations',
    'importatrice',
    'importe',
    'importent',
    'importer',
    'importera',
    'importerai',
    'importerais',
    'importerait',
    'importeras',
    'importerez',
    'importeriez',
    'importerions',
    'importerons',
    'importeront',
    'importes',
    'importez',
    'importiez',
    'importions',
    'importons',
    'importun',
    'importuna',
    'importunai',
    'importunais',
    'importunait',
    'importunant',
    'importunas',
    'importunasse',
    'importune',
    'importunent',
    'importuner',
    'importunera',
    'importunerai',
    'importuneras',
    'importunerez',
    'importunes',
    'importunez',
    'importuniez',
    'importunions',
    'importunité',
    'importunités',
    'importunons',
    'importuns',
    'importunâmes',
    'importunât',
    'importunâtes',
    'importuné',
    'importunée',
    'importunées',
    'importunés',
    'importâmes',
    'importât',
    'importâtes',
    'importèrent',
    'importé',
    'importée',
    'importées',
    'importés',
    'imposa',
    'imposable',
    'imposables',
    'imposai',
    'imposaient',
    'imposais',
    'imposait',
    'imposant',
    'imposante',
    'imposantes',
    'imposants',
    'imposas',
    'imposasse',
    'imposassent',
    'imposasses',
    'imposassiez',
    'imposassions',
    'impose',
    'imposent',
    'imposer',
    'imposera',
    'imposerai',
    'imposeraient',
    'imposerais',
    'imposerait',
    'imposeras',
    'imposerez',
    'imposeriez',
    'imposerions',
    'imposerons',
    'imposeront',
    'imposes',
    'imposeur',
    'imposeurs',
    'imposez',
    'imposiez',
    'imposions',
    'imposition',
    'impositions',
    'imposons',
    'impossible',
    'impossibles',
    'imposte',
    'impostes',
    'imposteur',
    'imposteurs',
    'imposture',
    'impostures',
    'imposâmes',
    'imposât',
    'imposâtes',
    'imposèrent',
    'imposé',
    'imposée',
    'imposées',
    'imposés',
    'impotence',
    'impotences',
    'impotent',
    'impotente',
    'impotentes',
    'impotents',
    'impraticable',
    'imprenable',
    'imprenables',
    'impresarii',
    'impresario',
    'impresarios',
    'impression',
    'impressionna',
    'impressionne',
    'impressionné',
    'impressions',
    'imprima',
    'imprimable',
    'imprimables',
    'imprimai',
    'imprimaient',
    'imprimais',
    'imprimait',
    'imprimant',
    'imprimante',
    'imprimantes',
    'imprimants',
    'imprimas',
    'imprimasse',
    'imprimassent',
    'imprimasses',
    'imprimassiez',
    'imprimatur',
    'imprime',
    'impriment',
    'imprimer',
    'imprimera',
    'imprimerai',
    'imprimerais',
    'imprimerait',
    'imprimeras',
    'imprimerez',
    'imprimerie',
    'imprimeries',
    'imprimeriez',
    'imprimerions',
    'imprimerons',
    'imprimeront',
    'imprimes',
    'imprimeur',
    'imprimeurs',
    'imprimez',
    'imprimiez',
    'imprimions',
    'imprimons',
    'imprimâmes',
    'imprimât',
    'imprimâtes',
    'imprimèrent',
    'imprimé',
    'imprimée',
    'imprimées',
    'imprimés',
    'improbable',
    'improbables',
    'improbation',
    'improbations',
    'improbité',
    'improbités',
    'improductif',
    'improductifs',
    'improductive',
    'impromptu',
    'impromptue',
    'impromptues',
    'impromptus',
    'impropre',
    'improprement',
    'impropres',
    'impropriété',
    'impropriétés',
    'improuva',
    'improuvable',
    'improuvables',
    'improuvai',
    'improuvaient',
    'improuvais',
    'improuvait',
    'improuvant',
    'improuvas',
    'improuvasse',
    'improuvasses',
    'improuve',
    'improuvent',
    'improuver',
    'improuvera',
    'improuverai',
    'improuverais',
    'improuverait',
    'improuveras',
    'improuverez',
    'improuveriez',
    'improuverons',
    'improuveront',
    'improuves',
    'improuvez',
    'improuviez',
    'improuvions',
    'improuvons',
    'improuvâmes',
    'improuvât',
    'improuvâtes',
    'improuvèrent',
    'improuvé',
    'improuvée',
    'improuvées',
    'improuvés',
    'improvisa',
    'improvisai',
    'improvisais',
    'improvisait',
    'improvisant',
    'improvisas',
    'improvisasse',
    'improvise',
    'improvisent',
    'improviser',
    'improvisera',
    'improviserai',
    'improviseras',
    'improviserez',
    'improvises',
    'improvisez',
    'improvisiez',
    'improvisions',
    'improvisons',
    'improviste',
    'improvisâmes',
    'improvisât',
    'improvisâtes',
    'improvisé',
    'improvisée',
    'improvisées',
    'improvisés',
    'imprudemment',
    'imprudence',
    'imprudences',
    'imprudent',
    'imprudente',
    'imprudentes',
    'imprudents',
    'imprègne',
    'imprègnent',
    'imprègnes',
    'imprécation',
    'imprécations',
    'imprécatoire',
    'imprécis',
    'imprécise',
    'imprécises',
    'imprécision',
    'imprécisions',
    'imprégna',
    'imprégnai',
    'imprégnaient',
    'imprégnais',
    'imprégnait',
    'imprégnant',
    'imprégnas',
    'imprégnasse',
    'imprégnasses',
    'imprégnation',
    'imprégner',
    'imprégnera',
    'imprégnerai',
    'imprégnerais',
    'imprégnerait',
    'imprégneras',
    'imprégnerez',
    'imprégneriez',
    'imprégnerons',
    'imprégneront',
    'imprégnez',
    'imprégniez',
    'imprégnions',
    'imprégnons',
    'imprégnâmes',
    'imprégnât',
    'imprégnâtes',
    'imprégnèrent',
    'imprégné',
    'imprégnée',
    'imprégnées',
    'imprégnés',
    'imprésario',
    'imprésarios',
    'imprévisible',
    'imprévision',
    'imprévisions',
    'imprévoyance',
    'imprévoyant',
    'imprévoyante',
    'imprévoyants',
    'imprévu',
    'imprévue',
    'imprévues',
    'imprévus',
    'impuberté',
    'impubertés',
    'impubliable',
    'impubliables',
    'impubère',
    'impubères',
    'impudemment',
    'impudence',
    'impudences',
    'impudent',
    'impudente',
    'impudentes',
    'impudents',
    'impudeur',
    'impudeurs',
    'impudicité',
    'impudicités',
    'impudique',
    'impudiques',
    'impuissance',
    'impuissances',
    'impuissant',
    'impuissante',
    'impuissantes',
    'impuissants',
    'impulsa',
    'impulsai',
    'impulsaient',
    'impulsais',
    'impulsait',
    'impulsant',
    'impulsas',
    'impulsasse',
    'impulsassent',
    'impulsasses',
    'impulsassiez',
    'impulse',
    'impulsent',
    'impulser',
    'impulsera',
    'impulserai',
    'impulserais',
    'impulserait',
    'impulseras',
    'impulserez',
    'impulseriez',
    'impulserions',
    'impulserons',
    'impulseront',
    'impulses',
    'impulsez',
    'impulsiez',
    'impulsif',
    'impulsifs',
    'impulsion',
    'impulsions',
    'impulsive',
    'impulsives',
    'impulsivité',
    'impulsivités',
    'impulsons',
    'impulsâmes',
    'impulsât',
    'impulsâtes',
    'impulsèrent',
    'impulsé',
    'impulsée',
    'impulsées',
    'impulsés',
    'impuni',
    'impunie',
    'impunies',
    'impunis',
    'impunité',
    'impunités',
    'impunément',
    'impur',
    'impure',
    'impures',
    'impureté',
    'impuretés',
    'impurs',
    'imputa',
    'imputable',
    'imputables',
    'imputai',
    'imputaient',
    'imputais',
    'imputait',
    'imputant',
    'imputas',
    'imputasse',
    'imputassent',
    'imputasses',
    'imputassiez',
    'imputassions',
    'imputation',
    'imputations',
    'impute',
    'imputent',
    'imputer',
    'imputera',
    'imputerai',
    'imputeraient',
    'imputerais',
    'imputerait',
    'imputeras',
    'imputerez',
    'imputeriez',
    'imputerions',
    'imputerons',
    'imputeront',
    'imputes',
    'imputez',
    'imputiez',
    'imputions',
    'imputons',
    'imputâmes',
    'imputât',
    'imputâtes',
    'imputèrent',
    'imputé',
    'imputée',
    'imputées',
    'imputés',
    'impètre',
    'impètrent',
    'impètres',
    'impécunieuse',
    'impécunieux',
    'impédance',
    'impédances',
    'impénitence',
    'impénitences',
    'impénitent',
    'impénitente',
    'impénitentes',
    'impénitents',
    'impénétrable',
    'impératif',
    'impératifs',
    'impérative',
    'impératives',
    'impératrice',
    'impératrices',
    'impérial',
    'impériale',
    'impériales',
    'impérialisme',
    'impérialiste',
    'impériaux',
    'impérieuse',
    'impérieuses',
    'impérieux',
    'impérissable',
    'impéritie',
    'impérities',
    'impétigineux',
    'impétigo',
    'impétigos',
    'impétra',
    'impétrai',
    'impétraient',
    'impétrais',
    'impétrait',
    'impétrant',
    'impétrante',
    'impétrantes',
    'impétrants',
    'impétras',
    'impétrasse',
    'impétrassent',
    'impétrasses',
    'impétrassiez',
    'impétration',
    'impétrations',
    'impétrer',
    'impétrera',
    'impétrerai',
    'impétrerais',
    'impétrerait',
    'impétreras',
    'impétrerez',
    'impétreriez',
    'impétrerions',
    'impétrerons',
    'impétreront',
    'impétrez',
    'impétriez',
    'impétrions',
    'impétrons',
    'impétrâmes',
    'impétrât',
    'impétrâtes',
    'impétrèrent',
    'impétré',
    'impétrée',
    'impétrées',
    'impétrés',
    'impétueuse',
    'impétueuses',
    'impétueux',
    'impétuosité',
    'impétuosités',
    'impôt',
    'impôts',
    'inabordable',
    'inabordables',
    'inabrité',
    'inabritée',
    'inabritées',
    'inabrités',
    'inaccentué',
    'inaccentuée',
    'inaccentuées',
    'inaccentués',
    'inacceptable',
    'inaccessible',
    'inaccompli',
    'inaccomplie',
    'inaccomplies',
    'inaccomplis',
    'inaccordable',
    'inaccoutumé',
    'inaccoutumée',
    'inaccoutumés',
    'inachevé',
    'inachevée',
    'inachevées',
    'inachevés',
    'inachèvement',
    'inactif',
    'inactifs',
    'inaction',
    'inactions',
    'inactiva',
    'inactivai',
    'inactivaient',
    'inactivais',
    'inactivait',
    'inactivant',
    'inactivas',
    'inactivasse',
    'inactivasses',
    'inactivation',
    'inactive',
    'inactivent',
    'inactiver',
    'inactivera',
    'inactiverai',
    'inactiverais',
    'inactiverait',
    'inactiveras',
    'inactiverez',
    'inactiveriez',
    'inactiverons',
    'inactiveront',
    'inactives',
    'inactivez',
    'inactiviez',
    'inactivions',
    'inactivité',
    'inactivités',
    'inactivons',
    'inactivâmes',
    'inactivât',
    'inactivâtes',
    'inactivèrent',
    'inactivé',
    'inactivée',
    'inactuel',
    'inactuelle',
    'inactuelles',
    'inactuels',
    'inadaptable',
    'inadaptables',
    'inadaptation',
    'inadapté',
    'inadaptée',
    'inadaptées',
    'inadaptés',
    'inadmissible',
    'inadvertance',
    'inadéquat',
    'inadéquate',
    'inadéquates',
    'inadéquation',
    'inadéquats',
    'inaliénable',
    'inaliénables',
    'inaliénation',
    'inaltérable',
    'inaltérables',
    'inaltéré',
    'inaltérée',
    'inaltérées',
    'inaltérés',
    'inamical',
    'inamicale',
    'inamicales',
    'inamicaux',
    'inamissible',
    'inamissibles',
    'inamovible',
    'inamovibles',
    'inanalysable',
    'inanimé',
    'inanimée',
    'inanimées',
    'inanimés',
    'inanition',
    'inanitions',
    'inanitié',
    'inanitiés',
    'inanité',
    'inanités',
    'inapaisable',
    'inapaisables',
    'inapaisé',
    'inapaisée',
    'inapaisées',
    'inapaisés',
    'inaperçu',
    'inaperçue',
    'inaperçues',
    'inaperçus',
    'inapplicable',
    'inappliqué',
    'inappliquée',
    'inappliquées',
    'inappliqués',
    'inapprivoisé',
    'inapproprié',
    'inappropriée',
    'inappropriés',
    'inapprécié',
    'inappréciée',
    'inappréciées',
    'inappréciés',
    'inapte',
    'inaptes',
    'inaptitude',
    'inaptitudes',
    'inarticulé',
    'inarticulée',
    'inarticulées',
    'inarticulés',
    'inassouvi',
    'inassouvie',
    'inassouvies',
    'inassouvis',
    'inattaquable',
    'inattendu',
    'inattendue',
    'inattendues',
    'inattendus',
    'inattentif',
    'inattentifs',
    'inattention',
    'inattentions',
    'inattentive',
    'inattentives',
    'inaudible',
    'inaudibles',
    'inaugura',
    'inaugurai',
    'inauguraient',
    'inaugurais',
    'inaugurait',
    'inaugural',
    'inaugurale',
    'inaugurales',
    'inaugurant',
    'inauguras',
    'inaugurasse',
    'inaugurasses',
    'inauguration',
    'inauguraux',
    'inaugure',
    'inaugurent',
    'inaugurer',
    'inaugurera',
    'inaugurerai',
    'inaugurerais',
    'inaugurerait',
    'inaugureras',
    'inaugurerez',
    'inaugureriez',
    'inaugurerons',
    'inaugureront',
    'inaugures',
    'inaugurez',
    'inauguriez',
    'inaugurions',
    'inaugurons',
    'inaugurâmes',
    'inaugurât',
    'inaugurâtes',
    'inaugurèrent',
    'inauguré',
    'inaugurée',
    'inaugurées',
    'inaugurés',
    'inavouable',
    'inavouables',
    'inavoué',
    'inavouée',
    'inavouées',
    'inavoués',
    'inca',
    'incalculable',
    'incandescent',
    'incantation',
    'incantations',
    'incantatoire',
    'incapable',
    'incapables',
    'incapacitant',
    'incapacité',
    'incapacités',
    'incarcère',
    'incarcèrent',
    'incarcères',
    'incarcéra',
    'incarcérai',
    'incarcérais',
    'incarcérait',
    'incarcérant',
    'incarcéras',
    'incarcérasse',
    'incarcérer',
    'incarcérera',
    'incarcérerai',
    'incarcéreras',
    'incarcérerez',
    'incarcérez',
    'incarcériez',
    'incarcérions',
    'incarcérons',
    'incarcérâmes',
    'incarcérât',
    'incarcérâtes',
    'incarcéré',
    'incarcérée',
    'incarcérées',
    'incarcérés',
    'incarna',
    'incarnadin',
    'incarnadine',
    'incarnadines',
    'incarnadins',
    'incarnai',
    'incarnaient',
    'incarnais',
    'incarnait',
    'incarnant',
    'incarnas',
    'incarnasse',
    'incarnassent',
    'incarnasses',
    'incarnassiez',
    'incarnat',
    'incarnate',
    'incarnates',
    'incarnation',
    'incarnations',
    'incarnats',
    'incarne',
    'incarnent',
    'incarner',
    'incarnera',
    'incarnerai',
    'incarnerais',
    'incarnerait',
    'incarneras',
    'incarnerez',
    'incarneriez',
    'incarnerions',
    'incarnerons',
    'incarneront',
    'incarnes',
    'incarnez',
    'incarniez',
    'incarnions',
    'incarnons',
    'incarnâmes',
    'incarnât',
    'incarnâtes',
    'incarnèrent',
    'incarné',
    'incarnée',
    'incarnées',
    'incarnés',
    'incartade',
    'incartades',
    'incas',
    'incasique',
    'incasiques',
    'incassable',
    'incassables',
    'incendia',
    'incendiai',
    'incendiaient',
    'incendiaire',
    'incendiaires',
    'incendiais',
    'incendiait',
    'incendiant',
    'incendias',
    'incendiasse',
    'incendiasses',
    'incendie',
    'incendient',
    'incendier',
    'incendiera',
    'incendierai',
    'incendierais',
    'incendierait',
    'incendieras',
    'incendierez',
    'incendieriez',
    'incendierons',
    'incendieront',
    'incendies',
    'incendiez',
    'incendiiez',
    'incendiions',
    'incendions',
    'incendiâmes',
    'incendiât',
    'incendiâtes',
    'incendièrent',
    'incendié',
    'incendiée',
    'incendiées',
    'incendiés',
    'incertain',
    'incertaine',
    'incertaines',
    'incertains',
    'incertitude',
    'incertitudes',
    'incessamment',
    'incessant',
    'incessante',
    'incessantes',
    'incessants',
    'incessible',
    'incessibles',
    'inceste',
    'incestes',
    'incestueuse',
    'incestueuses',
    'incestueux',
    'inchangé',
    'inchangée',
    'inchangées',
    'inchangés',
    'inchantable',
    'inchantables',
    'inchauffable',
    'inchavirable',
    'inchoatif',
    'inchoatifs',
    'inchoative',
    'inchoatives',
    'incidemment',
    'incidence',
    'incidences',
    'incident',
    'incidente',
    'incidentes',
    'incidents',
    'incinère',
    'incinèrent',
    'incinères',
    'incinéra',
    'incinérai',
    'incinéraient',
    'incinérais',
    'incinérait',
    'incinérant',
    'incinéras',
    'incinérasse',
    'incinérasses',
    'incinérateur',
    'incinération',
    'incinérer',
    'incinérera',
    'incinérerai',
    'incinérerais',
    'incinérerait',
    'incinéreras',
    'incinérerez',
    'incinéreriez',
    'incinérerons',
    'incinéreront',
    'incinérez',
    'incinériez',
    'incinérions',
    'incinérons',
    'incinérâmes',
    'incinérât',
    'incinérâtes',
    'incinérèrent',
    'incinéré',
    'incinérée',
    'incinérées',
    'incinérés',
    'incipit',
    'incisa',
    'incisai',
    'incisaient',
    'incisais',
    'incisait',
    'incisant',
    'incisas',
    'incisasse',
    'incisassent',
    'incisasses',
    'incisassiez',
    'incisassions',
    'incise',
    'incisent',
    'inciser',
    'incisera',
    'inciserai',
    'inciseraient',
    'inciserais',
    'inciserait',
    'inciseras',
    'inciserez',
    'inciseriez',
    'inciserions',
    'inciserons',
    'inciseront',
    'incises',
    'incisez',
    'incisiez',
    'incisif',
    'incisifs',
    'incision',
    'incisions',
    'incisive',
    'incisives',
    'incisons',
    'incisure',
    'incisures',
    'incisâmes',
    'incisât',
    'incisâtes',
    'incisèrent',
    'incisé',
    'incisée',
    'incisées',
    'incisés',
    'incita',
    'incitai',
    'incitaient',
    'incitais',
    'incitait',
    'incitant',
    'incitante',
    'incitantes',
    'incitants',
    'incitas',
    'incitasse',
    'incitassent',
    'incitasses',
    'incitassiez',
    'incitassions',
    'incitateur',
    'incitateurs',
    'incitatif',
    'incitatifs',
    'incitation',
    'incitations',
    'incitative',
    'incitatives',
    'incitatrice',
    'incitatrices',
    'incite',
    'incitent',
    'inciter',
    'incitera',
    'inciterai',
    'inciteraient',
    'inciterais',
    'inciterait',
    'inciteras',
    'inciterez',
    'inciteriez',
    'inciterions',
    'inciterons',
    'inciteront',
    'incites',
    'incitez',
    'incitiez',
    'incitions',
    'incitons',
    'incitâmes',
    'incitât',
    'incitâtes',
    'incitèrent',
    'incité',
    'incitée',
    'incitées',
    'incités',
    'incivil',
    'incivile',
    'inciviles',
    'incivilité',
    'incivilités',
    'incivils',
    'incivique',
    'inciviques',
    'incivisme',
    'incivismes',
    'inclassable',
    'inclassables',
    'inclina',
    'inclinable',
    'inclinables',
    'inclinai',
    'inclinaient',
    'inclinais',
    'inclinaison',
    'inclinaisons',
    'inclinait',
    'inclinant',
    'inclinas',
    'inclinasse',
    'inclinassent',
    'inclinasses',
    'inclinassiez',
    'inclination',
    'inclinations',
    'incline',
    'inclinent',
    'incliner',
    'inclinera',
    'inclinerai',
    'inclinerais',
    'inclinerait',
    'inclineras',
    'inclinerez',
    'inclineriez',
    'inclinerions',
    'inclinerons',
    'inclineront',
    'inclines',
    'inclinez',
    'incliniez',
    'inclinions',
    'inclinons',
    'inclinâmes',
    'inclinât',
    'inclinâtes',
    'inclinèrent',
    'incliné',
    'inclinée',
    'inclinées',
    'inclinés',
    'incluaient',
    'incluais',
    'incluaisse',
    'incluaissent',
    'incluaisses',
    'incluait',
    'incluant',
    'inclue',
    'incluent',
    'inclues',
    'incluez',
    'incluiez',
    'incluions',
    'incluons',
    'inclura',
    'inclurai',
    'incluraient',
    'inclurais',
    'inclurait',
    'incluras',
    'inclure',
    'inclurent',
    'inclurez',
    'incluriez',
    'inclurions',
    'inclurons',
    'incluront',
    'inclus',
    'incluse',
    'incluses',
    'inclusif',
    'inclusifs',
    'inclusion',
    'inclusions',
    'inclusive',
    'inclusives',
    'inclusse',
    'inclussent',
    'inclusses',
    'inclussiez',
    'inclussions',
    'inclut',
    'inclémence',
    'inclémences',
    'inclément',
    'inclémente',
    'inclémentes',
    'incléments',
    'inclûmes',
    'inclût',
    'inclûtes',
    'incoagulable',
    'incoercible',
    'incoercibles',
    'incognito',
    'incognitos',
    'incohérence',
    'incohérences',
    'incohérent',
    'incohérente',
    'incohérentes',
    'incohérents',
    'incoiffable',
    'incoiffables',
    'incollable',
    'incollables',
    'incolore',
    'incolores',
    'incomba',
    'incombai',
    'incombaient',
    'incombais',
    'incombait',
    'incombant',
    'incombas',
    'incombasse',
    'incombassent',
    'incombasses',
    'incombassiez',
    'incombe',
    'incombent',
    'incomber',
    'incombera',
    'incomberai',
    'incomberais',
    'incomberait',
    'incomberas',
    'incomberez',
    'incomberiez',
    'incomberions',
    'incomberons',
    'incomberont',
    'incombes',
    'incombez',
    'incombiez',
    'incombions',
    'incombons',
    'incombâmes',
    'incombât',
    'incombâtes',
    'incombèrent',
    'incombé',
    'incomestible',
    'incommoda',
    'incommodai',
    'incommodais',
    'incommodait',
    'incommodant',
    'incommodante',
    'incommodants',
    'incommodas',
    'incommodasse',
    'incommode',
    'incommodent',
    'incommoder',
    'incommodera',
    'incommoderai',
    'incommoderas',
    'incommoderez',
    'incommodes',
    'incommodez',
    'incommodiez',
    'incommodions',
    'incommodité',
    'incommodités',
    'incommodons',
    'incommodâmes',
    'incommodât',
    'incommodâtes',
    'incommodé',
    'incommodée',
    'incommodées',
    'incommodés',
    'incomparable',
    'incompatible',
    'incomplet',
    'incomplets',
    'incomplète',
    'incomplètes',
    'incompris',
    'incomprise',
    'incomprises',
    'incompétence',
    'incompétent',
    'incompétente',
    'incompétents',
    'inconcevable',
    'inconduite',
    'inconduites',
    'inconfort',
    'inconforts',
    'incongelable',
    'incongru',
    'incongrue',
    'incongrues',
    'incongruité',
    'incongruités',
    'incongrus',
    'incongrûment',
    'inconnu',
    'inconnue',
    'inconnues',
    'inconnus',
    'inconscience',
    'inconscient',
    'inconsciente',
    'inconscients',
    'inconsidéré',
    'inconsidérée',
    'inconsidérés',
    'inconsistant',
    'inconsolable',
    'inconsolé',
    'inconsolée',
    'inconsolées',
    'inconsolés',
    'inconstance',
    'inconstances',
    'inconstant',
    'inconstante',
    'inconstantes',
    'inconstants',
    'inconséquent',
    'incontesté',
    'incontestée',
    'incontestées',
    'incontestés',
    'incontinence',
    'incontinent',
    'incontinente',
    'incontinents',
    'incontrôlé',
    'incontrôlée',
    'incontrôlées',
    'incontrôlés',
    'inconvenance',
    'inconvenant',
    'inconvenante',
    'inconvenants',
    'inconvénient',
    'incorpora',
    'incorporable',
    'incorporai',
    'incorporais',
    'incorporait',
    'incorporant',
    'incorporas',
    'incorporasse',
    'incorpore',
    'incorporel',
    'incorporelle',
    'incorporels',
    'incorporent',
    'incorporer',
    'incorporera',
    'incorporerai',
    'incorporeras',
    'incorporerez',
    'incorpores',
    'incorporez',
    'incorporiez',
    'incorporions',
    'incorporons',
    'incorporâmes',
    'incorporât',
    'incorporâtes',
    'incorporé',
    'incorporée',
    'incorporées',
    'incorporés',
    'incorrect',
    'incorrecte',
    'incorrectes',
    'incorrection',
    'incorrects',
    'incorrigible',
    'increvable',
    'increvables',
    'incrimina',
    'incriminable',
    'incriminai',
    'incriminais',
    'incriminait',
    'incriminant',
    'incriminas',
    'incriminasse',
    'incrimine',
    'incriminent',
    'incriminer',
    'incriminera',
    'incriminerai',
    'incrimineras',
    'incriminerez',
    'incrimines',
    'incriminez',
    'incriminiez',
    'incriminions',
    'incriminons',
    'incriminâmes',
    'incriminât',
    'incriminâtes',
    'incriminé',
    'incriminée',
    'incriminées',
    'incriminés',
    'incroyable',
    'incroyables',
    'incroyance',
    'incroyances',
    'incroyant',
    'incroyante',
    'incroyantes',
    'incroyants',
    'incrusta',
    'incrustai',
    'incrustaient',
    'incrustais',
    'incrustait',
    'incrustant',
    'incrustante',
    'incrustantes',
    'incrustants',
    'incrustas',
    'incrustasse',
    'incrustasses',
    'incrustation',
    'incruste',
    'incrustent',
    'incruster',
    'incrustera',
    'incrusterai',
    'incrusterais',
    'incrusterait',
    'incrusteras',
    'incrusterez',
    'incrusteriez',
    'incrusterons',
    'incrusteront',
    'incrustes',
    'incrusteur',
    'incrusteurs',
    'incrusteuse',
    'incrusteuses',
    'incrustez',
    'incrustiez',
    'incrustions',
    'incrustons',
    'incrustâmes',
    'incrustât',
    'incrustâtes',
    'incrustèrent',
    'incrusté',
    'incrustée',
    'incrustées',
    'incrustés',
    'incrédule',
    'incrédules',
    'incrédulité',
    'incrédulités',
    'incrément',
    'incrémenta',
    'incrémentai',
    'incrémentais',
    'incrémentait',
    'incrémentant',
    'incrémentas',
    'incrémente',
    'incrémentent',
    'incrémenter',
    'incrémentera',
    'incrémentes',
    'incrémentez',
    'incrémentiez',
    'incrémentons',
    'incréments',
    'incrémentât',
    'incrémenté',
    'incrémentée',
    'incrémentées',
    'incrémentés',
    'incréé',
    'incréée',
    'incréées',
    'incréés',
    'incuba',
    'incubai',
    'incubaient',
    'incubais',
    'incubait',
    'incubant',
    'incubas',
    'incubasse',
    'incubassent',
    'incubasses',
    'incubassiez',
    'incubassions',
    'incubateur',
    'incubateurs',
    'incubation',
    'incubations',
    'incubatrice',
    'incubatrices',
    'incube',
    'incubent',
    'incuber',
    'incubera',
    'incuberai',
    'incuberaient',
    'incuberais',
    'incuberait',
    'incuberas',
    'incuberez',
    'incuberiez',
    'incuberions',
    'incuberons',
    'incuberont',
    'incubes',
    'incubez',
    'incubiez',
    'incubions',
    'incubons',
    'incubâmes',
    'incubât',
    'incubâtes',
    'incubèrent',
    'incubé',
    'incubée',
    'incubées',
    'incubés',
    'incuit',
    'incuits',
    'inculcation',
    'inculcations',
    'inculpa',
    'inculpable',
    'inculpables',
    'inculpai',
    'inculpaient',
    'inculpais',
    'inculpait',
    'inculpant',
    'inculpas',
    'inculpasse',
    'inculpassent',
    'inculpasses',
    'inculpassiez',
    'inculpation',
    'inculpations',
    'inculpe',
    'inculpent',
    'inculper',
    'inculpera',
    'inculperai',
    'inculperais',
    'inculperait',
    'inculperas',
    'inculperez',
    'inculperiez',
    'inculperions',
    'inculperons',
    'inculperont',
    'inculpes',
    'inculpez',
    'inculpiez',
    'inculpions',
    'inculpons',
    'inculpâmes',
    'inculpât',
    'inculpâtes',
    'inculpèrent',
    'inculpé',
    'inculpée',
    'inculpées',
    'inculpés',
    'inculqua',
    'inculquai',
    'inculquaient',
    'inculquais',
    'inculquait',
    'inculquant',
    'inculquas',
    'inculquasse',
    'inculquasses',
    'inculque',
    'inculquent',
    'inculquer',
    'inculquera',
    'inculquerai',
    'inculquerais',
    'inculquerait',
    'inculqueras',
    'inculquerez',
    'inculqueriez',
    'inculquerons',
    'inculqueront',
    'inculques',
    'inculquez',
    'inculquiez',
    'inculquions',
    'inculquons',
    'inculquâmes',
    'inculquât',
    'inculquâtes',
    'inculquèrent',
    'inculqué',
    'inculquée',
    'inculquées',
    'inculqués',
    'inculte',
    'incultes',
    'incultivable',
    'incultivé',
    'incultivée',
    'incultivées',
    'incultivés',
    'inculture',
    'incultures',
    'incunable',
    'incunables',
    'incurable',
    'incurables',
    'incurie',
    'incuries',
    'incurieuse',
    'incurieuses',
    'incurieux',
    'incuriosité',
    'incuriosités',
    'incursion',
    'incursions',
    'incurva',
    'incurvai',
    'incurvaient',
    'incurvais',
    'incurvait',
    'incurvant',
    'incurvas',
    'incurvasse',
    'incurvassent',
    'incurvasses',
    'incurvassiez',
    'incurvation',
    'incurvations',
    'incurve',
    'incurvent',
    'incurver',
    'incurvera',
    'incurverai',
    'incurverais',
    'incurverait',
    'incurveras',
    'incurverez',
    'incurveriez',
    'incurverions',
    'incurverons',
    'incurveront',
    'incurves',
    'incurvez',
    'incurviez',
    'incurvions',
    'incurvons',
    'incurvâmes',
    'incurvât',
    'incurvâtes',
    'incurvèrent',
    'incurvé',
    'incurvée',
    'incurvées',
    'incurvés',
    'incuse',
    'incuses',
    'indatable',
    'indatables',
    'inde',
    'indemne',
    'indemnes',
    'indemnisa',
    'indemnisable',
    'indemnisai',
    'indemnisais',
    'indemnisait',
    'indemnisant',
    'indemnisas',
    'indemnisasse',
    'indemnise',
    'indemnisent',
    'indemniser',
    'indemnisera',
    'indemniserai',
    'indemniseras',
    'indemniserez',
    'indemnises',
    'indemnisez',
    'indemnisiez',
    'indemnisions',
    'indemnisons',
    'indemnisâmes',
    'indemnisât',
    'indemnisâtes',
    'indemnisé',
    'indemnisée',
    'indemnisées',
    'indemnisés',
    'indemnitaire',
    'indemnité',
    'indemnités',
    'indentation',
    'indentations',
    'index',
    'indexa',
    'indexage',
    'indexages',
    'indexai',
    'indexaient',
    'indexais',
    'indexait',
    'indexant',
    'indexas',
    'indexasse',
    'indexassent',
    'indexasses',
    'indexassiez',
    'indexassions',
    'indexation',
    'indexations',
    'indexe',
    'indexent',
    'indexer',
    'indexera',
    'indexerai',
    'indexeraient',
    'indexerais',
    'indexerait',
    'indexeras',
    'indexerez',
    'indexeriez',
    'indexerions',
    'indexerons',
    'indexeront',
    'indexes',
    'indexez',
    'indexiez',
    'indexions',
    'indexons',
    'indexâmes',
    'indexât',
    'indexâtes',
    'indexèrent',
    'indexé',
    'indexée',
    'indexées',
    'indexés',
    'indianisme',
    'indianismes',
    'indianiste',
    'indianistes',
    'indican',
    'indicans',
    'indicateur',
    'indicateurs',
    'indicatif',
    'indicatifs',
    'indication',
    'indications',
    'indicative',
    'indicatives',
    'indicatrice',
    'indicatrices',
    'indice',
    'indicent',
    'indicer',
    'indicera',
    'indicerai',
    'indiceraient',
    'indicerais',
    'indicerait',
    'indiceras',
    'indicerez',
    'indiceriez',
    'indicerions',
    'indicerons',
    'indiceront',
    'indices',
    'indicez',
    'indiciaire',
    'indiciaires',
    'indicible',
    'indicibles',
    'indiciel',
    'indicielle',
    'indicielles',
    'indiciels',
    'indiciez',
    'indicions',
    'indiction',
    'indictions',
    'indicèrent',
    'indicé',
    'indicée',
    'indicées',
    'indicés',
    'indien',
    'indienne',
    'indiennes',
    'indiens',
    'indiffère',
    'indiffèrent',
    'indiffères',
    'indifféra',
    'indifférai',
    'indifférais',
    'indifférait',
    'indifférant',
    'indifféras',
    'indifférasse',
    'indifférence',
    'indifférent',
    'indifférente',
    'indifférents',
    'indifférer',
    'indifférera',
    'indifférerai',
    'indifféreras',
    'indifférerez',
    'indifférez',
    'indiffériez',
    'indifférions',
    'indifférons',
    'indifférâmes',
    'indifférât',
    'indifférâtes',
    'indifféré',
    'indifférée',
    'indifférées',
    'indifférés',
    'indigence',
    'indigences',
    'indigent',
    'indigente',
    'indigentes',
    'indigents',
    'indigeste',
    'indigestes',
    'indigestion',
    'indigestions',
    'indigna',
    'indignai',
    'indignaient',
    'indignais',
    'indignait',
    'indignant',
    'indignas',
    'indignasse',
    'indignassent',
    'indignasses',
    'indignassiez',
    'indignation',
    'indignations',
    'indigne',
    'indignement',
    'indignent',
    'indigner',
    'indignera',
    'indignerai',
    'indignerais',
    'indignerait',
    'indigneras',
    'indignerez',
    'indigneriez',
    'indignerions',
    'indignerons',
    'indigneront',
    'indignes',
    'indignez',
    'indigniez',
    'indignions',
    'indignité',
    'indignités',
    'indignons',
    'indignâmes',
    'indignât',
    'indignâtes',
    'indignèrent',
    'indigné',
    'indignée',
    'indignées',
    'indignés',
    'indigo',
    'indigos',
    'indigotier',
    'indigotiers',
    'indigotine',
    'indigotines',
    'indigène',
    'indigènes',
    'indigète',
    'indigètes',
    'indiqua',
    'indiquai',
    'indiquaient',
    'indiquais',
    'indiquait',
    'indiquant',
    'indiquas',
    'indiquasse',
    'indiquassent',
    'indiquasses',
    'indiquassiez',
    'indique',
    'indiquent',
    'indiquer',
    'indiquera',
    'indiquerai',
    'indiquerais',
    'indiquerait',
    'indiqueras',
    'indiquerez',
    'indiqueriez',
    'indiquerions',
    'indiquerons',
    'indiqueront',
    'indiques',
    'indiquez',
    'indiquiez',
    'indiquions',
    'indiquons',
    'indiquâmes',
    'indiquât',
    'indiquâtes',
    'indiquèrent',
    'indiqué',
    'indiquée',
    'indiquées',
    'indiqués',
    'indirect',
    'indirecte',
    'indirectes',
    'indirects',
    'indiscipline',
    'indiscipliné',
    'indiscret',
    'indiscrets',
    'indiscrète',
    'indiscrètes',
    'indiscrétion',
    'indiscutable',
    'indiscuté',
    'indiscutée',
    'indiscutées',
    'indiscutés',
    'indisponible',
    'indisposa',
    'indisposai',
    'indisposais',
    'indisposait',
    'indisposant',
    'indisposas',
    'indisposasse',
    'indispose',
    'indisposent',
    'indisposer',
    'indisposera',
    'indisposerai',
    'indisposeras',
    'indisposerez',
    'indisposes',
    'indisposez',
    'indisposiez',
    'indisposions',
    'indisposons',
    'indisposâmes',
    'indisposât',
    'indisposâtes',
    'indisposé',
    'indisposée',
    'indisposées',
    'indisposés',
    'indissoluble',
    'indistinct',
    'indistincte',
    'indistinctes',
    'indistincts',
    'indium',
    'indiums',
    'individu',
    'individuel',
    'individuelle',
    'individuels',
    'individus',
    'indivis',
    'indivisaire',
    'indivisaires',
    'indivise',
    'indivises',
    'indivisible',
    'indivisibles',
    'indivision',
    'indivisions',
    'indivisément',
    'indiça',
    'indiçai',
    'indiçaient',
    'indiçais',
    'indiçait',
    'indiçant',
    'indiças',
    'indiçasse',
    'indiçassent',
    'indiçasses',
    'indiçassiez',
    'indiçassions',
    'indiçons',
    'indiçâmes',
    'indiçât',
    'indiçâtes',
    'indochinois',
    'indochinoise',
    'indocile',
    'indociles',
    'indocilité',
    'indocilités',
    'indole',
    'indolemment',
    'indolence',
    'indolences',
    'indolent',
    'indolente',
    'indolentes',
    'indolents',
    'indoles',
    'indolore',
    'indolores',
    'indomptable',
    'indomptables',
    'indompté',
    'indomptée',
    'indomptées',
    'indomptés',
    'indonésien',
    'indonésienne',
    'indonésiens',
    'indu',
    'indubitable',
    'indubitables',
    'inducteur',
    'inducteurs',
    'inductif',
    'inductifs',
    'induction',
    'inductions',
    'inductive',
    'inductives',
    'inductrice',
    'inductrices',
    'indue',
    'indues',
    'induira',
    'induirai',
    'induiraient',
    'induirais',
    'induirait',
    'induiras',
    'induire',
    'induirez',
    'induiriez',
    'induirions',
    'induirons',
    'induiront',
    'induis',
    'induisaient',
    'induisais',
    'induisait',
    'induisant',
    'induise',
    'induisent',
    'induises',
    'induisez',
    'induisiez',
    'induisions',
    'induisirent',
    'induisis',
    'induisisse',
    'induisissent',
    'induisisses',
    'induisissiez',
    'induisit',
    'induisons',
    'induisîmes',
    'induisît',
    'induisîtes',
    'induit',
    'induite',
    'induites',
    'induits',
    'indulgence',
    'indulgences',
    'indulgencia',
    'indulgenciai',
    'indulgencias',
    'indulgencie',
    'indulgencier',
    'indulgencies',
    'indulgenciez',
    'indulgenciât',
    'indulgencié',
    'indulgenciée',
    'indulgenciés',
    'indulgent',
    'indulgente',
    'indulgentes',
    'indulgents',
    'induline',
    'indulines',
    'indult',
    'indults',
    'indura',
    'indurai',
    'induraient',
    'indurais',
    'indurait',
    'indurant',
    'induras',
    'indurasse',
    'indurassent',
    'indurasses',
    'indurassiez',
    'indurassions',
    'induration',
    'indurations',
    'indure',
    'indurent',
    'indurer',
    'indurera',
    'indurerai',
    'indureraient',
    'indurerais',
    'indurerait',
    'indureras',
    'indurerez',
    'indureriez',
    'indurerions',
    'indurerons',
    'indureront',
    'indures',
    'indurez',
    'induriez',
    'indurions',
    'indurons',
    'indurâmes',
    'indurât',
    'indurâtes',
    'indurèrent',
    'induré',
    'indurée',
    'indurées',
    'indurés',
    'indus',
    'indusie',
    'indusies',
    'industrie',
    'industriel',
    'industrielle',
    'industriels',
    'industries',
    'industrieuse',
    'industrieux',
    'induvie',
    'induvies',
    'indécelable',
    'indécelables',
    'indécemment',
    'indécence',
    'indécences',
    'indécent',
    'indécente',
    'indécentes',
    'indécents',
    'indéchirable',
    'indécidable',
    'indécidables',
    'indécis',
    'indécise',
    'indécises',
    'indécision',
    'indécisions',
    'indéclinable',
    'indécollable',
    'indéfectible',
    'indéfendable',
    'indéfini',
    'indéfinie',
    'indéfinies',
    'indéfiniment',
    'indéfinis',
    'indéformable',
    'indéfrisable',
    'indélibéré',
    'indélibérée',
    'indélibérées',
    'indélibérés',
    'indélicat',
    'indélicate',
    'indélicates',
    'indélicats',
    'indélébile',
    'indélébiles',
    'indélébilité',
    'indémodable',
    'indémodables',
    'indémontable',
    'indéniable',
    'indéniables',
    'indépassable',
    'indépendance',
    'indépendant',
    'indépendante',
    'indépendants',
    'indéréglable',
    'indésirable',
    'indésirables',
    'indéterminé',
    'indéterminée',
    'indéterminés',
    'indûment',
    'ineffable',
    'ineffables',
    'ineffaçable',
    'ineffaçables',
    'inefficace',
    'inefficaces',
    'inefficacité',
    'inemployable',
    'inemployé',
    'inemployée',
    'inemployées',
    'inemployés',
    'inepte',
    'ineptes',
    'ineptie',
    'inepties',
    'inerme',
    'inermes',
    'inerte',
    'inertes',
    'inertie',
    'inertiel',
    'inertielle',
    'inertielles',
    'inertiels',
    'inerties',
    'inespéré',
    'inespérée',
    'inespérées',
    'inespérés',
    'inesthétique',
    'inestimable',
    'inestimables',
    'inexact',
    'inexacte',
    'inexactement',
    'inexactes',
    'inexactitude',
    'inexacts',
    'inexcusable',
    'inexcusables',
    'inexercé',
    'inexercée',
    'inexercées',
    'inexercés',
    'inexistant',
    'inexistante',
    'inexistantes',
    'inexistants',
    'inexistence',
    'inexistences',
    'inexorable',
    'inexorables',
    'inexpert',
    'inexperte',
    'inexpertes',
    'inexperts',
    'inexpiable',
    'inexpiables',
    'inexpié',
    'inexpiée',
    'inexpiées',
    'inexpiés',
    'inexplicable',
    'inexpliqué',
    'inexpliquée',
    'inexpliquées',
    'inexpliqués',
    'inexploité',
    'inexploitée',
    'inexploitées',
    'inexploités',
    'inexplorable',
    'inexploré',
    'inexplorée',
    'inexplorées',
    'inexplorés',
    'inexplosible',
    'inexpressif',
    'inexpressifs',
    'inexpressive',
    'inexprimable',
    'inexprimé',
    'inexprimée',
    'inexprimées',
    'inexprimés',
    'inexpugnable',
    'inexpérience',
    'inextensible',
    'inextirpable',
    'inextricable',
    'inexécutable',
    'inexécution',
    'inexécutions',
    'inexécuté',
    'inexécutée',
    'inexécutées',
    'inexécutés',
    'infaillible',
    'infaillibles',
    'infaisable',
    'infaisables',
    'infamant',
    'infamante',
    'infamantes',
    'infamants',
    'infamie',
    'infamies',
    'infant',
    'infante',
    'infanterie',
    'infanteries',
    'infantes',
    'infanticide',
    'infanticides',
    'infantile',
    'infantiles',
    'infantilisa',
    'infantilisai',
    'infantilisas',
    'infantilise',
    'infantiliser',
    'infantilises',
    'infantilisez',
    'infantilisme',
    'infantilisât',
    'infantilisé',
    'infantilisée',
    'infantilisés',
    'infants',
    'infarctus',
    'infatigable',
    'infatigables',
    'infatua',
    'infatuai',
    'infatuaient',
    'infatuais',
    'infatuait',
    'infatuant',
    'infatuas',
    'infatuasse',
    'infatuassent',
    'infatuasses',
    'infatuassiez',
    'infatuation',
    'infatuations',
    'infatue',
    'infatuent',
    'infatuer',
    'infatuera',
    'infatuerai',
    'infatuerais',
    'infatuerait',
    'infatueras',
    'infatuerez',
    'infatueriez',
    'infatuerions',
    'infatuerons',
    'infatueront',
    'infatues',
    'infatuez',
    'infatuiez',
    'infatuions',
    'infatuons',
    'infatuâmes',
    'infatuât',
    'infatuâtes',
    'infatuèrent',
    'infatué',
    'infatuée',
    'infatuées',
    'infatués',
    'infect',
    'infecta',
    'infectai',
    'infectaient',
    'infectais',
    'infectait',
    'infectant',
    'infectante',
    'infectantes',
    'infectants',
    'infectas',
    'infectasse',
    'infectassent',
    'infectasses',
    'infectassiez',
    'infecte',
    'infectent',
    'infecter',
    'infectera',
    'infecterai',
    'infecterais',
    'infecterait',
    'infecteras',
    'infecterez',
    'infecteriez',
    'infecterions',
    'infecterons',
    'infecteront',
    'infectes',
    'infectez',
    'infectieuse',
    'infectieuses',
    'infectieux',
    'infectiez',
    'infection',
    'infections',
    'infectons',
    'infects',
    'infectâmes',
    'infectât',
    'infectâtes',
    'infectèrent',
    'infecté',
    'infectée',
    'infectées',
    'infectés',
    'infernal',
    'infernale',
    'infernales',
    'infernaux',
    'infertile',
    'infertiles',
    'infertilité',
    'infertilités',
    'infesta',
    'infestai',
    'infestaient',
    'infestais',
    'infestait',
    'infestant',
    'infestas',
    'infestasse',
    'infestassent',
    'infestasses',
    'infestassiez',
    'infestation',
    'infestations',
    'infeste',
    'infestent',
    'infester',
    'infestera',
    'infesterai',
    'infesterais',
    'infesterait',
    'infesteras',
    'infesterez',
    'infesteriez',
    'infesterions',
    'infesterons',
    'infesteront',
    'infestes',
    'infestez',
    'infestiez',
    'infestions',
    'infestons',
    'infestâmes',
    'infestât',
    'infestâtes',
    'infestèrent',
    'infesté',
    'infestée',
    'infestées',
    'infestés',
    'infeutrable',
    'infeutrables',
    'infibulation',
    'infidèle',
    'infidèlement',
    'infidèles',
    'infidélité',
    'infidélités',
    'infiltra',
    'infiltrai',
    'infiltraient',
    'infiltrais',
    'infiltrait',
    'infiltrant',
    'infiltras',
    'infiltrasse',
    'infiltrasses',
    'infiltration',
    'infiltre',
    'infiltrent',
    'infiltrer',
    'infiltrera',
    'infiltrerai',
    'infiltrerais',
    'infiltrerait',
    'infiltreras',
    'infiltrerez',
    'infiltreriez',
    'infiltrerons',
    'infiltreront',
    'infiltres',
    'infiltrez',
    'infiltriez',
    'infiltrions',
    'infiltrons',
    'infiltrâmes',
    'infiltrât',
    'infiltrâtes',
    'infiltrèrent',
    'infiltré',
    'infiltrée',
    'infiltrées',
    'infiltrés',
    'infime',
    'infimes',
    'infini',
    'infinie',
    'infinies',
    'infiniment',
    'infinis',
    'infinitif',
    'infinitifs',
    'infinitive',
    'infinitives',
    'infinitude',
    'infinitudes',
    'infinité',
    'infinités',
    'infirma',
    'infirmai',
    'infirmaient',
    'infirmais',
    'infirmait',
    'infirmant',
    'infirmas',
    'infirmasse',
    'infirmassent',
    'infirmasses',
    'infirmassiez',
    'infirmatif',
    'infirmatifs',
    'infirmation',
    'infirmations',
    'infirmative',
    'infirmatives',
    'infirme',
    'infirment',
    'infirmer',
    'infirmera',
    'infirmerai',
    'infirmerais',
    'infirmerait',
    'infirmeras',
    'infirmerez',
    'infirmerie',
    'infirmeries',
    'infirmeriez',
    'infirmerions',
    'infirmerons',
    'infirmeront',
    'infirmes',
    'infirmez',
    'infirmier',
    'infirmiers',
    'infirmiez',
    'infirmions',
    'infirmité',
    'infirmités',
    'infirmière',
    'infirmières',
    'infirmons',
    'infirmâmes',
    'infirmât',
    'infirmâtes',
    'infirmèrent',
    'infirmé',
    'infirmée',
    'infirmées',
    'infirmés',
    'infixe',
    'infixes',
    'inflammable',
    'inflammables',
    'inflammation',
    'inflation',
    'inflations',
    'inflexible',
    'inflexibles',
    'inflexion',
    'inflexions',
    'inflige',
    'infligea',
    'infligeai',
    'infligeaient',
    'infligeais',
    'infligeait',
    'infligeant',
    'infligeas',
    'infligeasse',
    'infligeasses',
    'infligent',
    'infligeons',
    'infliger',
    'infligera',
    'infligerai',
    'infligerais',
    'infligerait',
    'infligeras',
    'infligerez',
    'infligeriez',
    'infligerions',
    'infligerons',
    'infligeront',
    'infliges',
    'infligez',
    'infligeâmes',
    'infligeât',
    'infligeâtes',
    'infligiez',
    'infligions',
    'infligèrent',
    'infligé',
    'infligée',
    'infligées',
    'infligés',
    'influa',
    'influai',
    'influaient',
    'influais',
    'influait',
    'influant',
    'influas',
    'influasse',
    'influassent',
    'influasses',
    'influassiez',
    'influassions',
    'influe',
    'influence',
    'influencent',
    'influencer',
    'influencera',
    'influencerai',
    'influenceras',
    'influencerez',
    'influences',
    'influencez',
    'influenciez',
    'influencions',
    'influencé',
    'influencée',
    'influencées',
    'influencés',
    'influent',
    'influente',
    'influentes',
    'influents',
    'influenza',
    'influenzas',
    'influença',
    'influençable',
    'influençai',
    'influençais',
    'influençait',
    'influençant',
    'influenças',
    'influençasse',
    'influençons',
    'influençâmes',
    'influençât',
    'influençâtes',
    'influer',
    'influera',
    'influerai',
    'influeraient',
    'influerais',
    'influerait',
    'influeras',
    'influerez',
    'influeriez',
    'influerions',
    'influerons',
    'influeront',
    'influes',
    'influez',
    'influiez',
    'influions',
    'influons',
    'influx',
    'influâmes',
    'influât',
    'influâtes',
    'influèrent',
    'influé',
    'infléchi',
    'infléchie',
    'infléchies',
    'infléchir',
    'infléchira',
    'infléchirai',
    'infléchirais',
    'infléchirait',
    'infléchiras',
    'infléchirent',
    'infléchirez',
    'infléchiriez',
    'infléchirons',
    'infléchiront',
    'infléchis',
    'infléchisse',
    'infléchisses',
    'infléchissez',
    'infléchit',
    'infléchîmes',
    'infléchît',
    'infléchîtes',
    'infographie',
    'infographies',
    'infondé',
    'infondée',
    'infondées',
    'infondés',
    'informa',
    'informai',
    'informaient',
    'informais',
    'informait',
    'informant',
    'informas',
    'informasse',
    'informassent',
    'informasses',
    'informassiez',
    'informateur',
    'informateurs',
    'informatif',
    'informatifs',
    'information',
    'informations',
    'informatique',
    'informatisa',
    'informatisai',
    'informatisas',
    'informatise',
    'informatiser',
    'informatises',
    'informatisez',
    'informatisât',
    'informatisé',
    'informatisée',
    'informatisés',
    'informative',
    'informatives',
    'informatrice',
    'informe',
    'informel',
    'informelle',
    'informelles',
    'informels',
    'informent',
    'informer',
    'informera',
    'informerai',
    'informerais',
    'informerait',
    'informeras',
    'informerez',
    'informeriez',
    'informerions',
    'informerons',
    'informeront',
    'informes',
    'informez',
    'informiez',
    'informions',
    'informons',
    'informulé',
    'informulée',
    'informulées',
    'informulés',
    'informâmes',
    'informât',
    'informâtes',
    'informèrent',
    'informé',
    'informée',
    'informées',
    'informés',
    'infortune',
    'infortunes',
    'infortuné',
    'infortunée',
    'infortunées',
    'infortunés',
    'infra',
    'infraction',
    'infractions',
    'infrarouge',
    'infrarouges',
    'infrason',
    'infrasons',
    'infroissable',
    'infructueuse',
    'infructueux',
    'infule',
    'infules',
    'infumable',
    'infumables',
    'infundibulum',
    'infus',
    'infusa',
    'infusai',
    'infusaient',
    'infusais',
    'infusait',
    'infusant',
    'infusas',
    'infusasse',
    'infusassent',
    'infusasses',
    'infusassiez',
    'infusassions',
    'infuse',
    'infusent',
    'infuser',
    'infusera',
    'infuserai',
    'infuseraient',
    'infuserais',
    'infuserait',
    'infuseras',
    'infuserez',
    'infuseriez',
    'infuserions',
    'infuserons',
    'infuseront',
    'infuses',
    'infusez',
    'infusible',
    'infusibles',
    'infusiez',
    'infusion',
    'infusions',
    'infusoire',
    'infusoires',
    'infusons',
    'infusâmes',
    'infusât',
    'infusâtes',
    'infusèrent',
    'infusé',
    'infusée',
    'infusées',
    'infusés',
    'infâme',
    'infâmes',
    'infère',
    'infèrent',
    'infères',
    'infécond',
    'inféconde',
    'infécondes',
    'infécondité',
    'infécondités',
    'inféconds',
    'inféoda',
    'inféodai',
    'inféodaient',
    'inféodais',
    'inféodait',
    'inféodant',
    'inféodas',
    'inféodasse',
    'inféodassent',
    'inféodasses',
    'inféodassiez',
    'inféode',
    'inféodent',
    'inféoder',
    'inféodera',
    'inféoderai',
    'inféoderais',
    'inféoderait',
    'inféoderas',
    'inféoderez',
    'inféoderiez',
    'inféoderions',
    'inféoderons',
    'inféoderont',
    'inféodes',
    'inféodez',
    'inféodiez',
    'inféodions',
    'inféodons',
    'inféodâmes',
    'inféodât',
    'inféodâtes',
    'inféodèrent',
    'inféodé',
    'inféodée',
    'inféodées',
    'inféodés',
    'inféra',
    'inférai',
    'inféraient',
    'inférais',
    'inférait',
    'inférant',
    'inféras',
    'inférasse',
    'inférassent',
    'inférasses',
    'inférassiez',
    'inférassions',
    'inférence',
    'inférences',
    'inférer',
    'inférera',
    'inférerai',
    'inféreraient',
    'inférerais',
    'inférerait',
    'inféreras',
    'inférerez',
    'inféreriez',
    'inférerions',
    'inférerons',
    'inféreront',
    'inférez',
    'inférieur',
    'inférieure',
    'inférieures',
    'inférieurs',
    'infériez',
    'inférions',
    'infériorisa',
    'infériorisai',
    'infériorisas',
    'infériorise',
    'inférioriser',
    'infériorises',
    'infériorisez',
    'infériorisât',
    'infériorisé',
    'infériorisée',
    'infériorisés',
    'infériorité',
    'infériorités',
    'inférons',
    'inférâmes',
    'inférât',
    'inférâtes',
    'inférèrent',
    'inféré',
    'inférée',
    'inférées',
    'inférés',
    'ingagnable',
    'ingagnables',
    'ingambe',
    'ingambes',
    'ingestion',
    'ingestions',
    'ingrat',
    'ingrate',
    'ingratement',
    'ingrates',
    'ingratitude',
    'ingratitudes',
    'ingrats',
    'ingression',
    'ingressions',
    'ingrédient',
    'ingrédients',
    'inguinal',
    'inguinale',
    'inguinales',
    'inguinaux',
    'ingurgita',
    'ingurgitai',
    'ingurgitais',
    'ingurgitait',
    'ingurgitant',
    'ingurgitas',
    'ingurgitasse',
    'ingurgite',
    'ingurgitent',
    'ingurgiter',
    'ingurgitera',
    'ingurgiterai',
    'ingurgiteras',
    'ingurgiterez',
    'ingurgites',
    'ingurgitez',
    'ingurgitiez',
    'ingurgitions',
    'ingurgitons',
    'ingurgitâmes',
    'ingurgitât',
    'ingurgitâtes',
    'ingurgité',
    'ingurgitée',
    'ingurgitées',
    'ingurgités',
    'ingère',
    'ingèrent',
    'ingères',
    'ingénia',
    'ingéniaient',
    'ingéniais',
    'ingéniait',
    'ingéniant',
    'ingéniassiez',
    'ingénie',
    'ingénient',
    'ingénier',
    'ingéniera',
    'ingénierai',
    'ingénierais',
    'ingénierait',
    'ingénieras',
    'ingénierez',
    'ingénierie',
    'ingénieries',
    'ingénieriez',
    'ingénierions',
    'ingénierons',
    'ingénieront',
    'ingénies',
    'ingénieur',
    'ingénieurs',
    'ingénieuse',
    'ingénieuses',
    'ingénieux',
    'ingéniez',
    'ingéniiez',
    'ingéniions',
    'ingénions',
    'ingéniosité',
    'ingéniosités',
    'ingéniâmes',
    'ingéniâtes',
    'ingénièrent',
    'ingénié',
    'ingéniée',
    'ingéniées',
    'ingéniés',
    'ingénu',
    'ingénue',
    'ingénues',
    'ingénuité',
    'ingénuités',
    'ingénument',
    'ingénus',
    'ingéra',
    'ingérai',
    'ingéraient',
    'ingérais',
    'ingérait',
    'ingérant',
    'ingéras',
    'ingérasse',
    'ingérassent',
    'ingérasses',
    'ingérassiez',
    'ingérassions',
    'ingérence',
    'ingérences',
    'ingérer',
    'ingérera',
    'ingérerai',
    'ingéreraient',
    'ingérerais',
    'ingérerait',
    'ingéreras',
    'ingérerez',
    'ingéreriez',
    'ingérerions',
    'ingérerons',
    'ingéreront',
    'ingérez',
    'ingériez',
    'ingérions',
    'ingérons',
    'ingérâmes',
    'ingérât',
    'ingérâtes',
    'ingérèrent',
    'ingéré',
    'ingérée',
    'ingérées',
    'ingérés',
    'inhabile',
    'inhabiles',
    'inhabileté',
    'inhabiletés',
    'inhabilité',
    'inhabilités',
    'inhabitable',
    'inhabitables',
    'inhabituel',
    'inhabituelle',
    'inhabituels',
    'inhabité',
    'inhabitée',
    'inhabitées',
    'inhabités',
    'inhala',
    'inhalai',
    'inhalaient',
    'inhalais',
    'inhalait',
    'inhalant',
    'inhalas',
    'inhalasse',
    'inhalassent',
    'inhalasses',
    'inhalassiez',
    'inhalassions',
    'inhalateur',
    'inhalateurs',
    'inhalation',
    'inhalations',
    'inhalatrice',
    'inhalatrices',
    'inhale',
    'inhalent',
    'inhaler',
    'inhalera',
    'inhalerai',
    'inhaleraient',
    'inhalerais',
    'inhalerait',
    'inhaleras',
    'inhalerez',
    'inhaleriez',
    'inhalerions',
    'inhalerons',
    'inhaleront',
    'inhales',
    'inhalez',
    'inhaliez',
    'inhalions',
    'inhalons',
    'inhalâmes',
    'inhalât',
    'inhalâtes',
    'inhalèrent',
    'inhalé',
    'inhalée',
    'inhalées',
    'inhalés',
    'inharmonieux',
    'inhiba',
    'inhibai',
    'inhibaient',
    'inhibais',
    'inhibait',
    'inhibant',
    'inhibas',
    'inhibasse',
    'inhibassent',
    'inhibasses',
    'inhibassiez',
    'inhibassions',
    'inhibe',
    'inhibent',
    'inhiber',
    'inhibera',
    'inhiberai',
    'inhiberaient',
    'inhiberais',
    'inhiberait',
    'inhiberas',
    'inhiberez',
    'inhiberiez',
    'inhiberions',
    'inhiberons',
    'inhiberont',
    'inhibes',
    'inhibez',
    'inhibiez',
    'inhibions',
    'inhibiteur',
    'inhibiteurs',
    'inhibitif',
    'inhibitifs',
    'inhibition',
    'inhibitions',
    'inhibitive',
    'inhibitives',
    'inhibitrice',
    'inhibitrices',
    'inhibons',
    'inhibâmes',
    'inhibât',
    'inhibâtes',
    'inhibèrent',
    'inhibé',
    'inhibée',
    'inhibées',
    'inhibés',
    'inhuma',
    'inhumai',
    'inhumaient',
    'inhumain',
    'inhumaine',
    'inhumaines',
    'inhumains',
    'inhumais',
    'inhumait',
    'inhumanité',
    'inhumanités',
    'inhumant',
    'inhumas',
    'inhumasse',
    'inhumassent',
    'inhumasses',
    'inhumassiez',
    'inhumassions',
    'inhumation',
    'inhumations',
    'inhume',
    'inhument',
    'inhumer',
    'inhumera',
    'inhumerai',
    'inhumeraient',
    'inhumerais',
    'inhumerait',
    'inhumeras',
    'inhumerez',
    'inhumeriez',
    'inhumerions',
    'inhumerons',
    'inhumeront',
    'inhumes',
    'inhumez',
    'inhumiez',
    'inhumions',
    'inhumons',
    'inhumâmes',
    'inhumât',
    'inhumâtes',
    'inhumèrent',
    'inhumé',
    'inhumée',
    'inhumées',
    'inhumés',
    'inhérence',
    'inhérences',
    'inhérent',
    'inhérente',
    'inhérentes',
    'inhérents',
    'inimaginable',
    'inimitable',
    'inimitables',
    'inimitié',
    'inimitiés',
    'inimité',
    'inimitée',
    'inimitées',
    'inimités',
    'ininterrompu',
    'inique',
    'iniquement',
    'iniques',
    'iniquité',
    'iniquités',
    'initia',
    'initiai',
    'initiaient',
    'initiais',
    'initiait',
    'initial',
    'initiale',
    'initialement',
    'initiales',
    'initialisa',
    'initialisai',
    'initialisais',
    'initialisait',
    'initialisant',
    'initialisas',
    'initialise',
    'initialisent',
    'initialiser',
    'initialisera',
    'initialises',
    'initialisez',
    'initialisiez',
    'initialisons',
    'initialisât',
    'initialisé',
    'initialisée',
    'initialisées',
    'initialisés',
    'initiant',
    'initias',
    'initiasse',
    'initiassent',
    'initiasses',
    'initiassiez',
    'initiassions',
    'initiateur',
    'initiateurs',
    'initiation',
    'initiations',
    'initiatique',
    'initiatiques',
    'initiative',
    'initiatives',
    'initiatrice',
    'initiatrices',
    'initiaux',
    'initie',
    'initient',
    'initier',
    'initiera',
    'initierai',
    'initieraient',
    'initierais',
    'initierait',
    'initieras',
    'initierez',
    'initieriez',
    'initierions',
    'initierons',
    'initieront',
    'inities',
    'initiez',
    'initiiez',
    'initiions',
    'initions',
    'initiâmes',
    'initiât',
    'initiâtes',
    'initièrent',
    'initié',
    'initiée',
    'initiées',
    'initiés',
    'injecta',
    'injectable',
    'injectables',
    'injectai',
    'injectaient',
    'injectais',
    'injectait',
    'injectant',
    'injectas',
    'injectasse',
    'injectassent',
    'injectasses',
    'injectassiez',
    'injecte',
    'injectent',
    'injecter',
    'injectera',
    'injecterai',
    'injecterais',
    'injecterait',
    'injecteras',
    'injecterez',
    'injecteriez',
    'injecterions',
    'injecterons',
    'injecteront',
    'injectes',
    'injecteur',
    'injecteurs',
    'injectez',
    'injectiez',
    'injection',
    'injections',
    'injectons',
    'injectâmes',
    'injectât',
    'injectâtes',
    'injectèrent',
    'injecté',
    'injectée',
    'injectées',
    'injectés',
    'injonctif',
    'injonctifs',
    'injonction',
    'injonctions',
    'injonctive',
    'injonctives',
    'injouable',
    'injouables',
    'injure',
    'injures',
    'injuria',
    'injuriai',
    'injuriaient',
    'injuriais',
    'injuriait',
    'injuriant',
    'injurias',
    'injuriasse',
    'injuriassent',
    'injuriasses',
    'injuriassiez',
    'injurie',
    'injurient',
    'injurier',
    'injuriera',
    'injurierai',
    'injurierais',
    'injurierait',
    'injurieras',
    'injurierez',
    'injurieriez',
    'injurierions',
    'injurierons',
    'injurieront',
    'injuries',
    'injurieuse',
    'injurieuses',
    'injurieux',
    'injuriez',
    'injuriiez',
    'injuriions',
    'injurions',
    'injuriâmes',
    'injuriât',
    'injuriâtes',
    'injurièrent',
    'injurié',
    'injuriée',
    'injuriées',
    'injuriés',
    'injuste',
    'injustement',
    'injustes',
    'injustice',
    'injustices',
    'injustifié',
    'injustifiée',
    'injustifiées',
    'injustifiés',
    'inlandsis',
    'inlassable',
    'inlassables',
    'inlay',
    'inlays',
    'innerva',
    'innervai',
    'innervaient',
    'innervais',
    'innervait',
    'innervant',
    'innervas',
    'innervasse',
    'innervassent',
    'innervasses',
    'innervassiez',
    'innervation',
    'innervations',
    'innerve',
    'innervent',
    'innerver',
    'innervera',
    'innerverai',
    'innerverais',
    'innerverait',
    'innerveras',
    'innerverez',
    'innerveriez',
    'innerverions',
    'innerverons',
    'innerveront',
    'innerves',
    'innervez',
    'innerviez',
    'innervions',
    'innervons',
    'innervâmes',
    'innervât',
    'innervâtes',
    'innervèrent',
    'innervé',
    'innervée',
    'innervées',
    'innervés',
    'innocemment',
    'innocence',
    'innocences',
    'innocent',
    'innocenta',
    'innocentai',
    'innocentais',
    'innocentait',
    'innocentant',
    'innocentas',
    'innocentasse',
    'innocente',
    'innocentent',
    'innocenter',
    'innocentera',
    'innocenterai',
    'innocenteras',
    'innocenterez',
    'innocentes',
    'innocentez',
    'innocentiez',
    'innocentions',
    'innocentons',
    'innocents',
    'innocentâmes',
    'innocentât',
    'innocentâtes',
    'innocenté',
    'innocentée',
    'innocentées',
    'innocentés',
    'innocuité',
    'innocuités',
    'innombrable',
    'innombrables',
    'innominé',
    'innominée',
    'innominées',
    'innominés',
    'innommable',
    'innommables',
    'innommé',
    'innommée',
    'innommées',
    'innommés',
    'innomé',
    'innomée',
    'innomées',
    'innomés',
    'innova',
    'innovai',
    'innovaient',
    'innovais',
    'innovait',
    'innovant',
    'innovas',
    'innovasse',
    'innovassent',
    'innovasses',
    'innovassiez',
    'innovassions',
    'innovateur',
    'innovateurs',
    'innovation',
    'innovations',
    'innovatrice',
    'innovatrices',
    'innove',
    'innovent',
    'innover',
    'innovera',
    'innoverai',
    'innoveraient',
    'innoverais',
    'innoverait',
    'innoveras',
    'innoverez',
    'innoveriez',
    'innoverions',
    'innoverons',
    'innoveront',
    'innoves',
    'innovez',
    'innoviez',
    'innovions',
    'innovons',
    'innovâmes',
    'innovât',
    'innovâtes',
    'innovèrent',
    'innové',
    'innovée',
    'innovées',
    'innovés',
    'inné',
    'innée',
    'innées',
    'innéisme',
    'innéismes',
    'innéiste',
    'innéistes',
    'innéité',
    'innéités',
    'innés',
    'inobservable',
    'inobservance',
    'inobservé',
    'inobservée',
    'inobservées',
    'inobservés',
    'inoccupation',
    'inoccupé',
    'inoccupée',
    'inoccupées',
    'inoccupés',
    'inocula',
    'inoculable',
    'inoculables',
    'inoculai',
    'inoculaient',
    'inoculais',
    'inoculait',
    'inoculant',
    'inoculas',
    'inoculasse',
    'inoculassent',
    'inoculasses',
    'inoculassiez',
    'inoculation',
    'inoculations',
    'inocule',
    'inoculent',
    'inoculer',
    'inoculera',
    'inoculerai',
    'inoculerais',
    'inoculerait',
    'inoculeras',
    'inoculerez',
    'inoculeriez',
    'inoculerions',
    'inoculerons',
    'inoculeront',
    'inocules',
    'inoculez',
    'inoculiez',
    'inoculions',
    'inoculons',
    'inoculâmes',
    'inoculât',
    'inoculâtes',
    'inoculèrent',
    'inoculé',
    'inoculée',
    'inoculées',
    'inoculés',
    'inodore',
    'inodores',
    'inoffensif',
    'inoffensifs',
    'inoffensive',
    'inoffensives',
    'inonda',
    'inondable',
    'inondables',
    'inondai',
    'inondaient',
    'inondais',
    'inondait',
    'inondant',
    'inondas',
    'inondasse',
    'inondassent',
    'inondasses',
    'inondassiez',
    'inondassions',
    'inondation',
    'inondations',
    'inonde',
    'inondent',
    'inonder',
    'inondera',
    'inonderai',
    'inonderaient',
    'inonderais',
    'inonderait',
    'inonderas',
    'inonderez',
    'inonderiez',
    'inonderions',
    'inonderons',
    'inonderont',
    'inondes',
    'inondez',
    'inondiez',
    'inondions',
    'inondons',
    'inondâmes',
    'inondât',
    'inondâtes',
    'inondèrent',
    'inondé',
    'inondée',
    'inondées',
    'inondés',
    'inopiné',
    'inopinée',
    'inopinées',
    'inopinément',
    'inopinés',
    'inopportun',
    'inopportune',
    'inopportunes',
    'inopportuns',
    'inopposable',
    'inopposables',
    'inopérable',
    'inopérables',
    'inopérant',
    'inopérante',
    'inopérantes',
    'inopérants',
    'inorganique',
    'inorganiques',
    'inorganisé',
    'inorganisée',
    'inorganisées',
    'inorganisés',
    'inoubliable',
    'inoubliables',
    'inouï',
    'inouïe',
    'inouïes',
    'inouïs',
    'inox',
    'inoxydable',
    'inoxydables',
    'input',
    'inputs',
    'inquart',
    'inquarts',
    'inquiet',
    'inquiets',
    'inquisiteur',
    'inquisiteurs',
    'inquisition',
    'inquisitions',
    'inquisitrice',
    'inquiète',
    'inquiètent',
    'inquiètes',
    'inquiéta',
    'inquiétai',
    'inquiétaient',
    'inquiétais',
    'inquiétait',
    'inquiétant',
    'inquiétante',
    'inquiétantes',
    'inquiétants',
    'inquiétas',
    'inquiétasse',
    'inquiétasses',
    'inquiéter',
    'inquiétera',
    'inquiéterai',
    'inquiéterais',
    'inquiéterait',
    'inquiéteras',
    'inquiéterez',
    'inquiéteriez',
    'inquiéterons',
    'inquiéteront',
    'inquiétez',
    'inquiétiez',
    'inquiétions',
    'inquiétons',
    'inquiétude',
    'inquiétudes',
    'inquiétâmes',
    'inquiétât',
    'inquiétâtes',
    'inquiétèrent',
    'inquiété',
    'inquiétée',
    'inquiétées',
    'inquiétés',
    'inracontable',
    'insalissable',
    'insalivation',
    'insalubre',
    'insalubres',
    'insalubrité',
    'insalubrités',
    'insane',
    'insanes',
    'insanité',
    'insanités',
    'insatiable',
    'insatiables',
    'insatisfait',
    'insatisfaite',
    'insatisfaits',
    'inscriptible',
    'inscription',
    'inscriptions',
    'inscrira',
    'inscrirai',
    'inscriraient',
    'inscrirais',
    'inscrirait',
    'inscriras',
    'inscrire',
    'inscrirez',
    'inscririez',
    'inscririons',
    'inscrirons',
    'inscriront',
    'inscris',
    'inscrit',
    'inscrite',
    'inscrites',
    'inscrits',
    'inscrivaient',
    'inscrivais',
    'inscrivait',
    'inscrivant',
    'inscrivante',
    'inscrivantes',
    'inscrivants',
    'inscrive',
    'inscrivent',
    'inscrives',
    'inscrivez',
    'inscriviez',
    'inscrivions',
    'inscrivirent',
    'inscrivis',
    'inscrivisse',
    'inscrivisses',
    'inscrivit',
    'inscrivons',
    'inscrivîmes',
    'inscrivît',
    'inscrivîtes',
    'insculpa',
    'insculpai',
    'insculpaient',
    'insculpais',
    'insculpait',
    'insculpant',
    'insculpas',
    'insculpasse',
    'insculpasses',
    'insculpe',
    'insculpent',
    'insculper',
    'insculpera',
    'insculperai',
    'insculperais',
    'insculperait',
    'insculperas',
    'insculperez',
    'insculperiez',
    'insculperons',
    'insculperont',
    'insculpes',
    'insculpez',
    'insculpiez',
    'insculpions',
    'insculpons',
    'insculpâmes',
    'insculpât',
    'insculpâtes',
    'insculpèrent',
    'insculpé',
    'insculpée',
    'insculpées',
    'insculpés',
    'insectarium',
    'insectariums',
    'insecte',
    'insectes',
    'insecticide',
    'insecticides',
    'insectifuge',
    'insectifuges',
    'insectivore',
    'insectivores',
    'inselberg',
    'inselbergs',
    'insensible',
    'insensibles',
    'insensé',
    'insensée',
    'insensées',
    'insensés',
    'insermenté',
    'insermentés',
    'insertion',
    'insertions',
    'insidieuse',
    'insidieuses',
    'insidieux',
    'insigne',
    'insignes',
    'insignifiant',
    'insincère',
    'insincères',
    'insinua',
    'insinuai',
    'insinuaient',
    'insinuais',
    'insinuait',
    'insinuant',
    'insinuante',
    'insinuantes',
    'insinuants',
    'insinuas',
    'insinuasse',
    'insinuassent',
    'insinuasses',
    'insinuassiez',
    'insinuation',
    'insinuations',
    'insinue',
    'insinuent',
    'insinuer',
    'insinuera',
    'insinuerai',
    'insinuerais',
    'insinuerait',
    'insinueras',
    'insinuerez',
    'insinueriez',
    'insinuerions',
    'insinuerons',
    'insinueront',
    'insinues',
    'insinuez',
    'insinuiez',
    'insinuions',
    'insinuons',
    'insinuâmes',
    'insinuât',
    'insinuâtes',
    'insinuèrent',
    'insinué',
    'insinuée',
    'insinuées',
    'insinués',
    'insipide',
    'insipides',
    'insipidité',
    'insipidités',
    'insista',
    'insistai',
    'insistaient',
    'insistais',
    'insistait',
    'insistance',
    'insistances',
    'insistant',
    'insistante',
    'insistantes',
    'insistants',
    'insistas',
    'insistasse',
    'insistassent',
    'insistasses',
    'insistassiez',
    'insiste',
    'insistent',
    'insister',
    'insistera',
    'insisterai',
    'insisterais',
    'insisterait',
    'insisteras',
    'insisterez',
    'insisteriez',
    'insisterions',
    'insisterons',
    'insisteront',
    'insistes',
    'insistez',
    'insistiez',
    'insistions',
    'insistons',
    'insistâmes',
    'insistât',
    'insistâtes',
    'insistèrent',
    'insisté',
    'insociable',
    'insociables',
    'insola',
    'insolai',
    'insolaient',
    'insolais',
    'insolait',
    'insolant',
    'insolas',
    'insolasse',
    'insolassent',
    'insolasses',
    'insolassiez',
    'insolassions',
    'insolation',
    'insolations',
    'insole',
    'insolemment',
    'insolence',
    'insolences',
    'insolent',
    'insolente',
    'insolentes',
    'insolents',
    'insoler',
    'insolera',
    'insolerai',
    'insoleraient',
    'insolerais',
    'insolerait',
    'insoleras',
    'insolerez',
    'insoleriez',
    'insolerions',
    'insolerons',
    'insoleront',
    'insoles',
    'insolez',
    'insoliez',
    'insolions',
    'insolite',
    'insolites',
    'insolons',
    'insolubilisa',
    'insolubilise',
    'insolubilisé',
    'insoluble',
    'insolubles',
    'insolvable',
    'insolvables',
    'insolâmes',
    'insolât',
    'insolâtes',
    'insolèrent',
    'insolé',
    'insolée',
    'insolées',
    'insolés',
    'insomniaque',
    'insomniaques',
    'insomnie',
    'insomnies',
    'insomnieuse',
    'insomnieuses',
    'insomnieux',
    'insondable',
    'insondables',
    'insonore',
    'insonores',
    'insonorisa',
    'insonorisai',
    'insonorisais',
    'insonorisait',
    'insonorisant',
    'insonorisas',
    'insonorise',
    'insonorisent',
    'insonoriser',
    'insonorisera',
    'insonorises',
    'insonorisez',
    'insonorisiez',
    'insonorisons',
    'insonorisât',
    'insonorisé',
    'insonorisée',
    'insonorisées',
    'insonorisés',
    'insonorité',
    'insonorités',
    'insouciance',
    'insouciances',
    'insouciant',
    'insouciante',
    'insouciantes',
    'insouciants',
    'insoucieuse',
    'insoucieuses',
    'insoucieux',
    'insoumis',
    'insoumise',
    'insoumises',
    'insoumission',
    'insoupçonné',
    'insoupçonnée',
    'insoupçonnés',
    'insoutenable',
    'inspecta',
    'inspectai',
    'inspectaient',
    'inspectais',
    'inspectait',
    'inspectant',
    'inspectas',
    'inspectasse',
    'inspectasses',
    'inspecte',
    'inspectent',
    'inspecter',
    'inspectera',
    'inspecterai',
    'inspecterais',
    'inspecterait',
    'inspecteras',
    'inspecterez',
    'inspecteriez',
    'inspecterons',
    'inspecteront',
    'inspectes',
    'inspecteur',
    'inspecteurs',
    'inspectez',
    'inspectiez',
    'inspection',
    'inspections',
    'inspectons',
    'inspectorat',
    'inspectorats',
    'inspectrice',
    'inspectrices',
    'inspectâmes',
    'inspectât',
    'inspectâtes',
    'inspectèrent',
    'inspecté',
    'inspectée',
    'inspectées',
    'inspectés',
    'inspira',
    'inspirai',
    'inspiraient',
    'inspirais',
    'inspirait',
    'inspirant',
    'inspirante',
    'inspirantes',
    'inspirants',
    'inspiras',
    'inspirasse',
    'inspirassent',
    'inspirasses',
    'inspirassiez',
    'inspirateur',
    'inspirateurs',
    'inspiration',
    'inspirations',
    'inspiratrice',
    'inspire',
    'inspirent',
    'inspirer',
    'inspirera',
    'inspirerai',
    'inspirerais',
    'inspirerait',
    'inspireras',
    'inspirerez',
    'inspireriez',
    'inspirerions',
    'inspirerons',
    'inspireront',
    'inspires',
    'inspirez',
    'inspiriez',
    'inspirions',
    'inspirons',
    'inspirâmes',
    'inspirât',
    'inspirâtes',
    'inspirèrent',
    'inspiré',
    'inspirée',
    'inspirées',
    'inspirés',
    'instabilité',
    'instabilités',
    'instable',
    'instables',
    'installa',
    'installai',
    'installaient',
    'installais',
    'installait',
    'installant',
    'installas',
    'installasse',
    'installasses',
    'installateur',
    'installation',
    'installe',
    'installent',
    'installer',
    'installera',
    'installerai',
    'installerais',
    'installerait',
    'installeras',
    'installerez',
    'installeriez',
    'installerons',
    'installeront',
    'installes',
    'installez',
    'installiez',
    'installions',
    'installons',
    'installâmes',
    'installât',
    'installâtes',
    'installèrent',
    'installé',
    'installée',
    'installées',
    'installés',
    'instamment',
    'instance',
    'instances',
    'instant',
    'instantané',
    'instantanée',
    'instantanées',
    'instantanés',
    'instante',
    'instantes',
    'instants',
    'instar',
    'instaura',
    'instaurai',
    'instauraient',
    'instaurais',
    'instaurait',
    'instaurant',
    'instauras',
    'instaurasse',
    'instaurasses',
    'instauration',
    'instaure',
    'instaurent',
    'instaurer',
    'instaurera',
    'instaurerai',
    'instaurerais',
    'instaurerait',
    'instaureras',
    'instaurerez',
    'instaureriez',
    'instaurerons',
    'instaureront',
    'instaures',
    'instaurez',
    'instauriez',
    'instaurions',
    'instaurons',
    'instaurâmes',
    'instaurât',
    'instaurâtes',
    'instaurèrent',
    'instauré',
    'instaurée',
    'instaurées',
    'instaurés',
    'instigateur',
    'instigateurs',
    'instigation',
    'instigations',
    'instigatrice',
    'instigua',
    'instiguai',
    'instiguaient',
    'instiguais',
    'instiguait',
    'instiguant',
    'instiguas',
    'instiguasse',
    'instiguasses',
    'instigue',
    'instiguent',
    'instiguer',
    'instiguera',
    'instiguerai',
    'instiguerais',
    'instiguerait',
    'instigueras',
    'instiguerez',
    'instigueriez',
    'instiguerons',
    'instigueront',
    'instigues',
    'instiguez',
    'instiguiez',
    'instiguions',
    'instiguons',
    'instiguâmes',
    'instiguât',
    'instiguâtes',
    'instiguèrent',
    'instigué',
    'instiguée',
    'instiguées',
    'instigués',
    'instilla',
    'instillai',
    'instillaient',
    'instillais',
    'instillait',
    'instillant',
    'instillas',
    'instillasse',
    'instillasses',
    'instillation',
    'instille',
    'instillent',
    'instiller',
    'instillera',
    'instillerai',
    'instillerais',
    'instillerait',
    'instilleras',
    'instillerez',
    'instilleriez',
    'instillerons',
    'instilleront',
    'instilles',
    'instillez',
    'instilliez',
    'instillions',
    'instillons',
    'instillâmes',
    'instillât',
    'instillâtes',
    'instillèrent',
    'instillé',
    'instillée',
    'instillées',
    'instillés',
    'instinct',
    'instinctif',
    'instinctifs',
    'instinctive',
    'instinctives',
    'instincts',
    'instinctuel',
    'instinctuels',
    'institua',
    'instituai',
    'instituaient',
    'instituais',
    'instituait',
    'instituant',
    'instituas',
    'instituasse',
    'instituasses',
    'institue',
    'instituent',
    'instituer',
    'instituera',
    'instituerai',
    'instituerais',
    'instituerait',
    'institueras',
    'instituerez',
    'institueriez',
    'instituerons',
    'institueront',
    'institues',
    'instituez',
    'instituiez',
    'instituions',
    'instituons',
    'institut',
    'institutes',
    'instituteur',
    'instituteurs',
    'institution',
    'institutions',
    'institutrice',
    'instituts',
    'instituâmes',
    'instituât',
    'instituâtes',
    'instituèrent',
    'institué',
    'instituée',
    'instituées',
    'institués',
    'instructeur',
    'instructeurs',
    'instructif',
    'instructifs',
    'instruction',
    'instructions',
    'instructive',
    'instructives',
    'instructrice',
    'instruira',
    'instruirai',
    'instruirais',
    'instruirait',
    'instruiras',
    'instruire',
    'instruirez',
    'instruiriez',
    'instruirions',
    'instruirons',
    'instruiront',
    'instruis',
    'instruisais',
    'instruisait',
    'instruisant',
    'instruise',
    'instruisent',
    'instruises',
    'instruisez',
    'instruisiez',
    'instruisions',
    'instruisis',
    'instruisisse',
    'instruisit',
    'instruisons',
    'instruisîmes',
    'instruisît',
    'instruisîtes',
    'instruit',
    'instruite',
    'instruites',
    'instruits',
    'instrument',
    'instrumenta',
    'instrumentai',
    'instrumentas',
    'instrumente',
    'instrumenter',
    'instrumentes',
    'instrumentez',
    'instruments',
    'instrumentât',
    'instrumenté',
    'instrumentée',
    'instrumentés',
    'insu',
    'insubordonné',
    'insuccès',
    'insuffisance',
    'insuffisant',
    'insuffisante',
    'insuffisants',
    'insuffla',
    'insufflai',
    'insufflaient',
    'insufflais',
    'insufflait',
    'insufflant',
    'insufflas',
    'insufflasse',
    'insufflasses',
    'insufflateur',
    'insufflation',
    'insuffle',
    'insufflent',
    'insuffler',
    'insufflera',
    'insufflerai',
    'insufflerais',
    'insufflerait',
    'insuffleras',
    'insufflerez',
    'insuffleriez',
    'insufflerons',
    'insuffleront',
    'insuffles',
    'insufflez',
    'insuffliez',
    'insufflions',
    'insufflons',
    'insufflâmes',
    'insufflât',
    'insufflâtes',
    'insufflèrent',
    'insufflé',
    'insufflée',
    'insufflées',
    'insufflés',
    'insulaire',
    'insulaires',
    'insularité',
    'insularités',
    'insulinase',
    'insulinases',
    'insuline',
    'insulines',
    'insulta',
    'insultai',
    'insultaient',
    'insultais',
    'insultait',
    'insultant',
    'insultante',
    'insultantes',
    'insultants',
    'insultas',
    'insultasse',
    'insultassent',
    'insultasses',
    'insultassiez',
    'insulte',
    'insultent',
    'insulter',
    'insultera',
    'insulterai',
    'insulterais',
    'insulterait',
    'insulteras',
    'insulterez',
    'insulteriez',
    'insulterions',
    'insulterons',
    'insulteront',
    'insultes',
    'insulteur',
    'insulteurs',
    'insultez',
    'insultiez',
    'insultions',
    'insultons',
    'insultâmes',
    'insultât',
    'insultâtes',
    'insultèrent',
    'insulté',
    'insultée',
    'insultées',
    'insultés',
    'insupporter',
    'insurge',
    'insurgea',
    'insurgeaient',
    'insurgeais',
    'insurgeait',
    'insurgeant',
    'insurgent',
    'insurgeons',
    'insurger',
    'insurgera',
    'insurgerai',
    'insurgerais',
    'insurgerait',
    'insurgeras',
    'insurgerez',
    'insurgeriez',
    'insurgerions',
    'insurgerons',
    'insurgeront',
    'insurges',
    'insurgez',
    'insurgeâmes',
    'insurgeâtes',
    'insurgiez',
    'insurgions',
    'insurgèrent',
    'insurgé',
    'insurgée',
    'insurgées',
    'insurgés',
    'insurrection',
    'insère',
    'insèrent',
    'insères',
    'insécable',
    'insécables',
    'insécurité',
    'insécurités',
    'insémina',
    'inséminai',
    'inséminaient',
    'inséminais',
    'inséminait',
    'inséminant',
    'inséminas',
    'inséminasse',
    'inséminasses',
    'insémination',
    'insémine',
    'inséminent',
    'inséminer',
    'inséminera',
    'inséminerai',
    'inséminerais',
    'inséminerait',
    'insémineras',
    'inséminerez',
    'insémineriez',
    'inséminerons',
    'insémineront',
    'insémines',
    'inséminez',
    'inséminiez',
    'inséminions',
    'inséminons',
    'inséminâmes',
    'inséminât',
    'inséminâtes',
    'inséminèrent',
    'inséminé',
    'inséminée',
    'inséminées',
    'inséminés',
    'inséparable',
    'inséparables',
    'inséra',
    'insérable',
    'insérables',
    'insérai',
    'inséraient',
    'insérais',
    'insérait',
    'insérant',
    'inséras',
    'insérasse',
    'insérassent',
    'insérasses',
    'insérassiez',
    'insérassions',
    'insérer',
    'insérera',
    'insérerai',
    'inséreraient',
    'insérerais',
    'insérerait',
    'inséreras',
    'insérerez',
    'inséreriez',
    'insérerions',
    'insérerons',
    'inséreront',
    'insérez',
    'insériez',
    'insérions',
    'insérons',
    'insérâmes',
    'insérât',
    'insérâtes',
    'insérèrent',
    'inséré',
    'insérée',
    'insérées',
    'insérés',
    'intact',
    'intacte',
    'intactes',
    'intactile',
    'intactiles',
    'intacts',
    'intailla',
    'intaillai',
    'intaillaient',
    'intaillais',
    'intaillait',
    'intaillant',
    'intaillas',
    'intaillasse',
    'intaillasses',
    'intaille',
    'intaillent',
    'intailler',
    'intaillera',
    'intaillerai',
    'intaillerais',
    'intaillerait',
    'intailleras',
    'intaillerez',
    'intailleriez',
    'intaillerons',
    'intailleront',
    'intailles',
    'intaillez',
    'intailliez',
    'intaillions',
    'intaillons',
    'intaillâmes',
    'intaillât',
    'intaillâtes',
    'intaillèrent',
    'intaillé',
    'intangible',
    'intangibles',
    'intarissable',
    'intellect',
    'intellects',
    'intellectuel',
    'intelligence',
    'intelligent',
    'intelligente',
    'intelligents',
    'intelligible',
    'intempestif',
    'intempestifs',
    'intempestive',
    'intemporel',
    'intemporelle',
    'intemporels',
    'intempérance',
    'intempérant',
    'intempérante',
    'intempérants',
    'intempérie',
    'intempéries',
    'intenable',
    'intenables',
    'intendance',
    'intendances',
    'intendant',
    'intendante',
    'intendantes',
    'intendants',
    'intense',
    'intenses',
    'intensif',
    'intensifia',
    'intensifiai',
    'intensifiais',
    'intensifiait',
    'intensifiant',
    'intensifias',
    'intensifie',
    'intensifient',
    'intensifier',
    'intensifiera',
    'intensifies',
    'intensifiez',
    'intensifiiez',
    'intensifions',
    'intensifiât',
    'intensifié',
    'intensifiée',
    'intensifiées',
    'intensifiés',
    'intensifs',
    'intensité',
    'intensités',
    'intensive',
    'intensives',
    'intensément',
    'intenta',
    'intentai',
    'intentaient',
    'intentais',
    'intentait',
    'intentant',
    'intentas',
    'intentasse',
    'intentassent',
    'intentasses',
    'intentassiez',
    'intente',
    'intentent',
    'intenter',
    'intentera',
    'intenterai',
    'intenterais',
    'intenterait',
    'intenteras',
    'intenterez',
    'intenteriez',
    'intenterions',
    'intenterons',
    'intenteront',
    'intentes',
    'intentez',
    'intentiez',
    'intention',
    'intentionnel',
    'intentionné',
    'intentionnée',
    'intentionnés',
    'intentions',
    'intentons',
    'intentâmes',
    'intentât',
    'intentâtes',
    'intentèrent',
    'intenté',
    'intentée',
    'intentées',
    'intentés',
    'inter',
    'interactif',
    'interactifs',
    'interaction',
    'interactions',
    'interactive',
    'interactives',
    'interagir',
    'interagit',
    'interallié',
    'interalliée',
    'interalliées',
    'interalliés',
    'interarmes',
    'interarmées',
    'interastral',
    'interastrale',
    'interastraux',
    'intercala',
    'intercalai',
    'intercalaire',
    'intercalais',
    'intercalait',
    'intercalant',
    'intercalas',
    'intercalasse',
    'intercale',
    'intercalent',
    'intercaler',
    'intercalera',
    'intercalerai',
    'intercaleras',
    'intercalerez',
    'intercales',
    'intercalez',
    'intercaliez',
    'intercalions',
    'intercalons',
    'intercalâmes',
    'intercalât',
    'intercalâtes',
    'intercalé',
    'intercalée',
    'intercalées',
    'intercalés',
    'intercepta',
    'interceptai',
    'interceptais',
    'interceptait',
    'interceptant',
    'interceptas',
    'intercepte',
    'interceptent',
    'intercepter',
    'interceptera',
    'interceptes',
    'intercepteur',
    'interceptez',
    'interceptiez',
    'interception',
    'interceptons',
    'interceptât',
    'intercepté',
    'interceptée',
    'interceptées',
    'interceptés',
    'intercesseur',
    'intercession',
    'interclassa',
    'interclassai',
    'interclassas',
    'interclasse',
    'interclasser',
    'interclasses',
    'interclassez',
    'interclassât',
    'interclassé',
    'interclassée',
    'interclassés',
    'interclubs',
    'intercostal',
    'intercostale',
    'intercostaux',
    'intercotidal',
    'intercourse',
    'intercourses',
    'intercurrent',
    'intercède',
    'intercèdent',
    'intercèdes',
    'intercéda',
    'intercédai',
    'intercédais',
    'intercédait',
    'intercédant',
    'intercédas',
    'intercédasse',
    'intercéder',
    'intercédera',
    'intercéderai',
    'intercéderas',
    'intercéderez',
    'intercédez',
    'intercédiez',
    'intercédions',
    'intercédons',
    'intercédâmes',
    'intercédât',
    'intercédâtes',
    'intercédé',
    'interdiction',
    'interdigital',
    'interdira',
    'interdirai',
    'interdirais',
    'interdirait',
    'interdiras',
    'interdire',
    'interdirent',
    'interdirez',
    'interdiriez',
    'interdirions',
    'interdirons',
    'interdiront',
    'interdis',
    'interdisais',
    'interdisait',
    'interdisant',
    'interdise',
    'interdisent',
    'interdises',
    'interdisez',
    'interdisiez',
    'interdisions',
    'interdisons',
    'interdisse',
    'interdissent',
    'interdisses',
    'interdissiez',
    'interdit',
    'interdite',
    'interdites',
    'interdits',
    'interdîmes',
    'interdît',
    'interdîtes',
    'interface',
    'interfaces',
    'interfluve',
    'interfluves',
    'interfolia',
    'interfoliage',
    'interfoliai',
    'interfoliais',
    'interfoliait',
    'interfoliant',
    'interfolias',
    'interfolie',
    'interfolient',
    'interfolier',
    'interfoliera',
    'interfolies',
    'interfoliez',
    'interfoliiez',
    'interfolions',
    'interfoliât',
    'interfolié',
    'interfoliée',
    'interfoliées',
    'interfoliés',
    'interfère',
    'interfèrent',
    'interfères',
    'interféra',
    'interférai',
    'interférais',
    'interférait',
    'interférant',
    'interféras',
    'interférasse',
    'interférence',
    'interférer',
    'interférera',
    'interférerai',
    'interféreras',
    'interférerez',
    'interférez',
    'interfériez',
    'interférions',
    'interféron',
    'interférons',
    'interférâmes',
    'interférât',
    'interférâtes',
    'interféré',
    'interférée',
    'interférées',
    'interférés',
    'intergroupe',
    'intergroupes',
    'interjectif',
    'interjectifs',
    'interjection',
    'interjective',
    'interjeta',
    'interjetai',
    'interjetais',
    'interjetait',
    'interjetant',
    'interjetas',
    'interjetasse',
    'interjeter',
    'interjetez',
    'interjetiez',
    'interjetions',
    'interjetons',
    'interjette',
    'interjettent',
    'interjettera',
    'interjettes',
    'interjetâmes',
    'interjetât',
    'interjetâtes',
    'interjeté',
    'interjetée',
    'interjetées',
    'interjetés',
    'interligna',
    'interlignai',
    'interlignais',
    'interlignait',
    'interlignant',
    'interlignas',
    'interligne',
    'interlignent',
    'interligner',
    'interlignera',
    'interlignes',
    'interlignez',
    'interligniez',
    'interlignons',
    'interlignât',
    'interligné',
    'interlignée',
    'interlignées',
    'interlignés',
    'interlock',
    'interlocks',
    'interlope',
    'interlopes',
    'interloqua',
    'interloquai',
    'interloquais',
    'interloquait',
    'interloquant',
    'interloquas',
    'interloque',
    'interloquent',
    'interloquer',
    'interloquera',
    'interloques',
    'interloquez',
    'interloquiez',
    'interloquons',
    'interloquât',
    'interloqué',
    'interloquée',
    'interloquées',
    'interloqués',
    'interlude',
    'interludes',
    'interminable',
    'intermittent',
    'intermède',
    'intermèdes',
    'interna',
    'internai',
    'internaient',
    'internais',
    'internait',
    'internant',
    'internas',
    'internasse',
    'internassent',
    'internasses',
    'internassiez',
    'internat',
    'internats',
    'interne',
    'internement',
    'internements',
    'internent',
    'interner',
    'internera',
    'internerai',
    'internerais',
    'internerait',
    'interneras',
    'internerez',
    'interneriez',
    'internerions',
    'internerons',
    'interneront',
    'internes',
    'internet',
    'internez',
    'interniez',
    'internions',
    'internonce',
    'internonces',
    'internons',
    'internâmes',
    'internât',
    'internâtes',
    'internèrent',
    'interné',
    'internée',
    'internées',
    'internés',
    'interosseuse',
    'interosseux',
    'interpella',
    'interpellai',
    'interpellais',
    'interpellait',
    'interpellant',
    'interpellas',
    'interpelle',
    'interpellent',
    'interpeller',
    'interpellera',
    'interpelles',
    'interpellez',
    'interpelliez',
    'interpellons',
    'interpellât',
    'interpellé',
    'interpellée',
    'interpellées',
    'interpellés',
    'interphone',
    'interphones',
    'interpola',
    'interpolai',
    'interpolais',
    'interpolait',
    'interpolant',
    'interpolas',
    'interpolasse',
    'interpole',
    'interpolent',
    'interpoler',
    'interpolera',
    'interpolerai',
    'interpoleras',
    'interpolerez',
    'interpoles',
    'interpolez',
    'interpoliez',
    'interpolions',
    'interpolons',
    'interpolâmes',
    'interpolât',
    'interpolâtes',
    'interpolé',
    'interpolée',
    'interpolées',
    'interpolés',
    'interposa',
    'interposai',
    'interposais',
    'interposait',
    'interposant',
    'interposas',
    'interposasse',
    'interpose',
    'interposent',
    'interposer',
    'interposera',
    'interposerai',
    'interposeras',
    'interposerez',
    'interposes',
    'interposez',
    'interposiez',
    'interposions',
    'interposons',
    'interposâmes',
    'interposât',
    'interposâtes',
    'interposé',
    'interposée',
    'interposées',
    'interposés',
    'interprète',
    'interprètent',
    'interprètes',
    'interpréta',
    'interprétai',
    'interprétais',
    'interprétait',
    'interprétant',
    'interprétas',
    'interpréter',
    'interprétera',
    'interpréteur',
    'interprétez',
    'interprétiez',
    'interprétons',
    'interprétât',
    'interprété',
    'interprétée',
    'interprétées',
    'interprétés',
    'interpénétra',
    'interpénétré',
    'interrogatif',
    'interroge',
    'interrogea',
    'interrogeai',
    'interrogeais',
    'interrogeait',
    'interrogeant',
    'interrogeas',
    'interrogent',
    'interrogeons',
    'interroger',
    'interrogera',
    'interrogerai',
    'interrogeras',
    'interrogerez',
    'interroges',
    'interrogez',
    'interrogeât',
    'interrogiez',
    'interrogions',
    'interrogé',
    'interrogée',
    'interrogées',
    'interrogés',
    'interrompais',
    'interrompait',
    'interrompant',
    'interrompe',
    'interrompent',
    'interrompes',
    'interrompez',
    'interrompiez',
    'interrompis',
    'interrompit',
    'interrompons',
    'interrompra',
    'interromprai',
    'interrompras',
    'interrompre',
    'interromprez',
    'interromps',
    'interrompt',
    'interrompu',
    'interrompue',
    'interrompues',
    'interrompus',
    'interrompît',
    'interrupteur',
    'interruptif',
    'interruptifs',
    'interruption',
    'interruptive',
    'interrègne',
    'interrègnes',
    'inters',
    'intersection',
    'intersession',
    'intersexuel',
    'intersexuels',
    'intersexué',
    'intersexuée',
    'intersexuées',
    'intersexués',
    'intersidéral',
    'intersigne',
    'intersignes',
    'interstice',
    'interstices',
    'interurbain',
    'interurbaine',
    'interurbains',
    'intervalle',
    'intervalles',
    'intervenais',
    'intervenait',
    'intervenant',
    'intervenante',
    'intervenants',
    'intervenez',
    'interveniez',
    'intervenions',
    'intervenir',
    'intervenons',
    'intervention',
    'intervenu',
    'intervenue',
    'intervenues',
    'intervenus',
    'interversion',
    'interverti',
    'intervertie',
    'interverties',
    'intervertir',
    'intervertira',
    'intervertis',
    'intervertit',
    'intervertît',
    'interviendra',
    'intervienne',
    'interviennes',
    'interviens',
    'intervient',
    'interview',
    'interviewa',
    'interviewai',
    'interviewais',
    'interviewait',
    'interviewant',
    'interviewas',
    'interviewe',
    'interviewent',
    'interviewer',
    'interviewera',
    'interviewers',
    'interviewes',
    'intervieweur',
    'interviewez',
    'interviewiez',
    'interviewons',
    'interviews',
    'interviewât',
    'interviewé',
    'interviewée',
    'interviewées',
    'interviewés',
    'intervinrent',
    'intervins',
    'intervinsse',
    'intervinsses',
    'intervint',
    'intervînmes',
    'intervînt',
    'intervîntes',
    'interzonal',
    'interzonale',
    'interzonales',
    'interzonaux',
    'interzone',
    'interzones',
    'intestat',
    'intestats',
    'intestin',
    'intestinal',
    'intestinale',
    'intestinales',
    'intestinaux',
    'intestine',
    'intestines',
    'intestins',
    'inti',
    'intima',
    'intimai',
    'intimaient',
    'intimais',
    'intimait',
    'intimant',
    'intimas',
    'intimasse',
    'intimassent',
    'intimasses',
    'intimassiez',
    'intimassions',
    'intimation',
    'intimations',
    'intime',
    'intimement',
    'intiment',
    'intimer',
    'intimera',
    'intimerai',
    'intimeraient',
    'intimerais',
    'intimerait',
    'intimeras',
    'intimerez',
    'intimeriez',
    'intimerions',
    'intimerons',
    'intimeront',
    'intimes',
    'intimez',
    'intimida',
    'intimidable',
    'intimidables',
    'intimidai',
    'intimidaient',
    'intimidais',
    'intimidait',
    'intimidant',
    'intimidante',
    'intimidantes',
    'intimidants',
    'intimidas',
    'intimidasse',
    'intimidasses',
    'intimidateur',
    'intimidation',
    'intimide',
    'intimident',
    'intimider',
    'intimidera',
    'intimiderai',
    'intimiderais',
    'intimiderait',
    'intimideras',
    'intimiderez',
    'intimideriez',
    'intimiderons',
    'intimideront',
    'intimides',
    'intimidez',
    'intimidiez',
    'intimidions',
    'intimidons',
    'intimidâmes',
    'intimidât',
    'intimidâtes',
    'intimidèrent',
    'intimidé',
    'intimidée',
    'intimidées',
    'intimidés',
    'intimiez',
    'intimions',
    'intimisme',
    'intimismes',
    'intimiste',
    'intimistes',
    'intimité',
    'intimités',
    'intimons',
    'intimâmes',
    'intimât',
    'intimâtes',
    'intimèrent',
    'intimé',
    'intimée',
    'intimées',
    'intimés',
    'intis',
    'intitula',
    'intitulai',
    'intitulaient',
    'intitulais',
    'intitulait',
    'intitulant',
    'intitulas',
    'intitulasse',
    'intitulasses',
    'intitule',
    'intitulent',
    'intituler',
    'intitulera',
    'intitulerai',
    'intitulerais',
    'intitulerait',
    'intituleras',
    'intitulerez',
    'intituleriez',
    'intitulerons',
    'intituleront',
    'intitules',
    'intitulez',
    'intituliez',
    'intitulions',
    'intitulons',
    'intitulâmes',
    'intitulât',
    'intitulâtes',
    'intitulèrent',
    'intitulé',
    'intitulée',
    'intitulées',
    'intitulés',
    'intolérable',
    'intolérables',
    'intolérance',
    'intolérances',
    'intolérant',
    'intolérante',
    'intolérantes',
    'intolérants',
    'intonation',
    'intonations',
    'intouchable',
    'intouchables',
    'intoxicant',
    'intoxicante',
    'intoxicantes',
    'intoxicants',
    'intoxication',
    'intoxiqua',
    'intoxiquai',
    'intoxiquais',
    'intoxiquait',
    'intoxiquant',
    'intoxiquas',
    'intoxiquasse',
    'intoxique',
    'intoxiquent',
    'intoxiquer',
    'intoxiquera',
    'intoxiquerai',
    'intoxiqueras',
    'intoxiquerez',
    'intoxiques',
    'intoxiquez',
    'intoxiquiez',
    'intoxiquions',
    'intoxiquons',
    'intoxiquâmes',
    'intoxiquât',
    'intoxiquâtes',
    'intoxiqué',
    'intoxiquée',
    'intoxiquées',
    'intoxiqués',
    'intra',
    'intracrânien',
    'intrados',
    'intraitable',
    'intraitables',
    'intransitif',
    'intransitifs',
    'intransitive',
    'intraveineux',
    'intrication',
    'intrications',
    'intrigant',
    'intrigante',
    'intrigantes',
    'intrigants',
    'intrigua',
    'intriguai',
    'intriguaient',
    'intriguais',
    'intriguait',
    'intriguant',
    'intriguas',
    'intriguasse',
    'intriguasses',
    'intrigue',
    'intriguent',
    'intriguer',
    'intriguera',
    'intriguerai',
    'intriguerais',
    'intriguerait',
    'intrigueras',
    'intriguerez',
    'intrigueriez',
    'intriguerons',
    'intrigueront',
    'intrigues',
    'intriguez',
    'intriguiez',
    'intriguions',
    'intriguons',
    'intriguâmes',
    'intriguât',
    'intriguâtes',
    'intriguèrent',
    'intrigué',
    'intriguée',
    'intriguées',
    'intrigués',
    'intrinsèque',
    'intrinsèques',
    'intriqua',
    'intriquai',
    'intriquaient',
    'intriquais',
    'intriquait',
    'intriquant',
    'intriquas',
    'intriquasse',
    'intriquasses',
    'intrique',
    'intriquent',
    'intriquer',
    'intriquera',
    'intriquerai',
    'intriquerais',
    'intriquerait',
    'intriqueras',
    'intriquerez',
    'intriqueriez',
    'intriquerons',
    'intriqueront',
    'intriques',
    'intriquez',
    'intriquiez',
    'intriquions',
    'intriquons',
    'intriquâmes',
    'intriquât',
    'intriquâtes',
    'intriquèrent',
    'intriqué',
    'intriquée',
    'intriquées',
    'intriqués',
    'introducteur',
    'introductif',
    'introductifs',
    'introduction',
    'introductive',
    'introduira',
    'introduirai',
    'introduirais',
    'introduirait',
    'introduiras',
    'introduire',
    'introduirez',
    'introduiriez',
    'introduirons',
    'introduiront',
    'introduis',
    'introduisais',
    'introduisait',
    'introduisant',
    'introduise',
    'introduisent',
    'introduises',
    'introduisez',
    'introduisiez',
    'introduisis',
    'introduisit',
    'introduisons',
    'introduisît',
    'introduit',
    'introduite',
    'introduites',
    'introduits',
    'introjection',
    'intromission',
    'intronisa',
    'intronisai',
    'intronisais',
    'intronisait',
    'intronisant',
    'intronisas',
    'intronisasse',
    'intronise',
    'intronisent',
    'introniser',
    'intronisera',
    'introniserai',
    'introniseras',
    'introniserez',
    'intronises',
    'intronisez',
    'intronisiez',
    'intronisions',
    'intronisons',
    'intronisâmes',
    'intronisât',
    'intronisâtes',
    'intronisé',
    'intronisée',
    'intronisées',
    'intronisés',
    'introspectif',
    'introuvable',
    'introuvables',
    'introversion',
    'introverti',
    'introvertie',
    'introverties',
    'introvertis',
    'introït',
    'introïts',
    'intrus',
    'intruse',
    'intruses',
    'intrusion',
    'intrusions',
    'intrépide',
    'intrépides',
    'intrépidité',
    'intrépidités',
    'intuba',
    'intubai',
    'intubaient',
    'intubais',
    'intubait',
    'intubant',
    'intubas',
    'intubasse',
    'intubassent',
    'intubasses',
    'intubassiez',
    'intubassions',
    'intubation',
    'intubations',
    'intube',
    'intubent',
    'intuber',
    'intubera',
    'intuberai',
    'intuberaient',
    'intuberais',
    'intuberait',
    'intuberas',
    'intuberez',
    'intuberiez',
    'intuberions',
    'intuberons',
    'intuberont',
    'intubes',
    'intubez',
    'intubiez',
    'intubions',
    'intubons',
    'intubâmes',
    'intubât',
    'intubâtes',
    'intubèrent',
    'intubé',
    'intubée',
    'intubées',
    'intubés',
    'intuitif',
    'intuitifs',
    'intuition',
    'intuitions',
    'intuitive',
    'intuitives',
    'intègre',
    'intègrent',
    'intègres',
    'intégra',
    'intégrable',
    'intégrai',
    'intégraient',
    'intégrais',
    'intégrait',
    'intégral',
    'intégrale',
    'intégrales',
    'intégralité',
    'intégralités',
    'intégrant',
    'intégrante',
    'intégrantes',
    'intégrants',
    'intégras',
    'intégrasse',
    'intégrassent',
    'intégrasses',
    'intégrassiez',
    'intégrateur',
    'intégrateurs',
    'intégration',
    'intégrations',
    'intégraux',
    'intégrer',
    'intégrera',
    'intégrerai',
    'intégrerais',
    'intégrerait',
    'intégreras',
    'intégrerez',
    'intégreriez',
    'intégrerions',
    'intégrerons',
    'intégreront',
    'intégrez',
    'intégriez',
    'intégrions',
    'intégrisme',
    'intégrismes',
    'intégriste',
    'intégristes',
    'intégrité',
    'intégrités',
    'intégrons',
    'intégrâmes',
    'intégrât',
    'intégrâtes',
    'intégrèrent',
    'intégré',
    'intégrée',
    'intégrées',
    'intégrés',
    'intéressa',
    'intéressai',
    'intéressais',
    'intéressait',
    'intéressant',
    'intéressante',
    'intéressants',
    'intéressas',
    'intéressasse',
    'intéresse',
    'intéressent',
    'intéresser',
    'intéressera',
    'intéresserai',
    'intéresseras',
    'intéresserez',
    'intéresses',
    'intéressez',
    'intéressiez',
    'intéressions',
    'intéressons',
    'intéressâmes',
    'intéressât',
    'intéressâtes',
    'intéressé',
    'intéressée',
    'intéressées',
    'intéressés',
    'intérieur',
    'intérieure',
    'intérieures',
    'intérieurs',
    'intérim',
    'intérimaire',
    'intérimaires',
    'intérims',
    'intériorisa',
    'intériorisai',
    'intériorisas',
    'intériorise',
    'intérioriser',
    'intériorises',
    'intériorisez',
    'intériorisât',
    'intériorisé',
    'intériorisée',
    'intériorisés',
    'intériorité',
    'intériorités',
    'intéroceptif',
    'intérêt',
    'intérêts',
    'inuit',
    'inule',
    'inules',
    'inuline',
    'inulines',
    'inusable',
    'inusables',
    'inusité',
    'inusitée',
    'inusitées',
    'inusités',
    'inusuel',
    'inusuelle',
    'inusuelles',
    'inusuels',
    'inutile',
    'inutilement',
    'inutiles',
    'inutilisable',
    'inutilisé',
    'inutilisée',
    'inutilisées',
    'inutilisés',
    'inutilité',
    'inutilités',
    'invagina',
    'invaginai',
    'invaginaient',
    'invaginais',
    'invaginait',
    'invaginant',
    'invaginas',
    'invaginasse',
    'invaginasses',
    'invagination',
    'invagine',
    'invaginent',
    'invaginer',
    'invaginera',
    'invaginerai',
    'invaginerais',
    'invaginerait',
    'invagineras',
    'invaginerez',
    'invagineriez',
    'invaginerons',
    'invagineront',
    'invagines',
    'invaginez',
    'invaginiez',
    'invaginions',
    'invaginons',
    'invaginâmes',
    'invaginât',
    'invaginâtes',
    'invaginèrent',
    'invaginé',
    'invaginée',
    'invaginées',
    'invaginés',
    'invaincu',
    'invaincue',
    'invaincues',
    'invaincus',
    'invalida',
    'invalidai',
    'invalidaient',
    'invalidais',
    'invalidait',
    'invalidant',
    'invalidante',
    'invalidantes',
    'invalidants',
    'invalidas',
    'invalidasse',
    'invalidasses',
    'invalidation',
    'invalide',
    'invalident',
    'invalider',
    'invalidera',
    'invaliderai',
    'invaliderais',
    'invaliderait',
    'invalideras',
    'invaliderez',
    'invalideriez',
    'invaliderons',
    'invalideront',
    'invalides',
    'invalidez',
    'invalidiez',
    'invalidions',
    'invalidité',
    'invalidités',
    'invalidons',
    'invalidâmes',
    'invalidât',
    'invalidâtes',
    'invalidèrent',
    'invalidé',
    'invalidée',
    'invalidées',
    'invalidés',
    'invariable',
    'invariables',
    'invariant',
    'invariante',
    'invariantes',
    'invariants',
    'invasion',
    'invasions',
    'invectiva',
    'invectivai',
    'invectivais',
    'invectivait',
    'invectivant',
    'invectivas',
    'invectivasse',
    'invective',
    'invectivent',
    'invectiver',
    'invectivera',
    'invectiverai',
    'invectiveras',
    'invectiverez',
    'invectives',
    'invectivez',
    'invectiviez',
    'invectivions',
    'invectivons',
    'invectivâmes',
    'invectivât',
    'invectivâtes',
    'invectivé',
    'invectivée',
    'invectivées',
    'invectivés',
    'invendable',
    'invendables',
    'invendu',
    'invendue',
    'invendues',
    'invendus',
    'inventa',
    'inventai',
    'inventaient',
    'inventaire',
    'inventaires',
    'inventais',
    'inventait',
    'inventant',
    'inventas',
    'inventasse',
    'inventassent',
    'inventasses',
    'inventassiez',
    'invente',
    'inventent',
    'inventer',
    'inventera',
    'inventerai',
    'inventerais',
    'inventerait',
    'inventeras',
    'inventerez',
    'inventeriez',
    'inventerions',
    'inventerons',
    'inventeront',
    'inventes',
    'inventeur',
    'inventeurs',
    'inventez',
    'inventiez',
    'inventif',
    'inventifs',
    'invention',
    'inventions',
    'inventive',
    'inventives',
    'inventivité',
    'inventivités',
    'inventons',
    'inventoria',
    'inventoriage',
    'inventoriai',
    'inventoriais',
    'inventoriait',
    'inventoriant',
    'inventorias',
    'inventorie',
    'inventorient',
    'inventorier',
    'inventoriera',
    'inventories',
    'inventoriez',
    'inventoriiez',
    'inventorions',
    'inventoriât',
    'inventorié',
    'inventoriée',
    'inventoriées',
    'inventoriés',
    'inventrice',
    'inventrices',
    'inventâmes',
    'inventât',
    'inventâtes',
    'inventèrent',
    'inventé',
    'inventée',
    'inventées',
    'inventés',
    'inversa',
    'inversable',
    'inversables',
    'inversai',
    'inversaient',
    'inversais',
    'inversait',
    'inversant',
    'inversas',
    'inversasse',
    'inversassent',
    'inversasses',
    'inversassiez',
    'inverse',
    'inversement',
    'inversent',
    'inverser',
    'inversera',
    'inverserai',
    'inverserais',
    'inverserait',
    'inverseras',
    'inverserez',
    'inverseriez',
    'inverserions',
    'inverserons',
    'inverseront',
    'inverses',
    'inverseur',
    'inverseurs',
    'inversez',
    'inversible',
    'inversibles',
    'inversiez',
    'inversif',
    'inversifs',
    'inversion',
    'inversions',
    'inversive',
    'inversives',
    'inversons',
    'inversâmes',
    'inversât',
    'inversâtes',
    'inversèrent',
    'inversé',
    'inversée',
    'inversées',
    'inversés',
    'invertase',
    'invertases',
    'inverti',
    'invertie',
    'inverties',
    'invertine',
    'invertines',
    'invertir',
    'invertira',
    'invertirai',
    'invertirais',
    'invertirait',
    'invertiras',
    'invertirent',
    'invertirez',
    'invertiriez',
    'invertirions',
    'invertirons',
    'invertiront',
    'invertis',
    'invertissais',
    'invertissait',
    'invertissant',
    'invertisse',
    'invertissent',
    'invertisses',
    'invertissez',
    'invertissiez',
    'invertissons',
    'invertit',
    'invertébré',
    'invertébrée',
    'invertébrées',
    'invertébrés',
    'invertîmes',
    'invertît',
    'invertîtes',
    'investi',
    'investie',
    'investies',
    'investir',
    'investira',
    'investirai',
    'investirais',
    'investirait',
    'investiras',
    'investirent',
    'investirez',
    'investiriez',
    'investirions',
    'investirons',
    'investiront',
    'investis',
    'investissais',
    'investissait',
    'investissant',
    'investisse',
    'investissent',
    'investisses',
    'investisseur',
    'investissez',
    'investissiez',
    'investissons',
    'investit',
    'investiture',
    'investitures',
    'investîmes',
    'investît',
    'investîtes',
    'invincible',
    'invincibles',
    'inviolable',
    'inviolables',
    'inviolé',
    'inviolée',
    'inviolées',
    'inviolés',
    'invisibilité',
    'invisible',
    'invisibles',
    'invita',
    'invitai',
    'invitaient',
    'invitais',
    'invitait',
    'invitant',
    'invitante',
    'invitantes',
    'invitants',
    'invitas',
    'invitasse',
    'invitassent',
    'invitasses',
    'invitassiez',
    'invitassions',
    'invitation',
    'invitations',
    'invitatoire',
    'invitatoires',
    'invite',
    'invitent',
    'inviter',
    'invitera',
    'inviterai',
    'inviteraient',
    'inviterais',
    'inviterait',
    'inviteras',
    'inviterez',
    'inviteriez',
    'inviterions',
    'inviterons',
    'inviteront',
    'invites',
    'invitez',
    'invitiez',
    'invitions',
    'invitons',
    'invitâmes',
    'invitât',
    'invitâtes',
    'invitèrent',
    'invité',
    'invitée',
    'invitées',
    'invités',
    'invivable',
    'invivables',
    'invocation',
    'invocations',
    'invocatoire',
    'invocatoires',
    'involontaire',
    'involucré',
    'involucrée',
    'involucrées',
    'involucrés',
    'involuté',
    'involutée',
    'involutées',
    'involutés',
    'invoqua',
    'invoquai',
    'invoquaient',
    'invoquais',
    'invoquait',
    'invoquant',
    'invoquas',
    'invoquasse',
    'invoquassent',
    'invoquasses',
    'invoquassiez',
    'invoque',
    'invoquent',
    'invoquer',
    'invoquera',
    'invoquerai',
    'invoquerais',
    'invoquerait',
    'invoqueras',
    'invoquerez',
    'invoqueriez',
    'invoquerions',
    'invoquerons',
    'invoqueront',
    'invoques',
    'invoquez',
    'invoquiez',
    'invoquions',
    'invoquons',
    'invoquâmes',
    'invoquât',
    'invoquâtes',
    'invoquèrent',
    'invoqué',
    'invoquée',
    'invoquées',
    'invoqués',
    'invulnérable',
    'invérifiable',
    'invétérer',
    'invétérerez',
    'invétéreriez',
    'invétérerons',
    'invétérez',
    'invétériez',
    'invétérions',
    'invétérons',
    'invétérâmes',
    'invétérâtes',
    'invétéré',
    'invétérée',
    'invétérées',
    'invétérés',
    'inébranlable',
    'inécoutable',
    'inécoutables',
    'inécouté',
    'inécoutée',
    'inécoutées',
    'inécoutés',
    'inédit',
    'inédite',
    'inédites',
    'inédits',
    'inégal',
    'inégalable',
    'inégalables',
    'inégale',
    'inégalement',
    'inégales',
    'inégalitaire',
    'inégalité',
    'inégalités',
    'inégalé',
    'inégalée',
    'inégalées',
    'inégalés',
    'inégaux',
    'inélasticité',
    'inélastique',
    'inélastiques',
    'inéligible',
    'inéligibles',
    'inéluctable',
    'inéluctables',
    'inélégance',
    'inélégances',
    'inélégant',
    'inélégante',
    'inélégantes',
    'inélégants',
    'inénarrable',
    'inénarrables',
    'inéprouvé',
    'inéprouvée',
    'inéprouvées',
    'inéprouvés',
    'inépuisable',
    'inépuisables',
    'inépuisé',
    'inépuisée',
    'inépuisées',
    'inépuisés',
    'inéquitable',
    'inéquitables',
    'inétendu',
    'inétendue',
    'inétendues',
    'inétendus',
    'inévitable',
    'inévitables',
    'ioda',
    'iodai',
    'iodaient',
    'iodais',
    'iodait',
    'iodant',
    'iodas',
    'iodasse',
    'iodassent',
    'iodasses',
    'iodassiez',
    'iodassions',
    'iodate',
    'iodates',
    'iode',
    'iodent',
    'ioder',
    'iodera',
    'ioderai',
    'ioderaient',
    'ioderais',
    'ioderait',
    'ioderas',
    'ioderez',
    'ioderiez',
    'ioderions',
    'ioderons',
    'ioderont',
    'iodes',
    'iodez',
    'iodhydrique',
    'iodhydriques',
    'iodiez',
    'iodions',
    'iodique',
    'iodiques',
    'iodisme',
    'iodismes',
    'iodla',
    'iodlai',
    'iodlaient',
    'iodlais',
    'iodlait',
    'iodlant',
    'iodlas',
    'iodlasse',
    'iodlassent',
    'iodlasses',
    'iodlassiez',
    'iodlassions',
    'iodle',
    'iodlent',
    'iodler',
    'iodlera',
    'iodlerai',
    'iodleraient',
    'iodlerais',
    'iodlerait',
    'iodleras',
    'iodlerez',
    'iodleriez',
    'iodlerions',
    'iodlerons',
    'iodleront',
    'iodles',
    'iodlez',
    'iodliez',
    'iodlions',
    'iodlons',
    'iodlâmes',
    'iodlât',
    'iodlâtes',
    'iodlèrent',
    'iodlé',
    'iodlée',
    'iodlées',
    'iodlés',
    'iodoforme',
    'iodoformes',
    'iodons',
    'iodure',
    'iodures',
    'ioduré',
    'iodurée',
    'iodurées',
    'iodurés',
    'iodâmes',
    'iodât',
    'iodâtes',
    'iodèrent',
    'iodé',
    'iodée',
    'iodées',
    'iodés',
    'ionien',
    'ionienne',
    'ioniennes',
    'ioniens',
    'ionique',
    'ioniques',
    'ionisa',
    'ionisai',
    'ionisaient',
    'ionisais',
    'ionisait',
    'ionisant',
    'ionisante',
    'ionisantes',
    'ionisants',
    'ionisas',
    'ionisasse',
    'ionisassent',
    'ionisasses',
    'ionisassiez',
    'ionisassions',
    'ionisation',
    'ionisations',
    'ionise',
    'ionisent',
    'ioniser',
    'ionisera',
    'ioniserai',
    'ioniseraient',
    'ioniserais',
    'ioniserait',
    'ioniseras',
    'ioniserez',
    'ioniseriez',
    'ioniserions',
    'ioniserons',
    'ioniseront',
    'ionises',
    'ionisez',
    'ionisiez',
    'ionisions',
    'ionisons',
    'ionisâmes',
    'ionisât',
    'ionisâtes',
    'ionisèrent',
    'ionisé',
    'ionisée',
    'ionisées',
    'ionisés',
    'ionone',
    'ionones',
    'ionosphère',
    'ionosphères',
    'ions',
    'iota',
    'iotacisme',
    'iotacismes',
    'ioula',
    'ioulai',
    'ioulaient',
    'ioulais',
    'ioulait',
    'ioulant',
    'ioulas',
    'ioulasse',
    'ioulassent',
    'ioulasses',
    'ioulassiez',
    'ioulassions',
    'ioule',
    'ioulent',
    'iouler',
    'ioulera',
    'ioulerai',
    'iouleraient',
    'ioulerais',
    'ioulerait',
    'iouleras',
    'ioulerez',
    'iouleriez',
    'ioulerions',
    'ioulerons',
    'iouleront',
    'ioules',
    'ioulez',
    'iouliez',
    'ioulions',
    'ioulons',
    'ioulâmes',
    'ioulât',
    'ioulâtes',
    'ioulèrent',
    'ioulé',
    'ioulée',
    'ioulées',
    'ioulés',
    'iourte',
    'iourtes',
    'ipomée',
    'ipomées',
    'ipéca',
    'ipécas',
    'irai',
    'iraient',
    'irais',
    'irait',
    'irakien',
    'irakienne',
    'irakiennes',
    'irakiens',
    'iranien',
    'iranienne',
    'iraniennes',
    'iraniens',
    'iraqien',
    'iraqienne',
    'iraqiennes',
    'iraqiens',
    'iras',
    'irascibilité',
    'irascible',
    'irascibles',
    'ires',
    'irez',
    'iridectomie',
    'iridectomies',
    'iridescent',
    'iridescente',
    'iridescentes',
    'iridescents',
    'iridien',
    'iridienne',
    'iridiennes',
    'iridiens',
    'iridium',
    'iridiums',
    'iridié',
    'iridiée',
    'iridiées',
    'iridiés',
    'iriez',
    'irions',
    'iris',
    'irisa',
    'irisable',
    'irisables',
    'irisai',
    'irisaient',
    'irisais',
    'irisait',
    'irisant',
    'irisas',
    'irisasse',
    'irisassent',
    'irisasses',
    'irisassiez',
    'irisassions',
    'irisation',
    'irisations',
    'irise',
    'irisent',
    'iriser',
    'irisera',
    'iriserai',
    'iriseraient',
    'iriserais',
    'iriserait',
    'iriseras',
    'iriserez',
    'iriseriez',
    'iriserions',
    'iriserons',
    'iriseront',
    'irises',
    'irisez',
    'irisiez',
    'irisions',
    'irisons',
    'irisâmes',
    'irisât',
    'irisâtes',
    'irisèrent',
    'irisé',
    'irisée',
    'irisées',
    'irisés',
    'iritis',
    'irlandais',
    'irlandaise',
    'irlandaises',
    'irone',
    'irones',
    'ironie',
    'ironies',
    'ironique',
    'ironiquement',
    'ironiques',
    'ironisa',
    'ironisai',
    'ironisaient',
    'ironisais',
    'ironisait',
    'ironisant',
    'ironisas',
    'ironisasse',
    'ironisassent',
    'ironisasses',
    'ironisassiez',
    'ironise',
    'ironisent',
    'ironiser',
    'ironisera',
    'ironiserai',
    'ironiserais',
    'ironiserait',
    'ironiseras',
    'ironiserez',
    'ironiseriez',
    'ironiserions',
    'ironiserons',
    'ironiseront',
    'ironises',
    'ironisez',
    'ironisiez',
    'ironisions',
    'ironisons',
    'ironiste',
    'ironistes',
    'ironisâmes',
    'ironisât',
    'ironisâtes',
    'ironisèrent',
    'ironisé',
    'ironisée',
    'ironisées',
    'ironisés',
    'irons',
    'iront',
    'iroquois',
    'iroquoise',
    'iroquoises',
    'irrachetable',
    'irradia',
    'irradiai',
    'irradiaient',
    'irradiais',
    'irradiait',
    'irradiant',
    'irradiante',
    'irradiantes',
    'irradiants',
    'irradias',
    'irradiasse',
    'irradiassent',
    'irradiasses',
    'irradiassiez',
    'irradiation',
    'irradiations',
    'irradie',
    'irradient',
    'irradier',
    'irradiera',
    'irradierai',
    'irradierais',
    'irradierait',
    'irradieras',
    'irradierez',
    'irradieriez',
    'irradierions',
    'irradierons',
    'irradieront',
    'irradies',
    'irradiez',
    'irradiiez',
    'irradiions',
    'irradions',
    'irradiâmes',
    'irradiât',
    'irradiâtes',
    'irradièrent',
    'irradié',
    'irradiée',
    'irradiées',
    'irradiés',
    'irraisonné',
    'irraisonnée',
    'irraisonnées',
    'irraisonnés',
    'irrationnel',
    'irrationnels',
    'irrecevable',
    'irrecevables',
    'irrespect',
    'irrespects',
    'irrespirable',
    'irrigable',
    'irrigables',
    'irrigation',
    'irrigations',
    'irrigua',
    'irriguai',
    'irriguaient',
    'irriguais',
    'irriguait',
    'irriguant',
    'irriguas',
    'irriguasse',
    'irriguassent',
    'irriguasses',
    'irriguassiez',
    'irrigue',
    'irriguent',
    'irriguer',
    'irriguera',
    'irriguerai',
    'irriguerais',
    'irriguerait',
    'irrigueras',
    'irriguerez',
    'irrigueriez',
    'irriguerions',
    'irriguerons',
    'irrigueront',
    'irrigues',
    'irriguez',
    'irriguiez',
    'irriguions',
    'irriguons',
    'irriguâmes',
    'irriguât',
    'irriguâtes',
    'irriguèrent',
    'irrigué',
    'irriguée',
    'irriguées',
    'irrigués',
    'irrita',
    'irritabilité',
    'irritable',
    'irritables',
    'irritai',
    'irritaient',
    'irritais',
    'irritait',
    'irritant',
    'irritante',
    'irritantes',
    'irritants',
    'irritas',
    'irritasse',
    'irritassent',
    'irritasses',
    'irritassiez',
    'irritassions',
    'irritatif',
    'irritatifs',
    'irritation',
    'irritations',
    'irritative',
    'irritatives',
    'irrite',
    'irritent',
    'irriter',
    'irritera',
    'irriterai',
    'irriteraient',
    'irriterais',
    'irriterait',
    'irriteras',
    'irriterez',
    'irriteriez',
    'irriterions',
    'irriterons',
    'irriteront',
    'irrites',
    'irritez',
    'irritiez',
    'irritions',
    'irritons',
    'irritâmes',
    'irritât',
    'irritâtes',
    'irritèrent',
    'irrité',
    'irritée',
    'irritées',
    'irrités',
    'irruption',
    'irruptions',
    'irréalisable',
    'irréalisme',
    'irréalismes',
    'irréaliste',
    'irréalistes',
    'irréalisé',
    'irréalisée',
    'irréalisées',
    'irréalisés',
    'irréalité',
    'irréalités',
    'irrécusable',
    'irrécusables',
    'irrédentiste',
    'irréductible',
    'irréel',
    'irréelle',
    'irréelles',
    'irréels',
    'irréflexion',
    'irréflexions',
    'irréfléchi',
    'irréfléchie',
    'irréfléchies',
    'irréfléchis',
    'irréformable',
    'irréfragable',
    'irréfrénable',
    'irréfutable',
    'irréfutables',
    'irréfuté',
    'irréfutée',
    'irréfutées',
    'irréfutés',
    'irrégularité',
    'irrégulier',
    'irréguliers',
    'irrégulière',
    'irrégulières',
    'irréligieuse',
    'irréligieux',
    'irréligion',
    'irréligions',
    'irrémissible',
    'irrémédiable',
    'irréparable',
    'irréparables',
    'irrésistible',
    'irrésolu',
    'irrésolue',
    'irrésolues',
    'irrésolus',
    'irrésolution',
    'irréversible',
    'irrévocable',
    'irrévocables',
    'irrévérence',
    'irrévérences',
    'irwin',
    'irénique',
    'iréniques',
    'irénisme',
    'irénismes',
    'isallobare',
    'isallobares',
    'isard',
    'isards',
    'isatis',
    'isba',
    'isbas',
    'ischiatique',
    'ischiatiques',
    'ischion',
    'ischions',
    'ischémie',
    'ischémies',
    'ischémique',
    'ischémiques',
    'isiaque',
    'isiaques',
    'islam',
    'islamique',
    'islamiques',
    'islamisa',
    'islamisai',
    'islamisaient',
    'islamisais',
    'islamisait',
    'islamisant',
    'islamisas',
    'islamisasse',
    'islamisasses',
    'islamisation',
    'islamise',
    'islamisent',
    'islamiser',
    'islamisera',
    'islamiserai',
    'islamiserais',
    'islamiserait',
    'islamiseras',
    'islamiserez',
    'islamiseriez',
    'islamiserons',
    'islamiseront',
    'islamises',
    'islamisez',
    'islamisiez',
    'islamisions',
    'islamisme',
    'islamismes',
    'islamisons',
    'islamiste',
    'islamistes',
    'islamisâmes',
    'islamisât',
    'islamisâtes',
    'islamisèrent',
    'islamisé',
    'islamisée',
    'islamisées',
    'islamisés',
    'islandais',
    'islandaise',
    'islandaises',
    'isobare',
    'isobares',
    'isobathe',
    'isobathes',
    'isocarde',
    'isocardes',
    'isochore',
    'isochores',
    'isochrome',
    'isochromes',
    'isochrone',
    'isochrones',
    'isochronisme',
    'isoclinal',
    'isoclinale',
    'isoclinales',
    'isoclinaux',
    'isocline',
    'isoclines',
    'isocèle',
    'isocèles',
    'isodynamie',
    'isodynamies',
    'isodynamique',
    'isogame',
    'isogames',
    'isogamie',
    'isogamies',
    'isoglosse',
    'isoglosses',
    'isogone',
    'isogones',
    'isohypse',
    'isohypses',
    'isohyète',
    'isohyètes',
    'isola',
    'isolable',
    'isolables',
    'isolai',
    'isolaient',
    'isolais',
    'isolait',
    'isolant',
    'isolante',
    'isolantes',
    'isolants',
    'isolas',
    'isolasse',
    'isolassent',
    'isolasses',
    'isolassiez',
    'isolassions',
    'isolat',
    'isolateur',
    'isolateurs',
    'isolation',
    'isolations',
    'isolats',
    'isole',
    'isolement',
    'isolements',
    'isolent',
    'isoler',
    'isolera',
    'isolerai',
    'isoleraient',
    'isolerais',
    'isolerait',
    'isoleras',
    'isolerez',
    'isoleriez',
    'isolerions',
    'isolerons',
    'isoleront',
    'isoles',
    'isoleucine',
    'isoleucines',
    'isolez',
    'isoliez',
    'isolions',
    'isologue',
    'isologues',
    'isoloir',
    'isoloirs',
    'isolons',
    'isolâmes',
    'isolât',
    'isolâtes',
    'isolèrent',
    'isolé',
    'isolée',
    'isolées',
    'isolément',
    'isolés',
    'isomère',
    'isomères',
    'isomérie',
    'isoméries',
    'isonomie',
    'isonomies',
    'isopet',
    'isopets',
    'isopode',
    'isopodes',
    'isosiste',
    'isosistes',
    'isostasie',
    'isostasies',
    'isostatique',
    'isoséiste',
    'isoséistes',
    'isotherme',
    'isothermes',
    'isotonie',
    'isotonies',
    'isotonique',
    'isotoniques',
    'isotope',
    'isotopes',
    'isotopique',
    'isotopiques',
    'isotrope',
    'isotropes',
    'israélien',
    'israélienne',
    'israéliennes',
    'israéliens',
    'israélite',
    'israélites',
    'issant',
    'issante',
    'issantes',
    'issants',
    'issu',
    'issue',
    'issues',
    'issus',
    'isthme',
    'isthmes',
    'isthmique',
    'isthmiques',
    'italianisa',
    'italianisai',
    'italianisais',
    'italianisait',
    'italianisant',
    'italianisas',
    'italianise',
    'italianisent',
    'italianiser',
    'italianisera',
    'italianises',
    'italianisez',
    'italianisiez',
    'italianisme',
    'italianismes',
    'italianisons',
    'italianisât',
    'italianisé',
    'italianisée',
    'italianisées',
    'italianisés',
    'italien',
    'italienne',
    'italiennes',
    'italiens',
    'italique',
    'italiques',
    'item',
    'items',
    'itinéraire',
    'itinéraires',
    'itinérant',
    'itinérante',
    'itinérantes',
    'itinérants',
    'itou',
    'itère',
    'itèrent',
    'itères',
    'itéra',
    'itérai',
    'itéraient',
    'itérais',
    'itérait',
    'itérant',
    'itéras',
    'itérasse',
    'itérassent',
    'itérasses',
    'itérassiez',
    'itérassions',
    'itératif',
    'itératifs',
    'itération',
    'itérations',
    'itérative',
    'itératives',
    'itérer',
    'itérera',
    'itérerai',
    'itéreraient',
    'itérerais',
    'itérerait',
    'itéreras',
    'itérerez',
    'itéreriez',
    'itérerions',
    'itérerons',
    'itéreront',
    'itérez',
    'itériez',
    'itérions',
    'itérons',
    'itérâmes',
    'itérât',
    'itérâtes',
    'itérèrent',
    'itéré',
    'itérée',
    'itérées',
    'itérés',
    'iule',
    'iules',
    'ives',
    'ivette',
    'ivettes',
    'ivoire',
    'ivoirerie',
    'ivoireries',
    'ivoires',
    'ivoirien',
    'ivoirienne',
    'ivoiriennes',
    'ivoiriens',
    'ivoirier',
    'ivoiriers',
    'ivoirin',
    'ivoirine',
    'ivoirines',
    'ivoirins',
    'ivoirière',
    'ivoirières',
    'ivraie',
    'ivraies',
    'ivre',
    'ivres',
    'ivresse',
    'ivresses',
    'ivrogne',
    'ivrognerie',
    'ivrogneries',
    'ivrognes',
    'ixia',
    'ixias',
    'ixode',
    'ixodes',
    'jabiru',
    'jabirus',
    'jabla',
    'jablai',
    'jablaient',
    'jablais',
    'jablait',
    'jablant',
    'jablas',
    'jablasse',
    'jablassent',
    'jablasses',
    'jablassiez',
    'jablassions',
    'jable',
    'jablent',
    'jabler',
    'jablera',
    'jablerai',
    'jableraient',
    'jablerais',
    'jablerait',
    'jableras',
    'jablerez',
    'jableriez',
    'jablerions',
    'jablerons',
    'jableront',
    'jables',
    'jablez',
    'jabliez',
    'jablions',
    'jablière',
    'jablières',
    'jabloir',
    'jabloire',
    'jabloires',
    'jabloirs',
    'jablons',
    'jablâmes',
    'jablât',
    'jablâtes',
    'jablèrent',
    'jablé',
    'jablée',
    'jablées',
    'jablés',
    'jaborandi',
    'jaborandis',
    'jabot',
    'jabota',
    'jabotai',
    'jabotaient',
    'jabotais',
    'jabotait',
    'jabotant',
    'jabotas',
    'jabotasse',
    'jabotassent',
    'jabotasses',
    'jabotassiez',
    'jabotassions',
    'jabote',
    'jabotent',
    'jaboter',
    'jabotera',
    'jaboterai',
    'jaboteraient',
    'jaboterais',
    'jaboterait',
    'jaboteras',
    'jaboterez',
    'jaboteriez',
    'jaboterions',
    'jaboterons',
    'jaboteront',
    'jabotes',
    'jabotez',
    'jabotiez',
    'jabotions',
    'jabotons',
    'jabots',
    'jabotâmes',
    'jabotât',
    'jabotâtes',
    'jabotèrent',
    'jaboté',
    'jabotée',
    'jabotées',
    'jabotés',
    'jacaranda',
    'jacarandas',
    'jacassa',
    'jacassai',
    'jacassaient',
    'jacassais',
    'jacassait',
    'jacassant',
    'jacassante',
    'jacassantes',
    'jacassants',
    'jacassas',
    'jacassasse',
    'jacassassent',
    'jacassasses',
    'jacassassiez',
    'jacasse',
    'jacassement',
    'jacassements',
    'jacassent',
    'jacasser',
    'jacassera',
    'jacasserai',
    'jacasserais',
    'jacasserait',
    'jacasseras',
    'jacasserez',
    'jacasserie',
    'jacasseries',
    'jacasseriez',
    'jacasserions',
    'jacasserons',
    'jacasseront',
    'jacasses',
    'jacasseur',
    'jacasseurs',
    'jacasseuse',
    'jacasseuses',
    'jacassez',
    'jacassiez',
    'jacassions',
    'jacassons',
    'jacassâmes',
    'jacassât',
    'jacassâtes',
    'jacassèrent',
    'jacassé',
    'jacente',
    'jachère',
    'jachères',
    'jacinthe',
    'jacinthes',
    'jack',
    'jacket',
    'jackets',
    'jacks',
    'jacobin',
    'jacobine',
    'jacobines',
    'jacobinisme',
    'jacobinismes',
    'jacobins',
    'jacobus',
    'jacobée',
    'jacobées',
    'jaconas',
    'jacot',
    'jacots',
    'jacquard',
    'jacquards',
    'jacquer',
    'jacquerie',
    'jacqueries',
    'jacquet',
    'jacquets',
    'jacquier',
    'jacquiers',
    'jacquot',
    'jacquots',
    'jacqué',
    'jacquée',
    'jacquées',
    'jacqués',
    'jacta',
    'jactai',
    'jactaient',
    'jactais',
    'jactait',
    'jactance',
    'jactances',
    'jactant',
    'jactas',
    'jactasse',
    'jactassent',
    'jactasses',
    'jactassiez',
    'jactassions',
    'jacte',
    'jactent',
    'jacter',
    'jactera',
    'jacterai',
    'jacteraient',
    'jacterais',
    'jacterait',
    'jacteras',
    'jacterez',
    'jacteriez',
    'jacterions',
    'jacterons',
    'jacteront',
    'jactes',
    'jactez',
    'jactiez',
    'jactions',
    'jactons',
    'jactâmes',
    'jactât',
    'jactâtes',
    'jactèrent',
    'jaculatoire',
    'jaculatoires',
    'jacée',
    'jacées',
    'jade',
    'jades',
    'jadis',
    'jadéite',
    'jadéites',
    'jaguar',
    'jaguars',
    'jailli',
    'jaillie',
    'jaillies',
    'jaillir',
    'jaillira',
    'jaillirai',
    'jailliraient',
    'jaillirais',
    'jaillirait',
    'jailliras',
    'jaillirent',
    'jaillirez',
    'jailliriez',
    'jaillirions',
    'jaillirons',
    'jailliront',
    'jaillis',
    'jaillissais',
    'jaillissait',
    'jaillissant',
    'jaillissante',
    'jaillissants',
    'jaillisse',
    'jaillissent',
    'jaillisses',
    'jaillissez',
    'jaillissiez',
    'jaillissions',
    'jaillissons',
    'jaillit',
    'jaillîmes',
    'jaillît',
    'jaillîtes',
    'jais',
    'jalap',
    'jalaps',
    'jale',
    'jales',
    'jalon',
    'jalonna',
    'jalonnai',
    'jalonnaient',
    'jalonnais',
    'jalonnait',
    'jalonnant',
    'jalonnas',
    'jalonnasse',
    'jalonnassent',
    'jalonnasses',
    'jalonnassiez',
    'jalonne',
    'jalonnement',
    'jalonnements',
    'jalonnent',
    'jalonner',
    'jalonnera',
    'jalonnerai',
    'jalonnerais',
    'jalonnerait',
    'jalonneras',
    'jalonnerez',
    'jalonneriez',
    'jalonnerions',
    'jalonnerons',
    'jalonneront',
    'jalonnes',
    'jalonneur',
    'jalonneurs',
    'jalonnez',
    'jalonniez',
    'jalonnions',
    'jalonnons',
    'jalonnâmes',
    'jalonnât',
    'jalonnâtes',
    'jalonnèrent',
    'jalonné',
    'jalonnée',
    'jalonnées',
    'jalonnés',
    'jalons',
    'jalousa',
    'jalousai',
    'jalousaient',
    'jalousais',
    'jalousait',
    'jalousant',
    'jalousas',
    'jalousasse',
    'jalousassent',
    'jalousasses',
    'jalousassiez',
    'jalouse',
    'jalousement',
    'jalousent',
    'jalouser',
    'jalousera',
    'jalouserai',
    'jalouserais',
    'jalouserait',
    'jalouseras',
    'jalouserez',
    'jalouseriez',
    'jalouserions',
    'jalouserons',
    'jalouseront',
    'jalouses',
    'jalousez',
    'jalousie',
    'jalousies',
    'jalousiez',
    'jalousions',
    'jalousons',
    'jalousâmes',
    'jalousât',
    'jalousâtes',
    'jalousèrent',
    'jalousé',
    'jalousée',
    'jalousées',
    'jalousés',
    'jaloux',
    'jamais',
    'jamaïquain',
    'jamaïquaine',
    'jamaïquaines',
    'jamaïquains',
    'jambage',
    'jambages',
    'jambe',
    'jambes',
    'jambette',
    'jambettes',
    'jambier',
    'jambiers',
    'jambière',
    'jambières',
    'jambon',
    'jambonneau',
    'jambonneaux',
    'jambons',
    'jamboree',
    'jamborees',
    'jambose',
    'jamboses',
    'jambosier',
    'jambosiers',
    'jambé',
    'jambée',
    'jambées',
    'jambés',
    'jamerosier',
    'jamerosiers',
    'jangada',
    'jangadas',
    'janissaire',
    'janissaires',
    'janotisme',
    'janotismes',
    'jans',
    'jansénisme',
    'jansénismes',
    'janséniste',
    'jansénistes',
    'jante',
    'jantes',
    'janv',
    'janvier',
    'japon',
    'japonais',
    'japonaise',
    'japonaiserie',
    'japonaises',
    'japonerie',
    'japoneries',
    'japonisant',
    'japonisante',
    'japonisantes',
    'japonisants',
    'japonisme',
    'japonismes',
    'japoniste',
    'japonistes',
    'japonna',
    'japonnai',
    'japonnaient',
    'japonnais',
    'japonnait',
    'japonnant',
    'japonnas',
    'japonnasse',
    'japonnassent',
    'japonnasses',
    'japonnassiez',
    'japonne',
    'japonnent',
    'japonner',
    'japonnera',
    'japonnerai',
    'japonnerais',
    'japonnerait',
    'japonneras',
    'japonnerez',
    'japonneriez',
    'japonnerions',
    'japonnerons',
    'japonneront',
    'japonnes',
    'japonnez',
    'japonniez',
    'japonnions',
    'japonnons',
    'japonnâmes',
    'japonnât',
    'japonnâtes',
    'japonnèrent',
    'japonné',
    'japonnée',
    'japonnées',
    'japonnés',
    'japons',
    'jappa',
    'jappai',
    'jappaient',
    'jappais',
    'jappait',
    'jappant',
    'jappas',
    'jappasse',
    'jappassent',
    'jappasses',
    'jappassiez',
    'jappassions',
    'jappe',
    'jappement',
    'jappements',
    'jappent',
    'japper',
    'jappera',
    'japperai',
    'japperaient',
    'japperais',
    'japperait',
    'japperas',
    'japperez',
    'japperiez',
    'japperions',
    'japperons',
    'japperont',
    'jappes',
    'jappeur',
    'jappeurs',
    'jappeuse',
    'jappeuses',
    'jappez',
    'jappiez',
    'jappions',
    'jappons',
    'jappâmes',
    'jappât',
    'jappâtes',
    'jappèrent',
    'jappé',
    'jaquemart',
    'jaquemarts',
    'jaquette',
    'jaquettes',
    'jaquier',
    'jaquiers',
    'jarde',
    'jardes',
    'jardin',
    'jardina',
    'jardinage',
    'jardinages',
    'jardinai',
    'jardinaient',
    'jardinais',
    'jardinait',
    'jardinant',
    'jardinas',
    'jardinasse',
    'jardinassent',
    'jardinasses',
    'jardinassiez',
    'jardine',
    'jardinent',
    'jardiner',
    'jardinera',
    'jardinerai',
    'jardinerais',
    'jardinerait',
    'jardineras',
    'jardinerez',
    'jardineriez',
    'jardinerions',
    'jardinerons',
    'jardineront',
    'jardines',
    'jardinet',
    'jardinets',
    'jardineuse',
    'jardineuses',
    'jardineux',
    'jardinez',
    'jardinier',
    'jardiniers',
    'jardiniez',
    'jardinions',
    'jardiniste',
    'jardinistes',
    'jardinière',
    'jardinières',
    'jardinons',
    'jardins',
    'jardinâmes',
    'jardinât',
    'jardinâtes',
    'jardinèrent',
    'jardiné',
    'jardinée',
    'jardinées',
    'jardinés',
    'jardon',
    'jardons',
    'jarettera',
    'jaretterai',
    'jaretterais',
    'jaretterait',
    'jaretteras',
    'jaretterez',
    'jaretteriez',
    'jaretterions',
    'jaretterons',
    'jaretteront',
    'jargon',
    'jargonna',
    'jargonnai',
    'jargonnaient',
    'jargonnais',
    'jargonnait',
    'jargonnant',
    'jargonnas',
    'jargonnasse',
    'jargonnasses',
    'jargonne',
    'jargonnent',
    'jargonner',
    'jargonnera',
    'jargonnerai',
    'jargonnerais',
    'jargonnerait',
    'jargonneras',
    'jargonnerez',
    'jargonneriez',
    'jargonnerons',
    'jargonneront',
    'jargonnes',
    'jargonnez',
    'jargonniez',
    'jargonnions',
    'jargonnons',
    'jargonnâmes',
    'jargonnât',
    'jargonnâtes',
    'jargonnèrent',
    'jargonné',
    'jargons',
    'jarnicoton',
    'jarosse',
    'jarosses',
    'jarovisation',
    'jarre',
    'jarres',
    'jarret',
    'jarreta',
    'jarretai',
    'jarretaient',
    'jarretais',
    'jarretait',
    'jarretant',
    'jarretas',
    'jarretasse',
    'jarretassent',
    'jarretasses',
    'jarretassiez',
    'jarretelle',
    'jarretelles',
    'jarreter',
    'jarretez',
    'jarretiez',
    'jarretions',
    'jarretière',
    'jarretières',
    'jarretons',
    'jarrets',
    'jarrette',
    'jarrettent',
    'jarrettes',
    'jarretâmes',
    'jarretât',
    'jarretâtes',
    'jarretèrent',
    'jarreté',
    'jarretée',
    'jarretées',
    'jarretés',
    'jars',
    'jasa',
    'jasai',
    'jasaient',
    'jasais',
    'jasait',
    'jasant',
    'jasas',
    'jasasse',
    'jasassent',
    'jasasses',
    'jasassiez',
    'jasassions',
    'jase',
    'jasent',
    'jaser',
    'jasera',
    'jaserai',
    'jaseraient',
    'jaserais',
    'jaserait',
    'jaseran',
    'jaserans',
    'jaseras',
    'jaserez',
    'jaseriez',
    'jaserions',
    'jaseron',
    'jaserons',
    'jaseront',
    'jases',
    'jaseur',
    'jaseurs',
    'jaseuse',
    'jaseuses',
    'jasez',
    'jasiez',
    'jasions',
    'jasmin',
    'jasmins',
    'jasons',
    'jaspa',
    'jaspai',
    'jaspaient',
    'jaspais',
    'jaspait',
    'jaspant',
    'jaspas',
    'jaspasse',
    'jaspassent',
    'jaspasses',
    'jaspassiez',
    'jaspassions',
    'jaspe',
    'jaspent',
    'jasper',
    'jaspera',
    'jasperai',
    'jasperaient',
    'jasperais',
    'jasperait',
    'jasperas',
    'jasperez',
    'jasperiez',
    'jasperions',
    'jasperons',
    'jasperont',
    'jaspes',
    'jaspez',
    'jaspiez',
    'jaspina',
    'jaspinai',
    'jaspinaient',
    'jaspinais',
    'jaspinait',
    'jaspinant',
    'jaspinas',
    'jaspinasse',
    'jaspinassent',
    'jaspinasses',
    'jaspinassiez',
    'jaspine',
    'jaspinent',
    'jaspiner',
    'jaspinera',
    'jaspinerai',
    'jaspinerais',
    'jaspinerait',
    'jaspineras',
    'jaspinerez',
    'jaspineriez',
    'jaspinerions',
    'jaspinerons',
    'jaspineront',
    'jaspines',
    'jaspinez',
    'jaspiniez',
    'jaspinions',
    'jaspinons',
    'jaspinâmes',
    'jaspinât',
    'jaspinâtes',
    'jaspinèrent',
    'jaspiné',
    'jaspinée',
    'jaspinées',
    'jaspinés',
    'jaspions',
    'jaspons',
    'jaspure',
    'jaspures',
    'jaspâmes',
    'jaspât',
    'jaspâtes',
    'jaspèrent',
    'jaspé',
    'jaspée',
    'jaspées',
    'jaspés',
    'jasâmes',
    'jasât',
    'jasâtes',
    'jasèrent',
    'jasé',
    'jasée',
    'jasées',
    'jasés',
    'jatte',
    'jattes',
    'jattée',
    'jattées',
    'jauge',
    'jaugea',
    'jaugeage',
    'jaugeages',
    'jaugeai',
    'jaugeaient',
    'jaugeais',
    'jaugeait',
    'jaugeant',
    'jaugeas',
    'jaugeasse',
    'jaugeassent',
    'jaugeasses',
    'jaugeassiez',
    'jaugeassions',
    'jaugent',
    'jaugeons',
    'jauger',
    'jaugera',
    'jaugerai',
    'jaugeraient',
    'jaugerais',
    'jaugerait',
    'jaugeras',
    'jaugerez',
    'jaugeriez',
    'jaugerions',
    'jaugerons',
    'jaugeront',
    'jauges',
    'jaugeur',
    'jaugeurs',
    'jaugez',
    'jaugeâmes',
    'jaugeât',
    'jaugeâtes',
    'jaugiez',
    'jaugions',
    'jaugèrent',
    'jaugé',
    'jaugée',
    'jaugées',
    'jaugés',
    'jaumière',
    'jaumières',
    'jaune',
    'jaunes',
    'jaunet',
    'jaunets',
    'jaunette',
    'jaunettes',
    'jauni',
    'jaunie',
    'jaunies',
    'jaunir',
    'jaunira',
    'jaunirai',
    'jauniraient',
    'jaunirais',
    'jaunirait',
    'jauniras',
    'jaunirent',
    'jaunirez',
    'jauniriez',
    'jaunirions',
    'jaunirons',
    'jauniront',
    'jaunis',
    'jaunissage',
    'jaunissages',
    'jaunissaient',
    'jaunissais',
    'jaunissait',
    'jaunissant',
    'jaunissante',
    'jaunissantes',
    'jaunissants',
    'jaunisse',
    'jaunissement',
    'jaunissent',
    'jaunisses',
    'jaunissez',
    'jaunissiez',
    'jaunissions',
    'jaunissons',
    'jaunit',
    'jaunâtre',
    'jaunâtres',
    'jaunîmes',
    'jaunît',
    'jaunîtes',
    'java',
    'javanais',
    'javanaise',
    'javanaises',
    'javart',
    'javarts',
    'javas',
    'javeau',
    'javeaux',
    'javel',
    'javela',
    'javelage',
    'javelages',
    'javelai',
    'javelaient',
    'javelais',
    'javelait',
    'javelant',
    'javelas',
    'javelasse',
    'javelassent',
    'javelasses',
    'javelassiez',
    'javelassions',
    'javeler',
    'javeleur',
    'javeleurs',
    'javeleuse',
    'javeleuses',
    'javelez',
    'javeliez',
    'javeline',
    'javelines',
    'javelions',
    'javelle',
    'javellent',
    'javellera',
    'javellerai',
    'javellerais',
    'javellerait',
    'javelleras',
    'javellerez',
    'javelleriez',
    'javellerions',
    'javellerons',
    'javelleront',
    'javelles',
    'javellisa',
    'javellisai',
    'javellisais',
    'javellisait',
    'javellisant',
    'javellisas',
    'javellisasse',
    'javellise',
    'javellisent',
    'javelliser',
    'javellisera',
    'javelliserai',
    'javelliseras',
    'javelliserez',
    'javellises',
    'javellisez',
    'javellisiez',
    'javellisions',
    'javellisons',
    'javellisâmes',
    'javellisât',
    'javellisâtes',
    'javellisé',
    'javellisée',
    'javellisées',
    'javellisés',
    'javelons',
    'javelot',
    'javelots',
    'javels',
    'javelâmes',
    'javelât',
    'javelâtes',
    'javelèrent',
    'javelé',
    'javelée',
    'javelées',
    'javelés',
    'jazz',
    'jazzman',
    'jazzmen',
    'jaïn',
    'jaïna',
    'jaïnas',
    'jaïnisme',
    'jaïnismes',
    'jaïns',
    'jean',
    'jeannette',
    'jeannettes',
    'jeans',
    'jectisse',
    'jectisses',
    'jeep',
    'jeeps',
    'jenny',
    'jennys',
    'jennérien',
    'jennérienne',
    'jennériennes',
    'jennériens',
    'jerez',
    'jerk',
    'jerka',
    'jerkai',
    'jerkaient',
    'jerkais',
    'jerkait',
    'jerkant',
    'jerkas',
    'jerkasse',
    'jerkassent',
    'jerkasses',
    'jerkassiez',
    'jerkassions',
    'jerke',
    'jerkent',
    'jerker',
    'jerkera',
    'jerkerai',
    'jerkeraient',
    'jerkerais',
    'jerkerait',
    'jerkeras',
    'jerkerez',
    'jerkeriez',
    'jerkerions',
    'jerkerons',
    'jerkeront',
    'jerkes',
    'jerkez',
    'jerkiez',
    'jerkions',
    'jerkons',
    'jerks',
    'jerkâmes',
    'jerkât',
    'jerkâtes',
    'jerkèrent',
    'jerké',
    'jerrican',
    'jerricane',
    'jerricanes',
    'jerricans',
    'jerrycan',
    'jerrycans',
    'jersey',
    'jerseys',
    'jeta',
    'jetable',
    'jetables',
    'jetage',
    'jetages',
    'jetai',
    'jetaient',
    'jetais',
    'jetait',
    'jetant',
    'jetas',
    'jetasse',
    'jetassent',
    'jetasses',
    'jetassiez',
    'jetassions',
    'jeter',
    'jeteur',
    'jeteurs',
    'jeteuse',
    'jeteuses',
    'jetez',
    'jetiez',
    'jetions',
    'jeton',
    'jetons',
    'jets',
    'jettatura',
    'jette',
    'jettent',
    'jettera',
    'jetterai',
    'jetteraient',
    'jetterais',
    'jetterait',
    'jetteras',
    'jetterez',
    'jetteriez',
    'jetterions',
    'jetterons',
    'jetteront',
    'jettes',
    'jetâmes',
    'jetât',
    'jetâtes',
    'jetèrent',
    'jeté',
    'jetée',
    'jetées',
    'jetés',
    'jeudi',
    'jeudis',
    'jeun',
    'jeune',
    'jeunement',
    'jeunes',
    'jeunesse',
    'jeunesses',
    'jeunet',
    'jeunets',
    'jeunette',
    'jeunettes',
    'jeunot',
    'jeunots',
    'jeunotte',
    'jeunottes',
    'jeux',
    'jeûna',
    'jeûnai',
    'jeûnaient',
    'jeûnais',
    'jeûnait',
    'jeûnant',
    'jeûnas',
    'jeûnasse',
    'jeûnassent',
    'jeûnasses',
    'jeûnassiez',
    'jeûnassions',
    'jeûne',
    'jeûnent',
    'jeûner',
    'jeûnera',
    'jeûnerai',
    'jeûneraient',
    'jeûnerais',
    'jeûnerait',
    'jeûneras',
    'jeûnerez',
    'jeûneriez',
    'jeûnerions',
    'jeûnerons',
    'jeûneront',
    'jeûnes',
    'jeûneur',
    'jeûneurs',
    'jeûneuse',
    'jeûneuses',
    'jeûnez',
    'jeûniez',
    'jeûnions',
    'jeûnons',
    'jeûnâmes',
    'jeûnât',
    'jeûnâtes',
    'jeûnèrent',
    'jeûné',
    'jigger',
    'jiggers',
    'joaillerie',
    'joailleries',
    'joaillier',
    'joailliers',
    'joaillière',
    'joaillières',
    'jobard',
    'jobarda',
    'jobardai',
    'jobardaient',
    'jobardais',
    'jobardait',
    'jobardant',
    'jobardas',
    'jobardasse',
    'jobardassent',
    'jobardasses',
    'jobardassiez',
    'jobarde',
    'jobardent',
    'jobarder',
    'jobardera',
    'jobarderai',
    'jobarderais',
    'jobarderait',
    'jobarderas',
    'jobarderez',
    'jobarderie',
    'jobarderies',
    'jobarderiez',
    'jobarderions',
    'jobarderons',
    'jobarderont',
    'jobardes',
    'jobardez',
    'jobardiez',
    'jobardions',
    'jobardise',
    'jobardises',
    'jobardons',
    'jobards',
    'jobardâmes',
    'jobardât',
    'jobardâtes',
    'jobardèrent',
    'jobardé',
    'jobardée',
    'jobardées',
    'jobardés',
    'jobelin',
    'jobelins',
    'jobs',
    'jocasse',
    'jocasses',
    'jociste',
    'jocistes',
    'jockey',
    'jockeys',
    'jocrisse',
    'jocrisses',
    'jodhpurs',
    'jodla',
    'jodlai',
    'jodlaient',
    'jodlais',
    'jodlait',
    'jodlant',
    'jodlas',
    'jodlasse',
    'jodlassent',
    'jodlasses',
    'jodlassiez',
    'jodlassions',
    'jodle',
    'jodlent',
    'jodler',
    'jodlera',
    'jodlerai',
    'jodleraient',
    'jodlerais',
    'jodlerait',
    'jodleras',
    'jodlerez',
    'jodleriez',
    'jodlerions',
    'jodlerons',
    'jodleront',
    'jodles',
    'jodlez',
    'jodliez',
    'jodlions',
    'jodlons',
    'jodlâmes',
    'jodlât',
    'jodlâtes',
    'jodlèrent',
    'jodlé',
    'jodlée',
    'jodlées',
    'jodlés',
    'jogging',
    'joggings',
    'johannique',
    'johanniques',
    'johannite',
    'johannites',
    'joie',
    'joies',
    'joignaient',
    'joignais',
    'joignait',
    'joignant',
    'joigne',
    'joignent',
    'joignes',
    'joignez',
    'joigniez',
    'joignions',
    'joignirent',
    'joignis',
    'joignisse',
    'joignissent',
    'joignisses',
    'joignissiez',
    'joignissions',
    'joignit',
    'joignons',
    'joignîmes',
    'joignît',
    'joignîtes',
    'joindra',
    'joindrai',
    'joindraient',
    'joindrais',
    'joindrait',
    'joindras',
    'joindre',
    'joindrez',
    'joindriez',
    'joindrions',
    'joindrons',
    'joindront',
    'joins',
    'joint',
    'jointe',
    'jointes',
    'jointif',
    'jointifs',
    'jointive',
    'jointives',
    'jointoie',
    'jointoiement',
    'jointoient',
    'jointoiera',
    'jointoierai',
    'jointoierais',
    'jointoierait',
    'jointoieras',
    'jointoierez',
    'jointoieriez',
    'jointoierons',
    'jointoieront',
    'jointoies',
    'jointoya',
    'jointoyai',
    'jointoyas',
    'jointoyasse',
    'jointoyasses',
    'jointoyer',
    'jointoyeur',
    'jointoyeurs',
    'jointoyâmes',
    'jointoyât',
    'jointoyâtes',
    'jointoyèrent',
    'jointoyé',
    'jointoyée',
    'jointoyées',
    'jointoyés',
    'joints',
    'jointure',
    'jointures',
    'joker',
    'jokers',
    'joli',
    'jolie',
    'jolies',
    'joliesse',
    'joliesses',
    'joliment',
    'jolis',
    'jonc',
    'jonce',
    'joncent',
    'joncer',
    'joncera',
    'joncerai',
    'jonceraient',
    'joncerais',
    'joncerait',
    'jonceras',
    'joncerez',
    'jonceriez',
    'joncerions',
    'joncerons',
    'jonceront',
    'jonces',
    'joncez',
    'joncha',
    'jonchai',
    'jonchaient',
    'jonchais',
    'jonchait',
    'jonchant',
    'jonchante',
    'jonchantes',
    'jonchants',
    'jonchas',
    'jonchasse',
    'jonchassent',
    'jonchasses',
    'jonchassiez',
    'jonchassions',
    'jonche',
    'jonchent',
    'joncher',
    'jonchera',
    'joncherai',
    'joncheraient',
    'joncherais',
    'joncherait',
    'joncheras',
    'joncherez',
    'joncheriez',
    'joncherions',
    'joncherons',
    'joncheront',
    'jonches',
    'jonchet',
    'jonchets',
    'jonchez',
    'jonchiez',
    'jonchions',
    'jonchons',
    'jonchâmes',
    'jonchât',
    'jonchâtes',
    'jonchère',
    'jonchèrent',
    'jonchères',
    'jonché',
    'jonchée',
    'jonchées',
    'jonchés',
    'jonciez',
    'joncions',
    'joncs',
    'jonction',
    'jonctions',
    'joncèrent',
    'joncé',
    'joncée',
    'joncées',
    'joncés',
    'jongla',
    'jonglai',
    'jonglaient',
    'jonglais',
    'jonglait',
    'jonglant',
    'jonglas',
    'jonglasse',
    'jonglassent',
    'jonglasses',
    'jonglassiez',
    'jonglassions',
    'jongle',
    'jonglent',
    'jongler',
    'jonglera',
    'jonglerai',
    'jongleraient',
    'jonglerais',
    'jonglerait',
    'jongleras',
    'jonglerez',
    'jonglerie',
    'jongleries',
    'jongleriez',
    'jonglerions',
    'jonglerons',
    'jongleront',
    'jongles',
    'jongleur',
    'jongleurs',
    'jongleuse',
    'jongleuses',
    'jonglez',
    'jongliez',
    'jonglions',
    'jonglons',
    'jonglâmes',
    'jonglât',
    'jonglâtes',
    'jonglèrent',
    'jonglé',
    'jonglée',
    'jonglées',
    'jonglés',
    'jonkheer',
    'jonkheers',
    'jonque',
    'jonques',
    'jonquille',
    'jonquilles',
    'jontoyaient',
    'jontoyais',
    'jontoyait',
    'jontoyant',
    'jontoyez',
    'jontoyiez',
    'jontoyions',
    'jontoyons',
    'jonça',
    'jonçai',
    'jonçaient',
    'jonçais',
    'jonçait',
    'jonçant',
    'jonças',
    'jonçasse',
    'jonçassent',
    'jonçasses',
    'jonçassiez',
    'jonçassions',
    'jonçons',
    'jonçâmes',
    'jonçât',
    'jonçâtes',
    'jordanien',
    'jordanienne',
    'jordaniennes',
    'jordaniens',
    'joseph',
    'josephs',
    'jota',
    'jotas',
    'jottereau',
    'jottereaux',
    'joua',
    'jouable',
    'jouables',
    'jouai',
    'jouaient',
    'jouailla',
    'jouaillai',
    'jouaillaient',
    'jouaillais',
    'jouaillait',
    'jouaillant',
    'jouaillas',
    'jouaillasse',
    'jouaillasses',
    'jouaille',
    'jouaillent',
    'jouailler',
    'jouaillera',
    'jouaillerai',
    'jouaillerais',
    'jouaillerait',
    'jouailleras',
    'jouaillerez',
    'jouailleriez',
    'jouaillerons',
    'jouailleront',
    'jouailles',
    'jouaillez',
    'jouailliez',
    'jouaillions',
    'jouaillons',
    'jouaillâmes',
    'jouaillât',
    'jouaillâtes',
    'jouaillèrent',
    'jouaillé',
    'jouais',
    'jouait',
    'joual',
    'jouant',
    'jouas',
    'jouasse',
    'jouassent',
    'jouasses',
    'jouassiez',
    'jouassions',
    'joubarbe',
    'joubarbes',
    'joue',
    'jouent',
    'jouer',
    'jouera',
    'jouerai',
    'joueraient',
    'jouerais',
    'jouerait',
    'joueras',
    'jouerez',
    'joueriez',
    'jouerions',
    'jouerons',
    'joueront',
    'joues',
    'jouet',
    'jouets',
    'joueur',
    'joueurs',
    'joueuse',
    'joueuses',
    'jouez',
    'joufflu',
    'joufflue',
    'joufflues',
    'joufflus',
    'joug',
    'jougs',
    'joui',
    'jouiez',
    'jouions',
    'jouir',
    'jouira',
    'jouirai',
    'jouiraient',
    'jouirais',
    'jouirait',
    'jouiras',
    'jouirent',
    'jouirez',
    'jouiriez',
    'jouirions',
    'jouirons',
    'jouiront',
    'jouis',
    'jouissaient',
    'jouissais',
    'jouissait',
    'jouissance',
    'jouissances',
    'jouissant',
    'jouissante',
    'jouissantes',
    'jouissants',
    'jouisse',
    'jouissent',
    'jouisses',
    'jouisseur',
    'jouisseurs',
    'jouisseuse',
    'jouisseuses',
    'jouissez',
    'jouissiez',
    'jouissif',
    'jouissifs',
    'jouissions',
    'jouissive',
    'jouissives',
    'jouissons',
    'jouit',
    'joujou',
    'joujoux',
    'joule',
    'joules',
    'jouons',
    'jour',
    'journal',
    'journalier',
    'journaliers',
    'journalisme',
    'journalismes',
    'journaliste',
    'journalistes',
    'journalière',
    'journalières',
    'journaux',
    'journée',
    'journées',
    'jours',
    'jouta',
    'joutai',
    'joutaient',
    'joutais',
    'joutait',
    'joutant',
    'joutas',
    'joutasse',
    'joutassent',
    'joutasses',
    'joutassiez',
    'joutassions',
    'joute',
    'joutent',
    'jouter',
    'joutera',
    'jouterai',
    'jouteraient',
    'jouterais',
    'jouterait',
    'jouteras',
    'jouterez',
    'jouteriez',
    'jouterions',
    'jouterons',
    'jouteront',
    'joutes',
    'jouteur',
    'jouteurs',
    'jouteuse',
    'jouteuses',
    'joutez',
    'joutiez',
    'joutions',
    'joutons',
    'joutâmes',
    'joutât',
    'joutâtes',
    'joutèrent',
    'jouté',
    'jouvence',
    'jouvenceau',
    'jouvenceaux',
    'jouvencelle',
    'jouvencelles',
    'jouvences',
    'jouxta',
    'jouxtai',
    'jouxtaient',
    'jouxtais',
    'jouxtait',
    'jouxtant',
    'jouxtas',
    'jouxtasse',
    'jouxtassent',
    'jouxtasses',
    'jouxtassiez',
    'jouxtassions',
    'jouxte',
    'jouxtent',
    'jouxter',
    'jouxtera',
    'jouxterai',
    'jouxteraient',
    'jouxterais',
    'jouxterait',
    'jouxteras',
    'jouxterez',
    'jouxteriez',
    'jouxterions',
    'jouxterons',
    'jouxteront',
    'jouxtes',
    'jouxtez',
    'jouxtiez',
    'jouxtions',
    'jouxtons',
    'jouxtâmes',
    'jouxtât',
    'jouxtâtes',
    'jouxtèrent',
    'jouxté',
    'jouxtée',
    'jouxtées',
    'jouxtés',
    'jouâmes',
    'jouât',
    'jouâtes',
    'jouèrent',
    'joué',
    'jouée',
    'jouées',
    'joués',
    'jouîmes',
    'jouît',
    'jouîtes',
    'jovial',
    'joviale',
    'jovialement',
    'joviales',
    'jovialité',
    'jovialités',
    'jovials',
    'joviaux',
    'jovien',
    'jovienne',
    'joviennes',
    'joviens',
    'joyau',
    'joyaux',
    'joyeuse',
    'joyeusement',
    'joyeuses',
    'joyeuseté',
    'joyeusetés',
    'joyeux',
    'jubarte',
    'jubartes',
    'jubila',
    'jubilai',
    'jubilaient',
    'jubilaire',
    'jubilaires',
    'jubilais',
    'jubilait',
    'jubilant',
    'jubilas',
    'jubilasse',
    'jubilassent',
    'jubilasses',
    'jubilassiez',
    'jubilassions',
    'jubilation',
    'jubilations',
    'jubile',
    'jubilent',
    'jubiler',
    'jubilera',
    'jubilerai',
    'jubileraient',
    'jubilerais',
    'jubilerait',
    'jubileras',
    'jubilerez',
    'jubileriez',
    'jubilerions',
    'jubilerons',
    'jubileront',
    'jubiles',
    'jubilez',
    'jubiliez',
    'jubilions',
    'jubilons',
    'jubilâmes',
    'jubilât',
    'jubilâtes',
    'jubilèrent',
    'jubilé',
    'jubilés',
    'jubé',
    'jubés',
    'jucha',
    'juchai',
    'juchaient',
    'juchais',
    'juchait',
    'juchant',
    'juchas',
    'juchasse',
    'juchassent',
    'juchasses',
    'juchassiez',
    'juchassions',
    'juche',
    'juchent',
    'jucher',
    'juchera',
    'jucherai',
    'jucheraient',
    'jucherais',
    'jucherait',
    'jucheras',
    'jucherez',
    'jucheriez',
    'jucherions',
    'jucherons',
    'jucheront',
    'juches',
    'juchez',
    'juchiez',
    'juchions',
    'juchoir',
    'juchoirs',
    'juchons',
    'juchâmes',
    'juchât',
    'juchâtes',
    'juchèrent',
    'juché',
    'juchée',
    'juchées',
    'juchés',
    'judas',
    'judaïcité',
    'judaïcités',
    'judaïque',
    'judaïques',
    'judaïser',
    'judaïsme',
    'judaïsmes',
    'judaïté',
    'judaïtés',
    'judelle',
    'judelles',
    'judicature',
    'judicatures',
    'judiciaire',
    'judiciaires',
    'judicieuse',
    'judicieuses',
    'judicieux',
    'judo',
    'judoka',
    'judokas',
    'judos',
    'judéité',
    'judéités',
    'jugal',
    'jugale',
    'jugales',
    'jugaux',
    'juge',
    'jugea',
    'jugeable',
    'jugeables',
    'jugeai',
    'jugeaient',
    'jugeais',
    'jugeait',
    'jugeant',
    'jugeas',
    'jugeasse',
    'jugeassent',
    'jugeasses',
    'jugeassiez',
    'jugeassions',
    'jugement',
    'jugements',
    'jugent',
    'jugeons',
    'jugeote',
    'jugeotes',
    'juger',
    'jugera',
    'jugerai',
    'jugeraient',
    'jugerais',
    'jugerait',
    'jugeras',
    'jugerez',
    'jugeriez',
    'jugerions',
    'jugerons',
    'jugeront',
    'juges',
    'jugeur',
    'jugeurs',
    'jugeuse',
    'jugeuses',
    'jugez',
    'jugeâmes',
    'jugeât',
    'jugeâtes',
    'jugiez',
    'jugions',
    'jugula',
    'jugulai',
    'jugulaient',
    'jugulaire',
    'jugulaires',
    'jugulais',
    'jugulait',
    'jugulant',
    'jugulante',
    'jugulantes',
    'jugulants',
    'jugulas',
    'jugulasse',
    'jugulassent',
    'jugulasses',
    'jugulassiez',
    'jugulassions',
    'jugule',
    'jugulent',
    'juguler',
    'jugulera',
    'jugulerai',
    'juguleraient',
    'jugulerais',
    'jugulerait',
    'juguleras',
    'jugulerez',
    'juguleriez',
    'jugulerions',
    'jugulerons',
    'juguleront',
    'jugules',
    'jugulez',
    'juguliez',
    'jugulions',
    'jugulons',
    'jugulâmes',
    'jugulât',
    'jugulâtes',
    'jugulèrent',
    'jugulé',
    'jugulée',
    'jugulées',
    'jugulés',
    'jugèrent',
    'jugé',
    'jugée',
    'jugées',
    'jugés',
    'juif',
    'juifs',
    'juill',
    'juillet',
    'juin',
    'juive',
    'juiverie',
    'juiveries',
    'juives',
    'jujube',
    'jujubes',
    'jujubier',
    'jujubiers',
    'julep',
    'juleps',
    'jules',
    'julien',
    'julienne',
    'juliennes',
    'juliens',
    'jumbo',
    'jumbos',
    'jumeau',
    'jumeaux',
    'jumel',
    'jumela',
    'jumelage',
    'jumelages',
    'jumelai',
    'jumelaient',
    'jumelais',
    'jumelait',
    'jumelant',
    'jumelas',
    'jumelasse',
    'jumelassent',
    'jumelasses',
    'jumelassiez',
    'jumelassions',
    'jumeler',
    'jumelez',
    'jumeliez',
    'jumelions',
    'jumelle',
    'jumellent',
    'jumellera',
    'jumellerai',
    'jumellerais',
    'jumellerait',
    'jumelleras',
    'jumellerez',
    'jumelleriez',
    'jumellerions',
    'jumellerons',
    'jumelleront',
    'jumelles',
    'jumelons',
    'jumels',
    'jumelâmes',
    'jumelât',
    'jumelâtes',
    'jumelèrent',
    'jumelé',
    'jumelée',
    'jumelées',
    'jumelés',
    'jument',
    'juments',
    'jumping',
    'jumpings',
    'jungle',
    'jungles',
    'junior',
    'juniors',
    'junker',
    'junkers',
    'junonien',
    'junonienne',
    'junoniennes',
    'junoniens',
    'junte',
    'juntes',
    'jupe',
    'jupes',
    'jupette',
    'jupettes',
    'jupitérien',
    'jupitérienne',
    'jupitériens',
    'jupon',
    'juponna',
    'juponnai',
    'juponnaient',
    'juponnais',
    'juponnait',
    'juponnant',
    'juponnas',
    'juponnasse',
    'juponnassent',
    'juponnasses',
    'juponnassiez',
    'juponne',
    'juponnent',
    'juponner',
    'juponnera',
    'juponnerai',
    'juponnerais',
    'juponnerait',
    'juponneras',
    'juponnerez',
    'juponneriez',
    'juponnerions',
    'juponnerons',
    'juponneront',
    'juponnes',
    'juponnez',
    'juponniez',
    'juponnions',
    'juponnons',
    'juponnâmes',
    'juponnât',
    'juponnâtes',
    'juponnèrent',
    'juponné',
    'juponnée',
    'juponnées',
    'juponnés',
    'jupons',
    'jura',
    'jurai',
    'juraient',
    'jurais',
    'jurait',
    'jurande',
    'jurant',
    'juras',
    'jurasse',
    'jurassent',
    'jurasses',
    'jurassien',
    'jurassienne',
    'jurassiennes',
    'jurassiens',
    'jurassiez',
    'jurassions',
    'jurassique',
    'jurassiques',
    'jurat',
    'juratoire',
    'juratoires',
    'jurats',
    'jure',
    'jurement',
    'jurements',
    'jurent',
    'jurer',
    'jurera',
    'jurerai',
    'jureraient',
    'jurerais',
    'jurerait',
    'jureras',
    'jurerez',
    'jureriez',
    'jurerions',
    'jurerons',
    'jureront',
    'jures',
    'jureur',
    'jureurs',
    'jurez',
    'juridiction',
    'juridictions',
    'juridique',
    'juridiques',
    'juridisme',
    'juridismes',
    'juriez',
    'jurions',
    'juriste',
    'juristes',
    'juron',
    'jurons',
    'jury',
    'jurys',
    'jurâmes',
    'jurât',
    'jurâtes',
    'jurèrent',
    'juré',
    'jurée',
    'jurées',
    'jurés',
    'jusant',
    'jusants',
    'jusqu',
    'jusque',
    'jusques',
    'jusquiame',
    'jusquiames',
    'jussion',
    'jussions',
    'jussiée',
    'jussiées',
    'justaucorps',
    'juste',
    'justement',
    'justes',
    'justesse',
    'justesses',
    'justice',
    'justices',
    'justiciable',
    'justiciables',
    'justicier',
    'justiciers',
    'justicière',
    'justicières',
    'justifia',
    'justifiable',
    'justifiables',
    'justifiai',
    'justifiaient',
    'justifiais',
    'justifiait',
    'justifiant',
    'justifiante',
    'justifiantes',
    'justifiants',
    'justifias',
    'justifiasse',
    'justifiasses',
    'justificatif',
    'justifie',
    'justifient',
    'justifier',
    'justifiera',
    'justifierai',
    'justifierais',
    'justifierait',
    'justifieras',
    'justifierez',
    'justifieriez',
    'justifierons',
    'justifieront',
    'justifies',
    'justifiez',
    'justifiiez',
    'justifiions',
    'justifions',
    'justifiâmes',
    'justifiât',
    'justifiâtes',
    'justifièrent',
    'justifié',
    'justifiée',
    'justifiées',
    'justifiés',
    'jusée',
    'jusées',
    'juta',
    'jutai',
    'jutaient',
    'jutais',
    'jutait',
    'jutant',
    'jutas',
    'jutasse',
    'jutassent',
    'jutasses',
    'jutassiez',
    'jutassions',
    'jute',
    'jutent',
    'juter',
    'jutera',
    'juterai',
    'juteraient',
    'juterais',
    'juterait',
    'juteras',
    'juterez',
    'juteriez',
    'juterions',
    'juterons',
    'juteront',
    'jutes',
    'juteuse',
    'juteuses',
    'juteux',
    'jutez',
    'jutiez',
    'jutions',
    'jutons',
    'jutâmes',
    'jutât',
    'jutâtes',
    'jutèrent',
    'juté',
    'jutée',
    'jutées',
    'jutés',
    'juvénat',
    'juvénats',
    'juvénile',
    'juvéniles',
    'juvénilité',
    'juvénilités',
    'juxtaposa',
    'juxtaposable',
    'juxtaposai',
    'juxtaposais',
    'juxtaposait',
    'juxtaposant',
    'juxtaposante',
    'juxtaposants',
    'juxtaposas',
    'juxtaposasse',
    'juxtapose',
    'juxtaposent',
    'juxtaposer',
    'juxtaposera',
    'juxtaposerai',
    'juxtaposeras',
    'juxtaposerez',
    'juxtaposes',
    'juxtaposez',
    'juxtaposiez',
    'juxtaposions',
    'juxtaposons',
    'juxtaposâmes',
    'juxtaposât',
    'juxtaposâtes',
    'juxtaposé',
    'juxtaposée',
    'juxtaposées',
    'juxtaposés',
    'jéjunum',
    'jéjunums',
    'jéroboam',
    'jéroboams',
    'jérémiade',
    'jérémiades',
    'jésuite',
    'jésuites',
    'jésuitique',
    'jésuitiques',
    'jésuitisme',
    'jésuitismes',
    'jésus',
    'kabbale',
    'kabbales',
    'kabuki',
    'kabyle',
    'kabyles',
    'kacha',
    'kachas',
    'kache',
    'kaches',
    'kafkaïen',
    'kafkaïenne',
    'kafkaïennes',
    'kafkaïens',
    'kaiser',
    'kaisers',
    'kakatoès',
    'kaki',
    'kakis',
    'kakémono',
    'kakémonos',
    'kali',
    'kalicytie',
    'kalicyties',
    'kalis',
    'kalium',
    'kaliums',
    'kaliémie',
    'kaliémies',
    'kalmouke',
    'kalmoukes',
    'kaléidoscope',
    'kamala',
    'kamalas',
    'kami',
    'kamichi',
    'kamichis',
    'kamikaze',
    'kamikazes',
    'kamis',
    'kanake',
    'kanakes',
    'kandjar',
    'kandjars',
    'kangourou',
    'kangourous',
    'kans',
    'kantien',
    'kantienne',
    'kantiennes',
    'kantiens',
    'kantisme',
    'kantismes',
    'kaoliang',
    'kaoliangs',
    'kaolin',
    'kaolins',
    'kapok',
    'kapokier',
    'kapokiers',
    'kapoks',
    'kappa',
    'karakul',
    'karakuls',
    'karaté',
    'karatéka',
    'karatékas',
    'karatés',
    'karbau',
    'karbaus',
    'karité',
    'karités',
    'karma',
    'karman',
    'karmans',
    'karmas',
    'karpatique',
    'karpatiques',
    'karstique',
    'karstiques',
    'kart',
    'karting',
    'kartings',
    'karts',
    'kascher',
    'kasher',
    'kava',
    'kavas',
    'kawa',
    'kawas',
    'kayac',
    'kayacs',
    'kayak',
    'kayaks',
    'kaïnite',
    'kaïnites',
    'keepsake',
    'keepsakes',
    'keffieh',
    'keffiehs',
    'kelvin',
    'kelvins',
    'kendo',
    'kendos',
    'kentia',
    'kentias',
    'kentrophylle',
    'kermesse',
    'kermesses',
    'ketch',
    'ketchs',
    'ketchup',
    'ketchups',
    'ketmie',
    'ketmies',
    'keynésien',
    'keynésienne',
    'keynésiennes',
    'keynésiens',
    'khalifat',
    'khalifats',
    'khalife',
    'khalifes',
    'khamsin',
    'khamsins',
    'khan',
    'khanat',
    'khanats',
    'khans',
    'khat',
    'khats',
    'khmer',
    'khmers',
    'khmère',
    'khmères',
    'khâgne',
    'khâgnes',
    'khâgneuse',
    'khâgneuses',
    'khâgneux',
    'khédival',
    'khédivale',
    'khédivales',
    'khédivat',
    'khédivats',
    'khédivaux',
    'khédive',
    'khédives',
    'khédivial',
    'khédiviale',
    'khédiviales',
    'khédiviat',
    'khédiviats',
    'khédiviaux',
    'khôl',
    'khôls',
    'kibboutz',
    'kibboutzim',
    'kichenotte',
    'kichenottes',
    'kick',
    'kicks',
    'kidnappa',
    'kidnappage',
    'kidnappages',
    'kidnappai',
    'kidnappaient',
    'kidnappais',
    'kidnappait',
    'kidnappant',
    'kidnappas',
    'kidnappasse',
    'kidnappasses',
    'kidnappe',
    'kidnappent',
    'kidnapper',
    'kidnappera',
    'kidnapperai',
    'kidnapperais',
    'kidnapperait',
    'kidnapperas',
    'kidnapperez',
    'kidnapperiez',
    'kidnapperons',
    'kidnapperont',
    'kidnappes',
    'kidnappeur',
    'kidnappeurs',
    'kidnappeuse',
    'kidnappeuses',
    'kidnappez',
    'kidnappiez',
    'kidnapping',
    'kidnappings',
    'kidnappions',
    'kidnappons',
    'kidnappâmes',
    'kidnappât',
    'kidnappâtes',
    'kidnappèrent',
    'kidnappé',
    'kidnappée',
    'kidnappées',
    'kidnappés',
    'kief',
    'kiefs',
    'kieselguhr',
    'kieselguhrs',
    'kiesérite',
    'kiesérites',
    'kifs',
    'kiki',
    'kikis',
    'kilo',
    'kilocalorie',
    'kilocalories',
    'kilocycle',
    'kilocycles',
    'kilogramme',
    'kilogrammes',
    'kilohertz',
    'kilomètre',
    'kilomètrent',
    'kilomètres',
    'kilométra',
    'kilométrage',
    'kilométrages',
    'kilométrai',
    'kilométrais',
    'kilométrait',
    'kilométrant',
    'kilométras',
    'kilométrasse',
    'kilométrer',
    'kilométrera',
    'kilométrerai',
    'kilométreras',
    'kilométrerez',
    'kilométrez',
    'kilométriez',
    'kilométrions',
    'kilométrique',
    'kilométrons',
    'kilométrâmes',
    'kilométrât',
    'kilométrâtes',
    'kilométré',
    'kilométrée',
    'kilométrées',
    'kilométrés',
    'kilos',
    'kilotonne',
    'kilotonnes',
    'kilovolt',
    'kilovolts',
    'kilowatt',
    'kilowatts',
    'kils',
    'kilt',
    'kilts',
    'kimono',
    'kimonos',
    'kinase',
    'kinases',
    'kinescope',
    'kinescopes',
    'kinesthésie',
    'kinesthésies',
    'kinkajou',
    'kinkajous',
    'kiosque',
    'kiosques',
    'kipper',
    'kippers',
    'kirs',
    'kirsch',
    'kirschs',
    'kitchenette',
    'kitchenettes',
    'kits',
    'kitsch',
    'kiwi',
    'kiwis',
    'klaxon',
    'klaxonna',
    'klaxonnai',
    'klaxonnaient',
    'klaxonnais',
    'klaxonnait',
    'klaxonnant',
    'klaxonnas',
    'klaxonnasse',
    'klaxonnasses',
    'klaxonne',
    'klaxonnent',
    'klaxonner',
    'klaxonnera',
    'klaxonnerai',
    'klaxonnerais',
    'klaxonnerait',
    'klaxonneras',
    'klaxonnerez',
    'klaxonneriez',
    'klaxonnerons',
    'klaxonneront',
    'klaxonnes',
    'klaxonnez',
    'klaxonniez',
    'klaxonnions',
    'klaxonnons',
    'klaxonnâmes',
    'klaxonnât',
    'klaxonnâtes',
    'klaxonnèrent',
    'klaxonné',
    'klaxonnée',
    'klaxonnées',
    'klaxonnés',
    'klaxons',
    'kleenex',
    'klephte',
    'klephtes',
    'kleptomane',
    'kleptomanes',
    'kleptomanie',
    'kleptomanies',
    'klystron',
    'klystrons',
    'knickers',
    'knout',
    'knouts',
    'koala',
    'koalas',
    'kobold',
    'kobolds',
    'koinè',
    'kola',
    'kolas',
    'kolatier',
    'kolatiers',
    'kolinski',
    'kolinskis',
    'kolkhoz',
    'kolkhoze',
    'kolkhozes',
    'kolkhozien',
    'kolkhozienne',
    'kolkhoziens',
    'kommandantur',
    'konzern',
    'konzerns',
    'kopeck',
    'kopecks',
    'korrigan',
    'korrigane',
    'korriganes',
    'korrigans',
    'korê',
    'korês',
    'koubba',
    'koubbas',
    'kouglof',
    'kouglofs',
    'koulak',
    'koulaks',
    'koumis',
    'koumys',
    'kouros',
    'kraal',
    'kraals',
    'krach',
    'krachs',
    'kraft',
    'krafts',
    'krak',
    'kraken',
    'krakens',
    'kraks',
    'kreutzer',
    'kreutzers',
    'kriss',
    'kronprinz',
    'kroumir',
    'kroumirs',
    'krypton',
    'ksar',
    'ksour',
    'kufique',
    'kufiques',
    'kummel',
    'kummels',
    'kumquat',
    'kumquats',
    'kurde',
    'kurdes',
    'kvas',
    'kwas',
    'kymographe',
    'kymographes',
    'kymographie',
    'kymographies',
    'kymrique',
    'kymriques',
    'kyrie',
    'kyrielle',
    'kyrielles',
    'kyries',
    'kyste',
    'kystes',
    'kystique',
    'kystiques',
    'kéfir',
    'kéfirs',
    'kénotron',
    'kénotrons',
    'képhir',
    'képhirs',
    'képi',
    'képis',
    'kérabau',
    'kérabaus',
    'kératine',
    'kératines',
    'kératiniser',
    'kératite',
    'kératites',
    'kératose',
    'kératoses',
    'kératotomie',
    'kératotomies',
    'kérogène',
    'kérogènes',
    'kérosène',
    'kérosènes',
    'labadens',
    'labarum',
    'labarums',
    'labdanum',
    'labdanums',
    'label',
    'labelle',
    'labelles',
    'labels',
    'labeur',
    'labeurs',
    'labial',
    'labiale',
    'labiales',
    'labialisa',
    'labialisai',
    'labialisais',
    'labialisait',
    'labialisant',
    'labialisas',
    'labialisasse',
    'labialise',
    'labialisent',
    'labialiser',
    'labialisera',
    'labialiserai',
    'labialiseras',
    'labialiserez',
    'labialises',
    'labialisez',
    'labialisiez',
    'labialisions',
    'labialisons',
    'labialisâmes',
    'labialisât',
    'labialisâtes',
    'labialisé',
    'labialisée',
    'labialisées',
    'labialisés',
    'labiaux',
    'labile',
    'labiles',
    'labiodentale',
    'labium',
    'labiums',
    'labié',
    'labiée',
    'labiées',
    'labiés',
    'laborantin',
    'laborantine',
    'laborantines',
    'laborantins',
    'laboratoire',
    'laboratoires',
    'laborieuse',
    'laborieuses',
    'laborieux',
    'labour',
    'laboura',
    'labourable',
    'labourables',
    'labourage',
    'labourages',
    'labourai',
    'labouraient',
    'labourais',
    'labourait',
    'labourant',
    'labouras',
    'labourasse',
    'labourassent',
    'labourasses',
    'labourassiez',
    'laboure',
    'labourent',
    'labourer',
    'labourera',
    'labourerai',
    'labourerais',
    'labourerait',
    'laboureras',
    'labourerez',
    'laboureriez',
    'labourerions',
    'labourerons',
    'laboureront',
    'laboures',
    'laboureur',
    'laboureurs',
    'labourez',
    'labouriez',
    'labourions',
    'labourons',
    'labours',
    'labourâmes',
    'labourât',
    'labourâtes',
    'labourèrent',
    'labouré',
    'labourée',
    'labourées',
    'labourés',
    'labrador',
    'labradors',
    'labre',
    'labres',
    'labyrinthe',
    'labyrinthes',
    'laccase',
    'laccases',
    'laccolite',
    'laccolites',
    'laccolithe',
    'laccolithes',
    'lace',
    'lacement',
    'lacements',
    'lacent',
    'lacer',
    'lacera',
    'lacerai',
    'laceraient',
    'lacerais',
    'lacerait',
    'laceras',
    'lacerez',
    'lacerie',
    'laceries',
    'laceriez',
    'lacerions',
    'lacerons',
    'laceront',
    'laces',
    'lacet',
    'lacets',
    'laceur',
    'laceurs',
    'laceuse',
    'laceuses',
    'lacez',
    'laciez',
    'lacinié',
    'laciniée',
    'laciniées',
    'laciniés',
    'lacions',
    'lacis',
    'laconique',
    'laconiques',
    'laconisme',
    'laconismes',
    'lacrymal',
    'lacrymale',
    'lacrymales',
    'lacrymaux',
    'lacrymogène',
    'lacrymogènes',
    'lacs',
    'lactaire',
    'lactaires',
    'lactalbumine',
    'lactase',
    'lactases',
    'lactate',
    'lactates',
    'lactation',
    'lactations',
    'lactescence',
    'lactescences',
    'lactescent',
    'lactescente',
    'lactescentes',
    'lactescents',
    'lactifère',
    'lactifères',
    'lactique',
    'lactiques',
    'lactoflavine',
    'lactomètre',
    'lactomètres',
    'lactose',
    'lactoses',
    'lactosérum',
    'lactosérums',
    'lactucarium',
    'lactucariums',
    'lacté',
    'lactée',
    'lactées',
    'lactés',
    'lacunaire',
    'lacunaires',
    'lacune',
    'lacunes',
    'lacuneuse',
    'lacuneuses',
    'lacuneux',
    'lacustre',
    'lacustres',
    'lacère',
    'lacèrent',
    'lacères',
    'lacé',
    'lacédémonien',
    'lacée',
    'lacées',
    'lacéra',
    'lacérai',
    'lacéraient',
    'lacérais',
    'lacérait',
    'lacérant',
    'lacéras',
    'lacérasse',
    'lacérassent',
    'lacérasses',
    'lacérassiez',
    'lacérassions',
    'lacération',
    'lacérations',
    'lacérer',
    'lacérera',
    'lacérerai',
    'lacéreraient',
    'lacérerais',
    'lacérerait',
    'lacéreras',
    'lacérerez',
    'lacéreriez',
    'lacérerions',
    'lacérerons',
    'lacéreront',
    'lacérez',
    'lacériez',
    'lacérions',
    'lacérons',
    'lacérâmes',
    'lacérât',
    'lacérâtes',
    'lacérèrent',
    'lacéré',
    'lacérée',
    'lacérées',
    'lacérés',
    'lacés',
    'ladanum',
    'ladanums',
    'ladies',
    'ladin',
    'ladins',
    'ladite',
    'ladre',
    'ladrerie',
    'ladreries',
    'ladres',
    'lads',
    'lady',
    'lagon',
    'lagons',
    'lagopède',
    'lagopèdes',
    'lagothrix',
    'lagotriche',
    'lagotriches',
    'lagrangienne',
    'laguis',
    'lagunaire',
    'lagunaires',
    'lagune',
    'lagunes',
    'laid',
    'laide',
    'laidement',
    'laideron',
    'laiderons',
    'laides',
    'laideur',
    'laideurs',
    'laids',
    'laie',
    'laient',
    'laiera',
    'laierai',
    'laieraient',
    'laierais',
    'laierait',
    'laieras',
    'laierez',
    'laieriez',
    'laierions',
    'laierons',
    'laieront',
    'laies',
    'laina',
    'lainage',
    'lainages',
    'lainai',
    'lainaient',
    'lainais',
    'lainait',
    'lainant',
    'lainas',
    'lainasse',
    'lainassent',
    'lainasses',
    'lainassiez',
    'lainassions',
    'laine',
    'lainent',
    'lainer',
    'lainera',
    'lainerai',
    'laineraient',
    'lainerais',
    'lainerait',
    'laineras',
    'lainerez',
    'lainerie',
    'laineries',
    'laineriez',
    'lainerions',
    'lainerons',
    'laineront',
    'laines',
    'laineur',
    'laineurs',
    'laineuse',
    'laineuses',
    'laineux',
    'lainez',
    'lainier',
    'lainiers',
    'lainiez',
    'lainions',
    'lainière',
    'lainières',
    'lainons',
    'lainâmes',
    'lainât',
    'lainâtes',
    'lainèrent',
    'lainé',
    'lainée',
    'lainées',
    'lainés',
    'laird',
    'lairds',
    'lais',
    'laissa',
    'laissai',
    'laissaient',
    'laissais',
    'laissait',
    'laissant',
    'laissas',
    'laissasse',
    'laissassent',
    'laissasses',
    'laissassiez',
    'laissassions',
    'laisse',
    'laissent',
    'laisser',
    'laissera',
    'laisserai',
    'laisseraient',
    'laisserais',
    'laisserait',
    'laisseras',
    'laisserez',
    'laisseriez',
    'laisserions',
    'laisserons',
    'laisseront',
    'laisses',
    'laissez',
    'laissiez',
    'laissions',
    'laissons',
    'laissâmes',
    'laissât',
    'laissâtes',
    'laissèrent',
    'laissé',
    'laissée',
    'laissées',
    'laissés',
    'lait',
    'laitage',
    'laitages',
    'laitance',
    'laitances',
    'laiterie',
    'laiteries',
    'laiteron',
    'laiterons',
    'laiteuse',
    'laiteuses',
    'laiteux',
    'laitier',
    'laitiers',
    'laitière',
    'laitières',
    'laiton',
    'laitonna',
    'laitonnai',
    'laitonnaient',
    'laitonnais',
    'laitonnait',
    'laitonnant',
    'laitonnas',
    'laitonnasse',
    'laitonnasses',
    'laitonne',
    'laitonnent',
    'laitonner',
    'laitonnera',
    'laitonnerai',
    'laitonnerais',
    'laitonnerait',
    'laitonneras',
    'laitonnerez',
    'laitonneriez',
    'laitonnerons',
    'laitonneront',
    'laitonnes',
    'laitonnez',
    'laitonniez',
    'laitonnions',
    'laitonnons',
    'laitonnâmes',
    'laitonnât',
    'laitonnâtes',
    'laitonnèrent',
    'laitonné',
    'laitonnée',
    'laitonnées',
    'laitonnés',
    'laitons',
    'laits',
    'laitue',
    'laitues',
    'laité',
    'laitée',
    'laitées',
    'laités',
    'laize',
    'laizes',
    'lakiste',
    'lakistes',
    'lallation',
    'lallations',
    'lama',
    'lamai',
    'lamaient',
    'lamais',
    'lamait',
    'lamanage',
    'lamanages',
    'lamaneur',
    'lamaneurs',
    'lamant',
    'lamantin',
    'lamantins',
    'lamarckisme',
    'lamarckismes',
    'lamas',
    'lamaserie',
    'lamaseries',
    'lamasse',
    'lamassent',
    'lamasses',
    'lamassiez',
    'lamassions',
    'lamaïsme',
    'lamaïsmes',
    'lamaïste',
    'lamaïstes',
    'lambda',
    'lambdacisme',
    'lambdacismes',
    'lambeau',
    'lambeaux',
    'lambel',
    'lambels',
    'lambic',
    'lambics',
    'lambin',
    'lambina',
    'lambinai',
    'lambinaient',
    'lambinais',
    'lambinait',
    'lambinant',
    'lambinas',
    'lambinasse',
    'lambinassent',
    'lambinasses',
    'lambinassiez',
    'lambine',
    'lambinent',
    'lambiner',
    'lambinera',
    'lambinerai',
    'lambinerais',
    'lambinerait',
    'lambineras',
    'lambinerez',
    'lambineriez',
    'lambinerions',
    'lambinerons',
    'lambineront',
    'lambines',
    'lambinez',
    'lambiniez',
    'lambinions',
    'lambinons',
    'lambins',
    'lambinâmes',
    'lambinât',
    'lambinâtes',
    'lambinèrent',
    'lambiné',
    'lambourde',
    'lambourdes',
    'lambrequin',
    'lambrequins',
    'lambris',
    'lambrissa',
    'lambrissage',
    'lambrissages',
    'lambrissai',
    'lambrissais',
    'lambrissait',
    'lambrissant',
    'lambrissas',
    'lambrissasse',
    'lambrisse',
    'lambrissent',
    'lambrisser',
    'lambrissera',
    'lambrisserai',
    'lambrisseras',
    'lambrisserez',
    'lambrisses',
    'lambrissez',
    'lambrissiez',
    'lambrissions',
    'lambrissons',
    'lambrissâmes',
    'lambrissât',
    'lambrissâtes',
    'lambrissé',
    'lambrissée',
    'lambrissées',
    'lambrissés',
    'lambruche',
    'lambruches',
    'lambrusque',
    'lambrusques',
    'lambswool',
    'lambswools',
    'lame',
    'lamellaire',
    'lamellaires',
    'lamelle',
    'lamelles',
    'lamelleuse',
    'lamelleuses',
    'lamelleux',
    'lamelliforme',
    'lamellé',
    'lamellée',
    'lamellées',
    'lamellés',
    'lament',
    'lamenta',
    'lamentable',
    'lamentables',
    'lamentai',
    'lamentaient',
    'lamentais',
    'lamentait',
    'lamentant',
    'lamentas',
    'lamentasse',
    'lamentassent',
    'lamentasses',
    'lamentassiez',
    'lamentation',
    'lamentations',
    'lamente',
    'lamentent',
    'lamenter',
    'lamentera',
    'lamenterai',
    'lamenterais',
    'lamenterait',
    'lamenteras',
    'lamenterez',
    'lamenteriez',
    'lamenterions',
    'lamenterons',
    'lamenteront',
    'lamentes',
    'lamentez',
    'lamentiez',
    'lamentions',
    'lamento',
    'lamentons',
    'lamentos',
    'lamentâmes',
    'lamentât',
    'lamentâtes',
    'lamentèrent',
    'lamenté',
    'lamentée',
    'lamentées',
    'lamentés',
    'lamer',
    'lamera',
    'lamerai',
    'lameraient',
    'lamerais',
    'lamerait',
    'lameras',
    'lamerez',
    'lameriez',
    'lamerions',
    'lamerons',
    'lameront',
    'lames',
    'lamez',
    'lamie',
    'lamier',
    'lamiers',
    'lamies',
    'lamiez',
    'lamifié',
    'lamifiée',
    'lamifiées',
    'lamifiés',
    'lamina',
    'laminage',
    'laminages',
    'laminai',
    'laminaient',
    'laminaire',
    'laminaires',
    'laminais',
    'laminait',
    'laminant',
    'laminas',
    'laminasse',
    'laminassent',
    'laminasses',
    'laminassiez',
    'laminassions',
    'lamine',
    'laminectomie',
    'laminent',
    'laminer',
    'laminera',
    'laminerai',
    'lamineraient',
    'laminerais',
    'laminerait',
    'lamineras',
    'laminerez',
    'lamineriez',
    'laminerions',
    'laminerons',
    'lamineront',
    'lamines',
    'lamineur',
    'lamineurs',
    'lamineuse',
    'lamineuses',
    'lamineux',
    'laminez',
    'laminiez',
    'laminions',
    'laminoir',
    'laminoirs',
    'laminons',
    'laminâmes',
    'laminât',
    'laminâtes',
    'laminèrent',
    'laminé',
    'laminée',
    'laminées',
    'laminés',
    'lamions',
    'lamons',
    'lampa',
    'lampadaire',
    'lampadaires',
    'lampadophore',
    'lampai',
    'lampaient',
    'lampais',
    'lampait',
    'lampant',
    'lamparo',
    'lamparos',
    'lampas',
    'lampasse',
    'lampassent',
    'lampasses',
    'lampassiez',
    'lampassions',
    'lampassé',
    'lampassée',
    'lampassées',
    'lampassés',
    'lampe',
    'lampent',
    'lamper',
    'lampera',
    'lamperai',
    'lamperaient',
    'lamperais',
    'lamperait',
    'lamperas',
    'lamperez',
    'lamperiez',
    'lamperions',
    'lamperons',
    'lamperont',
    'lampes',
    'lampez',
    'lampiez',
    'lampion',
    'lampions',
    'lampiste',
    'lampisterie',
    'lampisteries',
    'lampistes',
    'lampons',
    'lampourde',
    'lampourdes',
    'lamprillon',
    'lamprillons',
    'lamproie',
    'lamproies',
    'lampyre',
    'lampyres',
    'lampâmes',
    'lampât',
    'lampâtes',
    'lampèrent',
    'lampé',
    'lampée',
    'lampées',
    'lampés',
    'lamâmes',
    'lamât',
    'lamâtes',
    'lamèrent',
    'lamé',
    'lamée',
    'lamées',
    'lamés',
    'lance',
    'lancement',
    'lancements',
    'lancent',
    'lancer',
    'lancera',
    'lancerai',
    'lanceraient',
    'lancerais',
    'lancerait',
    'lanceras',
    'lancerez',
    'lanceriez',
    'lancerions',
    'lancerons',
    'lanceront',
    'lancers',
    'lances',
    'lancette',
    'lancettes',
    'lanceur',
    'lanceurs',
    'lanceuse',
    'lanceuses',
    'lancez',
    'lancier',
    'lanciers',
    'lanciez',
    'lancina',
    'lancinai',
    'lancinaient',
    'lancinais',
    'lancinait',
    'lancinant',
    'lancinante',
    'lancinantes',
    'lancinants',
    'lancinas',
    'lancinasse',
    'lancinassent',
    'lancinasses',
    'lancinassiez',
    'lancine',
    'lancinent',
    'lanciner',
    'lancinera',
    'lancinerai',
    'lancinerais',
    'lancinerait',
    'lancineras',
    'lancinerez',
    'lancineriez',
    'lancinerions',
    'lancinerons',
    'lancineront',
    'lancines',
    'lancinez',
    'lanciniez',
    'lancinions',
    'lancinons',
    'lancinâmes',
    'lancinât',
    'lancinâtes',
    'lancinèrent',
    'lanciné',
    'lancinée',
    'lancinées',
    'lancinés',
    'lancions',
    'lancèrent',
    'lancé',
    'lancée',
    'lancées',
    'lancéolé',
    'lancéolée',
    'lancéolées',
    'lancéolés',
    'lancés',
    'land',
    'landais',
    'landaise',
    'landaises',
    'landau',
    'landaulet',
    'landaulets',
    'landaus',
    'lande',
    'landes',
    'landgrave',
    'landgraves',
    'landgraviat',
    'landgraviats',
    'landier',
    'landiers',
    'landsturm',
    'landsturms',
    'langage',
    'langages',
    'langagier',
    'langagiers',
    'langagière',
    'langagières',
    'lange',
    'langea',
    'langeai',
    'langeaient',
    'langeais',
    'langeait',
    'langeant',
    'langeas',
    'langeasse',
    'langeassent',
    'langeasses',
    'langeassiez',
    'langeassions',
    'langent',
    'langeons',
    'langer',
    'langera',
    'langerai',
    'langeraient',
    'langerais',
    'langerait',
    'langeras',
    'langerez',
    'langeriez',
    'langerions',
    'langerons',
    'langeront',
    'langes',
    'langez',
    'langeâmes',
    'langeât',
    'langeâtes',
    'langiez',
    'langions',
    'langoureuse',
    'langoureuses',
    'langoureux',
    'langouste',
    'langoustes',
    'langoustier',
    'langoustiers',
    'langoustine',
    'langoustines',
    'langoustière',
    'langue',
    'langues',
    'languette',
    'languettes',
    'langueur',
    'langueurs',
    'langueya',
    'langueyage',
    'langueyages',
    'langueyai',
    'langueyaient',
    'langueyais',
    'langueyait',
    'langueyant',
    'langueyas',
    'langueyasse',
    'langueyasses',
    'langueye',
    'langueyent',
    'langueyer',
    'langueyera',
    'langueyerai',
    'langueyerais',
    'langueyerait',
    'langueyeras',
    'langueyerez',
    'langueyeriez',
    'langueyerons',
    'langueyeront',
    'langueyes',
    'langueyez',
    'langueyiez',
    'langueyions',
    'langueyons',
    'langueyâmes',
    'langueyât',
    'langueyâtes',
    'langueyèrent',
    'langueyé',
    'langueyée',
    'langueyées',
    'langueyés',
    'langui',
    'languide',
    'languides',
    'languie',
    'languier',
    'languiers',
    'languies',
    'languir',
    'languira',
    'languirai',
    'languiraient',
    'languirais',
    'languirait',
    'languiras',
    'languirent',
    'languirez',
    'languiriez',
    'languirions',
    'languirons',
    'languiront',
    'languis',
    'languissais',
    'languissait',
    'languissant',
    'languissante',
    'languissants',
    'languisse',
    'languissent',
    'languisses',
    'languissez',
    'languissiez',
    'languissions',
    'languissons',
    'languit',
    'languîmes',
    'languît',
    'languîtes',
    'langèrent',
    'langé',
    'langée',
    'langées',
    'langés',
    'lanice',
    'lanices',
    'lanier',
    'laniers',
    'lanifère',
    'lanifères',
    'lanigère',
    'lanigères',
    'lanière',
    'lanières',
    'lanlaire',
    'lanoline',
    'lanolines',
    'lansquenet',
    'lansquenets',
    'lantanier',
    'lantaniers',
    'lanterna',
    'lanternai',
    'lanternaient',
    'lanternais',
    'lanternait',
    'lanternant',
    'lanternas',
    'lanternasse',
    'lanternasses',
    'lanterne',
    'lanterneau',
    'lanterneaux',
    'lanternent',
    'lanterner',
    'lanternera',
    'lanternerai',
    'lanternerais',
    'lanternerait',
    'lanterneras',
    'lanternerez',
    'lanterneriez',
    'lanternerons',
    'lanterneront',
    'lanternes',
    'lanternez',
    'lanterniez',
    'lanternions',
    'lanternon',
    'lanternons',
    'lanternâmes',
    'lanternât',
    'lanternâtes',
    'lanternèrent',
    'lanterné',
    'lanternée',
    'lanternées',
    'lanternés',
    'lanthane',
    'lanthanes',
    'lanugineuse',
    'lanugineuses',
    'lanugineux',
    'lança',
    'lançage',
    'lançages',
    'lançai',
    'lançaient',
    'lançais',
    'lançait',
    'lançant',
    'lanças',
    'lançasse',
    'lançassent',
    'lançasses',
    'lançassiez',
    'lançassions',
    'lançon',
    'lançons',
    'lançâmes',
    'lançât',
    'lançâtes',
    'laotien',
    'laotienne',
    'laotiennes',
    'laotiens',
    'lapa',
    'lapai',
    'lapaient',
    'lapais',
    'lapait',
    'lapalissade',
    'lapalissades',
    'lapant',
    'lapas',
    'lapasse',
    'lapassent',
    'lapasses',
    'lapassiez',
    'lapassions',
    'lape',
    'lapement',
    'lapements',
    'lapent',
    'laper',
    'lapera',
    'laperai',
    'laperaient',
    'laperais',
    'laperait',
    'laperas',
    'lapereau',
    'lapereaux',
    'laperez',
    'laperiez',
    'laperions',
    'laperons',
    'laperont',
    'lapes',
    'lapez',
    'lapiaz',
    'lapicide',
    'lapicides',
    'lapida',
    'lapidai',
    'lapidaient',
    'lapidaire',
    'lapidaires',
    'lapidais',
    'lapidait',
    'lapidant',
    'lapidas',
    'lapidasse',
    'lapidassent',
    'lapidasses',
    'lapidassiez',
    'lapidassions',
    'lapidation',
    'lapidations',
    'lapide',
    'lapident',
    'lapider',
    'lapidera',
    'lapiderai',
    'lapideraient',
    'lapiderais',
    'lapiderait',
    'lapideras',
    'lapiderez',
    'lapideriez',
    'lapiderions',
    'lapiderons',
    'lapideront',
    'lapides',
    'lapidez',
    'lapidiez',
    'lapidifier',
    'lapidions',
    'lapidons',
    'lapidâmes',
    'lapidât',
    'lapidâtes',
    'lapidèrent',
    'lapidé',
    'lapidée',
    'lapidées',
    'lapidés',
    'lapiez',
    'lapilli',
    'lapin',
    'lapine',
    'lapiner',
    'lapines',
    'lapinisme',
    'lapinismes',
    'lapinière',
    'lapinières',
    'lapins',
    'lapions',
    'lapis',
    'laplacien',
    'lapone',
    'lapones',
    'lapons',
    'laps',
    'lapsus',
    'laptot',
    'laptots',
    'lapâmes',
    'lapât',
    'lapâtes',
    'lapèrent',
    'lapé',
    'lapée',
    'lapées',
    'lapés',
    'laqua',
    'laquage',
    'laquages',
    'laquai',
    'laquaient',
    'laquais',
    'laquait',
    'laquant',
    'laquante',
    'laquantes',
    'laquants',
    'laquas',
    'laquasse',
    'laquassent',
    'laquasses',
    'laquassiez',
    'laquassions',
    'laque',
    'laquelle',
    'laquent',
    'laquer',
    'laquera',
    'laquerai',
    'laqueraient',
    'laquerais',
    'laquerait',
    'laqueras',
    'laquerez',
    'laqueriez',
    'laquerions',
    'laquerons',
    'laqueront',
    'laques',
    'laqueur',
    'laqueurs',
    'laqueuse',
    'laqueuses',
    'laqueux',
    'laquez',
    'laquiez',
    'laquions',
    'laquons',
    'laquâmes',
    'laquât',
    'laquâtes',
    'laquèrent',
    'laqué',
    'laquée',
    'laquées',
    'laqués',
    'laraire',
    'laraires',
    'larbin',
    'larbins',
    'larcin',
    'larcins',
    'lard',
    'larda',
    'lardai',
    'lardaient',
    'lardais',
    'lardait',
    'lardant',
    'lardas',
    'lardasse',
    'lardassent',
    'lardasses',
    'lardassiez',
    'lardassions',
    'larde',
    'lardent',
    'larder',
    'lardera',
    'larderai',
    'larderaient',
    'larderais',
    'larderait',
    'larderas',
    'larderez',
    'larderiez',
    'larderions',
    'larderons',
    'larderont',
    'lardes',
    'lardez',
    'lardiez',
    'lardions',
    'lardoire',
    'lardoires',
    'lardon',
    'lardonna',
    'lardonnai',
    'lardonnaient',
    'lardonnais',
    'lardonnait',
    'lardonnant',
    'lardonnas',
    'lardonnasse',
    'lardonnasses',
    'lardonne',
    'lardonnent',
    'lardonner',
    'lardonnera',
    'lardonnerai',
    'lardonnerais',
    'lardonnerait',
    'lardonneras',
    'lardonnerez',
    'lardonneriez',
    'lardonnerons',
    'lardonneront',
    'lardonnes',
    'lardonnez',
    'lardonniez',
    'lardonnions',
    'lardonnons',
    'lardonnâmes',
    'lardonnât',
    'lardonnâtes',
    'lardonnèrent',
    'lardonné',
    'lardonnée',
    'lardonnées',
    'lardonnés',
    'lardons',
    'lards',
    'lardâmes',
    'lardât',
    'lardâtes',
    'lardèrent',
    'lardé',
    'lardée',
    'lardées',
    'lardés',
    'largable',
    'largables',
    'largage',
    'largages',
    'large',
    'largement',
    'larges',
    'largesse',
    'largesses',
    'largeur',
    'largeurs',
    'larghetto',
    'larghettos',
    'largo',
    'largos',
    'largua',
    'larguai',
    'larguaient',
    'larguais',
    'larguait',
    'larguant',
    'larguas',
    'larguasse',
    'larguassent',
    'larguasses',
    'larguassiez',
    'larguassions',
    'largue',
    'larguent',
    'larguer',
    'larguera',
    'larguerai',
    'largueraient',
    'larguerais',
    'larguerait',
    'largueras',
    'larguerez',
    'largueriez',
    'larguerions',
    'larguerons',
    'largueront',
    'largues',
    'larguez',
    'larguiez',
    'larguions',
    'larguons',
    'larguâmes',
    'larguât',
    'larguâtes',
    'larguèrent',
    'largué',
    'larguée',
    'larguées',
    'largués',
    'larigot',
    'larigots',
    'larme',
    'larmes',
    'larmier',
    'larmiers',
    'larmoie',
    'larmoiement',
    'larmoient',
    'larmoiera',
    'larmoierai',
    'larmoierais',
    'larmoierait',
    'larmoieras',
    'larmoierez',
    'larmoieriez',
    'larmoierions',
    'larmoierons',
    'larmoieront',
    'larmoies',
    'larmoya',
    'larmoyai',
    'larmoyaient',
    'larmoyais',
    'larmoyait',
    'larmoyant',
    'larmoyante',
    'larmoyantes',
    'larmoyants',
    'larmoyas',
    'larmoyasse',
    'larmoyassent',
    'larmoyasses',
    'larmoyassiez',
    'larmoyer',
    'larmoyez',
    'larmoyiez',
    'larmoyions',
    'larmoyons',
    'larmoyâmes',
    'larmoyât',
    'larmoyâtes',
    'larmoyèrent',
    'larmoyé',
    'larmoyée',
    'larmoyées',
    'larmoyés',
    'larron',
    'larrons',
    'larvaire',
    'larvaires',
    'larve',
    'larves',
    'larvicide',
    'larvicides',
    'larvé',
    'larvée',
    'larvées',
    'larvés',
    'laryngien',
    'laryngienne',
    'laryngiennes',
    'laryngiens',
    'laryngite',
    'laryngites',
    'laryngologie',
    'laryngologue',
    'laryngoscope',
    'laryngé',
    'laryngée',
    'laryngées',
    'laryngés',
    'larynx',
    'lasagne',
    'lasagnes',
    'lascar',
    'lascars',
    'lascif',
    'lascifs',
    'lascive',
    'lascivement',
    'lascives',
    'lasciveté',
    'lascivetés',
    'lascivité',
    'lascivités',
    'laser',
    'lasers',
    'lassa',
    'lassai',
    'lassaient',
    'lassais',
    'lassait',
    'lassant',
    'lassante',
    'lassantes',
    'lassants',
    'lassas',
    'lassasse',
    'lassassent',
    'lassasses',
    'lassassiez',
    'lassassions',
    'lasse',
    'lassent',
    'lasser',
    'lassera',
    'lasserai',
    'lasseraient',
    'lasserais',
    'lasserait',
    'lasseras',
    'lasserez',
    'lasseriez',
    'lasserions',
    'lasserons',
    'lasseront',
    'lasses',
    'lassez',
    'lassiez',
    'lassions',
    'lassis',
    'lassitude',
    'lassitudes',
    'lasso',
    'lassons',
    'lassos',
    'lassâmes',
    'lassât',
    'lassâtes',
    'lassèrent',
    'lassé',
    'lassée',
    'lassées',
    'lassés',
    'lastex',
    'lasting',
    'lastings',
    'latanier',
    'lataniers',
    'latence',
    'latences',
    'latent',
    'latente',
    'latentes',
    'latents',
    'latex',
    'laticifère',
    'laticifères',
    'laticlave',
    'laticlaves',
    'latifolié',
    'latifoliée',
    'latifoliées',
    'latifoliés',
    'latifundium',
    'latifundiums',
    'latin',
    'latine',
    'latines',
    'latinisa',
    'latinisai',
    'latinisaient',
    'latinisais',
    'latinisait',
    'latinisant',
    'latinisas',
    'latinisasse',
    'latinisasses',
    'latinisation',
    'latinise',
    'latinisent',
    'latiniser',
    'latinisera',
    'latiniserai',
    'latiniserais',
    'latiniserait',
    'latiniseras',
    'latiniserez',
    'latiniseriez',
    'latiniserons',
    'latiniseront',
    'latinises',
    'latinisez',
    'latinisiez',
    'latinisions',
    'latinisme',
    'latinismes',
    'latinisons',
    'latiniste',
    'latinistes',
    'latinisâmes',
    'latinisât',
    'latinisâtes',
    'latinisèrent',
    'latinisé',
    'latinisée',
    'latinisées',
    'latinisés',
    'latinité',
    'latinités',
    'latins',
    'latitude',
    'latitudes',
    'latomies',
    'latrie',
    'latries',
    'latrines',
    'latta',
    'lattage',
    'lattages',
    'lattai',
    'lattaient',
    'lattais',
    'lattait',
    'lattant',
    'lattas',
    'lattasse',
    'lattassent',
    'lattasses',
    'lattassiez',
    'lattassions',
    'latte',
    'lattent',
    'latter',
    'lattera',
    'latterai',
    'latteraient',
    'latterais',
    'latterait',
    'latteras',
    'latterez',
    'latteriez',
    'latterions',
    'latterons',
    'latteront',
    'lattes',
    'lattez',
    'lattiez',
    'lattions',
    'lattis',
    'lattons',
    'lattâmes',
    'lattât',
    'lattâtes',
    'lattèrent',
    'latté',
    'lattée',
    'lattées',
    'lattés',
    'latéral',
    'latérale',
    'latéralement',
    'latérales',
    'latéralité',
    'latéralités',
    'latéraux',
    'latérite',
    'latérites',
    'latéritique',
    'latéritiques',
    'laudanum',
    'laudanums',
    'laudateur',
    'laudateurs',
    'laudatif',
    'laudatifs',
    'laudative',
    'laudatives',
    'laudatrice',
    'laudatrices',
    'laudes',
    'laurence',
    'laurier',
    'lauriers',
    'lauré',
    'lauréat',
    'lauréate',
    'lauréates',
    'lauréats',
    'laurée',
    'laurées',
    'laurés',
    'lava',
    'lavable',
    'lavables',
    'lavabo',
    'lavabos',
    'lavage',
    'lavages',
    'lavai',
    'lavaient',
    'lavais',
    'lavait',
    'lavallière',
    'lavallières',
    'lavande',
    'lavandes',
    'lavandin',
    'lavandins',
    'lavandière',
    'lavandières',
    'lavant',
    'lavaret',
    'lavarets',
    'lavas',
    'lavasse',
    'lavassent',
    'lavasses',
    'lavassiez',
    'lavassions',
    'lavatories',
    'lavatory',
    'lave',
    'lavement',
    'lavements',
    'lavent',
    'laver',
    'lavera',
    'laverai',
    'laveraient',
    'laverais',
    'laverait',
    'laveras',
    'laverez',
    'laverie',
    'laveries',
    'laveriez',
    'laverions',
    'laverons',
    'laveront',
    'laves',
    'lavette',
    'lavettes',
    'laveur',
    'laveurs',
    'laveuse',
    'laveuses',
    'lavez',
    'laviez',
    'lavions',
    'lavis',
    'lavoir',
    'lavoirs',
    'lavons',
    'lavure',
    'lavures',
    'lavâmes',
    'lavât',
    'lavâtes',
    'lavèrent',
    'lavé',
    'lavée',
    'lavées',
    'lavés',
    'lawrencium',
    'lawrenciums',
    'laxatif',
    'laxatifs',
    'laxative',
    'laxatives',
    'laxisme',
    'laxismes',
    'laxiste',
    'laxistes',
    'laxité',
    'laxités',
    'laya',
    'layai',
    'layaient',
    'layais',
    'layait',
    'layant',
    'layas',
    'layasse',
    'layassent',
    'layasses',
    'layassiez',
    'layassions',
    'laye',
    'layent',
    'layer',
    'layera',
    'layerai',
    'layeraient',
    'layerais',
    'layerait',
    'layeras',
    'layerez',
    'layeriez',
    'layerions',
    'layerons',
    'layeront',
    'layes',
    'layetier',
    'layetiers',
    'layette',
    'layettes',
    'layez',
    'layiez',
    'layions',
    'layon',
    'layons',
    'layâmes',
    'layât',
    'layâtes',
    'layèrent',
    'layé',
    'layée',
    'layées',
    'layés',
    'lazaret',
    'lazarets',
    'lazariste',
    'lazaristes',
    'lazulite',
    'lazulites',
    'lazurite',
    'lazurites',
    'lazzarone',
    'lazzaroni',
    'lazzi',
    'lazzis',
    'laça',
    'laçage',
    'laçages',
    'laçai',
    'laçaient',
    'laçais',
    'laçait',
    'laçant',
    'laças',
    'laçasse',
    'laçassent',
    'laçasses',
    'laçassiez',
    'laçassions',
    'laçons',
    'laçâmes',
    'laçât',
    'laçâtes',
    'laîche',
    'laîches',
    'laïc',
    'laïcat',
    'laïcats',
    'laïcisa',
    'laïcisai',
    'laïcisaient',
    'laïcisais',
    'laïcisait',
    'laïcisant',
    'laïcisas',
    'laïcisasse',
    'laïcisassent',
    'laïcisasses',
    'laïcisassiez',
    'laïcisation',
    'laïcisations',
    'laïcise',
    'laïcisent',
    'laïciser',
    'laïcisera',
    'laïciserai',
    'laïciserais',
    'laïciserait',
    'laïciseras',
    'laïciserez',
    'laïciseriez',
    'laïciserions',
    'laïciserons',
    'laïciseront',
    'laïcises',
    'laïcisez',
    'laïcisiez',
    'laïcisions',
    'laïcisme',
    'laïcismes',
    'laïcisons',
    'laïcisâmes',
    'laïcisât',
    'laïcisâtes',
    'laïcisèrent',
    'laïcisé',
    'laïcisée',
    'laïcisées',
    'laïcisés',
    'laïcité',
    'laïcités',
    'laïcs',
    'laïque',
    'laïques',
    'laïus',
    'laïusser',
    'laïusseur',
    'laïusseurs',
    'laïusseuse',
    'laïusseuses',
    'leader',
    'leaders',
    'leadership',
    'leaderships',
    'leasing',
    'leasings',
    'lebel',
    'lebels',
    'lecteur',
    'lecteurs',
    'lectorat',
    'lectorats',
    'lectrice',
    'lectrices',
    'lecture',
    'lectures',
    'ledit',
    'legato',
    'leggings',
    'leggins',
    'leghorn',
    'leghorns',
    'legs',
    'leishmanie',
    'leishmanies',
    'leishmaniose',
    'leitmotiv',
    'leitmotive',
    'leitmotivs',
    'lemme',
    'lemmes',
    'lemming',
    'lemmings',
    'lendemain',
    'lendemains',
    'lendit',
    'lendits',
    'lent',
    'lente',
    'lentement',
    'lentes',
    'lenteur',
    'lenteurs',
    'lenticelle',
    'lenticelles',
    'lenticulaire',
    'lentiforme',
    'lentiformes',
    'lentigine',
    'lentigines',
    'lentigo',
    'lentigos',
    'lentille',
    'lentilles',
    'lentillon',
    'lentillons',
    'lentisque',
    'lentisques',
    'lento',
    'lentos',
    'lents',
    'leptocéphale',
    'leptospirose',
    'lepture',
    'leptures',
    'lequel',
    'lerche',
    'lesbianisme',
    'lesbianismes',
    'lesbien',
    'lesbienne',
    'lesbiennes',
    'lesbiens',
    'lesdites',
    'lesdits',
    'lesquelles',
    'lesquels',
    'lessiva',
    'lessivable',
    'lessivables',
    'lessivage',
    'lessivages',
    'lessivai',
    'lessivaient',
    'lessivais',
    'lessivait',
    'lessivant',
    'lessivas',
    'lessivasse',
    'lessivassent',
    'lessivasses',
    'lessivassiez',
    'lessive',
    'lessivent',
    'lessiver',
    'lessivera',
    'lessiverai',
    'lessiverais',
    'lessiverait',
    'lessiveras',
    'lessiverez',
    'lessiveriez',
    'lessiverions',
    'lessiverons',
    'lessiveront',
    'lessives',
    'lessiveuse',
    'lessiveuses',
    'lessivez',
    'lessiviel',
    'lessivielle',
    'lessivielles',
    'lessiviels',
    'lessiviez',
    'lessivions',
    'lessivons',
    'lessivâmes',
    'lessivât',
    'lessivâtes',
    'lessivèrent',
    'lessivé',
    'lessivée',
    'lessivées',
    'lessivés',
    'lest',
    'lesta',
    'lestage',
    'lestages',
    'lestai',
    'lestaient',
    'lestais',
    'lestait',
    'lestant',
    'lestas',
    'lestasse',
    'lestassent',
    'lestasses',
    'lestassiez',
    'lestassions',
    'leste',
    'lestement',
    'lestent',
    'lester',
    'lestera',
    'lesterai',
    'lesteraient',
    'lesterais',
    'lesterait',
    'lesteras',
    'lesterez',
    'lesteriez',
    'lesterions',
    'lesterons',
    'lesteront',
    'lestes',
    'lestez',
    'lestiez',
    'lestions',
    'lestons',
    'lests',
    'lestâmes',
    'lestât',
    'lestâtes',
    'lestèrent',
    'lesté',
    'lestée',
    'lestées',
    'lestés',
    'letchi',
    'letchis',
    'lettone',
    'lettones',
    'lettonne',
    'lettonnes',
    'lettrage',
    'lettrages',
    'lettre',
    'lettres',
    'lettrine',
    'lettrines',
    'lettrisme',
    'lettrismes',
    'lettré',
    'lettrée',
    'lettrées',
    'lettrés',
    'leucanie',
    'leucanies',
    'leucine',
    'leucines',
    'leucite',
    'leucites',
    'leucocytaire',
    'leucocyte',
    'leucocytes',
    'leucocytose',
    'leucocytoses',
    'leucome',
    'leucomes',
    'leucoplasie',
    'leucoplasies',
    'leucopénie',
    'leucopénies',
    'leucorrhée',
    'leucorrhées',
    'leucose',
    'leucoses',
    'leucotomie',
    'leucotomies',
    'leucémie',
    'leucémies',
    'leucémique',
    'leucémiques',
    'leude',
    'leudes',
    'leur',
    'leurra',
    'leurrai',
    'leurraient',
    'leurrais',
    'leurrait',
    'leurrant',
    'leurras',
    'leurrasse',
    'leurrassent',
    'leurrasses',
    'leurrassiez',
    'leurrassions',
    'leurre',
    'leurrent',
    'leurrer',
    'leurrera',
    'leurrerai',
    'leurreraient',
    'leurrerais',
    'leurrerait',
    'leurreras',
    'leurrerez',
    'leurreriez',
    'leurrerions',
    'leurrerons',
    'leurreront',
    'leurres',
    'leurrez',
    'leurriez',
    'leurrions',
    'leurrons',
    'leurrâmes',
    'leurrât',
    'leurrâtes',
    'leurrèrent',
    'leurré',
    'leurrée',
    'leurrées',
    'leurrés',
    'leurs',
    'leva',
    'levage',
    'levages',
    'levai',
    'levaient',
    'levain',
    'levains',
    'levais',
    'levait',
    'levant',
    'levantin',
    'levantine',
    'levantines',
    'levantins',
    'levas',
    'levasse',
    'levassent',
    'levasses',
    'levassiez',
    'levassions',
    'lever',
    'levers',
    'levez',
    'levier',
    'leviers',
    'leviez',
    'levions',
    'levons',
    'levraut',
    'levrauts',
    'levretta',
    'levrettai',
    'levrettaient',
    'levrettais',
    'levrettait',
    'levrettant',
    'levrettas',
    'levrettasse',
    'levrettasses',
    'levrette',
    'levrettent',
    'levretter',
    'levrettera',
    'levretterai',
    'levretterais',
    'levretterait',
    'levretteras',
    'levretterez',
    'levretteriez',
    'levretterons',
    'levretteront',
    'levrettes',
    'levrettez',
    'levrettiez',
    'levrettions',
    'levrettons',
    'levrettâmes',
    'levrettât',
    'levrettâtes',
    'levrettèrent',
    'levretté',
    'levrettée',
    'levrettées',
    'levrettés',
    'levron',
    'levronne',
    'levronnes',
    'levrons',
    'levure',
    'levures',
    'levâmes',
    'levât',
    'levâtes',
    'levèrent',
    'levé',
    'levée',
    'levées',
    'levés',
    'lexical',
    'lexicale',
    'lexicales',
    'lexicalisa',
    'lexicalisai',
    'lexicalisais',
    'lexicalisait',
    'lexicalisant',
    'lexicalisas',
    'lexicalise',
    'lexicalisent',
    'lexicaliser',
    'lexicalisera',
    'lexicalises',
    'lexicalisez',
    'lexicalisiez',
    'lexicalisons',
    'lexicalisât',
    'lexicalisé',
    'lexicalisée',
    'lexicalisées',
    'lexicalisés',
    'lexicaux',
    'lexicographe',
    'lexicologie',
    'lexicologies',
    'lexicologue',
    'lexicologues',
    'lexie',
    'lexies',
    'lexique',
    'lexiques',
    'lexis',
    'lexème',
    'lexèmes',
    'leçon',
    'leçons',
    'liage',
    'liages',
    'liai',
    'liaient',
    'liais',
    'liaison',
    'liaisonna',
    'liaisonnai',
    'liaisonnais',
    'liaisonnait',
    'liaisonnant',
    'liaisonnas',
    'liaisonnasse',
    'liaisonne',
    'liaisonnent',
    'liaisonner',
    'liaisonnera',
    'liaisonnerai',
    'liaisonneras',
    'liaisonnerez',
    'liaisonnes',
    'liaisonnez',
    'liaisonniez',
    'liaisonnions',
    'liaisonnons',
    'liaisonnâmes',
    'liaisonnât',
    'liaisonnâtes',
    'liaisonné',
    'liaisonnée',
    'liaisonnées',
    'liaisonnés',
    'liaisons',
    'liait',
    'liane',
    'lianes',
    'liant',
    'liante',
    'liantes',
    'liants',
    'liard',
    'liarda',
    'liardai',
    'liardaient',
    'liardais',
    'liardait',
    'liardant',
    'liardas',
    'liardasse',
    'liardassent',
    'liardasses',
    'liardassiez',
    'liardassions',
    'liarde',
    'liardent',
    'liarder',
    'liardera',
    'liarderai',
    'liarderaient',
    'liarderais',
    'liarderait',
    'liarderas',
    'liarderez',
    'liarderiez',
    'liarderions',
    'liarderons',
    'liarderont',
    'liardes',
    'liardez',
    'liardiez',
    'liardions',
    'liardons',
    'liards',
    'liardâmes',
    'liardât',
    'liardâtes',
    'liardèrent',
    'liardé',
    'lias',
    'liasique',
    'liasiques',
    'liasse',
    'liassent',
    'liasses',
    'liassiez',
    'liassions',
    'libage',
    'libages',
    'libanais',
    'libanaise',
    'libanaises',
    'libation',
    'libations',
    'libella',
    'libellai',
    'libellaient',
    'libellais',
    'libellait',
    'libellant',
    'libellas',
    'libellasse',
    'libellassent',
    'libellasses',
    'libellassiez',
    'libelle',
    'libellent',
    'libeller',
    'libellera',
    'libellerai',
    'libellerais',
    'libellerait',
    'libelleras',
    'libellerez',
    'libelleriez',
    'libellerions',
    'libellerons',
    'libelleront',
    'libelles',
    'libellez',
    'libelliez',
    'libellions',
    'libelliste',
    'libellistes',
    'libellons',
    'libellule',
    'libellules',
    'libellâmes',
    'libellât',
    'libellâtes',
    'libellèrent',
    'libellé',
    'libellée',
    'libellées',
    'libellés',
    'liber',
    'libers',
    'libertaire',
    'libertaires',
    'liberticide',
    'liberticides',
    'libertin',
    'libertinage',
    'libertinages',
    'libertine',
    'libertines',
    'libertins',
    'liberty',
    'liberté',
    'libertés',
    'libidinal',
    'libidinale',
    'libidinales',
    'libidinaux',
    'libidineuse',
    'libidineuses',
    'libidineux',
    'libido',
    'libidos',
    'libraire',
    'libraires',
    'librairie',
    'librairies',
    'libration',
    'librations',
    'libre',
    'librement',
    'libres',
    'libretti',
    'librettiste',
    'librettistes',
    'libretto',
    'librettos',
    'libyen',
    'libyenne',
    'libyennes',
    'libyens',
    'libère',
    'libèrent',
    'libères',
    'libéra',
    'libérable',
    'libérables',
    'libérai',
    'libéraient',
    'libérais',
    'libérait',
    'libéral',
    'libérale',
    'libéralement',
    'libérales',
    'libéralisa',
    'libéralisai',
    'libéralisais',
    'libéralisait',
    'libéralisant',
    'libéralisas',
    'libéralise',
    'libéralisent',
    'libéraliser',
    'libéralisera',
    'libéralises',
    'libéralisez',
    'libéralisiez',
    'libéralisme',
    'libéralismes',
    'libéralisons',
    'libéralisât',
    'libéralisé',
    'libéralisée',
    'libéralisées',
    'libéralisés',
    'libéralité',
    'libéralités',
    'libérant',
    'libéras',
    'libérasse',
    'libérassent',
    'libérasses',
    'libérassiez',
    'libérassions',
    'libérateur',
    'libérateurs',
    'libération',
    'libérations',
    'libératoire',
    'libératoires',
    'libératrice',
    'libératrices',
    'libéraux',
    'libérer',
    'libérera',
    'libérerai',
    'libéreraient',
    'libérerais',
    'libérerait',
    'libéreras',
    'libérerez',
    'libéreriez',
    'libérerions',
    'libérerons',
    'libéreront',
    'libérez',
    'libérien',
    'libérienne',
    'libériennes',
    'libériens',
    'libériez',
    'libérions',
    'libérons',
    'libérâmes',
    'libérât',
    'libérâtes',
    'libérèrent',
    'libéré',
    'libérée',
    'libérées',
    'libérés',
    'lice',
    'licence',
    'licences',
    'licencia',
    'licenciai',
    'licenciaient',
    'licenciais',
    'licenciait',
    'licenciant',
    'licencias',
    'licenciasse',
    'licenciasses',
    'licencie',
    'licenciement',
    'licencient',
    'licencier',
    'licenciera',
    'licencierai',
    'licencierais',
    'licencierait',
    'licencieras',
    'licencierez',
    'licencieriez',
    'licencierons',
    'licencieront',
    'licencies',
    'licencieuse',
    'licencieuses',
    'licencieux',
    'licenciez',
    'licenciiez',
    'licenciions',
    'licencions',
    'licenciâmes',
    'licenciât',
    'licenciâtes',
    'licencièrent',
    'licencié',
    'licenciée',
    'licenciées',
    'licenciés',
    'lices',
    'licha',
    'lichai',
    'lichaient',
    'lichais',
    'lichait',
    'lichant',
    'lichas',
    'lichasse',
    'lichassent',
    'lichasses',
    'lichassiez',
    'lichassions',
    'liche',
    'lichen',
    'lichens',
    'lichent',
    'licher',
    'lichera',
    'licherai',
    'licheraient',
    'licherais',
    'licherait',
    'licheras',
    'licherez',
    'licheriez',
    'licherions',
    'licherons',
    'licheront',
    'liches',
    'lichette',
    'lichettes',
    'lichez',
    'lichiez',
    'lichions',
    'lichons',
    'lichâmes',
    'lichât',
    'lichâtes',
    'lichèrent',
    'liché',
    'lichée',
    'lichées',
    'lichés',
    'licier',
    'liciers',
    'licita',
    'licitai',
    'licitaient',
    'licitais',
    'licitait',
    'licitant',
    'licitas',
    'licitasse',
    'licitassent',
    'licitasses',
    'licitassiez',
    'licitassions',
    'licitation',
    'licitations',
    'licite',
    'licitement',
    'licitent',
    'liciter',
    'licitera',
    'liciterai',
    'liciteraient',
    'liciterais',
    'liciterait',
    'liciteras',
    'liciterez',
    'liciteriez',
    'liciterions',
    'liciterons',
    'liciteront',
    'licites',
    'licitez',
    'licitiez',
    'licitions',
    'licitons',
    'licitâmes',
    'licitât',
    'licitâtes',
    'licitèrent',
    'licité',
    'licitée',
    'licitées',
    'licités',
    'licol',
    'licols',
    'licorne',
    'licornes',
    'licou',
    'licous',
    'licteur',
    'licteurs',
    'lido',
    'lidos',
    'lied',
    'lieder',
    'lieds',
    'lien',
    'liens',
    'lient',
    'lier',
    'liera',
    'lierai',
    'lieraient',
    'lierais',
    'lierait',
    'lieras',
    'lierez',
    'lieriez',
    'lierions',
    'lierne',
    'liernes',
    'lierons',
    'lieront',
    'lierre',
    'lierres',
    'lies',
    'liesse',
    'liesses',
    'lieu',
    'lieudit',
    'lieudits',
    'lieue',
    'lieues',
    'lieur',
    'lieurs',
    'lieus',
    'lieuse',
    'lieuses',
    'lieutenance',
    'lieutenances',
    'lieutenant',
    'lieutenants',
    'lieux',
    'liez',
    'lift',
    'lifta',
    'liftai',
    'liftaient',
    'liftais',
    'liftait',
    'liftant',
    'liftas',
    'liftasse',
    'liftassent',
    'liftasses',
    'liftassiez',
    'liftassions',
    'lifte',
    'liftent',
    'lifter',
    'liftera',
    'lifterai',
    'lifteraient',
    'lifterais',
    'lifterait',
    'lifteras',
    'lifterez',
    'lifteriez',
    'lifterions',
    'lifterons',
    'lifteront',
    'liftes',
    'liftez',
    'liftier',
    'liftiers',
    'liftiez',
    'lifting',
    'liftings',
    'liftions',
    'liftière',
    'liftières',
    'liftons',
    'lifts',
    'liftâmes',
    'liftât',
    'liftâtes',
    'liftèrent',
    'lifté',
    'liftée',
    'liftées',
    'liftés',
    'ligament',
    'ligamentaire',
    'ligamenteuse',
    'ligamenteux',
    'ligaments',
    'ligand',
    'ligands',
    'ligatura',
    'ligaturai',
    'ligaturaient',
    'ligaturais',
    'ligaturait',
    'ligaturant',
    'ligaturas',
    'ligaturasse',
    'ligaturasses',
    'ligature',
    'ligaturent',
    'ligaturer',
    'ligaturera',
    'ligaturerai',
    'ligaturerais',
    'ligaturerait',
    'ligatureras',
    'ligaturerez',
    'ligatureriez',
    'ligaturerons',
    'ligatureront',
    'ligatures',
    'ligaturez',
    'ligaturiez',
    'ligaturions',
    'ligaturons',
    'ligaturâmes',
    'ligaturât',
    'ligaturâtes',
    'ligaturèrent',
    'ligaturé',
    'ligaturée',
    'ligaturées',
    'ligaturés',
    'lige',
    'liges',
    'ligie',
    'ligies',
    'ligna',
    'lignage',
    'lignages',
    'lignai',
    'lignaient',
    'lignais',
    'lignait',
    'lignant',
    'lignard',
    'lignards',
    'lignas',
    'lignasse',
    'lignassent',
    'lignasses',
    'lignassiez',
    'lignassions',
    'ligne',
    'lignent',
    'ligner',
    'lignera',
    'lignerai',
    'ligneraient',
    'lignerais',
    'lignerait',
    'ligneras',
    'lignerez',
    'ligneriez',
    'lignerions',
    'lignerolle',
    'lignerolles',
    'lignerons',
    'ligneront',
    'lignes',
    'ligneul',
    'ligneuls',
    'ligneuse',
    'ligneuses',
    'ligneux',
    'lignez',
    'lignicole',
    'lignicoles',
    'ligniez',
    'lignifia',
    'lignifiai',
    'lignifiaient',
    'lignifiais',
    'lignifiait',
    'lignifiant',
    'lignifiante',
    'lignifiantes',
    'lignifiants',
    'lignifias',
    'lignifiasse',
    'lignifiasses',
    'lignifie',
    'lignifient',
    'lignifier',
    'lignifiera',
    'lignifierai',
    'lignifierais',
    'lignifierait',
    'lignifieras',
    'lignifierez',
    'lignifieriez',
    'lignifierons',
    'lignifieront',
    'lignifies',
    'lignifiez',
    'lignifiiez',
    'lignifiions',
    'lignifions',
    'lignifiâmes',
    'lignifiât',
    'lignifiâtes',
    'lignifièrent',
    'lignifié',
    'lignifiée',
    'lignifiées',
    'lignifiés',
    'lignine',
    'lignines',
    'lignions',
    'lignite',
    'lignites',
    'lignomètre',
    'lignomètres',
    'lignons',
    'lignâmes',
    'lignât',
    'lignâtes',
    'lignèrent',
    'ligné',
    'lignée',
    'lignées',
    'lignés',
    'ligot',
    'ligota',
    'ligotage',
    'ligotages',
    'ligotai',
    'ligotaient',
    'ligotais',
    'ligotait',
    'ligotant',
    'ligotas',
    'ligotasse',
    'ligotassent',
    'ligotasses',
    'ligotassiez',
    'ligotassions',
    'ligote',
    'ligotent',
    'ligoter',
    'ligotera',
    'ligoterai',
    'ligoteraient',
    'ligoterais',
    'ligoterait',
    'ligoteras',
    'ligoterez',
    'ligoteriez',
    'ligoterions',
    'ligoterons',
    'ligoteront',
    'ligotes',
    'ligotez',
    'ligotiez',
    'ligotions',
    'ligotons',
    'ligots',
    'ligotâmes',
    'ligotât',
    'ligotâtes',
    'ligotèrent',
    'ligoté',
    'ligotée',
    'ligotées',
    'ligotés',
    'ligua',
    'liguai',
    'liguaient',
    'liguais',
    'liguait',
    'liguant',
    'liguas',
    'liguasse',
    'liguassent',
    'liguasses',
    'liguassiez',
    'liguassions',
    'ligue',
    'liguent',
    'liguer',
    'liguera',
    'liguerai',
    'ligueraient',
    'liguerais',
    'liguerait',
    'ligueras',
    'liguerez',
    'ligueriez',
    'liguerions',
    'liguerons',
    'ligueront',
    'ligues',
    'ligueur',
    'ligueurs',
    'ligueuse',
    'ligueuses',
    'liguez',
    'liguiez',
    'liguions',
    'ligule',
    'ligules',
    'liguliflore',
    'liguliflores',
    'ligulé',
    'ligulée',
    'ligulées',
    'ligulés',
    'liguons',
    'ligure',
    'ligures',
    'liguâmes',
    'liguât',
    'liguâtes',
    'liguèrent',
    'ligué',
    'liguée',
    'liguées',
    'ligués',
    'liiez',
    'liions',
    'lilas',
    'liliacé',
    'liliacée',
    'liliacées',
    'liliacés',
    'lilial',
    'liliale',
    'liliales',
    'liliaux',
    'lilliputien',
    'lilliputiens',
    'lima',
    'limace',
    'limaces',
    'limage',
    'limages',
    'limai',
    'limaient',
    'limaille',
    'limailles',
    'limais',
    'limait',
    'liman',
    'limanda',
    'limandai',
    'limandaient',
    'limandais',
    'limandait',
    'limandant',
    'limandas',
    'limandasse',
    'limandassent',
    'limandasses',
    'limandassiez',
    'limande',
    'limandent',
    'limander',
    'limandera',
    'limanderai',
    'limanderais',
    'limanderait',
    'limanderas',
    'limanderez',
    'limanderiez',
    'limanderions',
    'limanderons',
    'limanderont',
    'limandes',
    'limandez',
    'limandiez',
    'limandions',
    'limandons',
    'limandâmes',
    'limandât',
    'limandâtes',
    'limandèrent',
    'limandé',
    'limandée',
    'limandées',
    'limandés',
    'limans',
    'limant',
    'limas',
    'limasse',
    'limassent',
    'limasses',
    'limassiez',
    'limassions',
    'limaçon',
    'limaçons',
    'limbaire',
    'limbaires',
    'limbe',
    'limbes',
    'lime',
    'liment',
    'limer',
    'limera',
    'limerai',
    'limeraient',
    'limerais',
    'limerait',
    'limeras',
    'limerez',
    'limerick',
    'limericks',
    'limeriez',
    'limerions',
    'limerons',
    'limeront',
    'limes',
    'limette',
    'limettes',
    'limettier',
    'limettiers',
    'limeur',
    'limeurs',
    'limeuse',
    'limeuses',
    'limez',
    'limicole',
    'limicoles',
    'limier',
    'limiers',
    'limiez',
    'liminaire',
    'liminaires',
    'liminal',
    'liminale',
    'liminales',
    'liminaux',
    'limions',
    'limita',
    'limitable',
    'limitables',
    'limitai',
    'limitaient',
    'limitais',
    'limitait',
    'limitant',
    'limitas',
    'limitasse',
    'limitassent',
    'limitasses',
    'limitassiez',
    'limitassions',
    'limitatif',
    'limitatifs',
    'limitation',
    'limitations',
    'limitative',
    'limitatives',
    'limite',
    'limitent',
    'limiter',
    'limitera',
    'limiterai',
    'limiteraient',
    'limiterais',
    'limiterait',
    'limiteras',
    'limiterez',
    'limiteriez',
    'limiterions',
    'limiterons',
    'limiteront',
    'limites',
    'limiteur',
    'limiteurs',
    'limitez',
    'limitiez',
    'limitions',
    'limitons',
    'limitrophe',
    'limitrophes',
    'limitâmes',
    'limitât',
    'limitâtes',
    'limitèrent',
    'limité',
    'limitée',
    'limitées',
    'limités',
    'limniculture',
    'limnologie',
    'limnologies',
    'limnée',
    'limnées',
    'limoge',
    'limogea',
    'limogeage',
    'limogeages',
    'limogeai',
    'limogeaient',
    'limogeais',
    'limogeait',
    'limogeant',
    'limogeas',
    'limogeasse',
    'limogeassent',
    'limogeasses',
    'limogeassiez',
    'limogent',
    'limogeons',
    'limoger',
    'limogera',
    'limogerai',
    'limogeraient',
    'limogerais',
    'limogerait',
    'limogeras',
    'limogerez',
    'limogeriez',
    'limogerions',
    'limogerons',
    'limogeront',
    'limoges',
    'limogez',
    'limogeâmes',
    'limogeât',
    'limogeâtes',
    'limogiez',
    'limogions',
    'limogèrent',
    'limogé',
    'limogée',
    'limogées',
    'limogés',
    'limon',
    'limona',
    'limonade',
    'limonades',
    'limonadier',
    'limonadiers',
    'limonadière',
    'limonadières',
    'limonage',
    'limonages',
    'limonai',
    'limonaient',
    'limonaire',
    'limonaires',
    'limonais',
    'limonait',
    'limonant',
    'limonas',
    'limonasse',
    'limonassent',
    'limonasses',
    'limonassiez',
    'limonassions',
    'limone',
    'limonent',
    'limoner',
    'limonera',
    'limonerai',
    'limoneraient',
    'limonerais',
    'limonerait',
    'limoneras',
    'limonerez',
    'limoneriez',
    'limonerions',
    'limonerons',
    'limoneront',
    'limones',
    'limoneuse',
    'limoneuses',
    'limoneux',
    'limonez',
    'limonier',
    'limoniers',
    'limoniez',
    'limonions',
    'limonite',
    'limonites',
    'limonière',
    'limonières',
    'limonons',
    'limons',
    'limonâmes',
    'limonât',
    'limonâtes',
    'limonène',
    'limonènes',
    'limonèrent',
    'limoné',
    'limonée',
    'limonées',
    'limonés',
    'limoselle',
    'limoselles',
    'limousin',
    'limousina',
    'limousinage',
    'limousinages',
    'limousinai',
    'limousinais',
    'limousinait',
    'limousinant',
    'limousinas',
    'limousinasse',
    'limousine',
    'limousinent',
    'limousiner',
    'limousinera',
    'limousinerai',
    'limousineras',
    'limousinerez',
    'limousines',
    'limousinez',
    'limousiniez',
    'limousinions',
    'limousinons',
    'limousins',
    'limousinâmes',
    'limousinât',
    'limousinâtes',
    'limousiné',
    'limousinée',
    'limousinées',
    'limousinés',
    'limpide',
    'limpides',
    'limpidité',
    'limpidités',
    'limule',
    'limules',
    'limâmes',
    'limât',
    'limâtes',
    'limèrent',
    'limé',
    'limée',
    'limées',
    'limés',
    'linaigrette',
    'linaigrettes',
    'linaire',
    'linaires',
    'linceul',
    'linceuls',
    'liner',
    'liners',
    'linette',
    'linettes',
    'linga',
    'lingam',
    'lingams',
    'lingas',
    'linge',
    'lingea',
    'lingeai',
    'lingeaient',
    'lingeais',
    'lingeait',
    'lingeant',
    'lingeas',
    'lingeasse',
    'lingeassent',
    'lingeasses',
    'lingeassiez',
    'lingeassions',
    'lingent',
    'lingeons',
    'linger',
    'lingera',
    'lingerai',
    'lingeraient',
    'lingerais',
    'lingerait',
    'lingeras',
    'lingerez',
    'lingerie',
    'lingeries',
    'lingeriez',
    'lingerions',
    'lingerons',
    'lingeront',
    'linges',
    'lingez',
    'lingeâmes',
    'lingeât',
    'lingeâtes',
    'lingiez',
    'lingions',
    'lingot',
    'lingotière',
    'lingotières',
    'lingots',
    'lingual',
    'linguale',
    'linguales',
    'linguatule',
    'linguatules',
    'linguaux',
    'linguette',
    'linguettes',
    'linguiforme',
    'linguiformes',
    'linguiste',
    'linguistes',
    'linguistique',
    'lingère',
    'lingèrent',
    'lingères',
    'lingé',
    'lingée',
    'lingées',
    'lingés',
    'linier',
    'liniers',
    'liniment',
    'liniments',
    'linière',
    'linières',
    'linkage',
    'linkages',
    'links',
    'linnéen',
    'linnéenne',
    'linnéennes',
    'linnéens',
    'lino',
    'linoléum',
    'linoléums',
    'linon',
    'linons',
    'linos',
    'linotte',
    'linottes',
    'linotype',
    'linotypes',
    'linotypie',
    'linotypies',
    'linotypiste',
    'linotypistes',
    'linsang',
    'linsangs',
    'linsoir',
    'linsoirs',
    'linteau',
    'linteaux',
    'linter',
    'linters',
    'linéaire',
    'linéairement',
    'linéaires',
    'linéal',
    'linéale',
    'linéales',
    'linéament',
    'linéaments',
    'linéarisées',
    'linéarité',
    'linéarités',
    'linéaux',
    'linéique',
    'linéiques',
    'lion',
    'lionceau',
    'lionceaux',
    'lionne',
    'lionnes',
    'lions',
    'liparis',
    'lipase',
    'lipases',
    'lipide',
    'lipides',
    'lipidique',
    'lipochrome',
    'lipochromes',
    'lipolyse',
    'lipolyses',
    'lipome',
    'lipomes',
    'lipophile',
    'lipophiles',
    'lipoprotéine',
    'liposarcome',
    'liposarcomes',
    'liposoluble',
    'liposolubles',
    'liposuccion',
    'lipothymie',
    'lipothymies',
    'lipotrope',
    'lipotropes',
    'lipovaccin',
    'lipovaccins',
    'lipoïde',
    'lipoïdes',
    'lippe',
    'lippes',
    'lippu',
    'lippue',
    'lippues',
    'lippus',
    'lippée',
    'lippées',
    'lipémie',
    'lipémies',
    'liquation',
    'liquations',
    'liquette',
    'liquettes',
    'liqueur',
    'liqueurs',
    'liquida',
    'liquidable',
    'liquidables',
    'liquidai',
    'liquidaient',
    'liquidais',
    'liquidait',
    'liquidambar',
    'liquidambars',
    'liquidant',
    'liquidas',
    'liquidasse',
    'liquidassent',
    'liquidasses',
    'liquidassiez',
    'liquidateur',
    'liquidateurs',
    'liquidatif',
    'liquidatifs',
    'liquidation',
    'liquidations',
    'liquidative',
    'liquidatives',
    'liquidatrice',
    'liquide',
    'liquident',
    'liquider',
    'liquidera',
    'liquiderai',
    'liquiderais',
    'liquiderait',
    'liquideras',
    'liquiderez',
    'liquideriez',
    'liquiderions',
    'liquiderons',
    'liquideront',
    'liquides',
    'liquidez',
    'liquidien',
    'liquidienne',
    'liquidiennes',
    'liquidiens',
    'liquidiez',
    'liquidions',
    'liquidité',
    'liquidités',
    'liquidons',
    'liquidâmes',
    'liquidât',
    'liquidâtes',
    'liquidèrent',
    'liquidé',
    'liquidée',
    'liquidées',
    'liquidés',
    'liquoreuse',
    'liquoreuses',
    'liquoreux',
    'liquoriste',
    'liquoristes',
    'liquéfacteur',
    'liquéfaction',
    'liquéfia',
    'liquéfiable',
    'liquéfiables',
    'liquéfiai',
    'liquéfiaient',
    'liquéfiais',
    'liquéfiait',
    'liquéfiant',
    'liquéfiante',
    'liquéfiantes',
    'liquéfiants',
    'liquéfias',
    'liquéfiasse',
    'liquéfiasses',
    'liquéfie',
    'liquéfient',
    'liquéfier',
    'liquéfiera',
    'liquéfierai',
    'liquéfierais',
    'liquéfierait',
    'liquéfieras',
    'liquéfierez',
    'liquéfieriez',
    'liquéfierons',
    'liquéfieront',
    'liquéfies',
    'liquéfiez',
    'liquéfiiez',
    'liquéfiions',
    'liquéfions',
    'liquéfiâmes',
    'liquéfiât',
    'liquéfiâtes',
    'liquéfièrent',
    'liquéfié',
    'liquéfiée',
    'liquéfiées',
    'liquéfiés',
    'lira',
    'lirai',
    'liraient',
    'lirais',
    'lirait',
    'liras',
    'lire',
    'lires',
    'lirez',
    'liriez',
    'lirions',
    'liron',
    'lirons',
    'liront',
    'lisage',
    'lisages',
    'lisaient',
    'lisais',
    'lisait',
    'lisant',
    'lise',
    'lisent',
    'lisera',
    'liserai',
    'liseraient',
    'liserais',
    'liserait',
    'liserant',
    'liseras',
    'liserasse',
    'liserassent',
    'liserasses',
    'liserassiez',
    'liserassions',
    'liserer',
    'liserez',
    'liseriez',
    'liserions',
    'liseron',
    'liserons',
    'liserâmes',
    'liserât',
    'liserâtes',
    'liserèrent',
    'liseré',
    'liserée',
    'liserées',
    'liserés',
    'lises',
    'liseur',
    'liseurs',
    'liseuse',
    'liseuses',
    'lisez',
    'lisibilité',
    'lisibilités',
    'lisible',
    'lisiblement',
    'lisibles',
    'lisier',
    'lisiers',
    'lisiez',
    'lisions',
    'lisière',
    'lisières',
    'lisn',
    'lisons',
    'lissa',
    'lissage',
    'lissages',
    'lissai',
    'lissaient',
    'lissais',
    'lissait',
    'lissant',
    'lissante',
    'lissantes',
    'lissants',
    'lissas',
    'lissasse',
    'lissassent',
    'lissasses',
    'lissassiez',
    'lissassions',
    'lisse',
    'lissent',
    'lisser',
    'lissera',
    'lisserai',
    'lisseraient',
    'lisserais',
    'lisserait',
    'lisseras',
    'lisserez',
    'lisseriez',
    'lisserions',
    'lisserons',
    'lisseront',
    'lisses',
    'lisseur',
    'lisseurs',
    'lisseuse',
    'lisseuses',
    'lissez',
    'lissier',
    'lissiers',
    'lissiez',
    'lissions',
    'lissoir',
    'lissoirs',
    'lissons',
    'lissâmes',
    'lissât',
    'lissâtes',
    'lissèrent',
    'lissé',
    'lissée',
    'lissées',
    'lissés',
    'lista',
    'listage',
    'listages',
    'listai',
    'listaient',
    'listais',
    'listait',
    'listant',
    'listas',
    'listasse',
    'listassent',
    'listasses',
    'listassiez',
    'listassions',
    'liste',
    'listeau',
    'listeaux',
    'listel',
    'listels',
    'listent',
    'lister',
    'listera',
    'listerai',
    'listeraient',
    'listerais',
    'listerait',
    'listeras',
    'listerez',
    'listeriez',
    'listerions',
    'listerons',
    'listeront',
    'listes',
    'listez',
    'listiez',
    'listing',
    'listings',
    'listions',
    'listons',
    'listâmes',
    'listât',
    'listâtes',
    'listèrent',
    'listé',
    'listée',
    'listées',
    'listériose',
    'listérioses',
    'listés',
    'lisère',
    'lisèrent',
    'lisèrera',
    'lisèrerai',
    'lisèreraient',
    'lisèrerais',
    'lisèrerait',
    'lisèreras',
    'lisèrerez',
    'lisèreriez',
    'lisèrerions',
    'lisèrerons',
    'lisèreront',
    'lisères',
    'liséra',
    'lisérage',
    'lisérages',
    'lisérai',
    'liséraient',
    'lisérais',
    'lisérait',
    'lisérant',
    'liséras',
    'lisérasse',
    'lisérassent',
    'lisérasses',
    'lisérassiez',
    'lisérassions',
    'lisérer',
    'lisérera',
    'lisérerai',
    'liséreraient',
    'lisérerais',
    'lisérerait',
    'liséreras',
    'lisérerez',
    'liséreriez',
    'lisérerions',
    'lisérerons',
    'liséreront',
    'lisérez',
    'lisériez',
    'lisérions',
    'lisérons',
    'lisérâmes',
    'lisérât',
    'lisérâtes',
    'lisérèrent',
    'liséré',
    'lisérée',
    'lisérées',
    'lisérés',
    'lita',
    'litai',
    'litaient',
    'litais',
    'litait',
    'litanie',
    'litanies',
    'litant',
    'litas',
    'litasse',
    'litassent',
    'litasses',
    'litassiez',
    'litassions',
    'litchi',
    'litchis',
    'lite',
    'liteau',
    'liteaux',
    'litent',
    'liter',
    'litera',
    'literai',
    'literaient',
    'literais',
    'literait',
    'literas',
    'literez',
    'literie',
    'literies',
    'literiez',
    'literions',
    'literons',
    'literont',
    'lites',
    'litez',
    'litham',
    'lithams',
    'litharge',
    'litharges',
    'lithiase',
    'lithiases',
    'lithiasique',
    'lithiasiques',
    'lithinifère',
    'lithinifères',
    'lithiné',
    'lithinée',
    'lithinées',
    'lithinés',
    'lithique',
    'lithiques',
    'lithium',
    'lithiums',
    'litho',
    'lithodome',
    'lithodomes',
    'lithogenèse',
    'lithogenèses',
    'lithographe',
    'lithographes',
    'lithographia',
    'lithographie',
    'lithographié',
    'lithogène',
    'lithogènes',
    'lithologie',
    'lithologies',
    'lithologique',
    'lithophage',
    'lithophages',
    'lithophanie',
    'lithophanies',
    'lithos',
    'lithosphère',
    'lithosphères',
    'lithotriteur',
    'litiez',
    'litige',
    'litiges',
    'litigieuse',
    'litigieuses',
    'litigieux',
    'litions',
    'litière',
    'litières',
    'litons',
    'litorne',
    'litornes',
    'litote',
    'litotes',
    'litre',
    'litres',
    'litron',
    'litrons',
    'lits',
    'litsam',
    'litsams',
    'littoral',
    'littorale',
    'littorales',
    'littoraux',
    'littorine',
    'littorines',
    'littéraire',
    'littéraires',
    'littéral',
    'littérale',
    'littérales',
    'littéralité',
    'littéralités',
    'littérarité',
    'littérarités',
    'littérateur',
    'littérateurs',
    'littératrice',
    'littérature',
    'littératures',
    'littéraux',
    'lituanien',
    'lituanienne',
    'lituaniennes',
    'lituaniens',
    'liturgie',
    'liturgies',
    'liturgique',
    'liturgiques',
    'litâmes',
    'litât',
    'litâtes',
    'litèrent',
    'lité',
    'litée',
    'litées',
    'lités',
    'liure',
    'liures',
    'livarot',
    'livarots',
    'live',
    'lives',
    'livet',
    'livets',
    'livide',
    'livides',
    'lividité',
    'lividités',
    'living',
    'livings',
    'livra',
    'livrable',
    'livrables',
    'livrai',
    'livraient',
    'livrais',
    'livraison',
    'livraisons',
    'livrait',
    'livrant',
    'livras',
    'livrasse',
    'livrassent',
    'livrasses',
    'livrassiez',
    'livrassions',
    'livre',
    'livrent',
    'livrer',
    'livrera',
    'livrerai',
    'livreraient',
    'livrerais',
    'livrerait',
    'livreras',
    'livrerez',
    'livreriez',
    'livrerions',
    'livrerons',
    'livreront',
    'livres',
    'livresque',
    'livresques',
    'livret',
    'livrets',
    'livreur',
    'livreurs',
    'livreuse',
    'livreuses',
    'livrez',
    'livriez',
    'livrions',
    'livrons',
    'livrâmes',
    'livrât',
    'livrâtes',
    'livrèrent',
    'livré',
    'livrée',
    'livrées',
    'livrés',
    'livèche',
    'livèches',
    'lixiviation',
    'lixiviations',
    'liâmes',
    'liât',
    'liâtes',
    'liège',
    'liègent',
    'lièges',
    'lièrent',
    'lièvre',
    'lièvres',
    'liée',
    'liées',
    'liégea',
    'liégeai',
    'liégeaient',
    'liégeais',
    'liégeait',
    'liégeant',
    'liégeas',
    'liégeasse',
    'liégeassent',
    'liégeasses',
    'liégeassiez',
    'liégeassions',
    'liégeois',
    'liégeoise',
    'liégeoises',
    'liégeons',
    'liéger',
    'liégera',
    'liégerai',
    'liégeraient',
    'liégerais',
    'liégerait',
    'liégeras',
    'liégerez',
    'liégeriez',
    'liégerions',
    'liégerons',
    'liégeront',
    'liégez',
    'liégeâmes',
    'liégeât',
    'liégeâtes',
    'liégiez',
    'liégions',
    'liégèrent',
    'liégé',
    'liégée',
    'liégées',
    'liégés',
    'liés',
    'llanos',
    'loader',
    'loaders',
    'loba',
    'lobai',
    'lobaient',
    'lobaire',
    'lobaires',
    'lobais',
    'lobait',
    'lobant',
    'lobas',
    'lobasse',
    'lobassent',
    'lobasses',
    'lobassiez',
    'lobassions',
    'lobbies',
    'lobby',
    'lobe',
    'lobectomie',
    'lobectomies',
    'lobent',
    'lober',
    'lobera',
    'loberai',
    'loberaient',
    'loberais',
    'loberait',
    'loberas',
    'loberez',
    'loberiez',
    'loberions',
    'loberons',
    'loberont',
    'lobes',
    'lobez',
    'lobiez',
    'lobions',
    'lobons',
    'lobotomie',
    'lobotomies',
    'lobs',
    'lobulaire',
    'lobulaires',
    'lobuleuse',
    'lobuleuses',
    'lobuleux',
    'lobulé',
    'lobulée',
    'lobulées',
    'lobulés',
    'lobâmes',
    'lobât',
    'lobâtes',
    'lobèrent',
    'lobé',
    'lobée',
    'lobées',
    'lobélie',
    'lobélies',
    'lobés',
    'local',
    'locale',
    'localement',
    'locales',
    'localisa',
    'localisable',
    'localisables',
    'localisai',
    'localisaient',
    'localisais',
    'localisait',
    'localisant',
    'localisante',
    'localisantes',
    'localisants',
    'localisas',
    'localisasse',
    'localisasses',
    'localisateur',
    'localisation',
    'localise',
    'localisent',
    'localiser',
    'localisera',
    'localiserai',
    'localiserais',
    'localiserait',
    'localiseras',
    'localiserez',
    'localiseriez',
    'localiserons',
    'localiseront',
    'localises',
    'localisez',
    'localisiez',
    'localisions',
    'localisons',
    'localisâmes',
    'localisât',
    'localisâtes',
    'localisèrent',
    'localisé',
    'localisée',
    'localisées',
    'localisés',
    'localité',
    'localités',
    'locataire',
    'locataires',
    'locatif',
    'locatifs',
    'location',
    'locations',
    'locative',
    'locatives',
    'locaux',
    'loch',
    'locha',
    'lochai',
    'lochaient',
    'lochais',
    'lochait',
    'lochant',
    'lochas',
    'lochasse',
    'lochassent',
    'lochasses',
    'lochassiez',
    'lochassions',
    'loche',
    'lochent',
    'locher',
    'lochera',
    'locherai',
    'locheraient',
    'locherais',
    'locherait',
    'locheras',
    'locherez',
    'locheriez',
    'locherions',
    'locherons',
    'locheront',
    'loches',
    'lochez',
    'lochies',
    'lochiez',
    'lochions',
    'lochons',
    'lochs',
    'lochâmes',
    'lochât',
    'lochâtes',
    'lochèrent',
    'loché',
    'lochée',
    'lochées',
    'lochés',
    'lockouter',
    'locomobile',
    'locomobiles',
    'locomoteur',
    'locomoteurs',
    'locomotif',
    'locomotifs',
    'locomotion',
    'locomotions',
    'locomotive',
    'locomotives',
    'locomotrice',
    'locomotrices',
    'locotracteur',
    'loculaire',
    'loculaires',
    'loculeuse',
    'loculeuses',
    'loculeux',
    'loculé',
    'loculée',
    'loculées',
    'loculés',
    'locuste',
    'locustes',
    'locuteur',
    'locuteurs',
    'locution',
    'locutions',
    'locutrice',
    'locutrices',
    'loden',
    'lodens',
    'lods',
    'loess',
    'lofa',
    'lofai',
    'lofaient',
    'lofais',
    'lofait',
    'lofant',
    'lofas',
    'lofasse',
    'lofassent',
    'lofasses',
    'lofassiez',
    'lofassions',
    'lofe',
    'lofent',
    'lofer',
    'lofera',
    'loferai',
    'loferaient',
    'loferais',
    'loferait',
    'loferas',
    'loferez',
    'loferiez',
    'loferions',
    'loferons',
    'loferont',
    'lofes',
    'lofez',
    'lofiez',
    'lofions',
    'lofons',
    'lofs',
    'loft',
    'lofts',
    'lofâmes',
    'lofât',
    'lofâtes',
    'lofèrent',
    'lofé',
    'logarithme',
    'logarithmes',
    'loge',
    'logea',
    'logeable',
    'logeables',
    'logeai',
    'logeaient',
    'logeais',
    'logeait',
    'logeant',
    'logeas',
    'logeasse',
    'logeassent',
    'logeasses',
    'logeassiez',
    'logeassions',
    'logement',
    'logements',
    'logent',
    'logeons',
    'loger',
    'logera',
    'logerai',
    'logeraient',
    'logerais',
    'logerait',
    'logeras',
    'logerez',
    'logeriez',
    'logerions',
    'logerons',
    'logeront',
    'loges',
    'logette',
    'logettes',
    'logeur',
    'logeurs',
    'logeuse',
    'logeuses',
    'logez',
    'logeâmes',
    'logeât',
    'logeâtes',
    'loggia',
    'loggias',
    'logiciel',
    'logicielle',
    'logicielles',
    'logiciels',
    'logicien',
    'logicienne',
    'logiciennes',
    'logiciens',
    'logicisme',
    'logicismes',
    'logiez',
    'logions',
    'logique',
    'logiquement',
    'logiques',
    'logis',
    'logiste',
    'logistes',
    'logisticien',
    'logisticiens',
    'logistique',
    'logistiques',
    'logo',
    'logographe',
    'logographes',
    'logogriphe',
    'logogriphes',
    'logomachie',
    'logomachies',
    'logomachique',
    'logopédie',
    'logopédies',
    'logorrhée',
    'logorrhées',
    'logos',
    'logèrent',
    'logé',
    'logée',
    'logées',
    'logés',
    'loin',
    'lointain',
    'lointaine',
    'lointaines',
    'lointains',
    'loir',
    'loirs',
    'lois',
    'loisible',
    'loisibles',
    'loisir',
    'loisirs',
    'lokoum',
    'lokoums',
    'lolo',
    'lolos',
    'lombago',
    'lombagos',
    'lombaire',
    'lombaires',
    'lombalgie',
    'lombalgies',
    'lombard',
    'lombarde',
    'lombardes',
    'lombards',
    'lombarthrose',
    'lombes',
    'lombric',
    'lombrics',
    'londonien',
    'londonienne',
    'londoniennes',
    'londoniens',
    'londrès',
    'long',
    'longane',
    'longanes',
    'longanimité',
    'longanimités',
    'longe',
    'longea',
    'longeai',
    'longeaient',
    'longeais',
    'longeait',
    'longeant',
    'longeas',
    'longeasse',
    'longeassent',
    'longeasses',
    'longeassiez',
    'longeassions',
    'longent',
    'longeons',
    'longer',
    'longera',
    'longerai',
    'longeraient',
    'longerais',
    'longerait',
    'longeras',
    'longerez',
    'longeriez',
    'longerions',
    'longeron',
    'longerons',
    'longeront',
    'longes',
    'longez',
    'longeâmes',
    'longeât',
    'longeâtes',
    'longicorne',
    'longicornes',
    'longiez',
    'longiligne',
    'longilignes',
    'longions',
    'longitude',
    'longitudes',
    'longitudinal',
    'longotte',
    'longottes',
    'longrine',
    'longrines',
    'longs',
    'longtemps',
    'longue',
    'longuement',
    'longues',
    'longuet',
    'longuets',
    'longuette',
    'longuettes',
    'longueur',
    'longueurs',
    'longèrent',
    'longé',
    'longée',
    'longées',
    'longés',
    'longévité',
    'longévités',
    'looch',
    'loochs',
    'loofa',
    'loofas',
    'look',
    'looks',
    'looping',
    'loopings',
    'lopette',
    'lopettes',
    'lophophore',
    'lophophores',
    'lopin',
    'lopins',
    'loqua',
    'loquace',
    'loquaces',
    'loquacité',
    'loquacités',
    'loquai',
    'loquaient',
    'loquais',
    'loquait',
    'loquant',
    'loquas',
    'loquasse',
    'loquassent',
    'loquasses',
    'loquassiez',
    'loquassions',
    'loque',
    'loquent',
    'loquer',
    'loquera',
    'loquerai',
    'loqueraient',
    'loquerais',
    'loquerait',
    'loqueras',
    'loquerez',
    'loqueriez',
    'loquerions',
    'loquerons',
    'loqueront',
    'loques',
    'loquet',
    'loqueteau',
    'loqueteaux',
    'loqueteuse',
    'loqueteuses',
    'loqueteux',
    'loquets',
    'loquez',
    'loquiez',
    'loquions',
    'loquons',
    'loquâmes',
    'loquât',
    'loquâtes',
    'loquèrent',
    'loqué',
    'loquée',
    'loquées',
    'loqués',
    'loran',
    'lorans',
    'lord',
    'lordose',
    'lordoses',
    'lords',
    'lorette',
    'lorettes',
    'lorgna',
    'lorgnai',
    'lorgnaient',
    'lorgnais',
    'lorgnait',
    'lorgnant',
    'lorgnas',
    'lorgnasse',
    'lorgnassent',
    'lorgnasses',
    'lorgnassiez',
    'lorgnassions',
    'lorgne',
    'lorgnent',
    'lorgner',
    'lorgnera',
    'lorgnerai',
    'lorgneraient',
    'lorgnerais',
    'lorgnerait',
    'lorgneras',
    'lorgnerez',
    'lorgneriez',
    'lorgnerions',
    'lorgnerons',
    'lorgneront',
    'lorgnes',
    'lorgnette',
    'lorgnettes',
    'lorgnez',
    'lorgniez',
    'lorgnions',
    'lorgnon',
    'lorgnons',
    'lorgnâmes',
    'lorgnât',
    'lorgnâtes',
    'lorgnèrent',
    'lorgné',
    'lorgnée',
    'lorgnées',
    'lorgnés',
    'lori',
    'loricaire',
    'loricaires',
    'loriot',
    'loriots',
    'loris',
    'lorrain',
    'lorraine',
    'lorraines',
    'lorrains',
    'lors',
    'lorsqu',
    'lorsque',
    'losange',
    'losanges',
    'losangé',
    'losangée',
    'losangées',
    'losangés',
    'lote',
    'loterie',
    'loteries',
    'lotes',
    'loti',
    'lotie',
    'lotier',
    'lotiers',
    'loties',
    'lotion',
    'lotionna',
    'lotionnai',
    'lotionnaient',
    'lotionnais',
    'lotionnait',
    'lotionnant',
    'lotionnas',
    'lotionnasse',
    'lotionnasses',
    'lotionne',
    'lotionnent',
    'lotionner',
    'lotionnera',
    'lotionnerai',
    'lotionnerais',
    'lotionnerait',
    'lotionneras',
    'lotionnerez',
    'lotionneriez',
    'lotionnerons',
    'lotionneront',
    'lotionnes',
    'lotionnez',
    'lotionniez',
    'lotionnions',
    'lotionnons',
    'lotionnâmes',
    'lotionnât',
    'lotionnâtes',
    'lotionnèrent',
    'lotionné',
    'lotionnée',
    'lotionnées',
    'lotionnés',
    'lotions',
    'lotir',
    'lotira',
    'lotirai',
    'lotiraient',
    'lotirais',
    'lotirait',
    'lotiras',
    'lotirent',
    'lotirez',
    'lotiriez',
    'lotirions',
    'lotirons',
    'lotiront',
    'lotis',
    'lotissaient',
    'lotissais',
    'lotissait',
    'lotissant',
    'lotisse',
    'lotissement',
    'lotissements',
    'lotissent',
    'lotisses',
    'lotisseur',
    'lotisseurs',
    'lotisseuse',
    'lotisseuses',
    'lotissez',
    'lotissiez',
    'lotissions',
    'lotissons',
    'lotit',
    'loto',
    'lotos',
    'lots',
    'lotte',
    'lottes',
    'lotus',
    'lotîmes',
    'lotît',
    'lotîtes',
    'loua',
    'louable',
    'louables',
    'louage',
    'louages',
    'louai',
    'louaient',
    'louais',
    'louait',
    'louange',
    'louangea',
    'louangeai',
    'louangeaient',
    'louangeais',
    'louangeait',
    'louangeant',
    'louangeas',
    'louangeasse',
    'louangeasses',
    'louangent',
    'louangeons',
    'louanger',
    'louangera',
    'louangerai',
    'louangerais',
    'louangerait',
    'louangeras',
    'louangerez',
    'louangeriez',
    'louangerions',
    'louangerons',
    'louangeront',
    'louanges',
    'louangeur',
    'louangeurs',
    'louangeuse',
    'louangeuses',
    'louangez',
    'louangeâmes',
    'louangeât',
    'louangeâtes',
    'louangiez',
    'louangions',
    'louangèrent',
    'louangé',
    'louangée',
    'louangées',
    'louangés',
    'louant',
    'louas',
    'louasse',
    'louassent',
    'louasses',
    'louassiez',
    'louassions',
    'loubar',
    'loubard',
    'loubards',
    'loubars',
    'loucha',
    'louchai',
    'louchaient',
    'louchais',
    'louchait',
    'louchant',
    'louchas',
    'louchasse',
    'louchassent',
    'louchasses',
    'louchassiez',
    'louchassions',
    'louche',
    'louchent',
    'loucher',
    'louchera',
    'loucherai',
    'loucheraient',
    'loucherais',
    'loucherait',
    'loucheras',
    'loucherez',
    'loucherie',
    'loucheries',
    'loucheriez',
    'loucherions',
    'loucherons',
    'loucheront',
    'louches',
    'louchet',
    'louchets',
    'loucheur',
    'loucheurs',
    'loucheuse',
    'loucheuses',
    'louchez',
    'louchi',
    'louchiez',
    'louchions',
    'louchir',
    'louchira',
    'louchirai',
    'louchiraient',
    'louchirais',
    'louchirait',
    'louchiras',
    'louchirent',
    'louchirez',
    'louchiriez',
    'louchirions',
    'louchirons',
    'louchiront',
    'louchis',
    'louchissais',
    'louchissait',
    'louchissant',
    'louchisse',
    'louchissent',
    'louchisses',
    'louchissez',
    'louchissiez',
    'louchissions',
    'louchissons',
    'louchit',
    'louchon',
    'louchons',
    'louchâmes',
    'louchât',
    'louchâtes',
    'louchèrent',
    'louché',
    'louchée',
    'louchées',
    'louchés',
    'louchîmes',
    'louchît',
    'louchîtes',
    'loue',
    'louent',
    'louer',
    'louera',
    'louerai',
    'loueraient',
    'louerais',
    'louerait',
    'loueras',
    'louerez',
    'loueriez',
    'louerions',
    'louerons',
    'loueront',
    'loues',
    'loueur',
    'loueurs',
    'loueuse',
    'loueuses',
    'louez',
    'loufa',
    'loufai',
    'loufaient',
    'loufais',
    'loufait',
    'loufant',
    'loufas',
    'loufasse',
    'loufassent',
    'loufasses',
    'loufassiez',
    'loufassions',
    'loufe',
    'loufent',
    'loufer',
    'loufera',
    'louferai',
    'louferaient',
    'louferais',
    'louferait',
    'louferas',
    'louferez',
    'louferiez',
    'louferions',
    'louferons',
    'louferont',
    'loufes',
    'loufez',
    'loufiat',
    'loufiats',
    'loufiez',
    'loufions',
    'loufons',
    'loufoque',
    'loufoquerie',
    'loufoqueries',
    'loufoques',
    'loufâmes',
    'loufât',
    'loufâtes',
    'loufèrent',
    'loufé',
    'lougre',
    'lougres',
    'louiez',
    'louions',
    'louis',
    'loukoum',
    'loukoums',
    'loulou',
    'loulous',
    'louons',
    'loup',
    'loupa',
    'loupage',
    'loupages',
    'loupai',
    'loupaient',
    'loupais',
    'loupait',
    'loupant',
    'loupas',
    'loupasse',
    'loupassent',
    'loupasses',
    'loupassiez',
    'loupassions',
    'loupe',
    'loupent',
    'louper',
    'loupera',
    'louperai',
    'louperaient',
    'louperais',
    'louperait',
    'louperas',
    'louperez',
    'louperiez',
    'louperions',
    'louperons',
    'louperont',
    'loupes',
    'loupez',
    'loupiez',
    'loupions',
    'loupiot',
    'loupiote',
    'loupiotes',
    'loupiots',
    'loupons',
    'loups',
    'loupâmes',
    'loupât',
    'loupâtes',
    'loupèrent',
    'loupé',
    'loupée',
    'loupées',
    'loupés',
    'loura',
    'lourai',
    'louraient',
    'lourais',
    'lourait',
    'lourant',
    'louras',
    'lourasse',
    'lourassent',
    'lourasses',
    'lourassiez',
    'lourassions',
    'lourd',
    'lourda',
    'lourdai',
    'lourdaient',
    'lourdais',
    'lourdait',
    'lourdant',
    'lourdas',
    'lourdasse',
    'lourdassent',
    'lourdasses',
    'lourdassiez',
    'lourdassions',
    'lourdaud',
    'lourdaude',
    'lourdaudes',
    'lourdauds',
    'lourde',
    'lourdement',
    'lourdent',
    'lourder',
    'lourdera',
    'lourderai',
    'lourderaient',
    'lourderais',
    'lourderait',
    'lourderas',
    'lourderez',
    'lourderiez',
    'lourderions',
    'lourderons',
    'lourderont',
    'lourdes',
    'lourdeur',
    'lourdeurs',
    'lourdez',
    'lourdiez',
    'lourdions',
    'lourdons',
    'lourds',
    'lourdâmes',
    'lourdât',
    'lourdâtes',
    'lourdèrent',
    'lourdé',
    'lourdée',
    'lourdées',
    'lourdés',
    'loure',
    'lourent',
    'lourer',
    'lourera',
    'lourerai',
    'loureraient',
    'lourerais',
    'lourerait',
    'loureras',
    'lourerez',
    'loureriez',
    'lourerions',
    'lourerons',
    'loureront',
    'loures',
    'lourez',
    'louriez',
    'lourions',
    'lourons',
    'lourâmes',
    'lourât',
    'lourâtes',
    'lourèrent',
    'louré',
    'lourée',
    'lourées',
    'lourés',
    'loustic',
    'loustics',
    'loutre',
    'loutres',
    'louva',
    'louvai',
    'louvaient',
    'louvais',
    'louvait',
    'louvant',
    'louvas',
    'louvasse',
    'louvassent',
    'louvasses',
    'louvassiez',
    'louvassions',
    'louve',
    'louvent',
    'louver',
    'louvera',
    'louverai',
    'louveraient',
    'louverais',
    'louverait',
    'louveras',
    'louverez',
    'louveriez',
    'louverions',
    'louverons',
    'louveront',
    'louves',
    'louvet',
    'louveta',
    'louvetai',
    'louvetaient',
    'louvetais',
    'louvetait',
    'louvetant',
    'louvetas',
    'louvetasse',
    'louvetassent',
    'louvetasses',
    'louvetassiez',
    'louveteau',
    'louveteaux',
    'louveter',
    'louveterie',
    'louveteries',
    'louvetez',
    'louvetier',
    'louvetiers',
    'louvetiez',
    'louvetions',
    'louvetons',
    'louvets',
    'louvette',
    'louvettent',
    'louvettera',
    'louvetterai',
    'louvetterais',
    'louvetterait',
    'louvetteras',
    'louvetterez',
    'louvetteriez',
    'louvetterons',
    'louvetteront',
    'louvettes',
    'louvetâmes',
    'louvetât',
    'louvetâtes',
    'louvetèrent',
    'louveté',
    'louvetée',
    'louvetées',
    'louvetés',
    'louvez',
    'louviez',
    'louvions',
    'louvoie',
    'louvoiement',
    'louvoiements',
    'louvoient',
    'louvoiera',
    'louvoierai',
    'louvoierais',
    'louvoierait',
    'louvoieras',
    'louvoierez',
    'louvoieriez',
    'louvoierions',
    'louvoierons',
    'louvoieront',
    'louvoies',
    'louvons',
    'louvoya',
    'louvoyai',
    'louvoyaient',
    'louvoyais',
    'louvoyait',
    'louvoyant',
    'louvoyante',
    'louvoyantes',
    'louvoyants',
    'louvoyas',
    'louvoyasse',
    'louvoyassent',
    'louvoyasses',
    'louvoyassiez',
    'louvoyer',
    'louvoyez',
    'louvoyiez',
    'louvoyions',
    'louvoyons',
    'louvoyâmes',
    'louvoyât',
    'louvoyâtes',
    'louvoyèrent',
    'louvoyé',
    'louvoyée',
    'louvoyées',
    'louvoyés',
    'louvâmes',
    'louvât',
    'louvâtes',
    'louvèrent',
    'louvé',
    'louvée',
    'louvées',
    'louvés',
    'louâmes',
    'louât',
    'louâtes',
    'louèrent',
    'loué',
    'louée',
    'louées',
    'loués',
    'lova',
    'lovai',
    'lovaient',
    'lovais',
    'lovait',
    'lovant',
    'lovas',
    'lovasse',
    'lovassent',
    'lovasses',
    'lovassiez',
    'lovassions',
    'love',
    'lovelace',
    'lovelaces',
    'lovent',
    'lover',
    'lovera',
    'loverai',
    'loveraient',
    'loverais',
    'loverait',
    'loveras',
    'loverez',
    'loveriez',
    'loverions',
    'loverons',
    'loveront',
    'loves',
    'lovez',
    'loviez',
    'lovions',
    'lovons',
    'lovâmes',
    'lovât',
    'lovâtes',
    'lovèrent',
    'lové',
    'lovée',
    'lovées',
    'lovés',
    'loxodromie',
    'loxodromies',
    'loxodromique',
    'loyal',
    'loyale',
    'loyalement',
    'loyales',
    'loyalisme',
    'loyalismes',
    'loyaliste',
    'loyalistes',
    'loyauté',
    'loyautés',
    'loyaux',
    'loyer',
    'loyers',
    'lubie',
    'lubies',
    'lubricité',
    'lubricités',
    'lubrifia',
    'lubrifiai',
    'lubrifiaient',
    'lubrifiais',
    'lubrifiait',
    'lubrifiant',
    'lubrifiante',
    'lubrifiantes',
    'lubrifiants',
    'lubrifias',
    'lubrifiasse',
    'lubrifiasses',
    'lubrifie',
    'lubrifient',
    'lubrifier',
    'lubrifiera',
    'lubrifierai',
    'lubrifierais',
    'lubrifierait',
    'lubrifieras',
    'lubrifierez',
    'lubrifieriez',
    'lubrifierons',
    'lubrifieront',
    'lubrifies',
    'lubrifiez',
    'lubrifiiez',
    'lubrifiions',
    'lubrifions',
    'lubrifiâmes',
    'lubrifiât',
    'lubrifiâtes',
    'lubrifièrent',
    'lubrifié',
    'lubrifiée',
    'lubrifiées',
    'lubrifiés',
    'lubrique',
    'lubriquement',
    'lubriques',
    'lucane',
    'lucanes',
    'lucarne',
    'lucarnes',
    'lucernaire',
    'lucernaires',
    'lucide',
    'lucidement',
    'lucides',
    'lucidité',
    'lucidités',
    'lucifuge',
    'lucifuges',
    'luciférien',
    'luciférienne',
    'lucifériens',
    'lucilie',
    'lucilies',
    'lucimètre',
    'lucimètres',
    'luciole',
    'lucioles',
    'lucratif',
    'lucratifs',
    'lucrative',
    'lucratives',
    'lucre',
    'lucres',
    'ludiciel',
    'ludiciels',
    'ludion',
    'ludions',
    'ludique',
    'ludiques',
    'ludisme',
    'ludismes',
    'ludothèque',
    'ludothèques',
    'lues',
    'luette',
    'luettes',
    'lueur',
    'lueurs',
    'luffa',
    'luffas',
    'luge',
    'lugea',
    'lugeai',
    'lugeaient',
    'lugeais',
    'lugeait',
    'lugeant',
    'lugeas',
    'lugeasse',
    'lugeassent',
    'lugeasses',
    'lugeassiez',
    'lugeassions',
    'lugent',
    'lugeons',
    'luger',
    'lugera',
    'lugerai',
    'lugeraient',
    'lugerais',
    'lugerait',
    'lugeras',
    'lugerez',
    'lugeriez',
    'lugerions',
    'lugerons',
    'lugeront',
    'luges',
    'lugeur',
    'lugeurs',
    'lugeuse',
    'lugeuses',
    'lugez',
    'lugeâmes',
    'lugeât',
    'lugeâtes',
    'lugiez',
    'lugions',
    'lugubre',
    'lugubrement',
    'lugubres',
    'lugèrent',
    'lugé',
    'luira',
    'luirai',
    'luiraient',
    'luirais',
    'luirait',
    'luiras',
    'luire',
    'luirez',
    'luiriez',
    'luirions',
    'luirons',
    'luiront',
    'luis',
    'luisaient',
    'luisais',
    'luisait',
    'luisance',
    'luisances',
    'luisant',
    'luisante',
    'luisantes',
    'luisants',
    'luise',
    'luisent',
    'luises',
    'luisez',
    'luisiez',
    'luisions',
    'luisirent',
    'luisis',
    'luisisse',
    'luisissent',
    'luisisses',
    'luisissiez',
    'luisissions',
    'luisit',
    'luisons',
    'luisîmes',
    'luisît',
    'luisîtes',
    'luit',
    'luite',
    'luites',
    'luits',
    'lulu',
    'lulus',
    'lumachelle',
    'lumachelles',
    'lumbago',
    'lumbagos',
    'lumen',
    'lumens',
    'lumignon',
    'lumignons',
    'luminaire',
    'luminaires',
    'luminescence',
    'luminescent',
    'luminescente',
    'luminescents',
    'lumineuse',
    'lumineuses',
    'lumineux',
    'luministe',
    'luministes',
    'luminophore',
    'luminophores',
    'luminosité',
    'luminosités',
    'lumitype',
    'lumitypes',
    'lumière',
    'lumières',
    'lump',
    'lumps',
    'lunaire',
    'lunaires',
    'lunaison',
    'lunaisons',
    'lunatique',
    'lunatiques',
    'lunch',
    'luncha',
    'lunchai',
    'lunchaient',
    'lunchais',
    'lunchait',
    'lunchant',
    'lunchas',
    'lunchasse',
    'lunchassent',
    'lunchasses',
    'lunchassiez',
    'lunchassions',
    'lunche',
    'lunchent',
    'luncher',
    'lunchera',
    'luncherai',
    'luncheraient',
    'luncherais',
    'luncherait',
    'luncheras',
    'luncherez',
    'luncheriez',
    'luncherions',
    'luncherons',
    'luncheront',
    'lunches',
    'lunchez',
    'lunchiez',
    'lunchions',
    'lunchons',
    'lunchs',
    'lunchâmes',
    'lunchât',
    'lunchâtes',
    'lunchèrent',
    'lunché',
    'lundi',
    'lundis',
    'lune',
    'lunes',
    'lunetier',
    'lunetiers',
    'lunetière',
    'lunetières',
    'lunette',
    'lunetterie',
    'lunetteries',
    'lunettes',
    'lunule',
    'lunules',
    'lunure',
    'lunures',
    'luné',
    'lunée',
    'lunées',
    'lunés',
    'lupanar',
    'lupanars',
    'lupercales',
    'lupin',
    'lupins',
    'lupulin',
    'lupuline',
    'lupulines',
    'lupulins',
    'lupus',
    'lurent',
    'lurette',
    'lurettes',
    'luron',
    'luronne',
    'luronnes',
    'lurons',
    'lusin',
    'lusins',
    'lusitanien',
    'lusitanienne',
    'lusitaniens',
    'lusse',
    'lussent',
    'lusses',
    'lussiez',
    'lussions',
    'lustra',
    'lustrage',
    'lustrages',
    'lustrai',
    'lustraient',
    'lustrais',
    'lustrait',
    'lustral',
    'lustrale',
    'lustrales',
    'lustrant',
    'lustrante',
    'lustrantes',
    'lustrants',
    'lustras',
    'lustrasse',
    'lustrassent',
    'lustrasses',
    'lustrassiez',
    'lustrassions',
    'lustration',
    'lustrations',
    'lustraux',
    'lustre',
    'lustrent',
    'lustrer',
    'lustrera',
    'lustrerai',
    'lustreraient',
    'lustrerais',
    'lustrerait',
    'lustreras',
    'lustrerez',
    'lustrerie',
    'lustreries',
    'lustreriez',
    'lustrerions',
    'lustrerons',
    'lustreront',
    'lustres',
    'lustrez',
    'lustriez',
    'lustrine',
    'lustrines',
    'lustrions',
    'lustrons',
    'lustrâmes',
    'lustrât',
    'lustrâtes',
    'lustrèrent',
    'lustré',
    'lustrée',
    'lustrées',
    'lustrés',
    'luta',
    'lutai',
    'lutaient',
    'lutais',
    'lutait',
    'lutant',
    'lutas',
    'lutasse',
    'lutassent',
    'lutasses',
    'lutassiez',
    'lutassions',
    'lute',
    'lutent',
    'luter',
    'lutera',
    'luterai',
    'luteraient',
    'luterais',
    'luterait',
    'luteras',
    'luterez',
    'luteriez',
    'luterions',
    'luterons',
    'luteront',
    'lutes',
    'lutez',
    'luth',
    'lutherie',
    'lutheries',
    'luthier',
    'luthiers',
    'luthiste',
    'luthistes',
    'luths',
    'luthéranisme',
    'luthérien',
    'luthérienne',
    'luthériennes',
    'luthériens',
    'lutiez',
    'lutin',
    'lutina',
    'lutinai',
    'lutinaient',
    'lutinais',
    'lutinait',
    'lutinant',
    'lutinas',
    'lutinasse',
    'lutinassent',
    'lutinasses',
    'lutinassiez',
    'lutinassions',
    'lutine',
    'lutinent',
    'lutiner',
    'lutinera',
    'lutinerai',
    'lutineraient',
    'lutinerais',
    'lutinerait',
    'lutineras',
    'lutinerez',
    'lutineriez',
    'lutinerions',
    'lutinerons',
    'lutineront',
    'lutines',
    'lutinez',
    'lutiniez',
    'lutinions',
    'lutinons',
    'lutins',
    'lutinâmes',
    'lutinât',
    'lutinâtes',
    'lutinèrent',
    'lutiné',
    'lutinée',
    'lutinées',
    'lutinés',
    'lutions',
    'lutons',
    'lutrin',
    'lutrins',
    'lutta',
    'luttai',
    'luttaient',
    'luttais',
    'luttait',
    'luttant',
    'luttas',
    'luttasse',
    'luttassent',
    'luttasses',
    'luttassiez',
    'luttassions',
    'lutte',
    'luttent',
    'lutter',
    'luttera',
    'lutterai',
    'lutteraient',
    'lutterais',
    'lutterait',
    'lutteras',
    'lutterez',
    'lutteriez',
    'lutterions',
    'lutterons',
    'lutteront',
    'luttes',
    'lutteur',
    'lutteurs',
    'lutteuse',
    'lutteuses',
    'luttez',
    'luttiez',
    'luttions',
    'luttons',
    'luttâmes',
    'luttât',
    'luttâtes',
    'luttèrent',
    'lutté',
    'lutâmes',
    'lutât',
    'lutâtes',
    'lutèrent',
    'luté',
    'lutécien',
    'lutéciens',
    'lutécium',
    'lutéciums',
    'lutée',
    'lutées',
    'lutéine',
    'lutéines',
    'lutés',
    'luxa',
    'luxai',
    'luxaient',
    'luxais',
    'luxait',
    'luxant',
    'luxas',
    'luxasse',
    'luxassent',
    'luxasses',
    'luxassiez',
    'luxassions',
    'luxation',
    'luxations',
    'luxe',
    'luxent',
    'luxer',
    'luxera',
    'luxerai',
    'luxeraient',
    'luxerais',
    'luxerait',
    'luxeras',
    'luxerez',
    'luxeriez',
    'luxerions',
    'luxerons',
    'luxeront',
    'luxes',
    'luxez',
    'luxiez',
    'luxions',
    'luxmètre',
    'luxmètres',
    'luxons',
    'luxueuse',
    'luxueusement',
    'luxueuses',
    'luxueux',
    'luxure',
    'luxures',
    'luxuriance',
    'luxuriances',
    'luxuriant',
    'luxuriante',
    'luxuriantes',
    'luxuriants',
    'luxurieuse',
    'luxurieuses',
    'luxurieux',
    'luxâmes',
    'luxât',
    'luxâtes',
    'luxèrent',
    'luxé',
    'luxée',
    'luxées',
    'luxés',
    'luzerne',
    'luzernes',
    'luzernière',
    'luzernières',
    'luzule',
    'luzules',
    'luétine',
    'luétines',
    'lycanthrope',
    'lycanthropes',
    'lycanthropie',
    'lycaon',
    'lycaons',
    'lychee',
    'lychees',
    'lychnis',
    'lycope',
    'lycoperdon',
    'lycoperdons',
    'lycopes',
    'lycopode',
    'lycopodes',
    'lycose',
    'lycoses',
    'lycra',
    'lycène',
    'lycènes',
    'lycée',
    'lycéen',
    'lycéenne',
    'lycéennes',
    'lycéens',
    'lycées',
    'lyddite',
    'lyddites',
    'lydien',
    'lydienne',
    'lydiennes',
    'lydiens',
    'lymphangite',
    'lymphangites',
    'lymphatique',
    'lymphatiques',
    'lymphatisme',
    'lymphatismes',
    'lymphe',
    'lymphes',
    'lymphocyte',
    'lymphocytes',
    'lymphocytose',
    'lymphopénie',
    'lymphopénies',
    'lymphoïde',
    'lymphoïdes',
    'lyncha',
    'lynchage',
    'lynchages',
    'lynchai',
    'lynchaient',
    'lynchais',
    'lynchait',
    'lynchant',
    'lynchas',
    'lynchasse',
    'lynchassent',
    'lynchasses',
    'lynchassiez',
    'lynchassions',
    'lynche',
    'lynchent',
    'lyncher',
    'lynchera',
    'lyncherai',
    'lyncheraient',
    'lyncherais',
    'lyncherait',
    'lyncheras',
    'lyncherez',
    'lyncheriez',
    'lyncherions',
    'lyncherons',
    'lyncheront',
    'lynches',
    'lyncheur',
    'lyncheurs',
    'lyncheuse',
    'lyncheuses',
    'lynchez',
    'lynchiez',
    'lynchions',
    'lynchons',
    'lynchâmes',
    'lynchât',
    'lynchâtes',
    'lynchèrent',
    'lynché',
    'lynchée',
    'lynchées',
    'lynchés',
    'lynx',
    'lyonnais',
    'lyonnaise',
    'lyonnaises',
    'lyophile',
    'lyophiles',
    'lyophilisa',
    'lyophilisai',
    'lyophilisais',
    'lyophilisait',
    'lyophilisant',
    'lyophilisas',
    'lyophilise',
    'lyophilisent',
    'lyophiliser',
    'lyophilisera',
    'lyophilises',
    'lyophilisez',
    'lyophilisiez',
    'lyophilisons',
    'lyophilisât',
    'lyophilisé',
    'lyophilisée',
    'lyophilisées',
    'lyophilisés',
    'lyre',
    'lyres',
    'lyric',
    'lyrics',
    'lyrique',
    'lyriquement',
    'lyriques',
    'lyrisme',
    'lyrismes',
    'lysa',
    'lysai',
    'lysaient',
    'lysais',
    'lysait',
    'lysant',
    'lysas',
    'lysasse',
    'lysassent',
    'lysasses',
    'lysassiez',
    'lysassions',
    'lysat',
    'lysats',
    'lyse',
    'lysent',
    'lyser',
    'lysera',
    'lyserai',
    'lyseraient',
    'lyserais',
    'lyserait',
    'lyseras',
    'lyserez',
    'lysergamide',
    'lysergamides',
    'lysergide',
    'lysergides',
    'lysergique',
    'lysergiques',
    'lyseriez',
    'lyserions',
    'lyserons',
    'lyseront',
    'lyses',
    'lysez',
    'lysiez',
    'lysimaque',
    'lysimaques',
    'lysine',
    'lysines',
    'lysions',
    'lysons',
    'lysozyme',
    'lysozymes',
    'lysâmes',
    'lysât',
    'lysâtes',
    'lysèrent',
    'lysé',
    'lysée',
    'lysées',
    'lysés',
    'lytique',
    'lytiques',
    'lâcha',
    'lâchage',
    'lâchages',
    'lâchai',
    'lâchaient',
    'lâchais',
    'lâchait',
    'lâchant',
    'lâchas',
    'lâchasse',
    'lâchassent',
    'lâchasses',
    'lâchassiez',
    'lâchassions',
    'lâche',
    'lâchement',
    'lâchent',
    'lâcher',
    'lâchera',
    'lâcherai',
    'lâcheraient',
    'lâcherais',
    'lâcherait',
    'lâcheras',
    'lâcherez',
    'lâcheriez',
    'lâcherions',
    'lâcherons',
    'lâcheront',
    'lâchers',
    'lâches',
    'lâcheté',
    'lâchetés',
    'lâcheur',
    'lâcheurs',
    'lâcheuse',
    'lâcheuses',
    'lâchez',
    'lâchiez',
    'lâchions',
    'lâchons',
    'lâchâmes',
    'lâchât',
    'lâchâtes',
    'lâchèrent',
    'lâché',
    'lâchée',
    'lâchées',
    'lâchés',
    'lèche',
    'lèchefrite',
    'lèchefrites',
    'lèchement',
    'lèchements',
    'lèchent',
    'lèches',
    'lège',
    'lèges',
    'lègue',
    'lèguent',
    'lègues',
    'lèpre',
    'lèpres',
    'lèse',
    'lèsent',
    'lèses',
    'lève',
    'lèvent',
    'lèvera',
    'lèverai',
    'lèveraient',
    'lèverais',
    'lèverait',
    'lèveras',
    'lèverez',
    'lèveriez',
    'lèverions',
    'lèverons',
    'lèveront',
    'lèves',
    'lèvre',
    'lèvres',
    'lécha',
    'léchage',
    'léchages',
    'léchai',
    'léchaient',
    'léchais',
    'léchait',
    'léchant',
    'léchas',
    'léchasse',
    'léchassent',
    'léchasses',
    'léchassiez',
    'léchassions',
    'lécher',
    'léchera',
    'lécherai',
    'lécheraient',
    'lécherais',
    'lécherait',
    'lécheras',
    'lécherez',
    'lécheriez',
    'lécherions',
    'lécherons',
    'lécheront',
    'lécheur',
    'lécheurs',
    'lécheuse',
    'lécheuses',
    'léchez',
    'léchiez',
    'léchions',
    'léchons',
    'léchâmes',
    'léchât',
    'léchâtes',
    'léchèrent',
    'léché',
    'léchée',
    'léchées',
    'léchés',
    'lécithine',
    'lécithines',
    'légal',
    'légale',
    'légalement',
    'légales',
    'légalisa',
    'légalisai',
    'légalisaient',
    'légalisais',
    'légalisait',
    'légalisant',
    'légalisante',
    'légalisantes',
    'légalisants',
    'légalisas',
    'légalisasse',
    'légalisasses',
    'légalisation',
    'légalise',
    'légalisent',
    'légaliser',
    'légalisera',
    'légaliserai',
    'légaliserais',
    'légaliserait',
    'légaliseras',
    'légaliserez',
    'légaliseriez',
    'légaliserons',
    'légaliseront',
    'légalises',
    'légalisez',
    'légalisiez',
    'légalisions',
    'légalisme',
    'légalismes',
    'légalisons',
    'légaliste',
    'légalistes',
    'légalisâmes',
    'légalisât',
    'légalisâtes',
    'légalisèrent',
    'légalisé',
    'légalisée',
    'légalisées',
    'légalisés',
    'légalité',
    'légalités',
    'légat',
    'légataire',
    'légataires',
    'légation',
    'légations',
    'légats',
    'légaux',
    'légendaire',
    'légendaires',
    'légende',
    'légender',
    'légendes',
    'léger',
    'légers',
    'légifère',
    'légifèrent',
    'légifères',
    'légiféra',
    'légiférai',
    'légiféraient',
    'légiférais',
    'légiférait',
    'légiférant',
    'légiféras',
    'légiférasse',
    'légiférasses',
    'légiférer',
    'légiférera',
    'légiférerai',
    'légiférerais',
    'légiférerait',
    'légiféreras',
    'légiférerez',
    'légiféreriez',
    'légiférerons',
    'légiféreront',
    'légiférez',
    'légifériez',
    'légiférions',
    'légiférons',
    'légiférâmes',
    'légiférât',
    'légiférâtes',
    'légiférèrent',
    'légiféré',
    'légion',
    'légionnaire',
    'légionnaires',
    'légions',
    'législateur',
    'législateurs',
    'législatif',
    'législatifs',
    'législation',
    'législations',
    'législative',
    'législatives',
    'législatrice',
    'législature',
    'législatures',
    'légiste',
    'légistes',
    'légitima',
    'légitimai',
    'légitimaient',
    'légitimais',
    'légitimait',
    'légitimant',
    'légitimas',
    'légitimasse',
    'légitimasses',
    'légitimation',
    'légitime',
    'légitimement',
    'légitiment',
    'légitimer',
    'légitimera',
    'légitimerai',
    'légitimerais',
    'légitimerait',
    'légitimeras',
    'légitimerez',
    'légitimeriez',
    'légitimerons',
    'légitimeront',
    'légitimes',
    'légitimez',
    'légitimiez',
    'légitimions',
    'légitimiste',
    'légitimistes',
    'légitimité',
    'légitimités',
    'légitimons',
    'légitimâmes',
    'légitimât',
    'légitimâtes',
    'légitimèrent',
    'légitimé',
    'légitimée',
    'légitimées',
    'légitimés',
    'légua',
    'léguai',
    'léguaient',
    'léguais',
    'léguait',
    'léguant',
    'léguas',
    'léguasse',
    'léguassent',
    'léguasses',
    'léguassiez',
    'léguassions',
    'léguer',
    'léguera',
    'léguerai',
    'légueraient',
    'léguerais',
    'léguerait',
    'légueras',
    'léguerez',
    'légueriez',
    'léguerions',
    'léguerons',
    'légueront',
    'léguez',
    'léguiez',
    'léguions',
    'légume',
    'légumes',
    'légumier',
    'légumiers',
    'légumine',
    'légumines',
    'légumineuse',
    'légumineuses',
    'légumière',
    'légumières',
    'léguons',
    'léguâmes',
    'léguât',
    'léguâtes',
    'léguèrent',
    'légué',
    'léguée',
    'léguées',
    'légués',
    'légère',
    'légèrement',
    'légères',
    'légèreté',
    'légèretés',
    'lémure',
    'lémures',
    'lénifia',
    'lénifiai',
    'lénifiaient',
    'lénifiais',
    'lénifiait',
    'lénifiant',
    'lénifiante',
    'lénifiantes',
    'lénifiants',
    'lénifias',
    'lénifiasse',
    'lénifiassent',
    'lénifiasses',
    'lénifiassiez',
    'lénifie',
    'lénifient',
    'lénifier',
    'lénifiera',
    'lénifierai',
    'lénifierais',
    'lénifierait',
    'lénifieras',
    'lénifierez',
    'lénifieriez',
    'lénifierions',
    'lénifierons',
    'lénifieront',
    'lénifies',
    'lénifiez',
    'lénifiiez',
    'lénifiions',
    'lénifions',
    'lénifiâmes',
    'lénifiât',
    'lénifiâtes',
    'lénifièrent',
    'lénifié',
    'lénifiée',
    'lénifiées',
    'lénifiés',
    'léninisme',
    'léninismes',
    'lénitif',
    'lénitifs',
    'lénitive',
    'lénitives',
    'léonard',
    'léonarde',
    'léonardes',
    'léonards',
    'léonin',
    'léonine',
    'léonines',
    'léonins',
    'léonure',
    'léonures',
    'léopard',
    'léopards',
    'léopardé',
    'léopardée',
    'léopardées',
    'léopardés',
    'lépidosirène',
    'lépidostée',
    'lépidostées',
    'lépiote',
    'lépiotes',
    'lépisme',
    'lépismes',
    'lépreuse',
    'lépreuses',
    'lépreux',
    'léprologie',
    'léprologies',
    'léprologiste',
    'léprologue',
    'léprologues',
    'léproserie',
    'léproseries',
    'lérot',
    'lérots',
    'lésa',
    'lésai',
    'lésaient',
    'lésais',
    'lésait',
    'lésant',
    'lésante',
    'lésantes',
    'lésants',
    'lésas',
    'lésasse',
    'lésassent',
    'lésasses',
    'lésassiez',
    'lésassions',
    'léser',
    'lésera',
    'léserai',
    'léseraient',
    'léserais',
    'léserait',
    'léseras',
    'léserez',
    'léseriez',
    'léserions',
    'léserons',
    'léseront',
    'lésez',
    'lésiez',
    'lésina',
    'lésinai',
    'lésinaient',
    'lésinais',
    'lésinait',
    'lésinant',
    'lésinante',
    'lésinantes',
    'lésinants',
    'lésinas',
    'lésinasse',
    'lésinassent',
    'lésinasses',
    'lésinassiez',
    'lésinassions',
    'lésine',
    'lésinent',
    'lésiner',
    'lésinera',
    'lésinerai',
    'lésineraient',
    'lésinerais',
    'lésinerait',
    'lésineras',
    'lésinerez',
    'lésinerie',
    'lésineries',
    'lésineriez',
    'lésinerions',
    'lésinerons',
    'lésineront',
    'lésines',
    'lésineur',
    'lésineurs',
    'lésineuse',
    'lésineuses',
    'lésinez',
    'lésiniez',
    'lésinions',
    'lésinons',
    'lésinâmes',
    'lésinât',
    'lésinâtes',
    'lésinèrent',
    'lésiné',
    'lésion',
    'lésionnaire',
    'lésionnaires',
    'lésionnel',
    'lésionnelle',
    'lésionnelles',
    'lésionnels',
    'lésions',
    'lésons',
    'lésâmes',
    'lésât',
    'lésâtes',
    'lésèrent',
    'lésé',
    'lésée',
    'lésées',
    'lésés',
    'létal',
    'létale',
    'létales',
    'létalité',
    'létalités',
    'létaux',
    'léthargie',
    'léthargies',
    'léthargique',
    'léthargiques',
    'lévigation',
    'lévigations',
    'lévige',
    'lévigea',
    'lévigeai',
    'lévigeaient',
    'lévigeais',
    'lévigeait',
    'lévigeant',
    'lévigeas',
    'lévigeasse',
    'lévigeassent',
    'lévigeasses',
    'lévigeassiez',
    'lévigent',
    'lévigeons',
    'léviger',
    'lévigera',
    'lévigerai',
    'lévigeraient',
    'lévigerais',
    'lévigerait',
    'lévigeras',
    'lévigerez',
    'lévigeriez',
    'lévigerions',
    'lévigerons',
    'lévigeront',
    'léviges',
    'lévigez',
    'lévigeâmes',
    'lévigeât',
    'lévigeâtes',
    'lévigiez',
    'lévigions',
    'lévigèrent',
    'lévigé',
    'lévigée',
    'lévigées',
    'lévigés',
    'lévirat',
    'lévirats',
    'lévitation',
    'lévitations',
    'lévite',
    'lévites',
    'lévrier',
    'lévriers',
    'lévulose',
    'lévuloses',
    'lézard',
    'lézarda',
    'lézardai',
    'lézardaient',
    'lézardais',
    'lézardait',
    'lézardant',
    'lézardas',
    'lézardasse',
    'lézardassent',
    'lézardasses',
    'lézardassiez',
    'lézarde',
    'lézardent',
    'lézarder',
    'lézardera',
    'lézarderai',
    'lézarderais',
    'lézarderait',
    'lézarderas',
    'lézarderez',
    'lézarderiez',
    'lézarderions',
    'lézarderons',
    'lézarderont',
    'lézardes',
    'lézardez',
    'lézardiez',
    'lézardions',
    'lézardons',
    'lézards',
    'lézardâmes',
    'lézardât',
    'lézardâtes',
    'lézardèrent',
    'lézardé',
    'lézardée',
    'lézardées',
    'lézardés',
    'lûmes',
    'lûtes',
    'maboul',
    'maboule',
    'maboules',
    'mabouls',
    'macabre',
    'macabres',
    'macache',
    'macadam',
    'macadamisa',
    'macadamisai',
    'macadamisais',
    'macadamisait',
    'macadamisant',
    'macadamisas',
    'macadamise',
    'macadamisent',
    'macadamiser',
    'macadamisera',
    'macadamises',
    'macadamisez',
    'macadamisiez',
    'macadamisons',
    'macadamisât',
    'macadamisé',
    'macadamisée',
    'macadamisées',
    'macadamisés',
    'macadams',
    'macaque',
    'macaques',
    'macareux',
    'macaron',
    'macaroni',
    'macaronique',
    'macaroniques',
    'macaronis',
    'macarons',
    'macassar',
    'macassars',
    'macchabée',
    'macchabées',
    'maceron',
    'macerons',
    'macfarlane',
    'macfarlanes',
    'mach',
    'machaon',
    'machaons',
    'machette',
    'machettes',
    'machiavel',
    'machiavels',
    'machicota',
    'machicotai',
    'machicotais',
    'machicotait',
    'machicotant',
    'machicotas',
    'machicotasse',
    'machicote',
    'machicotent',
    'machicoter',
    'machicotera',
    'machicoterai',
    'machicoteras',
    'machicoterez',
    'machicotes',
    'machicotez',
    'machicotiez',
    'machicotions',
    'machicotons',
    'machicotâmes',
    'machicotât',
    'machicotâtes',
    'machicoté',
    'machin',
    'machina',
    'machinai',
    'machinairent',
    'machinais',
    'machinaisse',
    'machinaisses',
    'machinait',
    'machinal',
    'machinale',
    'machinales',
    'machinas',
    'machinasse',
    'machinassent',
    'machinasses',
    'machinassiez',
    'machination',
    'machinations',
    'machinaux',
    'machinaîmes',
    'machinaît',
    'machinaîtes',
    'machine',
    'machinent',
    'machiner',
    'machinera',
    'machinerai',
    'machinerais',
    'machinerait',
    'machineras',
    'machinerez',
    'machinerie',
    'machineries',
    'machineriez',
    'machinerions',
    'machinerons',
    'machineront',
    'machines',
    'machinisme',
    'machinismes',
    'machiniste',
    'machinistes',
    'machins',
    'machinâmes',
    'machinât',
    'machinâtes',
    'machinèrent',
    'machiné',
    'machinée',
    'machinées',
    'machinés',
    'machisme',
    'machismes',
    'machmètre',
    'machmètres',
    'macho',
    'machos',
    'macis',
    'macla',
    'maclai',
    'maclaient',
    'maclais',
    'maclait',
    'maclant',
    'maclas',
    'maclasse',
    'maclassent',
    'maclasses',
    'maclassiez',
    'maclassions',
    'macle',
    'maclent',
    'macler',
    'maclera',
    'maclerai',
    'macleraient',
    'maclerais',
    'maclerait',
    'macleras',
    'maclerez',
    'macleriez',
    'maclerions',
    'maclerons',
    'macleront',
    'macles',
    'maclez',
    'macliez',
    'maclions',
    'maclons',
    'maclâmes',
    'maclât',
    'maclâtes',
    'maclèrent',
    'maclé',
    'maclée',
    'maclées',
    'maclés',
    'macqua',
    'macquai',
    'macquaient',
    'macquais',
    'macquait',
    'macquant',
    'macquas',
    'macquasse',
    'macquassent',
    'macquasses',
    'macquassiez',
    'macquassions',
    'macque',
    'macquent',
    'macquer',
    'macquera',
    'macquerai',
    'macqueraient',
    'macquerais',
    'macquerait',
    'macqueras',
    'macquerez',
    'macqueriez',
    'macquerions',
    'macquerons',
    'macqueront',
    'macques',
    'macquez',
    'macquiez',
    'macquions',
    'macquons',
    'macquâmes',
    'macquât',
    'macquâtes',
    'macquèrent',
    'macqué',
    'macquée',
    'macquées',
    'macqués',
    'macramé',
    'macramés',
    'macre',
    'macres',
    'macreuse',
    'macreuses',
    'macrocosme',
    'macrocosmes',
    'macrocyte',
    'macrocytes',
    'macrocéphale',
    'macrographie',
    'macropode',
    'macropodes',
    'macroscélide',
    'macrospore',
    'macrospores',
    'macroséisme',
    'macroséismes',
    'macroure',
    'macroures',
    'macs',
    'macula',
    'maculage',
    'maculages',
    'maculai',
    'maculaient',
    'maculais',
    'maculait',
    'maculant',
    'maculas',
    'maculasse',
    'maculassent',
    'maculasses',
    'maculassiez',
    'maculassions',
    'maculature',
    'maculatures',
    'macule',
    'maculent',
    'maculer',
    'maculera',
    'maculerai',
    'maculeraient',
    'maculerais',
    'maculerait',
    'maculeras',
    'maculerez',
    'maculeriez',
    'maculerions',
    'maculerons',
    'maculeront',
    'macules',
    'maculez',
    'maculiez',
    'maculions',
    'maculons',
    'maculâmes',
    'maculât',
    'maculâtes',
    'maculèrent',
    'maculé',
    'maculée',
    'maculées',
    'maculés',
    'macère',
    'macèrent',
    'macères',
    'macédoine',
    'macédoines',
    'macédonien',
    'macédonienne',
    'macédoniens',
    'macéra',
    'macérai',
    'macéraient',
    'macérais',
    'macérait',
    'macérant',
    'macéras',
    'macérasse',
    'macérassent',
    'macérasses',
    'macérassiez',
    'macérassions',
    'macérateur',
    'macérateurs',
    'macération',
    'macérations',
    'macérer',
    'macérera',
    'macérerai',
    'macéreraient',
    'macérerais',
    'macérerait',
    'macéreras',
    'macérerez',
    'macéreriez',
    'macérerions',
    'macérerons',
    'macéreront',
    'macérez',
    'macériez',
    'macérions',
    'macérons',
    'macérâmes',
    'macérât',
    'macérâtes',
    'macérèrent',
    'macéré',
    'macérée',
    'macérées',
    'macérés',
    'madame',
    'madapolam',
    'madapolams',
    'madeleine',
    'madeleines',
    'mademoiselle',
    'madone',
    'madones',
    'madrague',
    'madragues',
    'madras',
    'madrier',
    'madriers',
    'madrigal',
    'madrigalisa',
    'madrigalisai',
    'madrigalisas',
    'madrigalise',
    'madrigaliser',
    'madrigalises',
    'madrigalisez',
    'madrigaliste',
    'madrigalisât',
    'madrigalisé',
    'madrigaux',
    'madrilène',
    'madrilènes',
    'madré',
    'madrée',
    'madrées',
    'madrépore',
    'madrépores',
    'madréporique',
    'madrés',
    'madère',
    'madères',
    'madécasse',
    'madécasses',
    'madéfia',
    'madéfiai',
    'madéfiaient',
    'madéfiais',
    'madéfiait',
    'madéfiant',
    'madéfias',
    'madéfiasse',
    'madéfiassent',
    'madéfiasses',
    'madéfiassiez',
    'madéfie',
    'madéfient',
    'madéfier',
    'madéfiera',
    'madéfierai',
    'madéfierais',
    'madéfierait',
    'madéfieras',
    'madéfierez',
    'madéfieriez',
    'madéfierions',
    'madéfierons',
    'madéfieront',
    'madéfies',
    'madéfiez',
    'madéfiiez',
    'madéfiions',
    'madéfions',
    'madéfiâmes',
    'madéfiât',
    'madéfiâtes',
    'madéfièrent',
    'madéfié',
    'madéfiée',
    'madéfiées',
    'madéfiés',
    'madérisa',
    'madérisai',
    'madérisaient',
    'madérisais',
    'madérisait',
    'madérisant',
    'madérisas',
    'madérisasse',
    'madérisasses',
    'madérise',
    'madérisent',
    'madériser',
    'madérisera',
    'madériserai',
    'madériserais',
    'madériserait',
    'madériseras',
    'madériserez',
    'madériseriez',
    'madériserons',
    'madériseront',
    'madérises',
    'madérisez',
    'madérisiez',
    'madérisions',
    'madérisons',
    'madérisâmes',
    'madérisât',
    'madérisâtes',
    'madérisèrent',
    'madérisé',
    'madérisée',
    'madérisées',
    'madérisés',
    'maelström',
    'maelströms',
    'maestoso',
    'maestria',
    'maestro',
    'maestros',
    'maffia',
    'maffias',
    'maffiosi',
    'maffioso',
    'maffiosos',
    'mafflu',
    'mafflue',
    'mafflues',
    'mafflus',
    'mafia',
    'mafias',
    'mafiosi',
    'mafioso',
    'mafiosos',
    'magasin',
    'magasina',
    'magasinage',
    'magasinages',
    'magasinai',
    'magasinaient',
    'magasinais',
    'magasinait',
    'magasinant',
    'magasinas',
    'magasinasse',
    'magasinasses',
    'magasine',
    'magasinent',
    'magasiner',
    'magasinera',
    'magasinerai',
    'magasinerais',
    'magasinerait',
    'magasineras',
    'magasinerez',
    'magasineriez',
    'magasinerons',
    'magasineront',
    'magasines',
    'magasinez',
    'magasinier',
    'magasiniers',
    'magasiniez',
    'magasinions',
    'magasinière',
    'magasinières',
    'magasinons',
    'magasins',
    'magasinâmes',
    'magasinât',
    'magasinâtes',
    'magasinèrent',
    'magasiné',
    'magasinée',
    'magasinées',
    'magasinés',
    'magazine',
    'magazines',
    'magdalénien',
    'magdaléniens',
    'mage',
    'magenta',
    'mages',
    'maghrébin',
    'maghrébine',
    'maghrébines',
    'maghrébins',
    'maghzen',
    'maghzens',
    'magicien',
    'magicienne',
    'magiciennes',
    'magiciens',
    'magie',
    'magies',
    'magique',
    'magiquement',
    'magiques',
    'magister',
    'magisters',
    'magistral',
    'magistrale',
    'magistrales',
    'magistrat',
    'magistrats',
    'magistrature',
    'magistraux',
    'magistère',
    'magistères',
    'magma',
    'magmas',
    'magmatique',
    'magmatiques',
    'magna',
    'magnai',
    'magnaient',
    'magnais',
    'magnait',
    'magnanarelle',
    'magnanerie',
    'magnaneries',
    'magnanier',
    'magnaniers',
    'magnanime',
    'magnanimes',
    'magnanimité',
    'magnanimités',
    'magnanière',
    'magnanières',
    'magnant',
    'magnas',
    'magnasse',
    'magnassent',
    'magnasses',
    'magnassiez',
    'magnassions',
    'magnat',
    'magnats',
    'magne',
    'magnent',
    'magner',
    'magnera',
    'magnerai',
    'magneraient',
    'magnerais',
    'magnerait',
    'magneras',
    'magnerez',
    'magneriez',
    'magnerions',
    'magnerons',
    'magneront',
    'magnes',
    'magnez',
    'magniez',
    'magnifia',
    'magnifiai',
    'magnifiaient',
    'magnifiais',
    'magnifiait',
    'magnifiant',
    'magnifias',
    'magnifiasse',
    'magnifiasses',
    'magnificat',
    'magnificats',
    'magnificence',
    'magnifie',
    'magnifient',
    'magnifier',
    'magnifiera',
    'magnifierai',
    'magnifierais',
    'magnifierait',
    'magnifieras',
    'magnifierez',
    'magnifieriez',
    'magnifierons',
    'magnifieront',
    'magnifies',
    'magnifiez',
    'magnifiiez',
    'magnifiions',
    'magnifions',
    'magnifique',
    'magnifiques',
    'magnifiâmes',
    'magnifiât',
    'magnifiâtes',
    'magnifièrent',
    'magnifié',
    'magnifiée',
    'magnifiées',
    'magnifiés',
    'magnions',
    'magnitude',
    'magnitudes',
    'magnolia',
    'magnolias',
    'magnons',
    'magnum',
    'magnums',
    'magnâmes',
    'magnât',
    'magnâtes',
    'magnèrent',
    'magné',
    'magnée',
    'magnées',
    'magnés',
    'magnésie',
    'magnésien',
    'magnésienne',
    'magnésiennes',
    'magnésiens',
    'magnésies',
    'magnésite',
    'magnésites',
    'magnésium',
    'magnésiums',
    'magnétique',
    'magnétiques',
    'magnétisa',
    'magnétisai',
    'magnétisais',
    'magnétisait',
    'magnétisant',
    'magnétisante',
    'magnétisants',
    'magnétisas',
    'magnétisasse',
    'magnétise',
    'magnétisent',
    'magnétiser',
    'magnétisera',
    'magnétiserai',
    'magnétiseras',
    'magnétiserez',
    'magnétises',
    'magnétiseur',
    'magnétiseurs',
    'magnétiseuse',
    'magnétisez',
    'magnétisiez',
    'magnétisions',
    'magnétisme',
    'magnétismes',
    'magnétisons',
    'magnétisâmes',
    'magnétisât',
    'magnétisâtes',
    'magnétisé',
    'magnétisée',
    'magnétisées',
    'magnétisés',
    'magnétite',
    'magnétites',
    'magnéto',
    'magnétomètre',
    'magnétophone',
    'magnétos',
    'magnétoscopa',
    'magnétoscope',
    'magnétoscopé',
    'magnétron',
    'magnétrons',
    'magot',
    'magots',
    'magouillai',
    'magouillais',
    'magouillait',
    'magouillant',
    'magouillante',
    'magouillants',
    'magouille',
    'magouillent',
    'magouiller',
    'magouillera',
    'magouillerai',
    'magouilleras',
    'magouillerez',
    'magouilles',
    'magouilleur',
    'magouilleurs',
    'magouilleuse',
    'magouillez',
    'magouilliez',
    'magouillions',
    'magouillons',
    'magouillé',
    'magouillée',
    'magouillées',
    'magouillés',
    'magret',
    'magrets',
    'magyare',
    'magyares',
    'maharadjah',
    'maharadjahs',
    'maharajah',
    'maharajahs',
    'maharani',
    'maharanis',
    'mahatma',
    'mahatmas',
    'mahdiste',
    'mahdistes',
    'mahométan',
    'mahométane',
    'mahométanes',
    'mahométans',
    'mahométisme',
    'mahométismes',
    'mahonia',
    'mahonias',
    'mahonne',
    'mahonnes',
    'mahous',
    'mahousse',
    'mahousses',
    'mahratte',
    'mahrattes',
    'maie',
    'maies',
    'maigre',
    'maigrelet',
    'maigrelets',
    'maigrelette',
    'maigrelettes',
    'maigrement',
    'maigres',
    'maigreur',
    'maigreurs',
    'maigri',
    'maigrichon',
    'maigrichonne',
    'maigrichons',
    'maigrie',
    'maigries',
    'maigriot',
    'maigriots',
    'maigriotte',
    'maigriottes',
    'maigrir',
    'maigrira',
    'maigrirai',
    'maigriraient',
    'maigrirais',
    'maigrirait',
    'maigriras',
    'maigrirent',
    'maigrirez',
    'maigririez',
    'maigririons',
    'maigrirons',
    'maigriront',
    'maigris',
    'maigrissais',
    'maigrissait',
    'maigrissant',
    'maigrisse',
    'maigrissent',
    'maigrisses',
    'maigrissez',
    'maigrissiez',
    'maigrissions',
    'maigrissons',
    'maigrit',
    'maigrîmes',
    'maigrît',
    'maigrîtes',
    'mail',
    'mailing',
    'mailings',
    'mailla',
    'maillai',
    'maillaient',
    'maillais',
    'maillait',
    'maillant',
    'maillas',
    'maillasse',
    'maillassent',
    'maillasses',
    'maillassiez',
    'maillassions',
    'maille',
    'maillechort',
    'maillechorts',
    'mailler',
    'maillera',
    'maillerai',
    'mailleraient',
    'maillerais',
    'maillerait',
    'mailleras',
    'maillerez',
    'mailleriez',
    'maillerions',
    'maillerons',
    'mailleront',
    'mailles',
    'maillet',
    'mailleton',
    'mailletons',
    'maillets',
    'maillez',
    'mailliez',
    'maillions',
    'mailloche',
    'mailloches',
    'maillon',
    'maillons',
    'maillot',
    'maillotin',
    'maillotins',
    'maillots',
    'maillure',
    'maillures',
    'maillâmes',
    'maillât',
    'maillâtes',
    'maillèrent',
    'maillé',
    'maillée',
    'maillées',
    'maillés',
    'mails',
    'main',
    'mainate',
    'mainates',
    'mainlevée',
    'mainlevées',
    'mainmise',
    'mainmises',
    'mainmortable',
    'mainmorte',
    'mainmortes',
    'mains',
    'maint',
    'mainte',
    'maintenaient',
    'maintenais',
    'maintenait',
    'maintenance',
    'maintenances',
    'maintenant',
    'mainteneur',
    'mainteneurs',
    'maintenez',
    'mainteniez',
    'maintenions',
    'maintenir',
    'maintenons',
    'maintenu',
    'maintenue',
    'maintenues',
    'maintenus',
    'maintes',
    'maintien',
    'maintiendra',
    'maintiendrai',
    'maintiendras',
    'maintiendrez',
    'maintienne',
    'maintiennent',
    'maintiennes',
    'maintiens',
    'maintient',
    'maintinrent',
    'maintins',
    'maintinsse',
    'maintinssent',
    'maintinsses',
    'maintinssiez',
    'maintint',
    'maints',
    'maintînmes',
    'maintînt',
    'maintîntes',
    'maire',
    'maires',
    'mairie',
    'mairies',
    'mais',
    'maison',
    'maisonnette',
    'maisonnettes',
    'maisonnée',
    'maisonnées',
    'maisons',
    'majestueuse',
    'majestueuses',
    'majestueux',
    'majesté',
    'majestés',
    'majeur',
    'majeure',
    'majeures',
    'majeurs',
    'majolique',
    'majoliques',
    'major',
    'majora',
    'majorai',
    'majoraient',
    'majorais',
    'majorait',
    'majoral',
    'majorant',
    'majorante',
    'majorantes',
    'majorants',
    'majoras',
    'majorasse',
    'majorassent',
    'majorasses',
    'majorassiez',
    'majorassions',
    'majorat',
    'majoration',
    'majorations',
    'majorats',
    'majoraux',
    'majordome',
    'majordomes',
    'majore',
    'majorent',
    'majorer',
    'majorera',
    'majorerai',
    'majoreraient',
    'majorerais',
    'majorerait',
    'majoreras',
    'majorerez',
    'majoreriez',
    'majorerions',
    'majorerons',
    'majoreront',
    'majores',
    'majorette',
    'majorettes',
    'majorez',
    'majoriez',
    'majorions',
    'majoritaire',
    'majoritaires',
    'majorité',
    'majorités',
    'majorons',
    'majors',
    'majorâmes',
    'majorât',
    'majorâtes',
    'majorèrent',
    'majoré',
    'majorée',
    'majorées',
    'majorés',
    'majuscule',
    'majuscules',
    'maki',
    'makimono',
    'makimonos',
    'makis',
    'malabar',
    'malabars',
    'malachite',
    'malachites',
    'malacologie',
    'malacologies',
    'malade',
    'malades',
    'maladie',
    'maladies',
    'maladif',
    'maladifs',
    'maladive',
    'maladivement',
    'maladives',
    'maladrerie',
    'maladreries',
    'maladresse',
    'maladresses',
    'maladroit',
    'maladroite',
    'maladroites',
    'maladroits',
    'malaga',
    'malaire',
    'malaires',
    'malais',
    'malaise',
    'malaises',
    'malaisé',
    'malaisée',
    'malaisées',
    'malaisément',
    'malaisés',
    'malandre',
    'malandres',
    'malandreuse',
    'malandreuses',
    'malandreux',
    'malandrin',
    'malandrins',
    'malappris',
    'malapprise',
    'malapprises',
    'malard',
    'malards',
    'malaria',
    'malart',
    'malarts',
    'malavisé',
    'malavisée',
    'malavisées',
    'malavisés',
    'malaxa',
    'malaxage',
    'malaxages',
    'malaxai',
    'malaxaient',
    'malaxais',
    'malaxait',
    'malaxant',
    'malaxas',
    'malaxasse',
    'malaxassent',
    'malaxasses',
    'malaxassiez',
    'malaxassions',
    'malaxe',
    'malaxent',
    'malaxer',
    'malaxera',
    'malaxerai',
    'malaxeraient',
    'malaxerais',
    'malaxerait',
    'malaxeras',
    'malaxerez',
    'malaxeriez',
    'malaxerions',
    'malaxerons',
    'malaxeront',
    'malaxes',
    'malaxeur',
    'malaxeurs',
    'malaxez',
    'malaxiez',
    'malaxions',
    'malaxons',
    'malaxâmes',
    'malaxât',
    'malaxâtes',
    'malaxèrent',
    'malaxé',
    'malaxée',
    'malaxées',
    'malaxés',
    'malchance',
    'malchances',
    'malchanceuse',
    'malchanceux',
    'malcommode',
    'malcommodes',
    'maldonne',
    'maldonnes',
    'malentendant',
    'malentendu',
    'malentendus',
    'malfaire',
    'malfais',
    'malfaisaient',
    'malfaisais',
    'malfaisait',
    'malfaisance',
    'malfaisances',
    'malfaisant',
    'malfaisante',
    'malfaisantes',
    'malfaisants',
    'malfaisiez',
    'malfaisions',
    'malfaisons',
    'malfait',
    'malfaite',
    'malfaites',
    'malfaiteur',
    'malfaiteurs',
    'malfaits',
    'malfamé',
    'malfamée',
    'malfamées',
    'malfamés',
    'malfasse',
    'malfassent',
    'malfasses',
    'malfassiez',
    'malfassions',
    'malfaçon',
    'malfaçons',
    'malfera',
    'malferai',
    'malferaient',
    'malferais',
    'malferait',
    'malferas',
    'malferez',
    'malferiez',
    'malferions',
    'malferons',
    'malferont',
    'malfirent',
    'malfis',
    'malfisse',
    'malfissent',
    'malfisses',
    'malfissiez',
    'malfissions',
    'malfit',
    'malfont',
    'malformation',
    'malfrat',
    'malfrats',
    'malfîmes',
    'malfît',
    'malfîtes',
    'malgache',
    'malgaches',
    'malgracieuse',
    'malgracieux',
    'malgré',
    'malhabile',
    'malhabiles',
    'malheur',
    'malheureuse',
    'malheureuses',
    'malheureux',
    'malheurs',
    'malhonnête',
    'malhonnêtes',
    'malhonnêteté',
    'mali',
    'malice',
    'malices',
    'malicieuse',
    'malicieuses',
    'malicieux',
    'malien',
    'malienne',
    'maliennes',
    'maliens',
    'maligne',
    'malignes',
    'malignité',
    'malignités',
    'malin',
    'malingre',
    'malingres',
    'malinois',
    'malins',
    'malique',
    'maliques',
    'malis',
    'malle',
    'malles',
    'mallette',
    'mallettes',
    'malléabilisa',
    'malléabilise',
    'malléabilisé',
    'malléabilité',
    'malléable',
    'malléables',
    'malléolaire',
    'malléolaires',
    'malléole',
    'malléoles',
    'malmena',
    'malmenai',
    'malmenaient',
    'malmenais',
    'malmenait',
    'malmenant',
    'malmenas',
    'malmenasse',
    'malmenassent',
    'malmenasses',
    'malmenassiez',
    'malmener',
    'malmenez',
    'malmeniez',
    'malmenions',
    'malmenons',
    'malmenâmes',
    'malmenât',
    'malmenâtes',
    'malmenèrent',
    'malmené',
    'malmenée',
    'malmenées',
    'malmenés',
    'malmène',
    'malmènent',
    'malmènera',
    'malmènerai',
    'malmènerais',
    'malmènerait',
    'malmèneras',
    'malmènerez',
    'malmèneriez',
    'malmènerions',
    'malmènerons',
    'malmèneront',
    'malmènes',
    'malnutrition',
    'malocclusion',
    'malodorant',
    'malodorante',
    'malodorantes',
    'malodorants',
    'malotru',
    'malotrue',
    'malotrues',
    'malotrus',
    'malpighie',
    'malpighies',
    'malpoli',
    'malpolie',
    'malpolies',
    'malpolis',
    'malposition',
    'malpositions',
    'malpropre',
    'malpropres',
    'malpropreté',
    'malpropretés',
    'malsain',
    'malsaine',
    'malsaines',
    'malsains',
    'malsonnant',
    'malsonnante',
    'malsonnantes',
    'malsonnants',
    'malséant',
    'malséante',
    'malséantes',
    'malséants',
    'malt',
    'malta',
    'maltage',
    'maltages',
    'maltai',
    'maltaient',
    'maltais',
    'maltait',
    'maltant',
    'maltas',
    'maltase',
    'maltases',
    'maltasse',
    'maltassent',
    'maltasses',
    'maltassiez',
    'maltassions',
    'malte',
    'maltent',
    'malter',
    'maltera',
    'malterai',
    'malteraient',
    'malterais',
    'malterait',
    'malteras',
    'malterez',
    'malterie',
    'malteries',
    'malteriez',
    'malterions',
    'malterons',
    'malteront',
    'maltes',
    'malteur',
    'malteurs',
    'maltez',
    'malthusien',
    'malthusienne',
    'malthusiens',
    'maltiez',
    'maltions',
    'maltons',
    'maltose',
    'maltoses',
    'maltraita',
    'maltraitai',
    'maltraitais',
    'maltraitait',
    'maltraitant',
    'maltraitante',
    'maltraitants',
    'maltraitas',
    'maltraitasse',
    'maltraite',
    'maltraitent',
    'maltraiter',
    'maltraitera',
    'maltraiterai',
    'maltraiteras',
    'maltraiterez',
    'maltraites',
    'maltraitez',
    'maltraitiez',
    'maltraitions',
    'maltraitons',
    'maltraitâmes',
    'maltraitât',
    'maltraitâtes',
    'maltraité',
    'maltraitée',
    'maltraitées',
    'maltraités',
    'malts',
    'maltâmes',
    'maltât',
    'maltâtes',
    'maltèrent',
    'malté',
    'maltée',
    'maltées',
    'maltés',
    'maltôte',
    'maltôtes',
    'malus',
    'malveillance',
    'malveillant',
    'malveillante',
    'malveillants',
    'malvenu',
    'malvenue',
    'malvenues',
    'malvenus',
    'malversation',
    'malvoyant',
    'malvoyante',
    'malvoyantes',
    'malvoyants',
    'malédiction',
    'malédictions',
    'maléfice',
    'maléfices',
    'maléfique',
    'maléfiques',
    'maman',
    'mamans',
    'mambo',
    'mambos',
    'mamelle',
    'mamelles',
    'mamelon',
    'mamelonna',
    'mamelonnai',
    'mamelonnais',
    'mamelonnait',
    'mamelonnant',
    'mamelonnas',
    'mamelonnasse',
    'mamelonne',
    'mamelonnent',
    'mamelonner',
    'mamelonnera',
    'mamelonnerai',
    'mamelonneras',
    'mamelonnerez',
    'mamelonnes',
    'mamelonnez',
    'mamelonniez',
    'mamelonnions',
    'mamelonnons',
    'mamelonnâmes',
    'mamelonnât',
    'mamelonnâtes',
    'mamelonné',
    'mamelonnée',
    'mamelonnées',
    'mamelonnés',
    'mamelons',
    'mamelouke',
    'mameloukes',
    'mamelu',
    'mamelue',
    'mamelues',
    'mameluke',
    'mamelukes',
    'mamelus',
    'mamie',
    'mamies',
    'mamillaire',
    'mamillaires',
    'mammaire',
    'mammaires',
    'mammalien',
    'mammalienne',
    'mammaliennes',
    'mammaliens',
    'mammalogie',
    'mammalogies',
    'mammifère',
    'mammifères',
    'mammite',
    'mammites',
    'mammographie',
    'mammouth',
    'mammouths',
    'mammy',
    'mammys',
    'mamours',
    'mana',
    'manade',
    'manades',
    'manage',
    'managea',
    'manageai',
    'manageaient',
    'manageais',
    'manageait',
    'manageant',
    'manageas',
    'manageasse',
    'manageassent',
    'manageasses',
    'manageassiez',
    'management',
    'managements',
    'managent',
    'manageons',
    'manager',
    'managera',
    'managerai',
    'manageraient',
    'managerais',
    'managerait',
    'manageras',
    'managerez',
    'manageriez',
    'managerions',
    'managerons',
    'manageront',
    'managers',
    'manages',
    'managez',
    'manageâmes',
    'manageât',
    'manageâtes',
    'managiez',
    'managions',
    'managèrent',
    'managé',
    'managée',
    'managées',
    'managés',
    'manant',
    'manants',
    'manas',
    'mancelle',
    'mancelles',
    'mancenille',
    'mancenilles',
    'mancenillier',
    'manche',
    'mancheron',
    'mancherons',
    'manches',
    'manchette',
    'manchettes',
    'manchon',
    'manchonna',
    'manchonnai',
    'manchonnais',
    'manchonnait',
    'manchonnant',
    'manchonnas',
    'manchonnasse',
    'manchonne',
    'manchonnent',
    'manchonner',
    'manchonnera',
    'manchonnerai',
    'manchonneras',
    'manchonnerez',
    'manchonnes',
    'manchonnez',
    'manchonniez',
    'manchonnions',
    'manchonnons',
    'manchonnâmes',
    'manchonnât',
    'manchonnâtes',
    'manchonné',
    'manchonnée',
    'manchonnées',
    'manchonnés',
    'manchons',
    'manchot',
    'manchote',
    'manchotes',
    'manchots',
    'mancie',
    'mancies',
    'mancipation',
    'mancipations',
    'manda',
    'mandai',
    'mandaient',
    'mandais',
    'mandait',
    'mandale',
    'mandales',
    'mandant',
    'mandante',
    'mandantes',
    'mandants',
    'mandarin',
    'mandarinal',
    'mandarinale',
    'mandarinales',
    'mandarinat',
    'mandarinats',
    'mandarinaux',
    'mandarine',
    'mandarines',
    'mandarinier',
    'mandariniers',
    'mandarins',
    'mandas',
    'mandasse',
    'mandassent',
    'mandasses',
    'mandassiez',
    'mandassions',
    'mandat',
    'mandata',
    'mandatai',
    'mandataient',
    'mandataire',
    'mandataires',
    'mandatais',
    'mandatait',
    'mandatant',
    'mandatas',
    'mandatasse',
    'mandatassent',
    'mandatasses',
    'mandatassiez',
    'mandate',
    'mandatement',
    'mandatements',
    'mandatent',
    'mandater',
    'mandatera',
    'mandaterai',
    'mandaterais',
    'mandaterait',
    'mandateras',
    'mandaterez',
    'mandateriez',
    'mandaterions',
    'mandaterons',
    'mandateront',
    'mandates',
    'mandatez',
    'mandatiez',
    'mandations',
    'mandatons',
    'mandats',
    'mandatâmes',
    'mandatât',
    'mandatâtes',
    'mandatèrent',
    'mandaté',
    'mandatée',
    'mandatées',
    'mandatés',
    'mandchou',
    'mandchoue',
    'mandchoues',
    'mandchous',
    'mande',
    'mandement',
    'mandements',
    'mandent',
    'mander',
    'mandera',
    'manderai',
    'manderaient',
    'manderais',
    'manderait',
    'manderas',
    'manderez',
    'manderiez',
    'manderions',
    'manderons',
    'manderont',
    'mandes',
    'mandez',
    'mandibulaire',
    'mandibule',
    'mandibules',
    'mandiez',
    'mandions',
    'mandoline',
    'mandolines',
    'mandoliniste',
    'mandons',
    'mandore',
    'mandores',
    'mandorle',
    'mandorles',
    'mandragore',
    'mandragores',
    'mandrill',
    'mandrills',
    'mandrin',
    'mandriner',
    'mandrins',
    'manducation',
    'manducations',
    'mandâmes',
    'mandât',
    'mandâtes',
    'mandèrent',
    'mandé',
    'mandée',
    'mandées',
    'mandés',
    'maneton',
    'manetons',
    'manette',
    'manettes',
    'manganate',
    'manganates',
    'manganeux',
    'manganique',
    'manganiques',
    'manganite',
    'manganites',
    'manganèse',
    'manganèses',
    'mange',
    'mangea',
    'mangeable',
    'mangeables',
    'mangeai',
    'mangeaient',
    'mangeaille',
    'mangeailles',
    'mangeais',
    'mangeait',
    'mangeant',
    'mangeas',
    'mangeasse',
    'mangeassent',
    'mangeasses',
    'mangeassiez',
    'mangeassions',
    'mangent',
    'mangeoire',
    'mangeoires',
    'mangeons',
    'mangeotta',
    'mangeottai',
    'mangeottais',
    'mangeottait',
    'mangeottant',
    'mangeottas',
    'mangeottasse',
    'mangeotte',
    'mangeottent',
    'mangeotter',
    'mangeottera',
    'mangeotterai',
    'mangeotteras',
    'mangeotterez',
    'mangeottes',
    'mangeottez',
    'mangeottiez',
    'mangeottions',
    'mangeottons',
    'mangeottâmes',
    'mangeottât',
    'mangeottâtes',
    'mangeotté',
    'mangeottée',
    'mangeottées',
    'mangeottés',
    'manger',
    'mangera',
    'mangerai',
    'mangeraient',
    'mangerais',
    'mangerait',
    'mangeras',
    'mangerez',
    'mangeriez',
    'mangerions',
    'mangerons',
    'mangeront',
    'manges',
    'mangetout',
    'mangeur',
    'mangeure',
    'mangeures',
    'mangeurs',
    'mangeuse',
    'mangeuses',
    'mangez',
    'mangeâmes',
    'mangeât',
    'mangeâtes',
    'mangiez',
    'mangions',
    'manglier',
    'mangliers',
    'mangoustan',
    'mangoustans',
    'mangouste',
    'mangoustes',
    'mangrove',
    'mangroves',
    'mangue',
    'mangues',
    'manguier',
    'manguiers',
    'mangèrent',
    'mangé',
    'mangée',
    'mangées',
    'mangés',
    'mania',
    'maniabilité',
    'maniabilités',
    'maniable',
    'maniables',
    'maniai',
    'maniaient',
    'maniais',
    'maniait',
    'maniant',
    'maniaque',
    'maniaquerie',
    'maniaqueries',
    'maniaques',
    'manias',
    'maniasse',
    'maniassent',
    'maniasses',
    'maniassiez',
    'maniassions',
    'manichordion',
    'manichéen',
    'manichéenne',
    'manichéennes',
    'manichéens',
    'manichéisme',
    'manichéismes',
    'manicle',
    'manicles',
    'manicorde',
    'manicordes',
    'manie',
    'maniement',
    'maniements',
    'manient',
    'manier',
    'maniera',
    'manierai',
    'manieraient',
    'manierais',
    'manierait',
    'manieras',
    'manierez',
    'manieriez',
    'manierions',
    'manierons',
    'manieront',
    'manies',
    'manieur',
    'manieurs',
    'manieuse',
    'manieuses',
    'maniez',
    'manifesta',
    'manifestai',
    'manifestais',
    'manifestait',
    'manifestant',
    'manifestante',
    'manifestants',
    'manifestas',
    'manifestasse',
    'manifeste',
    'manifestent',
    'manifester',
    'manifestera',
    'manifesterai',
    'manifesteras',
    'manifesterez',
    'manifestes',
    'manifestez',
    'manifestiez',
    'manifestions',
    'manifestons',
    'manifestâmes',
    'manifestât',
    'manifestâtes',
    'manifesté',
    'manifestée',
    'manifestées',
    'manifestés',
    'manifold',
    'manifolds',
    'manigance',
    'manigancent',
    'manigancer',
    'manigancera',
    'manigancerai',
    'maniganceras',
    'manigancerez',
    'manigances',
    'manigancez',
    'maniganciez',
    'manigancions',
    'manigancé',
    'manigancée',
    'manigancées',
    'manigancés',
    'manigança',
    'manigançai',
    'manigançais',
    'manigançait',
    'manigançant',
    'maniganças',
    'manigançasse',
    'manigançons',
    'manigançâmes',
    'manigançât',
    'manigançâtes',
    'maniguette',
    'maniguettes',
    'maniiez',
    'maniions',
    'manille',
    'manilles',
    'manillon',
    'manillons',
    'manioc',
    'maniocs',
    'manions',
    'manipula',
    'manipulai',
    'manipulaient',
    'manipulais',
    'manipulait',
    'manipulant',
    'manipulante',
    'manipulantes',
    'manipulants',
    'manipulas',
    'manipulasse',
    'manipulasses',
    'manipulateur',
    'manipulation',
    'manipule',
    'manipulent',
    'manipuler',
    'manipulera',
    'manipulerai',
    'manipulerais',
    'manipulerait',
    'manipuleras',
    'manipulerez',
    'manipuleriez',
    'manipulerons',
    'manipuleront',
    'manipules',
    'manipulez',
    'manipuliez',
    'manipulions',
    'manipulons',
    'manipulâmes',
    'manipulât',
    'manipulâtes',
    'manipulèrent',
    'manipulé',
    'manipulée',
    'manipulées',
    'manipulés',
    'manique',
    'maniques',
    'manitou',
    'manitous',
    'manivelle',
    'manivelles',
    'maniâmes',
    'maniât',
    'maniâtes',
    'manière',
    'manièrent',
    'manières',
    'manié',
    'maniée',
    'maniées',
    'maniéra',
    'maniérai',
    'maniéraient',
    'maniérais',
    'maniérait',
    'maniérant',
    'maniéras',
    'maniérasse',
    'maniérassent',
    'maniérasses',
    'maniérassiez',
    'maniérer',
    'maniérera',
    'maniérerai',
    'maniérerais',
    'maniérerait',
    'maniéreras',
    'maniérerez',
    'maniéreriez',
    'maniérerions',
    'maniérerons',
    'maniéreront',
    'maniérez',
    'maniériez',
    'maniérions',
    'maniérisme',
    'maniérismes',
    'maniériste',
    'maniéristes',
    'maniérons',
    'maniérâmes',
    'maniérât',
    'maniérâtes',
    'maniérèrent',
    'maniéré',
    'maniérée',
    'maniérées',
    'maniérés',
    'maniés',
    'manne',
    'mannequin',
    'mannequina',
    'mannequinai',
    'mannequinais',
    'mannequinait',
    'mannequinant',
    'mannequinas',
    'mannequine',
    'mannequinent',
    'mannequiner',
    'mannequinera',
    'mannequines',
    'mannequinez',
    'mannequiniez',
    'mannequinons',
    'mannequins',
    'mannequinât',
    'mannequiné',
    'mannequinée',
    'mannequinées',
    'mannequinés',
    'mannes',
    'mannite',
    'mannites',
    'mannose',
    'mannoses',
    'manoeuvra',
    'manoeuvrable',
    'manoeuvrai',
    'manoeuvrais',
    'manoeuvrait',
    'manoeuvrant',
    'manoeuvras',
    'manoeuvrasse',
    'manoeuvre',
    'manoeuvrent',
    'manoeuvrer',
    'manoeuvrera',
    'manoeuvrerai',
    'manoeuvreras',
    'manoeuvrerez',
    'manoeuvres',
    'manoeuvrez',
    'manoeuvrier',
    'manoeuvriers',
    'manoeuvriez',
    'manoeuvrions',
    'manoeuvrière',
    'manoeuvrons',
    'manoeuvrâmes',
    'manoeuvrât',
    'manoeuvrâtes',
    'manoeuvré',
    'manoeuvrée',
    'manoeuvrées',
    'manoeuvrés',
    'manoir',
    'manoirs',
    'manomètre',
    'manomètres',
    'manométrie',
    'manométries',
    'manométrique',
    'manoqua',
    'manoquai',
    'manoquaient',
    'manoquais',
    'manoquait',
    'manoquant',
    'manoquas',
    'manoquasse',
    'manoquassent',
    'manoquasses',
    'manoquassiez',
    'manoque',
    'manoquent',
    'manoquer',
    'manoquera',
    'manoquerai',
    'manoquerais',
    'manoquerait',
    'manoqueras',
    'manoquerez',
    'manoqueriez',
    'manoquerions',
    'manoquerons',
    'manoqueront',
    'manoques',
    'manoquez',
    'manoquiez',
    'manoquions',
    'manoquons',
    'manoquâmes',
    'manoquât',
    'manoquâtes',
    'manoquèrent',
    'manoqué',
    'manoquée',
    'manoquées',
    'manoqués',
    'manouche',
    'manouches',
    'manouvrier',
    'manouvriers',
    'manouvrière',
    'manouvrières',
    'manqua',
    'manquai',
    'manquaient',
    'manquais',
    'manquait',
    'manquant',
    'manquante',
    'manquantes',
    'manquants',
    'manquas',
    'manquasse',
    'manquassent',
    'manquasses',
    'manquassiez',
    'manquassions',
    'manque',
    'manquement',
    'manquements',
    'manquent',
    'manquer',
    'manquera',
    'manquerai',
    'manqueraient',
    'manquerais',
    'manquerait',
    'manqueras',
    'manquerez',
    'manqueriez',
    'manquerions',
    'manquerons',
    'manqueront',
    'manques',
    'manquez',
    'manquiez',
    'manquions',
    'manquons',
    'manquâmes',
    'manquât',
    'manquâtes',
    'manquèrent',
    'manqué',
    'manquée',
    'manquées',
    'manqués',
    'mans',
    'mansarda',
    'mansardai',
    'mansardaient',
    'mansardais',
    'mansardait',
    'mansardant',
    'mansardas',
    'mansardasse',
    'mansardasses',
    'mansarde',
    'mansardent',
    'mansarder',
    'mansardera',
    'mansarderai',
    'mansarderais',
    'mansarderait',
    'mansarderas',
    'mansarderez',
    'mansarderiez',
    'mansarderons',
    'mansarderont',
    'mansardes',
    'mansardez',
    'mansardiez',
    'mansardions',
    'mansardons',
    'mansardâmes',
    'mansardât',
    'mansardâtes',
    'mansardèrent',
    'mansardé',
    'mansardée',
    'mansardées',
    'mansardés',
    'manse',
    'manses',
    'mansion',
    'mansions',
    'mansuétude',
    'mansuétudes',
    'mante',
    'manteau',
    'manteaux',
    'mantelet',
    'mantelets',
    'mantelure',
    'mantelures',
    'mantelé',
    'mantelée',
    'mantelées',
    'mantelés',
    'mantes',
    'mantille',
    'mantilles',
    'mantique',
    'mantiques',
    'mantisse',
    'mantisses',
    'manubrium',
    'manubriums',
    'manucura',
    'manucurai',
    'manucuraient',
    'manucurais',
    'manucurait',
    'manucurant',
    'manucuras',
    'manucurasse',
    'manucurasses',
    'manucure',
    'manucurent',
    'manucurer',
    'manucurera',
    'manucurerai',
    'manucurerais',
    'manucurerait',
    'manucureras',
    'manucurerez',
    'manucureriez',
    'manucurerons',
    'manucureront',
    'manucures',
    'manucurez',
    'manucuriez',
    'manucurions',
    'manucurons',
    'manucurâmes',
    'manucurât',
    'manucurâtes',
    'manucurèrent',
    'manucuré',
    'manucurée',
    'manucurées',
    'manucurés',
    'manuel',
    'manuelle',
    'manuellement',
    'manuelles',
    'manuels',
    'manufactura',
    'manufacturai',
    'manufacturas',
    'manufacture',
    'manufacturer',
    'manufactures',
    'manufacturez',
    'manufacturât',
    'manufacturé',
    'manufacturée',
    'manufacturés',
    'manumission',
    'manumissions',
    'manuscrit',
    'manuscrite',
    'manuscrites',
    'manuscrits',
    'manutention',
    'manutentions',
    'manuterge',
    'manuterges',
    'manuélin',
    'manuéline',
    'manuélines',
    'manuélins',
    'manège',
    'manègent',
    'manèges',
    'manécanterie',
    'manégea',
    'manégeai',
    'manégeaient',
    'manégeais',
    'manégeait',
    'manégeant',
    'manégeas',
    'manégeasse',
    'manégeassent',
    'manégeasses',
    'manégeassiez',
    'manégeons',
    'manéger',
    'manégera',
    'manégerai',
    'manégeraient',
    'manégerais',
    'manégerait',
    'manégeras',
    'manégerez',
    'manégeriez',
    'manégerions',
    'manégerons',
    'manégeront',
    'manégez',
    'manégeâmes',
    'manégeât',
    'manégeâtes',
    'manégiez',
    'manégions',
    'manégèrent',
    'manégé',
    'manégée',
    'manégées',
    'manégés',
    'manoeuvra',
    'manoeuvrable',
    'manoeuvrais',
    'manoeuvrait',
    'manoeuvrant',
    'manoeuvre',
    'manoeuvrent',
    'manoeuvrer',
    'manoeuvrera',
    'manoeuvrerai',
    'manoeuvreras',
    'manoeuvrerez',
    'manoeuvres',
    'manoeuvrez',
    'manoeuvrier',
    'manoeuvriers',
    'manoeuvriez',
    'manoeuvrions',
    'manoeuvrière',
    'manoeuvrons',
    'manoeuvré',
    'manoeuvrée',
    'manoeuvrées',
    'manoeuvrés',
    'maori',
    'maorie',
    'maories',
    'maoris',
    'maousse',
    'maousses',
    'maoux',
    'maoïsme',
    'maoïsmes',
    'maoïste',
    'maoïstes',
    'mappemonde',
    'mappemondes',
    'maqua',
    'maquai',
    'maquaient',
    'maquais',
    'maquait',
    'maquant',
    'maquas',
    'maquasse',
    'maquassent',
    'maquasses',
    'maquassiez',
    'maquassions',
    'maque',
    'maquent',
    'maquer',
    'maquera',
    'maquerai',
    'maqueraient',
    'maquerais',
    'maquerait',
    'maqueras',
    'maquereau',
    'maquereauta',
    'maquereautai',
    'maquereautas',
    'maquereaute',
    'maquereauter',
    'maquereautes',
    'maquereautez',
    'maquereautât',
    'maquereauté',
    'maquereautée',
    'maquereautés',
    'maquereaux',
    'maquereller',
    'maquerez',
    'maqueriez',
    'maquerions',
    'maquerons',
    'maqueront',
    'maques',
    'maquette',
    'maquettes',
    'maquettiste',
    'maquettistes',
    'maquez',
    'maquiez',
    'maquignon',
    'maquignonna',
    'maquignonnai',
    'maquignonnas',
    'maquignonne',
    'maquignonner',
    'maquignonnes',
    'maquignonnez',
    'maquignonnât',
    'maquignonné',
    'maquignonnée',
    'maquignonnés',
    'maquignons',
    'maquilla',
    'maquillage',
    'maquillages',
    'maquillai',
    'maquillaient',
    'maquillais',
    'maquillait',
    'maquillant',
    'maquillante',
    'maquillantes',
    'maquillants',
    'maquillas',
    'maquillasse',
    'maquillasses',
    'maquille',
    'maquillent',
    'maquiller',
    'maquillera',
    'maquillerai',
    'maquillerais',
    'maquillerait',
    'maquilleras',
    'maquillerez',
    'maquilleriez',
    'maquillerons',
    'maquilleront',
    'maquilles',
    'maquilleur',
    'maquilleurs',
    'maquilleuse',
    'maquilleuses',
    'maquillez',
    'maquilliez',
    'maquillions',
    'maquillons',
    'maquillâmes',
    'maquillât',
    'maquillâtes',
    'maquillèrent',
    'maquillé',
    'maquillée',
    'maquillées',
    'maquillés',
    'maquions',
    'maquis',
    'maquisard',
    'maquisarde',
    'maquisardes',
    'maquisards',
    'maquons',
    'maquâmes',
    'maquât',
    'maquâtes',
    'maquèrent',
    'maqué',
    'maquée',
    'maquées',
    'maqués',
    'marabout',
    'marabouts',
    'marais',
    'maranta',
    'marantas',
    'marante',
    'marantes',
    'marasme',
    'marasmes',
    'marasque',
    'marasques',
    'marasquin',
    'marasquins',
    'marathon',
    'marathonien',
    'marathoniens',
    'marathons',
    'maraud',
    'marauda',
    'maraudage',
    'maraudages',
    'maraudai',
    'maraudaient',
    'maraudais',
    'maraudait',
    'maraudant',
    'maraudas',
    'maraudasse',
    'maraudassent',
    'maraudasses',
    'maraudassiez',
    'maraude',
    'maraudent',
    'marauder',
    'maraudera',
    'marauderai',
    'marauderais',
    'marauderait',
    'marauderas',
    'marauderez',
    'marauderiez',
    'marauderions',
    'marauderons',
    'marauderont',
    'maraudes',
    'maraudeur',
    'maraudeurs',
    'maraudeuse',
    'maraudeuses',
    'maraudez',
    'maraudiez',
    'maraudions',
    'maraudons',
    'marauds',
    'maraudâmes',
    'maraudât',
    'maraudâtes',
    'maraudèrent',
    'maraudé',
    'maravédis',
    'maraîchage',
    'maraîchages',
    'maraîcher',
    'maraîchers',
    'maraîchin',
    'maraîchine',
    'maraîchines',
    'maraîchins',
    'maraîchère',
    'maraîchères',
    'marbra',
    'marbrai',
    'marbraient',
    'marbrais',
    'marbrait',
    'marbrant',
    'marbras',
    'marbrasse',
    'marbrassent',
    'marbrasses',
    'marbrassiez',
    'marbrassions',
    'marbre',
    'marbrent',
    'marbrer',
    'marbrera',
    'marbrerai',
    'marbreraient',
    'marbrerais',
    'marbrerait',
    'marbreras',
    'marbrerez',
    'marbrerie',
    'marbreries',
    'marbreriez',
    'marbrerions',
    'marbrerons',
    'marbreront',
    'marbres',
    'marbreur',
    'marbreurs',
    'marbreuse',
    'marbreuses',
    'marbrez',
    'marbrier',
    'marbriers',
    'marbriez',
    'marbrions',
    'marbrière',
    'marbrières',
    'marbrons',
    'marbrure',
    'marbrures',
    'marbrâmes',
    'marbrât',
    'marbrâtes',
    'marbrèrent',
    'marbré',
    'marbrée',
    'marbrées',
    'marbrés',
    'marc',
    'marcassin',
    'marcassins',
    'marcassite',
    'marcassites',
    'marcescence',
    'marcescences',
    'marcescent',
    'marcescente',
    'marcescentes',
    'marcescents',
    'marcescible',
    'marcescibles',
    'marcha',
    'marchai',
    'marchaient',
    'marchais',
    'marchait',
    'marchand',
    'marchanda',
    'marchandage',
    'marchandages',
    'marchandai',
    'marchandais',
    'marchandait',
    'marchandant',
    'marchandas',
    'marchandasse',
    'marchande',
    'marchandent',
    'marchander',
    'marchandera',
    'marchanderai',
    'marchanderas',
    'marchanderez',
    'marchandes',
    'marchandez',
    'marchandiez',
    'marchandions',
    'marchandise',
    'marchandises',
    'marchandons',
    'marchands',
    'marchandâmes',
    'marchandât',
    'marchandâtes',
    'marchandé',
    'marchandée',
    'marchandées',
    'marchandés',
    'marchant',
    'marchante',
    'marchantes',
    'marchantie',
    'marchanties',
    'marchants',
    'marchas',
    'marchasse',
    'marchassent',
    'marchasses',
    'marchassiez',
    'marchassions',
    'marche',
    'marchent',
    'marchepied',
    'marchepieds',
    'marcher',
    'marchera',
    'marcherai',
    'marcheraient',
    'marcherais',
    'marcherait',
    'marcheras',
    'marcherez',
    'marcheriez',
    'marcherions',
    'marcherons',
    'marcheront',
    'marches',
    'marcheur',
    'marcheurs',
    'marcheuse',
    'marcheuses',
    'marchez',
    'marchiez',
    'marchions',
    'marchons',
    'marchâmes',
    'marchât',
    'marchâtes',
    'marchèrent',
    'marché',
    'marchéage',
    'marchéages',
    'marchés',
    'marcotta',
    'marcottage',
    'marcottages',
    'marcottai',
    'marcottaient',
    'marcottais',
    'marcottait',
    'marcottant',
    'marcottas',
    'marcottasse',
    'marcottasses',
    'marcotte',
    'marcottent',
    'marcotter',
    'marcottera',
    'marcotterai',
    'marcotterais',
    'marcotterait',
    'marcotteras',
    'marcotterez',
    'marcotteriez',
    'marcotterons',
    'marcotteront',
    'marcottes',
    'marcottez',
    'marcottiez',
    'marcottions',
    'marcottons',
    'marcottâmes',
    'marcottât',
    'marcottâtes',
    'marcottèrent',
    'marcotté',
    'marcottée',
    'marcottées',
    'marcottés',
    'marcs',
    'mardi',
    'mardis',
    'mare',
    'marelle',
    'marelles',
    'maremmatique',
    'maremme',
    'maremmes',
    'marengo',
    'marennes',
    'mares',
    'mareyage',
    'mareyages',
    'mareyeur',
    'mareyeurs',
    'mareyeuse',
    'mareyeuses',
    'marfil',
    'marfils',
    'margaille',
    'margailles',
    'margarine',
    'margarines',
    'margauder',
    'margay',
    'margays',
    'marge',
    'margea',
    'margeai',
    'margeaient',
    'margeais',
    'margeait',
    'margeant',
    'margeas',
    'margeasse',
    'margeassent',
    'margeasses',
    'margeassiez',
    'margeassions',
    'margelle',
    'margelles',
    'margent',
    'margeons',
    'marger',
    'margera',
    'margerai',
    'margeraient',
    'margerais',
    'margerait',
    'margeras',
    'margerez',
    'margeriez',
    'margerions',
    'margerons',
    'margeront',
    'marges',
    'margeur',
    'margeurs',
    'margeuse',
    'margeuses',
    'margez',
    'margeâmes',
    'margeât',
    'margeâtes',
    'margiez',
    'margina',
    'marginai',
    'marginaient',
    'marginais',
    'marginait',
    'marginal',
    'marginale',
    'marginales',
    'marginalisa',
    'marginalisai',
    'marginalisas',
    'marginalise',
    'marginaliser',
    'marginalises',
    'marginalisez',
    'marginalisme',
    'marginalisât',
    'marginalisé',
    'marginalisée',
    'marginalisés',
    'marginalité',
    'marginalités',
    'marginant',
    'marginas',
    'marginasse',
    'marginassent',
    'marginasses',
    'marginassiez',
    'marginaux',
    'margine',
    'marginent',
    'marginer',
    'marginera',
    'marginerai',
    'marginerais',
    'marginerait',
    'margineras',
    'marginerez',
    'margineriez',
    'marginerions',
    'marginerons',
    'margineront',
    'margines',
    'marginez',
    'marginiez',
    'marginions',
    'marginons',
    'marginâmes',
    'marginât',
    'marginâtes',
    'marginèrent',
    'marginé',
    'marginée',
    'marginées',
    'marginés',
    'margions',
    'margis',
    'margota',
    'margotai',
    'margotaient',
    'margotais',
    'margotait',
    'margotant',
    'margotas',
    'margotasse',
    'margotassent',
    'margotasses',
    'margotassiez',
    'margote',
    'margotent',
    'margoter',
    'margotera',
    'margoterai',
    'margoterais',
    'margoterait',
    'margoteras',
    'margoterez',
    'margoteriez',
    'margoterions',
    'margoterons',
    'margoteront',
    'margotes',
    'margotez',
    'margotiez',
    'margotin',
    'margotins',
    'margotions',
    'margotons',
    'margotta',
    'margottai',
    'margottaient',
    'margottais',
    'margottait',
    'margottant',
    'margottas',
    'margottasse',
    'margottasses',
    'margotte',
    'margottent',
    'margotter',
    'margottera',
    'margotterai',
    'margotterais',
    'margotterait',
    'margotteras',
    'margotterez',
    'margotteriez',
    'margotterons',
    'margotteront',
    'margottes',
    'margottez',
    'margottiez',
    'margottions',
    'margottons',
    'margottâmes',
    'margottât',
    'margottâtes',
    'margottèrent',
    'margotté',
    'margotâmes',
    'margotât',
    'margotâtes',
    'margotèrent',
    'margoté',
    'margouillis',
    'margoulette',
    'margoulettes',
    'margoulin',
    'margoulins',
    'margrave',
    'margraves',
    'margraviat',
    'margraviats',
    'marguerite',
    'marguerites',
    'marguillier',
    'marguilliers',
    'margèrent',
    'margé',
    'margée',
    'margées',
    'margés',
    'mari',
    'maria',
    'mariable',
    'mariables',
    'mariage',
    'mariages',
    'mariai',
    'mariaient',
    'mariais',
    'mariait',
    'marial',
    'mariale',
    'mariales',
    'marials',
    'mariant',
    'mariante',
    'mariantes',
    'mariants',
    'marias',
    'mariasse',
    'mariassent',
    'mariasses',
    'mariassiez',
    'mariassions',
    'mariaux',
    'marie',
    'marient',
    'marier',
    'mariera',
    'marierai',
    'marieraient',
    'marierais',
    'marierait',
    'marieras',
    'marierez',
    'marieriez',
    'marierions',
    'marierons',
    'marieront',
    'maries',
    'marieur',
    'marieurs',
    'marieuse',
    'marieuses',
    'mariez',
    'marigot',
    'marigots',
    'marihuana',
    'mariiez',
    'mariions',
    'marijuana',
    'marin',
    'marina',
    'marinade',
    'marinades',
    'marinage',
    'marinages',
    'marinai',
    'marinaient',
    'marinais',
    'marinait',
    'marinant',
    'marinas',
    'marinasse',
    'marinassent',
    'marinasses',
    'marinassiez',
    'marinassions',
    'marine',
    'marinent',
    'mariner',
    'marinera',
    'marinerai',
    'marineraient',
    'marinerais',
    'marinerait',
    'marineras',
    'marinerez',
    'marineriez',
    'marinerions',
    'marinerons',
    'marineront',
    'marines',
    'marinez',
    'maringouin',
    'maringouins',
    'marinier',
    'mariniers',
    'mariniez',
    'marinions',
    'marinisme',
    'marinismes',
    'marinière',
    'marinières',
    'marinons',
    'marins',
    'marinâmes',
    'marinât',
    'marinâtes',
    'marinèrent',
    'mariné',
    'marinée',
    'marinées',
    'marinés',
    'mariole',
    'marioles',
    'mariolle',
    'mariolles',
    'marionnette',
    'marionnettes',
    'marions',
    'maris',
    'mariste',
    'maristes',
    'marital',
    'maritale',
    'maritalement',
    'maritales',
    'maritaux',
    'maritime',
    'maritimes',
    'maritorne',
    'maritornes',
    'marivauda',
    'marivaudage',
    'marivaudages',
    'marivaudai',
    'marivaudais',
    'marivaudait',
    'marivaudant',
    'marivaudas',
    'marivaudasse',
    'marivaude',
    'marivaudent',
    'marivauder',
    'marivaudera',
    'marivauderai',
    'marivauderas',
    'marivauderez',
    'marivaudes',
    'marivaudez',
    'marivaudiez',
    'marivaudions',
    'marivaudons',
    'marivaudâmes',
    'marivaudât',
    'marivaudâtes',
    'marivaudé',
    'mariâmes',
    'mariât',
    'mariâtes',
    'marièrent',
    'marié',
    'mariée',
    'mariées',
    'mariés',
    'marjolaine',
    'marjolaines',
    'mark',
    'marketing',
    'marketings',
    'marks',
    'marli',
    'marlis',
    'marlou',
    'marlous',
    'marmaille',
    'marmailles',
    'marmelade',
    'marmelades',
    'marmenteau',
    'marmenteaux',
    'marmita',
    'marmitage',
    'marmitages',
    'marmitai',
    'marmitaient',
    'marmitais',
    'marmitait',
    'marmitant',
    'marmitas',
    'marmitasse',
    'marmitassent',
    'marmitasses',
    'marmitassiez',
    'marmite',
    'marmitent',
    'marmiter',
    'marmitera',
    'marmiterai',
    'marmiterais',
    'marmiterait',
    'marmiteras',
    'marmiterez',
    'marmiteriez',
    'marmiterions',
    'marmiterons',
    'marmiteront',
    'marmites',
    'marmitez',
    'marmitiez',
    'marmitions',
    'marmiton',
    'marmitons',
    'marmitâmes',
    'marmitât',
    'marmitâtes',
    'marmitèrent',
    'marmité',
    'marmitée',
    'marmitées',
    'marmités',
    'marmonna',
    'marmonnai',
    'marmonnaient',
    'marmonnais',
    'marmonnait',
    'marmonnant',
    'marmonnas',
    'marmonnasse',
    'marmonnasses',
    'marmonne',
    'marmonnement',
    'marmonnent',
    'marmonner',
    'marmonnera',
    'marmonnerai',
    'marmonnerais',
    'marmonnerait',
    'marmonneras',
    'marmonnerez',
    'marmonneriez',
    'marmonnerons',
    'marmonneront',
    'marmonnes',
    'marmonnez',
    'marmonniez',
    'marmonnions',
    'marmonnons',
    'marmonnâmes',
    'marmonnât',
    'marmonnâtes',
    'marmonnèrent',
    'marmonné',
    'marmonnée',
    'marmonnées',
    'marmonnés',
    'marmorisa',
    'marmorisai',
    'marmorisais',
    'marmorisait',
    'marmorisant',
    'marmorisas',
    'marmorisasse',
    'marmorise',
    'marmorisent',
    'marmoriser',
    'marmorisera',
    'marmoriserai',
    'marmoriseras',
    'marmoriserez',
    'marmorises',
    'marmorisez',
    'marmorisiez',
    'marmorisions',
    'marmorisons',
    'marmorisâmes',
    'marmorisât',
    'marmorisâtes',
    'marmorisé',
    'marmorisée',
    'marmorisées',
    'marmorisés',
    'marmoréen',
    'marmoréenne',
    'marmoréennes',
    'marmoréens',
    'marmot',
    'marmots',
    'marmotta',
    'marmottai',
    'marmottaient',
    'marmottais',
    'marmottait',
    'marmottant',
    'marmottas',
    'marmottasse',
    'marmottasses',
    'marmotte',
    'marmottement',
    'marmottent',
    'marmotter',
    'marmottera',
    'marmotterai',
    'marmotterais',
    'marmotterait',
    'marmotteras',
    'marmotterez',
    'marmotteriez',
    'marmotterons',
    'marmotteront',
    'marmottes',
    'marmotteur',
    'marmotteurs',
    'marmotteuse',
    'marmotteuses',
    'marmottez',
    'marmottiez',
    'marmottions',
    'marmottons',
    'marmottâmes',
    'marmottât',
    'marmottâtes',
    'marmottèrent',
    'marmotté',
    'marmottée',
    'marmottées',
    'marmottés',
    'marmouset',
    'marmousets',
    'marna',
    'marnage',
    'marnages',
    'marnai',
    'marnaient',
    'marnais',
    'marnait',
    'marnant',
    'marnas',
    'marnasse',
    'marnassent',
    'marnasses',
    'marnassiez',
    'marnassions',
    'marne',
    'marnent',
    'marner',
    'marnera',
    'marnerai',
    'marneraient',
    'marnerais',
    'marnerait',
    'marneras',
    'marnerez',
    'marneriez',
    'marnerions',
    'marnerons',
    'marneront',
    'marnes',
    'marneur',
    'marneurs',
    'marneuse',
    'marneuses',
    'marneux',
    'marnez',
    'marniez',
    'marnions',
    'marnière',
    'marnières',
    'marnons',
    'marnâmes',
    'marnât',
    'marnâtes',
    'marnèrent',
    'marné',
    'marnée',
    'marnées',
    'marnés',
    'marocain',
    'marocaine',
    'marocaines',
    'marocains',
    'maroilles',
    'maronite',
    'maronites',
    'maronna',
    'maronnai',
    'maronnaient',
    'maronnais',
    'maronnait',
    'maronnant',
    'maronnas',
    'maronnasse',
    'maronnassent',
    'maronnasses',
    'maronnassiez',
    'maronne',
    'maronnent',
    'maronner',
    'maronnera',
    'maronnerai',
    'maronnerais',
    'maronnerait',
    'maronneras',
    'maronnerez',
    'maronneriez',
    'maronnerions',
    'maronnerons',
    'maronneront',
    'maronnes',
    'maronnez',
    'maronniez',
    'maronnions',
    'maronnons',
    'maronnâmes',
    'maronnât',
    'maronnâtes',
    'maronnèrent',
    'maronné',
    'maroquin',
    'maroquina',
    'maroquinage',
    'maroquinages',
    'maroquinai',
    'maroquinais',
    'maroquinait',
    'maroquinant',
    'maroquinas',
    'maroquinasse',
    'maroquine',
    'maroquinent',
    'maroquiner',
    'maroquinera',
    'maroquinerai',
    'maroquineras',
    'maroquinerez',
    'maroquinerie',
    'maroquines',
    'maroquinez',
    'maroquinier',
    'maroquiniers',
    'maroquiniez',
    'maroquinions',
    'maroquinière',
    'maroquinons',
    'maroquins',
    'maroquinâmes',
    'maroquinât',
    'maroquinâtes',
    'maroquiné',
    'maroquinée',
    'maroquinées',
    'maroquinés',
    'marotique',
    'marotiques',
    'marotte',
    'marottes',
    'marouette',
    'marouettes',
    'maroufla',
    'marouflage',
    'marouflages',
    'marouflai',
    'marouflaient',
    'marouflais',
    'marouflait',
    'marouflant',
    'marouflas',
    'marouflasse',
    'marouflasses',
    'maroufle',
    'marouflent',
    'maroufler',
    'marouflera',
    'marouflerai',
    'marouflerais',
    'marouflerait',
    'maroufleras',
    'marouflerez',
    'maroufleriez',
    'marouflerons',
    'maroufleront',
    'maroufles',
    'marouflez',
    'maroufliez',
    'marouflions',
    'marouflons',
    'marouflâmes',
    'marouflât',
    'marouflâtes',
    'marouflèrent',
    'marouflé',
    'marouflée',
    'marouflées',
    'marouflés',
    'maroute',
    'maroutes',
    'marqua',
    'marquage',
    'marquages',
    'marquai',
    'marquaient',
    'marquais',
    'marquait',
    'marquant',
    'marquante',
    'marquantes',
    'marquants',
    'marquas',
    'marquasse',
    'marquassent',
    'marquasses',
    'marquassiez',
    'marquassions',
    'marque',
    'marquent',
    'marquer',
    'marquera',
    'marquerai',
    'marqueraient',
    'marquerais',
    'marquerait',
    'marqueras',
    'marquerez',
    'marqueriez',
    'marquerions',
    'marquerons',
    'marqueront',
    'marques',
    'marqueta',
    'marquetai',
    'marquetaient',
    'marquetais',
    'marquetait',
    'marquetant',
    'marquetas',
    'marquetasse',
    'marquetasses',
    'marqueter',
    'marqueterie',
    'marqueteries',
    'marqueteur',
    'marqueteurs',
    'marquetez',
    'marquetiez',
    'marquetions',
    'marquetons',
    'marquette',
    'marquettent',
    'marquettera',
    'marquetterai',
    'marquetteras',
    'marquetterez',
    'marquettes',
    'marquetâmes',
    'marquetât',
    'marquetâtes',
    'marquetèrent',
    'marqueté',
    'marquetée',
    'marquetées',
    'marquetés',
    'marqueur',
    'marqueurs',
    'marqueuse',
    'marqueuses',
    'marquez',
    'marquiez',
    'marquions',
    'marquis',
    'marquisat',
    'marquisats',
    'marquise',
    'marquises',
    'marquoir',
    'marquoirs',
    'marquons',
    'marquâmes',
    'marquât',
    'marquâtes',
    'marquèrent',
    'marqué',
    'marquée',
    'marquées',
    'marqués',
    'marra',
    'marrai',
    'marraient',
    'marraine',
    'marraines',
    'marrais',
    'marrait',
    'marrant',
    'marrante',
    'marrantes',
    'marrants',
    'marras',
    'marrasse',
    'marrassent',
    'marrasses',
    'marrassiez',
    'marrassions',
    'marre',
    'marrent',
    'marrer',
    'marrera',
    'marrerai',
    'marreraient',
    'marrerais',
    'marrerait',
    'marreras',
    'marrerez',
    'marreriez',
    'marrerions',
    'marrerons',
    'marreront',
    'marres',
    'marrez',
    'marri',
    'marrie',
    'marries',
    'marriez',
    'marrions',
    'marris',
    'marron',
    'marronna',
    'marronnai',
    'marronnaient',
    'marronnais',
    'marronnait',
    'marronnant',
    'marronnas',
    'marronnasse',
    'marronnasses',
    'marronne',
    'marronnent',
    'marronner',
    'marronnera',
    'marronnerai',
    'marronnerais',
    'marronnerait',
    'marronneras',
    'marronnerez',
    'marronneriez',
    'marronnerons',
    'marronneront',
    'marronnes',
    'marronnez',
    'marronnier',
    'marronniers',
    'marronniez',
    'marronnions',
    'marronnons',
    'marronnâmes',
    'marronnât',
    'marronnâtes',
    'marronnèrent',
    'marronné',
    'marrons',
    'marrube',
    'marrubes',
    'marrâmes',
    'marrât',
    'marrâtes',
    'marrèrent',
    'marré',
    'marrée',
    'marrées',
    'marrés',
    'mars',
    'marsault',
    'marsaults',
    'marseillais',
    'marseillaise',
    'marsouin',
    'marsouina',
    'marsouinai',
    'marsouinais',
    'marsouinait',
    'marsouinant',
    'marsouinas',
    'marsouinasse',
    'marsouine',
    'marsouinent',
    'marsouiner',
    'marsouinera',
    'marsouinerai',
    'marsouineras',
    'marsouinerez',
    'marsouines',
    'marsouinez',
    'marsouiniez',
    'marsouinions',
    'marsouinons',
    'marsouins',
    'marsouinâmes',
    'marsouinât',
    'marsouinâtes',
    'marsouiné',
    'marsupial',
    'marsupiaux',
    'martagon',
    'martagons',
    'marte',
    'marteau',
    'marteaux',
    'martel',
    'martela',
    'martelage',
    'martelages',
    'martelai',
    'martelaient',
    'martelais',
    'martelait',
    'martelant',
    'martelas',
    'martelasse',
    'martelassent',
    'martelasses',
    'martelassiez',
    'marteler',
    'marteleur',
    'marteleurs',
    'martelez',
    'marteliez',
    'martelions',
    'martellement',
    'martelons',
    'martelâmes',
    'martelât',
    'martelâtes',
    'martelèrent',
    'martelé',
    'martelée',
    'martelées',
    'martelés',
    'martensite',
    'martensites',
    'martes',
    'martial',
    'martiale',
    'martialement',
    'martiales',
    'martiaux',
    'martien',
    'martienne',
    'martiennes',
    'martiens',
    'martinet',
    'martinets',
    'martingale',
    'martingales',
    'martre',
    'martres',
    'martyr',
    'martyre',
    'martyres',
    'martyrisa',
    'martyrisai',
    'martyrisais',
    'martyrisait',
    'martyrisant',
    'martyrisas',
    'martyrisasse',
    'martyrise',
    'martyrisent',
    'martyriser',
    'martyrisera',
    'martyriserai',
    'martyriseras',
    'martyriserez',
    'martyrises',
    'martyrisez',
    'martyrisiez',
    'martyrisions',
    'martyrisons',
    'martyrisâmes',
    'martyrisât',
    'martyrisâtes',
    'martyrisé',
    'martyrisée',
    'martyrisées',
    'martyrisés',
    'martyrium',
    'martyriums',
    'martyrologe',
    'martyrologes',
    'martyrs',
    'martèle',
    'martèlement',
    'martèlements',
    'martèlent',
    'martèlera',
    'martèlerai',
    'martèlerais',
    'martèlerait',
    'martèleras',
    'martèlerez',
    'martèleriez',
    'martèlerions',
    'martèlerons',
    'martèleront',
    'martèles',
    'marxien',
    'marxienne',
    'marxiennes',
    'marxiens',
    'marxisa',
    'marxisai',
    'marxisaient',
    'marxisais',
    'marxisait',
    'marxisant',
    'marxisas',
    'marxisasse',
    'marxisassent',
    'marxisasses',
    'marxisassiez',
    'marxise',
    'marxisent',
    'marxiser',
    'marxisera',
    'marxiserai',
    'marxiserais',
    'marxiserait',
    'marxiseras',
    'marxiserez',
    'marxiseriez',
    'marxiserions',
    'marxiserons',
    'marxiseront',
    'marxises',
    'marxisez',
    'marxisiez',
    'marxisions',
    'marxisme',
    'marxismes',
    'marxisons',
    'marxiste',
    'marxistes',
    'marxisâmes',
    'marxisât',
    'marxisâtes',
    'marxisèrent',
    'marxisé',
    'marxisée',
    'marxisées',
    'marxisés',
    'maryland',
    'marylands',
    'marâtre',
    'marâtres',
    'marécage',
    'marécages',
    'marécageuse',
    'marécageuses',
    'marécageux',
    'maréchal',
    'maréchalat',
    'maréchale',
    'maréchalerie',
    'maréchales',
    'maréchaussée',
    'maréchaux',
    'marée',
    'marées',
    'marégraphe',
    'marégraphes',
    'marémoteur',
    'marémoteurs',
    'marémotrice',
    'marémotrices',
    'maréomètre',
    'maréomètres',
    'mascara',
    'mascarade',
    'mascarades',
    'mascaras',
    'mascaret',
    'mascarets',
    'mascaron',
    'mascarons',
    'mascotte',
    'mascottes',
    'masculin',
    'masculine',
    'masculines',
    'masculinisa',
    'masculinisai',
    'masculinisas',
    'masculinise',
    'masculiniser',
    'masculinises',
    'masculinisez',
    'masculinisât',
    'masculinisé',
    'masculinisée',
    'masculinisés',
    'masculinité',
    'masculinités',
    'masculins',
    'maser',
    'masers',
    'maskinongé',
    'maskinongés',
    'masochisme',
    'masochismes',
    'masochiste',
    'masochistes',
    'masqua',
    'masquage',
    'masquages',
    'masquai',
    'masquaient',
    'masquais',
    'masquait',
    'masquant',
    'masquante',
    'masquantes',
    'masquants',
    'masquas',
    'masquasse',
    'masquassent',
    'masquasses',
    'masquassiez',
    'masquassions',
    'masque',
    'masquent',
    'masquer',
    'masquera',
    'masquerai',
    'masqueraient',
    'masquerais',
    'masquerait',
    'masqueras',
    'masquerez',
    'masqueriez',
    'masquerions',
    'masquerons',
    'masqueront',
    'masques',
    'masquez',
    'masquiez',
    'masquions',
    'masquons',
    'masquâmes',
    'masquât',
    'masquâtes',
    'masquèrent',
    'masqué',
    'masquée',
    'masquées',
    'masqués',
    'massa',
    'massacra',
    'massacrai',
    'massacraient',
    'massacrais',
    'massacrait',
    'massacrant',
    'massacrante',
    'massacrantes',
    'massacrants',
    'massacras',
    'massacrasse',
    'massacrasses',
    'massacre',
    'massacrent',
    'massacrer',
    'massacrera',
    'massacrerai',
    'massacrerais',
    'massacrerait',
    'massacreras',
    'massacrerez',
    'massacreriez',
    'massacrerons',
    'massacreront',
    'massacres',
    'massacreur',
    'massacreurs',
    'massacreuse',
    'massacreuses',
    'massacrez',
    'massacriez',
    'massacrions',
    'massacrons',
    'massacrâmes',
    'massacrât',
    'massacrâtes',
    'massacrèrent',
    'massacré',
    'massacrée',
    'massacrées',
    'massacrés',
    'massage',
    'massages',
    'massai',
    'massaient',
    'massais',
    'massait',
    'massant',
    'massas',
    'massasse',
    'massassent',
    'massasses',
    'massassiez',
    'massassions',
    'masse',
    'masselotte',
    'masselottes',
    'massent',
    'massepain',
    'massepains',
    'masser',
    'massera',
    'masserai',
    'masseraient',
    'masserais',
    'masserait',
    'masseras',
    'masserez',
    'masseriez',
    'masserions',
    'masserons',
    'masseront',
    'masses',
    'massette',
    'massettes',
    'masseur',
    'masseurs',
    'masseuse',
    'masseuses',
    'massez',
    'massicot',
    'massicota',
    'massicotai',
    'massicotais',
    'massicotait',
    'massicotant',
    'massicotas',
    'massicotasse',
    'massicote',
    'massicotent',
    'massicoter',
    'massicotera',
    'massicoterai',
    'massicoteras',
    'massicoterez',
    'massicotes',
    'massicotez',
    'massicotiez',
    'massicotions',
    'massicotons',
    'massicots',
    'massicotâmes',
    'massicotât',
    'massicotâtes',
    'massicoté',
    'massicotée',
    'massicotées',
    'massicotés',
    'massier',
    'massiers',
    'massiez',
    'massif',
    'massifia',
    'massifiai',
    'massifiaient',
    'massifiais',
    'massifiait',
    'massifiant',
    'massifias',
    'massifiasse',
    'massifiasses',
    'massifie',
    'massifient',
    'massifier',
    'massifiera',
    'massifierai',
    'massifierais',
    'massifierait',
    'massifieras',
    'massifierez',
    'massifieriez',
    'massifierons',
    'massifieront',
    'massifies',
    'massifiez',
    'massifiiez',
    'massifiions',
    'massifions',
    'massifiâmes',
    'massifiât',
    'massifiâtes',
    'massifièrent',
    'massifié',
    'massifiée',
    'massifiées',
    'massifiés',
    'massifs',
    'massions',
    'massique',
    'massiques',
    'massive',
    'massivement',
    'massives',
    'massière',
    'massières',
    'massons',
    'massorah',
    'massorahs',
    'massue',
    'massues',
    'massâmes',
    'massât',
    'massâtes',
    'massèrent',
    'massé',
    'massée',
    'massées',
    'massés',
    'masséter',
    'masséters',
    'mastaba',
    'mastabas',
    'mastectomie',
    'mastectomies',
    'mastic',
    'masticage',
    'masticages',
    'masticateur',
    'masticateurs',
    'mastication',
    'mastications',
    'masticatoire',
    'masticatrice',
    'mastics',
    'mastiff',
    'mastiffs',
    'mastiqua',
    'mastiquai',
    'mastiquaient',
    'mastiquais',
    'mastiquait',
    'mastiquant',
    'mastiquas',
    'mastiquasse',
    'mastiquasses',
    'mastique',
    'mastiquent',
    'mastiquer',
    'mastiquera',
    'mastiquerai',
    'mastiquerais',
    'mastiquerait',
    'mastiqueras',
    'mastiquerez',
    'mastiqueriez',
    'mastiquerons',
    'mastiqueront',
    'mastiques',
    'mastiquez',
    'mastiquiez',
    'mastiquions',
    'mastiquons',
    'mastiquâmes',
    'mastiquât',
    'mastiquâtes',
    'mastiquèrent',
    'mastiqué',
    'mastiquée',
    'mastiquées',
    'mastiqués',
    'mastite',
    'mastites',
    'mastoc',
    'mastodonte',
    'mastodontes',
    'mastologie',
    'mastologies',
    'mastoïde',
    'mastoïdes',
    'mastoïdien',
    'mastoïdienne',
    'mastoïdiens',
    'mastoïdite',
    'mastoïdites',
    'mastroquet',
    'mastroquets',
    'masturba',
    'masturbai',
    'masturbaient',
    'masturbais',
    'masturbait',
    'masturbant',
    'masturbas',
    'masturbasse',
    'masturbasses',
    'masturbation',
    'masturbe',
    'masturbent',
    'masturber',
    'masturbera',
    'masturberai',
    'masturberais',
    'masturberait',
    'masturberas',
    'masturberez',
    'masturberiez',
    'masturberons',
    'masturberont',
    'masturbes',
    'masturbez',
    'masturbiez',
    'masturbions',
    'masturbons',
    'masturbâmes',
    'masturbât',
    'masturbâtes',
    'masturbèrent',
    'masturbé',
    'masturbée',
    'masturbées',
    'masturbés',
    'masure',
    'masures',
    'masurium',
    'masuriums',
    'mata',
    'matador',
    'matadors',
    'mataf',
    'matafs',
    'matage',
    'matages',
    'matai',
    'mataient',
    'matais',
    'matait',
    'matamore',
    'matamores',
    'matant',
    'matas',
    'matasse',
    'matassent',
    'matasses',
    'matassiez',
    'matassions',
    'match',
    'matcha',
    'matchai',
    'matchaient',
    'matchais',
    'matchait',
    'matchant',
    'matchas',
    'matchasse',
    'matchassent',
    'matchasses',
    'matchassiez',
    'matchassions',
    'matche',
    'matchent',
    'matcher',
    'matchera',
    'matcherai',
    'matcheraient',
    'matcherais',
    'matcherait',
    'matcheras',
    'matcherez',
    'matcheriez',
    'matcherions',
    'matcherons',
    'matcheront',
    'matches',
    'matchez',
    'matchiez',
    'matchions',
    'matchons',
    'matchs',
    'matchâmes',
    'matchât',
    'matchâtes',
    'matchèrent',
    'matché',
    'matchée',
    'matchées',
    'matchés',
    'mate',
    'matefaim',
    'matefaims',
    'matelas',
    'matelassa',
    'matelassai',
    'matelassais',
    'matelassait',
    'matelassant',
    'matelassas',
    'matelassasse',
    'matelasse',
    'matelassent',
    'matelasser',
    'matelassera',
    'matelasserai',
    'matelasseras',
    'matelasserez',
    'matelasses',
    'matelassez',
    'matelassier',
    'matelassiers',
    'matelassiez',
    'matelassions',
    'matelassière',
    'matelassons',
    'matelassâmes',
    'matelassât',
    'matelassâtes',
    'matelassé',
    'matelassée',
    'matelassées',
    'matelassés',
    'matelot',
    'matelote',
    'matelotes',
    'matelots',
    'matent',
    'mater',
    'matera',
    'materai',
    'materaient',
    'materais',
    'materait',
    'materas',
    'materez',
    'materiez',
    'materions',
    'materna',
    'maternage',
    'maternages',
    'maternai',
    'maternaient',
    'maternais',
    'maternait',
    'maternant',
    'maternas',
    'maternasse',
    'maternassent',
    'maternasses',
    'maternassiez',
    'materne',
    'maternel',
    'maternelle',
    'maternelles',
    'maternels',
    'maternent',
    'materner',
    'maternera',
    'maternerai',
    'maternerais',
    'maternerait',
    'materneras',
    'maternerez',
    'materneriez',
    'maternerions',
    'maternerons',
    'materneront',
    'maternes',
    'maternez',
    'materniez',
    'maternions',
    'maternisa',
    'maternisai',
    'maternisais',
    'maternisait',
    'maternisant',
    'maternisas',
    'maternisasse',
    'maternise',
    'maternisent',
    'materniser',
    'maternisera',
    'materniserai',
    'materniseras',
    'materniserez',
    'maternises',
    'maternisez',
    'maternisiez',
    'maternisions',
    'maternisons',
    'maternisâmes',
    'maternisât',
    'maternisâtes',
    'maternisé',
    'maternisée',
    'maternisées',
    'maternisés',
    'maternité',
    'maternités',
    'maternons',
    'maternâmes',
    'maternât',
    'maternâtes',
    'maternèrent',
    'materné',
    'maternée',
    'maternées',
    'maternés',
    'materons',
    'materont',
    'mates',
    'matez',
    'math',
    'mathabx',
    'matheuse',
    'matheuses',
    'matheux',
    'maths',
    'mathématique',
    'mathématisa',
    'mathématisai',
    'mathématisas',
    'mathématise',
    'mathématiser',
    'mathématises',
    'mathématisez',
    'mathématisât',
    'mathématisé',
    'mathématisée',
    'mathématisés',
    'mati',
    'matie',
    'maties',
    'matiez',
    'matin',
    'matinal',
    'matinale',
    'matinalement',
    'matinales',
    'matinaux',
    'matine',
    'matinent',
    'matines',
    'matineuse',
    'matineuses',
    'matineux',
    'matinier',
    'matiniers',
    'matinière',
    'matinières',
    'matins',
    'matinée',
    'matinées',
    'mations',
    'matir',
    'matira',
    'matirai',
    'matiraient',
    'matirais',
    'matirait',
    'matiras',
    'matirent',
    'matirez',
    'matiriez',
    'matirions',
    'matirons',
    'matiront',
    'matis',
    'matissaient',
    'matissais',
    'matissait',
    'matissant',
    'matisse',
    'matissent',
    'matisses',
    'matissez',
    'matissiez',
    'matissions',
    'matissons',
    'matit',
    'matité',
    'matités',
    'matière',
    'matières',
    'matoir',
    'matoirs',
    'matois',
    'matoise',
    'matoises',
    'maton',
    'matonne',
    'matonnes',
    'matons',
    'matou',
    'matous',
    'matraqua',
    'matraquage',
    'matraquages',
    'matraquai',
    'matraquaient',
    'matraquais',
    'matraquait',
    'matraquant',
    'matraquas',
    'matraquasse',
    'matraquasses',
    'matraque',
    'matraquent',
    'matraquer',
    'matraquera',
    'matraquerai',
    'matraquerais',
    'matraquerait',
    'matraqueras',
    'matraquerez',
    'matraqueriez',
    'matraquerons',
    'matraqueront',
    'matraques',
    'matraqueur',
    'matraqueurs',
    'matraqueuse',
    'matraqueuses',
    'matraquez',
    'matraquiez',
    'matraquions',
    'matraquons',
    'matraquâmes',
    'matraquât',
    'matraquâtes',
    'matraquèrent',
    'matraqué',
    'matraquée',
    'matraquées',
    'matraqués',
    'matras',
    'matriarcal',
    'matriarcale',
    'matriarcales',
    'matriarcat',
    'matriarcats',
    'matriarcaux',
    'matricaire',
    'matricaires',
    'matrice',
    'matricent',
    'matricer',
    'matricera',
    'matricerai',
    'matricerais',
    'matricerait',
    'matriceras',
    'matricerez',
    'matriceriez',
    'matricerions',
    'matricerons',
    'matriceront',
    'matrices',
    'matricez',
    'matricide',
    'matricides',
    'matricielle',
    'matriciez',
    'matricions',
    'matricula',
    'matriculai',
    'matriculais',
    'matriculait',
    'matriculant',
    'matriculas',
    'matriculasse',
    'matricule',
    'matriculent',
    'matriculer',
    'matriculera',
    'matriculerai',
    'matriculeras',
    'matriculerez',
    'matricules',
    'matriculez',
    'matriculiez',
    'matriculions',
    'matriculons',
    'matriculâmes',
    'matriculât',
    'matriculâtes',
    'matriculé',
    'matriculée',
    'matriculées',
    'matriculés',
    'matricèrent',
    'matricé',
    'matricée',
    'matricées',
    'matricés',
    'matrilocal',
    'matrilocale',
    'matrilocales',
    'matrilocaux',
    'matrimonial',
    'matrimoniale',
    'matrimoniaux',
    'matriça',
    'matriçai',
    'matriçaient',
    'matriçais',
    'matriçait',
    'matriçant',
    'matriças',
    'matriçasse',
    'matriçassent',
    'matriçasses',
    'matriçassiez',
    'matriçons',
    'matriçâmes',
    'matriçât',
    'matriçâtes',
    'matrone',
    'matrones',
    'mats',
    'matte',
    'mattes',
    'matthiole',
    'matthioles',
    'matura',
    'maturai',
    'maturaient',
    'maturais',
    'maturait',
    'maturant',
    'maturas',
    'maturasse',
    'maturassent',
    'maturasses',
    'maturassiez',
    'maturassions',
    'maturation',
    'maturations',
    'mature',
    'maturent',
    'maturer',
    'maturera',
    'maturerai',
    'matureraient',
    'maturerais',
    'maturerait',
    'matureras',
    'maturerez',
    'matureriez',
    'maturerions',
    'maturerons',
    'matureront',
    'matures',
    'maturez',
    'maturiez',
    'maturions',
    'maturité',
    'maturités',
    'maturons',
    'maturâmes',
    'maturât',
    'maturâtes',
    'maturèrent',
    'maturé',
    'maturée',
    'maturées',
    'maturés',
    'matutinal',
    'matutinale',
    'matutinales',
    'matutinaux',
    'matâmes',
    'matât',
    'matâtes',
    'matèrent',
    'maté',
    'matée',
    'matées',
    'matérialisa',
    'matérialisai',
    'matérialisas',
    'matérialise',
    'matérialiser',
    'matérialises',
    'matérialisez',
    'matérialisme',
    'matérialiste',
    'matérialisât',
    'matérialisé',
    'matérialisée',
    'matérialisés',
    'matérialité',
    'matérialités',
    'matériau',
    'matériaux',
    'matériel',
    'matérielle',
    'matérielles',
    'matériels',
    'matés',
    'matîmes',
    'matît',
    'matîtes',
    'maubèche',
    'maubèches',
    'maudira',
    'maudirai',
    'maudiraient',
    'maudirais',
    'maudirait',
    'maudiras',
    'maudire',
    'maudirent',
    'maudirez',
    'maudiriez',
    'maudirions',
    'maudirons',
    'maudiront',
    'maudis',
    'maudissaient',
    'maudissais',
    'maudissait',
    'maudissant',
    'maudissante',
    'maudissantes',
    'maudissants',
    'maudisse',
    'maudissent',
    'maudisses',
    'maudissez',
    'maudissiez',
    'maudissions',
    'maudissons',
    'maudit',
    'maudite',
    'maudites',
    'maudits',
    'maudîmes',
    'maudît',
    'maudîtes',
    'maugréa',
    'maugréai',
    'maugréaient',
    'maugréais',
    'maugréait',
    'maugréant',
    'maugréas',
    'maugréasse',
    'maugréassent',
    'maugréasses',
    'maugréassiez',
    'maugrée',
    'maugréent',
    'maugréer',
    'maugréera',
    'maugréerai',
    'maugréerais',
    'maugréerait',
    'maugréeras',
    'maugréerez',
    'maugréeriez',
    'maugréerions',
    'maugréerons',
    'maugréeront',
    'maugrées',
    'maugréez',
    'maugréiez',
    'maugréions',
    'maugréons',
    'maugréâmes',
    'maugréât',
    'maugréâtes',
    'maugréèrent',
    'maugréé',
    'maugréée',
    'maugréées',
    'maugréés',
    'maurandie',
    'maurandies',
    'maure',
    'maurelle',
    'maurelles',
    'maures',
    'mauresque',
    'mauresques',
    'mauser',
    'mausers',
    'mausolée',
    'mausolées',
    'maussade',
    'maussadement',
    'maussaderie',
    'maussaderies',
    'maussades',
    'mauvais',
    'mauvaise',
    'mauvaises',
    'mauvaiseté',
    'mauvaisetés',
    'mauve',
    'mauves',
    'mauviette',
    'mauviettes',
    'mauvis',
    'mauvéine',
    'mauvéines',
    'maux',
    'maxillaire',
    'maxillaires',
    'maxille',
    'maxilles',
    'maxima',
    'maximal',
    'maximale',
    'maximales',
    'maximalisa',
    'maximalisai',
    'maximalisais',
    'maximalisait',
    'maximalisant',
    'maximalisas',
    'maximalise',
    'maximalisent',
    'maximaliser',
    'maximalisera',
    'maximalises',
    'maximalisez',
    'maximalisiez',
    'maximalisme',
    'maximalismes',
    'maximalisons',
    'maximaliste',
    'maximalistes',
    'maximalisât',
    'maximalisé',
    'maximalisée',
    'maximalisées',
    'maximalisés',
    'maximaux',
    'maxime',
    'maximes',
    'maximisa',
    'maximisai',
    'maximisaient',
    'maximisais',
    'maximisait',
    'maximisant',
    'maximisas',
    'maximisasse',
    'maximisasses',
    'maximisation',
    'maximise',
    'maximisent',
    'maximiser',
    'maximisera',
    'maximiserai',
    'maximiserais',
    'maximiserait',
    'maximiseras',
    'maximiserez',
    'maximiseriez',
    'maximiserons',
    'maximiseront',
    'maximises',
    'maximisez',
    'maximisiez',
    'maximisions',
    'maximisons',
    'maximisâmes',
    'maximisât',
    'maximisâtes',
    'maximisèrent',
    'maximisé',
    'maximisée',
    'maximisées',
    'maximisés',
    'maximum',
    'maximums',
    'maxwell',
    'maxwells',
    'maya',
    'mayas',
    'maye',
    'mayen',
    'mayens',
    'mayes',
    'mayonnaise',
    'mayonnaises',
    'mazagran',
    'mazagrans',
    'mazdéisme',
    'mazer',
    'mazette',
    'mazout',
    'mazouta',
    'mazoutai',
    'mazoutaient',
    'mazoutais',
    'mazoutait',
    'mazoutant',
    'mazoutas',
    'mazoutasse',
    'mazoutassent',
    'mazoutasses',
    'mazoutassiez',
    'mazoute',
    'mazoutent',
    'mazouter',
    'mazoutera',
    'mazouterai',
    'mazouterais',
    'mazouterait',
    'mazouteras',
    'mazouterez',
    'mazouteriez',
    'mazouterions',
    'mazouterons',
    'mazouteront',
    'mazoutes',
    'mazoutez',
    'mazoutiez',
    'mazoutions',
    'mazoutons',
    'mazouts',
    'mazoutâmes',
    'mazoutât',
    'mazoutâtes',
    'mazoutèrent',
    'mazouté',
    'mazoutée',
    'mazoutées',
    'mazoutés',
    'mazurka',
    'mazurkas',
    'maçon',
    'maçonna',
    'maçonnai',
    'maçonnaient',
    'maçonnais',
    'maçonnait',
    'maçonnant',
    'maçonnas',
    'maçonnasse',
    'maçonnassent',
    'maçonnasses',
    'maçonnassiez',
    'maçonne',
    'maçonnent',
    'maçonner',
    'maçonnera',
    'maçonnerai',
    'maçonnerais',
    'maçonnerait',
    'maçonneras',
    'maçonnerez',
    'maçonnerie',
    'maçonneries',
    'maçonneriez',
    'maçonnerions',
    'maçonnerons',
    'maçonneront',
    'maçonnes',
    'maçonnez',
    'maçonniez',
    'maçonnions',
    'maçonnique',
    'maçonniques',
    'maçonnons',
    'maçonnâmes',
    'maçonnât',
    'maçonnâtes',
    'maçonnèrent',
    'maçonné',
    'maçonnée',
    'maçonnées',
    'maçonnés',
    'maçons',
    'maître',
    'maîtres',
    'maîtresse',
    'maîtresses',
    'maîtrisa',
    'maîtrisable',
    'maîtrisables',
    'maîtrisai',
    'maîtrisaient',
    'maîtrisais',
    'maîtrisait',
    'maîtrisant',
    'maîtrisas',
    'maîtrisasse',
    'maîtrisasses',
    'maîtrise',
    'maîtrisent',
    'maîtriser',
    'maîtrisera',
    'maîtriserai',
    'maîtriserais',
    'maîtriserait',
    'maîtriseras',
    'maîtriserez',
    'maîtriseriez',
    'maîtriserons',
    'maîtriseront',
    'maîtrises',
    'maîtrisez',
    'maîtrisiez',
    'maîtrisions',
    'maîtrisons',
    'maîtrisâmes',
    'maîtrisât',
    'maîtrisâtes',
    'maîtrisèrent',
    'maîtrisé',
    'maîtrisée',
    'maîtrisées',
    'maîtrisés',
    'maïa',
    'maïas',
    'maïeur',
    'maïeurs',
    'maïeutique',
    'maïeutiques',
    'maïs',
    'maïserie',
    'maïseries',
    'maïzena',
    'maïzenas',
    'meccano',
    'meccanos',
    'mechta',
    'mechtas',
    'mecs',
    'medersa',
    'medersas',
    'meeting',
    'meetings',
    'meilleur',
    'meilleure',
    'meilleures',
    'meilleurs',
    'meistre',
    'meistres',
    'melchior',
    'melchiors',
    'melchite',
    'melchites',
    'melliflue',
    'melliflues',
    'mellifère',
    'mellifères',
    'mellite',
    'mellites',
    'mellâh',
    'mellâhs',
    'melon',
    'melonnière',
    'melonnières',
    'melonné',
    'melonnée',
    'melonnées',
    'melonnés',
    'melons',
    'membrane',
    'membranes',
    'membraneuse',
    'membraneuses',
    'membraneux',
    'membranule',
    'membranules',
    'membre',
    'membres',
    'membron',
    'membrons',
    'membru',
    'membrue',
    'membrues',
    'membrure',
    'membrures',
    'membrus',
    'membré',
    'membrée',
    'membrées',
    'membrés',
    'mena',
    'menabrea',
    'menace',
    'menacent',
    'menacer',
    'menacera',
    'menacerai',
    'menaceraient',
    'menacerais',
    'menacerait',
    'menaceras',
    'menacerez',
    'menaceriez',
    'menacerions',
    'menacerons',
    'menaceront',
    'menaces',
    'menacez',
    'menaciez',
    'menacions',
    'menacèrent',
    'menacé',
    'menacée',
    'menacées',
    'menacés',
    'menai',
    'menaient',
    'menais',
    'menait',
    'menant',
    'menas',
    'menasse',
    'menassent',
    'menasses',
    'menassiez',
    'menassions',
    'menaça',
    'menaçai',
    'menaçaient',
    'menaçais',
    'menaçait',
    'menaçant',
    'menaçante',
    'menaçantes',
    'menaçants',
    'menaças',
    'menaçasse',
    'menaçassent',
    'menaçasses',
    'menaçassiez',
    'menaçassions',
    'menaçons',
    'menaçâmes',
    'menaçât',
    'menaçâtes',
    'menchevik',
    'mencheviks',
    'mendia',
    'mendiai',
    'mendiaient',
    'mendiais',
    'mendiait',
    'mendiant',
    'mendiante',
    'mendiantes',
    'mendiants',
    'mendias',
    'mendiasse',
    'mendiassent',
    'mendiasses',
    'mendiassiez',
    'mendiassions',
    'mendicité',
    'mendicités',
    'mendie',
    'mendient',
    'mendier',
    'mendiera',
    'mendierai',
    'mendieraient',
    'mendierais',
    'mendierait',
    'mendieras',
    'mendierez',
    'mendieriez',
    'mendierions',
    'mendierons',
    'mendieront',
    'mendies',
    'mendiez',
    'mendigot',
    'mendigota',
    'mendigotai',
    'mendigotais',
    'mendigotait',
    'mendigotant',
    'mendigotas',
    'mendigotasse',
    'mendigote',
    'mendigotent',
    'mendigoter',
    'mendigotera',
    'mendigoterai',
    'mendigoteras',
    'mendigoterez',
    'mendigotes',
    'mendigotez',
    'mendigotiez',
    'mendigotions',
    'mendigotons',
    'mendigots',
    'mendigotâmes',
    'mendigotât',
    'mendigotâtes',
    'mendigoté',
    'mendigotée',
    'mendigotées',
    'mendigotés',
    'mendiiez',
    'mendiions',
    'mendions',
    'mendiâmes',
    'mendiât',
    'mendiâtes',
    'mendièrent',
    'mendié',
    'mendiée',
    'mendiées',
    'mendiés',
    'mendélien',
    'mendélienne',
    'mendéliennes',
    'mendéliens',
    'mendélisme',
    'mendélismes',
    'mendélévium',
    'mendéléviums',
    'meneau',
    'meneaux',
    'mener',
    'meneur',
    'meneurs',
    'meneuse',
    'meneuses',
    'menez',
    'menhir',
    'menhirs',
    'meniez',
    'menin',
    'menine',
    'menines',
    'menins',
    'menions',
    'mennonite',
    'mennonites',
    'menons',
    'menotte',
    'menottes',
    'mens',
    'mense',
    'menses',
    'mensonge',
    'mensonger',
    'mensongers',
    'mensonges',
    'mensongère',
    'mensongères',
    'menstruation',
    'menstruel',
    'menstruelle',
    'menstruelles',
    'menstruels',
    'menstrues',
    'mensualisa',
    'mensualisai',
    'mensualisais',
    'mensualisait',
    'mensualisant',
    'mensualisas',
    'mensualise',
    'mensualisent',
    'mensualiser',
    'mensualisera',
    'mensualises',
    'mensualisez',
    'mensualisiez',
    'mensualisons',
    'mensualisât',
    'mensualisé',
    'mensualisée',
    'mensualisées',
    'mensualisés',
    'mensualité',
    'mensualités',
    'mensuel',
    'mensuelle',
    'mensuelles',
    'mensuels',
    'mensura',
    'mensurai',
    'mensuraient',
    'mensurais',
    'mensurait',
    'mensurant',
    'mensuras',
    'mensurasse',
    'mensurassent',
    'mensurasses',
    'mensurassiez',
    'mensuration',
    'mensurations',
    'mensure',
    'mensurent',
    'mensurer',
    'mensurera',
    'mensurerai',
    'mensurerais',
    'mensurerait',
    'mensureras',
    'mensurerez',
    'mensureriez',
    'mensurerions',
    'mensurerons',
    'mensureront',
    'mensures',
    'mensurez',
    'mensuriez',
    'mensurions',
    'mensurons',
    'mensurâmes',
    'mensurât',
    'mensurâtes',
    'mensurèrent',
    'mensuré',
    'mensurée',
    'mensurées',
    'mensurés',
    'ment',
    'mentaient',
    'mentais',
    'mentait',
    'mental',
    'mentale',
    'mentalement',
    'mentales',
    'mentalité',
    'mentalités',
    'mentant',
    'mentaux',
    'mente',
    'mentent',
    'menterie',
    'menteries',
    'mentes',
    'menteur',
    'menteurs',
    'menteuse',
    'menteuses',
    'mentez',
    'menthe',
    'menthes',
    'menthol',
    'menthols',
    'mentholé',
    'mentholée',
    'mentholées',
    'mentholés',
    'menti',
    'mentie',
    'menties',
    'mentiez',
    'mention',
    'mentionna',
    'mentionnai',
    'mentionnais',
    'mentionnait',
    'mentionnant',
    'mentionnas',
    'mentionnasse',
    'mentionne',
    'mentionnent',
    'mentionner',
    'mentionnera',
    'mentionnerai',
    'mentionneras',
    'mentionnerez',
    'mentionnes',
    'mentionnez',
    'mentionniez',
    'mentionnions',
    'mentionnons',
    'mentionnâmes',
    'mentionnât',
    'mentionnâtes',
    'mentionné',
    'mentionnée',
    'mentionnées',
    'mentionnés',
    'mentions',
    'mentir',
    'mentira',
    'mentirai',
    'mentiraient',
    'mentirais',
    'mentirait',
    'mentiras',
    'mentirent',
    'mentirez',
    'mentiriez',
    'mentirions',
    'mentirons',
    'mentiront',
    'mentis',
    'mentisme',
    'mentismes',
    'mentisse',
    'mentissent',
    'mentisses',
    'mentissiez',
    'mentissions',
    'mentit',
    'menton',
    'mentonnet',
    'mentonnets',
    'mentonnier',
    'mentonniers',
    'mentonnière',
    'mentonnières',
    'mentons',
    'mentor',
    'mentors',
    'mentîmes',
    'mentît',
    'mentîtes',
    'menu',
    'menue',
    'menues',
    'menuet',
    'menuets',
    'menuisa',
    'menuisai',
    'menuisaient',
    'menuisais',
    'menuisait',
    'menuisant',
    'menuisas',
    'menuisasse',
    'menuisassent',
    'menuisasses',
    'menuisassiez',
    'menuise',
    'menuisent',
    'menuiser',
    'menuisera',
    'menuiserai',
    'menuiserais',
    'menuiserait',
    'menuiseras',
    'menuiserez',
    'menuiserie',
    'menuiseries',
    'menuiseriez',
    'menuiserions',
    'menuiserons',
    'menuiseront',
    'menuises',
    'menuisez',
    'menuisier',
    'menuisiers',
    'menuisiez',
    'menuisions',
    'menuisons',
    'menuisâmes',
    'menuisât',
    'menuisâtes',
    'menuisèrent',
    'menuisé',
    'menuisée',
    'menuisées',
    'menuisés',
    'menus',
    'menâmes',
    'menât',
    'menâtes',
    'menèrent',
    'mené',
    'menée',
    'menées',
    'menés',
    'mercanti',
    'mercantile',
    'mercantiles',
    'mercantilisa',
    'mercantilise',
    'mercantilisé',
    'mercantis',
    'mercaptan',
    'mercaptans',
    'mercaticien',
    'mercaticiens',
    'mercatique',
    'mercatiques',
    'mercenaire',
    'mercenaires',
    'mercerie',
    'merceries',
    'mercerisa',
    'mercerisage',
    'mercerisages',
    'mercerisai',
    'mercerisais',
    'mercerisait',
    'mercerisant',
    'mercerisas',
    'mercerisasse',
    'mercerise',
    'mercerisent',
    'merceriser',
    'mercerisera',
    'merceriserai',
    'merceriseras',
    'merceriserez',
    'mercerises',
    'mercerisez',
    'mercerisiez',
    'mercerisions',
    'mercerisons',
    'mercerisâmes',
    'mercerisât',
    'mercerisâtes',
    'mercerisé',
    'mercerisée',
    'mercerisées',
    'mercerisés',
    'merci',
    'mercier',
    'merciers',
    'mercis',
    'mercière',
    'mercières',
    'mercredi',
    'mercredis',
    'mercure',
    'mercures',
    'mercureux',
    'mercuriale',
    'mercuriales',
    'mercuriel',
    'mercurielle',
    'mercurielles',
    'mercuriels',
    'merde',
    'merder',
    'merdes',
    'merdeuse',
    'merdeuses',
    'merdeux',
    'merdier',
    'merdiers',
    'merdique',
    'merdiques',
    'merdoie',
    'merdoient',
    'merdoiera',
    'merdoierai',
    'merdoierais',
    'merdoierait',
    'merdoieras',
    'merdoierez',
    'merdoieriez',
    'merdoierions',
    'merdoierons',
    'merdoieront',
    'merdoies',
    'merdoya',
    'merdoyai',
    'merdoyaient',
    'merdoyais',
    'merdoyait',
    'merdoyant',
    'merdoyas',
    'merdoyasse',
    'merdoyassent',
    'merdoyasses',
    'merdoyassiez',
    'merdoyer',
    'merdoyez',
    'merdoyiez',
    'merdoyions',
    'merdoyons',
    'merdoyâmes',
    'merdoyât',
    'merdoyâtes',
    'merdoyèrent',
    'merdoyé',
    'merguez',
    'meringua',
    'meringuai',
    'meringuaient',
    'meringuais',
    'meringuait',
    'meringuant',
    'meringuas',
    'meringuasse',
    'meringuasses',
    'meringue',
    'meringuent',
    'meringuer',
    'meringuera',
    'meringuerai',
    'meringuerais',
    'meringuerait',
    'meringueras',
    'meringuerez',
    'meringueriez',
    'meringuerons',
    'meringueront',
    'meringues',
    'meringuez',
    'meringuiez',
    'meringuions',
    'meringuons',
    'meringuâmes',
    'meringuât',
    'meringuâtes',
    'meringuèrent',
    'meringué',
    'meringuée',
    'meringuées',
    'meringués',
    'merise',
    'merises',
    'merisier',
    'merisiers',
    'merlan',
    'merlans',
    'merle',
    'merles',
    'merlette',
    'merlettes',
    'merlin',
    'merlins',
    'merlon',
    'merlons',
    'merlu',
    'merluche',
    'merluches',
    'merlus',
    'merrain',
    'merrains',
    'mers',
    'merveille',
    'merveilles',
    'merveilleuse',
    'merveilleux',
    'mesa',
    'mesas',
    'mescaline',
    'mescalines',
    'mesclun',
    'mescluns',
    'mesdames',
    'mesmérisme',
    'mesmérismes',
    'mesquin',
    'mesquine',
    'mesquinement',
    'mesquinerie',
    'mesquineries',
    'mesquines',
    'mesquins',
    'mess',
    'message',
    'messager',
    'messagerie',
    'messageries',
    'messagers',
    'messages',
    'messagère',
    'messagères',
    'messe',
    'messeigneurs',
    'messeoir',
    'messer',
    'messers',
    'messes',
    'messeyaient',
    'messeyait',
    'messianique',
    'messianiques',
    'messianisme',
    'messianismes',
    'messidor',
    'messie',
    'messied',
    'messier',
    'messiers',
    'messies',
    'messieurs',
    'messire',
    'messires',
    'messiée',
    'messiéent',
    'messiéra',
    'messiéraient',
    'messiérait',
    'messiéront',
    'messéant',
    'mestrance',
    'mestrances',
    'mestre',
    'mestres',
    'mesura',
    'mesurable',
    'mesurables',
    'mesurage',
    'mesurages',
    'mesurai',
    'mesuraient',
    'mesurais',
    'mesurait',
    'mesurant',
    'mesuras',
    'mesurasse',
    'mesurassent',
    'mesurasses',
    'mesurassiez',
    'mesurassions',
    'mesure',
    'mesurent',
    'mesurer',
    'mesurera',
    'mesurerai',
    'mesureraient',
    'mesurerais',
    'mesurerait',
    'mesureras',
    'mesurerez',
    'mesureriez',
    'mesurerions',
    'mesurerons',
    'mesureront',
    'mesures',
    'mesureur',
    'mesureurs',
    'mesurez',
    'mesuriez',
    'mesurions',
    'mesurons',
    'mesurâmes',
    'mesurât',
    'mesurâtes',
    'mesurèrent',
    'mesuré',
    'mesurée',
    'mesurées',
    'mesurés',
    'mets',
    'mettable',
    'mettables',
    'mettaient',
    'mettais',
    'mettait',
    'mettant',
    'mette',
    'mettent',
    'mettes',
    'metteur',
    'metteurs',
    'metteuse',
    'metteuses',
    'mettez',
    'mettiez',
    'mettions',
    'mettons',
    'mettra',
    'mettrai',
    'mettraient',
    'mettrais',
    'mettrait',
    'mettras',
    'mettre',
    'mettrez',
    'mettriez',
    'mettrions',
    'mettrons',
    'mettront',
    'meubla',
    'meublai',
    'meublaient',
    'meublais',
    'meublait',
    'meublant',
    'meublas',
    'meublasse',
    'meublassent',
    'meublasses',
    'meublassiez',
    'meublassions',
    'meuble',
    'meublent',
    'meubler',
    'meublera',
    'meublerai',
    'meubleraient',
    'meublerais',
    'meublerait',
    'meubleras',
    'meublerez',
    'meubleriez',
    'meublerions',
    'meublerons',
    'meubleront',
    'meubles',
    'meublez',
    'meubliez',
    'meublions',
    'meublons',
    'meublâmes',
    'meublât',
    'meublâtes',
    'meublèrent',
    'meublé',
    'meublée',
    'meublées',
    'meublés',
    'meugla',
    'meuglai',
    'meuglaient',
    'meuglais',
    'meuglait',
    'meuglant',
    'meuglante',
    'meuglantes',
    'meuglants',
    'meuglas',
    'meuglasse',
    'meuglassent',
    'meuglasses',
    'meuglassiez',
    'meuglassions',
    'meugle',
    'meuglement',
    'meuglements',
    'meuglent',
    'meugler',
    'meuglera',
    'meuglerai',
    'meugleraient',
    'meuglerais',
    'meuglerait',
    'meugleras',
    'meuglerez',
    'meugleriez',
    'meuglerions',
    'meuglerons',
    'meugleront',
    'meugles',
    'meuglez',
    'meugliez',
    'meuglions',
    'meuglons',
    'meuglâmes',
    'meuglât',
    'meuglâtes',
    'meuglèrent',
    'meuglé',
    'meula',
    'meulage',
    'meulages',
    'meulai',
    'meulaient',
    'meulais',
    'meulait',
    'meulant',
    'meulas',
    'meulasse',
    'meulassent',
    'meulasses',
    'meulassiez',
    'meulassions',
    'meule',
    'meulent',
    'meuler',
    'meulera',
    'meulerai',
    'meuleraient',
    'meulerais',
    'meulerait',
    'meuleras',
    'meulerez',
    'meuleriez',
    'meulerions',
    'meulerons',
    'meuleront',
    'meules',
    'meulette',
    'meulettes',
    'meulez',
    'meulier',
    'meuliers',
    'meuliez',
    'meulions',
    'meulière',
    'meulières',
    'meulon',
    'meulons',
    'meulâmes',
    'meulât',
    'meulâtes',
    'meulèrent',
    'meulé',
    'meulée',
    'meulées',
    'meulés',
    'meunerie',
    'meuneries',
    'meunier',
    'meuniers',
    'meunière',
    'meunières',
    'meure',
    'meurent',
    'meures',
    'meurette',
    'meurettes',
    'meurs',
    'meurt',
    'meurtre',
    'meurtres',
    'meurtri',
    'meurtrie',
    'meurtrier',
    'meurtriers',
    'meurtries',
    'meurtrir',
    'meurtrira',
    'meurtrirai',
    'meurtrirais',
    'meurtrirait',
    'meurtriras',
    'meurtrirent',
    'meurtrirez',
    'meurtririez',
    'meurtririons',
    'meurtrirons',
    'meurtriront',
    'meurtris',
    'meurtrissais',
    'meurtrissait',
    'meurtrissant',
    'meurtrisse',
    'meurtrissent',
    'meurtrisses',
    'meurtrissez',
    'meurtrissiez',
    'meurtrissons',
    'meurtrissure',
    'meurtrit',
    'meurtrière',
    'meurtrières',
    'meurtrîmes',
    'meurtrît',
    'meurtrîtes',
    'meus',
    'meut',
    'meute',
    'meutes',
    'meuve',
    'meuvent',
    'meuves',
    'mexicain',
    'mexicaine',
    'mexicaines',
    'mexicains',
    'mezzanine',
    'mezzanines',
    'mezzo',
    'meïji',
    'meïjis',
    'miaou',
    'miaous',
    'miasmatique',
    'miasmatiques',
    'miasme',
    'miasmes',
    'miaula',
    'miaulai',
    'miaulaient',
    'miaulais',
    'miaulait',
    'miaulant',
    'miaulante',
    'miaulantes',
    'miaulants',
    'miaulas',
    'miaulasse',
    'miaulassent',
    'miaulasses',
    'miaulassiez',
    'miaulassions',
    'miaule',
    'miaulement',
    'miaulements',
    'miaulent',
    'miauler',
    'miaulera',
    'miaulerai',
    'miauleraient',
    'miaulerais',
    'miaulerait',
    'miauleras',
    'miaulerez',
    'miauleriez',
    'miaulerions',
    'miaulerons',
    'miauleront',
    'miaules',
    'miauleur',
    'miauleurs',
    'miauleuse',
    'miauleuses',
    'miaulez',
    'miauliez',
    'miaulions',
    'miaulons',
    'miaulâmes',
    'miaulât',
    'miaulâtes',
    'miaulèrent',
    'miaulé',
    'mica',
    'micacé',
    'micacée',
    'micacées',
    'micacés',
    'micas',
    'micaschiste',
    'micaschistes',
    'micellaire',
    'micellaires',
    'micelle',
    'micelles',
    'miche',
    'micheline',
    'michelines',
    'michell',
    'miches',
    'micheton',
    'michetons',
    'micmac',
    'micmacs',
    'micocoulier',
    'micocouliers',
    'micro',
    'microbalance',
    'microbe',
    'microbes',
    'microbicide',
    'microbicides',
    'microbien',
    'microbienne',
    'microbiennes',
    'microbiens',
    'microbus',
    'microcavités',
    'microcinéma',
    'microcinémas',
    'microcircuit',
    'microclimat',
    'microclimats',
    'microcoque',
    'microcoques',
    'microcosme',
    'microcosmes',
    'microcristal',
    'microcéphale',
    'microfiche',
    'microfiches',
    'microfilm',
    'microfilma',
    'microfilmai',
    'microfilmais',
    'microfilmait',
    'microfilmant',
    'microfilmas',
    'microfilme',
    'microfilment',
    'microfilmer',
    'microfilmera',
    'microfilmes',
    'microfilmez',
    'microfilmiez',
    'microfilmons',
    'microfilms',
    'microfilmât',
    'microfilmé',
    'microfilmée',
    'microfilmées',
    'microfilmés',
    'micrographie',
    'microgrenu',
    'microgrenue',
    'microgrenues',
    'microgrenus',
    'micromètre',
    'micromètres',
    'micrométrie',
    'micrométries',
    'micron',
    'microns',
    'microphone',
    'microphones',
    'micros',
    'microscope',
    'microscopes',
    'microscopie',
    'microseconde',
    'microsillon',
    'microsillons',
    'miction',
    'mictions',
    'midi',
    'midinette',
    'midinettes',
    'midis',
    'midship',
    'midshipman',
    'midshipmen',
    'midships',
    'miel',
    'mielleuse',
    'mielleuses',
    'mielleux',
    'miellé',
    'miellée',
    'miellées',
    'miellés',
    'miels',
    'mien',
    'mienne',
    'miennes',
    'miens',
    'mies',
    'miette',
    'miettes',
    'mieux',
    'migmatite',
    'migmatites',
    'mignard',
    'mignarda',
    'mignardai',
    'mignardaient',
    'mignardais',
    'mignardait',
    'mignardant',
    'mignardas',
    'mignardasse',
    'mignardasses',
    'mignarde',
    'mignardent',
    'mignarder',
    'mignardera',
    'mignarderai',
    'mignarderais',
    'mignarderait',
    'mignarderas',
    'mignarderez',
    'mignarderiez',
    'mignarderons',
    'mignarderont',
    'mignardes',
    'mignardez',
    'mignardiez',
    'mignardions',
    'mignardise',
    'mignardises',
    'mignardons',
    'mignards',
    'mignardâmes',
    'mignardât',
    'mignardâtes',
    'mignardèrent',
    'mignardé',
    'mignardée',
    'mignardées',
    'mignardés',
    'mignon',
    'mignonne',
    'mignonnement',
    'mignonnes',
    'mignonnet',
    'mignonnette',
    'mignonnettes',
    'mignons',
    'mignota',
    'mignotai',
    'mignotaient',
    'mignotais',
    'mignotait',
    'mignotant',
    'mignotas',
    'mignotasse',
    'mignotassent',
    'mignotasses',
    'mignotassiez',
    'mignote',
    'mignotent',
    'mignoter',
    'mignotera',
    'mignoterai',
    'mignoterais',
    'mignoterait',
    'mignoteras',
    'mignoterez',
    'mignoteriez',
    'mignoterions',
    'mignoterons',
    'mignoteront',
    'mignotes',
    'mignotez',
    'mignotiez',
    'mignotions',
    'mignotons',
    'mignotâmes',
    'mignotât',
    'mignotâtes',
    'mignotèrent',
    'mignoté',
    'mignotée',
    'mignotées',
    'mignotés',
    'migra',
    'migrai',
    'migraient',
    'migraine',
    'migraines',
    'migraineuse',
    'migraineuses',
    'migraineux',
    'migrais',
    'migrait',
    'migrant',
    'migrante',
    'migrantes',
    'migrants',
    'migras',
    'migrasse',
    'migrassent',
    'migrasses',
    'migrassiez',
    'migrassions',
    'migrateur',
    'migrateurs',
    'migration',
    'migrations',
    'migratoire',
    'migratoires',
    'migratrice',
    'migratrices',
    'migre',
    'migrent',
    'migrer',
    'migrera',
    'migrerai',
    'migreraient',
    'migrerais',
    'migrerait',
    'migreras',
    'migrerez',
    'migreriez',
    'migrerions',
    'migrerons',
    'migreront',
    'migres',
    'migrez',
    'migriez',
    'migrions',
    'migrons',
    'migrâmes',
    'migrât',
    'migrâtes',
    'migrèrent',
    'migré',
    'mijaurée',
    'mijaurées',
    'mijota',
    'mijotai',
    'mijotaient',
    'mijotais',
    'mijotait',
    'mijotant',
    'mijotante',
    'mijotantes',
    'mijotants',
    'mijotas',
    'mijotasse',
    'mijotassent',
    'mijotasses',
    'mijotassiez',
    'mijotassions',
    'mijote',
    'mijotent',
    'mijoter',
    'mijotera',
    'mijoterai',
    'mijoteraient',
    'mijoterais',
    'mijoterait',
    'mijoteras',
    'mijoterez',
    'mijoteriez',
    'mijoterions',
    'mijoterons',
    'mijoteront',
    'mijotes',
    'mijotez',
    'mijotiez',
    'mijotions',
    'mijotons',
    'mijotâmes',
    'mijotât',
    'mijotâtes',
    'mijotèrent',
    'mijoté',
    'mijotée',
    'mijotées',
    'mijotés',
    'mikado',
    'mikados',
    'milan',
    'milanais',
    'milanaise',
    'milanaises',
    'milans',
    'mildiou',
    'mildious',
    'mildiousé',
    'mildiousée',
    'mildiousées',
    'mildiousés',
    'mile',
    'miles',
    'miliaire',
    'miliaires',
    'milice',
    'milices',
    'milicien',
    'milicienne',
    'miliciennes',
    'miliciens',
    'milieu',
    'milieux',
    'milita',
    'militai',
    'militaient',
    'militaire',
    'militaires',
    'militais',
    'militait',
    'militant',
    'militante',
    'militantes',
    'militantisme',
    'militants',
    'militarisa',
    'militarisai',
    'militarisais',
    'militarisait',
    'militarisant',
    'militarisas',
    'militarise',
    'militarisent',
    'militariser',
    'militarisera',
    'militarises',
    'militarisez',
    'militarisiez',
    'militarisme',
    'militarismes',
    'militarisons',
    'militariste',
    'militaristes',
    'militarisât',
    'militarisé',
    'militarisée',
    'militarisées',
    'militarisés',
    'militas',
    'militasse',
    'militassent',
    'militasses',
    'militassiez',
    'militassions',
    'milite',
    'militent',
    'militer',
    'militera',
    'militerai',
    'militeraient',
    'militerais',
    'militerait',
    'militeras',
    'militerez',
    'militeriez',
    'militerions',
    'militerons',
    'militeront',
    'milites',
    'militez',
    'militiez',
    'militions',
    'militons',
    'militâmes',
    'militât',
    'militâtes',
    'militèrent',
    'milité',
    'millage',
    'millages',
    'millas',
    'millasse',
    'millasses',
    'mille',
    'millefeuille',
    'millepertuis',
    'millerandage',
    'millerandé',
    'millerandée',
    'millerandées',
    'millerandés',
    'milles',
    'millet',
    'millets',
    'milliaire',
    'milliaires',
    'milliampère',
    'milliampères',
    'milliard',
    'milliardaire',
    'milliardième',
    'milliards',
    'milliasse',
    'milliasses',
    'millibar',
    'millibars',
    'millier',
    'milliers',
    'milligramme',
    'milligrammes',
    'millilitre',
    'millilitres',
    'millimètre',
    'millimètres',
    'millimétré',
    'millimétrée',
    'millimétrées',
    'millimétrés',
    'million',
    'millionième',
    'millionièmes',
    'millionnaire',
    'millions',
    'millithermie',
    'millivolt',
    'millivolts',
    'millième',
    'millièmes',
    'millénaire',
    'millénaires',
    'millénarisme',
    'millénium',
    'milléniums',
    'millépore',
    'millépores',
    'millésima',
    'millésimai',
    'millésimais',
    'millésimait',
    'millésimant',
    'millésimas',
    'millésimasse',
    'millésime',
    'millésiment',
    'millésimer',
    'millésimera',
    'millésimerai',
    'millésimeras',
    'millésimerez',
    'millésimes',
    'millésimez',
    'millésimiez',
    'millésimions',
    'millésimons',
    'millésimâmes',
    'millésimât',
    'millésimâtes',
    'millésimé',
    'millésimée',
    'millésimées',
    'millésimés',
    'milord',
    'milords',
    'milouin',
    'milouins',
    'mils',
    'mima',
    'mimai',
    'mimaient',
    'mimais',
    'mimait',
    'mimant',
    'mimas',
    'mimasse',
    'mimassent',
    'mimasses',
    'mimassiez',
    'mimassions',
    'mime',
    'miment',
    'mimer',
    'mimera',
    'mimerai',
    'mimeraient',
    'mimerais',
    'mimerait',
    'mimeras',
    'mimerez',
    'mimeriez',
    'mimerions',
    'mimerons',
    'mimeront',
    'mimes',
    'mimez',
    'mimi',
    'mimiez',
    'mimions',
    'mimique',
    'mimiques',
    'mimis',
    'mimodrame',
    'mimodrames',
    'mimographe',
    'mimographes',
    'mimolette',
    'mimolettes',
    'mimologie',
    'mimologies',
    'mimons',
    'mimosa',
    'mimosas',
    'mimâmes',
    'mimât',
    'mimâtes',
    'mimèrent',
    'mimé',
    'mimée',
    'mimées',
    'mimés',
    'mimétique',
    'mimétiques',
    'mimétisme',
    'mimétismes',
    'mina',
    'minable',
    'minablement',
    'minables',
    'minage',
    'minages',
    'minahouet',
    'minahouets',
    'minai',
    'minaient',
    'minais',
    'minait',
    'minant',
    'minante',
    'minantes',
    'minants',
    'minaret',
    'minarets',
    'minas',
    'minasse',
    'minassent',
    'minasses',
    'minassiez',
    'minassions',
    'minauda',
    'minaudai',
    'minaudaient',
    'minaudais',
    'minaudait',
    'minaudant',
    'minaudas',
    'minaudasse',
    'minaudassent',
    'minaudasses',
    'minaudassiez',
    'minaude',
    'minaudent',
    'minauder',
    'minaudera',
    'minauderai',
    'minauderais',
    'minauderait',
    'minauderas',
    'minauderez',
    'minauderie',
    'minauderies',
    'minauderiez',
    'minauderions',
    'minauderons',
    'minauderont',
    'minaudes',
    'minaudez',
    'minaudier',
    'minaudiers',
    'minaudiez',
    'minaudions',
    'minaudière',
    'minaudières',
    'minaudons',
    'minaudâmes',
    'minaudât',
    'minaudâtes',
    'minaudèrent',
    'minaudé',
    'minaudée',
    'minaudées',
    'minaudés',
    'minbar',
    'minbars',
    'mince',
    'minces',
    'minceur',
    'minceurs',
    'minci',
    'mincie',
    'mincies',
    'mincir',
    'mincira',
    'mincirai',
    'minciraient',
    'mincirais',
    'mincirait',
    'minciras',
    'mincirent',
    'mincirez',
    'minciriez',
    'mincirions',
    'mincirons',
    'minciront',
    'mincis',
    'mincissaient',
    'mincissais',
    'mincissait',
    'mincissant',
    'mincissante',
    'mincissantes',
    'mincissants',
    'mincisse',
    'mincissent',
    'mincisses',
    'mincissez',
    'mincissiez',
    'mincissions',
    'mincissons',
    'mincit',
    'mincîmes',
    'mincît',
    'mincîtes',
    'mine',
    'minent',
    'miner',
    'minera',
    'minerai',
    'mineraient',
    'minerais',
    'minerait',
    'mineras',
    'minerez',
    'mineriez',
    'minerions',
    'minerons',
    'mineront',
    'minerval',
    'minervals',
    'minerve',
    'minerves',
    'minerviste',
    'minervistes',
    'mines',
    'minestrone',
    'minestrones',
    'minet',
    'minets',
    'minette',
    'minettes',
    'mineur',
    'mineure',
    'mineures',
    'mineurs',
    'minez',
    'mini',
    'miniatura',
    'miniaturai',
    'miniaturais',
    'miniaturait',
    'miniaturant',
    'miniaturas',
    'miniaturasse',
    'miniature',
    'miniaturent',
    'miniaturer',
    'miniaturera',
    'miniaturerai',
    'miniatureras',
    'miniaturerez',
    'miniatures',
    'miniaturez',
    'miniaturiez',
    'miniaturions',
    'miniaturisa',
    'miniaturisai',
    'miniaturisas',
    'miniaturise',
    'miniaturiser',
    'miniaturises',
    'miniaturisez',
    'miniaturiste',
    'miniaturisât',
    'miniaturisé',
    'miniaturisée',
    'miniaturisés',
    'miniaturons',
    'miniaturâmes',
    'miniaturât',
    'miniaturâtes',
    'miniaturé',
    'miniaturée',
    'miniaturées',
    'miniaturés',
    'minibus',
    'minicar',
    'minicars',
    'minicassette',
    'minier',
    'miniers',
    'miniez',
    'minima',
    'minimal',
    'minimale',
    'minimales',
    'minimaliser',
    'minimaux',
    'minime',
    'minimes',
    'minimisa',
    'minimisai',
    'minimisaient',
    'minimisais',
    'minimisait',
    'minimisant',
    'minimisante',
    'minimisantes',
    'minimisants',
    'minimisas',
    'minimisasse',
    'minimisasses',
    'minimisation',
    'minimise',
    'minimisent',
    'minimiser',
    'minimisera',
    'minimiserai',
    'minimiserais',
    'minimiserait',
    'minimiseras',
    'minimiserez',
    'minimiseriez',
    'minimiserons',
    'minimiseront',
    'minimises',
    'minimisez',
    'minimisiez',
    'minimisions',
    'minimisons',
    'minimisâmes',
    'minimisât',
    'minimisâtes',
    'minimisèrent',
    'minimisé',
    'minimisée',
    'minimisées',
    'minimisés',
    'minimum',
    'minimums',
    'minions',
    'minipage',
    'minis',
    'ministrable',
    'ministrables',
    'ministre',
    'ministres',
    'ministère',
    'ministères',
    'ministériel',
    'ministériels',
    'minium',
    'minière',
    'minières',
    'minnesinger',
    'minnesingers',
    'minoen',
    'minoenne',
    'minoennes',
    'minoens',
    'minois',
    'minons',
    'minora',
    'minorai',
    'minoraient',
    'minorais',
    'minorait',
    'minorant',
    'minoras',
    'minorasse',
    'minorassent',
    'minorasses',
    'minorassiez',
    'minorassions',
    'minoratif',
    'minoratifs',
    'minoration',
    'minorations',
    'minorative',
    'minoratives',
    'minore',
    'minorent',
    'minorer',
    'minorera',
    'minorerai',
    'minoreraient',
    'minorerais',
    'minorerait',
    'minoreras',
    'minorerez',
    'minoreriez',
    'minorerions',
    'minorerons',
    'minoreront',
    'minores',
    'minorez',
    'minoriez',
    'minorions',
    'minoritaire',
    'minoritaires',
    'minorité',
    'minorités',
    'minorons',
    'minorâmes',
    'minorât',
    'minorâtes',
    'minorèrent',
    'minoré',
    'minorée',
    'minorées',
    'minorés',
    'minot',
    'minoterie',
    'minoteries',
    'minotier',
    'minotiers',
    'minotière',
    'minotières',
    'minots',
    'minou',
    'minous',
    'minuit',
    'minuits',
    'minus',
    'minuscule',
    'minuscules',
    'minuta',
    'minutage',
    'minutages',
    'minutai',
    'minutaient',
    'minutaire',
    'minutaires',
    'minutais',
    'minutait',
    'minutant',
    'minutas',
    'minutasse',
    'minutassent',
    'minutasses',
    'minutassiez',
    'minutassions',
    'minute',
    'minutent',
    'minuter',
    'minutera',
    'minuterai',
    'minuteraient',
    'minuterais',
    'minuterait',
    'minuteras',
    'minuterez',
    'minuterie',
    'minuteries',
    'minuteriez',
    'minuterions',
    'minuterons',
    'minuteront',
    'minutes',
    'minuteur',
    'minuteurs',
    'minutez',
    'minutie',
    'minutier',
    'minutiers',
    'minuties',
    'minutieuse',
    'minutieuses',
    'minutieux',
    'minutiez',
    'minutions',
    'minutons',
    'minutâmes',
    'minutât',
    'minutâtes',
    'minutèrent',
    'minuté',
    'minutée',
    'minutées',
    'minutés',
    'minâmes',
    'minât',
    'minâtes',
    'minèrent',
    'miné',
    'minée',
    'minées',
    'minéral',
    'minérale',
    'minérales',
    'minéralier',
    'minéraliers',
    'minéralisa',
    'minéralisai',
    'minéralisais',
    'minéralisait',
    'minéralisant',
    'minéralisas',
    'minéralise',
    'minéralisent',
    'minéraliser',
    'minéralisera',
    'minéralises',
    'minéralisez',
    'minéralisiez',
    'minéralisons',
    'minéralisât',
    'minéralisé',
    'minéralisée',
    'minéralisées',
    'minéralisés',
    'minéralogie',
    'minéralogies',
    'minéraux',
    'minés',
    'mioche',
    'mioches',
    'miocène',
    'miocènes',
    'mira',
    'mirabelle',
    'mirabelles',
    'mirabellier',
    'mirabelliers',
    'mirabilis',
    'miracle',
    'miracles',
    'miraculeuse',
    'miraculeuses',
    'miraculeux',
    'miraculé',
    'miraculée',
    'miraculées',
    'miraculés',
    'mirador',
    'miradors',
    'mirage',
    'mirages',
    'mirai',
    'miraient',
    'mirais',
    'mirait',
    'mirant',
    'miras',
    'mirasse',
    'mirassent',
    'mirasses',
    'mirassiez',
    'mirassions',
    'mirbane',
    'mirbanes',
    'mire',
    'mirent',
    'mirepoix',
    'mirer',
    'mirera',
    'mirerai',
    'mireraient',
    'mirerais',
    'mirerait',
    'mireras',
    'mirerez',
    'mireriez',
    'mirerions',
    'mirerons',
    'mireront',
    'mires',
    'mirettes',
    'mireur',
    'mireurs',
    'mireuse',
    'mireuses',
    'mirez',
    'miriez',
    'mirifique',
    'mirifiques',
    'mirions',
    'mirliflor',
    'mirliflore',
    'mirliflores',
    'mirliflors',
    'mirliton',
    'mirlitons',
    'mirmidon',
    'mirmidons',
    'mirmillon',
    'mirmillons',
    'miro',
    'mirobolant',
    'mirobolante',
    'mirobolantes',
    'mirobolants',
    'miroir',
    'miroirs',
    'miroita',
    'miroitai',
    'miroitaient',
    'miroitais',
    'miroitait',
    'miroitant',
    'miroitante',
    'miroitantes',
    'miroitants',
    'miroitas',
    'miroitasse',
    'miroitassent',
    'miroitasses',
    'miroitassiez',
    'miroite',
    'miroitement',
    'miroitements',
    'miroitent',
    'miroiter',
    'miroitera',
    'miroiterai',
    'miroiterais',
    'miroiterait',
    'miroiteras',
    'miroiterez',
    'miroiterie',
    'miroiteries',
    'miroiteriez',
    'miroiterions',
    'miroiterons',
    'miroiteront',
    'miroites',
    'miroitez',
    'miroitier',
    'miroitiers',
    'miroitiez',
    'miroitions',
    'miroitière',
    'miroitières',
    'miroitons',
    'miroitâmes',
    'miroitât',
    'miroitâtes',
    'miroitèrent',
    'miroité',
    'miroitée',
    'miroitées',
    'miroités',
    'mirons',
    'mironton',
    'mirontons',
    'miros',
    'miroton',
    'mirotons',
    'mirs',
    'mirâmes',
    'mirât',
    'mirâtes',
    'mirèrent',
    'miré',
    'mirée',
    'mirées',
    'mirés',
    'misa',
    'misai',
    'misaient',
    'misaine',
    'misaines',
    'misais',
    'misait',
    'misant',
    'misanthrope',
    'misanthropes',
    'misanthropie',
    'misas',
    'misasse',
    'misassent',
    'misasses',
    'misassiez',
    'misassions',
    'miscellanées',
    'miscibilité',
    'miscibilités',
    'miscible',
    'miscibles',
    'mise',
    'misent',
    'miser',
    'misera',
    'miserai',
    'miseraient',
    'miserais',
    'miserait',
    'miseras',
    'miserere',
    'miserez',
    'miseriez',
    'miserions',
    'miserons',
    'miseront',
    'mises',
    'misez',
    'misiez',
    'misions',
    'misogyne',
    'misogynes',
    'misogynie',
    'misogynies',
    'misons',
    'misonéisme',
    'misonéismes',
    'misonéiste',
    'misonéistes',
    'mispickel',
    'mispickels',
    'miss',
    'misse',
    'missel',
    'missels',
    'missent',
    'misses',
    'missiez',
    'missile',
    'missiles',
    'missilier',
    'missiliers',
    'mission',
    'missionnaire',
    'missions',
    'missive',
    'missives',
    'mistelle',
    'mistelles',
    'mistigri',
    'mistigris',
    'miston',
    'mistonne',
    'mistonnes',
    'mistons',
    'mistoufle',
    'mistoufles',
    'mistral',
    'mistrals',
    'misâmes',
    'misât',
    'misâtes',
    'misère',
    'misèrent',
    'misères',
    'misé',
    'misée',
    'misées',
    'misérable',
    'misérables',
    'miséreuse',
    'miséreuses',
    'miséreux',
    'miséricorde',
    'miséricordes',
    'miséréré',
    'misérérés',
    'misés',
    'mita',
    'mitage',
    'mitages',
    'mitai',
    'mitaient',
    'mitaine',
    'mitaines',
    'mitais',
    'mitait',
    'mitan',
    'mitans',
    'mitant',
    'mitas',
    'mitasse',
    'mitassent',
    'mitasses',
    'mitassiez',
    'mitassions',
    'mite',
    'mitent',
    'miter',
    'mitera',
    'miterai',
    'miteraient',
    'miterais',
    'miterait',
    'miteras',
    'miterez',
    'miteriez',
    'miterions',
    'miterons',
    'miteront',
    'mites',
    'miteuse',
    'miteuses',
    'miteux',
    'mitez',
    'mithracisme',
    'mithracismes',
    'mithriacisme',
    'mithriaque',
    'mithriaques',
    'mithridata',
    'mithridatai',
    'mithridatais',
    'mithridatait',
    'mithridatant',
    'mithridatas',
    'mithridate',
    'mithridatent',
    'mithridater',
    'mithridatera',
    'mithridates',
    'mithridatez',
    'mithridatiez',
    'mithridatisa',
    'mithridatise',
    'mithridatisé',
    'mithridatons',
    'mithridatât',
    'mithridaté',
    'mithridatée',
    'mithridatées',
    'mithridatés',
    'mitiez',
    'mitigation',
    'mitigations',
    'mitige',
    'mitigea',
    'mitigeai',
    'mitigeaient',
    'mitigeais',
    'mitigeait',
    'mitigeant',
    'mitigeante',
    'mitigeantes',
    'mitigeants',
    'mitigeas',
    'mitigeasse',
    'mitigeassent',
    'mitigeasses',
    'mitigeassiez',
    'mitigent',
    'mitigeons',
    'mitiger',
    'mitigera',
    'mitigerai',
    'mitigeraient',
    'mitigerais',
    'mitigerait',
    'mitigeras',
    'mitigerez',
    'mitigeriez',
    'mitigerions',
    'mitigerons',
    'mitigeront',
    'mitiges',
    'mitigeur',
    'mitigeurs',
    'mitigez',
    'mitigeâmes',
    'mitigeât',
    'mitigeâtes',
    'mitigiez',
    'mitigions',
    'mitigèrent',
    'mitigé',
    'mitigée',
    'mitigées',
    'mitigés',
    'mitions',
    'mitochondrie',
    'miton',
    'mitonna',
    'mitonnai',
    'mitonnaient',
    'mitonnais',
    'mitonnait',
    'mitonnant',
    'mitonnas',
    'mitonnasse',
    'mitonnassent',
    'mitonnasses',
    'mitonnassiez',
    'mitonne',
    'mitonnent',
    'mitonner',
    'mitonnera',
    'mitonnerai',
    'mitonnerais',
    'mitonnerait',
    'mitonneras',
    'mitonnerez',
    'mitonneriez',
    'mitonnerions',
    'mitonnerons',
    'mitonneront',
    'mitonnes',
    'mitonnez',
    'mitonniez',
    'mitonnions',
    'mitonnons',
    'mitonnâmes',
    'mitonnât',
    'mitonnâtes',
    'mitonnèrent',
    'mitonné',
    'mitonnée',
    'mitonnées',
    'mitonnés',
    'mitons',
    'mitose',
    'mitoses',
    'mitoyen',
    'mitoyenne',
    'mitoyennes',
    'mitoyenneté',
    'mitoyennetés',
    'mitoyens',
    'mitrailla',
    'mitraillade',
    'mitraillades',
    'mitraillage',
    'mitraillages',
    'mitraillai',
    'mitraillais',
    'mitraillait',
    'mitraillant',
    'mitraillante',
    'mitraillants',
    'mitraillas',
    'mitraillasse',
    'mitraille',
    'mitraillent',
    'mitrailler',
    'mitraillera',
    'mitraillerai',
    'mitrailleras',
    'mitraillerez',
    'mitrailles',
    'mitraillette',
    'mitrailleur',
    'mitrailleurs',
    'mitrailleuse',
    'mitraillez',
    'mitrailliez',
    'mitraillions',
    'mitraillons',
    'mitraillâmes',
    'mitraillât',
    'mitraillâtes',
    'mitraillé',
    'mitraillée',
    'mitraillées',
    'mitraillés',
    'mitral',
    'mitrale',
    'mitrales',
    'mitraux',
    'mitre',
    'mitres',
    'mitron',
    'mitrons',
    'mitré',
    'mitrée',
    'mitrées',
    'mitrés',
    'mitâmes',
    'mitât',
    'mitâtes',
    'mitèrent',
    'mité',
    'mitée',
    'mitées',
    'mités',
    'mixa',
    'mixage',
    'mixages',
    'mixai',
    'mixaient',
    'mixais',
    'mixait',
    'mixant',
    'mixas',
    'mixasse',
    'mixassent',
    'mixasses',
    'mixassiez',
    'mixassions',
    'mixe',
    'mixent',
    'mixer',
    'mixera',
    'mixerai',
    'mixeraient',
    'mixerais',
    'mixerait',
    'mixeras',
    'mixerez',
    'mixeriez',
    'mixerions',
    'mixerons',
    'mixeront',
    'mixers',
    'mixes',
    'mixeur',
    'mixeurs',
    'mixez',
    'mixiez',
    'mixions',
    'mixité',
    'mixités',
    'mixons',
    'mixte',
    'mixtes',
    'mixtion',
    'mixtionna',
    'mixtionnai',
    'mixtionnais',
    'mixtionnait',
    'mixtionnant',
    'mixtionnas',
    'mixtionnasse',
    'mixtionne',
    'mixtionnent',
    'mixtionner',
    'mixtionnera',
    'mixtionnerai',
    'mixtionneras',
    'mixtionnerez',
    'mixtionnes',
    'mixtionnez',
    'mixtionniez',
    'mixtionnions',
    'mixtionnons',
    'mixtionnâmes',
    'mixtionnât',
    'mixtionnâtes',
    'mixtionné',
    'mixtionnée',
    'mixtionnées',
    'mixtionnés',
    'mixtions',
    'mixture',
    'mixtures',
    'mixâmes',
    'mixât',
    'mixâtes',
    'mixèrent',
    'mixé',
    'mixée',
    'mixées',
    'mixés',
    'mièvre',
    'mièvrement',
    'mièvrerie',
    'mièvreries',
    'mièvres',
    'mnémonique',
    'mnémoniques',
    'mnémotechnie',
    'mobile',
    'mobiles',
    'mobilier',
    'mobiliers',
    'mobilisa',
    'mobilisable',
    'mobilisables',
    'mobilisai',
    'mobilisaient',
    'mobilisais',
    'mobilisait',
    'mobilisant',
    'mobilisante',
    'mobilisantes',
    'mobilisants',
    'mobilisas',
    'mobilisasse',
    'mobilisasses',
    'mobilisateur',
    'mobilisation',
    'mobilise',
    'mobilisent',
    'mobiliser',
    'mobilisera',
    'mobiliserai',
    'mobiliserais',
    'mobiliserait',
    'mobiliseras',
    'mobiliserez',
    'mobiliseriez',
    'mobiliserons',
    'mobiliseront',
    'mobilises',
    'mobilisez',
    'mobilisiez',
    'mobilisions',
    'mobilisons',
    'mobilisâmes',
    'mobilisât',
    'mobilisâtes',
    'mobilisèrent',
    'mobilisé',
    'mobilisée',
    'mobilisées',
    'mobilisés',
    'mobilité',
    'mobilités',
    'mobilière',
    'mobilières',
    'moblot',
    'moblots',
    'mobylette',
    'mobylettes',
    'mocassin',
    'mocassins',
    'mochard',
    'mocharde',
    'mochardes',
    'mochards',
    'moche',
    'moches',
    'mocheté',
    'mochetés',
    'moco',
    'mocos',
    'modal',
    'modale',
    'modales',
    'modalité',
    'modalités',
    'modaux',
    'mode',
    'modela',
    'modelage',
    'modelages',
    'modelai',
    'modelaient',
    'modelais',
    'modelait',
    'modelant',
    'modelante',
    'modelantes',
    'modelants',
    'modelas',
    'modelasse',
    'modelassent',
    'modelasses',
    'modelassiez',
    'modelassions',
    'modeler',
    'modeleur',
    'modeleurs',
    'modeleuse',
    'modeleuses',
    'modelez',
    'modeliez',
    'modelions',
    'modelons',
    'modelâmes',
    'modelât',
    'modelâtes',
    'modelèrent',
    'modelé',
    'modelée',
    'modelées',
    'modelés',
    'modem',
    'modems',
    'moderato',
    'moderne',
    'modernes',
    'modernisa',
    'modernisai',
    'modernisais',
    'modernisait',
    'modernisant',
    'modernisas',
    'modernisasse',
    'modernise',
    'modernisent',
    'moderniser',
    'modernisera',
    'moderniserai',
    'moderniseras',
    'moderniserez',
    'modernises',
    'modernisez',
    'modernisiez',
    'modernisions',
    'modernisme',
    'modernismes',
    'modernisons',
    'moderniste',
    'modernistes',
    'modernisâmes',
    'modernisât',
    'modernisâtes',
    'modernisé',
    'modernisée',
    'modernisées',
    'modernisés',
    'modernité',
    'modernités',
    'modes',
    'modeste',
    'modestement',
    'modestes',
    'modestie',
    'modesties',
    'modicité',
    'modicités',
    'modifia',
    'modifiable',
    'modifiables',
    'modifiai',
    'modifiaient',
    'modifiais',
    'modifiait',
    'modifiant',
    'modifiante',
    'modifiantes',
    'modifiants',
    'modifias',
    'modifiasse',
    'modifiassent',
    'modifiasses',
    'modifiassiez',
    'modificateur',
    'modificatif',
    'modificatifs',
    'modification',
    'modificative',
    'modifie',
    'modifient',
    'modifier',
    'modifiera',
    'modifierai',
    'modifierais',
    'modifierait',
    'modifieras',
    'modifierez',
    'modifieriez',
    'modifierions',
    'modifierons',
    'modifieront',
    'modifies',
    'modifiez',
    'modifiiez',
    'modifiions',
    'modifions',
    'modifiâmes',
    'modifiât',
    'modifiâtes',
    'modifièrent',
    'modifié',
    'modifiée',
    'modifiées',
    'modifiés',
    'modillon',
    'modillons',
    'modique',
    'modiquement',
    'modiques',
    'modiste',
    'modistes',
    'modula',
    'modulai',
    'modulaient',
    'modulaire',
    'modulaires',
    'modulais',
    'modulait',
    'modulant',
    'modulante',
    'modulantes',
    'modulants',
    'modularité',
    'modularités',
    'modulas',
    'modulasse',
    'modulassent',
    'modulasses',
    'modulassiez',
    'modulassions',
    'modulateur',
    'modulateurs',
    'modulation',
    'modulations',
    'modulatrice',
    'modulatrices',
    'module',
    'modulent',
    'moduler',
    'modulera',
    'modulerai',
    'moduleraient',
    'modulerais',
    'modulerait',
    'moduleras',
    'modulerez',
    'moduleriez',
    'modulerions',
    'modulerons',
    'moduleront',
    'modules',
    'modulez',
    'moduliez',
    'modulions',
    'modulons',
    'modulor',
    'modulors',
    'modulâmes',
    'modulât',
    'modulâtes',
    'modulèrent',
    'modulé',
    'modulée',
    'modulées',
    'modulés',
    'modus',
    'modèle',
    'modèlent',
    'modèlera',
    'modèlerai',
    'modèleraient',
    'modèlerais',
    'modèlerait',
    'modèleras',
    'modèlerez',
    'modèleriez',
    'modèlerions',
    'modèlerons',
    'modèleront',
    'modèles',
    'modère',
    'modèrent',
    'modères',
    'modélisa',
    'modélisai',
    'modélisaient',
    'modélisais',
    'modélisait',
    'modélisant',
    'modélisas',
    'modélisation',
    'modélise',
    'modélisent',
    'modéliser',
    'modélisera',
    'modéliserai',
    'modéliserais',
    'modéliserait',
    'modéliseras',
    'modéliserez',
    'modéliseriez',
    'modéliserons',
    'modéliseront',
    'modélises',
    'modélisez',
    'modélisiez',
    'modélisions',
    'modélisons',
    'modélisont',
    'modéliste',
    'modélistes',
    'modélisé',
    'modélisée',
    'modélisées',
    'modélisés',
    'modénature',
    'modénatures',
    'modéra',
    'modérai',
    'modéraient',
    'modérais',
    'modérait',
    'modérant',
    'modérantisme',
    'modéras',
    'modérasse',
    'modérassent',
    'modérasses',
    'modérassiez',
    'modérassions',
    'modérateur',
    'modérateurs',
    'modération',
    'modérations',
    'modératrice',
    'modératrices',
    'modérer',
    'modérera',
    'modérerai',
    'modéreraient',
    'modérerais',
    'modérerait',
    'modéreras',
    'modérerez',
    'modéreriez',
    'modérerions',
    'modérerons',
    'modéreront',
    'modérez',
    'modériez',
    'modérions',
    'modérons',
    'modérâmes',
    'modérât',
    'modérâtes',
    'modérèrent',
    'modéré',
    'modérée',
    'modérées',
    'modérément',
    'modérés',
    'moelle',
    'moelles',
    'moelleuse',
    'moelleuses',
    'moelleux',
    'moellon',
    'moellons',
    'moere',
    'moeres',
    'moeurs',
    'mofette',
    'mofettes',
    'mohair',
    'mohairs',
    'mohr',
    'moignon',
    'moignons',
    'moindre',
    'moindrement',
    'moindres',
    'moine',
    'moineau',
    'moineaux',
    'moinerie',
    'moineries',
    'moines',
    'moinillon',
    'moinillons',
    'moins',
    'moira',
    'moirage',
    'moirages',
    'moirai',
    'moiraient',
    'moirais',
    'moirait',
    'moirant',
    'moiras',
    'moirasse',
    'moirassent',
    'moirasses',
    'moirassiez',
    'moirassions',
    'moire',
    'moirent',
    'moirer',
    'moirera',
    'moirerai',
    'moireraient',
    'moirerais',
    'moirerait',
    'moireras',
    'moirerez',
    'moireriez',
    'moirerions',
    'moirerons',
    'moireront',
    'moires',
    'moirez',
    'moiriez',
    'moirions',
    'moirons',
    'moirure',
    'moirures',
    'moirâmes',
    'moirât',
    'moirâtes',
    'moirèrent',
    'moiré',
    'moirée',
    'moirées',
    'moirés',
    'mois',
    'moisa',
    'moisai',
    'moisaient',
    'moisais',
    'moisait',
    'moisant',
    'moisas',
    'moisasse',
    'moisassent',
    'moisasses',
    'moisassiez',
    'moisassions',
    'moise',
    'moisent',
    'moiser',
    'moisera',
    'moiserai',
    'moiseraient',
    'moiserais',
    'moiserait',
    'moiseras',
    'moiserez',
    'moiseriez',
    'moiserions',
    'moiserons',
    'moiseront',
    'moises',
    'moisez',
    'moisi',
    'moisie',
    'moisies',
    'moisiez',
    'moisions',
    'moisir',
    'moisira',
    'moisirai',
    'moisiraient',
    'moisirais',
    'moisirait',
    'moisiras',
    'moisirent',
    'moisirez',
    'moisiriez',
    'moisirions',
    'moisirons',
    'moisiront',
    'moisis',
    'moisissaient',
    'moisissais',
    'moisissait',
    'moisissant',
    'moisissante',
    'moisissantes',
    'moisissants',
    'moisisse',
    'moisissent',
    'moisisses',
    'moisissez',
    'moisissiez',
    'moisissions',
    'moisissons',
    'moisissure',
    'moisissures',
    'moisit',
    'moisons',
    'moissine',
    'moissines',
    'moisson',
    'moissonna',
    'moissonnage',
    'moissonnages',
    'moissonnai',
    'moissonnais',
    'moissonnait',
    'moissonnant',
    'moissonnas',
    'moissonnasse',
    'moissonne',
    'moissonnent',
    'moissonner',
    'moissonnera',
    'moissonnerai',
    'moissonneras',
    'moissonnerez',
    'moissonnes',
    'moissonneur',
    'moissonneurs',
    'moissonneuse',
    'moissonnez',
    'moissonniez',
    'moissonnions',
    'moissonnons',
    'moissonnâmes',
    'moissonnât',
    'moissonnâtes',
    'moissonné',
    'moissonnée',
    'moissonnées',
    'moissonnés',
    'moissons',
    'moisâmes',
    'moisât',
    'moisâtes',
    'moisèrent',
    'moisé',
    'moisée',
    'moisées',
    'moisés',
    'moisîmes',
    'moisît',
    'moisîtes',
    'moita',
    'moitai',
    'moitaient',
    'moitais',
    'moitait',
    'moitant',
    'moitas',
    'moitasse',
    'moitassent',
    'moitasses',
    'moitassiez',
    'moitassions',
    'moite',
    'moitent',
    'moiter',
    'moitera',
    'moiterai',
    'moiteraient',
    'moiterais',
    'moiterait',
    'moiteras',
    'moiterez',
    'moiteriez',
    'moiterions',
    'moiterons',
    'moiteront',
    'moites',
    'moiteur',
    'moiteurs',
    'moitez',
    'moiti',
    'moitie',
    'moities',
    'moitiez',
    'moitions',
    'moitir',
    'moitira',
    'moitirai',
    'moitiraient',
    'moitirais',
    'moitirait',
    'moitiras',
    'moitirent',
    'moitirez',
    'moitiriez',
    'moitirions',
    'moitirons',
    'moitiront',
    'moitis',
    'moitissaient',
    'moitissais',
    'moitissait',
    'moitissant',
    'moitisse',
    'moitissent',
    'moitisses',
    'moitissez',
    'moitissiez',
    'moitissions',
    'moitissons',
    'moitit',
    'moitié',
    'moitiés',
    'moitons',
    'moitâmes',
    'moitât',
    'moitâtes',
    'moitèrent',
    'moité',
    'moitîmes',
    'moitît',
    'moitîtes',
    'moka',
    'mokas',
    'molaire',
    'molaires',
    'molasse',
    'molasses',
    'moleskine',
    'moleskines',
    'molesta',
    'molestai',
    'molestaient',
    'molestais',
    'molestait',
    'molestant',
    'molestas',
    'molestasse',
    'molestassent',
    'molestasses',
    'molestassiez',
    'moleste',
    'molestent',
    'molester',
    'molestera',
    'molesterai',
    'molesterais',
    'molesterait',
    'molesteras',
    'molesterez',
    'molesteriez',
    'molesterions',
    'molesterons',
    'molesteront',
    'molestes',
    'molestez',
    'molestiez',
    'molestions',
    'molestons',
    'molestâmes',
    'molestât',
    'molestâtes',
    'molestèrent',
    'molesté',
    'molestée',
    'molestées',
    'molestés',
    'moleta',
    'moletage',
    'moletages',
    'moletai',
    'moletaient',
    'moletais',
    'moletait',
    'moletant',
    'moletas',
    'moletasse',
    'moletassent',
    'moletasses',
    'moletassiez',
    'moletassions',
    'moleter',
    'moletez',
    'moletiez',
    'moletions',
    'moletons',
    'molette',
    'molettent',
    'molettera',
    'moletterai',
    'moletterais',
    'moletterait',
    'moletteras',
    'moletterez',
    'moletteriez',
    'moletterions',
    'moletterons',
    'moletteront',
    'molettes',
    'moletâmes',
    'moletât',
    'moletâtes',
    'moletèrent',
    'moleté',
    'moletée',
    'moletées',
    'moletés',
    'moliniste',
    'molinistes',
    'molinosiste',
    'molinosistes',
    'moliéresque',
    'moliéresques',
    'mollah',
    'mollahs',
    'mollard',
    'mollarda',
    'mollardai',
    'mollardaient',
    'mollardais',
    'mollardait',
    'mollardant',
    'mollardas',
    'mollardasse',
    'mollardasses',
    'mollarde',
    'mollardent',
    'mollarder',
    'mollardera',
    'mollarderai',
    'mollarderais',
    'mollarderait',
    'mollarderas',
    'mollarderez',
    'mollarderiez',
    'mollarderons',
    'mollarderont',
    'mollardes',
    'mollardez',
    'mollardiez',
    'mollardions',
    'mollardons',
    'mollards',
    'mollardâmes',
    'mollardât',
    'mollardâtes',
    'mollardèrent',
    'mollardé',
    'mollardée',
    'mollardées',
    'mollardés',
    'mollasse',
    'mollasserie',
    'mollasseries',
    'mollasses',
    'mollasson',
    'mollassonne',
    'mollassonnes',
    'mollassons',
    'molle',
    'mollement',
    'molles',
    'mollesse',
    'mollesses',
    'mollet',
    'molletière',
    'molletières',
    'molleton',
    'molletonna',
    'molletonnai',
    'molletonnais',
    'molletonnait',
    'molletonnant',
    'molletonnas',
    'molletonne',
    'molletonnent',
    'molletonner',
    'molletonnera',
    'molletonnes',
    'molletonneux',
    'molletonnez',
    'molletonniez',
    'molletonnons',
    'molletonnât',
    'molletonné',
    'molletonnée',
    'molletonnées',
    'molletonnés',
    'molletons',
    'mollets',
    'molli',
    'mollie',
    'mollies',
    'mollir',
    'mollira',
    'mollirai',
    'molliraient',
    'mollirais',
    'mollirait',
    'molliras',
    'mollirent',
    'mollirez',
    'molliriez',
    'mollirions',
    'mollirons',
    'molliront',
    'mollis',
    'mollissaient',
    'mollissais',
    'mollissait',
    'mollissant',
    'mollisse',
    'mollissent',
    'mollisses',
    'mollissez',
    'mollissiez',
    'mollissions',
    'mollissons',
    'mollit',
    'mollo',
    'molluscum',
    'molluscums',
    'mollusque',
    'mollusques',
    'mollîmes',
    'mollît',
    'mollîtes',
    'moloch',
    'molochs',
    'molosse',
    'molosses',
    'mols',
    'moly',
    'molybdène',
    'molybdènes',
    'molys',
    'molène',
    'molènes',
    'moléculaire',
    'moléculaires',
    'molécule',
    'molécules',
    'moment',
    'momentané',
    'momentanée',
    'momentanées',
    'momentanés',
    'moments',
    'momerie',
    'momeries',
    'momie',
    'momies',
    'momifia',
    'momifiai',
    'momifiaient',
    'momifiais',
    'momifiait',
    'momifiant',
    'momifias',
    'momifiasse',
    'momifiassent',
    'momifiasses',
    'momifiassiez',
    'momification',
    'momifie',
    'momifient',
    'momifier',
    'momifiera',
    'momifierai',
    'momifierais',
    'momifierait',
    'momifieras',
    'momifierez',
    'momifieriez',
    'momifierions',
    'momifierons',
    'momifieront',
    'momifies',
    'momifiez',
    'momifiiez',
    'momifiions',
    'momifions',
    'momifiâmes',
    'momifiât',
    'momifiâtes',
    'momifièrent',
    'momifié',
    'momifiée',
    'momifiées',
    'momifiés',
    'momordique',
    'momordiques',
    'monacal',
    'monacale',
    'monacales',
    'monacaux',
    'monachisme',
    'monachismes',
    'monade',
    'monadelphe',
    'monadelphes',
    'monades',
    'monarchie',
    'monarchies',
    'monarchique',
    'monarchiques',
    'monarchisme',
    'monarchismes',
    'monarchiste',
    'monarchistes',
    'monarque',
    'monarques',
    'monastique',
    'monastiques',
    'monastère',
    'monastères',
    'monazite',
    'monazites',
    'monceau',
    'monceaux',
    'monda',
    'mondai',
    'mondaient',
    'mondain',
    'mondaine',
    'mondaines',
    'mondains',
    'mondais',
    'mondait',
    'mondanité',
    'mondanités',
    'mondant',
    'mondas',
    'mondasse',
    'mondassent',
    'mondasses',
    'mondassiez',
    'mondassions',
    'monde',
    'mondent',
    'monder',
    'mondera',
    'monderai',
    'monderaient',
    'monderais',
    'monderait',
    'monderas',
    'monderez',
    'monderiez',
    'monderions',
    'monderons',
    'monderont',
    'mondes',
    'mondez',
    'mondial',
    'mondiale',
    'mondialement',
    'mondiales',
    'mondialisa',
    'mondialisai',
    'mondialisais',
    'mondialisait',
    'mondialisant',
    'mondialisas',
    'mondialise',
    'mondialisent',
    'mondialiser',
    'mondialisera',
    'mondialises',
    'mondialisez',
    'mondialisiez',
    'mondialisons',
    'mondialiste',
    'mondialistes',
    'mondialisât',
    'mondialisé',
    'mondiaux',
    'mondiez',
    'mondions',
    'mondons',
    'mondovision',
    'mondovisions',
    'mondâmes',
    'mondât',
    'mondâtes',
    'mondèrent',
    'mondé',
    'mondée',
    'mondées',
    'mondés',
    'monel',
    'monels',
    'mongol',
    'mongole',
    'mongoles',
    'mongolien',
    'mongolienne',
    'mongoliennes',
    'mongoliens',
    'mongolique',
    'mongoliques',
    'mongolisme',
    'mongolismes',
    'mongoloïde',
    'mongoloïdes',
    'mongols',
    'monial',
    'moniale',
    'moniales',
    'moniaux',
    'monisme',
    'monismes',
    'moniste',
    'monistes',
    'moniteur',
    'moniteurs',
    'monition',
    'monitions',
    'monitoire',
    'monitoires',
    'monitor',
    'monitorage',
    'monitorages',
    'monitorat',
    'monitorats',
    'monitoring',
    'monitorings',
    'monitors',
    'monitrice',
    'monitrices',
    'monju',
    'monnaie',
    'monnaient',
    'monnaiera',
    'monnaierai',
    'monnaierais',
    'monnaierait',
    'monnaieras',
    'monnaierez',
    'monnaieriez',
    'monnaierions',
    'monnaierons',
    'monnaieront',
    'monnaies',
    'monnaya',
    'monnayable',
    'monnayables',
    'monnayage',
    'monnayages',
    'monnayai',
    'monnayaient',
    'monnayais',
    'monnayait',
    'monnayant',
    'monnayante',
    'monnayantes',
    'monnayants',
    'monnayas',
    'monnayasse',
    'monnayassent',
    'monnayasses',
    'monnayassiez',
    'monnaye',
    'monnayent',
    'monnayer',
    'monnayera',
    'monnayerai',
    'monnayerais',
    'monnayerait',
    'monnayeras',
    'monnayerez',
    'monnayeriez',
    'monnayerions',
    'monnayerons',
    'monnayeront',
    'monnayes',
    'monnayeur',
    'monnayeurs',
    'monnayeuse',
    'monnayeuses',
    'monnayeux',
    'monnayez',
    'monnayiez',
    'monnayions',
    'monnayons',
    'monnayâmes',
    'monnayât',
    'monnayâtes',
    'monnayèrent',
    'monnayé',
    'monnayée',
    'monnayées',
    'monnayés',
    'mono',
    'monoacide',
    'monoacides',
    'monoatomique',
    'monobloc',
    'monoblocs',
    'monochrome',
    'monochromes',
    'monochromie',
    'monochromies',
    'monocle',
    'monocles',
    'monoclinal',
    'monoclinale',
    'monoclinales',
    'monoclinaux',
    'monoclinique',
    'monocoque',
    'monocoques',
    'monocorde',
    'monocordes',
    'monoculaire',
    'monoculaires',
    'monoculture',
    'monocultures',
    'monocyte',
    'monocytes',
    'monodie',
    'monodies',
    'monoecie',
    'monoecies',
    'monogame',
    'monogames',
    'monogamie',
    'monogamies',
    'monogamique',
    'monogamiques',
    'monogramme',
    'monogrammes',
    'monographie',
    'monographies',
    'monogénisme',
    'monogénismes',
    'monolingue',
    'monolingues',
    'monolithe',
    'monolithes',
    'monolithique',
    'monolithisme',
    'monologua',
    'monologuai',
    'monologuais',
    'monologuait',
    'monologuant',
    'monologuas',
    'monologuasse',
    'monologue',
    'monologuent',
    'monologuer',
    'monologuera',
    'monologuerai',
    'monologueras',
    'monologuerez',
    'monologues',
    'monologuez',
    'monologuiez',
    'monologuions',
    'monologuons',
    'monologuâmes',
    'monologuât',
    'monologuâtes',
    'monologué',
    'monologuée',
    'monologuées',
    'monologués',
    'monomanie',
    'monomanies',
    'monomoteur',
    'monomoteurs',
    'monomotrice',
    'monomotrices',
    'monomère',
    'monomères',
    'mononucléose',
    'monophasé',
    'monophasée',
    'monophasées',
    'monophasés',
    'monophonique',
    'monoplace',
    'monoplaces',
    'monoplan',
    'monoplans',
    'monopole',
    'monopoles',
    'monopolisa',
    'monopolisai',
    'monopolisais',
    'monopolisait',
    'monopolisant',
    'monopolisas',
    'monopolise',
    'monopolisent',
    'monopoliser',
    'monopolisera',
    'monopolises',
    'monopolisez',
    'monopolisiez',
    'monopolisons',
    'monopoliste',
    'monopolistes',
    'monopolisât',
    'monopolisé',
    'monopolisée',
    'monopolisées',
    'monopolisés',
    'monoprix',
    'monopsone',
    'monopsones',
    'monoptère',
    'monoptères',
    'monorail',
    'monorails',
    'monorime',
    'monorimes',
    'monos',
    'monoski',
    'monoskis',
    'monosperme',
    'monospermes',
    'monostyle',
    'monostyles',
    'monosulfite',
    'monosulfites',
    'monosyllabe',
    'monosyllabes',
    'monosépale',
    'monosépales',
    'monothéique',
    'monothéiques',
    'monothéisme',
    'monothéismes',
    'monothéiste',
    'monothéistes',
    'monotone',
    'monotones',
    'monotonie',
    'monotonies',
    'monotrace',
    'monotraces',
    'monotrème',
    'monotrèmes',
    'monovalent',
    'monovalente',
    'monovalentes',
    'monovalents',
    'monoxyle',
    'monoxyles',
    'monoïdéisme',
    'monoïdéismes',
    'monoïque',
    'monoïques',
    'monseigneur',
    'monsieur',
    'monsignor',
    'monsignore',
    'monsignores',
    'monsignori',
    'monstre',
    'monstres',
    'monstrueuse',
    'monstrueuses',
    'monstrueux',
    'monstruosité',
    'mont',
    'monta',
    'montage',
    'montages',
    'montagnard',
    'montagnarde',
    'montagnardes',
    'montagnards',
    'montagne',
    'montagnes',
    'montagnette',
    'montagnettes',
    'montagneuse',
    'montagneuses',
    'montagneux',
    'montai',
    'montaient',
    'montais',
    'montaison',
    'montaisons',
    'montait',
    'montanisme',
    'montanismes',
    'montaniste',
    'montanistes',
    'montant',
    'montante',
    'montantes',
    'montants',
    'montas',
    'montasse',
    'montassent',
    'montasses',
    'montassiez',
    'montassions',
    'monte',
    'montent',
    'monter',
    'montera',
    'monterai',
    'monteraient',
    'monterais',
    'monterait',
    'monteras',
    'monterez',
    'monteriez',
    'monterions',
    'monterons',
    'monteront',
    'montes',
    'monteur',
    'monteurs',
    'monteuse',
    'monteuses',
    'montez',
    'montgolfière',
    'monticole',
    'monticoles',
    'monticule',
    'monticules',
    'montiez',
    'montions',
    'montmorency',
    'montmorencys',
    'montoir',
    'montoirs',
    'montons',
    'montra',
    'montrable',
    'montrables',
    'montrai',
    'montraient',
    'montrais',
    'montrait',
    'montrant',
    'montras',
    'montrasse',
    'montrassent',
    'montrasses',
    'montrassiez',
    'montrassions',
    'montre',
    'montrent',
    'montrer',
    'montrera',
    'montrerai',
    'montreraient',
    'montrerais',
    'montrerait',
    'montreras',
    'montrerez',
    'montreriez',
    'montrerions',
    'montrerons',
    'montreront',
    'montres',
    'montreur',
    'montreurs',
    'montreuse',
    'montreuses',
    'montrez',
    'montriez',
    'montrions',
    'montrons',
    'montrâmes',
    'montrât',
    'montrâtes',
    'montrèrent',
    'montré',
    'montrée',
    'montrées',
    'montrés',
    'monts',
    'montueuse',
    'montueuses',
    'montueux',
    'monture',
    'montures',
    'montâmes',
    'montât',
    'montâtes',
    'montèrent',
    'monté',
    'montée',
    'montées',
    'montés',
    'monument',
    'monumental',
    'monumentale',
    'monumentales',
    'monumentaux',
    'monuments',
    'monème',
    'monèmes',
    'monétaire',
    'monétaires',
    'monétarisme',
    'monétarismes',
    'monétariste',
    'monétaristes',
    'monétique',
    'monétiques',
    'monétisa',
    'monétisai',
    'monétisaient',
    'monétisais',
    'monétisait',
    'monétisant',
    'monétisas',
    'monétisasse',
    'monétisasses',
    'monétise',
    'monétisent',
    'monétiser',
    'monétisera',
    'monétiserai',
    'monétiserais',
    'monétiserait',
    'monétiseras',
    'monétiserez',
    'monétiseriez',
    'monétiserons',
    'monétiseront',
    'monétises',
    'monétisez',
    'monétisiez',
    'monétisions',
    'monétisons',
    'monétisâmes',
    'monétisât',
    'monétisâtes',
    'monétisèrent',
    'monétisé',
    'monétisée',
    'monétisées',
    'monétisés',
    'moqua',
    'moquai',
    'moquaient',
    'moquais',
    'moquait',
    'moquant',
    'moquas',
    'moquasse',
    'moquassent',
    'moquasses',
    'moquassiez',
    'moquassions',
    'moque',
    'moquent',
    'moquer',
    'moquera',
    'moquerai',
    'moqueraient',
    'moquerais',
    'moquerait',
    'moqueras',
    'moquerez',
    'moquerie',
    'moqueries',
    'moqueriez',
    'moquerions',
    'moquerons',
    'moqueront',
    'moques',
    'moquetta',
    'moquettai',
    'moquettaient',
    'moquettais',
    'moquettait',
    'moquettant',
    'moquettas',
    'moquettasse',
    'moquettasses',
    'moquette',
    'moquettent',
    'moquetter',
    'moquettera',
    'moquetterai',
    'moquetterais',
    'moquetterait',
    'moquetteras',
    'moquetterez',
    'moquetteriez',
    'moquetterons',
    'moquetteront',
    'moquettes',
    'moquettez',
    'moquettiez',
    'moquettions',
    'moquettons',
    'moquettâmes',
    'moquettât',
    'moquettâtes',
    'moquettèrent',
    'moquetté',
    'moquettée',
    'moquettées',
    'moquettés',
    'moqueur',
    'moqueurs',
    'moqueuse',
    'moqueuses',
    'moquez',
    'moquiez',
    'moquions',
    'moquons',
    'moquâmes',
    'moquât',
    'moquâtes',
    'moquèrent',
    'moqué',
    'moquée',
    'moquées',
    'moqués',
    'moraillon',
    'moraillons',
    'moraine',
    'moraines',
    'morainique',
    'morainiques',
    'moral',
    'morale',
    'moralement',
    'morales',
    'moralisa',
    'moralisai',
    'moralisaient',
    'moralisais',
    'moralisait',
    'moralisant',
    'moralisante',
    'moralisantes',
    'moralisants',
    'moralisas',
    'moralisasse',
    'moralisasses',
    'moralisateur',
    'moralisation',
    'moralise',
    'moralisent',
    'moraliser',
    'moralisera',
    'moraliserai',
    'moraliserais',
    'moraliserait',
    'moraliseras',
    'moraliserez',
    'moraliseriez',
    'moraliserons',
    'moraliseront',
    'moralises',
    'moralisez',
    'moralisiez',
    'moralisions',
    'moralisme',
    'moralismes',
    'moralisons',
    'moraliste',
    'moralistes',
    'moralisâmes',
    'moralisât',
    'moralisâtes',
    'moralisèrent',
    'moralisé',
    'moralisée',
    'moralisées',
    'moralisés',
    'moralité',
    'moralités',
    'morasse',
    'morasses',
    'moratoire',
    'moratoires',
    'moratorium',
    'moratoriums',
    'moraux',
    'morbide',
    'morbides',
    'morbidité',
    'morbidités',
    'morbilleuse',
    'morbilleuses',
    'morbilleux',
    'morbleu',
    'morbus',
    'morceau',
    'morceaux',
    'morcela',
    'morcelable',
    'morcelables',
    'morcelai',
    'morcelaient',
    'morcelais',
    'morcelait',
    'morcelant',
    'morcelas',
    'morcelasse',
    'morcelassent',
    'morcelasses',
    'morcelassiez',
    'morceler',
    'morcelez',
    'morceliez',
    'morcelions',
    'morcelle',
    'morcellement',
    'morcellent',
    'morcellera',
    'morcellerai',
    'morcellerais',
    'morcellerait',
    'morcelleras',
    'morcellerez',
    'morcelleriez',
    'morcellerons',
    'morcelleront',
    'morcelles',
    'morcelons',
    'morcelâmes',
    'morcelât',
    'morcelâtes',
    'morcelèrent',
    'morcelé',
    'morcelée',
    'morcelées',
    'morcelés',
    'mord',
    'mordache',
    'mordaches',
    'mordacité',
    'mordacités',
    'mordaient',
    'mordais',
    'mordait',
    'mordance',
    'mordancent',
    'mordancer',
    'mordancera',
    'mordancerai',
    'mordancerais',
    'mordancerait',
    'mordanceras',
    'mordancerez',
    'mordanceriez',
    'mordancerons',
    'mordanceront',
    'mordances',
    'mordancez',
    'mordanciez',
    'mordancions',
    'mordancèrent',
    'mordancé',
    'mordancée',
    'mordancées',
    'mordancés',
    'mordant',
    'mordante',
    'mordantes',
    'mordants',
    'mordança',
    'mordançai',
    'mordançaient',
    'mordançais',
    'mordançait',
    'mordançant',
    'mordanças',
    'mordançasse',
    'mordançasses',
    'mordançons',
    'mordançâmes',
    'mordançât',
    'mordançâtes',
    'morde',
    'mordent',
    'mordes',
    'mordez',
    'mordicant',
    'mordicante',
    'mordicantes',
    'mordicants',
    'mordicus',
    'mordiez',
    'mordilla',
    'mordillai',
    'mordillaient',
    'mordillais',
    'mordillait',
    'mordillant',
    'mordillante',
    'mordillantes',
    'mordillants',
    'mordillas',
    'mordillasse',
    'mordillasses',
    'mordille',
    'mordillement',
    'mordillent',
    'mordiller',
    'mordillera',
    'mordillerai',
    'mordillerais',
    'mordillerait',
    'mordilleras',
    'mordillerez',
    'mordilleriez',
    'mordillerons',
    'mordilleront',
    'mordilles',
    'mordillez',
    'mordilliez',
    'mordillions',
    'mordillons',
    'mordillâmes',
    'mordillât',
    'mordillâtes',
    'mordillèrent',
    'mordillé',
    'mordillée',
    'mordillées',
    'mordillés',
    'mordions',
    'mordirent',
    'mordis',
    'mordisse',
    'mordissent',
    'mordisses',
    'mordissiez',
    'mordissions',
    'mordit',
    'mordons',
    'mordora',
    'mordorai',
    'mordoraient',
    'mordorais',
    'mordorait',
    'mordorant',
    'mordoras',
    'mordorasse',
    'mordorassent',
    'mordorasses',
    'mordorassiez',
    'mordore',
    'mordorent',
    'mordorer',
    'mordorera',
    'mordorerai',
    'mordorerais',
    'mordorerait',
    'mordoreras',
    'mordorerez',
    'mordoreriez',
    'mordorerions',
    'mordorerons',
    'mordoreront',
    'mordores',
    'mordorez',
    'mordoriez',
    'mordorions',
    'mordorons',
    'mordorure',
    'mordorures',
    'mordorâmes',
    'mordorât',
    'mordorâtes',
    'mordorèrent',
    'mordoré',
    'mordorée',
    'mordorées',
    'mordorés',
    'mordra',
    'mordrai',
    'mordraient',
    'mordrais',
    'mordrait',
    'mordras',
    'mordre',
    'mordrez',
    'mordriez',
    'mordrions',
    'mordrons',
    'mordront',
    'mords',
    'mordu',
    'mordue',
    'mordues',
    'mordus',
    'mordîmes',
    'mordît',
    'mordîtes',
    'more',
    'moreau',
    'moreaux',
    'morelle',
    'morelles',
    'mores',
    'moresque',
    'moresques',
    'morfal',
    'morfale',
    'morfales',
    'morfaux',
    'morfil',
    'morfila',
    'morfilai',
    'morfilaient',
    'morfilais',
    'morfilait',
    'morfilant',
    'morfilas',
    'morfilasse',
    'morfilassent',
    'morfilasses',
    'morfilassiez',
    'morfile',
    'morfilent',
    'morfiler',
    'morfilera',
    'morfilerai',
    'morfilerais',
    'morfilerait',
    'morfileras',
    'morfilerez',
    'morfileriez',
    'morfilerions',
    'morfilerons',
    'morfileront',
    'morfiles',
    'morfilez',
    'morfiliez',
    'morfilions',
    'morfilons',
    'morfils',
    'morfilâmes',
    'morfilât',
    'morfilâtes',
    'morfilèrent',
    'morfilé',
    'morfilée',
    'morfilées',
    'morfilés',
    'morfla',
    'morflai',
    'morflaient',
    'morflais',
    'morflait',
    'morflant',
    'morflas',
    'morflasse',
    'morflassent',
    'morflasses',
    'morflassiez',
    'morflassions',
    'morfle',
    'morflent',
    'morfler',
    'morflera',
    'morflerai',
    'morfleraient',
    'morflerais',
    'morflerait',
    'morfleras',
    'morflerez',
    'morfleriez',
    'morflerions',
    'morflerons',
    'morfleront',
    'morfles',
    'morflez',
    'morfliez',
    'morflions',
    'morflons',
    'morflâmes',
    'morflât',
    'morflâtes',
    'morflèrent',
    'morflé',
    'morflée',
    'morflées',
    'morflés',
    'morfond',
    'morfondaient',
    'morfondais',
    'morfondait',
    'morfondant',
    'morfonde',
    'morfondent',
    'morfondes',
    'morfondez',
    'morfondiez',
    'morfondions',
    'morfondirent',
    'morfondis',
    'morfondisse',
    'morfondisses',
    'morfondit',
    'morfondons',
    'morfondra',
    'morfondrai',
    'morfondrais',
    'morfondrait',
    'morfondras',
    'morfondre',
    'morfondrez',
    'morfondriez',
    'morfondrions',
    'morfondrons',
    'morfondront',
    'morfonds',
    'morfondu',
    'morfondue',
    'morfondues',
    'morfondus',
    'morfondîmes',
    'morfondît',
    'morfondîtes',
    'morganatique',
    'morgeline',
    'morgelines',
    'morgua',
    'morguai',
    'morguaient',
    'morguais',
    'morguait',
    'morguant',
    'morguas',
    'morguasse',
    'morguassent',
    'morguasses',
    'morguassiez',
    'morguassions',
    'morgue',
    'morguenne',
    'morguent',
    'morguer',
    'morguera',
    'morguerai',
    'morgueraient',
    'morguerais',
    'morguerait',
    'morgueras',
    'morguerez',
    'morgueriez',
    'morguerions',
    'morguerons',
    'morgueront',
    'morgues',
    'morguez',
    'morguienne',
    'morguiez',
    'morguions',
    'morguons',
    'morguâmes',
    'morguât',
    'morguâtes',
    'morguèrent',
    'morgué',
    'morguée',
    'morguées',
    'morgués',
    'moribond',
    'moribonde',
    'moribondes',
    'moribonds',
    'moricaud',
    'moricaude',
    'moricaudes',
    'moricauds',
    'morigène',
    'morigènent',
    'morigènes',
    'morigéna',
    'morigénai',
    'morigénaient',
    'morigénais',
    'morigénait',
    'morigénant',
    'morigénas',
    'morigénasse',
    'morigénasses',
    'morigéner',
    'morigénera',
    'morigénerai',
    'morigénerais',
    'morigénerait',
    'morigéneras',
    'morigénerez',
    'morigéneriez',
    'morigénerons',
    'morigéneront',
    'morigénez',
    'morigéniez',
    'morigénions',
    'morigénons',
    'morigénâmes',
    'morigénât',
    'morigénâtes',
    'morigénèrent',
    'morigéné',
    'morigénée',
    'morigénées',
    'morigénés',
    'morille',
    'morilles',
    'morillon',
    'morillons',
    'morio',
    'morion',
    'morions',
    'morios',
    'mormone',
    'mormones',
    'mormonisme',
    'mormonismes',
    'morne',
    'mornes',
    'mornifle',
    'mornifles',
    'morné',
    'mornée',
    'mornées',
    'mornés',
    'morose',
    'moroses',
    'morosité',
    'morosités',
    'morphine',
    'morphines',
    'morphinisme',
    'morphinismes',
    'morphinomane',
    'morphogène',
    'morphogènes',
    'morphologie',
    'morphologies',
    'morphème',
    'morphèmes',
    'morpion',
    'morpions',
    'mors',
    'morse',
    'morses',
    'morsure',
    'morsures',
    'mort',
    'mortadelle',
    'mortadelles',
    'mortaisa',
    'mortaisage',
    'mortaisages',
    'mortaisai',
    'mortaisaient',
    'mortaisais',
    'mortaisait',
    'mortaisant',
    'mortaisas',
    'mortaisasse',
    'mortaisasses',
    'mortaise',
    'mortaisent',
    'mortaiser',
    'mortaisera',
    'mortaiserai',
    'mortaiserais',
    'mortaiserait',
    'mortaiseras',
    'mortaiserez',
    'mortaiseriez',
    'mortaiserons',
    'mortaiseront',
    'mortaises',
    'mortaiseuse',
    'mortaiseuses',
    'mortaisez',
    'mortaisiez',
    'mortaisions',
    'mortaisons',
    'mortaisâmes',
    'mortaisât',
    'mortaisâtes',
    'mortaisèrent',
    'mortaisé',
    'mortaisée',
    'mortaisées',
    'mortaisés',
    'mortalité',
    'mortalités',
    'morte',
    'mortel',
    'mortelle',
    'mortellement',
    'mortelles',
    'mortels',
    'mortes',
    'mortier',
    'mortiers',
    'mortifia',
    'mortifiai',
    'mortifiaient',
    'mortifiais',
    'mortifiait',
    'mortifiant',
    'mortifiante',
    'mortifiantes',
    'mortifiants',
    'mortifias',
    'mortifiasse',
    'mortifiasses',
    'mortifie',
    'mortifient',
    'mortifier',
    'mortifiera',
    'mortifierai',
    'mortifierais',
    'mortifierait',
    'mortifieras',
    'mortifierez',
    'mortifieriez',
    'mortifierons',
    'mortifieront',
    'mortifies',
    'mortifiez',
    'mortifiiez',
    'mortifiions',
    'mortifions',
    'mortifiâmes',
    'mortifiât',
    'mortifiâtes',
    'mortifièrent',
    'mortifié',
    'mortifiée',
    'mortifiées',
    'mortifiés',
    'morts',
    'mortuaire',
    'mortuaires',
    'morue',
    'morues',
    'morula',
    'morulas',
    'morutier',
    'morutiers',
    'morutière',
    'morutières',
    'morve',
    'morves',
    'morveuse',
    'morveuses',
    'morveux',
    'mosan',
    'mosane',
    'mosanes',
    'mosans',
    'mosaïque',
    'mosaïques',
    'mosaïqué',
    'mosaïquée',
    'mosaïquées',
    'mosaïqués',
    'mosaïsme',
    'mosaïsmes',
    'mosaïste',
    'mosaïstes',
    'moscoutaire',
    'moscoutaires',
    'mosellan',
    'mosellane',
    'mosellanes',
    'mosellans',
    'mosette',
    'mosettes',
    'mosquée',
    'mosquées',
    'motard',
    'motarde',
    'motardes',
    'motards',
    'motel',
    'motels',
    'motet',
    'motets',
    'moteur',
    'moteurs',
    'motif',
    'motifs',
    'motilité',
    'motilités',
    'motion',
    'motionna',
    'motionnai',
    'motionnaient',
    'motionnais',
    'motionnait',
    'motionnant',
    'motionnas',
    'motionnasse',
    'motionnasses',
    'motionne',
    'motionnent',
    'motionner',
    'motionnera',
    'motionnerai',
    'motionnerais',
    'motionnerait',
    'motionneras',
    'motionnerez',
    'motionneriez',
    'motionnerons',
    'motionneront',
    'motionnes',
    'motionnez',
    'motionniez',
    'motionnions',
    'motionnons',
    'motionnâmes',
    'motionnât',
    'motionnâtes',
    'motionnèrent',
    'motionné',
    'motionnée',
    'motionnées',
    'motionnés',
    'motions',
    'motiva',
    'motivai',
    'motivaient',
    'motivais',
    'motivait',
    'motivant',
    'motivante',
    'motivantes',
    'motivants',
    'motivas',
    'motivasse',
    'motivassent',
    'motivasses',
    'motivassiez',
    'motivassions',
    'motivation',
    'motivations',
    'motive',
    'motivent',
    'motiver',
    'motivera',
    'motiverai',
    'motiveraient',
    'motiverais',
    'motiverait',
    'motiveras',
    'motiverez',
    'motiveriez',
    'motiverions',
    'motiverons',
    'motiveront',
    'motives',
    'motivez',
    'motiviez',
    'motivions',
    'motivons',
    'motivâmes',
    'motivât',
    'motivâtes',
    'motivèrent',
    'motivé',
    'motivée',
    'motivées',
    'motivés',
    'moto',
    'motociste',
    'motocistes',
    'motocross',
    'motoculteur',
    'motoculteurs',
    'motoculture',
    'motocultures',
    'motocycle',
    'motocycles',
    'motocyclette',
    'motocyclisme',
    'motocycliste',
    'motogodille',
    'motogodilles',
    'motonautique',
    'motonautisme',
    'motoneige',
    'motoneiges',
    'motoneigiste',
    'motopompe',
    'motopompes',
    'motorisa',
    'motorisai',
    'motorisaient',
    'motorisais',
    'motorisait',
    'motorisant',
    'motorisas',
    'motorisasse',
    'motorisasses',
    'motorisation',
    'motorise',
    'motorisent',
    'motoriser',
    'motorisera',
    'motoriserai',
    'motoriserais',
    'motoriserait',
    'motoriseras',
    'motoriserez',
    'motoriseriez',
    'motoriserons',
    'motoriseront',
    'motorises',
    'motorisez',
    'motorisiez',
    'motorisions',
    'motorisons',
    'motoriste',
    'motoristes',
    'motorisâmes',
    'motorisât',
    'motorisâtes',
    'motorisèrent',
    'motorisé',
    'motorisée',
    'motorisées',
    'motorisés',
    'motorship',
    'motorships',
    'motos',
    'mototracteur',
    'motrice',
    'motrices',
    'motricité',
    'motricités',
    'mots',
    'motta',
    'mottai',
    'mottaient',
    'mottais',
    'mottait',
    'mottant',
    'mottas',
    'mottasse',
    'mottassent',
    'mottasses',
    'mottassiez',
    'mottassions',
    'motte',
    'mottent',
    'motter',
    'mottera',
    'motterai',
    'motteraient',
    'motterais',
    'motterait',
    'motteras',
    'motterez',
    'motteriez',
    'motterions',
    'motterons',
    'motteront',
    'mottes',
    'motteux',
    'mottez',
    'mottiez',
    'mottions',
    'mottons',
    'mottâmes',
    'mottât',
    'mottâtes',
    'mottèrent',
    'motté',
    'mottée',
    'mottées',
    'mottés',
    'motus',
    'moucha',
    'mouchage',
    'mouchages',
    'mouchai',
    'mouchaient',
    'mouchais',
    'mouchait',
    'mouchant',
    'moucharabieh',
    'mouchard',
    'moucharda',
    'mouchardage',
    'mouchardages',
    'mouchardai',
    'mouchardais',
    'mouchardait',
    'mouchardant',
    'mouchardas',
    'mouchardasse',
    'moucharde',
    'mouchardent',
    'moucharder',
    'mouchardera',
    'moucharderai',
    'moucharderas',
    'moucharderez',
    'mouchardes',
    'mouchardez',
    'mouchardiez',
    'mouchardions',
    'mouchardons',
    'mouchards',
    'mouchardâmes',
    'mouchardât',
    'mouchardâtes',
    'mouchardé',
    'mouchardée',
    'mouchardées',
    'mouchardés',
    'mouchas',
    'mouchasse',
    'mouchassent',
    'mouchasses',
    'mouchassiez',
    'mouchassions',
    'mouche',
    'mouchent',
    'moucher',
    'mouchera',
    'moucherai',
    'moucheraient',
    'moucherais',
    'moucherait',
    'moucheras',
    'moucherez',
    'moucheriez',
    'moucherions',
    'moucheron',
    'moucheronna',
    'moucheronnai',
    'moucheronnas',
    'moucheronne',
    'moucheronner',
    'moucheronnes',
    'moucheronnez',
    'moucheronnât',
    'moucheronné',
    'moucherons',
    'moucheront',
    'mouches',
    'moucheta',
    'mouchetai',
    'mouchetaient',
    'mouchetais',
    'mouchetait',
    'mouchetant',
    'mouchetas',
    'mouchetasse',
    'mouchetasses',
    'moucheter',
    'mouchetez',
    'mouchetiez',
    'mouchetions',
    'mouchetis',
    'mouchetons',
    'mouchette',
    'mouchettent',
    'mouchettera',
    'mouchetterai',
    'mouchetteras',
    'mouchetterez',
    'mouchettes',
    'moucheture',
    'mouchetures',
    'mouchetâmes',
    'mouchetât',
    'mouchetâtes',
    'mouchetèrent',
    'moucheté',
    'mouchetée',
    'mouchetées',
    'mouchetés',
    'mouchez',
    'mouchiez',
    'mouchions',
    'mouchoir',
    'mouchoirs',
    'mouchons',
    'mouchure',
    'mouchures',
    'mouchâmes',
    'mouchât',
    'mouchâtes',
    'mouchèrent',
    'mouché',
    'mouchée',
    'mouchées',
    'mouchés',
    'moud',
    'moudra',
    'moudrai',
    'moudraient',
    'moudrais',
    'moudrait',
    'moudras',
    'moudre',
    'moudrez',
    'moudriez',
    'moudrions',
    'moudrons',
    'moudront',
    'mouds',
    'moue',
    'moues',
    'mouetta',
    'mouettai',
    'mouettaient',
    'mouettais',
    'mouettait',
    'mouettant',
    'mouettas',
    'mouettasse',
    'mouettassent',
    'mouettasses',
    'mouettassiez',
    'mouette',
    'mouettent',
    'mouetter',
    'mouettera',
    'mouetterai',
    'mouetterais',
    'mouetterait',
    'mouetteras',
    'mouetterez',
    'mouetteriez',
    'mouetterions',
    'mouetterons',
    'mouetteront',
    'mouettes',
    'mouettez',
    'mouettiez',
    'mouettions',
    'mouettons',
    'mouettâmes',
    'mouettât',
    'mouettâtes',
    'mouettèrent',
    'mouetté',
    'moufeter',
    'moufette',
    'moufettes',
    'mouffette',
    'mouffettes',
    'moufle',
    'moufles',
    'mouflet',
    'mouflets',
    'mouflette',
    'mouflettes',
    'mouflon',
    'mouflons',
    'moufta',
    'mouftai',
    'mouftaient',
    'mouftais',
    'mouftait',
    'mouftant',
    'mouftas',
    'mouftasse',
    'mouftassent',
    'mouftasses',
    'mouftassiez',
    'mouftassions',
    'moufte',
    'mouftent',
    'moufter',
    'mouftera',
    'moufterai',
    'moufteraient',
    'moufterais',
    'moufterait',
    'moufteras',
    'moufterez',
    'moufteriez',
    'moufterions',
    'moufterons',
    'moufteront',
    'mouftes',
    'mouftez',
    'mouftiez',
    'mouftions',
    'mouftons',
    'mouftâmes',
    'mouftât',
    'mouftâtes',
    'mouftèrent',
    'moufté',
    'mouilla',
    'mouillage',
    'mouillages',
    'mouillai',
    'mouillaient',
    'mouillais',
    'mouillait',
    'mouillant',
    'mouillante',
    'mouillantes',
    'mouillants',
    'mouillas',
    'mouillasse',
    'mouillassent',
    'mouillasses',
    'mouillassiez',
    'mouille',
    'mouillement',
    'mouillent',
    'mouiller',
    'mouillera',
    'mouillerai',
    'mouillerais',
    'mouillerait',
    'mouilleras',
    'mouillerez',
    'mouilleriez',
    'mouillerions',
    'mouillerons',
    'mouilleront',
    'mouilles',
    'mouillette',
    'mouillettes',
    'mouilleur',
    'mouilleurs',
    'mouillez',
    'mouilliez',
    'mouillions',
    'mouilloir',
    'mouilloirs',
    'mouillons',
    'mouillure',
    'mouillures',
    'mouillâmes',
    'mouillât',
    'mouillâtes',
    'mouillère',
    'mouillèrent',
    'mouillères',
    'mouillé',
    'mouillée',
    'mouillées',
    'mouillés',
    'mouise',
    'mouises',
    'moujik',
    'moujiks',
    'moujingue',
    'moujingues',
    'moukère',
    'moukères',
    'moula',
    'moulage',
    'moulages',
    'moulai',
    'moulaient',
    'moulais',
    'moulait',
    'moulant',
    'moulante',
    'moulantes',
    'moulants',
    'moulas',
    'moulasse',
    'moulassent',
    'moulasses',
    'moulassiez',
    'moulassions',
    'moule',
    'moulent',
    'mouler',
    'moulera',
    'moulerai',
    'mouleraient',
    'moulerais',
    'moulerait',
    'mouleras',
    'moulerez',
    'mouleriez',
    'moulerions',
    'moulerons',
    'mouleront',
    'moules',
    'mouleur',
    'mouleurs',
    'moulez',
    'mouliez',
    'moulin',
    'moulina',
    'moulinage',
    'moulinages',
    'moulinai',
    'moulinaient',
    'moulinais',
    'moulinait',
    'moulinant',
    'moulinas',
    'moulinasse',
    'moulinassent',
    'moulinasses',
    'moulinassiez',
    'mouline',
    'moulinent',
    'mouliner',
    'moulinera',
    'moulinerai',
    'moulinerais',
    'moulinerait',
    'moulineras',
    'moulinerez',
    'moulineriez',
    'moulinerions',
    'moulinerons',
    'moulineront',
    'moulines',
    'moulinet',
    'moulinets',
    'moulinette',
    'moulinettes',
    'moulineur',
    'moulineurs',
    'moulineuse',
    'moulineuses',
    'moulinez',
    'moulinier',
    'mouliniers',
    'mouliniez',
    'moulinions',
    'moulinière',
    'moulinières',
    'moulinons',
    'moulins',
    'moulinâmes',
    'moulinât',
    'moulinâtes',
    'moulinèrent',
    'mouliné',
    'moulinée',
    'moulinées',
    'moulinés',
    'moulions',
    'moulière',
    'moulières',
    'moulons',
    'moult',
    'moulu',
    'moulue',
    'moulues',
    'moulura',
    'moulurai',
    'mouluraient',
    'moulurais',
    'moulurait',
    'moulurant',
    'mouluras',
    'moulurasse',
    'moulurassent',
    'moulurasses',
    'moulurassiez',
    'moulure',
    'moulurent',
    'moulurer',
    'moulurera',
    'moulurerai',
    'moulurerais',
    'moulurerait',
    'moulureras',
    'moulurerez',
    'moulureriez',
    'moulurerions',
    'moulurerons',
    'moulureront',
    'moulures',
    'moulurez',
    'mouluriez',
    'moulurions',
    'moulurons',
    'moulurâmes',
    'moulurât',
    'moulurâtes',
    'moulurèrent',
    'mouluré',
    'moulurée',
    'moulurées',
    'moulurés',
    'moulus',
    'moulusse',
    'moulussent',
    'moulusses',
    'moulussiez',
    'moulussions',
    'moulut',
    'moulâmes',
    'moulât',
    'moulâtes',
    'moulèrent',
    'moulé',
    'moulée',
    'moulées',
    'moulés',
    'moulûmes',
    'moulût',
    'moulûtes',
    'moumoute',
    'moumoutes',
    'mouquère',
    'mouquères',
    'mouraient',
    'mourais',
    'mourait',
    'mourant',
    'mourante',
    'mourantes',
    'mourants',
    'mourez',
    'mouriez',
    'mourions',
    'mourir',
    'mouroir',
    'mouroirs',
    'mouron',
    'mouronna',
    'mouronnai',
    'mouronnaient',
    'mouronnais',
    'mouronnait',
    'mouronnant',
    'mouronnas',
    'mouronnasse',
    'mouronnasses',
    'mouronne',
    'mouronnent',
    'mouronner',
    'mouronnera',
    'mouronnerai',
    'mouronnerais',
    'mouronnerait',
    'mouronneras',
    'mouronnerez',
    'mouronneriez',
    'mouronnerons',
    'mouronneront',
    'mouronnes',
    'mouronnez',
    'mouronniez',
    'mouronnions',
    'mouronnons',
    'mouronnâmes',
    'mouronnât',
    'mouronnâtes',
    'mouronnèrent',
    'mouronné',
    'mouronnée',
    'mouronnées',
    'mouronnés',
    'mourons',
    'mourra',
    'mourrai',
    'mourraient',
    'mourrais',
    'mourrait',
    'mourras',
    'mourre',
    'mourres',
    'mourrez',
    'mourriez',
    'mourrions',
    'mourrons',
    'mourront',
    'moururent',
    'mourus',
    'mourusse',
    'mourussent',
    'mourusses',
    'mourussiez',
    'mourussions',
    'mourut',
    'mourûmes',
    'mourût',
    'mourûtes',
    'mous',
    'mouscaille',
    'mouscailles',
    'mousmé',
    'mousmés',
    'mousquet',
    'mousquetade',
    'mousquetades',
    'mousquetaire',
    'mousqueterie',
    'mousqueton',
    'mousquetons',
    'mousquets',
    'moussa',
    'moussai',
    'moussaient',
    'moussaillon',
    'moussaillons',
    'moussais',
    'moussait',
    'moussant',
    'moussante',
    'moussantes',
    'moussants',
    'moussas',
    'moussasse',
    'moussassent',
    'moussasses',
    'moussassiez',
    'moussassions',
    'mousse',
    'mousseline',
    'mousselines',
    'moussent',
    'mousser',
    'moussera',
    'mousserai',
    'mousseraient',
    'mousserais',
    'mousserait',
    'mousseras',
    'mousserez',
    'mousseriez',
    'mousserions',
    'mousseron',
    'mousserons',
    'mousseront',
    'mousses',
    'mousseuse',
    'mousseuses',
    'mousseux',
    'moussez',
    'moussiez',
    'moussions',
    'moussoir',
    'moussoirs',
    'mousson',
    'moussons',
    'moussu',
    'moussue',
    'moussues',
    'moussus',
    'moussâmes',
    'moussât',
    'moussâtes',
    'moussèrent',
    'moussé',
    'moussée',
    'moussées',
    'moussés',
    'moustache',
    'moustaches',
    'moustachu',
    'moustachue',
    'moustachues',
    'moustachus',
    'moustiquaire',
    'moustique',
    'moustiques',
    'moustérien',
    'moustérienne',
    'moustériens',
    'moutard',
    'moutarde',
    'moutardes',
    'moutardier',
    'moutardiers',
    'moutardière',
    'moutardières',
    'moutards',
    'moutier',
    'moutiers',
    'mouton',
    'moutonna',
    'moutonnai',
    'moutonnaient',
    'moutonnais',
    'moutonnait',
    'moutonnant',
    'moutonnante',
    'moutonnantes',
    'moutonnants',
    'moutonnas',
    'moutonnasse',
    'moutonnasses',
    'moutonne',
    'moutonnement',
    'moutonnent',
    'moutonner',
    'moutonnera',
    'moutonnerai',
    'moutonnerais',
    'moutonnerait',
    'moutonneras',
    'moutonnerez',
    'moutonnerie',
    'moutonneries',
    'moutonneriez',
    'moutonnerons',
    'moutonneront',
    'moutonnes',
    'moutonneuse',
    'moutonneuses',
    'moutonneux',
    'moutonnez',
    'moutonnier',
    'moutonniers',
    'moutonniez',
    'moutonnions',
    'moutonnière',
    'moutonnières',
    'moutonnons',
    'moutonnâmes',
    'moutonnât',
    'moutonnâtes',
    'moutonnèrent',
    'moutonné',
    'moutonnée',
    'moutonnées',
    'moutonnés',
    'moutons',
    'mouture',
    'moutures',
    'mouva',
    'mouvai',
    'mouvaient',
    'mouvais',
    'mouvait',
    'mouvance',
    'mouvances',
    'mouvant',
    'mouvante',
    'mouvantes',
    'mouvants',
    'mouvas',
    'mouvasse',
    'mouvassent',
    'mouvasses',
    'mouvassiez',
    'mouvassions',
    'mouve',
    'mouvement',
    'mouvementa',
    'mouvementai',
    'mouvementais',
    'mouvementait',
    'mouvementant',
    'mouvementas',
    'mouvemente',
    'mouvementent',
    'mouvementer',
    'mouvementera',
    'mouvementes',
    'mouvementez',
    'mouvementiez',
    'mouvementons',
    'mouvements',
    'mouvementât',
    'mouvementé',
    'mouvementée',
    'mouvementées',
    'mouvementés',
    'mouvent',
    'mouver',
    'mouvera',
    'mouverai',
    'mouveraient',
    'mouverais',
    'mouverait',
    'mouveras',
    'mouverez',
    'mouveriez',
    'mouverions',
    'mouverons',
    'mouveront',
    'mouves',
    'mouvez',
    'mouviez',
    'mouvions',
    'mouvoir',
    'mouvons',
    'mouvra',
    'mouvrai',
    'mouvraient',
    'mouvrais',
    'mouvrait',
    'mouvras',
    'mouvrez',
    'mouvriez',
    'mouvrions',
    'mouvrons',
    'mouvront',
    'mouvâmes',
    'mouvât',
    'mouvâtes',
    'mouvèrent',
    'mouvé',
    'mouvée',
    'mouvées',
    'mouvés',
    'moxa',
    'moxas',
    'moyen',
    'moyenna',
    'moyennai',
    'moyennaient',
    'moyennais',
    'moyennait',
    'moyennant',
    'moyennas',
    'moyennasse',
    'moyennassent',
    'moyennasses',
    'moyennassiez',
    'moyenne',
    'moyennement',
    'moyennent',
    'moyenner',
    'moyennera',
    'moyennerai',
    'moyennerais',
    'moyennerait',
    'moyenneras',
    'moyennerez',
    'moyenneriez',
    'moyennerions',
    'moyennerons',
    'moyenneront',
    'moyennes',
    'moyennez',
    'moyenniez',
    'moyennions',
    'moyennons',
    'moyennâmes',
    'moyennât',
    'moyennâtes',
    'moyennèrent',
    'moyenné',
    'moyennée',
    'moyennées',
    'moyennés',
    'moyens',
    'moyenâgeuse',
    'moyenâgeuses',
    'moyenâgeux',
    'moyette',
    'moyettes',
    'moyeu',
    'moyeux',
    'moyé',
    'moyée',
    'moyées',
    'moyés',
    'mozabite',
    'mozabites',
    'mozarabe',
    'mozarabes',
    'mozette',
    'mozettes',
    'moïse',
    'moïses',
    'moût',
    'moûts',
    'muai',
    'muaient',
    'muais',
    'muait',
    'muance',
    'muances',
    'muant',
    'muas',
    'muasse',
    'muassent',
    'muasses',
    'muassiez',
    'muassions',
    'mucha',
    'muchai',
    'muchaient',
    'muchais',
    'muchait',
    'muchant',
    'muchas',
    'muchasse',
    'muchassent',
    'muchasses',
    'muchassiez',
    'muchassions',
    'muche',
    'muchent',
    'mucher',
    'muchera',
    'mucherai',
    'mucheraient',
    'mucherais',
    'mucherait',
    'mucheras',
    'mucherez',
    'mucheriez',
    'mucherions',
    'mucherons',
    'mucheront',
    'muches',
    'muchez',
    'muchiez',
    'muchions',
    'muchons',
    'muchâmes',
    'muchât',
    'muchâtes',
    'muchèrent',
    'muché',
    'muchée',
    'muchées',
    'muchés',
    'mucilage',
    'mucilages',
    'mucilagineux',
    'mucor',
    'mucors',
    'mucosité',
    'mucosités',
    'mucron',
    'mucrons',
    'mucus',
    'mudéjare',
    'mudéjares',
    'muent',
    'muer',
    'muera',
    'muerai',
    'mueraient',
    'muerais',
    'muerait',
    'mueras',
    'muerez',
    'mueriez',
    'muerions',
    'muerons',
    'mueront',
    'mues',
    'muet',
    'muets',
    'muette',
    'muettes',
    'muez',
    'muezzin',
    'muezzins',
    'muffin',
    'muffins',
    'mufle',
    'muflerie',
    'mufleries',
    'mufles',
    'muflier',
    'mufliers',
    'mufti',
    'muftis',
    'muge',
    'muges',
    'mugi',
    'mugir',
    'mugira',
    'mugirai',
    'mugiraient',
    'mugirais',
    'mugirait',
    'mugiras',
    'mugirent',
    'mugirez',
    'mugiriez',
    'mugirions',
    'mugirons',
    'mugiront',
    'mugis',
    'mugissaient',
    'mugissais',
    'mugissait',
    'mugissant',
    'mugissante',
    'mugissantes',
    'mugissants',
    'mugisse',
    'mugissement',
    'mugissements',
    'mugissent',
    'mugisses',
    'mugissez',
    'mugissiez',
    'mugissions',
    'mugissons',
    'mugit',
    'muguet',
    'mugueta',
    'muguetai',
    'muguetaient',
    'muguetais',
    'muguetait',
    'muguetant',
    'muguetas',
    'muguetasse',
    'muguetassent',
    'muguetasses',
    'muguetassiez',
    'mugueter',
    'muguetez',
    'muguetiez',
    'muguetions',
    'muguetons',
    'muguets',
    'muguette',
    'muguettent',
    'muguettera',
    'muguetterai',
    'muguetterais',
    'muguetterait',
    'muguetteras',
    'muguetterez',
    'muguetteriez',
    'muguetterons',
    'muguetteront',
    'muguettes',
    'muguetâmes',
    'muguetât',
    'muguetâtes',
    'muguetèrent',
    'mugueté',
    'muguetée',
    'muguetées',
    'muguetés',
    'mugîmes',
    'mugît',
    'mugîtes',
    'muid',
    'muids',
    'muiez',
    'muions',
    'mulard',
    'mularde',
    'mulardes',
    'mulards',
    'mulassier',
    'mulassiers',
    'mulassière',
    'mulassières',
    'mule',
    'mules',
    'mulet',
    'muleta',
    'muletas',
    'muletier',
    'muletiers',
    'muletière',
    'muletières',
    'mulets',
    'mulette',
    'mulettes',
    'mulon',
    'mulons',
    'mulot',
    'mulota',
    'mulotai',
    'mulotaient',
    'mulotais',
    'mulotait',
    'mulotant',
    'mulotas',
    'mulotasse',
    'mulotassent',
    'mulotasses',
    'mulotassiez',
    'mulotassions',
    'mulote',
    'mulotent',
    'muloter',
    'mulotera',
    'muloterai',
    'muloteraient',
    'muloterais',
    'muloterait',
    'muloteras',
    'muloterez',
    'muloteriez',
    'muloterions',
    'muloterons',
    'muloteront',
    'mulotes',
    'mulotez',
    'mulotiez',
    'mulotions',
    'mulotons',
    'mulots',
    'mulotâmes',
    'mulotât',
    'mulotâtes',
    'mulotèrent',
    'muloté',
    'mulsion',
    'mulsions',
    'multicolore',
    'multicolores',
    'multifilaire',
    'multiflore',
    'multiflores',
    'multiforme',
    'multiformes',
    'multilatéral',
    'multimodale',
    'multimodales',
    'multimédia',
    'multimédias',
    'multipare',
    'multipares',
    'multiple',
    'multiples',
    'multiplex',
    'multiplexa',
    'multiplexai',
    'multiplexais',
    'multiplexait',
    'multiplexant',
    'multiplexas',
    'multiplexe',
    'multiplexent',
    'multiplexer',
    'multiplexera',
    'multiplexes',
    'multiplexeur',
    'multiplexez',
    'multiplexiez',
    'multiplexons',
    'multiplexât',
    'multiplexé',
    'multiplexée',
    'multiplexées',
    'multiplexés',
    'multiplia',
    'multipliable',
    'multipliai',
    'multipliais',
    'multipliait',
    'multipliant',
    'multiplias',
    'multipliasse',
    'multiplicité',
    'multiplie',
    'multiplient',
    'multiplier',
    'multipliera',
    'multiplierai',
    'multiplieras',
    'multiplierez',
    'multiplies',
    'multipliez',
    'multipliiez',
    'multipliions',
    'multiplions',
    'multipliâmes',
    'multipliât',
    'multipliâtes',
    'multiplié',
    'multipliée',
    'multipliées',
    'multipliés',
    'multiracial',
    'multiraciale',
    'multiraciaux',
    'multirisque',
    'multirisques',
    'multisalles',
    'multitube',
    'multitubes',
    'multitude',
    'multitudes',
    'mulâtre',
    'mulâtres',
    'mulâtresse',
    'mulâtresses',
    'muni',
    'municipal',
    'municipale',
    'municipales',
    'municipalisa',
    'municipalise',
    'municipalisé',
    'municipalité',
    'municipaux',
    'municipe',
    'municipes',
    'munie',
    'munies',
    'munificence',
    'munificences',
    'munificent',
    'munificente',
    'munificentes',
    'munificents',
    'munir',
    'munira',
    'munirai',
    'muniraient',
    'munirais',
    'munirait',
    'muniras',
    'munirent',
    'munirez',
    'muniriez',
    'munirions',
    'munirons',
    'muniront',
    'munis',
    'munissaient',
    'munissais',
    'munissait',
    'munissant',
    'munisse',
    'munissent',
    'munisses',
    'munissez',
    'munissiez',
    'munissions',
    'munissons',
    'munit',
    'munition',
    'munitionna',
    'munitionnai',
    'munitionnais',
    'munitionnait',
    'munitionnant',
    'munitionnas',
    'munitionne',
    'munitionnent',
    'munitionner',
    'munitionnera',
    'munitionnes',
    'munitionnez',
    'munitionniez',
    'munitionnons',
    'munitionnât',
    'munitionné',
    'munitionnée',
    'munitionnées',
    'munitionnés',
    'munitions',
    'munster',
    'munsters',
    'munîmes',
    'munît',
    'munîtes',
    'muons',
    'muphti',
    'muphtis',
    'muqueuse',
    'muqueuses',
    'muqueux',
    'mura',
    'murage',
    'murages',
    'murai',
    'muraient',
    'murailla',
    'muraillai',
    'muraillaient',
    'muraillais',
    'muraillait',
    'muraillant',
    'muraillas',
    'muraillasse',
    'muraillasses',
    'muraille',
    'muraillent',
    'murailler',
    'muraillera',
    'muraillerai',
    'muraillerais',
    'muraillerait',
    'murailleras',
    'muraillerez',
    'murailleriez',
    'muraillerons',
    'murailleront',
    'murailles',
    'muraillez',
    'murailliez',
    'muraillions',
    'muraillons',
    'muraillâmes',
    'muraillât',
    'muraillâtes',
    'muraillèrent',
    'muraillé',
    'muraillée',
    'muraillées',
    'muraillés',
    'murais',
    'murait',
    'mural',
    'murale',
    'murales',
    'murals',
    'murant',
    'muras',
    'murasse',
    'murassent',
    'murasses',
    'murassiez',
    'murassions',
    'muraux',
    'mure',
    'murent',
    'murer',
    'murera',
    'murerai',
    'mureraient',
    'murerais',
    'murerait',
    'mureras',
    'murerez',
    'mureriez',
    'murerions',
    'murerons',
    'mureront',
    'mures',
    'muret',
    'muretin',
    'muretins',
    'murets',
    'murette',
    'murettes',
    'murex',
    'murez',
    'muriate',
    'muriates',
    'muriatique',
    'muriatiques',
    'muriez',
    'murions',
    'murmel',
    'murmels',
    'murmura',
    'murmurai',
    'murmuraient',
    'murmurais',
    'murmurait',
    'murmurant',
    'murmurante',
    'murmurantes',
    'murmurants',
    'murmuras',
    'murmurasse',
    'murmurassent',
    'murmurasses',
    'murmurassiez',
    'murmure',
    'murmurent',
    'murmurer',
    'murmurera',
    'murmurerai',
    'murmurerais',
    'murmurerait',
    'murmureras',
    'murmurerez',
    'murmureriez',
    'murmurerions',
    'murmurerons',
    'murmureront',
    'murmures',
    'murmurez',
    'murmuriez',
    'murmurions',
    'murmurons',
    'murmurâmes',
    'murmurât',
    'murmurâtes',
    'murmurèrent',
    'murmuré',
    'murmurée',
    'murmurées',
    'murmurés',
    'murons',
    'murrhin',
    'murrhine',
    'murrhines',
    'murrhins',
    'murs',
    'murâmes',
    'murât',
    'murâtes',
    'murène',
    'murènes',
    'murèrent',
    'muré',
    'murée',
    'murées',
    'murés',
    'musa',
    'musagète',
    'musagètes',
    'musai',
    'musaient',
    'musais',
    'musait',
    'musant',
    'musaraigne',
    'musaraignes',
    'musard',
    'musarda',
    'musardai',
    'musardaient',
    'musardais',
    'musardait',
    'musardant',
    'musardas',
    'musardasse',
    'musardassent',
    'musardasses',
    'musardassiez',
    'musarde',
    'musardent',
    'musarder',
    'musardera',
    'musarderai',
    'musarderais',
    'musarderait',
    'musarderas',
    'musarderez',
    'musarderiez',
    'musarderions',
    'musarderons',
    'musarderont',
    'musardes',
    'musardez',
    'musardiez',
    'musardions',
    'musardise',
    'musardises',
    'musardons',
    'musards',
    'musardâmes',
    'musardât',
    'musardâtes',
    'musardèrent',
    'musardé',
    'musas',
    'musasse',
    'musassent',
    'musasses',
    'musassiez',
    'musassions',
    'musc',
    'muscade',
    'muscades',
    'muscadet',
    'muscadets',
    'muscadier',
    'muscadiers',
    'muscadin',
    'muscadins',
    'muscardin',
    'muscardine',
    'muscardines',
    'muscardins',
    'muscari',
    'muscarine',
    'muscarines',
    'muscaris',
    'muscat',
    'muscats',
    'muscla',
    'musclai',
    'musclaient',
    'musclais',
    'musclait',
    'musclant',
    'musclas',
    'musclasse',
    'musclassent',
    'musclasses',
    'musclassiez',
    'musclassions',
    'muscle',
    'musclent',
    'muscler',
    'musclera',
    'musclerai',
    'muscleraient',
    'musclerais',
    'musclerait',
    'muscleras',
    'musclerez',
    'muscleriez',
    'musclerions',
    'musclerons',
    'muscleront',
    'muscles',
    'musclez',
    'muscliez',
    'musclions',
    'musclons',
    'musclâmes',
    'musclât',
    'musclâtes',
    'musclèrent',
    'musclé',
    'musclée',
    'musclées',
    'musclés',
    'muscs',
    'musculaire',
    'musculaires',
    'musculation',
    'musculations',
    'musculature',
    'musculatures',
    'musculeuse',
    'musculeuses',
    'musculeux',
    'muse',
    'museau',
    'museaux',
    'musela',
    'muselai',
    'muselaient',
    'muselais',
    'muselait',
    'muselant',
    'muselas',
    'muselasse',
    'muselassent',
    'muselasses',
    'muselassiez',
    'muselassions',
    'museler',
    'muselet',
    'muselets',
    'muselez',
    'museliez',
    'muselions',
    'muselière',
    'muselières',
    'muselle',
    'musellement',
    'musellements',
    'musellent',
    'musellera',
    'musellerai',
    'musellerais',
    'musellerait',
    'muselleras',
    'musellerez',
    'muselleriez',
    'musellerions',
    'musellerons',
    'muselleront',
    'muselles',
    'muselons',
    'muselâmes',
    'muselât',
    'muselâtes',
    'muselèrent',
    'muselé',
    'muselée',
    'muselées',
    'muselés',
    'musent',
    'muser',
    'musera',
    'muserai',
    'museraient',
    'muserais',
    'muserait',
    'museras',
    'muserez',
    'museriez',
    'muserions',
    'muserolle',
    'muserolles',
    'muserons',
    'museront',
    'muses',
    'musette',
    'musettes',
    'musez',
    'musical',
    'musicale',
    'musicalement',
    'musicales',
    'musicalité',
    'musicalités',
    'musicaux',
    'musicien',
    'musicienne',
    'musiciennes',
    'musiciens',
    'musicographe',
    'musicologie',
    'musicologies',
    'musicologue',
    'musicologues',
    'musiez',
    'musions',
    'musiqua',
    'musiquai',
    'musiquaient',
    'musiquais',
    'musiquait',
    'musiquant',
    'musiquas',
    'musiquasse',
    'musiquassent',
    'musiquasses',
    'musiquassiez',
    'musique',
    'musiquent',
    'musiquer',
    'musiquera',
    'musiquerai',
    'musiquerais',
    'musiquerait',
    'musiqueras',
    'musiquerez',
    'musiqueriez',
    'musiquerions',
    'musiquerons',
    'musiqueront',
    'musiques',
    'musiquette',
    'musiquettes',
    'musiquez',
    'musiquiez',
    'musiquions',
    'musiquons',
    'musiquâmes',
    'musiquât',
    'musiquâtes',
    'musiquèrent',
    'musiqué',
    'musiquée',
    'musiquées',
    'musiqués',
    'musoir',
    'musoirs',
    'musons',
    'musqua',
    'musquai',
    'musquaient',
    'musquais',
    'musquait',
    'musquant',
    'musquas',
    'musquasse',
    'musquassent',
    'musquasses',
    'musquassiez',
    'musquassions',
    'musque',
    'musquent',
    'musquer',
    'musquera',
    'musquerai',
    'musqueraient',
    'musquerais',
    'musquerait',
    'musqueras',
    'musquerez',
    'musqueriez',
    'musquerions',
    'musquerons',
    'musqueront',
    'musques',
    'musquez',
    'musquiez',
    'musquions',
    'musquons',
    'musquâmes',
    'musquât',
    'musquâtes',
    'musquèrent',
    'musqué',
    'musquée',
    'musquées',
    'musqués',
    'mussa',
    'mussai',
    'mussaient',
    'mussais',
    'mussait',
    'mussant',
    'mussas',
    'mussasse',
    'mussassent',
    'mussasses',
    'mussassiez',
    'mussassions',
    'musse',
    'mussent',
    'musser',
    'mussera',
    'musserai',
    'musseraient',
    'musserais',
    'musserait',
    'musseras',
    'musserez',
    'musseriez',
    'musserions',
    'musserons',
    'musseront',
    'musses',
    'mussez',
    'mussiez',
    'mussif',
    'mussifs',
    'mussions',
    'mussitation',
    'mussitations',
    'mussive',
    'mussives',
    'mussons',
    'mussâmes',
    'mussât',
    'mussâtes',
    'mussèrent',
    'mussé',
    'mussée',
    'mussées',
    'mussés',
    'must',
    'mustang',
    'mustangs',
    'musts',
    'musulman',
    'musulmane',
    'musulmanes',
    'musulmans',
    'musâmes',
    'musât',
    'musâtes',
    'musèrent',
    'musé',
    'musée',
    'musées',
    'muséographie',
    'muséologie',
    'muséologies',
    'muséum',
    'muséums',
    'muta',
    'mutabilité',
    'mutabilités',
    'mutable',
    'mutables',
    'mutage',
    'mutages',
    'mutagène',
    'mutagènes',
    'mutagénèse',
    'mutai',
    'mutaient',
    'mutais',
    'mutait',
    'mutant',
    'mutante',
    'mutantes',
    'mutants',
    'mutas',
    'mutasse',
    'mutassent',
    'mutasses',
    'mutassiez',
    'mutassions',
    'mutation',
    'mutations',
    'mute',
    'mutent',
    'muter',
    'mutera',
    'muterai',
    'muteraient',
    'muterais',
    'muterait',
    'muteras',
    'muterez',
    'muteriez',
    'muterions',
    'muterons',
    'muteront',
    'mutes',
    'mutez',
    'mutiez',
    'mutila',
    'mutilai',
    'mutilaient',
    'mutilais',
    'mutilait',
    'mutilant',
    'mutilante',
    'mutilantes',
    'mutilants',
    'mutilas',
    'mutilasse',
    'mutilassent',
    'mutilasses',
    'mutilassiez',
    'mutilassions',
    'mutilateur',
    'mutilateurs',
    'mutilation',
    'mutilations',
    'mutilatrice',
    'mutilatrices',
    'mutile',
    'mutilent',
    'mutiler',
    'mutilera',
    'mutilerai',
    'mutileraient',
    'mutilerais',
    'mutilerait',
    'mutileras',
    'mutilerez',
    'mutileriez',
    'mutilerions',
    'mutilerons',
    'mutileront',
    'mutiles',
    'mutilez',
    'mutiliez',
    'mutilions',
    'mutilons',
    'mutilâmes',
    'mutilât',
    'mutilâtes',
    'mutilèrent',
    'mutilé',
    'mutilée',
    'mutilées',
    'mutilés',
    'mutin',
    'mutina',
    'mutinai',
    'mutinaient',
    'mutinais',
    'mutinait',
    'mutinant',
    'mutinas',
    'mutinasse',
    'mutinassent',
    'mutinasses',
    'mutinassiez',
    'mutinassions',
    'mutine',
    'mutinent',
    'mutiner',
    'mutinera',
    'mutinerai',
    'mutineraient',
    'mutinerais',
    'mutinerait',
    'mutineras',
    'mutinerez',
    'mutinerie',
    'mutineries',
    'mutineriez',
    'mutinerions',
    'mutinerons',
    'mutineront',
    'mutines',
    'mutinez',
    'mutiniez',
    'mutinions',
    'mutinons',
    'mutins',
    'mutinâmes',
    'mutinât',
    'mutinâtes',
    'mutinèrent',
    'mutiné',
    'mutinée',
    'mutinées',
    'mutinés',
    'mutions',
    'mutique',
    'mutiques',
    'mutisme',
    'mutismes',
    'mutité',
    'mutités',
    'mutons',
    'mutualisme',
    'mutualismes',
    'mutualiste',
    'mutualistes',
    'mutualité',
    'mutualités',
    'mutuel',
    'mutuelle',
    'mutuellement',
    'mutuelles',
    'mutuels',
    'mutule',
    'mutules',
    'mutâmes',
    'mutât',
    'mutâtes',
    'mutèrent',
    'muté',
    'mutée',
    'mutées',
    'mutés',
    'muâmes',
    'muât',
    'muâtes',
    'muèrent',
    'muée',
    'muées',
    'mués',
    'myalgie',
    'myalgies',
    'myasthénie',
    'myasthénies',
    'mycoderme',
    'mycodermes',
    'mycodermique',
    'mycologie',
    'mycologies',
    'mycologue',
    'mycologues',
    'mycoplasme',
    'mycoplasmes',
    'mycorhize',
    'mycorhizes',
    'mycose',
    'mycoses',
    'mycélien',
    'mycélienne',
    'mycéliennes',
    'mycéliens',
    'mycélium',
    'mycéliums',
    'mycénien',
    'mycénienne',
    'mycéniennes',
    'mycéniens',
    'mydriase',
    'mydriases',
    'mydriatique',
    'mydriatiques',
    'mygale',
    'mygales',
    'myiase',
    'myiases',
    'myocarde',
    'myocardes',
    'myocardite',
    'myocardites',
    'myographe',
    'myographes',
    'myologie',
    'myologies',
    'myome',
    'myomes',
    'myopathie',
    'myopathies',
    'myope',
    'myopes',
    'myopie',
    'myopies',
    'myopotame',
    'myopotames',
    'myosite',
    'myosites',
    'myosotis',
    'myriade',
    'myriades',
    'myriamètre',
    'myriamètres',
    'myriophylle',
    'myriophylles',
    'myrmidon',
    'myrmidons',
    'myrmécophile',
    'myrobolan',
    'myrobolans',
    'myrosine',
    'myrosines',
    'myroxyle',
    'myroxyles',
    'myroxylon',
    'myroxylons',
    'myrrhe',
    'myrrhes',
    'myrte',
    'myrtes',
    'myrtiforme',
    'myrtiformes',
    'myrtille',
    'myrtilles',
    'mystagogie',
    'mystagogies',
    'mystagogue',
    'mystagogues',
    'mysticisme',
    'mysticismes',
    'mysticité',
    'mysticités',
    'mystifia',
    'mystifiable',
    'mystifiables',
    'mystifiai',
    'mystifiaient',
    'mystifiais',
    'mystifiait',
    'mystifiant',
    'mystifiante',
    'mystifiantes',
    'mystifiants',
    'mystifias',
    'mystifiasse',
    'mystifiasses',
    'mystifie',
    'mystifient',
    'mystifier',
    'mystifiera',
    'mystifierai',
    'mystifierais',
    'mystifierait',
    'mystifieras',
    'mystifierez',
    'mystifieriez',
    'mystifierons',
    'mystifieront',
    'mystifies',
    'mystifiez',
    'mystifiiez',
    'mystifiions',
    'mystifions',
    'mystifiâmes',
    'mystifiât',
    'mystifiâtes',
    'mystifièrent',
    'mystifié',
    'mystifiée',
    'mystifiées',
    'mystifiés',
    'mystique',
    'mystiquement',
    'mystiques',
    'mystère',
    'mystères',
    'mystérieuse',
    'mystérieuses',
    'mystérieux',
    'mythe',
    'mythes',
    'mythifier',
    'mythique',
    'mythiques',
    'mythographe',
    'mythographes',
    'mythologie',
    'mythologies',
    'mythologique',
    'mythologue',
    'mythologues',
    'mythomane',
    'mythomanes',
    'mythomanie',
    'mythomanies',
    'mytilotoxine',
    'myxoedème',
    'myxoedèmes',
    'myxomatose',
    'myxomatoses',
    'myéline',
    'myélines',
    'myélite',
    'myélites',
    'myéloblaste',
    'myéloblastes',
    'myélocyte',
    'myélocytes',
    'myélographie',
    'myélome',
    'myélomes',
    'mâcha',
    'mâchai',
    'mâchaient',
    'mâchais',
    'mâchait',
    'mâchant',
    'mâchas',
    'mâchasse',
    'mâchassent',
    'mâchasses',
    'mâchassiez',
    'mâchassions',
    'mâche',
    'mâchefer',
    'mâchefers',
    'mâchement',
    'mâchements',
    'mâchent',
    'mâcher',
    'mâchera',
    'mâcherai',
    'mâcheraient',
    'mâcherais',
    'mâcherait',
    'mâcheras',
    'mâcherez',
    'mâcheriez',
    'mâcherions',
    'mâcherons',
    'mâcheront',
    'mâches',
    'mâcheur',
    'mâcheurs',
    'mâcheuse',
    'mâcheuses',
    'mâchez',
    'mâchicoulis',
    'mâchiez',
    'mâchions',
    'mâchoire',
    'mâchoires',
    'mâchonna',
    'mâchonnai',
    'mâchonnaient',
    'mâchonnais',
    'mâchonnait',
    'mâchonnant',
    'mâchonnas',
    'mâchonnasse',
    'mâchonnasses',
    'mâchonne',
    'mâchonnement',
    'mâchonnent',
    'mâchonner',
    'mâchonnera',
    'mâchonnerai',
    'mâchonnerais',
    'mâchonnerait',
    'mâchonneras',
    'mâchonnerez',
    'mâchonneriez',
    'mâchonnerons',
    'mâchonneront',
    'mâchonnes',
    'mâchonnez',
    'mâchonniez',
    'mâchonnions',
    'mâchonnons',
    'mâchonnâmes',
    'mâchonnât',
    'mâchonnâtes',
    'mâchonnèrent',
    'mâchonné',
    'mâchonnée',
    'mâchonnées',
    'mâchonnés',
    'mâchons',
    'mâchouilla',
    'mâchouillai',
    'mâchouillais',
    'mâchouillait',
    'mâchouillant',
    'mâchouillas',
    'mâchouille',
    'mâchouillent',
    'mâchouiller',
    'mâchouillera',
    'mâchouilles',
    'mâchouillez',
    'mâchouilliez',
    'mâchouillons',
    'mâchouillât',
    'mâchura',
    'mâchurai',
    'mâchuraient',
    'mâchurais',
    'mâchurait',
    'mâchurant',
    'mâchuras',
    'mâchurasse',
    'mâchurassent',
    'mâchurasses',
    'mâchurassiez',
    'mâchure',
    'mâchurent',
    'mâchurer',
    'mâchurera',
    'mâchurerai',
    'mâchurerais',
    'mâchurerait',
    'mâchureras',
    'mâchurerez',
    'mâchureriez',
    'mâchurerions',
    'mâchurerons',
    'mâchureront',
    'mâchures',
    'mâchurez',
    'mâchuriez',
    'mâchurions',
    'mâchurons',
    'mâchurâmes',
    'mâchurât',
    'mâchurâtes',
    'mâchurèrent',
    'mâchuré',
    'mâchurée',
    'mâchurées',
    'mâchurés',
    'mâchâmes',
    'mâchât',
    'mâchâtes',
    'mâchèrent',
    'mâché',
    'mâchée',
    'mâchées',
    'mâchés',
    'mâcon',
    'mâcons',
    'mâle',
    'mâles',
    'mânes',
    'mâta',
    'mâtai',
    'mâtaient',
    'mâtais',
    'mâtait',
    'mâtant',
    'mâtas',
    'mâtasse',
    'mâtassent',
    'mâtasses',
    'mâtassiez',
    'mâtassions',
    'mâte',
    'mâtent',
    'mâter',
    'mâtera',
    'mâterai',
    'mâteraient',
    'mâterais',
    'mâterait',
    'mâteras',
    'mâtereau',
    'mâtereaux',
    'mâterez',
    'mâteriez',
    'mâterions',
    'mâterons',
    'mâteront',
    'mâtes',
    'mâtez',
    'mâtiez',
    'mâtina',
    'mâtinai',
    'mâtinaient',
    'mâtinais',
    'mâtinait',
    'mâtinant',
    'mâtinas',
    'mâtinasse',
    'mâtinassent',
    'mâtinasses',
    'mâtinassiez',
    'mâtinassions',
    'mâtiner',
    'mâtinera',
    'mâtinerai',
    'mâtineraient',
    'mâtinerais',
    'mâtinerait',
    'mâtineras',
    'mâtinerez',
    'mâtineriez',
    'mâtinerions',
    'mâtinerons',
    'mâtineront',
    'mâtinez',
    'mâtiniez',
    'mâtinions',
    'mâtinons',
    'mâtinâmes',
    'mâtinât',
    'mâtinâtes',
    'mâtinèrent',
    'mâtiné',
    'mâtinée',
    'mâtinées',
    'mâtinés',
    'mâtions',
    'mâtons',
    'mâts',
    'mâture',
    'mâtures',
    'mâtâmes',
    'mâtât',
    'mâtâtes',
    'mâtèrent',
    'mâté',
    'mâtée',
    'mâtées',
    'mâtés',
    'mèche',
    'mèchent',
    'mèches',
    'mède',
    'mèdes',
    'mène',
    'mènent',
    'mènera',
    'mènerai',
    'mèneraient',
    'mènerais',
    'mènerait',
    'mèneras',
    'mènerez',
    'mèneriez',
    'mènerions',
    'mènerons',
    'mèneront',
    'mènes',
    'mère',
    'mères',
    'mètre',
    'mètrent',
    'mètres',
    'méandre',
    'méandres',
    'méandrine',
    'méandrines',
    'méat',
    'méats',
    'mécanicien',
    'mécanicienne',
    'mécaniciens',
    'mécanique',
    'mécaniques',
    'mécanisa',
    'mécanisai',
    'mécanisaient',
    'mécanisais',
    'mécanisait',
    'mécanisant',
    'mécanisas',
    'mécanisasse',
    'mécanisasses',
    'mécanisation',
    'mécanise',
    'mécanisent',
    'mécaniser',
    'mécanisera',
    'mécaniserai',
    'mécaniserais',
    'mécaniserait',
    'mécaniseras',
    'mécaniserez',
    'mécaniseriez',
    'mécaniserons',
    'mécaniseront',
    'mécanises',
    'mécanisez',
    'mécanisiez',
    'mécanisions',
    'mécanisme',
    'mécanismes',
    'mécanisons',
    'mécaniste',
    'mécanistes',
    'mécanisâmes',
    'mécanisât',
    'mécanisâtes',
    'mécanisèrent',
    'mécanisé',
    'mécanisée',
    'mécanisées',
    'mécanisés',
    'mécano',
    'mécanographe',
    'mécanos',
    'mécha',
    'méchage',
    'méchages',
    'méchai',
    'méchaient',
    'méchais',
    'méchait',
    'méchamment',
    'méchanceté',
    'méchancetés',
    'méchant',
    'méchante',
    'méchantes',
    'méchants',
    'méchas',
    'méchasse',
    'méchassent',
    'méchasses',
    'méchassiez',
    'méchassions',
    'mécher',
    'méchera',
    'mécherai',
    'mécheraient',
    'mécherais',
    'mécherait',
    'mécheras',
    'mécherez',
    'mécheriez',
    'mécherions',
    'mécherons',
    'mécheront',
    'mécheuse',
    'mécheuses',
    'mécheux',
    'méchez',
    'méchiez',
    'méchions',
    'méchons',
    'méchoui',
    'méchouis',
    'méchâmes',
    'méchât',
    'méchâtes',
    'méchèrent',
    'méché',
    'méchée',
    'méchées',
    'méchés',
    'mécompta',
    'mécomptai',
    'mécomptaient',
    'mécomptais',
    'mécomptait',
    'mécomptant',
    'mécomptas',
    'mécomptasse',
    'mécomptasses',
    'mécompte',
    'mécomptent',
    'mécompter',
    'mécomptera',
    'mécompterai',
    'mécompterais',
    'mécompterait',
    'mécompteras',
    'mécompterez',
    'mécompteriez',
    'mécompterons',
    'mécompteront',
    'mécomptes',
    'mécomptez',
    'mécomptiez',
    'mécomptions',
    'mécomptons',
    'mécomptâmes',
    'mécomptât',
    'mécomptâtes',
    'mécomptèrent',
    'mécompté',
    'mécomptée',
    'mécomptées',
    'mécomptés',
    'méconduire',
    'méconduite',
    'méconduites',
    'méconium',
    'méconiums',
    'méconnais',
    'méconnaisse',
    'méconnaisses',
    'méconnaissez',
    'méconnaît',
    'méconnaîtra',
    'méconnaîtrai',
    'méconnaîtras',
    'méconnaître',
    'méconnaîtrez',
    'méconnu',
    'méconnue',
    'méconnues',
    'méconnurent',
    'méconnus',
    'méconnusse',
    'méconnussent',
    'méconnusses',
    'méconnussiez',
    'méconnut',
    'méconnûmes',
    'méconnût',
    'méconnûtes',
    'mécontent',
    'mécontenta',
    'mécontentai',
    'mécontentais',
    'mécontentait',
    'mécontentant',
    'mécontentas',
    'mécontente',
    'mécontentent',
    'mécontenter',
    'mécontentera',
    'mécontentes',
    'mécontentez',
    'mécontentiez',
    'mécontentons',
    'mécontents',
    'mécontentât',
    'mécontenté',
    'mécontentée',
    'mécontentées',
    'mécontentés',
    'mécréant',
    'mécréante',
    'mécréantes',
    'mécréants',
    'mécène',
    'mécènes',
    'mécénat',
    'mécénats',
    'médailla',
    'médaillai',
    'médaillaient',
    'médaillais',
    'médaillait',
    'médaillant',
    'médaillas',
    'médaillasse',
    'médaillasses',
    'médaille',
    'médaillent',
    'médailler',
    'médaillera',
    'médaillerai',
    'médaillerais',
    'médaillerait',
    'médailleras',
    'médaillerez',
    'médailleriez',
    'médaillerons',
    'médailleront',
    'médailles',
    'médailleur',
    'médailleurs',
    'médaillez',
    'médaillier',
    'médailliers',
    'médailliez',
    'médaillions',
    'médailliste',
    'médaillistes',
    'médaillon',
    'médaillons',
    'médaillâmes',
    'médaillât',
    'médaillâtes',
    'médaillèrent',
    'médaillé',
    'médaillée',
    'médaillées',
    'médaillés',
    'médecin',
    'médecine',
    'médecines',
    'médecins',
    'médersa',
    'médersas',
    'média',
    'médial',
    'médiale',
    'médiales',
    'médian',
    'médiane',
    'médianes',
    'médianoche',
    'médianoches',
    'médians',
    'médiante',
    'médiantes',
    'médias',
    'médiastin',
    'médiastins',
    'médiat',
    'médiate',
    'médiates',
    'médiateur',
    'médiateurs',
    'médiation',
    'médiations',
    'médiatique',
    'médiatiques',
    'médiatisa',
    'médiatisai',
    'médiatisais',
    'médiatisait',
    'médiatisant',
    'médiatisante',
    'médiatisants',
    'médiatisas',
    'médiatisasse',
    'médiatise',
    'médiatisent',
    'médiatiser',
    'médiatisera',
    'médiatiserai',
    'médiatiseras',
    'médiatiserez',
    'médiatises',
    'médiatisez',
    'médiatisiez',
    'médiatisions',
    'médiatisons',
    'médiatisâmes',
    'médiatisât',
    'médiatisâtes',
    'médiatisé',
    'médiatisée',
    'médiatisées',
    'médiatisés',
    'médiator',
    'médiators',
    'médiatrice',
    'médiatrices',
    'médiats',
    'médiaux',
    'médical',
    'médicale',
    'médicalement',
    'médicales',
    'médicalisa',
    'médicalisai',
    'médicalisais',
    'médicalisait',
    'médicalisant',
    'médicalisas',
    'médicalise',
    'médicalisent',
    'médicaliser',
    'médicalisera',
    'médicalises',
    'médicalisez',
    'médicalisiez',
    'médicalisons',
    'médicalisât',
    'médicalisé',
    'médicalisée',
    'médicalisées',
    'médicalisés',
    'médicament',
    'médicamenta',
    'médicamentai',
    'médicamentas',
    'médicamente',
    'médicamenter',
    'médicamentes',
    'médicamentez',
    'médicaments',
    'médicamentât',
    'médicamenté',
    'médicamentée',
    'médicamentés',
    'médicastre',
    'médicastres',
    'médication',
    'médications',
    'médicaux',
    'médicinal',
    'médicinale',
    'médicinales',
    'médicinaux',
    'médicinier',
    'médiciniers',
    'médina',
    'médinas',
    'médiocratie',
    'médiocraties',
    'médiocre',
    'médiocrement',
    'médiocres',
    'médiocrité',
    'médiocrités',
    'médique',
    'médiques',
    'médira',
    'médirai',
    'médiraient',
    'médirais',
    'médirait',
    'médiras',
    'médire',
    'médirent',
    'médirez',
    'médiriez',
    'médirions',
    'médirons',
    'médiront',
    'médis',
    'médisa',
    'médisai',
    'médisaient',
    'médisais',
    'médisait',
    'médisance',
    'médisances',
    'médisant',
    'médisante',
    'médisantes',
    'médisants',
    'médisas',
    'médisasse',
    'médisassent',
    'médisasses',
    'médisassiez',
    'médisassions',
    'médise',
    'médisent',
    'médiser',
    'médisera',
    'médiserai',
    'médiseraient',
    'médiserais',
    'médiserait',
    'médiseras',
    'médiserez',
    'médiseriez',
    'médiserions',
    'médiserons',
    'médiseront',
    'médises',
    'médisez',
    'médisiez',
    'médisions',
    'médisons',
    'médisse',
    'médissent',
    'médisses',
    'médissiez',
    'médissions',
    'médisâmes',
    'médisât',
    'médisâtes',
    'médisèrent',
    'médisé',
    'médit',
    'médita',
    'méditai',
    'méditaient',
    'méditais',
    'méditait',
    'méditant',
    'méditante',
    'méditantes',
    'méditants',
    'méditas',
    'méditasse',
    'méditassent',
    'méditasses',
    'méditassiez',
    'méditassions',
    'méditatif',
    'méditatifs',
    'méditation',
    'méditations',
    'méditative',
    'méditatives',
    'médite',
    'méditent',
    'méditer',
    'méditera',
    'méditerai',
    'méditeraient',
    'méditerais',
    'méditerait',
    'méditeras',
    'méditerez',
    'méditeriez',
    'méditerions',
    'méditerons',
    'méditeront',
    'méditerrané',
    'méditerranée',
    'méditerranés',
    'médites',
    'méditez',
    'méditiez',
    'méditions',
    'méditons',
    'médits',
    'méditâmes',
    'méditât',
    'méditâtes',
    'méditèrent',
    'médité',
    'méditée',
    'méditées',
    'médités',
    'médium',
    'médiumnique',
    'médiumniques',
    'médiumnité',
    'médiumnités',
    'médiums',
    'médius',
    'médiéval',
    'médiévale',
    'médiévales',
    'médiévaux',
    'médiévisme',
    'médiévismes',
    'médiéviste',
    'médiévistes',
    'médoc',
    'médocs',
    'médullaire',
    'médullaires',
    'médulleuse',
    'médulleuses',
    'médulleux',
    'médusa',
    'médusai',
    'médusaient',
    'médusais',
    'médusait',
    'médusant',
    'médusante',
    'médusantes',
    'médusants',
    'médusas',
    'médusasse',
    'médusassent',
    'médusasses',
    'médusassiez',
    'médusassions',
    'méduse',
    'médusent',
    'méduser',
    'médusera',
    'méduserai',
    'méduseraient',
    'méduserais',
    'méduserait',
    'méduseras',
    'méduserez',
    'méduseriez',
    'méduserions',
    'méduserons',
    'méduseront',
    'méduses',
    'médusez',
    'médusiez',
    'médusions',
    'médusons',
    'médusâmes',
    'médusât',
    'médusâtes',
    'médusèrent',
    'médusé',
    'médusée',
    'médusées',
    'médusés',
    'médîmes',
    'médît',
    'médîtes',
    'méfaire',
    'méfais',
    'méfaisaient',
    'méfaisais',
    'méfaisait',
    'méfaisant',
    'méfaisiez',
    'méfaisions',
    'méfaisons',
    'méfait',
    'méfaite',
    'méfaites',
    'méfaits',
    'méfasse',
    'méfassent',
    'méfasses',
    'méfassiez',
    'méfassions',
    'méfera',
    'méferai',
    'méferaient',
    'méferais',
    'méferait',
    'méferas',
    'méferez',
    'méferiez',
    'méferions',
    'méferons',
    'méferont',
    'méfia',
    'méfiai',
    'méfiaient',
    'méfiais',
    'méfiait',
    'méfiance',
    'méfiances',
    'méfiant',
    'méfiante',
    'méfiantes',
    'méfiants',
    'méfias',
    'méfiasse',
    'méfiassent',
    'méfiasses',
    'méfiassiez',
    'méfiassions',
    'méfie',
    'méfient',
    'méfier',
    'méfiera',
    'méfierai',
    'méfieraient',
    'méfierais',
    'méfierait',
    'méfieras',
    'méfierez',
    'méfieriez',
    'méfierions',
    'méfierons',
    'méfieront',
    'méfies',
    'méfiez',
    'méfiiez',
    'méfiions',
    'méfions',
    'méfirent',
    'méfis',
    'méfisse',
    'méfissent',
    'méfisses',
    'méfissiez',
    'méfissions',
    'méfit',
    'méfiâmes',
    'méfiât',
    'méfiâtes',
    'méfièrent',
    'méfié',
    'méfiée',
    'méfiées',
    'méfiés',
    'méfont',
    'méforme',
    'méformes',
    'méfîmes',
    'méfît',
    'méfîtes',
    'mégacycle',
    'mégacycles',
    'mégacéros',
    'mégacôlon',
    'mégacôlons',
    'mégahertz',
    'mégalithe',
    'mégalithes',
    'mégalithique',
    'mégalomane',
    'mégalomanes',
    'mégalomanie',
    'mégalomanies',
    'mégalopole',
    'mégalopoles',
    'mégaphone',
    'mégaphones',
    'mégaptère',
    'mégaptères',
    'mégarde',
    'mégardes',
    'mégathérium',
    'mégathériums',
    'mégatonne',
    'mégatonnes',
    'mégi',
    'mégie',
    'mégies',
    'mégir',
    'mégira',
    'mégirai',
    'mégiraient',
    'mégirais',
    'mégirait',
    'mégiras',
    'mégirent',
    'mégirez',
    'mégiriez',
    'mégirions',
    'mégirons',
    'mégiront',
    'mégis',
    'mégissa',
    'mégissai',
    'mégissaient',
    'mégissais',
    'mégissait',
    'mégissant',
    'mégissas',
    'mégissasse',
    'mégissassent',
    'mégissasses',
    'mégissassiez',
    'mégisse',
    'mégissent',
    'mégisser',
    'mégissera',
    'mégisserai',
    'mégisserais',
    'mégisserait',
    'mégisseras',
    'mégisserez',
    'mégisserie',
    'mégisseries',
    'mégisseriez',
    'mégisserions',
    'mégisserons',
    'mégisseront',
    'mégisses',
    'mégissez',
    'mégissier',
    'mégissiers',
    'mégissiez',
    'mégissions',
    'mégissons',
    'mégissâmes',
    'mégissât',
    'mégissâtes',
    'mégissèrent',
    'mégissé',
    'mégissée',
    'mégissées',
    'mégissés',
    'mégit',
    'mégohm',
    'mégohmmètre',
    'mégohmmètres',
    'mégohms',
    'mégot',
    'mégota',
    'mégotai',
    'mégotaient',
    'mégotais',
    'mégotait',
    'mégotant',
    'mégotas',
    'mégotasse',
    'mégotassent',
    'mégotasses',
    'mégotassiez',
    'mégotassions',
    'mégote',
    'mégotent',
    'mégoter',
    'mégotera',
    'mégoterai',
    'mégoteraient',
    'mégoterais',
    'mégoterait',
    'mégoteras',
    'mégoterez',
    'mégoteriez',
    'mégoterions',
    'mégoterons',
    'mégoteront',
    'mégotes',
    'mégotez',
    'mégotiez',
    'mégotions',
    'mégotons',
    'mégots',
    'mégotâmes',
    'mégotât',
    'mégotâtes',
    'mégotèrent',
    'mégoté',
    'mégotée',
    'mégotées',
    'mégotés',
    'mégère',
    'mégères',
    'mégîmes',
    'mégît',
    'mégîtes',
    'méhara',
    'méhari',
    'méharis',
    'méhariste',
    'méharistes',
    'méharée',
    'méharées',
    'méiose',
    'méioses',
    'méiotique',
    'méiotiques',
    'méjanage',
    'méjanages',
    'méjuge',
    'méjugea',
    'méjugeai',
    'méjugeaient',
    'méjugeais',
    'méjugeait',
    'méjugeant',
    'méjugeas',
    'méjugeasse',
    'méjugeassent',
    'méjugeasses',
    'méjugeassiez',
    'méjugent',
    'méjugeons',
    'méjuger',
    'méjugera',
    'méjugerai',
    'méjugeraient',
    'méjugerais',
    'méjugerait',
    'méjugeras',
    'méjugerez',
    'méjugeriez',
    'méjugerions',
    'méjugerons',
    'méjugeront',
    'méjuges',
    'méjugez',
    'méjugeâmes',
    'méjugeât',
    'méjugeâtes',
    'méjugiez',
    'méjugions',
    'méjugèrent',
    'méjugé',
    'méjugée',
    'méjugées',
    'méjugés',
    'mélaena',
    'mélaenas',
    'mélampyre',
    'mélampyres',
    'mélancolie',
    'mélancolies',
    'mélancolique',
    'mélange',
    'mélangea',
    'mélangeai',
    'mélangeaient',
    'mélangeais',
    'mélangeait',
    'mélangeant',
    'mélangeante',
    'mélangeantes',
    'mélangeants',
    'mélangeas',
    'mélangeasse',
    'mélangeasses',
    'mélangent',
    'mélangeons',
    'mélanger',
    'mélangera',
    'mélangerai',
    'mélangerais',
    'mélangerait',
    'mélangeras',
    'mélangerez',
    'mélangeriez',
    'mélangerions',
    'mélangerons',
    'mélangeront',
    'mélanges',
    'mélangeur',
    'mélangeurs',
    'mélangeuse',
    'mélangeuses',
    'mélangez',
    'mélangeâmes',
    'mélangeât',
    'mélangeâtes',
    'mélangiez',
    'mélangions',
    'mélangèrent',
    'mélangé',
    'mélangée',
    'mélangées',
    'mélangés',
    'mélanine',
    'mélanines',
    'mélanique',
    'mélaniques',
    'mélanisme',
    'mélanismes',
    'mélanodermie',
    'mélanome',
    'mélanomes',
    'mélanose',
    'mélanoses',
    'mélasse',
    'mélasses',
    'mélia',
    'mélias',
    'mélilot',
    'mélilots',
    'mélinite',
    'mélinites',
    'mélioratif',
    'mélioratifs',
    'méliorative',
    'mélioratives',
    'mélique',
    'méliques',
    'mélisse',
    'mélisses',
    'mélitte',
    'mélittes',
    'mélo',
    'mélodie',
    'mélodies',
    'mélodieuse',
    'mélodieuses',
    'mélodieux',
    'mélodique',
    'mélodiques',
    'mélodiste',
    'mélodistes',
    'mélodrame',
    'mélodrames',
    'mélomane',
    'mélomanes',
    'mélongine',
    'mélongines',
    'mélophage',
    'mélophages',
    'mélopée',
    'mélopées',
    'mélos',
    'mélusine',
    'mélusines',
    'mélèze',
    'mélèzes',
    'méléagrine',
    'méléagrines',
    'méléna',
    'mélénas',
    'mémento',
    'mémentos',
    'mémoire',
    'mémoires',
    'mémorable',
    'mémorables',
    'mémorandum',
    'mémorandums',
    'mémoration',
    'mémorations',
    'mémorial',
    'mémorialiste',
    'mémoriaux',
    'mémoriel',
    'mémorielle',
    'mémorielles',
    'mémoriels',
    'mémorisa',
    'mémorisai',
    'mémorisaient',
    'mémorisais',
    'mémorisait',
    'mémorisant',
    'mémorisante',
    'mémorisantes',
    'mémorisants',
    'mémorisas',
    'mémorisasse',
    'mémorisasses',
    'mémorisation',
    'mémorise',
    'mémorisent',
    'mémoriser',
    'mémorisera',
    'mémoriserai',
    'mémoriserais',
    'mémoriserait',
    'mémoriseras',
    'mémoriserez',
    'mémoriseriez',
    'mémoriserons',
    'mémoriseront',
    'mémorises',
    'mémorisez',
    'mémorisiez',
    'mémorisions',
    'mémorisons',
    'mémorisâmes',
    'mémorisât',
    'mémorisâtes',
    'mémorisèrent',
    'mémorisé',
    'mémorisée',
    'mémorisées',
    'mémorisés',
    'mémère',
    'mémères',
    'mémé',
    'mémés',
    'ménade',
    'ménades',
    'ménage',
    'ménagea',
    'ménageai',
    'ménageaient',
    'ménageais',
    'ménageait',
    'ménageant',
    'ménageante',
    'ménageantes',
    'ménageants',
    'ménageas',
    'ménageasse',
    'ménageassent',
    'ménageasses',
    'ménageassiez',
    'ménagement',
    'ménagements',
    'ménagent',
    'ménageons',
    'ménager',
    'ménagera',
    'ménagerai',
    'ménageraient',
    'ménagerais',
    'ménagerait',
    'ménageras',
    'ménagerez',
    'ménagerie',
    'ménageries',
    'ménageriez',
    'ménagerions',
    'ménagerons',
    'ménageront',
    'ménagers',
    'ménages',
    'ménagez',
    'ménageâmes',
    'ménageât',
    'ménageâtes',
    'ménagiez',
    'ménagions',
    'ménagère',
    'ménagèrent',
    'ménagères',
    'ménagé',
    'ménagée',
    'ménagées',
    'ménagés',
    'ménestrel',
    'ménestrels',
    'méninge',
    'méninges',
    'méningiome',
    'méningiomes',
    'méningite',
    'méningites',
    'méningitique',
    'méningocoque',
    'méningé',
    'méningée',
    'méningées',
    'méningés',
    'ménisque',
    'ménisques',
    'ménologe',
    'ménologes',
    'ménopause',
    'ménopauses',
    'ménopausique',
    'ménopausée',
    'ménopausées',
    'ménorragie',
    'ménorragies',
    'ménure',
    'ménures',
    'ményanthe',
    'ményanthes',
    'ménétrier',
    'ménétriers',
    'méphitique',
    'méphitiques',
    'méphitisme',
    'méphitismes',
    'méplat',
    'méplate',
    'méplates',
    'méplats',
    'méprenaient',
    'méprenais',
    'méprenait',
    'méprenant',
    'méprend',
    'méprendra',
    'méprendrai',
    'méprendrais',
    'méprendrait',
    'méprendras',
    'méprendre',
    'méprendrez',
    'méprendriez',
    'méprendrions',
    'méprendrons',
    'méprendront',
    'méprends',
    'méprenez',
    'mépreniez',
    'méprenions',
    'méprenne',
    'méprennent',
    'méprennes',
    'méprenons',
    'méprirent',
    'mépris',
    'méprisa',
    'méprisable',
    'méprisables',
    'méprisai',
    'méprisaient',
    'méprisais',
    'méprisait',
    'méprisant',
    'méprisante',
    'méprisantes',
    'méprisants',
    'méprisas',
    'méprisasse',
    'méprisassent',
    'méprisasses',
    'méprisassiez',
    'méprise',
    'méprisent',
    'mépriser',
    'méprisera',
    'mépriserai',
    'mépriserais',
    'mépriserait',
    'mépriseras',
    'mépriserez',
    'mépriseriez',
    'mépriserions',
    'mépriserons',
    'mépriseront',
    'méprises',
    'méprisez',
    'méprisiez',
    'méprisions',
    'méprisons',
    'méprisse',
    'méprissent',
    'méprisses',
    'méprissiez',
    'méprissions',
    'méprisâmes',
    'méprisât',
    'méprisâtes',
    'méprisèrent',
    'méprisé',
    'méprisée',
    'méprisées',
    'méprisés',
    'méprit',
    'méprîmes',
    'méprît',
    'méprîtes',
    'méridien',
    'méridienne',
    'méridiennes',
    'méridiens',
    'méridional',
    'méridionale',
    'méridionales',
    'méridionaux',
    'mérinos',
    'méristème',
    'méristèmes',
    'mérita',
    'méritai',
    'méritaient',
    'méritais',
    'méritait',
    'méritant',
    'méritante',
    'méritantes',
    'méritants',
    'méritas',
    'méritasse',
    'méritassent',
    'méritasses',
    'méritassiez',
    'méritassions',
    'mérite',
    'méritent',
    'mériter',
    'méritera',
    'mériterai',
    'mériteraient',
    'mériterais',
    'mériterait',
    'mériteras',
    'mériterez',
    'mériteriez',
    'mériterions',
    'mériterons',
    'mériteront',
    'mérites',
    'méritez',
    'méritiez',
    'méritions',
    'méritocratie',
    'méritoire',
    'méritoires',
    'méritons',
    'méritâmes',
    'méritât',
    'méritâtes',
    'méritèrent',
    'mérité',
    'méritée',
    'méritées',
    'mérités',
    'mérou',
    'mérous',
    'mérovingien',
    'mérovingiens',
    'mérycisme',
    'mérycismes',
    'mésallia',
    'mésalliai',
    'mésalliaient',
    'mésalliais',
    'mésalliait',
    'mésalliance',
    'mésalliances',
    'mésalliant',
    'mésallias',
    'mésalliasse',
    'mésalliasses',
    'mésallie',
    'mésallient',
    'mésallier',
    'mésalliera',
    'mésallierai',
    'mésallierais',
    'mésallierait',
    'mésallieras',
    'mésallierez',
    'mésallieriez',
    'mésallierons',
    'mésallieront',
    'mésallies',
    'mésalliez',
    'mésalliiez',
    'mésalliions',
    'mésallions',
    'mésalliâmes',
    'mésalliât',
    'mésalliâtes',
    'mésallièrent',
    'mésallié',
    'mésalliée',
    'mésalliées',
    'mésalliés',
    'mésange',
    'mésanges',
    'mésangette',
    'mésangettes',
    'mésaventure',
    'mésaventures',
    'mésenchyme',
    'mésenchymes',
    'mésencéphale',
    'mésentente',
    'mésententes',
    'mésentère',
    'mésentères',
    'mésentérique',
    'mésestima',
    'mésestimai',
    'mésestimais',
    'mésestimait',
    'mésestimant',
    'mésestimas',
    'mésestimasse',
    'mésestime',
    'mésestiment',
    'mésestimer',
    'mésestimera',
    'mésestimerai',
    'mésestimeras',
    'mésestimerez',
    'mésestimes',
    'mésestimez',
    'mésestimiez',
    'mésestimions',
    'mésestimons',
    'mésestimâmes',
    'mésestimât',
    'mésestimâtes',
    'mésestimé',
    'mésestimée',
    'mésestimées',
    'mésestimés',
    'mésoblaste',
    'mésoblastes',
    'mésocarpe',
    'mésocarpes',
    'mésoderme',
    'mésodermes',
    'mésolithique',
    'mésopause',
    'mésopauses',
    'mésosphère',
    'mésosphères',
    'mésothorax',
    'mésozoïque',
    'mésozoïques',
    'mésusa',
    'mésusai',
    'mésusaient',
    'mésusais',
    'mésusait',
    'mésusant',
    'mésusas',
    'mésusasse',
    'mésusassent',
    'mésusasses',
    'mésusassiez',
    'mésusassions',
    'mésuse',
    'mésusent',
    'mésuser',
    'mésusera',
    'mésuserai',
    'mésuseraient',
    'mésuserais',
    'mésuserait',
    'mésuseras',
    'mésuserez',
    'mésuseriez',
    'mésuserions',
    'mésuserons',
    'mésuseront',
    'mésuses',
    'mésusez',
    'mésusiez',
    'mésusions',
    'mésusons',
    'mésusâmes',
    'mésusât',
    'mésusâtes',
    'mésusèrent',
    'mésusé',
    'méta',
    'métabolique',
    'métaboliques',
    'métaboliser',
    'métabolisme',
    'métabolismes',
    'métabolite',
    'métabolites',
    'métacarpe',
    'métacarpes',
    'métacarpien',
    'métacarpiens',
    'métacentre',
    'métacentres',
    'métairie',
    'métairies',
    'métal',
    'métalangage',
    'métalangages',
    'métalangue',
    'métalangues',
    'métaldéhyde',
    'métaldéhydes',
    'métallifère',
    'métallifères',
    'métallique',
    'métalliques',
    'métallisa',
    'métallisai',
    'métallisais',
    'métallisait',
    'métallisant',
    'métallisante',
    'métallisants',
    'métallisas',
    'métallisasse',
    'métallise',
    'métallisent',
    'métalliser',
    'métallisera',
    'métalliserai',
    'métalliseras',
    'métalliserez',
    'métallises',
    'métallisez',
    'métallisiez',
    'métallisions',
    'métallisons',
    'métallisâmes',
    'métallisât',
    'métallisâtes',
    'métallisé',
    'métallisée',
    'métallisées',
    'métallisés',
    'métallo',
    'métallos',
    'métalloïde',
    'métalloïdes',
    'métallurgie',
    'métallurgies',
    'métamorphisa',
    'métamorphise',
    'métamorphisé',
    'métamorphosa',
    'métamorphose',
    'métamorphosé',
    'métaphase',
    'métaphases',
    'métaphore',
    'métaphores',
    'métaphorique',
    'métaphyse',
    'métaphyses',
    'métaphysique',
    'métaplasie',
    'métaplasies',
    'métas',
    'métastase',
    'métastases',
    'métatarse',
    'métatarses',
    'métatarsien',
    'métatarsiens',
    'métaux',
    'métayage',
    'métayages',
    'métayer',
    'métayers',
    'métayère',
    'métayères',
    'métazoaire',
    'métazoaires',
    'méteil',
    'méteils',
    'métempsycose',
    'métencéphale',
    'méthane',
    'méthanes',
    'méthanier',
    'méthaniers',
    'méthionine',
    'méthionines',
    'méthode',
    'méthodes',
    'méthodique',
    'méthodiques',
    'méthodisme',
    'méthodismes',
    'méthodiste',
    'méthodistes',
    'méthodologie',
    'méthyle',
    'méthyles',
    'méthylique',
    'méthyliques',
    'méthylène',
    'méthylènes',
    'méticuleuse',
    'méticuleuses',
    'méticuleux',
    'méticulosité',
    'métier',
    'métiers',
    'métis',
    'métissa',
    'métissage',
    'métissages',
    'métissai',
    'métissaient',
    'métissais',
    'métissait',
    'métissant',
    'métissas',
    'métissasse',
    'métissassent',
    'métissasses',
    'métissassiez',
    'métisse',
    'métissent',
    'métisser',
    'métissera',
    'métisserai',
    'métisserais',
    'métisserait',
    'métisseras',
    'métisserez',
    'métisseriez',
    'métisserions',
    'métisserons',
    'métisseront',
    'métisses',
    'métissez',
    'métissiez',
    'métissions',
    'métissons',
    'métissâmes',
    'métissât',
    'métissâtes',
    'métissèrent',
    'métissé',
    'métissée',
    'métissées',
    'métissés',
    'métonymie',
    'métonymies',
    'métonymique',
    'métonymiques',
    'métope',
    'métopes',
    'métra',
    'métrage',
    'métrages',
    'métrai',
    'métraient',
    'métrais',
    'métrait',
    'métrant',
    'métras',
    'métrasse',
    'métrassent',
    'métrasses',
    'métrassiez',
    'métrassions',
    'métrer',
    'métrera',
    'métrerai',
    'métreraient',
    'métrerais',
    'métrerait',
    'métreras',
    'métrerez',
    'métreriez',
    'métrerions',
    'métrerons',
    'métreront',
    'métreur',
    'métreurs',
    'métreuse',
    'métreuses',
    'métrez',
    'métricien',
    'métricienne',
    'métriciennes',
    'métriciens',
    'métriez',
    'métrions',
    'métrique',
    'métriques',
    'métrite',
    'métrites',
    'métro',
    'métrologique',
    'métromanie',
    'métromanies',
    'métronome',
    'métronomes',
    'métrons',
    'métropole',
    'métropoles',
    'métropolite',
    'métropolites',
    'métrorragie',
    'métrorragies',
    'métros',
    'métrâmes',
    'métrât',
    'métrâtes',
    'métrèrent',
    'métré',
    'métrée',
    'métrées',
    'métrés',
    'métèque',
    'métèques',
    'météo',
    'météore',
    'météores',
    'météorique',
    'météoriques',
    'météorisa',
    'météorisai',
    'météorisais',
    'météorisait',
    'météorisant',
    'météorisas',
    'météorisasse',
    'météorise',
    'météorisent',
    'météoriser',
    'météorisera',
    'météoriserai',
    'météoriseras',
    'météoriserez',
    'météorises',
    'météorisez',
    'météorisiez',
    'météorisions',
    'météorisons',
    'météorisâmes',
    'météorisât',
    'météorisâtes',
    'météorisé',
    'météorisée',
    'météorisées',
    'météorisés',
    'météorite',
    'météorites',
    'météorologie',
    'météorologue',
    'mévend',
    'mévendaient',
    'mévendais',
    'mévendait',
    'mévendant',
    'mévende',
    'mévendent',
    'mévendes',
    'mévendez',
    'mévendiez',
    'mévendions',
    'mévendirent',
    'mévendis',
    'mévendisse',
    'mévendissent',
    'mévendisses',
    'mévendissiez',
    'mévendit',
    'mévendons',
    'mévendra',
    'mévendrai',
    'mévendraient',
    'mévendrais',
    'mévendrait',
    'mévendras',
    'mévendre',
    'mévendrez',
    'mévendriez',
    'mévendrions',
    'mévendrons',
    'mévendront',
    'mévends',
    'mévendu',
    'mévendue',
    'mévendues',
    'mévendus',
    'mévendîmes',
    'mévendît',
    'mévendîtes',
    'mévente',
    'méventes',
    'mézail',
    'mézails',
    'mézigue',
    'mézigues',
    'mêla',
    'mêlai',
    'mêlaient',
    'mêlais',
    'mêlait',
    'mêlant',
    'mêlas',
    'mêlasse',
    'mêlassent',
    'mêlasses',
    'mêlassiez',
    'mêlassions',
    'mêle',
    'mêlent',
    'mêler',
    'mêlera',
    'mêlerai',
    'mêleraient',
    'mêlerais',
    'mêlerait',
    'mêleras',
    'mêlerez',
    'mêleriez',
    'mêlerions',
    'mêlerons',
    'mêleront',
    'mêles',
    'mêlez',
    'mêliez',
    'mêlions',
    'mêlons',
    'mêlâmes',
    'mêlât',
    'mêlâtes',
    'mêlèrent',
    'mêlé',
    'mêlée',
    'mêlées',
    'mêlés',
    'même',
    'mêmement',
    'mêmes',
    'mîmes',
    'mîtes',
    'môle',
    'môles',
    'môme',
    'mômes',
    'mûmes',
    'mûre',
    'mûrement',
    'mûres',
    'mûri',
    'mûrie',
    'mûrier',
    'mûriers',
    'mûries',
    'mûrir',
    'mûrira',
    'mûrirai',
    'mûriraient',
    'mûrirais',
    'mûrirait',
    'mûriras',
    'mûrirent',
    'mûrirez',
    'mûririez',
    'mûririons',
    'mûrirons',
    'mûriront',
    'mûris',
    'mûrissage',
    'mûrissages',
    'mûrissaient',
    'mûrissais',
    'mûrissait',
    'mûrissant',
    'mûrissante',
    'mûrissantes',
    'mûrissants',
    'mûrisse',
    'mûrissement',
    'mûrissements',
    'mûrissent',
    'mûrisserie',
    'mûrisseries',
    'mûrisses',
    'mûrissez',
    'mûrissiez',
    'mûrissions',
    'mûrissons',
    'mûrit',
    'mûrs',
    'mûrîmes',
    'mûrît',
    'mûrîtes',
    'mûtes',
    'moeurs',
    'nabab',
    'nababs',
    'nabot',
    'nabote',
    'nabotes',
    'nabots',
    'nacarat',
    'nacarats',
    'nacelle',
    'nacelles',
    'nacra',
    'nacrai',
    'nacraient',
    'nacrais',
    'nacrait',
    'nacrant',
    'nacras',
    'nacrasse',
    'nacrassent',
    'nacrasses',
    'nacrassiez',
    'nacrassions',
    'nacre',
    'nacrent',
    'nacrer',
    'nacrera',
    'nacrerai',
    'nacreraient',
    'nacrerais',
    'nacrerait',
    'nacreras',
    'nacrerez',
    'nacreriez',
    'nacrerions',
    'nacrerons',
    'nacreront',
    'nacres',
    'nacrez',
    'nacriez',
    'nacrions',
    'nacrons',
    'nacrâmes',
    'nacrât',
    'nacrâtes',
    'nacrèrent',
    'nacré',
    'nacrée',
    'nacrées',
    'nacrés',
    'nadir',
    'nadirs',
    'naevus',
    'nafé',
    'nafés',
    'nagaïka',
    'nagaïkas',
    'nage',
    'nagea',
    'nageai',
    'nageaient',
    'nageais',
    'nageait',
    'nageant',
    'nageas',
    'nageasse',
    'nageassent',
    'nageasses',
    'nageassiez',
    'nageassions',
    'nagent',
    'nageoire',
    'nageoires',
    'nageons',
    'nager',
    'nagera',
    'nagerai',
    'nageraient',
    'nagerais',
    'nagerait',
    'nageras',
    'nagerez',
    'nageriez',
    'nagerions',
    'nagerons',
    'nageront',
    'nages',
    'nageur',
    'nageurs',
    'nageuse',
    'nageuses',
    'nagez',
    'nageâmes',
    'nageât',
    'nageâtes',
    'nagiez',
    'nagions',
    'naguère',
    'nagèrent',
    'nagé',
    'nagée',
    'nagées',
    'nagés',
    'nahaïka',
    'nahaïkas',
    'nain',
    'naine',
    'naines',
    'nains',
    'nais',
    'naissaient',
    'naissain',
    'naissains',
    'naissais',
    'naissait',
    'naissance',
    'naissances',
    'naissant',
    'naissante',
    'naissantes',
    'naissants',
    'naisse',
    'naissent',
    'naisses',
    'naissez',
    'naissiez',
    'naissions',
    'naissons',
    'naja',
    'najas',
    'nana',
    'nanan',
    'nanar',
    'nanars',
    'nanas',
    'nandou',
    'nandous',
    'nanisme',
    'nanismes',
    'nankin',
    'nankins',
    'nansouk',
    'nansouks',
    'nanti',
    'nantie',
    'nanties',
    'nantir',
    'nantira',
    'nantirai',
    'nantiraient',
    'nantirais',
    'nantirait',
    'nantiras',
    'nantirent',
    'nantirez',
    'nantiriez',
    'nantirions',
    'nantirons',
    'nantiront',
    'nantis',
    'nantissable',
    'nantissables',
    'nantissaient',
    'nantissais',
    'nantissait',
    'nantissant',
    'nantisse',
    'nantissement',
    'nantissent',
    'nantisses',
    'nantissez',
    'nantissiez',
    'nantissions',
    'nantissons',
    'nantit',
    'nantîmes',
    'nantît',
    'nantîtes',
    'nanzouk',
    'nanzouks',
    'naos',
    'napalm',
    'napalms',
    'napel',
    'napels',
    'naphtaline',
    'naphtalines',
    'naphtalène',
    'naphtalènes',
    'naphte',
    'naphtes',
    'naphtol',
    'naphtols',
    'napolitain',
    'napolitaine',
    'napolitaines',
    'napolitains',
    'napoléon',
    'napoléonien',
    'napoléoniens',
    'napoléons',
    'nappa',
    'nappage',
    'nappages',
    'nappai',
    'nappaient',
    'nappais',
    'nappait',
    'nappant',
    'nappas',
    'nappasse',
    'nappassent',
    'nappasses',
    'nappassiez',
    'nappassions',
    'nappe',
    'nappent',
    'napper',
    'nappera',
    'napperai',
    'napperaient',
    'napperais',
    'napperait',
    'napperas',
    'napperez',
    'napperiez',
    'napperions',
    'napperon',
    'napperons',
    'napperont',
    'nappes',
    'nappez',
    'nappiez',
    'nappions',
    'nappons',
    'nappâmes',
    'nappât',
    'nappâtes',
    'nappèrent',
    'nappé',
    'nappée',
    'nappées',
    'nappés',
    'napée',
    'napées',
    'naquirent',
    'naquis',
    'naquisse',
    'naquissent',
    'naquisses',
    'naquissiez',
    'naquissions',
    'naquit',
    'naquîmes',
    'naquît',
    'naquîtes',
    'narcisse',
    'narcisses',
    'narcissique',
    'narcissiques',
    'narcissisme',
    'narcissismes',
    'narcolepsie',
    'narcolepsies',
    'narcose',
    'narcoses',
    'narcotine',
    'narcotines',
    'narcotique',
    'narcotiques',
    'narcéine',
    'narcéines',
    'nard',
    'nards',
    'narghileh',
    'narghilehs',
    'narghilé',
    'narghilés',
    'nargua',
    'narguai',
    'narguaient',
    'narguais',
    'narguait',
    'narguant',
    'narguas',
    'narguasse',
    'narguassent',
    'narguasses',
    'narguassiez',
    'narguassions',
    'nargue',
    'narguent',
    'narguer',
    'narguera',
    'narguerai',
    'nargueraient',
    'narguerais',
    'narguerait',
    'nargueras',
    'narguerez',
    'nargueriez',
    'narguerions',
    'narguerons',
    'nargueront',
    'nargues',
    'narguez',
    'narguiez',
    'narguilé',
    'narguilés',
    'narguions',
    'narguons',
    'narguâmes',
    'narguât',
    'narguâtes',
    'narguèrent',
    'nargué',
    'narguée',
    'narguées',
    'nargués',
    'narine',
    'narines',
    'narquois',
    'narquoise',
    'narquoises',
    'narra',
    'narrai',
    'narraient',
    'narrais',
    'narrait',
    'narrant',
    'narras',
    'narrasse',
    'narrassent',
    'narrasses',
    'narrassiez',
    'narrassions',
    'narrateur',
    'narrateurs',
    'narratif',
    'narratifs',
    'narration',
    'narrations',
    'narrative',
    'narratives',
    'narratrice',
    'narratrices',
    'narre',
    'narrent',
    'narrer',
    'narrera',
    'narrerai',
    'narreraient',
    'narrerais',
    'narrerait',
    'narreras',
    'narrerez',
    'narreriez',
    'narrerions',
    'narrerons',
    'narreront',
    'narres',
    'narrez',
    'narriez',
    'narrions',
    'narrons',
    'narrâmes',
    'narrât',
    'narrâtes',
    'narrèrent',
    'narré',
    'narrée',
    'narrées',
    'narrés',
    'narthex',
    'narval',
    'narvals',
    'nasal',
    'nasale',
    'nasales',
    'nasalisa',
    'nasalisai',
    'nasalisaient',
    'nasalisais',
    'nasalisait',
    'nasalisant',
    'nasalisas',
    'nasalisasse',
    'nasalisasses',
    'nasalisation',
    'nasalise',
    'nasalisent',
    'nasaliser',
    'nasalisera',
    'nasaliserai',
    'nasaliserais',
    'nasaliserait',
    'nasaliseras',
    'nasaliserez',
    'nasaliseriez',
    'nasaliserons',
    'nasaliseront',
    'nasalises',
    'nasalisez',
    'nasalisiez',
    'nasalisions',
    'nasalisons',
    'nasalisâmes',
    'nasalisât',
    'nasalisâtes',
    'nasalisèrent',
    'nasalisé',
    'nasalisée',
    'nasalisées',
    'nasalisés',
    'nasalité',
    'nasalités',
    'nasard',
    'nasarde',
    'nasardes',
    'nasards',
    'nasaux',
    'nase',
    'naseau',
    'naseaux',
    'nases',
    'nasgrow',
    'nasilla',
    'nasillai',
    'nasillaient',
    'nasillais',
    'nasillait',
    'nasillant',
    'nasillante',
    'nasillantes',
    'nasillants',
    'nasillard',
    'nasillarde',
    'nasillardes',
    'nasillards',
    'nasillas',
    'nasillasse',
    'nasillassent',
    'nasillasses',
    'nasillassiez',
    'nasille',
    'nasillement',
    'nasillements',
    'nasillent',
    'nasiller',
    'nasillera',
    'nasillerai',
    'nasillerais',
    'nasillerait',
    'nasilleras',
    'nasillerez',
    'nasilleriez',
    'nasillerions',
    'nasillerons',
    'nasilleront',
    'nasilles',
    'nasilleur',
    'nasilleurs',
    'nasilleuse',
    'nasilleuses',
    'nasillez',
    'nasilliez',
    'nasillions',
    'nasillons',
    'nasillâmes',
    'nasillât',
    'nasillâtes',
    'nasillèrent',
    'nasillé',
    'nasillée',
    'nasillées',
    'nasillés',
    'nasique',
    'nasiques',
    'nasitort',
    'nasitorts',
    'nasonnement',
    'nasonnements',
    'nasse',
    'nasses',
    'natal',
    'natale',
    'natales',
    'nataliste',
    'natalistes',
    'natalité',
    'natalités',
    'natals',
    'natation',
    'natations',
    'natatoire',
    'natatoires',
    'natice',
    'natices',
    'natif',
    'natifs',
    'nation',
    'national',
    'nationale',
    'nationales',
    'nationalisa',
    'nationalisai',
    'nationalisas',
    'nationalise',
    'nationaliser',
    'nationalises',
    'nationalisez',
    'nationalisme',
    'nationaliste',
    'nationalisât',
    'nationalisé',
    'nationalisée',
    'nationalisés',
    'nationalité',
    'nationalités',
    'nationaux',
    'nations',
    'native',
    'nativement',
    'natives',
    'nativisme',
    'nativismes',
    'nativiste',
    'nativistes',
    'nativité',
    'nativités',
    'natron',
    'natrons',
    'natrum',
    'natrums',
    'natta',
    'nattage',
    'nattages',
    'nattai',
    'nattaient',
    'nattais',
    'nattait',
    'nattant',
    'nattas',
    'nattasse',
    'nattassent',
    'nattasses',
    'nattassiez',
    'nattassions',
    'natte',
    'nattent',
    'natter',
    'nattera',
    'natterai',
    'natteraient',
    'natterais',
    'natterait',
    'natteras',
    'natterez',
    'natteriez',
    'natterions',
    'natterons',
    'natteront',
    'nattes',
    'nattez',
    'nattier',
    'nattiers',
    'nattiez',
    'nattions',
    'nattière',
    'nattières',
    'nattons',
    'nattâmes',
    'nattât',
    'nattâtes',
    'nattèrent',
    'natté',
    'nattée',
    'nattées',
    'nattés',
    'naturalisa',
    'naturalisai',
    'naturalisais',
    'naturalisait',
    'naturalisant',
    'naturalisas',
    'naturalise',
    'naturalisent',
    'naturaliser',
    'naturalisera',
    'naturalises',
    'naturalisez',
    'naturalisiez',
    'naturalisme',
    'naturalismes',
    'naturalisons',
    'naturaliste',
    'naturalistes',
    'naturalisât',
    'naturalisé',
    'naturalisée',
    'naturalisées',
    'naturalisés',
    'nature',
    'naturel',
    'naturelle',
    'naturelles',
    'naturels',
    'natures',
    'naturisme',
    'naturismes',
    'naturiste',
    'naturistes',
    'naucore',
    'naucores',
    'naufrage',
    'naufragea',
    'naufrageai',
    'naufrageais',
    'naufrageait',
    'naufrageant',
    'naufrageas',
    'naufrageasse',
    'naufragent',
    'naufrageons',
    'naufrager',
    'naufragera',
    'naufragerai',
    'naufragerais',
    'naufragerait',
    'naufrageras',
    'naufragerez',
    'naufrageriez',
    'naufragerons',
    'naufrageront',
    'naufrages',
    'naufrageur',
    'naufrageurs',
    'naufrageuse',
    'naufrageuses',
    'naufragez',
    'naufrageâmes',
    'naufrageât',
    'naufrageâtes',
    'naufragiez',
    'naufragions',
    'naufragèrent',
    'naufragé',
    'naufragée',
    'naufragées',
    'naufragés',
    'naumachie',
    'naumachies',
    'naupathie',
    'naupathies',
    'nauplius',
    'nauséabond',
    'nauséabonde',
    'nauséabondes',
    'nauséabonds',
    'nausée',
    'nausées',
    'nauséeuse',
    'nauséeuses',
    'nauséeux',
    'nautile',
    'nautiles',
    'nautique',
    'nautiques',
    'nautisme',
    'nautismes',
    'nautonier',
    'nautoniers',
    'nautonière',
    'nautonières',
    'navaja',
    'navajas',
    'naval',
    'navale',
    'navales',
    'navalisation',
    'navals',
    'navarin',
    'navarins',
    'navarque',
    'navarques',
    'navaux',
    'navet',
    'navets',
    'navette',
    'navettes',
    'navetteur',
    'navetteurs',
    'navetteuse',
    'navetteuses',
    'navicert',
    'naviculaire',
    'naviculaires',
    'navicule',
    'navicules',
    'navier',
    'navigabilité',
    'navigable',
    'navigables',
    'navigant',
    'navigante',
    'navigantes',
    'navigants',
    'navigateur',
    'navigateurs',
    'navigation',
    'navigations',
    'navigatrice',
    'navigatrices',
    'navigua',
    'naviguai',
    'naviguaient',
    'naviguais',
    'naviguait',
    'naviguant',
    'naviguante',
    'naviguantes',
    'naviguants',
    'naviguas',
    'naviguasse',
    'naviguassent',
    'naviguasses',
    'naviguassiez',
    'navigue',
    'naviguent',
    'naviguer',
    'naviguera',
    'naviguerai',
    'naviguerais',
    'naviguerait',
    'navigueras',
    'naviguerez',
    'navigueriez',
    'naviguerions',
    'naviguerons',
    'navigueront',
    'navigues',
    'naviguez',
    'naviguiez',
    'naviguions',
    'naviguons',
    'naviguâmes',
    'naviguât',
    'naviguâtes',
    'naviguèrent',
    'navigué',
    'naviplane',
    'naviplanes',
    'navire',
    'navires',
    'navisphère',
    'navisphères',
    'navra',
    'navrai',
    'navraient',
    'navrais',
    'navrait',
    'navrant',
    'navrante',
    'navrantes',
    'navrants',
    'navras',
    'navrasse',
    'navrassent',
    'navrasses',
    'navrassiez',
    'navrassions',
    'navre',
    'navrement',
    'navrements',
    'navrent',
    'navrer',
    'navrera',
    'navrerai',
    'navreraient',
    'navrerais',
    'navrerait',
    'navreras',
    'navrerez',
    'navreriez',
    'navrerions',
    'navrerons',
    'navreront',
    'navres',
    'navrez',
    'navriez',
    'navrions',
    'navrons',
    'navrâmes',
    'navrât',
    'navrâtes',
    'navrèrent',
    'navré',
    'navrée',
    'navrées',
    'navrés',
    'nazaréen',
    'nazaréenne',
    'nazaréennes',
    'nazaréens',
    'nazi',
    'nazie',
    'nazies',
    'nazis',
    'nazisme',
    'nazismes',
    'naît',
    'naîtra',
    'naîtrai',
    'naîtraient',
    'naîtrais',
    'naîtrait',
    'naîtras',
    'naître',
    'naîtrez',
    'naîtriez',
    'naîtrions',
    'naîtrons',
    'naîtront',
    'naïade',
    'naïades',
    'naïf',
    'naïfs',
    'naïve',
    'naïvement',
    'naïves',
    'naïveté',
    'naïvetés',
    'nebka',
    'nebkas',
    'neck',
    'necks',
    'nectaire',
    'nectaires',
    'nectar',
    'nectarine',
    'nectarines',
    'nectars',
    'nefs',
    'negro',
    'neige',
    'neigea',
    'neigeait',
    'neigeant',
    'neiger',
    'neigera',
    'neigerait',
    'neiges',
    'neigeuse',
    'neigeuses',
    'neigeux',
    'neigeât',
    'neigèrent',
    'neigé',
    'nenni',
    'neptunium',
    'neptuniums',
    'nerf',
    'nerfs',
    'nerprun',
    'nerpruns',
    'nervation',
    'nervations',
    'nerveuse',
    'nerveusement',
    'nerveuses',
    'nerveux',
    'nervi',
    'nervin',
    'nervins',
    'nervis',
    'nervosité',
    'nervosités',
    'nervura',
    'nervurai',
    'nervuraient',
    'nervurais',
    'nervurait',
    'nervurant',
    'nervuras',
    'nervurasse',
    'nervurassent',
    'nervurasses',
    'nervurassiez',
    'nervure',
    'nervurent',
    'nervurer',
    'nervurera',
    'nervurerai',
    'nervurerais',
    'nervurerait',
    'nervureras',
    'nervurerez',
    'nervureriez',
    'nervurerions',
    'nervurerons',
    'nervureront',
    'nervures',
    'nervurez',
    'nervuriez',
    'nervurions',
    'nervurons',
    'nervurâmes',
    'nervurât',
    'nervurâtes',
    'nervurèrent',
    'nervuré',
    'nervurée',
    'nervurées',
    'nervurés',
    'nescafé',
    'nescafés',
    'nestorien',
    'nestorienne',
    'nestoriennes',
    'nestoriens',
    'nets',
    'nette',
    'nettement',
    'nettes',
    'netteté',
    'nettetés',
    'nettoie',
    'nettoiement',
    'nettoiements',
    'nettoient',
    'nettoiera',
    'nettoierai',
    'nettoierais',
    'nettoierait',
    'nettoieras',
    'nettoierez',
    'nettoieriez',
    'nettoierions',
    'nettoierons',
    'nettoieront',
    'nettoies',
    'nettoya',
    'nettoyage',
    'nettoyages',
    'nettoyai',
    'nettoyaient',
    'nettoyais',
    'nettoyait',
    'nettoyant',
    'nettoyante',
    'nettoyantes',
    'nettoyants',
    'nettoyas',
    'nettoyasse',
    'nettoyassent',
    'nettoyasses',
    'nettoyassiez',
    'nettoyer',
    'nettoyeur',
    'nettoyeurs',
    'nettoyeuse',
    'nettoyeuses',
    'nettoyez',
    'nettoyiez',
    'nettoyions',
    'nettoyons',
    'nettoyâmes',
    'nettoyât',
    'nettoyâtes',
    'nettoyèrent',
    'nettoyé',
    'nettoyée',
    'nettoyées',
    'nettoyés',
    'neuf',
    'neufs',
    'neumann',
    'neume',
    'neumes',
    'neural',
    'neurale',
    'neurales',
    'neurasthénie',
    'neuraux',
    'neuro',
    'neuroblaste',
    'neuroblastes',
    'neurochimie',
    'neurologie',
    'neurologies',
    'neurologique',
    'neurologiste',
    'neurologue',
    'neurologues',
    'neuronal',
    'neuronale',
    'neuronales',
    'neuronaux',
    'neurone',
    'neurones',
    'neuronique',
    'neuroniques',
    'neuropathies',
    'neurotrope',
    'neurotropes',
    'neurula',
    'neurulas',
    'neutralisa',
    'neutralisai',
    'neutralisais',
    'neutralisait',
    'neutralisant',
    'neutralisas',
    'neutralise',
    'neutralisent',
    'neutraliser',
    'neutralisera',
    'neutralises',
    'neutralisez',
    'neutralisiez',
    'neutralisme',
    'neutralismes',
    'neutralisons',
    'neutraliste',
    'neutralistes',
    'neutralisât',
    'neutralisé',
    'neutralisée',
    'neutralisées',
    'neutralisés',
    'neutralité',
    'neutralités',
    'neutre',
    'neutres',
    'neutrino',
    'neutrinos',
    'neutron',
    'neutronique',
    'neutroniques',
    'neutrons',
    'neutrophile',
    'neutrophiles',
    'neuvaine',
    'neuvaines',
    'neuve',
    'neuves',
    'neuvième',
    'neuvièmement',
    'neuvièmes',
    'neveu',
    'neveux',
    'niable',
    'niables',
    'niai',
    'niaient',
    'niais',
    'niaisa',
    'niaisai',
    'niaisaient',
    'niaisais',
    'niaisait',
    'niaisant',
    'niaisas',
    'niaisasse',
    'niaisassent',
    'niaisasses',
    'niaisassiez',
    'niaisassions',
    'niaise',
    'niaisement',
    'niaisent',
    'niaiser',
    'niaisera',
    'niaiserai',
    'niaiseraient',
    'niaiserais',
    'niaiserait',
    'niaiseras',
    'niaiserez',
    'niaiserie',
    'niaiseries',
    'niaiseriez',
    'niaiserions',
    'niaiserons',
    'niaiseront',
    'niaises',
    'niaisez',
    'niaisiez',
    'niaisions',
    'niaisons',
    'niaisâmes',
    'niaisât',
    'niaisâtes',
    'niaisèrent',
    'niaisé',
    'niait',
    'niant',
    'niaouli',
    'niaoulis',
    'nias',
    'niasse',
    'niassent',
    'niasses',
    'niassiez',
    'niassions',
    'nicha',
    'nichai',
    'nichaient',
    'nichais',
    'nichait',
    'nichant',
    'nichas',
    'nichasse',
    'nichassent',
    'nichasses',
    'nichassiez',
    'nichassions',
    'niche',
    'nichent',
    'nicher',
    'nichera',
    'nicherai',
    'nicheraient',
    'nicherais',
    'nicherait',
    'nicheras',
    'nicherez',
    'nicheriez',
    'nicherions',
    'nicherons',
    'nicheront',
    'niches',
    'nichet',
    'nichets',
    'nichez',
    'nichiez',
    'nichions',
    'nichoir',
    'nichoirs',
    'nichon',
    'nichons',
    'nichrome',
    'nichromes',
    'nichâmes',
    'nichât',
    'nichâtes',
    'nichèrent',
    'niché',
    'nichée',
    'nichées',
    'nichés',
    'nickel',
    'nickela',
    'nickelage',
    'nickelages',
    'nickelai',
    'nickelaient',
    'nickelais',
    'nickelait',
    'nickelant',
    'nickelas',
    'nickelasse',
    'nickelassent',
    'nickelasses',
    'nickelassiez',
    'nickeler',
    'nickelez',
    'nickeliez',
    'nickelions',
    'nickelle',
    'nickellent',
    'nickellera',
    'nickellerai',
    'nickellerais',
    'nickellerait',
    'nickelleras',
    'nickellerez',
    'nickelleriez',
    'nickellerons',
    'nickelleront',
    'nickelles',
    'nickelons',
    'nickels',
    'nickelâmes',
    'nickelât',
    'nickelâtes',
    'nickelèrent',
    'nickelé',
    'nickelée',
    'nickelées',
    'nickelés',
    'nickélifère',
    'nickélifères',
    'nicodème',
    'nicodèmes',
    'nicol',
    'nicols',
    'nicotine',
    'nicotines',
    'nicotinique',
    'nicotiniques',
    'nicotinisa',
    'nicotinisai',
    'nicotinisais',
    'nicotinisait',
    'nicotinisant',
    'nicotinisas',
    'nicotinise',
    'nicotinisent',
    'nicotiniser',
    'nicotinisera',
    'nicotinises',
    'nicotinisez',
    'nicotinisiez',
    'nicotinisme',
    'nicotinismes',
    'nicotinisons',
    'nicotinisât',
    'nicotinisé',
    'nicotinisée',
    'nicotinisées',
    'nicotinisés',
    'nictation',
    'nictations',
    'nictitant',
    'nictitante',
    'nictitantes',
    'nictitants',
    'nictitation',
    'nictitations',
    'nidation',
    'nidations',
    'nidifia',
    'nidifiai',
    'nidifiaient',
    'nidifiais',
    'nidifiait',
    'nidifiant',
    'nidifias',
    'nidifiasse',
    'nidifiassent',
    'nidifiasses',
    'nidifiassiez',
    'nidification',
    'nidifie',
    'nidifient',
    'nidifier',
    'nidifiera',
    'nidifierai',
    'nidifierais',
    'nidifierait',
    'nidifieras',
    'nidifierez',
    'nidifieriez',
    'nidifierions',
    'nidifierons',
    'nidifieront',
    'nidifies',
    'nidifiez',
    'nidifiiez',
    'nidifiions',
    'nidifions',
    'nidifiâmes',
    'nidifiât',
    'nidifiâtes',
    'nidifièrent',
    'nidifié',
    'nids',
    'niella',
    'niellage',
    'niellages',
    'niellai',
    'niellaient',
    'niellais',
    'niellait',
    'niellant',
    'niellas',
    'niellasse',
    'niellassent',
    'niellasses',
    'niellassiez',
    'niellassions',
    'nielle',
    'niellent',
    'nieller',
    'niellera',
    'niellerai',
    'nielleraient',
    'niellerais',
    'niellerait',
    'nielleras',
    'niellerez',
    'nielleriez',
    'niellerions',
    'niellerons',
    'nielleront',
    'nielles',
    'nielleur',
    'nielleurs',
    'niellez',
    'nielliez',
    'niellions',
    'niellons',
    'niellure',
    'niellures',
    'niellâmes',
    'niellât',
    'niellâtes',
    'niellèrent',
    'niellé',
    'niellée',
    'niellées',
    'niellés',
    'nient',
    'nier',
    'niera',
    'nierai',
    'nieraient',
    'nierais',
    'nierait',
    'nieras',
    'nierez',
    'nieriez',
    'nierions',
    'nierons',
    'nieront',
    'nies',
    'nietzschéen',
    'nietzschéens',
    'niez',
    'nife',
    'nifes',
    'nifs',
    'nigaud',
    'nigaude',
    'nigauderie',
    'nigauderies',
    'nigaudes',
    'nigauds',
    'nigelle',
    'nigelles',
    'nihilisme',
    'nihilismes',
    'nihiliste',
    'nihilistes',
    'niiez',
    'niions',
    'nilgaut',
    'nilgauts',
    'nille',
    'nilles',
    'nilotique',
    'nilotiques',
    'nimba',
    'nimbai',
    'nimbaient',
    'nimbais',
    'nimbait',
    'nimbant',
    'nimbas',
    'nimbasse',
    'nimbassent',
    'nimbasses',
    'nimbassiez',
    'nimbassions',
    'nimbe',
    'nimbent',
    'nimber',
    'nimbera',
    'nimberai',
    'nimberaient',
    'nimberais',
    'nimberait',
    'nimberas',
    'nimberez',
    'nimberiez',
    'nimberions',
    'nimberons',
    'nimberont',
    'nimbes',
    'nimbez',
    'nimbiez',
    'nimbions',
    'nimbons',
    'nimbus',
    'nimbâmes',
    'nimbât',
    'nimbâtes',
    'nimbèrent',
    'nimbé',
    'nimbée',
    'nimbées',
    'nimbés',
    'ninas',
    'niobium',
    'niobiums',
    'nions',
    'nippa',
    'nippai',
    'nippaient',
    'nippais',
    'nippait',
    'nippant',
    'nippas',
    'nippasse',
    'nippassent',
    'nippasses',
    'nippassiez',
    'nippassions',
    'nippe',
    'nippent',
    'nipper',
    'nippera',
    'nipperai',
    'nipperaient',
    'nipperais',
    'nipperait',
    'nipperas',
    'nipperez',
    'nipperiez',
    'nipperions',
    'nipperons',
    'nipperont',
    'nippes',
    'nippez',
    'nippiez',
    'nippions',
    'nippone',
    'nippones',
    'nipponne',
    'nipponnes',
    'nippons',
    'nippâmes',
    'nippât',
    'nippâtes',
    'nippèrent',
    'nippé',
    'nippée',
    'nippées',
    'nippés',
    'nique',
    'niquedouille',
    'niques',
    'nirvana',
    'nirvanas',
    'nitescence',
    'nitescences',
    'nitouche',
    'nitouches',
    'nitra',
    'nitrai',
    'nitraient',
    'nitrais',
    'nitrait',
    'nitrant',
    'nitras',
    'nitrasse',
    'nitrassent',
    'nitrasses',
    'nitrassiez',
    'nitrassions',
    'nitrata',
    'nitratai',
    'nitrataient',
    'nitratais',
    'nitratait',
    'nitratant',
    'nitratas',
    'nitratasse',
    'nitratassent',
    'nitratasses',
    'nitratassiez',
    'nitratation',
    'nitratations',
    'nitrate',
    'nitratent',
    'nitrater',
    'nitratera',
    'nitraterai',
    'nitraterais',
    'nitraterait',
    'nitrateras',
    'nitraterez',
    'nitrateriez',
    'nitraterions',
    'nitraterons',
    'nitrateront',
    'nitrates',
    'nitratez',
    'nitratiez',
    'nitration',
    'nitrations',
    'nitratons',
    'nitratâmes',
    'nitratât',
    'nitratâtes',
    'nitratèrent',
    'nitraté',
    'nitratée',
    'nitratées',
    'nitratés',
    'nitre',
    'nitrent',
    'nitrer',
    'nitrera',
    'nitrerai',
    'nitreraient',
    'nitrerais',
    'nitrerait',
    'nitreras',
    'nitrerez',
    'nitreriez',
    'nitrerions',
    'nitrerons',
    'nitreront',
    'nitres',
    'nitreuse',
    'nitreuses',
    'nitreux',
    'nitrez',
    'nitriez',
    'nitrifia',
    'nitrifiai',
    'nitrifiaient',
    'nitrifiais',
    'nitrifiait',
    'nitrifiant',
    'nitrifias',
    'nitrifiasse',
    'nitrifiasses',
    'nitrifie',
    'nitrifient',
    'nitrifier',
    'nitrifiera',
    'nitrifierai',
    'nitrifierais',
    'nitrifierait',
    'nitrifieras',
    'nitrifierez',
    'nitrifieriez',
    'nitrifierons',
    'nitrifieront',
    'nitrifies',
    'nitrifiez',
    'nitrifiiez',
    'nitrifiions',
    'nitrifions',
    'nitrifiâmes',
    'nitrifiât',
    'nitrifiâtes',
    'nitrifièrent',
    'nitrifié',
    'nitrifiée',
    'nitrifiées',
    'nitrifiés',
    'nitrile',
    'nitriles',
    'nitrions',
    'nitrique',
    'nitriques',
    'nitrite',
    'nitrites',
    'nitrière',
    'nitrières',
    'nitrobenzine',
    'nitrobenzène',
    'nitrons',
    'nitrophile',
    'nitrophiles',
    'nitrosation',
    'nitrosations',
    'nitrotoluène',
    'nitrura',
    'nitrurai',
    'nitruraient',
    'nitrurais',
    'nitrurait',
    'nitrurant',
    'nitruras',
    'nitrurasse',
    'nitrurassent',
    'nitrurasses',
    'nitrurassiez',
    'nitruration',
    'nitrurations',
    'nitrure',
    'nitrurent',
    'nitrurer',
    'nitrurera',
    'nitrurerai',
    'nitrurerais',
    'nitrurerait',
    'nitrureras',
    'nitrurerez',
    'nitrureriez',
    'nitrurerions',
    'nitrurerons',
    'nitrureront',
    'nitrures',
    'nitrurez',
    'nitruriez',
    'nitrurions',
    'nitrurons',
    'nitrurâmes',
    'nitrurât',
    'nitrurâtes',
    'nitrurèrent',
    'nitruré',
    'nitrurée',
    'nitrurées',
    'nitrurés',
    'nitrâmes',
    'nitrât',
    'nitrâtes',
    'nitrèrent',
    'nitré',
    'nitrée',
    'nitrées',
    'nitrés',
    'nival',
    'nivale',
    'nivales',
    'nivaux',
    'niveau',
    'niveaux',
    'nivela',
    'nivelage',
    'nivelages',
    'nivelai',
    'nivelaient',
    'nivelais',
    'nivelait',
    'nivelant',
    'nivelas',
    'nivelasse',
    'nivelassent',
    'nivelasses',
    'nivelassiez',
    'nivelassions',
    'niveler',
    'nivelette',
    'nivelettes',
    'niveleur',
    'niveleurs',
    'niveleuse',
    'niveleuses',
    'nivelez',
    'niveliez',
    'nivelions',
    'nivelle',
    'nivellement',
    'nivellements',
    'nivellent',
    'nivellera',
    'nivellerai',
    'nivellerais',
    'nivellerait',
    'nivelleras',
    'nivellerez',
    'nivelleriez',
    'nivellerions',
    'nivellerons',
    'nivelleront',
    'nivelles',
    'nivelons',
    'nivelâmes',
    'nivelât',
    'nivelâtes',
    'nivelèrent',
    'nivelé',
    'nivelée',
    'nivelées',
    'nivelés',
    'nivernais',
    'nivernaise',
    'nivernaises',
    'nivéal',
    'nivéale',
    'nivéales',
    'nivéaux',
    'nivéole',
    'nivéoles',
    'nivôse',
    'nixe',
    'nixes',
    'nizeré',
    'nizerés',
    'niâmes',
    'niât',
    'niâtes',
    'nièce',
    'nièces',
    'nième',
    'nièmes',
    'nièrent',
    'niée',
    'niées',
    'niés',
    'niôle',
    'niôles',
    'nobiliaire',
    'nobiliaires',
    'noblaillon',
    'noblaillons',
    'noble',
    'noblement',
    'nobles',
    'noblesse',
    'noblesses',
    'nobliau',
    'nobliaus',
    'noce',
    'noces',
    'noceur',
    'noceurs',
    'noceuse',
    'noceuses',
    'nocher',
    'nochers',
    'nocif',
    'nocifs',
    'nocive',
    'nocives',
    'nocivité',
    'nocivités',
    'noctambule',
    'noctambules',
    'noctiluque',
    'noctiluques',
    'noctuelle',
    'noctuelles',
    'noctule',
    'noctules',
    'nocturne',
    'nocturnes',
    'nocuité',
    'nocuités',
    'nodosité',
    'nodosités',
    'nodulaire',
    'nodulaires',
    'nodule',
    'nodules',
    'noduleuse',
    'noduleuses',
    'noduleux',
    'noeud',
    'noeuds',
    'noie',
    'noient',
    'noiera',
    'noierai',
    'noieraient',
    'noierais',
    'noierait',
    'noieras',
    'noierez',
    'noieriez',
    'noierions',
    'noierons',
    'noieront',
    'noies',
    'noir',
    'noiraud',
    'noiraude',
    'noiraudes',
    'noirauds',
    'noirceur',
    'noirceurs',
    'noirci',
    'noircie',
    'noircies',
    'noircir',
    'noircira',
    'noircirai',
    'noirciraient',
    'noircirais',
    'noircirait',
    'noirciras',
    'noircirent',
    'noircirez',
    'noirciriez',
    'noircirions',
    'noircirons',
    'noirciront',
    'noircis',
    'noircissais',
    'noircissait',
    'noircissant',
    'noircissante',
    'noircissants',
    'noircisse',
    'noircissent',
    'noircisses',
    'noircisseur',
    'noircisseurs',
    'noircissez',
    'noircissiez',
    'noircissions',
    'noircissons',
    'noircissure',
    'noircissures',
    'noircit',
    'noircîmes',
    'noircît',
    'noircîtes',
    'noire',
    'noires',
    'noirs',
    'noirâtre',
    'noirâtres',
    'noise',
    'noiseraie',
    'noiseraies',
    'noises',
    'noisetier',
    'noisetiers',
    'noisette',
    'noisettes',
    'noix',
    'nolis',
    'nolisa',
    'nolisai',
    'nolisaient',
    'nolisais',
    'nolisait',
    'nolisant',
    'nolisas',
    'nolisasse',
    'nolisassent',
    'nolisasses',
    'nolisassiez',
    'nolisassions',
    'nolise',
    'nolisent',
    'noliser',
    'nolisera',
    'noliserai',
    'noliseraient',
    'noliserais',
    'noliserait',
    'noliseras',
    'noliserez',
    'noliseriez',
    'noliserions',
    'noliserons',
    'noliseront',
    'nolises',
    'nolisez',
    'nolisiez',
    'nolisions',
    'nolisons',
    'nolisâmes',
    'nolisât',
    'nolisâtes',
    'nolisèrent',
    'nolisé',
    'nolisée',
    'nolisées',
    'nolisés',
    'nomade',
    'nomades',
    'nomadisa',
    'nomadisai',
    'nomadisaient',
    'nomadisais',
    'nomadisait',
    'nomadisant',
    'nomadisas',
    'nomadisasse',
    'nomadisasses',
    'nomadise',
    'nomadisent',
    'nomadiser',
    'nomadisera',
    'nomadiserai',
    'nomadiserais',
    'nomadiserait',
    'nomadiseras',
    'nomadiserez',
    'nomadiseriez',
    'nomadiserons',
    'nomadiseront',
    'nomadises',
    'nomadisez',
    'nomadisiez',
    'nomadisions',
    'nomadisme',
    'nomadismes',
    'nomadisons',
    'nomadisâmes',
    'nomadisât',
    'nomadisâtes',
    'nomadisèrent',
    'nomadisé',
    'nomadisée',
    'nomadisées',
    'nomadisés',
    'nombra',
    'nombrable',
    'nombrables',
    'nombrai',
    'nombraient',
    'nombrais',
    'nombrait',
    'nombrant',
    'nombras',
    'nombrasse',
    'nombrassent',
    'nombrasses',
    'nombrassiez',
    'nombrassions',
    'nombre',
    'nombrent',
    'nombrer',
    'nombrerai',
    'nombres',
    'nombreuse',
    'nombreuses',
    'nombreux',
    'nombrez',
    'nombriez',
    'nombril',
    'nombrilisme',
    'nombrilismes',
    'nombrils',
    'nombrions',
    'nombrons',
    'nombrâmes',
    'nombrât',
    'nombrâtes',
    'nombrèrent',
    'nombré',
    'nombrée',
    'nombrées',
    'nombrés',
    'nome',
    'nomenclateur',
    'nomenclature',
    'nomes',
    'nominal',
    'nominale',
    'nominalement',
    'nominales',
    'nominalisa',
    'nominalisai',
    'nominalisais',
    'nominalisait',
    'nominalisant',
    'nominalisas',
    'nominalise',
    'nominalisent',
    'nominaliser',
    'nominalisera',
    'nominalises',
    'nominalisez',
    'nominalisiez',
    'nominalisme',
    'nominalismes',
    'nominalisons',
    'nominaliste',
    'nominalistes',
    'nominalisât',
    'nominalisé',
    'nominalisée',
    'nominalisées',
    'nominalisés',
    'nominatif',
    'nominatifs',
    'nomination',
    'nominations',
    'nominative',
    'nominatives',
    'nominaux',
    'nomma',
    'nommai',
    'nommaient',
    'nommais',
    'nommait',
    'nommant',
    'nommas',
    'nommasse',
    'nommassent',
    'nommasses',
    'nommassiez',
    'nommassions',
    'nomme',
    'nomment',
    'nommer',
    'nommera',
    'nommerai',
    'nommeraient',
    'nommerais',
    'nommerait',
    'nommeras',
    'nommerez',
    'nommeriez',
    'nommerions',
    'nommerons',
    'nommeront',
    'nommes',
    'nommez',
    'nommiez',
    'nommions',
    'nommons',
    'nommâmes',
    'nommât',
    'nommâtes',
    'nommèrent',
    'nommé',
    'nommée',
    'nommées',
    'nommément',
    'nommés',
    'nomogramme',
    'nomogrammes',
    'nomographie',
    'nomographies',
    'noms',
    'nonagénaire',
    'nonagénaires',
    'nonante',
    'nonantième',
    'nonantièmes',
    'nonce',
    'nonces',
    'nonchalance',
    'nonchalances',
    'nonchalant',
    'nonchalante',
    'nonchalantes',
    'nonchalants',
    'nonchaloir',
    'nonchaloirs',
    'nonciature',
    'nonciatures',
    'none',
    'nones',
    'nonidi',
    'nonidis',
    'nonne',
    'nonnes',
    'nonnette',
    'nonnettes',
    'nonobstant',
    'nonpareil',
    'nonpareille',
    'nonpareilles',
    'nonpareils',
    'nonupler',
    'noologique',
    'noologiques',
    'nopa',
    'nopai',
    'nopaient',
    'nopais',
    'nopait',
    'nopal',
    'nopals',
    'nopant',
    'nopas',
    'nopasse',
    'nopassent',
    'nopasses',
    'nopassiez',
    'nopassions',
    'nope',
    'nopent',
    'noper',
    'nopera',
    'noperai',
    'noperaient',
    'noperais',
    'noperait',
    'noperas',
    'noperez',
    'noperiez',
    'noperions',
    'noperons',
    'noperont',
    'nopes',
    'nopez',
    'nopiez',
    'nopions',
    'nopons',
    'nopâmes',
    'nopât',
    'nopâtes',
    'nopèrent',
    'nopé',
    'nopée',
    'nopées',
    'nopés',
    'nord',
    'nordi',
    'nordique',
    'nordiques',
    'nordir',
    'nordira',
    'nordirai',
    'nordiraient',
    'nordirais',
    'nordirait',
    'nordiras',
    'nordirent',
    'nordirez',
    'nordiriez',
    'nordirions',
    'nordirons',
    'nordiront',
    'nordis',
    'nordissaient',
    'nordissais',
    'nordissait',
    'nordissant',
    'nordisse',
    'nordissent',
    'nordisses',
    'nordissez',
    'nordissiez',
    'nordissions',
    'nordissons',
    'nordiste',
    'nordistes',
    'nordit',
    'nordîmes',
    'nordît',
    'nordîtes',
    'noria',
    'norias',
    'normal',
    'normale',
    'normalement',
    'normales',
    'normalien',
    'normalienne',
    'normaliennes',
    'normaliens',
    'normalisa',
    'normalisai',
    'normalisais',
    'normalisait',
    'normalisant',
    'normalisante',
    'normalisants',
    'normalisas',
    'normalisasse',
    'normalise',
    'normalisent',
    'normaliser',
    'normalisera',
    'normaliserai',
    'normaliseras',
    'normaliserez',
    'normalises',
    'normalisez',
    'normalisiez',
    'normalisions',
    'normalisons',
    'normalisâmes',
    'normalisât',
    'normalisâtes',
    'normalisé',
    'normalisée',
    'normalisées',
    'normalisés',
    'normand',
    'normande',
    'normandes',
    'normands',
    'normatif',
    'normatifs',
    'normative',
    'normatives',
    'normaux',
    'norme',
    'normes',
    'normé',
    'normée',
    'normées',
    'normés',
    'norois',
    'noroît',
    'noroîts',
    'norrois',
    'norvégien',
    'norvégienne',
    'norvégiennes',
    'norvégiens',
    'nosographie',
    'nosographies',
    'nosologie',
    'nosologies',
    'nostalgie',
    'nostalgies',
    'nostalgique',
    'nostalgiques',
    'nostoc',
    'nostocs',
    'nota',
    'notabilité',
    'notabilités',
    'notable',
    'notablement',
    'notables',
    'notai',
    'notaient',
    'notaire',
    'notaires',
    'notairesse',
    'notairesses',
    'notais',
    'notait',
    'notamment',
    'notant',
    'notarial',
    'notariale',
    'notariales',
    'notariat',
    'notariats',
    'notariaux',
    'notarié',
    'notariée',
    'notariées',
    'notariés',
    'notas',
    'notasse',
    'notassent',
    'notasses',
    'notassiez',
    'notassions',
    'notation',
    'notations',
    'note',
    'notent',
    'noter',
    'notera',
    'noterai',
    'noteraient',
    'noterais',
    'noterait',
    'noteras',
    'noterez',
    'noteriez',
    'noterions',
    'noterons',
    'noteront',
    'notes',
    'notez',
    'notice',
    'notices',
    'notiez',
    'notifia',
    'notifiai',
    'notifiaient',
    'notifiais',
    'notifiait',
    'notifiant',
    'notifias',
    'notifiasse',
    'notifiassent',
    'notifiasses',
    'notifiassiez',
    'notification',
    'notifie',
    'notifient',
    'notifier',
    'notifiera',
    'notifierai',
    'notifierais',
    'notifierait',
    'notifieras',
    'notifierez',
    'notifieriez',
    'notifierions',
    'notifierons',
    'notifieront',
    'notifies',
    'notifiez',
    'notifiiez',
    'notifiions',
    'notifions',
    'notifiâmes',
    'notifiât',
    'notifiâtes',
    'notifièrent',
    'notifié',
    'notifiée',
    'notifiées',
    'notifiés',
    'notion',
    'notionnel',
    'notionnelle',
    'notionnelles',
    'notionnels',
    'notions',
    'notoire',
    'notoirement',
    'notoires',
    'notonecte',
    'notonectes',
    'notons',
    'notoriété',
    'notoriétés',
    'notre',
    'notule',
    'notules',
    'notâmes',
    'notât',
    'notâtes',
    'notèrent',
    'noté',
    'notée',
    'notées',
    'notés',
    'noua',
    'nouai',
    'nouaient',
    'nouais',
    'nouaison',
    'nouaisons',
    'nouait',
    'nouant',
    'nouas',
    'nouasse',
    'nouassent',
    'nouasses',
    'nouassiez',
    'nouassions',
    'nouba',
    'noubas',
    'noue',
    'nouent',
    'nouer',
    'nouera',
    'nouerai',
    'noueraient',
    'nouerais',
    'nouerait',
    'noueras',
    'nouerez',
    'noueriez',
    'nouerions',
    'nouerons',
    'noueront',
    'noues',
    'noueuse',
    'noueuses',
    'noueux',
    'nouez',
    'nougat',
    'nougatine',
    'nougatines',
    'nougats',
    'nouiez',
    'nouille',
    'nouilles',
    'nouions',
    'noulet',
    'noulets',
    'noumène',
    'noumènes',
    'nounou',
    'nounous',
    'nouons',
    'nourrain',
    'nourrains',
    'nourri',
    'nourrice',
    'nourricerie',
    'nourriceries',
    'nourrices',
    'nourricier',
    'nourriciers',
    'nourricière',
    'nourricières',
    'nourrie',
    'nourries',
    'nourrir',
    'nourrira',
    'nourrirai',
    'nourriraient',
    'nourrirais',
    'nourrirait',
    'nourriras',
    'nourrirent',
    'nourrirez',
    'nourririez',
    'nourririons',
    'nourrirons',
    'nourriront',
    'nourrirrai',
    'nourris',
    'nourrissage',
    'nourrissages',
    'nourrissais',
    'nourrissait',
    'nourrissant',
    'nourrissante',
    'nourrissants',
    'nourrisse',
    'nourrissent',
    'nourrisses',
    'nourrisseur',
    'nourrisseurs',
    'nourrissez',
    'nourrissiez',
    'nourrissions',
    'nourrisson',
    'nourrissons',
    'nourrit',
    'nourriture',
    'nourritures',
    'nourrîmes',
    'nourrît',
    'nourrîtes',
    'nous',
    'nouure',
    'nouures',
    'nouveau',
    'nouveauté',
    'nouveautés',
    'nouveaux',
    'nouvel',
    'nouvelle',
    'nouvellement',
    'nouvelles',
    'nouvelliste',
    'nouvellistes',
    'nouâmes',
    'nouât',
    'nouâtes',
    'nouèrent',
    'noué',
    'nouée',
    'nouées',
    'noués',
    'nova',
    'novai',
    'novaient',
    'novais',
    'novait',
    'novant',
    'novas',
    'novasse',
    'novassent',
    'novasses',
    'novassiez',
    'novassions',
    'novateur',
    'novateurs',
    'novation',
    'novations',
    'novatoire',
    'novatoires',
    'novatrice',
    'novatrices',
    'nove',
    'novembre',
    'novembres',
    'novent',
    'nover',
    'novera',
    'noverai',
    'noveraient',
    'noverais',
    'noverait',
    'noveras',
    'noverez',
    'noveriez',
    'noverions',
    'noverons',
    'noveront',
    'noves',
    'novez',
    'novice',
    'novices',
    'noviciat',
    'noviciats',
    'noviez',
    'novions',
    'novocaïne',
    'novons',
    'novâmes',
    'novât',
    'novâtes',
    'novèrent',
    'nové',
    'novée',
    'novées',
    'novés',
    'noya',
    'noyade',
    'noyades',
    'noyai',
    'noyaient',
    'noyais',
    'noyait',
    'noyant',
    'noyas',
    'noyasse',
    'noyassent',
    'noyasses',
    'noyassiez',
    'noyassions',
    'noyau',
    'noyauta',
    'noyautage',
    'noyautages',
    'noyautai',
    'noyautaient',
    'noyautais',
    'noyautait',
    'noyautant',
    'noyautas',
    'noyautasse',
    'noyautassent',
    'noyautasses',
    'noyautassiez',
    'noyaute',
    'noyautent',
    'noyauter',
    'noyautera',
    'noyauterai',
    'noyauterais',
    'noyauterait',
    'noyauteras',
    'noyauterez',
    'noyauteriez',
    'noyauterions',
    'noyauterons',
    'noyauteront',
    'noyautes',
    'noyautez',
    'noyautiez',
    'noyautions',
    'noyautons',
    'noyautâmes',
    'noyautât',
    'noyautâtes',
    'noyautèrent',
    'noyauté',
    'noyautée',
    'noyautées',
    'noyautés',
    'noyaux',
    'noyer',
    'noyers',
    'noyez',
    'noyiez',
    'noyions',
    'noyons',
    'noyâmes',
    'noyât',
    'noyâtes',
    'noyèrent',
    'noyé',
    'noyée',
    'noyées',
    'noyés',
    'noétique',
    'noétiques',
    'noël',
    'nuage',
    'nuages',
    'nuageuse',
    'nuageuses',
    'nuageux',
    'nuai',
    'nuaient',
    'nuais',
    'nuait',
    'nuance',
    'nuancent',
    'nuancer',
    'nuancera',
    'nuancerai',
    'nuanceraient',
    'nuancerais',
    'nuancerait',
    'nuanceras',
    'nuancerez',
    'nuanceriez',
    'nuancerions',
    'nuancerons',
    'nuanceront',
    'nuances',
    'nuancez',
    'nuanciez',
    'nuancions',
    'nuancèrent',
    'nuancé',
    'nuancée',
    'nuancées',
    'nuancés',
    'nuant',
    'nuança',
    'nuançai',
    'nuançaient',
    'nuançais',
    'nuançait',
    'nuançant',
    'nuanças',
    'nuançasse',
    'nuançassent',
    'nuançasses',
    'nuançassiez',
    'nuançassions',
    'nuançons',
    'nuançâmes',
    'nuançât',
    'nuançâtes',
    'nuas',
    'nuasse',
    'nuassent',
    'nuasses',
    'nuassiez',
    'nuassions',
    'nubien',
    'nubienne',
    'nubiennes',
    'nubiens',
    'nubile',
    'nubiles',
    'nubilité',
    'nubilités',
    'nucelle',
    'nucelles',
    'nucléa',
    'nucléai',
    'nucléaient',
    'nucléaire',
    'nucléaires',
    'nucléais',
    'nucléait',
    'nucléant',
    'nucléariser',
    'nucléas',
    'nucléasse',
    'nucléassent',
    'nucléasses',
    'nucléassiez',
    'nucléassions',
    'nuclée',
    'nucléent',
    'nucléer',
    'nucléera',
    'nucléerai',
    'nucléeraient',
    'nucléerais',
    'nucléerait',
    'nucléeras',
    'nucléerez',
    'nucléeriez',
    'nucléerions',
    'nucléerons',
    'nucléeront',
    'nuclées',
    'nucléez',
    'nucléiez',
    'nucléine',
    'nucléines',
    'nucléions',
    'nucléique',
    'nucléiques',
    'nucléole',
    'nucléoles',
    'nucléon',
    'nucléonique',
    'nucléoniques',
    'nucléons',
    'nucléotide',
    'nucléotides',
    'nucléus',
    'nucléâmes',
    'nucléât',
    'nucléâtes',
    'nucléèrent',
    'nucléé',
    'nucléée',
    'nucléées',
    'nucléés',
    'nudisme',
    'nudismes',
    'nudiste',
    'nudistes',
    'nudité',
    'nudités',
    'nuent',
    'nuer',
    'nuera',
    'nuerai',
    'nueraient',
    'nuerais',
    'nuerait',
    'nueras',
    'nuerez',
    'nueriez',
    'nuerions',
    'nuerons',
    'nueront',
    'nues',
    'nuez',
    'nuiez',
    'nuions',
    'nuira',
    'nuirai',
    'nuiraient',
    'nuirais',
    'nuirait',
    'nuiras',
    'nuire',
    'nuirez',
    'nuiriez',
    'nuirions',
    'nuirons',
    'nuiront',
    'nuis',
    'nuisaient',
    'nuisais',
    'nuisait',
    'nuisance',
    'nuisances',
    'nuisant',
    'nuise',
    'nuisent',
    'nuises',
    'nuisez',
    'nuisible',
    'nuisiblement',
    'nuisibles',
    'nuisiez',
    'nuisions',
    'nuisirent',
    'nuisis',
    'nuisisse',
    'nuisissent',
    'nuisisses',
    'nuisissiez',
    'nuisissions',
    'nuisit',
    'nuisons',
    'nuisîmes',
    'nuisît',
    'nuisîtes',
    'nuit',
    'nuitamment',
    'nuite',
    'nuites',
    'nuits',
    'nuitée',
    'nuitées',
    'nullard',
    'nullarde',
    'nullardes',
    'nullards',
    'nulle',
    'nullement',
    'nulles',
    'nullipare',
    'nullipares',
    'nullité',
    'nullités',
    'nuls',
    'numerus',
    'numide',
    'numides',
    'numismate',
    'numismates',
    'numismatique',
    'nummulite',
    'nummulites',
    'nummulitique',
    'numéraire',
    'numéraires',
    'numéral',
    'numérale',
    'numérales',
    'numérateur',
    'numérateurs',
    'numération',
    'numérations',
    'numéraux',
    'numérique',
    'numériques',
    'numérisa',
    'numérisai',
    'numérisaient',
    'numérisais',
    'numérisait',
    'numérisant',
    'numérisas',
    'numérisasse',
    'numérisasses',
    'numérise',
    'numérisent',
    'numériser',
    'numérisera',
    'numériserai',
    'numériserais',
    'numériserait',
    'numériseras',
    'numériserez',
    'numériseriez',
    'numériserons',
    'numériseront',
    'numérises',
    'numérisez',
    'numérisiez',
    'numérisions',
    'numérisons',
    'numérisâmes',
    'numérisât',
    'numérisâtes',
    'numérisèrent',
    'numérisé',
    'numérisée',
    'numérisées',
    'numérisés',
    'numéro',
    'numéros',
    'numérota',
    'numérotage',
    'numérotages',
    'numérotai',
    'numérotaient',
    'numérotais',
    'numérotait',
    'numérotant',
    'numérotas',
    'numérotasse',
    'numérotasses',
    'numérotation',
    'numérote',
    'numérotent',
    'numéroter',
    'numérotera',
    'numéroterai',
    'numéroterais',
    'numéroterait',
    'numéroteras',
    'numéroterez',
    'numéroteriez',
    'numéroterons',
    'numéroteront',
    'numérotes',
    'numéroteur',
    'numéroteurs',
    'numérotez',
    'numérotiez',
    'numérotions',
    'numérotons',
    'numérotâmes',
    'numérotât',
    'numérotâtes',
    'numérotèrent',
    'numéroté',
    'numérotée',
    'numérotées',
    'numérotés',
    'nunatak',
    'nunataks',
    'nuncupation',
    'nuncupations',
    'nuons',
    'nuptial',
    'nuptiale',
    'nuptiales',
    'nuptialité',
    'nuptialités',
    'nuptiaux',
    'nuque',
    'nuques',
    'nuraghe',
    'nuraghes',
    'nuraghi',
    'nurse',
    'nurseries',
    'nursery',
    'nurserys',
    'nurses',
    'nutation',
    'nutations',
    'nutriment',
    'nutriments',
    'nutritif',
    'nutritifs',
    'nutrition',
    'nutritionnel',
    'nutritions',
    'nutritive',
    'nutritives',
    'nuâmes',
    'nuât',
    'nuâtes',
    'nuèrent',
    'nuée',
    'nuées',
    'nués',
    'nyctalope',
    'nyctalopes',
    'nyctalopie',
    'nyctalopies',
    'nycthémère',
    'nycthémères',
    'nycturie',
    'nycturies',
    'nylon',
    'nylons',
    'nymphal',
    'nymphale',
    'nymphales',
    'nymphalidé',
    'nymphalidés',
    'nymphals',
    'nymphaux',
    'nymphe',
    'nymphes',
    'nymphette',
    'nymphettes',
    'nymphomane',
    'nymphomanes',
    'nymphomanie',
    'nymphomanies',
    'nymphose',
    'nymphoses',
    'nymphéa',
    'nymphéas',
    'nymphée',
    'nymphées',
    'nystagmus',
    'nèfle',
    'nèfles',
    'nègre',
    'nègres',
    'néanmoins',
    'néant',
    'néantisa',
    'néantisai',
    'néantisaient',
    'néantisais',
    'néantisait',
    'néantisant',
    'néantisas',
    'néantisasse',
    'néantisasses',
    'néantisation',
    'néantise',
    'néantisent',
    'néantiser',
    'néantisera',
    'néantiserai',
    'néantiserais',
    'néantiserait',
    'néantiseras',
    'néantiserez',
    'néantiseriez',
    'néantiserons',
    'néantiseront',
    'néantises',
    'néantisez',
    'néantisiez',
    'néantisions',
    'néantisons',
    'néantisâmes',
    'néantisât',
    'néantisâtes',
    'néantisèrent',
    'néantisé',
    'néantisée',
    'néantisées',
    'néantisés',
    'néants',
    'nébuleuse',
    'nébuleuses',
    'nébuleux',
    'nébulisation',
    'nébuliser',
    'nébuliseur',
    'nébuliseurs',
    'nébulosité',
    'nébulosités',
    'nécessaire',
    'nécessaires',
    'nécessita',
    'nécessitai',
    'nécessitais',
    'nécessitait',
    'nécessitant',
    'nécessitante',
    'nécessitants',
    'nécessitas',
    'nécessitasse',
    'nécessite',
    'nécessitent',
    'nécessiter',
    'nécessitera',
    'nécessiterai',
    'nécessiteras',
    'nécessiterez',
    'nécessites',
    'nécessiteuse',
    'nécessiteux',
    'nécessitez',
    'nécessitiez',
    'nécessitions',
    'nécessitons',
    'nécessitâmes',
    'nécessitât',
    'nécessitâtes',
    'nécessité',
    'nécessitée',
    'nécessitées',
    'nécessités',
    'nécrobie',
    'nécrobies',
    'nécrologe',
    'nécrologes',
    'nécrologie',
    'nécrologies',
    'nécrologique',
    'nécrologue',
    'nécrologues',
    'nécromancie',
    'nécromancien',
    'nécromancies',
    'nécromant',
    'nécromants',
    'nécrophage',
    'nécrophages',
    'nécrophilie',
    'nécrophilies',
    'nécrophore',
    'nécrophores',
    'nécropole',
    'nécropoles',
    'nécropsie',
    'nécropsies',
    'nécrosa',
    'nécrosai',
    'nécrosaient',
    'nécrosais',
    'nécrosait',
    'nécrosant',
    'nécrosas',
    'nécrosasse',
    'nécrosassent',
    'nécrosasses',
    'nécrosassiez',
    'nécrose',
    'nécrosent',
    'nécroser',
    'nécrosera',
    'nécroserai',
    'nécroserais',
    'nécroserait',
    'nécroseras',
    'nécroserez',
    'nécroseriez',
    'nécroserions',
    'nécroserons',
    'nécroseront',
    'nécroses',
    'nécrosez',
    'nécrosiez',
    'nécrosions',
    'nécrosons',
    'nécrosâmes',
    'nécrosât',
    'nécrosâtes',
    'nécrosèrent',
    'nécrosé',
    'nécrosée',
    'nécrosées',
    'nécrosés',
    'néerlandais',
    'néerlandaise',
    'nées',
    'néfaste',
    'néfastes',
    'néflier',
    'néfliers',
    'négateur',
    'négateurs',
    'négatif',
    'négatifs',
    'négation',
    'négations',
    'négative',
    'négativement',
    'négatives',
    'négaton',
    'négatons',
    'négatoscope',
    'négatoscopes',
    'négatrice',
    'négatrices',
    'néglige',
    'négligea',
    'négligeable',
    'négligeables',
    'négligeai',
    'négligeaient',
    'négligeais',
    'négligeait',
    'négligeant',
    'négligeante',
    'négligeantes',
    'négligeants',
    'négligeas',
    'négligeasse',
    'négligeasses',
    'négligemment',
    'négligence',
    'négligences',
    'négligent',
    'négligente',
    'négligentes',
    'négligents',
    'négligeons',
    'négliger',
    'négligera',
    'négligerai',
    'négligerais',
    'négligerait',
    'négligeras',
    'négligerez',
    'négligeriez',
    'négligerions',
    'négligerons',
    'négligeront',
    'négliges',
    'négligez',
    'négligeâmes',
    'négligeât',
    'négligeâtes',
    'négligiez',
    'négligions',
    'négligèrent',
    'négligé',
    'négligée',
    'négligées',
    'négligés',
    'négoce',
    'négoces',
    'négocia',
    'négociable',
    'négociables',
    'négociai',
    'négociaient',
    'négociais',
    'négociait',
    'négociant',
    'négociante',
    'négociantes',
    'négociants',
    'négocias',
    'négociasse',
    'négociassent',
    'négociasses',
    'négociassiez',
    'négociateur',
    'négociateurs',
    'négociation',
    'négociations',
    'négociatrice',
    'négocie',
    'négocient',
    'négocier',
    'négociera',
    'négocierai',
    'négocierais',
    'négocierait',
    'négocieras',
    'négocierez',
    'négocieriez',
    'négocierions',
    'négocierons',
    'négocieront',
    'négocies',
    'négociez',
    'négociiez',
    'négociions',
    'négocions',
    'négociâmes',
    'négociât',
    'négociâtes',
    'négocièrent',
    'négocié',
    'négociée',
    'négociées',
    'négociés',
    'négondo',
    'négondos',
    'négresse',
    'négresses',
    'négrier',
    'négriers',
    'négrille',
    'négrilles',
    'négrillon',
    'négrillonne',
    'négrillonnes',
    'négrillons',
    'négritude',
    'négritudes',
    'négroïde',
    'négroïdes',
    'néguentropie',
    'négus',
    'nélombo',
    'nélombos',
    'némale',
    'némales',
    'némalion',
    'némalions',
    'nématocyste',
    'nématocystes',
    'nématode',
    'nématodes',
    'nénies',
    'nénuphar',
    'nénuphars',
    'néné',
    'nénés',
    'néoblaste',
    'néoblastes',
    'néocomien',
    'néocomienne',
    'néocomiennes',
    'néocomiens',
    'néodyme',
    'néodymes',
    'néoformation',
    'néoformé',
    'néoformée',
    'néoformées',
    'néoformés',
    'néogène',
    'néogènes',
    'néolithique',
    'néolithiques',
    'néologie',
    'néologies',
    'néologique',
    'néologiques',
    'néologisme',
    'néologismes',
    'néomycine',
    'néomycines',
    'néoménie',
    'néoménies',
    'néon',
    'néonatal',
    'néonatale',
    'néonatales',
    'néonatalogie',
    'néonatals',
    'néons',
    'néophyte',
    'néophytes',
    'néoplasique',
    'néoplasiques',
    'néoplasme',
    'néoplasmes',
    'néottie',
    'néotties',
    'néozoïque',
    'néozoïques',
    'népenthès',
    'néphrectomie',
    'néphridie',
    'néphridies',
    'néphrite',
    'néphrites',
    'néphrologie',
    'néphrologies',
    'néphrologue',
    'néphrologues',
    'néphron',
    'néphrons',
    'néphropathie',
    'néphrose',
    'néphroses',
    'néphrétique',
    'néphrétiques',
    'néphélion',
    'néphélions',
    'népotisme',
    'népotismes',
    'népète',
    'népètes',
    'népérien',
    'népérienne',
    'népériennes',
    'népériens',
    'néritique',
    'néritiques',
    'néroli',
    'nérolis',
    'néronien',
    'néronienne',
    'néroniennes',
    'néroniens',
    'néréide',
    'néréides',
    'névralgie',
    'névralgies',
    'névralgique',
    'névralgiques',
    'névraxe',
    'névraxes',
    'névrilème',
    'névrilèmes',
    'névrite',
    'névrites',
    'névritique',
    'névritiques',
    'névrodermite',
    'névroglie',
    'névroglies',
    'névropathe',
    'névropathes',
    'névropathie',
    'névropathies',
    'névrose',
    'névroses',
    'névrosé',
    'névrosée',
    'névrosées',
    'névrosés',
    'névrotique',
    'névrotiques',
    'névé',
    'névés',
    'nôtre',
    'nôtres',
    'nûment',
    'noeud',
    'noeuds',
    'oaristys',
    'oasien',
    'oasienne',
    'oasiennes',
    'oasiens',
    'oasis',
    'obel',
    'obels',
    'obier',
    'obiers',
    'obit',
    'obits',
    'obituaire',
    'obituaires',
    'objecta',
    'objectai',
    'objectaient',
    'objectais',
    'objectait',
    'objectal',
    'objectale',
    'objectales',
    'objectant',
    'objectas',
    'objectasse',
    'objectassent',
    'objectasses',
    'objectassiez',
    'objectaux',
    'objecte',
    'objectent',
    'objecter',
    'objectera',
    'objecterai',
    'objecterais',
    'objecterait',
    'objecteras',
    'objecterez',
    'objecteriez',
    'objecterions',
    'objecterons',
    'objecteront',
    'objectes',
    'objecteur',
    'objecteurs',
    'objectez',
    'objectiez',
    'objectif',
    'objectifs',
    'objection',
    'objections',
    'objectiva',
    'objectivai',
    'objectivais',
    'objectivait',
    'objectivant',
    'objectivas',
    'objectivasse',
    'objective',
    'objectivent',
    'objectiver',
    'objectivera',
    'objectiverai',
    'objectiveras',
    'objectiverez',
    'objectives',
    'objectivez',
    'objectiviez',
    'objectivions',
    'objectivisme',
    'objectivité',
    'objectivités',
    'objectivons',
    'objectivâmes',
    'objectivât',
    'objectivâtes',
    'objectivé',
    'objectivée',
    'objectivées',
    'objectivés',
    'objectons',
    'objectâmes',
    'objectât',
    'objectâtes',
    'objectèrent',
    'objecté',
    'objectée',
    'objectées',
    'objectés',
    'objet',
    'objets',
    'objurgation',
    'objurgations',
    'objurgua',
    'objurguai',
    'objurguaient',
    'objurguais',
    'objurguait',
    'objurguant',
    'objurguas',
    'objurguasse',
    'objurguasses',
    'objurgue',
    'objurguent',
    'objurguer',
    'objurguera',
    'objurguerai',
    'objurguerais',
    'objurguerait',
    'objurgueras',
    'objurguerez',
    'objurgueriez',
    'objurguerons',
    'objurgueront',
    'objurgues',
    'objurguez',
    'objurguiez',
    'objurguions',
    'objurguons',
    'objurguâmes',
    'objurguât',
    'objurguâtes',
    'objurguèrent',
    'objurgué',
    'oblat',
    'oblate',
    'oblates',
    'oblatif',
    'oblatifs',
    'oblation',
    'oblations',
    'oblative',
    'oblatives',
    'oblats',
    'obligataire',
    'obligataires',
    'obligation',
    'obligations',
    'obligatoire',
    'obligatoires',
    'oblige',
    'obligea',
    'obligeai',
    'obligeaient',
    'obligeais',
    'obligeait',
    'obligeamment',
    'obligeance',
    'obligeances',
    'obligeant',
    'obligeante',
    'obligeantes',
    'obligeants',
    'obligeas',
    'obligeasse',
    'obligeassent',
    'obligeasses',
    'obligeassiez',
    'obligent',
    'obligeons',
    'obliger',
    'obligera',
    'obligerai',
    'obligeraient',
    'obligerais',
    'obligerait',
    'obligeras',
    'obligerez',
    'obligeriez',
    'obligerions',
    'obligerons',
    'obligeront',
    'obliges',
    'obligez',
    'obligeâmes',
    'obligeât',
    'obligeâtes',
    'obligiez',
    'obligions',
    'obligèrent',
    'obligé',
    'obligée',
    'obligées',
    'obligés',
    'obliqua',
    'obliquai',
    'obliquaient',
    'obliquais',
    'obliquait',
    'obliquant',
    'obliquas',
    'obliquasse',
    'obliquassent',
    'obliquasses',
    'obliquassiez',
    'oblique',
    'obliquement',
    'obliquent',
    'obliquer',
    'obliquera',
    'obliquerai',
    'obliquerais',
    'obliquerait',
    'obliqueras',
    'obliquerez',
    'obliqueriez',
    'obliquerions',
    'obliquerons',
    'obliqueront',
    'obliques',
    'obliquez',
    'obliquiez',
    'obliquions',
    'obliquité',
    'obliquités',
    'obliquons',
    'obliquâmes',
    'obliquât',
    'obliquâtes',
    'obliquèrent',
    'obliqué',
    'obliquée',
    'obliquées',
    'obliqués',
    'oblitère',
    'oblitèrent',
    'oblitères',
    'oblitéra',
    'oblitérai',
    'oblitéraient',
    'oblitérais',
    'oblitérait',
    'oblitérant',
    'oblitéras',
    'oblitérasse',
    'oblitérasses',
    'oblitérateur',
    'oblitération',
    'oblitérer',
    'oblitérera',
    'oblitérerai',
    'oblitérerais',
    'oblitérerait',
    'oblitéreras',
    'oblitérerez',
    'oblitéreriez',
    'oblitérerons',
    'oblitéreront',
    'oblitérez',
    'oblitériez',
    'oblitérions',
    'oblitérons',
    'oblitérâmes',
    'oblitérât',
    'oblitérâtes',
    'oblitérèrent',
    'oblitéré',
    'oblitérée',
    'oblitérées',
    'oblitérés',
    'oblong',
    'oblongs',
    'oblongue',
    'oblongues',
    'obnubila',
    'obnubilai',
    'obnubilaient',
    'obnubilais',
    'obnubilait',
    'obnubilant',
    'obnubilas',
    'obnubilasse',
    'obnubilasses',
    'obnubilation',
    'obnubile',
    'obnubilent',
    'obnubiler',
    'obnubilera',
    'obnubilerai',
    'obnubilerais',
    'obnubilerait',
    'obnubileras',
    'obnubilerez',
    'obnubileriez',
    'obnubilerons',
    'obnubileront',
    'obnubiles',
    'obnubilez',
    'obnubiliez',
    'obnubilions',
    'obnubilons',
    'obnubilâmes',
    'obnubilât',
    'obnubilâtes',
    'obnubilèrent',
    'obnubilé',
    'obnubilée',
    'obnubilées',
    'obnubilés',
    'obole',
    'oboles',
    'obombra',
    'obombrai',
    'obombraient',
    'obombrais',
    'obombrait',
    'obombrant',
    'obombras',
    'obombrasse',
    'obombrassent',
    'obombrasses',
    'obombrassiez',
    'obombre',
    'obombrent',
    'obombrer',
    'obombrera',
    'obombrerai',
    'obombrerais',
    'obombrerait',
    'obombreras',
    'obombrerez',
    'obombreriez',
    'obombrerions',
    'obombrerons',
    'obombreront',
    'obombres',
    'obombrez',
    'obombriez',
    'obombrions',
    'obombrons',
    'obombrâmes',
    'obombrât',
    'obombrâtes',
    'obombrèrent',
    'obombré',
    'obombrée',
    'obombrées',
    'obombrés',
    'obscur',
    'obscurci',
    'obscurcie',
    'obscurcies',
    'obscurcir',
    'obscurcira',
    'obscurcirai',
    'obscurcirais',
    'obscurcirait',
    'obscurciras',
    'obscurcirent',
    'obscurcirez',
    'obscurciriez',
    'obscurcirons',
    'obscurciront',
    'obscurcis',
    'obscurcisse',
    'obscurcisses',
    'obscurcissez',
    'obscurcit',
    'obscurcîmes',
    'obscurcît',
    'obscurcîtes',
    'obscure',
    'obscures',
    'obscurité',
    'obscurités',
    'obscurs',
    'obscurément',
    'obscène',
    'obscènes',
    'obscénité',
    'obscénités',
    'observa',
    'observable',
    'observables',
    'observai',
    'observaient',
    'observais',
    'observait',
    'observance',
    'observances',
    'observant',
    'observas',
    'observasse',
    'observassent',
    'observasses',
    'observassiez',
    'observateur',
    'observateurs',
    'observation',
    'observations',
    'observatoire',
    'observatrice',
    'observe',
    'observent',
    'observer',
    'observera',
    'observerai',
    'observerais',
    'observerait',
    'observeras',
    'observerez',
    'observeriez',
    'observerions',
    'observerons',
    'observeront',
    'observes',
    'observez',
    'observiez',
    'observions',
    'observons',
    'observâmes',
    'observât',
    'observâtes',
    'observèrent',
    'observé',
    'observée',
    'observées',
    'observés',
    'obsession',
    'obsessionnel',
    'obsessions',
    'obsidienne',
    'obsidiennes',
    'obsidional',
    'obsidionale',
    'obsidionales',
    'obsidionaux',
    'obsolescence',
    'obsolescent',
    'obsolescente',
    'obsolescents',
    'obsolète',
    'obsolètes',
    'obstacle',
    'obstacles',
    'obstina',
    'obstinaient',
    'obstinais',
    'obstinait',
    'obstinant',
    'obstinassiez',
    'obstination',
    'obstinations',
    'obstine',
    'obstinent',
    'obstiner',
    'obstinera',
    'obstinerai',
    'obstinerais',
    'obstinerait',
    'obstineras',
    'obstinerez',
    'obstineriez',
    'obstinerions',
    'obstinerons',
    'obstineront',
    'obstines',
    'obstinez',
    'obstiniez',
    'obstinions',
    'obstinons',
    'obstinâmes',
    'obstinâtes',
    'obstinèrent',
    'obstiné',
    'obstinée',
    'obstinées',
    'obstinément',
    'obstinés',
    'obstrua',
    'obstruai',
    'obstruaient',
    'obstruais',
    'obstruait',
    'obstruant',
    'obstruas',
    'obstruasse',
    'obstruassent',
    'obstruasses',
    'obstruassiez',
    'obstructif',
    'obstructifs',
    'obstruction',
    'obstructions',
    'obstructive',
    'obstructives',
    'obstrue',
    'obstruent',
    'obstruer',
    'obstruera',
    'obstruerai',
    'obstruerais',
    'obstruerait',
    'obstrueras',
    'obstruerez',
    'obstrueriez',
    'obstruerions',
    'obstruerons',
    'obstrueront',
    'obstrues',
    'obstruez',
    'obstruiez',
    'obstruions',
    'obstruons',
    'obstruâmes',
    'obstruât',
    'obstruâtes',
    'obstruèrent',
    'obstrué',
    'obstruée',
    'obstruées',
    'obstrués',
    'obstétrical',
    'obstétricale',
    'obstétricaux',
    'obstétricien',
    'obstétrique',
    'obstétriques',
    'obsède',
    'obsèdent',
    'obsèdes',
    'obsèques',
    'obsécration',
    'obsécrations',
    'obséda',
    'obsédai',
    'obsédaient',
    'obsédais',
    'obsédait',
    'obsédant',
    'obsédante',
    'obsédantes',
    'obsédants',
    'obsédas',
    'obsédasse',
    'obsédassent',
    'obsédasses',
    'obsédassiez',
    'obsédassions',
    'obséder',
    'obsédera',
    'obséderai',
    'obséderaient',
    'obséderais',
    'obséderait',
    'obséderas',
    'obséderez',
    'obséderiez',
    'obséderions',
    'obséderons',
    'obséderont',
    'obsédez',
    'obsédiez',
    'obsédions',
    'obsédons',
    'obsédâmes',
    'obsédât',
    'obsédâtes',
    'obsédèrent',
    'obsédé',
    'obsédée',
    'obsédées',
    'obsédés',
    'obséquieuse',
    'obséquieuses',
    'obséquieux',
    'obséquiosité',
    'obtempère',
    'obtempèrent',
    'obtempères',
    'obtempéra',
    'obtempérai',
    'obtempérais',
    'obtempérait',
    'obtempérant',
    'obtempéras',
    'obtempérasse',
    'obtempérer',
    'obtempérera',
    'obtempérerai',
    'obtempéreras',
    'obtempérerez',
    'obtempérez',
    'obtempériez',
    'obtempérions',
    'obtempérons',
    'obtempérâmes',
    'obtempérât',
    'obtempérâtes',
    'obtempéré',
    'obtenaient',
    'obtenais',
    'obtenait',
    'obtenant',
    'obtenez',
    'obteniez',
    'obtenions',
    'obtenir',
    'obtenons',
    'obtention',
    'obtentions',
    'obtenu',
    'obtenue',
    'obtenues',
    'obtenus',
    'obtiendra',
    'obtiendrai',
    'obtiendrais',
    'obtiendrait',
    'obtiendras',
    'obtiendrez',
    'obtiendriez',
    'obtiendrions',
    'obtiendrons',
    'obtiendront',
    'obtienne',
    'obtiennent',
    'obtiennes',
    'obtiens',
    'obtient',
    'obtinrent',
    'obtins',
    'obtinsse',
    'obtinssent',
    'obtinsses',
    'obtinssiez',
    'obtinssions',
    'obtint',
    'obtura',
    'obturai',
    'obturaient',
    'obturais',
    'obturait',
    'obturant',
    'obturas',
    'obturasse',
    'obturassent',
    'obturasses',
    'obturassiez',
    'obturassions',
    'obturateur',
    'obturateurs',
    'obturation',
    'obturations',
    'obturatrice',
    'obturatrices',
    'obture',
    'obturent',
    'obturer',
    'obturera',
    'obturerai',
    'obtureraient',
    'obturerais',
    'obturerait',
    'obtureras',
    'obturerez',
    'obtureriez',
    'obturerions',
    'obturerons',
    'obtureront',
    'obtures',
    'obturez',
    'obturiez',
    'obturions',
    'obturons',
    'obturâmes',
    'obturât',
    'obturâtes',
    'obturèrent',
    'obturé',
    'obturée',
    'obturées',
    'obturés',
    'obtus',
    'obtusangle',
    'obtusangles',
    'obtuse',
    'obtuses',
    'obtînmes',
    'obtînt',
    'obtîntes',
    'obus',
    'obusier',
    'obusiers',
    'obvenaient',
    'obvenais',
    'obvenait',
    'obvenant',
    'obvenez',
    'obveniez',
    'obvenions',
    'obvenir',
    'obvenons',
    'obvenu',
    'obvers',
    'obvia',
    'obviai',
    'obviaient',
    'obviais',
    'obviait',
    'obviant',
    'obvias',
    'obviasse',
    'obviassent',
    'obviasses',
    'obviassiez',
    'obviassions',
    'obvie',
    'obviendra',
    'obviendrai',
    'obviendrais',
    'obviendrait',
    'obviendras',
    'obviendrez',
    'obviendriez',
    'obviendrions',
    'obviendrons',
    'obviendront',
    'obvienne',
    'obviennent',
    'obviennes',
    'obviens',
    'obvient',
    'obvier',
    'obviera',
    'obvierai',
    'obvieraient',
    'obvierais',
    'obvierait',
    'obvieras',
    'obvierez',
    'obvieriez',
    'obvierions',
    'obvierons',
    'obvieront',
    'obvies',
    'obviez',
    'obviiez',
    'obviions',
    'obvinrent',
    'obvins',
    'obvinsse',
    'obvinssent',
    'obvinsses',
    'obvinssiez',
    'obvinssions',
    'obvint',
    'obvions',
    'obviâmes',
    'obviât',
    'obviâtes',
    'obvièrent',
    'obvié',
    'obviée',
    'obviées',
    'obviés',
    'obvînmes',
    'obvînt',
    'obvîntes',
    'obèle',
    'obèles',
    'obère',
    'obèrent',
    'obères',
    'obèse',
    'obèses',
    'obédience',
    'obédiences',
    'obédiencier',
    'obédienciers',
    'obédientiel',
    'obédientiels',
    'obéi',
    'obéie',
    'obéies',
    'obéir',
    'obéira',
    'obéirai',
    'obéiraient',
    'obéirais',
    'obéirait',
    'obéiras',
    'obéirent',
    'obéirez',
    'obéiriez',
    'obéirions',
    'obéirons',
    'obéiront',
    'obéis',
    'obéissaient',
    'obéissais',
    'obéissait',
    'obéissance',
    'obéissances',
    'obéissant',
    'obéissante',
    'obéissantes',
    'obéissants',
    'obéisse',
    'obéissent',
    'obéisses',
    'obéissez',
    'obéissiez',
    'obéissions',
    'obéissons',
    'obéit',
    'obélisque',
    'obélisques',
    'obéra',
    'obérai',
    'obéraient',
    'obérais',
    'obérait',
    'obérant',
    'obéras',
    'obérasse',
    'obérassent',
    'obérasses',
    'obérassiez',
    'obérassions',
    'obérer',
    'obérera',
    'obérerai',
    'obéreraient',
    'obérerais',
    'obérerait',
    'obéreras',
    'obérerez',
    'obéreriez',
    'obérerions',
    'obérerons',
    'obéreront',
    'obérez',
    'obériez',
    'obérions',
    'obérons',
    'obérâmes',
    'obérât',
    'obérâtes',
    'obérèrent',
    'obéré',
    'obérée',
    'obérées',
    'obérés',
    'obésité',
    'obésités',
    'obéîmes',
    'obéît',
    'obéîtes',
    'ocarina',
    'ocarinas',
    'occase',
    'occases',
    'occasion',
    'occasionna',
    'occasionnai',
    'occasionnais',
    'occasionnait',
    'occasionnant',
    'occasionnas',
    'occasionne',
    'occasionnel',
    'occasionnels',
    'occasionnent',
    'occasionner',
    'occasionnera',
    'occasionnes',
    'occasionnez',
    'occasionniez',
    'occasionnons',
    'occasionnât',
    'occasionné',
    'occasionnée',
    'occasionnées',
    'occasionnés',
    'occasions',
    'occident',
    'occidental',
    'occidentale',
    'occidentales',
    'occidentaux',
    'occidents',
    'occipital',
    'occipitale',
    'occipitales',
    'occipitaux',
    'occiput',
    'occiputs',
    'occire',
    'occitan',
    'occitane',
    'occitanes',
    'occitans',
    'occlu',
    'occluaient',
    'occluais',
    'occluait',
    'occluant',
    'occlue',
    'occluent',
    'occlues',
    'occluez',
    'occluiez',
    'occluions',
    'occluons',
    'occlura',
    'occlurai',
    'occluraient',
    'occlurais',
    'occlurait',
    'occluras',
    'occlure',
    'occlurent',
    'occlurez',
    'occluriez',
    'occlurions',
    'occlurons',
    'occluront',
    'occlus',
    'occlusif',
    'occlusifs',
    'occlusion',
    'occlusions',
    'occlusive',
    'occlusives',
    'occlusse',
    'occlussent',
    'occlusses',
    'occlussiez',
    'occlussions',
    'occlut',
    'occlûmes',
    'occlût',
    'occlûtes',
    'occulta',
    'occultai',
    'occultaient',
    'occultais',
    'occultait',
    'occultant',
    'occultas',
    'occultasse',
    'occultassent',
    'occultasses',
    'occultassiez',
    'occultation',
    'occultations',
    'occulte',
    'occultent',
    'occulter',
    'occultera',
    'occulterai',
    'occulterais',
    'occulterait',
    'occulteras',
    'occulterez',
    'occulteriez',
    'occulterions',
    'occulterons',
    'occulteront',
    'occultes',
    'occultez',
    'occultiez',
    'occultions',
    'occultisme',
    'occultismes',
    'occultiste',
    'occultistes',
    'occultons',
    'occultâmes',
    'occultât',
    'occultâtes',
    'occultèrent',
    'occulté',
    'occultée',
    'occultées',
    'occultés',
    'occupa',
    'occupai',
    'occupaient',
    'occupais',
    'occupait',
    'occupant',
    'occupante',
    'occupantes',
    'occupants',
    'occupas',
    'occupasse',
    'occupassent',
    'occupasses',
    'occupassiez',
    'occupassions',
    'occupation',
    'occupations',
    'occupe',
    'occupent',
    'occuper',
    'occupera',
    'occuperai',
    'occuperaient',
    'occuperais',
    'occuperait',
    'occuperas',
    'occuperez',
    'occuperiez',
    'occuperions',
    'occuperons',
    'occuperont',
    'occupes',
    'occupez',
    'occupiez',
    'occupions',
    'occupons',
    'occupâmes',
    'occupât',
    'occupâtes',
    'occupèrent',
    'occupé',
    'occupée',
    'occupées',
    'occupés',
    'occurrence',
    'occurrences',
    'occurrent',
    'occurrente',
    'occurrentes',
    'occurrents',
    'ocelle',
    'ocelles',
    'ocellé',
    'ocellée',
    'ocellées',
    'ocellés',
    'ocelot',
    'ocelots',
    'ocra',
    'ocrai',
    'ocraient',
    'ocrais',
    'ocrait',
    'ocrant',
    'ocras',
    'ocrasse',
    'ocrassent',
    'ocrasses',
    'ocrassiez',
    'ocrassions',
    'ocre',
    'ocrent',
    'ocrer',
    'ocrera',
    'ocrerai',
    'ocreraient',
    'ocrerais',
    'ocrerait',
    'ocreras',
    'ocrerez',
    'ocreriez',
    'ocrerions',
    'ocrerons',
    'ocreront',
    'ocres',
    'ocreuse',
    'ocreuses',
    'ocreux',
    'ocrez',
    'ocriez',
    'ocrions',
    'ocrons',
    'ocrâmes',
    'ocrât',
    'ocrâtes',
    'ocrèrent',
    'ocré',
    'ocrée',
    'ocrées',
    'ocrés',
    'octane',
    'octanes',
    'octant',
    'octante',
    'octants',
    'octave',
    'octaves',
    'octavia',
    'octaviai',
    'octaviaient',
    'octaviais',
    'octaviait',
    'octaviant',
    'octavias',
    'octaviasse',
    'octaviassent',
    'octaviasses',
    'octaviassiez',
    'octavie',
    'octavient',
    'octavier',
    'octaviera',
    'octavierai',
    'octavierais',
    'octavierait',
    'octavieras',
    'octavierez',
    'octavieriez',
    'octavierions',
    'octavierons',
    'octavieront',
    'octavies',
    'octaviez',
    'octaviiez',
    'octaviions',
    'octavin',
    'octavins',
    'octavions',
    'octaviâmes',
    'octaviât',
    'octaviâtes',
    'octavièrent',
    'octavié',
    'octaviée',
    'octaviées',
    'octaviés',
    'octaédrique',
    'octaédriques',
    'octet',
    'octets',
    'octidi',
    'octidis',
    'octobre',
    'octobres',
    'octogonal',
    'octogonale',
    'octogonales',
    'octogonaux',
    'octogone',
    'octogones',
    'octogénaire',
    'octogénaires',
    'octopode',
    'octopodes',
    'octostyle',
    'octostyles',
    'octosyllabe',
    'octosyllabes',
    'octroi',
    'octroie',
    'octroient',
    'octroiera',
    'octroierai',
    'octroierais',
    'octroierait',
    'octroieras',
    'octroierez',
    'octroieriez',
    'octroierions',
    'octroierons',
    'octroieront',
    'octroies',
    'octrois',
    'octroya',
    'octroyai',
    'octroyaient',
    'octroyais',
    'octroyait',
    'octroyant',
    'octroyas',
    'octroyasse',
    'octroyassent',
    'octroyasses',
    'octroyassiez',
    'octroyer',
    'octroyez',
    'octroyiez',
    'octroyions',
    'octroyons',
    'octroyâmes',
    'octroyât',
    'octroyâtes',
    'octroyèrent',
    'octroyé',
    'octroyée',
    'octroyées',
    'octroyés',
    'octuor',
    'octuors',
    'octupla',
    'octuplai',
    'octuplaient',
    'octuplais',
    'octuplait',
    'octuplant',
    'octuplas',
    'octuplasse',
    'octuplassent',
    'octuplasses',
    'octuplassiez',
    'octuple',
    'octuplent',
    'octupler',
    'octuplera',
    'octuplerai',
    'octuplerais',
    'octuplerait',
    'octupleras',
    'octuplerez',
    'octupleriez',
    'octuplerions',
    'octuplerons',
    'octupleront',
    'octuples',
    'octuplez',
    'octupliez',
    'octuplions',
    'octuplons',
    'octuplâmes',
    'octuplât',
    'octuplâtes',
    'octuplèrent',
    'octuplé',
    'octuplée',
    'octuplées',
    'octuplés',
    'oculaire',
    'oculaires',
    'oculariste',
    'ocularistes',
    'oculiste',
    'oculistes',
    'oculus',
    'ocytocine',
    'ocytocines',
    'océan',
    'océanaute',
    'océanautes',
    'océanideLMS',
    'océanien',
    'océanienne',
    'océaniennes',
    'océaniens',
    'océanique',
    'océaniques',
    'océanographe',
    'océanologie',
    'océanologies',
    'océanologue',
    'océanologues',
    'océans',
    'odalisque',
    'odalisques',
    'odelette',
    'odelettes',
    'odes',
    'odeur',
    'odeurs',
    'odieuse',
    'odieusement',
    'odieuses',
    'odieux',
    'odomètre',
    'odomètres',
    'odontalgie',
    'odontalgies',
    'odontologie',
    'odontologies',
    'odontoïde',
    'odontoïdes',
    'odorant',
    'odorante',
    'odorantes',
    'odorants',
    'odorat',
    'odorats',
    'odoriférant',
    'odoriférante',
    'odoriférants',
    'odyssée',
    'odyssées',
    'odéon',
    'odéons',
    'oecuménicité',
    'oecuménique',
    'oecuméniques',
    'oecuménisme',
    'oecuménismes',
    'oedicnème',
    'oedicnèmes',
    'oedipe',
    'oedipes',
    'oedipien',
    'oedipienne',
    'oedipiennes',
    'oedipiens',
    'oedème',
    'oedèmes',
    'oedémateuse',
    'oedémateuses',
    'oedémateux',
    'oeil',
    'oeillade',
    'oeillades',
    'oeillard',
    'oeillards',
    'oeillet',
    'oeilleton',
    'oeilletonna',
    'oeilletonnai',
    'oeilletonnas',
    'oeilletonne',
    'oeilletonner',
    'oeilletonnes',
    'oeilletonnez',
    'oeilletonnât',
    'oeilletonné',
    'oeilletonnée',
    'oeilletonnés',
    'oeilletons',
    'oeillets',
    'oeillette',
    'oeillettes',
    'oeillère',
    'oeillères',
    'oekoumène',
    'oekoumènes',
    'oenanthe',
    'oenanthes',
    'oenanthique',
    'oenanthiques',
    'oenilisme',
    'oenilismes',
    'oenolique',
    'oenoliques',
    'oenolisme',
    'oenolismes',
    'oenologie',
    'oenologies',
    'oenologique',
    'oenologiques',
    'oenologue',
    'oenologues',
    'oenométrie',
    'oenométries',
    'oenométrique',
    'oenothera',
    'oenotheras',
    'oenothère',
    'oenothères',
    'oersted',
    'oersteds',
    'oerstite',
    'oerstites',
    'oesophage',
    'oesophages',
    'oesophagien',
    'oesophagiens',
    'oesophagite',
    'oesophagites',
    'oestral',
    'oestrale',
    'oestrales',
    'oestraux',
    'oestre',
    'oestres',
    'oestrogène',
    'oestrogènes',
    'oestrus',
    'oeuf',
    'oeufrier',
    'oeufriers',
    'oeufs',
    'oeuvra',
    'oeuvrai',
    'oeuvraient',
    'oeuvrais',
    'oeuvrait',
    'oeuvrant',
    'oeuvras',
    'oeuvrasse',
    'oeuvrassent',
    'oeuvrasses',
    'oeuvrassiez',
    'oeuvrassions',
    'oeuvre',
    'oeuvrent',
    'oeuvrer',
    'oeuvrera',
    'oeuvrerai',
    'oeuvreraient',
    'oeuvrerais',
    'oeuvrerait',
    'oeuvreras',
    'oeuvrerez',
    'oeuvreriez',
    'oeuvrerions',
    'oeuvrerons',
    'oeuvreront',
    'oeuvres',
    'oeuvrez',
    'oeuvriez',
    'oeuvrions',
    'oeuvrons',
    'oeuvrâmes',
    'oeuvrât',
    'oeuvrâtes',
    'oeuvrèrent',
    'oeuvré',
    'oeuvé',
    'oeuvée',
    'oeuvées',
    'oeuvés',
    'offensa',
    'offensai',
    'offensaient',
    'offensais',
    'offensait',
    'offensant',
    'offensante',
    'offensantes',
    'offensants',
    'offensas',
    'offensasse',
    'offensassent',
    'offensasses',
    'offensassiez',
    'offense',
    'offensent',
    'offenser',
    'offensera',
    'offenserai',
    'offenserais',
    'offenserait',
    'offenseras',
    'offenserez',
    'offenseriez',
    'offenserions',
    'offenserons',
    'offenseront',
    'offenses',
    'offenseur',
    'offenseurs',
    'offensez',
    'offensiez',
    'offensif',
    'offensifs',
    'offensions',
    'offensive',
    'offensives',
    'offensons',
    'offensâmes',
    'offensât',
    'offensâtes',
    'offensèrent',
    'offensé',
    'offensée',
    'offensées',
    'offensés',
    'offert',
    'offerte',
    'offertes',
    'offertoire',
    'offertoires',
    'offerts',
    'office',
    'offices',
    'officia',
    'officiai',
    'officiaient',
    'officiais',
    'officiait',
    'official',
    'officialisa',
    'officialisai',
    'officialisas',
    'officialise',
    'officialiser',
    'officialises',
    'officialisez',
    'officialisât',
    'officialisé',
    'officialisée',
    'officialisés',
    'officialité',
    'officialités',
    'officiant',
    'officiante',
    'officiantes',
    'officiants',
    'officias',
    'officiasse',
    'officiassent',
    'officiasses',
    'officiassiez',
    'officiaux',
    'officie',
    'officiel',
    'officielle',
    'officielles',
    'officiels',
    'officient',
    'officier',
    'officiera',
    'officierai',
    'officierais',
    'officierait',
    'officieras',
    'officierez',
    'officieriez',
    'officierions',
    'officierons',
    'officieront',
    'officiers',
    'officies',
    'officieuse',
    'officieuses',
    'officieux',
    'officiez',
    'officiiez',
    'officiions',
    'officinal',
    'officinale',
    'officinales',
    'officinaux',
    'officine',
    'officines',
    'officions',
    'officiâmes',
    'officiât',
    'officiâtes',
    'officièrent',
    'officié',
    'offraient',
    'offrais',
    'offrait',
    'offrande',
    'offrandes',
    'offrant',
    'offrante',
    'offrantes',
    'offrants',
    'offre',
    'offrent',
    'offres',
    'offreur',
    'offreurs',
    'offreuse',
    'offreuses',
    'offrez',
    'offriez',
    'offrions',
    'offrir',
    'offrira',
    'offrirai',
    'offriraient',
    'offrirais',
    'offrirait',
    'offriras',
    'offrirent',
    'offrirez',
    'offririez',
    'offririons',
    'offrirons',
    'offriront',
    'offris',
    'offrisse',
    'offrissent',
    'offrisses',
    'offrissiez',
    'offrissions',
    'offrit',
    'offrons',
    'offrîmes',
    'offrît',
    'offrîtes',
    'offset',
    'offsettiste',
    'offsettistes',
    'offusqua',
    'offusquai',
    'offusquaient',
    'offusquais',
    'offusquait',
    'offusquant',
    'offusquas',
    'offusquasse',
    'offusquasses',
    'offusque',
    'offusquent',
    'offusquer',
    'offusquera',
    'offusquerai',
    'offusquerais',
    'offusquerait',
    'offusqueras',
    'offusquerez',
    'offusqueriez',
    'offusquerons',
    'offusqueront',
    'offusques',
    'offusquez',
    'offusquiez',
    'offusquions',
    'offusquons',
    'offusquâmes',
    'offusquât',
    'offusquâtes',
    'offusquèrent',
    'offusqué',
    'offusquée',
    'offusquées',
    'offusqués',
    'oflag',
    'oflags',
    'oghamique',
    'oghamiques',
    'ogival',
    'ogivale',
    'ogivales',
    'ogivaux',
    'ogive',
    'ogives',
    'ogre',
    'ogres',
    'ogresse',
    'ogresses',
    'ohmique',
    'ohmiques',
    'ohmmètre',
    'ohmmètres',
    'ohms',
    'oies',
    'oignirent',
    'oignit',
    'oignon',
    'oignonade',
    'oignonades',
    'oignonière',
    'oignonières',
    'oignons',
    'oille',
    'oilles',
    'oindre',
    'oing',
    'oings',
    'oint',
    'ointe',
    'ointes',
    'oints',
    'oiseau',
    'oiseaux',
    'oisela',
    'oiselai',
    'oiselaient',
    'oiselais',
    'oiselait',
    'oiselant',
    'oiselas',
    'oiselasse',
    'oiselassent',
    'oiselasses',
    'oiselassiez',
    'oiselassions',
    'oiseler',
    'oiselet',
    'oiselets',
    'oiseleur',
    'oiseleurs',
    'oiselez',
    'oiselier',
    'oiseliers',
    'oiseliez',
    'oiselions',
    'oiselière',
    'oiselières',
    'oiselle',
    'oisellent',
    'oisellera',
    'oisellerai',
    'oisellerais',
    'oisellerait',
    'oiselleras',
    'oisellerez',
    'oisellerie',
    'oiselleries',
    'oiselleriez',
    'oisellerions',
    'oisellerons',
    'oiselleront',
    'oiselles',
    'oiselons',
    'oiselâmes',
    'oiselât',
    'oiselâtes',
    'oiselèrent',
    'oiselé',
    'oiselée',
    'oiselées',
    'oiselés',
    'oiseuse',
    'oiseuses',
    'oiseux',
    'oisif',
    'oisifs',
    'oisillon',
    'oisillons',
    'oisive',
    'oisivement',
    'oisives',
    'oisiveté',
    'oisivetés',
    'oison',
    'oisons',
    'okapi',
    'okapis',
    'okoumé',
    'okoumés',
    'olfactif',
    'olfactifs',
    'olfaction',
    'olfactions',
    'olfactive',
    'olfactives',
    'olibrius',
    'olifant',
    'olifants',
    'oligarchie',
    'oligarchies',
    'oligarchique',
    'oligarque',
    'oligarques',
    'oligiste',
    'oligistes',
    'oligocène',
    'oligocènes',
    'oligophrénie',
    'oligopole',
    'oligopoles',
    'oligurie',
    'oliguries',
    'olim',
    'oliphant',
    'oliphants',
    'olivaie',
    'olivaies',
    'olivaison',
    'olivaisons',
    'olive',
    'oliveraie',
    'oliveraies',
    'olives',
    'olivette',
    'olivettes',
    'olivier',
    'oliviers',
    'olivine',
    'olivines',
    'olivâtre',
    'olivâtres',
    'olivétain',
    'olivétains',
    'ollaire',
    'ollaires',
    'ollé',
    'olographe',
    'olographes',
    'olympe',
    'olympes',
    'olympiade',
    'olympiades',
    'olympien',
    'olympienne',
    'olympiennes',
    'olympiens',
    'olympique',
    'olympiques',
    'olympisme',
    'olympismes',
    'oléagineuse',
    'oléagineuses',
    'oléagineux',
    'oléate',
    'oléates',
    'oléfiant',
    'oléfiante',
    'oléfiantes',
    'oléfiants',
    'oléfine',
    'oléfines',
    'oléicole',
    'oléicoles',
    'oléiculteur',
    'oléiculteurs',
    'oléicultrice',
    'oléiculture',
    'oléicultures',
    'oléiforme',
    'oléiformes',
    'oléifère',
    'oléifères',
    'oléine',
    'oléines',
    'oléique',
    'oléiques',
    'oléoduc',
    'oléoducs',
    'oléolat',
    'oléolats',
    'oléomètre',
    'oléomètres',
    'oléum',
    'oléums',
    'ombelle',
    'ombelles',
    'ombelliforme',
    'ombellifère',
    'ombellifères',
    'ombellule',
    'ombellules',
    'ombellé',
    'ombellée',
    'ombellées',
    'ombellés',
    'ombilic',
    'ombilical',
    'ombilicale',
    'ombilicales',
    'ombilicaux',
    'ombilics',
    'ombiliqué',
    'ombiliquée',
    'ombiliquées',
    'ombiliqués',
    'omble',
    'ombles',
    'ombra',
    'ombrage',
    'ombragea',
    'ombrageai',
    'ombrageaient',
    'ombrageais',
    'ombrageait',
    'ombrageant',
    'ombrageas',
    'ombrageasse',
    'ombrageasses',
    'ombragent',
    'ombrageons',
    'ombrager',
    'ombragera',
    'ombragerai',
    'ombragerais',
    'ombragerait',
    'ombrageras',
    'ombragerez',
    'ombrageriez',
    'ombragerions',
    'ombragerons',
    'ombrageront',
    'ombrages',
    'ombrageuse',
    'ombrageuses',
    'ombrageux',
    'ombragez',
    'ombrageâmes',
    'ombrageât',
    'ombrageâtes',
    'ombragiez',
    'ombragions',
    'ombragèrent',
    'ombragé',
    'ombragée',
    'ombragées',
    'ombragés',
    'ombrai',
    'ombraient',
    'ombrais',
    'ombrait',
    'ombrant',
    'ombras',
    'ombrasse',
    'ombrassent',
    'ombrasses',
    'ombrassiez',
    'ombrassions',
    'ombre',
    'ombrelle',
    'ombrelles',
    'ombrent',
    'ombrer',
    'ombrera',
    'ombrerai',
    'ombreraient',
    'ombrerais',
    'ombrerait',
    'ombreras',
    'ombrerez',
    'ombreriez',
    'ombrerions',
    'ombrerons',
    'ombreront',
    'ombres',
    'ombrette',
    'ombrettes',
    'ombreuse',
    'ombreuses',
    'ombreux',
    'ombrez',
    'ombrien',
    'ombrienne',
    'ombriennes',
    'ombriens',
    'ombriez',
    'ombrine',
    'ombrines',
    'ombrions',
    'ombrons',
    'ombrâmes',
    'ombrât',
    'ombrâtes',
    'ombrèrent',
    'ombré',
    'ombrée',
    'ombrées',
    'ombrés',
    'ombudsman',
    'ombudsmen',
    'omelette',
    'omelettes',
    'omet',
    'omets',
    'omettaient',
    'omettais',
    'omettait',
    'omettant',
    'omette',
    'omettent',
    'omettes',
    'omettez',
    'omettiez',
    'omettions',
    'omettons',
    'omettra',
    'omettrai',
    'omettraient',
    'omettrais',
    'omettrait',
    'omettras',
    'omettre',
    'omettrez',
    'omettriez',
    'omettrions',
    'omettrons',
    'omettront',
    'omicron',
    'omirent',
    'omis',
    'omise',
    'omises',
    'omisse',
    'omissent',
    'omisses',
    'omissiez',
    'omission',
    'omissions',
    'omit',
    'omnibus',
    'omnicolore',
    'omnicolores',
    'omnipotence',
    'omnipotences',
    'omnipotent',
    'omnipotente',
    'omnipotentes',
    'omnipotents',
    'omniprésence',
    'omniprésent',
    'omniprésente',
    'omniprésents',
    'omniscience',
    'omnisciences',
    'omniscient',
    'omnisciente',
    'omniscientes',
    'omniscients',
    'omnisports',
    'omnium',
    'omniums',
    'omnivore',
    'omnivores',
    'omoplate',
    'omoplates',
    'oméga',
    'omîmes',
    'omît',
    'omîtes',
    'onagre',
    'onagres',
    'onanisme',
    'onanismes',
    'once',
    'onces',
    'oncial',
    'onciale',
    'onciales',
    'onciaux',
    'oncle',
    'oncles',
    'oncogène',
    'oncogènes',
    'oncologie',
    'oncologies',
    'oncotique',
    'oncotiques',
    'onction',
    'onctions',
    'onctueuse',
    'onctueuses',
    'onctueux',
    'onctuosité',
    'onctuosités',
    'ondatra',
    'ondatras',
    'onde',
    'ondemètre',
    'ondemètres',
    'ondes',
    'ondin',
    'ondine',
    'ondines',
    'ondins',
    'ondoie',
    'ondoiement',
    'ondoiements',
    'ondoient',
    'ondoiera',
    'ondoierai',
    'ondoieraient',
    'ondoierais',
    'ondoierait',
    'ondoieras',
    'ondoierez',
    'ondoieriez',
    'ondoierions',
    'ondoierons',
    'ondoieront',
    'ondoies',
    'ondoya',
    'ondoyai',
    'ondoyaient',
    'ondoyais',
    'ondoyait',
    'ondoyant',
    'ondoyante',
    'ondoyantes',
    'ondoyants',
    'ondoyas',
    'ondoyasse',
    'ondoyassent',
    'ondoyasses',
    'ondoyassiez',
    'ondoyassions',
    'ondoyer',
    'ondoyez',
    'ondoyiez',
    'ondoyions',
    'ondoyons',
    'ondoyâmes',
    'ondoyât',
    'ondoyâtes',
    'ondoyèrent',
    'ondoyé',
    'ondoyée',
    'ondoyées',
    'ondoyés',
    'ondula',
    'ondulai',
    'ondulaient',
    'ondulais',
    'ondulait',
    'ondulant',
    'ondulante',
    'ondulantes',
    'ondulants',
    'ondulas',
    'ondulasse',
    'ondulassent',
    'ondulasses',
    'ondulassiez',
    'ondulassions',
    'ondulation',
    'ondulations',
    'ondulatoire',
    'ondulatoires',
    'ondule',
    'ondulent',
    'onduler',
    'ondulera',
    'ondulerai',
    'onduleraient',
    'ondulerais',
    'ondulerait',
    'onduleras',
    'ondulerez',
    'onduleriez',
    'ondulerions',
    'ondulerons',
    'onduleront',
    'ondules',
    'onduleuse',
    'onduleuses',
    'onduleux',
    'ondulez',
    'onduliez',
    'ondulions',
    'ondulons',
    'ondulâmes',
    'ondulât',
    'ondulâtes',
    'ondulèrent',
    'ondulé',
    'ondulée',
    'ondulées',
    'ondulés',
    'ondé',
    'ondée',
    'ondées',
    'ondés',
    'ongle',
    'ongles',
    'onglet',
    'onglets',
    'onglette',
    'onglettes',
    'onglier',
    'ongliers',
    'onglon',
    'onglons',
    'onglé',
    'onglée',
    'onglées',
    'onglés',
    'onguent',
    'onguents',
    'onguiculé',
    'onguiculée',
    'onguiculées',
    'onguiculés',
    'onguiforme',
    'onguiformes',
    'onguligrade',
    'onguligrades',
    'ongulé',
    'ongulée',
    'ongulées',
    'ongulés',
    'onirique',
    'oniriques',
    'onirisme',
    'onirismes',
    'onirologie',
    'onirologies',
    'onirologue',
    'onirologues',
    'oniromancie',
    'oniromancien',
    'oniromancies',
    'onkotique',
    'onkotiques',
    'onomastique',
    'onomastiques',
    'onomatopée',
    'onomatopées',
    'onques',
    'ontogenèse',
    'ontogenèses',
    'ontogénie',
    'ontogénies',
    'ontogénique',
    'ontogéniques',
    'ontologie',
    'ontologies',
    'ontologique',
    'ontologiques',
    'ontologisme',
    'ontologismes',
    'onusien',
    'onusienne',
    'onusiennes',
    'onusiens',
    'onychophagie',
    'onyx',
    'onyxis',
    'onzain',
    'onzains',
    'onze',
    'onzième',
    'onzièmement',
    'onzièmes',
    'onéreuse',
    'onéreusement',
    'onéreuses',
    'onéreux',
    'oocyte',
    'oocytes',
    'oogone',
    'oogones',
    'oolithe',
    'oolithes',
    'oolithique',
    'oolithiques',
    'oosphère',
    'oosphères',
    'oospore',
    'oospores',
    'oothèque',
    'oothèques',
    'opacifia',
    'opacifiai',
    'opacifiaient',
    'opacifiais',
    'opacifiait',
    'opacifiant',
    'opacifias',
    'opacifiasse',
    'opacifiasses',
    'opacifie',
    'opacifient',
    'opacifier',
    'opacifiera',
    'opacifierai',
    'opacifierais',
    'opacifierait',
    'opacifieras',
    'opacifierez',
    'opacifieriez',
    'opacifierons',
    'opacifieront',
    'opacifies',
    'opacifiez',
    'opacifiiez',
    'opacifiions',
    'opacifions',
    'opacifiâmes',
    'opacifiât',
    'opacifiâtes',
    'opacifièrent',
    'opacifié',
    'opacifiée',
    'opacifiées',
    'opacifiés',
    'opacimétrie',
    'opacimétries',
    'opacité',
    'opacités',
    'opale',
    'opales',
    'opalescence',
    'opalescences',
    'opalescent',
    'opalescente',
    'opalescentes',
    'opalescents',
    'opalin',
    'opaline',
    'opalines',
    'opalins',
    'opalisa',
    'opalisai',
    'opalisaient',
    'opalisais',
    'opalisait',
    'opalisant',
    'opalisas',
    'opalisasse',
    'opalisassent',
    'opalisasses',
    'opalisassiez',
    'opalise',
    'opalisent',
    'opaliser',
    'opalisera',
    'opaliserai',
    'opaliserais',
    'opaliserait',
    'opaliseras',
    'opaliserez',
    'opaliseriez',
    'opaliserions',
    'opaliserons',
    'opaliseront',
    'opalises',
    'opalisez',
    'opalisiez',
    'opalisions',
    'opalisons',
    'opalisâmes',
    'opalisât',
    'opalisâtes',
    'opalisèrent',
    'opalisé',
    'opalisée',
    'opalisées',
    'opalisés',
    'opaque',
    'opaques',
    'open',
    'opens',
    'operculaire',
    'operculaires',
    'opercule',
    'opercules',
    'operculé',
    'operculée',
    'operculées',
    'operculés',
    'opes',
    'ophicléide',
    'ophicléides',
    'ophidien',
    'ophidienne',
    'ophidiennes',
    'ophidiens',
    'ophioglosse',
    'ophioglosses',
    'ophiographie',
    'ophiologie',
    'ophiologies',
    'ophiolâtrie',
    'ophiolâtries',
    'ophite',
    'ophites',
    'ophiure',
    'ophiures',
    'ophrys',
    'ophtalmie',
    'ophtalmies',
    'ophtalmique',
    'ophtalmiques',
    'opiace',
    'opiacent',
    'opiacer',
    'opiacera',
    'opiacerai',
    'opiaceraient',
    'opiacerais',
    'opiacerait',
    'opiaceras',
    'opiacerez',
    'opiaceriez',
    'opiacerions',
    'opiacerons',
    'opiaceront',
    'opiaces',
    'opiacez',
    'opiaciez',
    'opiacions',
    'opiacèrent',
    'opiacé',
    'opiacée',
    'opiacées',
    'opiacés',
    'opiat',
    'opiats',
    'opiaça',
    'opiaçai',
    'opiaçaient',
    'opiaçais',
    'opiaçait',
    'opiaçant',
    'opiaças',
    'opiaçasse',
    'opiaçassent',
    'opiaçasses',
    'opiaçassiez',
    'opiaçassions',
    'opiaçons',
    'opiaçâmes',
    'opiaçât',
    'opiaçâtes',
    'opimes',
    'opina',
    'opinai',
    'opinaient',
    'opinais',
    'opinait',
    'opinant',
    'opinas',
    'opinasse',
    'opinassent',
    'opinasses',
    'opinassiez',
    'opinassions',
    'opine',
    'opinent',
    'opiner',
    'opinera',
    'opinerai',
    'opineraient',
    'opinerais',
    'opinerait',
    'opineras',
    'opinerez',
    'opineriez',
    'opinerions',
    'opinerons',
    'opineront',
    'opines',
    'opinez',
    'opiniez',
    'opinion',
    'opinions',
    'opiniâtre',
    'opiniâtrer',
    'opiniâtrerez',
    'opiniâtres',
    'opiniâtreté',
    'opiniâtretés',
    'opiniâtrez',
    'opiniâtriez',
    'opiniâtrions',
    'opiniâtrons',
    'opiniâtrâmes',
    'opiniâtrâtes',
    'opiniâtré',
    'opiniâtrée',
    'opiniâtrées',
    'opiniâtrés',
    'opinons',
    'opinâmes',
    'opinât',
    'opinâtes',
    'opinèrent',
    'opiné',
    'opiomane',
    'opiomanes',
    'opiomanie',
    'opiomanies',
    'opisthodome',
    'opisthodomes',
    'opium',
    'opiums',
    'opopanax',
    'opossum',
    'opossums',
    'opothérapie',
    'opothérapies',
    'oppida',
    'oppidum',
    'oppidums',
    'opportun',
    'opportune',
    'opportunes',
    'opportunisme',
    'opportuniste',
    'opportunité',
    'opportunités',
    'opportuns',
    'opposa',
    'opposabilité',
    'opposable',
    'opposables',
    'opposai',
    'opposaient',
    'opposais',
    'opposait',
    'opposant',
    'opposante',
    'opposantes',
    'opposants',
    'opposas',
    'opposasse',
    'opposassent',
    'opposasses',
    'opposassiez',
    'opposassions',
    'oppose',
    'opposent',
    'opposer',
    'opposera',
    'opposerai',
    'opposeraient',
    'opposerais',
    'opposerait',
    'opposeras',
    'opposerez',
    'opposeriez',
    'opposerions',
    'opposerons',
    'opposeront',
    'opposes',
    'opposez',
    'opposiez',
    'opposions',
    'opposite',
    'opposition',
    'oppositions',
    'opposons',
    'opposâmes',
    'opposât',
    'opposâtes',
    'opposèrent',
    'opposé',
    'opposée',
    'opposées',
    'opposés',
    'oppressa',
    'oppressai',
    'oppressaient',
    'oppressais',
    'oppressait',
    'oppressant',
    'oppressante',
    'oppressantes',
    'oppressants',
    'oppressas',
    'oppressasse',
    'oppressasses',
    'oppresse',
    'oppressent',
    'oppresser',
    'oppressera',
    'oppresserai',
    'oppresserais',
    'oppresserait',
    'oppresseras',
    'oppresserez',
    'oppresseriez',
    'oppresserons',
    'oppresseront',
    'oppresses',
    'oppresseur',
    'oppresseurs',
    'oppressez',
    'oppressiez',
    'oppressif',
    'oppressifs',
    'oppression',
    'oppressions',
    'oppressive',
    'oppressives',
    'oppressons',
    'oppressâmes',
    'oppressât',
    'oppressâtes',
    'oppressèrent',
    'oppressé',
    'oppressée',
    'oppressées',
    'oppressés',
    'opprima',
    'opprimai',
    'opprimaient',
    'opprimais',
    'opprimait',
    'opprimant',
    'opprimante',
    'opprimas',
    'opprimasse',
    'opprimassent',
    'opprimasses',
    'opprimassiez',
    'opprime',
    'oppriment',
    'opprimer',
    'opprimera',
    'opprimerai',
    'opprimerais',
    'opprimerait',
    'opprimeras',
    'opprimerez',
    'opprimeriez',
    'opprimerions',
    'opprimerons',
    'opprimeront',
    'opprimes',
    'opprimez',
    'opprimiez',
    'opprimions',
    'opprimons',
    'opprimâmes',
    'opprimât',
    'opprimâtes',
    'opprimèrent',
    'opprimé',
    'opprimée',
    'opprimées',
    'opprimés',
    'opprobre',
    'opprobres',
    'opta',
    'optai',
    'optaient',
    'optais',
    'optait',
    'optant',
    'optas',
    'optasse',
    'optassent',
    'optasses',
    'optassiez',
    'optassions',
    'optatif',
    'optatifs',
    'optative',
    'optatives',
    'opte',
    'optent',
    'opter',
    'optera',
    'opterai',
    'opteraient',
    'opterais',
    'opterait',
    'opteras',
    'opterez',
    'opteriez',
    'opterions',
    'opterons',
    'opteront',
    'optes',
    'optez',
    'opticien',
    'opticienne',
    'opticiennes',
    'opticiens',
    'optiez',
    'optima',
    'optimal',
    'optimale',
    'optimales',
    'optimalisa',
    'optimalisai',
    'optimalisais',
    'optimalisait',
    'optimalisant',
    'optimalisas',
    'optimalise',
    'optimalisent',
    'optimaliser',
    'optimalisera',
    'optimalises',
    'optimalisez',
    'optimalisiez',
    'optimalisons',
    'optimalisât',
    'optimalisé',
    'optimalisée',
    'optimalisées',
    'optimalisés',
    'optimaux',
    'optimisa',
    'optimisai',
    'optimisaient',
    'optimisais',
    'optimisait',
    'optimisant',
    'optimisas',
    'optimisasse',
    'optimisasses',
    'optimisation',
    'optimise',
    'optimisent',
    'optimiser',
    'optimisera',
    'optimiserai',
    'optimiserais',
    'optimiserait',
    'optimiseras',
    'optimiserez',
    'optimiseriez',
    'optimiserons',
    'optimiseront',
    'optimises',
    'optimisez',
    'optimisiez',
    'optimisions',
    'optimisme',
    'optimismes',
    'optimisons',
    'optimiste',
    'optimistes',
    'optimisâmes',
    'optimisât',
    'optimisâtes',
    'optimisèrent',
    'optimisé',
    'optimisée',
    'optimisées',
    'optimisés',
    'optimum',
    'optimums',
    'option',
    'optionnaire',
    'optionnaires',
    'optionnel',
    'optionnelle',
    'optionnelles',
    'optionnels',
    'options',
    'optique',
    'optiquement',
    'optiques',
    'optométrie',
    'optométries',
    'optons',
    'optâmes',
    'optât',
    'optâtes',
    'optèrent',
    'opté',
    'opulence',
    'opulences',
    'opulent',
    'opulente',
    'opulentes',
    'opulents',
    'opuntia',
    'opuntias',
    'opus',
    'opuscule',
    'opuscules',
    'opère',
    'opèrent',
    'opères',
    'opéra',
    'opérable',
    'opérables',
    'opérai',
    'opéraient',
    'opérais',
    'opérait',
    'opérande',
    'opérandes',
    'opérant',
    'opérante',
    'opérantes',
    'opérants',
    'opéras',
    'opérasse',
    'opérassent',
    'opérasses',
    'opérassiez',
    'opérassions',
    'opérateur',
    'opérateurs',
    'opération',
    'opérationnel',
    'opérations',
    'opératoire',
    'opératoires',
    'opératrice',
    'opératrices',
    'opérer',
    'opérera',
    'opérerai',
    'opéreraient',
    'opérerais',
    'opérerait',
    'opéreras',
    'opérerez',
    'opéreriez',
    'opérerions',
    'opérerons',
    'opéreront',
    'opérette',
    'opérettes',
    'opérez',
    'opériez',
    'opérions',
    'opérons',
    'opérâmes',
    'opérât',
    'opérâtes',
    'opérèrent',
    'opéré',
    'opérée',
    'opérées',
    'opérés',
    'oracle',
    'oracles',
    'orage',
    'orages',
    'orageuse',
    'orageusement',
    'orageuses',
    'orageux',
    'oraison',
    'oraisons',
    'oral',
    'orale',
    'oralement',
    'orales',
    'orange',
    'orangea',
    'orangeade',
    'orangeades',
    'orangeai',
    'orangeaient',
    'orangeais',
    'orangeait',
    'orangeant',
    'orangeas',
    'orangeasse',
    'orangeassent',
    'orangeasses',
    'orangeassiez',
    'orangent',
    'orangeons',
    'oranger',
    'orangera',
    'orangerai',
    'orangeraie',
    'orangeraient',
    'orangeraies',
    'orangerais',
    'orangerait',
    'orangeras',
    'orangerez',
    'orangerie',
    'orangeries',
    'orangeriez',
    'orangerions',
    'orangerons',
    'orangeront',
    'orangers',
    'oranges',
    'orangez',
    'orangeâmes',
    'orangeât',
    'orangeâtes',
    'orangiez',
    'orangions',
    'orangiste',
    'orangistes',
    'orangèrent',
    'orangé',
    'orangée',
    'orangées',
    'orangés',
    'orant',
    'orante',
    'orantes',
    'orants',
    'orateur',
    'orateurs',
    'oratoire',
    'oratoires',
    'oratorien',
    'oratoriens',
    'oratorio',
    'oratorios',
    'oratrice',
    'oratrices',
    'oraux',
    'orbe',
    'orbes',
    'orbicole',
    'orbicoles',
    'orbiculaire',
    'orbiculaires',
    'orbita',
    'orbitai',
    'orbitaient',
    'orbitaire',
    'orbitaires',
    'orbitais',
    'orbitait',
    'orbital',
    'orbitale',
    'orbitales',
    'orbitant',
    'orbitas',
    'orbitasse',
    'orbitassent',
    'orbitasses',
    'orbitassiez',
    'orbitassions',
    'orbitaux',
    'orbite',
    'orbitent',
    'orbiter',
    'orbitera',
    'orbiterai',
    'orbiteraient',
    'orbiterais',
    'orbiterait',
    'orbiteras',
    'orbiterez',
    'orbiteriez',
    'orbiterions',
    'orbiterons',
    'orbiteront',
    'orbites',
    'orbitez',
    'orbitiez',
    'orbitions',
    'orbitons',
    'orbitâmes',
    'orbitât',
    'orbitâtes',
    'orbitèrent',
    'orbité',
    'orcanette',
    'orcanettes',
    'orchestique',
    'orchestiques',
    'orchestra',
    'orchestrai',
    'orchestrais',
    'orchestrait',
    'orchestral',
    'orchestrale',
    'orchestrales',
    'orchestrant',
    'orchestras',
    'orchestrasse',
    'orchestraux',
    'orchestre',
    'orchestrent',
    'orchestrer',
    'orchestrera',
    'orchestrerai',
    'orchestreras',
    'orchestrerez',
    'orchestres',
    'orchestrez',
    'orchestriez',
    'orchestrions',
    'orchestrons',
    'orchestrâmes',
    'orchestrât',
    'orchestrâtes',
    'orchestré',
    'orchestrée',
    'orchestrées',
    'orchestrés',
    'orchidée',
    'orchidées',
    'orchis',
    'orchite',
    'orchites',
    'ordalie',
    'ordalies',
    'ordinaire',
    'ordinaires',
    'ordinal',
    'ordinale',
    'ordinales',
    'ordinand',
    'ordinands',
    'ordinateur',
    'ordinateurs',
    'ordination',
    'ordinations',
    'ordinatrice',
    'ordinatrices',
    'ordinaux',
    'ordo',
    'ordonna',
    'ordonnai',
    'ordonnaient',
    'ordonnais',
    'ordonnait',
    'ordonnance',
    'ordonnancent',
    'ordonnancer',
    'ordonnancera',
    'ordonnances',
    'ordonnancez',
    'ordonnanciez',
    'ordonnancé',
    'ordonnancée',
    'ordonnancées',
    'ordonnancés',
    'ordonnant',
    'ordonnança',
    'ordonnançai',
    'ordonnançais',
    'ordonnançait',
    'ordonnançant',
    'ordonnanças',
    'ordonnançons',
    'ordonnançât',
    'ordonnas',
    'ordonnasse',
    'ordonnassent',
    'ordonnasses',
    'ordonnassiez',
    'ordonnateur',
    'ordonnateurs',
    'ordonnatrice',
    'ordonne',
    'ordonnent',
    'ordonner',
    'ordonnera',
    'ordonnerai',
    'ordonnerais',
    'ordonnerait',
    'ordonneras',
    'ordonnerez',
    'ordonneriez',
    'ordonnerions',
    'ordonnerons',
    'ordonneront',
    'ordonnes',
    'ordonnez',
    'ordonniez',
    'ordonnions',
    'ordonnons',
    'ordonnâmes',
    'ordonnât',
    'ordonnâtes',
    'ordonnèrent',
    'ordonné',
    'ordonnée',
    'ordonnées',
    'ordonnés',
    'ordre',
    'ordres',
    'ordure',
    'ordures',
    'ordurier',
    'orduriers',
    'ordurière',
    'ordurières',
    'oreillard',
    'oreillarde',
    'oreillardes',
    'oreillards',
    'oreille',
    'oreiller',
    'oreillers',
    'oreilles',
    'oreillette',
    'oreillettes',
    'oreillon',
    'oreillons',
    'ores',
    'orfraie',
    'orfraies',
    'orfroi',
    'orfrois',
    'orfèvre',
    'orfèvrerie',
    'orfèvreries',
    'orfèvres',
    'organdi',
    'organdis',
    'organe',
    'organeau',
    'organeaux',
    'organes',
    'organicisme',
    'organicismes',
    'organigramme',
    'organique',
    'organiques',
    'organisa',
    'organisable',
    'organisables',
    'organisai',
    'organisaient',
    'organisais',
    'organisait',
    'organisant',
    'organisas',
    'organisasse',
    'organisasses',
    'organisateur',
    'organisation',
    'organise',
    'organisent',
    'organiser',
    'organisera',
    'organiserai',
    'organiserais',
    'organiserait',
    'organiseras',
    'organiserez',
    'organiseriez',
    'organiserons',
    'organiseront',
    'organises',
    'organisez',
    'organisiez',
    'organisions',
    'organisme',
    'organismes',
    'organisons',
    'organiste',
    'organistes',
    'organisâmes',
    'organisât',
    'organisâtes',
    'organisèrent',
    'organisé',
    'organisée',
    'organisées',
    'organisés',
    'organite',
    'organites',
    'organsin',
    'organsina',
    'organsinai',
    'organsinais',
    'organsinait',
    'organsinant',
    'organsinas',
    'organsinasse',
    'organsine',
    'organsinent',
    'organsiner',
    'organsines',
    'organsinez',
    'organsiniez',
    'organsinions',
    'organsinons',
    'organsins',
    'organsinâmes',
    'organsinât',
    'organsinâtes',
    'organsiné',
    'organsinée',
    'organsinées',
    'organsinés',
    'orgasme',
    'orgasmes',
    'orgastique',
    'orgastiques',
    'orge',
    'orgeat',
    'orgeats',
    'orgelet',
    'orgelets',
    'orges',
    'orgiaque',
    'orgiaques',
    'orgie',
    'orgies',
    'orgue',
    'orgueil',
    'orgueilleuse',
    'orgueilleux',
    'orgueils',
    'orgues',
    'oribus',
    'orichalque',
    'orichalques',
    'oriel',
    'oriels',
    'orient',
    'orienta',
    'orientable',
    'orientables',
    'orientai',
    'orientaient',
    'orientais',
    'orientait',
    'oriental',
    'orientale',
    'orientales',
    'orientalisme',
    'orientaliste',
    'orientant',
    'orientas',
    'orientasse',
    'orientassent',
    'orientasses',
    'orientassiez',
    'orientateur',
    'orientateurs',
    'orientation',
    'orientations',
    'orientatrice',
    'orientaux',
    'oriente',
    'orientement',
    'orientements',
    'orientent',
    'orienter',
    'orientera',
    'orienterai',
    'orienterais',
    'orienterait',
    'orienteras',
    'orienterez',
    'orienteriez',
    'orienterions',
    'orienterons',
    'orienteront',
    'orientes',
    'orienteur',
    'orienteurs',
    'orienteuse',
    'orienteuses',
    'orientez',
    'orientiez',
    'orientions',
    'orientons',
    'orientrice',
    'orientrices',
    'orients',
    'orientâmes',
    'orientât',
    'orientâtes',
    'orientèrent',
    'orienté',
    'orientée',
    'orientées',
    'orientés',
    'orifice',
    'orifices',
    'oriflamme',
    'oriflammes',
    'origan',
    'origans',
    'originaire',
    'originaires',
    'original',
    'originale',
    'originales',
    'originalité',
    'originalités',
    'originaux',
    'origine',
    'originel',
    'originelle',
    'originelles',
    'originels',
    'origines',
    'orignal',
    'orignaux',
    'orillon',
    'orillons',
    'orin',
    'oringua',
    'oringuai',
    'oringuaient',
    'oringuais',
    'oringuait',
    'oringuant',
    'oringuas',
    'oringuasse',
    'oringuassent',
    'oringuasses',
    'oringuassiez',
    'oringue',
    'oringuent',
    'oringuer',
    'oringuera',
    'oringuerai',
    'oringuerais',
    'oringuerait',
    'oringueras',
    'oringuerez',
    'oringueriez',
    'oringuerions',
    'oringuerons',
    'oringueront',
    'oringues',
    'oringuez',
    'oringuiez',
    'oringuions',
    'oringuons',
    'oringuâmes',
    'oringuât',
    'oringuâtes',
    'oringuèrent',
    'oringué',
    'oringuée',
    'oringuées',
    'oringués',
    'orins',
    'oripeau',
    'oripeaux',
    'orle',
    'orles',
    'orléaniste',
    'orléanistes',
    'ormaie',
    'ormaies',
    'orme',
    'ormeau',
    'ormeaux',
    'ormes',
    'ormille',
    'ormilles',
    'ormoie',
    'ormoies',
    'orna',
    'ornai',
    'ornaient',
    'ornais',
    'ornait',
    'ornant',
    'ornas',
    'ornasse',
    'ornassent',
    'ornasses',
    'ornassiez',
    'ornassions',
    'orne',
    'ornemaniste',
    'ornemanistes',
    'ornement',
    'ornementa',
    'ornementai',
    'ornementais',
    'ornementait',
    'ornemental',
    'ornementale',
    'ornementales',
    'ornementant',
    'ornementas',
    'ornementasse',
    'ornementaux',
    'ornemente',
    'ornementent',
    'ornementer',
    'ornementera',
    'ornementerai',
    'ornementeras',
    'ornementerez',
    'ornementes',
    'ornementez',
    'ornementiez',
    'ornementions',
    'ornementons',
    'ornements',
    'ornementâmes',
    'ornementât',
    'ornementâtes',
    'ornementé',
    'ornementée',
    'ornementées',
    'ornementés',
    'ornent',
    'orner',
    'ornera',
    'ornerai',
    'orneraient',
    'ornerais',
    'ornerait',
    'orneras',
    'ornerez',
    'orneriez',
    'ornerions',
    'ornerons',
    'orneront',
    'ornes',
    'ornez',
    'orniez',
    'ornions',
    'ornithogale',
    'ornithogales',
    'ornithologie',
    'ornithologue',
    'ornière',
    'ornières',
    'ornons',
    'ornâmes',
    'ornât',
    'ornâtes',
    'ornèrent',
    'orné',
    'ornée',
    'ornées',
    'ornés',
    'orobanche',
    'orobanches',
    'orobe',
    'orobes',
    'orogenèse',
    'orogenèses',
    'orographie',
    'orographies',
    'orographique',
    'orogénie',
    'orogénies',
    'orogénique',
    'orogéniques',
    'oronge',
    'oronges',
    'oropharynx',
    'orpaillage',
    'orpaillages',
    'orpailleur',
    'orpailleurs',
    'orphelin',
    'orphelinat',
    'orphelinats',
    'orpheline',
    'orphelines',
    'orphelins',
    'orphie',
    'orphies',
    'orphique',
    'orphiques',
    'orphisme',
    'orphismes',
    'orphéon',
    'orphéoniste',
    'orphéonistes',
    'orphéons',
    'orpiment',
    'orpiments',
    'orpin',
    'orpins',
    'orque',
    'orques',
    'orseille',
    'orseilles',
    'orteil',
    'orteils',
    'orthocentre',
    'orthocentres',
    'orthodontie',
    'orthodonties',
    'orthodoxe',
    'orthodoxes',
    'orthodoxie',
    'orthodoxies',
    'orthogenèse',
    'orthogenèses',
    'orthogonal',
    'orthogonale',
    'orthogonales',
    'orthogonaux',
    'orthographe',
    'orthographes',
    'orthographia',
    'orthographie',
    'orthographié',
    'orthogénie',
    'orthogénies',
    'orthonormale',
    'orthophonie',
    'orthophonies',
    'orthoptère',
    'orthoptères',
    'orthopédie',
    'orthopédies',
    'orthopédique',
    'orthopédiste',
    'orthose',
    'orthoses',
    'ortie',
    'orties',
    'ortolan',
    'ortolans',
    'orvale',
    'orvales',
    'orvet',
    'orvets',
    'orviétan',
    'orviétans',
    'oryctérope',
    'oryctéropes',
    'oréade',
    'oréades',
    'orée',
    'orées',
    'osai',
    'osaient',
    'osais',
    'osait',
    'osant',
    'osas',
    'osasse',
    'osassent',
    'osasses',
    'osassiez',
    'osassions',
    'oscabrion',
    'oscabrions',
    'oscar',
    'oscars',
    'oscilla',
    'oscillai',
    'oscillaient',
    'oscillais',
    'oscillait',
    'oscillant',
    'oscillante',
    'oscillantes',
    'oscillants',
    'oscillas',
    'oscillasse',
    'oscillassent',
    'oscillasses',
    'oscillassiez',
    'oscillation',
    'oscillations',
    'oscillatoire',
    'oscille',
    'oscillent',
    'osciller',
    'oscillera',
    'oscillerai',
    'oscillerais',
    'oscillerait',
    'oscilleras',
    'oscillerez',
    'oscilleriez',
    'oscillerions',
    'oscillerons',
    'oscilleront',
    'oscilles',
    'oscillez',
    'oscilliez',
    'oscillions',
    'oscillomètre',
    'oscillons',
    'oscillâmes',
    'oscillât',
    'oscillâtes',
    'oscillèrent',
    'oscillé',
    'osculation',
    'osculations',
    'oscule',
    'oscules',
    'oseille',
    'oseilles',
    'osent',
    'oser',
    'osera',
    'oserai',
    'oseraie',
    'oseraient',
    'oseraies',
    'oserais',
    'oserait',
    'oseras',
    'oserez',
    'oseriez',
    'oserions',
    'oserons',
    'oseront',
    'oses',
    'osez',
    'osgood',
    'oside',
    'osides',
    'osier',
    'osiers',
    'osiez',
    'osions',
    'osmique',
    'osmiques',
    'osmium',
    'osmiums',
    'osmomètre',
    'osmomètres',
    'osmonde',
    'osmondes',
    'osmose',
    'osmoses',
    'osmotique',
    'osmotiques',
    'osons',
    'osque',
    'osques',
    'ossature',
    'ossatures',
    'osselet',
    'osselets',
    'ossement',
    'ossements',
    'osseuse',
    'osseuses',
    'osseux',
    'ossianique',
    'ossianiques',
    'ossifia',
    'ossifiai',
    'ossifiaient',
    'ossifiais',
    'ossifiait',
    'ossifiant',
    'ossifias',
    'ossifiasse',
    'ossifiassent',
    'ossifiasses',
    'ossifiassiez',
    'ossification',
    'ossifie',
    'ossifient',
    'ossifier',
    'ossifiera',
    'ossifierai',
    'ossifierais',
    'ossifierait',
    'ossifieras',
    'ossifierez',
    'ossifieriez',
    'ossifierions',
    'ossifierons',
    'ossifieront',
    'ossifies',
    'ossifiez',
    'ossifiiez',
    'ossifiions',
    'ossifions',
    'ossifiâmes',
    'ossifiât',
    'ossifiâtes',
    'ossifièrent',
    'ossifié',
    'ossifiée',
    'ossifiées',
    'ossifiés',
    'ossu',
    'ossuaire',
    'ossuaires',
    'ossue',
    'ossues',
    'ossus',
    'osséine',
    'osséines',
    'ostensible',
    'ostensibles',
    'ostensoir',
    'ostensoirs',
    'ostentation',
    'ostentations',
    'ostentatoire',
    'ostiak',
    'ostiaks',
    'ostiole',
    'ostioles',
    'ostracisa',
    'ostracisai',
    'ostracisais',
    'ostracisait',
    'ostracisant',
    'ostracisas',
    'ostracisasse',
    'ostracise',
    'ostracisent',
    'ostraciser',
    'ostracisera',
    'ostraciserai',
    'ostraciseras',
    'ostraciserez',
    'ostracises',
    'ostracisez',
    'ostracisiez',
    'ostracisions',
    'ostracisme',
    'ostracismes',
    'ostracisons',
    'ostracisâmes',
    'ostracisât',
    'ostracisâtes',
    'ostracisé',
    'ostracisée',
    'ostracisées',
    'ostracisés',
    'ostrogot',
    'ostrogote',
    'ostrogotes',
    'ostrogothe',
    'ostrogothes',
    'ostrogots',
    'ostrogradski',
    'ostréicole',
    'ostréicoles',
    'ostéalgie',
    'ostéalgies',
    'ostéite',
    'ostéites',
    'ostéoblaste',
    'ostéoblastes',
    'ostéoclasie',
    'ostéoclasies',
    'ostéogenèse',
    'ostéogenèses',
    'ostéologie',
    'ostéologies',
    'ostéomalacie',
    'ostéomyélite',
    'ostéopathe',
    'ostéopathes',
    'ostéopathie',
    'ostéopathies',
    'ostéophyte',
    'ostéophytes',
    'ostéoplastie',
    'ostéoporose',
    'ostéoporoses',
    'ostéosarcome',
    'ostéotomie',
    'ostéotomies',
    'osâmes',
    'osât',
    'osâtes',
    'osèrent',
    'osée',
    'osées',
    'osés',
    'otage',
    'otages',
    'otalgie',
    'otalgies',
    'otarie',
    'otaries',
    'otique',
    'otiques',
    'otite',
    'otites',
    'otocyon',
    'otocyons',
    'otocyste',
    'otocystes',
    'otolithe',
    'otolithes',
    'otologie',
    'otologies',
    'otorragie',
    'otorragies',
    'otorrhée',
    'otorrhées',
    'otoscope',
    'otoscopes',
    'ottoman',
    'ottomane',
    'ottomanes',
    'ottomans',
    'ouabaïne',
    'ouabaïnes',
    'ouailles',
    'ouais',
    'ouananiche',
    'ouananiches',
    'ouaouaron',
    'ouaouarons',
    'ouata',
    'ouatai',
    'ouataient',
    'ouatais',
    'ouatait',
    'ouatant',
    'ouatas',
    'ouatasse',
    'ouatassent',
    'ouatasses',
    'ouatassiez',
    'ouatassions',
    'ouate',
    'ouatent',
    'ouater',
    'ouatera',
    'ouaterai',
    'ouateraient',
    'ouaterais',
    'ouaterait',
    'ouateras',
    'ouaterez',
    'ouateriez',
    'ouaterions',
    'ouaterons',
    'ouateront',
    'ouates',
    'ouatez',
    'ouatiez',
    'ouatina',
    'ouatinai',
    'ouatinaient',
    'ouatinais',
    'ouatinait',
    'ouatinant',
    'ouatinas',
    'ouatinasse',
    'ouatinassent',
    'ouatinasses',
    'ouatinassiez',
    'ouatine',
    'ouatinent',
    'ouatiner',
    'ouatinera',
    'ouatinerai',
    'ouatinerais',
    'ouatinerait',
    'ouatineras',
    'ouatinerez',
    'ouatineriez',
    'ouatinerions',
    'ouatinerons',
    'ouatineront',
    'ouatines',
    'ouatinez',
    'ouatiniez',
    'ouatinions',
    'ouatinons',
    'ouatinâmes',
    'ouatinât',
    'ouatinâtes',
    'ouatinèrent',
    'ouatiné',
    'ouatinée',
    'ouatinées',
    'ouatinés',
    'ouations',
    'ouatons',
    'ouatâmes',
    'ouatât',
    'ouatâtes',
    'ouatèrent',
    'ouaté',
    'ouatée',
    'ouatées',
    'ouatés',
    'oubli',
    'oublia',
    'oubliai',
    'oubliaient',
    'oubliais',
    'oubliait',
    'oubliant',
    'oublias',
    'oubliasse',
    'oubliassent',
    'oubliasses',
    'oubliassiez',
    'oubliassions',
    'oublie',
    'oublient',
    'oublier',
    'oubliera',
    'oublierai',
    'oublieraient',
    'oublierais',
    'oublierait',
    'oublieras',
    'oublierez',
    'oublieriez',
    'oublierions',
    'oublierons',
    'oublieront',
    'oublies',
    'oubliette',
    'oubliettes',
    'oublieuse',
    'oublieuses',
    'oublieux',
    'oubliez',
    'oubliiez',
    'oubliions',
    'oublions',
    'oublis',
    'oubliâmes',
    'oubliât',
    'oubliâtes',
    'oublièrent',
    'oublié',
    'oubliée',
    'oubliées',
    'oubliés',
    'ouche',
    'ouches',
    'oued',
    'oueds',
    'ouest',
    'ougrien',
    'ougrienne',
    'ougriennes',
    'ougriens',
    'ouilla',
    'ouillai',
    'ouillaient',
    'ouillais',
    'ouillait',
    'ouillant',
    'ouillas',
    'ouillasse',
    'ouillassent',
    'ouillasses',
    'ouillassiez',
    'ouillassions',
    'ouille',
    'ouillent',
    'ouiller',
    'ouillera',
    'ouillerai',
    'ouilleraient',
    'ouillerais',
    'ouillerait',
    'ouilleras',
    'ouillerez',
    'ouilleriez',
    'ouillerions',
    'ouillerons',
    'ouilleront',
    'ouilles',
    'ouillez',
    'ouilliez',
    'ouillions',
    'ouillons',
    'ouillâmes',
    'ouillât',
    'ouillâtes',
    'ouillère',
    'ouillèrent',
    'ouillères',
    'ouillé',
    'ouillée',
    'ouillées',
    'ouillés',
    'ouistiti',
    'ouistitis',
    'oukase',
    'oukases',
    'ouléma',
    'oulémas',
    'ouragan',
    'ouragans',
    'ouralien',
    'ouralienne',
    'ouraliennes',
    'ouraliens',
    'ourdi',
    'ourdie',
    'ourdies',
    'ourdir',
    'ourdira',
    'ourdirai',
    'ourdiraient',
    'ourdirais',
    'ourdirait',
    'ourdiras',
    'ourdirent',
    'ourdirez',
    'ourdiriez',
    'ourdirions',
    'ourdirons',
    'ourdiront',
    'ourdis',
    'ourdissage',
    'ourdissages',
    'ourdissaient',
    'ourdissais',
    'ourdissait',
    'ourdissant',
    'ourdisse',
    'ourdissent',
    'ourdisses',
    'ourdisseur',
    'ourdisseurs',
    'ourdisseuse',
    'ourdisseuses',
    'ourdissez',
    'ourdissiez',
    'ourdissions',
    'ourdissoir',
    'ourdissoirs',
    'ourdissons',
    'ourdit',
    'ourdou',
    'ourdîmes',
    'ourdît',
    'ourdîtes',
    'ourla',
    'ourlai',
    'ourlaient',
    'ourlais',
    'ourlait',
    'ourlant',
    'ourlas',
    'ourlasse',
    'ourlassent',
    'ourlasses',
    'ourlassiez',
    'ourlassions',
    'ourle',
    'ourlent',
    'ourler',
    'ourlera',
    'ourlerai',
    'ourleraient',
    'ourlerais',
    'ourlerait',
    'ourleras',
    'ourlerez',
    'ourleriez',
    'ourlerions',
    'ourlerons',
    'ourleront',
    'ourles',
    'ourlet',
    'ourlets',
    'ourlez',
    'ourlien',
    'ourlienne',
    'ourliennes',
    'ourliens',
    'ourliez',
    'ourlions',
    'ourlons',
    'ourlâmes',
    'ourlât',
    'ourlâtes',
    'ourlèrent',
    'ourlé',
    'ourlée',
    'ourlées',
    'ourlés',
    'ours',
    'ourse',
    'ourses',
    'oursin',
    'oursins',
    'ourson',
    'oursons',
    'oust',
    'ouste',
    'outarde',
    'outardeau',
    'outardeaux',
    'outardes',
    'outil',
    'outilla',
    'outillage',
    'outillages',
    'outillai',
    'outillaient',
    'outillais',
    'outillait',
    'outillant',
    'outillas',
    'outillasse',
    'outillassent',
    'outillasses',
    'outillassiez',
    'outille',
    'outillent',
    'outiller',
    'outillera',
    'outillerai',
    'outillerais',
    'outillerait',
    'outilleras',
    'outillerez',
    'outilleriez',
    'outillerions',
    'outillerons',
    'outilleront',
    'outilles',
    'outilleur',
    'outilleurs',
    'outillez',
    'outilliez',
    'outillions',
    'outillons',
    'outillâmes',
    'outillât',
    'outillâtes',
    'outillèrent',
    'outillé',
    'outillée',
    'outillées',
    'outillés',
    'outils',
    'outlaw',
    'outlaws',
    'output',
    'outputs',
    'outra',
    'outrage',
    'outragea',
    'outrageai',
    'outrageaient',
    'outrageais',
    'outrageait',
    'outrageant',
    'outrageante',
    'outrageantes',
    'outrageants',
    'outrageas',
    'outrageasse',
    'outrageasses',
    'outragent',
    'outrageons',
    'outrager',
    'outragera',
    'outragerai',
    'outragerais',
    'outragerait',
    'outrageras',
    'outragerez',
    'outrageriez',
    'outragerions',
    'outragerons',
    'outrageront',
    'outrages',
    'outrageuse',
    'outrageuses',
    'outrageux',
    'outragez',
    'outrageâmes',
    'outrageât',
    'outrageâtes',
    'outragiez',
    'outragions',
    'outragèrent',
    'outragé',
    'outragée',
    'outragées',
    'outragés',
    'outrai',
    'outraient',
    'outrais',
    'outrait',
    'outrance',
    'outrances',
    'outrancier',
    'outranciers',
    'outrancière',
    'outrancières',
    'outrant',
    'outras',
    'outrasse',
    'outrassent',
    'outrasses',
    'outrassiez',
    'outrassions',
    'outre',
    'outrecuidant',
    'outremer',
    'outrent',
    'outrepassa',
    'outrepassai',
    'outrepassais',
    'outrepassait',
    'outrepassant',
    'outrepassas',
    'outrepasse',
    'outrepassent',
    'outrepasser',
    'outrepassera',
    'outrepasses',
    'outrepassez',
    'outrepassiez',
    'outrepassons',
    'outrepassât',
    'outrepassé',
    'outrepassée',
    'outrepassées',
    'outrepassés',
    'outrer',
    'outrera',
    'outrerai',
    'outreraient',
    'outrerais',
    'outrerait',
    'outreras',
    'outrerez',
    'outreriez',
    'outrerions',
    'outrerons',
    'outreront',
    'outres',
    'outrez',
    'outriez',
    'outrions',
    'outrons',
    'outrâmes',
    'outrât',
    'outrâtes',
    'outrèrent',
    'outré',
    'outrée',
    'outrées',
    'outrés',
    'outsider',
    'outsiders',
    'ouvert',
    'ouverte',
    'ouvertement',
    'ouvertes',
    'ouverts',
    'ouverture',
    'ouvertures',
    'ouvra',
    'ouvrable',
    'ouvrables',
    'ouvrage',
    'ouvragea',
    'ouvrageai',
    'ouvrageaient',
    'ouvrageais',
    'ouvrageait',
    'ouvrageant',
    'ouvrageas',
    'ouvrageasse',
    'ouvrageasses',
    'ouvragent',
    'ouvrageons',
    'ouvrager',
    'ouvragera',
    'ouvragerai',
    'ouvragerais',
    'ouvragerait',
    'ouvrageras',
    'ouvragerez',
    'ouvrageriez',
    'ouvragerions',
    'ouvragerons',
    'ouvrageront',
    'ouvrages',
    'ouvragez',
    'ouvrageâmes',
    'ouvrageât',
    'ouvrageâtes',
    'ouvragiez',
    'ouvragions',
    'ouvragèrent',
    'ouvragé',
    'ouvragée',
    'ouvragées',
    'ouvragés',
    'ouvrai',
    'ouvraient',
    'ouvrais',
    'ouvraison',
    'ouvraisons',
    'ouvrait',
    'ouvrant',
    'ouvrante',
    'ouvrantes',
    'ouvrants',
    'ouvras',
    'ouvrasse',
    'ouvrassent',
    'ouvrasses',
    'ouvrassiez',
    'ouvrassions',
    'ouvre',
    'ouvreau',
    'ouvreaus',
    'ouvrent',
    'ouvrer',
    'ouvrera',
    'ouvrerai',
    'ouvreraient',
    'ouvrerais',
    'ouvrerait',
    'ouvreras',
    'ouvrerez',
    'ouvreriez',
    'ouvrerions',
    'ouvrerons',
    'ouvreront',
    'ouvres',
    'ouvreur',
    'ouvreurs',
    'ouvreuse',
    'ouvreuses',
    'ouvrez',
    'ouvrier',
    'ouvriers',
    'ouvriez',
    'ouvrions',
    'ouvrir',
    'ouvrira',
    'ouvrirai',
    'ouvriraient',
    'ouvrirais',
    'ouvrirait',
    'ouvriras',
    'ouvrirent',
    'ouvrirez',
    'ouvririez',
    'ouvririons',
    'ouvrirons',
    'ouvriront',
    'ouvris',
    'ouvrisse',
    'ouvrissent',
    'ouvrisses',
    'ouvrissiez',
    'ouvrissions',
    'ouvrit',
    'ouvrière',
    'ouvrières',
    'ouvriérisme',
    'ouvriérismes',
    'ouvriériste',
    'ouvriéristes',
    'ouvroir',
    'ouvroirs',
    'ouvrons',
    'ouvrâmes',
    'ouvrât',
    'ouvrâtes',
    'ouvrèrent',
    'ouvré',
    'ouvrée',
    'ouvrées',
    'ouvrés',
    'ouvrîmes',
    'ouvrît',
    'ouvrîtes',
    'ouzbek',
    'ouîmes',
    'ouîtes',
    'ouïe',
    'ouïes',
    'ouïghour',
    'ouïghours',
    'ouïgour',
    'ouïgours',
    'ouïr',
    'ouïra',
    'ouïrai',
    'ouïraient',
    'ouïrais',
    'ouïrait',
    'ouïras',
    'ouïrent',
    'ouïrez',
    'ouïriez',
    'ouïrions',
    'ouïrons',
    'ouïront',
    'ouïs',
    'ouïsse',
    'ouïssent',
    'ouïsses',
    'ouïssiez',
    'ouïssions',
    'ouït',
    'ovaire',
    'ovaires',
    'ovalbumine',
    'ovalbumines',
    'ovale',
    'ovales',
    'ovalisa',
    'ovalisai',
    'ovalisaient',
    'ovalisais',
    'ovalisait',
    'ovalisant',
    'ovalisas',
    'ovalisasse',
    'ovalisassent',
    'ovalisasses',
    'ovalisassiez',
    'ovalisation',
    'ovalisations',
    'ovalise',
    'ovalisent',
    'ovaliser',
    'ovalisera',
    'ovaliserai',
    'ovaliserais',
    'ovaliserait',
    'ovaliseras',
    'ovaliserez',
    'ovaliseriez',
    'ovaliserions',
    'ovaliserons',
    'ovaliseront',
    'ovalises',
    'ovalisez',
    'ovalisiez',
    'ovalisions',
    'ovalisons',
    'ovalisâmes',
    'ovalisât',
    'ovalisâtes',
    'ovalisèrent',
    'ovalisé',
    'ovalisée',
    'ovalisées',
    'ovalisés',
    'ovariectomie',
    'ovarien',
    'ovarienne',
    'ovariennes',
    'ovariens',
    'ovarite',
    'ovarites',
    'ovate',
    'ovates',
    'ovation',
    'ovationna',
    'ovationnai',
    'ovationnais',
    'ovationnait',
    'ovationnant',
    'ovationnas',
    'ovationnasse',
    'ovationne',
    'ovationnent',
    'ovationner',
    'ovationnera',
    'ovationnerai',
    'ovationneras',
    'ovationnerez',
    'ovationnes',
    'ovationnez',
    'ovationniez',
    'ovationnions',
    'ovationnons',
    'ovationnâmes',
    'ovationnât',
    'ovationnâtes',
    'ovationné',
    'ovationnée',
    'ovationnées',
    'ovationnés',
    'ovations',
    'overdose',
    'overdoses',
    'oves',
    'ovibos',
    'oviducte',
    'oviductes',
    'ovidés',
    'ovin',
    'ovine',
    'ovines',
    'ovins',
    'oviné',
    'ovinés',
    'ovipare',
    'ovipares',
    'oviparité',
    'oviparités',
    'ovipositeur',
    'ovipositeurs',
    'oviscapte',
    'oviscaptes',
    'ovni',
    'ovnis',
    'ovocyte',
    'ovocytes',
    'ovogenèse',
    'ovogenèses',
    'ovovivipare',
    'ovovivipares',
    'ovoïdal',
    'ovoïdale',
    'ovoïdales',
    'ovoïdaux',
    'ovoïde',
    'ovoïdes',
    'ovula',
    'ovulai',
    'ovulaient',
    'ovulaire',
    'ovulaires',
    'ovulais',
    'ovulait',
    'ovulant',
    'ovulas',
    'ovulasse',
    'ovulassent',
    'ovulasses',
    'ovulassiez',
    'ovulassions',
    'ovulation',
    'ovulations',
    'ovule',
    'ovulent',
    'ovuler',
    'ovulera',
    'ovulerai',
    'ovuleraient',
    'ovulerais',
    'ovulerait',
    'ovuleras',
    'ovulerez',
    'ovuleriez',
    'ovulerions',
    'ovulerons',
    'ovuleront',
    'ovules',
    'ovulez',
    'ovuliez',
    'ovulions',
    'ovulons',
    'ovulâmes',
    'ovulât',
    'ovulâtes',
    'ovulèrent',
    'ovulé',
    'oxacide',
    'oxacides',
    'oxalate',
    'oxalates',
    'oxalique',
    'oxaliques',
    'oxford',
    'oxfords',
    'oxhydrique',
    'oxhydriques',
    'oxycarboné',
    'oxycarbonée',
    'oxycarbonées',
    'oxycarbonés',
    'oxychlorure',
    'oxychlorures',
    'oxycoupage',
    'oxycoupages',
    'oxyda',
    'oxydable',
    'oxydables',
    'oxydai',
    'oxydaient',
    'oxydais',
    'oxydait',
    'oxydant',
    'oxydante',
    'oxydantes',
    'oxydants',
    'oxydas',
    'oxydase',
    'oxydases',
    'oxydasse',
    'oxydassent',
    'oxydasses',
    'oxydassiez',
    'oxydassions',
    'oxydation',
    'oxydations',
    'oxyde',
    'oxydent',
    'oxyder',
    'oxydera',
    'oxyderai',
    'oxyderaient',
    'oxyderais',
    'oxyderait',
    'oxyderas',
    'oxyderez',
    'oxyderiez',
    'oxyderions',
    'oxyderons',
    'oxyderont',
    'oxydes',
    'oxydez',
    'oxydiez',
    'oxydions',
    'oxydons',
    'oxydâmes',
    'oxydât',
    'oxydâtes',
    'oxydèrent',
    'oxydé',
    'oxydée',
    'oxydées',
    'oxydés',
    'oxygène',
    'oxygènent',
    'oxygènes',
    'oxygéna',
    'oxygénai',
    'oxygénaient',
    'oxygénais',
    'oxygénait',
    'oxygénant',
    'oxygénas',
    'oxygénasse',
    'oxygénassent',
    'oxygénasses',
    'oxygénassiez',
    'oxygénation',
    'oxygénations',
    'oxygéner',
    'oxygénera',
    'oxygénerai',
    'oxygénerais',
    'oxygénerait',
    'oxygéneras',
    'oxygénerez',
    'oxygéneriez',
    'oxygénerions',
    'oxygénerons',
    'oxygéneront',
    'oxygénez',
    'oxygéniez',
    'oxygénions',
    'oxygénons',
    'oxygénâmes',
    'oxygénât',
    'oxygénâtes',
    'oxygénèrent',
    'oxygéné',
    'oxygénée',
    'oxygénées',
    'oxygénés',
    'oxylithe',
    'oxylithes',
    'oxymel',
    'oxymels',
    'oxysulfure',
    'oxysulfures',
    'oxyton',
    'oxytons',
    'oxyure',
    'oxyures',
    'oxyurose',
    'oxyuroses',
    'oyais',
    'oyat',
    'oyats',
    'ozocérite',
    'ozocérites',
    'ozokérite',
    'ozokérites',
    'ozone',
    'ozones',
    'ozonisa',
    'ozonisai',
    'ozonisaient',
    'ozonisais',
    'ozonisait',
    'ozonisant',
    'ozonisas',
    'ozonisasse',
    'ozonisassent',
    'ozonisasses',
    'ozonisassiez',
    'ozonisateur',
    'ozonisateurs',
    'ozonisation',
    'ozonisations',
    'ozonise',
    'ozonisent',
    'ozoniser',
    'ozonisera',
    'ozoniserai',
    'ozoniserais',
    'ozoniserait',
    'ozoniseras',
    'ozoniserez',
    'ozoniseriez',
    'ozoniserions',
    'ozoniserons',
    'ozoniseront',
    'ozonises',
    'ozoniseur',
    'ozoniseurs',
    'ozonisez',
    'ozonisiez',
    'ozonisions',
    'ozonisons',
    'ozonisâmes',
    'ozonisât',
    'ozonisâtes',
    'ozonisèrent',
    'ozonisé',
    'ozonisée',
    'ozonisées',
    'ozonisés',
    'ozoné',
    'ozonée',
    'ozonées',
    'ozonés',
    'ozène',
    'ozènes',
    'oïdium',
    'oïdiums',
    'pacage',
    'pacagea',
    'pacageai',
    'pacageaient',
    'pacageais',
    'pacageait',
    'pacageant',
    'pacageas',
    'pacageasse',
    'pacageassent',
    'pacageasses',
    'pacageassiez',
    'pacagent',
    'pacageons',
    'pacager',
    'pacagera',
    'pacagerai',
    'pacageraient',
    'pacagerais',
    'pacagerait',
    'pacageras',
    'pacagerez',
    'pacageriez',
    'pacagerions',
    'pacagerons',
    'pacageront',
    'pacages',
    'pacagez',
    'pacageâmes',
    'pacageât',
    'pacageâtes',
    'pacagiez',
    'pacagions',
    'pacagèrent',
    'pacagé',
    'pacagée',
    'pacagées',
    'pacagés',
    'pacemaker',
    'pacemakers',
    'pacfung',
    'pacfungs',
    'pacha',
    'pachalik',
    'pachaliks',
    'pachas',
    'pachto',
    'pachyderme',
    'pachydermes',
    'pachydermie',
    'pachydermies',
    'pacifia',
    'pacifiai',
    'pacifiaient',
    'pacifiais',
    'pacifiait',
    'pacifiant',
    'pacifias',
    'pacifiasse',
    'pacifiassent',
    'pacifiasses',
    'pacifiassiez',
    'pacificateur',
    'pacification',
    'pacifie',
    'pacifient',
    'pacifier',
    'pacifiera',
    'pacifierai',
    'pacifierais',
    'pacifierait',
    'pacifieras',
    'pacifierez',
    'pacifieriez',
    'pacifierions',
    'pacifierons',
    'pacifieront',
    'pacifies',
    'pacifiez',
    'pacifiiez',
    'pacifiions',
    'pacifions',
    'pacifique',
    'pacifiques',
    'pacifisme',
    'pacifismes',
    'pacifiste',
    'pacifistes',
    'pacifiâmes',
    'pacifiât',
    'pacifiâtes',
    'pacifièrent',
    'pacifié',
    'pacifiée',
    'pacifiées',
    'pacifiés',
    'pack',
    'packfung',
    'packfungs',
    'packs',
    'pacotille',
    'pacotilles',
    'pacqua',
    'pacquage',
    'pacquages',
    'pacquai',
    'pacquaient',
    'pacquais',
    'pacquait',
    'pacquant',
    'pacquas',
    'pacquasse',
    'pacquassent',
    'pacquasses',
    'pacquassiez',
    'pacquassions',
    'pacque',
    'pacquent',
    'pacquer',
    'pacquera',
    'pacquerai',
    'pacqueraient',
    'pacquerais',
    'pacquerait',
    'pacqueras',
    'pacquerez',
    'pacqueriez',
    'pacquerions',
    'pacquerons',
    'pacqueront',
    'pacques',
    'pacquez',
    'pacquiez',
    'pacquions',
    'pacquons',
    'pacquâmes',
    'pacquât',
    'pacquâtes',
    'pacquèrent',
    'pacqué',
    'pacquée',
    'pacquées',
    'pacqués',
    'pacson',
    'pacsons',
    'pacte',
    'pactes',
    'pactisa',
    'pactisai',
    'pactisaient',
    'pactisais',
    'pactisait',
    'pactisant',
    'pactisas',
    'pactisasse',
    'pactisassent',
    'pactisasses',
    'pactisassiez',
    'pactise',
    'pactisent',
    'pactiser',
    'pactisera',
    'pactiserai',
    'pactiserais',
    'pactiserait',
    'pactiseras',
    'pactiserez',
    'pactiseriez',
    'pactiserions',
    'pactiserons',
    'pactiseront',
    'pactises',
    'pactisez',
    'pactisiez',
    'pactisions',
    'pactisons',
    'pactisâmes',
    'pactisât',
    'pactisâtes',
    'pactisèrent',
    'pactisé',
    'pactole',
    'pactoles',
    'paddock',
    'paddocks',
    'paddy',
    'padichah',
    'padichahs',
    'padischah',
    'padischahs',
    'padou',
    'padoue',
    'padoues',
    'padous',
    'paella',
    'paellas',
    'pagaie',
    'pagaient',
    'pagaiera',
    'pagaierai',
    'pagaieraient',
    'pagaierais',
    'pagaierait',
    'pagaieras',
    'pagaierez',
    'pagaieriez',
    'pagaierions',
    'pagaierons',
    'pagaieront',
    'pagaies',
    'pagaille',
    'pagailles',
    'paganisa',
    'paganisai',
    'paganisaient',
    'paganisais',
    'paganisait',
    'paganisant',
    'paganisas',
    'paganisasse',
    'paganisasses',
    'paganise',
    'paganisent',
    'paganiser',
    'paganisera',
    'paganiserai',
    'paganiserais',
    'paganiserait',
    'paganiseras',
    'paganiserez',
    'paganiseriez',
    'paganiserons',
    'paganiseront',
    'paganises',
    'paganisez',
    'paganisiez',
    'paganisions',
    'paganisme',
    'paganismes',
    'paganisons',
    'paganisâmes',
    'paganisât',
    'paganisâtes',
    'paganisèrent',
    'paganisé',
    'paganisée',
    'paganisées',
    'paganisés',
    'pagaya',
    'pagayai',
    'pagayaient',
    'pagayais',
    'pagayait',
    'pagayant',
    'pagayas',
    'pagayasse',
    'pagayassent',
    'pagayasses',
    'pagayassiez',
    'pagayassions',
    'pagaye',
    'pagayent',
    'pagayer',
    'pagayera',
    'pagayerai',
    'pagayeraient',
    'pagayerais',
    'pagayerait',
    'pagayeras',
    'pagayerez',
    'pagayeriez',
    'pagayerions',
    'pagayerons',
    'pagayeront',
    'pagayes',
    'pagayeur',
    'pagayeurs',
    'pagayeuse',
    'pagayeuses',
    'pagayez',
    'pagayiez',
    'pagayions',
    'pagayons',
    'pagayâmes',
    'pagayât',
    'pagayâtes',
    'pagayèrent',
    'pagayé',
    'pagaïe',
    'pagaïes',
    'page',
    'pagea',
    'pageai',
    'pageaient',
    'pageais',
    'pageait',
    'pageant',
    'pageas',
    'pageasse',
    'pageassent',
    'pageasses',
    'pageassiez',
    'pageassions',
    'pagel',
    'pagels',
    'pagent',
    'pageons',
    'pageot',
    'pageota',
    'pageotai',
    'pageotaient',
    'pageotais',
    'pageotait',
    'pageotant',
    'pageotas',
    'pageotasse',
    'pageotassent',
    'pageotasses',
    'pageotassiez',
    'pageote',
    'pageotent',
    'pageoter',
    'pageotera',
    'pageoterai',
    'pageoterais',
    'pageoterait',
    'pageoteras',
    'pageoterez',
    'pageoteriez',
    'pageoterions',
    'pageoterons',
    'pageoteront',
    'pageotes',
    'pageotez',
    'pageotiez',
    'pageotions',
    'pageotons',
    'pageots',
    'pageotâmes',
    'pageotât',
    'pageotâtes',
    'pageotèrent',
    'pageoté',
    'pageotée',
    'pageotées',
    'pageotés',
    'pager',
    'pagera',
    'pagerai',
    'pageraient',
    'pagerais',
    'pagerait',
    'pageras',
    'pagerez',
    'pageriez',
    'pagerions',
    'pagerons',
    'pageront',
    'pages',
    'pagez',
    'pageâmes',
    'pageât',
    'pageâtes',
    'pagiez',
    'pagina',
    'paginai',
    'paginaient',
    'paginais',
    'paginait',
    'paginant',
    'paginas',
    'paginasse',
    'paginassent',
    'paginasses',
    'paginassiez',
    'paginassions',
    'pagination',
    'paginations',
    'pagine',
    'paginent',
    'paginer',
    'paginera',
    'paginerai',
    'pagineraient',
    'paginerais',
    'paginerait',
    'pagineras',
    'paginerez',
    'pagineriez',
    'paginerions',
    'paginerons',
    'pagineront',
    'pagines',
    'paginez',
    'paginiez',
    'paginions',
    'paginons',
    'paginâmes',
    'paginât',
    'paginâtes',
    'paginèrent',
    'paginé',
    'paginée',
    'paginées',
    'paginés',
    'pagions',
    'pagne',
    'pagnes',
    'pagnota',
    'pagnotai',
    'pagnotaient',
    'pagnotais',
    'pagnotait',
    'pagnotant',
    'pagnotas',
    'pagnotasse',
    'pagnotassent',
    'pagnotasses',
    'pagnotassiez',
    'pagnote',
    'pagnotent',
    'pagnoter',
    'pagnotera',
    'pagnoterai',
    'pagnoterais',
    'pagnoterait',
    'pagnoteras',
    'pagnoterez',
    'pagnoteriez',
    'pagnoterions',
    'pagnoterons',
    'pagnoteront',
    'pagnotes',
    'pagnotez',
    'pagnotiez',
    'pagnotions',
    'pagnotons',
    'pagnotâmes',
    'pagnotât',
    'pagnotâtes',
    'pagnotèrent',
    'pagnoté',
    'pagode',
    'pagodes',
    'pagodon',
    'pagodons',
    'pagre',
    'pagres',
    'pagure',
    'pagures',
    'pagus',
    'pagèrent',
    'pagé',
    'pagée',
    'pagées',
    'pagés',
    'paidologie',
    'paidologies',
    'paie',
    'paiement',
    'paiements',
    'paient',
    'paiera',
    'paierai',
    'paieraient',
    'paierais',
    'paierait',
    'paieras',
    'paierez',
    'paierie',
    'paieries',
    'paieriez',
    'paierions',
    'paierons',
    'paieront',
    'paies',
    'pailla',
    'paillage',
    'paillages',
    'paillai',
    'paillaient',
    'paillais',
    'paillait',
    'paillant',
    'paillard',
    'paillarda',
    'paillardai',
    'paillardais',
    'paillardait',
    'paillardant',
    'paillardas',
    'paillardasse',
    'paillarde',
    'paillardent',
    'paillarder',
    'paillardera',
    'paillarderai',
    'paillarderas',
    'paillarderez',
    'paillardes',
    'paillardez',
    'paillardiez',
    'paillardions',
    'paillardise',
    'paillardises',
    'paillardons',
    'paillards',
    'paillardâmes',
    'paillardât',
    'paillardâtes',
    'paillardé',
    'paillardée',
    'paillardées',
    'paillardés',
    'paillas',
    'paillasse',
    'paillassent',
    'paillasses',
    'paillassiez',
    'paillassions',
    'paillasson',
    'paillassonna',
    'paillassonne',
    'paillassonné',
    'paillassons',
    'paille',
    'paillent',
    'pailler',
    'paillera',
    'paillerai',
    'pailleraient',
    'paillerais',
    'paillerait',
    'pailleras',
    'paillerez',
    'pailleriez',
    'paillerions',
    'paillerons',
    'pailleront',
    'pailles',
    'paillet',
    'pailleta',
    'pailletage',
    'pailletages',
    'pailletai',
    'pailletaient',
    'pailletais',
    'pailletait',
    'pailletant',
    'pailletas',
    'pailletasse',
    'pailletasses',
    'pailleter',
    'pailleteur',
    'pailleteurs',
    'pailletez',
    'pailletiez',
    'pailletions',
    'pailletons',
    'paillets',
    'paillette',
    'paillettent',
    'paillettera',
    'pailletterai',
    'pailletteras',
    'pailletterez',
    'paillettes',
    'pailletâmes',
    'pailletât',
    'pailletâtes',
    'pailletèrent',
    'pailleté',
    'pailletée',
    'pailletées',
    'pailletés',
    'pailleuse',
    'pailleuses',
    'pailleux',
    'paillez',
    'pailliez',
    'paillions',
    'paillis',
    'paillon',
    'paillonna',
    'paillonnai',
    'paillonnais',
    'paillonnait',
    'paillonnant',
    'paillonnas',
    'paillonnasse',
    'paillonne',
    'paillonnent',
    'paillonner',
    'paillonnera',
    'paillonnerai',
    'paillonneras',
    'paillonnerez',
    'paillonnes',
    'paillonnez',
    'paillonniez',
    'paillonnions',
    'paillonnons',
    'paillonnâmes',
    'paillonnât',
    'paillonnâtes',
    'paillonné',
    'paillonnée',
    'paillonnées',
    'paillonnés',
    'paillons',
    'paillot',
    'paillote',
    'paillotes',
    'paillots',
    'paillâmes',
    'paillât',
    'paillâtes',
    'paillèrent',
    'paillé',
    'paillée',
    'paillées',
    'paillés',
    'pain',
    'pains',
    'pair',
    'paire',
    'paires',
    'pairesse',
    'pairesses',
    'pairie',
    'pairies',
    'pairle',
    'pairles',
    'pairs',
    'pais',
    'paisible',
    'paisiblement',
    'paisibles',
    'paissaient',
    'paissais',
    'paissait',
    'paissance',
    'paissances',
    'paissant',
    'paisse',
    'paisseau',
    'paisseaux',
    'paissela',
    'paisselai',
    'paisselaient',
    'paisselais',
    'paisselait',
    'paisselant',
    'paisselas',
    'paisselasse',
    'paisselasses',
    'paisseler',
    'paisselez',
    'paisseliez',
    'paisselions',
    'paisselle',
    'paissellent',
    'paissellera',
    'paissellerai',
    'paisselleras',
    'paissellerez',
    'paisselles',
    'paisselons',
    'paisselâmes',
    'paisselât',
    'paisselâtes',
    'paisselèrent',
    'paisselé',
    'paisselée',
    'paisselées',
    'paisselés',
    'paissent',
    'paisses',
    'paissez',
    'paissiez',
    'paissions',
    'paissons',
    'paix',
    'pajota',
    'pajotai',
    'pajotaient',
    'pajotais',
    'pajotait',
    'pajotant',
    'pajotas',
    'pajotasse',
    'pajotassent',
    'pajotasses',
    'pajotassiez',
    'pajotassions',
    'pajote',
    'pajotent',
    'pajoter',
    'pajotera',
    'pajoterai',
    'pajoteraient',
    'pajoterais',
    'pajoterait',
    'pajoteras',
    'pajoterez',
    'pajoteriez',
    'pajoterions',
    'pajoterons',
    'pajoteront',
    'pajotes',
    'pajotez',
    'pajotiez',
    'pajotions',
    'pajotons',
    'pajotâmes',
    'pajotât',
    'pajotâtes',
    'pajotèrent',
    'pajoté',
    'pajotée',
    'pajotées',
    'pajotés',
    'pakistanais',
    'pakistanaise',
    'palabra',
    'palabrai',
    'palabraient',
    'palabrais',
    'palabrait',
    'palabrant',
    'palabras',
    'palabrasse',
    'palabrassent',
    'palabrasses',
    'palabrassiez',
    'palabre',
    'palabrent',
    'palabrer',
    'palabrera',
    'palabrerai',
    'palabreras',
    'palabrerasse',
    'palabrerâmes',
    'palabrerât',
    'palabrerâtes',
    'palabres',
    'palabrez',
    'palabriez',
    'palabrions',
    'palabrons',
    'palabrâmes',
    'palabrât',
    'palabrâtes',
    'palabrèrent',
    'palabré',
    'palace',
    'palaces',
    'paladin',
    'paladins',
    'palais',
    'palan',
    'palanche',
    'palanches',
    'palancra',
    'palancrai',
    'palancraient',
    'palancrais',
    'palancrait',
    'palancrant',
    'palancras',
    'palancrasse',
    'palancrasses',
    'palancre',
    'palancrent',
    'palancrer',
    'palancrera',
    'palancrerai',
    'palancrerais',
    'palancrerait',
    'palancreras',
    'palancrerez',
    'palancreriez',
    'palancrerons',
    'palancreront',
    'palancres',
    'palancrez',
    'palancriez',
    'palancrions',
    'palancrons',
    'palancrâmes',
    'palancrât',
    'palancrâtes',
    'palancrèrent',
    'palancré',
    'palancrée',
    'palancrées',
    'palancrés',
    'palangra',
    'palangrai',
    'palangraient',
    'palangrais',
    'palangrait',
    'palangrant',
    'palangras',
    'palangrasse',
    'palangrasses',
    'palangre',
    'palangrent',
    'palangrer',
    'palangrera',
    'palangrerai',
    'palangrerais',
    'palangrerait',
    'palangreras',
    'palangrerez',
    'palangreriez',
    'palangrerons',
    'palangreront',
    'palangres',
    'palangrez',
    'palangriez',
    'palangrions',
    'palangrons',
    'palangrâmes',
    'palangrât',
    'palangrâtes',
    'palangrèrent',
    'palangré',
    'palangrée',
    'palangrées',
    'palangrés',
    'palangua',
    'palanguai',
    'palanguaient',
    'palanguais',
    'palanguait',
    'palanguant',
    'palanguas',
    'palanguasse',
    'palanguasses',
    'palangue',
    'palanguent',
    'palanguer',
    'palanguera',
    'palanguerai',
    'palanguerais',
    'palanguerait',
    'palangueras',
    'palanguerez',
    'palangueriez',
    'palanguerons',
    'palangueront',
    'palangues',
    'palanguez',
    'palanguiez',
    'palanguions',
    'palanguons',
    'palanguâmes',
    'palanguât',
    'palanguâtes',
    'palanguèrent',
    'palangué',
    'palanqua',
    'palanquai',
    'palanquaient',
    'palanquais',
    'palanquait',
    'palanquant',
    'palanquas',
    'palanquasse',
    'palanquasses',
    'palanque',
    'palanquent',
    'palanquer',
    'palanquera',
    'palanquerai',
    'palanquerais',
    'palanquerait',
    'palanqueras',
    'palanquerez',
    'palanqueriez',
    'palanquerons',
    'palanqueront',
    'palanques',
    'palanquez',
    'palanquiez',
    'palanquin',
    'palanquins',
    'palanquions',
    'palanquons',
    'palanquâmes',
    'palanquât',
    'palanquâtes',
    'palanquèrent',
    'palanqué',
    'palanquée',
    'palanquées',
    'palanqués',
    'palans',
    'palastre',
    'palastres',
    'palatal',
    'palatale',
    'palatales',
    'palataliser',
    'palatalisé',
    'palatalisée',
    'palatalisées',
    'palatalisés',
    'palataux',
    'palatin',
    'palatinat',
    'palatinats',
    'palatine',
    'palatines',
    'palatins',
    'pale',
    'palefrenier',
    'palefreniers',
    'palefrenière',
    'palefroi',
    'palefrois',
    'paleron',
    'palerons',
    'pales',
    'palestinien',
    'palestiniens',
    'palestre',
    'palestres',
    'palet',
    'paletot',
    'paletots',
    'palets',
    'paletta',
    'palettai',
    'palettaient',
    'palettais',
    'palettait',
    'palettant',
    'palettas',
    'palettasse',
    'palettassent',
    'palettasses',
    'palettassiez',
    'palette',
    'palettent',
    'paletter',
    'palettera',
    'paletterai',
    'paletterais',
    'paletterait',
    'paletteras',
    'paletterez',
    'paletteriez',
    'paletterions',
    'paletterons',
    'paletteront',
    'palettes',
    'palettez',
    'palettiez',
    'palettions',
    'palettisa',
    'palettisai',
    'palettisais',
    'palettisait',
    'palettisant',
    'palettisas',
    'palettisasse',
    'palettise',
    'palettisent',
    'palettiser',
    'palettisera',
    'palettiserai',
    'palettiseras',
    'palettiserez',
    'palettises',
    'palettisez',
    'palettisiez',
    'palettisions',
    'palettisons',
    'palettisâmes',
    'palettisât',
    'palettisâtes',
    'palettisé',
    'palettisée',
    'palettisées',
    'palettisés',
    'palettons',
    'palettâmes',
    'palettât',
    'palettâtes',
    'palettèrent',
    'paletté',
    'palettée',
    'palettées',
    'palettés',
    'palicare',
    'palicares',
    'palier',
    'paliers',
    'palikare',
    'palikares',
    'palilalie',
    'palilalies',
    'palimpseste',
    'palimpsestes',
    'palindrome',
    'palindromes',
    'palingénésie',
    'palinodie',
    'palinodies',
    'palinodique',
    'palinodiques',
    'palis',
    'palissa',
    'palissada',
    'palissadai',
    'palissadais',
    'palissadait',
    'palissadant',
    'palissadas',
    'palissadasse',
    'palissade',
    'palissadent',
    'palissader',
    'palissadera',
    'palissaderai',
    'palissaderas',
    'palissaderez',
    'palissades',
    'palissadez',
    'palissadiez',
    'palissadions',
    'palissadons',
    'palissadâmes',
    'palissadât',
    'palissadâtes',
    'palissadé',
    'palissadée',
    'palissadées',
    'palissadés',
    'palissage',
    'palissages',
    'palissai',
    'palissaient',
    'palissais',
    'palissait',
    'palissandre',
    'palissandres',
    'palissant',
    'palissas',
    'palissasse',
    'palissassent',
    'palissasses',
    'palissassiez',
    'palisse',
    'palissent',
    'palisser',
    'palissera',
    'palisserai',
    'palisserais',
    'palisserait',
    'palisseras',
    'palisserez',
    'palisseriez',
    'palisserions',
    'palisserons',
    'palisseront',
    'palisses',
    'palissez',
    'palissiez',
    'palissions',
    'palissonna',
    'palissonnai',
    'palissonnais',
    'palissonnait',
    'palissonnant',
    'palissonnas',
    'palissonne',
    'palissonnent',
    'palissonner',
    'palissonnera',
    'palissonnes',
    'palissonneur',
    'palissonnez',
    'palissonniez',
    'palissonnons',
    'palissonnât',
    'palissonné',
    'palissonnée',
    'palissonnées',
    'palissonnés',
    'palissons',
    'palissâmes',
    'palissât',
    'palissâtes',
    'palissèrent',
    'palissé',
    'palissée',
    'palissées',
    'palissés',
    'paliure',
    'paliures',
    'palière',
    'palières',
    'palladium',
    'pallia',
    'palliai',
    'palliaient',
    'palliais',
    'palliait',
    'palliant',
    'pallias',
    'palliasse',
    'palliassent',
    'palliasses',
    'palliassiez',
    'palliassions',
    'palliatif',
    'palliatifs',
    'palliative',
    'palliatives',
    'pallidum',
    'pallidums',
    'pallie',
    'pallient',
    'pallier',
    'palliera',
    'pallierai',
    'pallieraient',
    'pallierais',
    'pallierait',
    'pallieras',
    'pallierez',
    'pallieriez',
    'pallierions',
    'pallierons',
    'pallieront',
    'pallies',
    'palliez',
    'palliiez',
    'palliions',
    'pallions',
    'pallium',
    'palliums',
    'palliâmes',
    'palliât',
    'palliâtes',
    'pallièrent',
    'pallié',
    'palliée',
    'palliées',
    'palliés',
    'palléal',
    'palléale',
    'palléales',
    'palléaux',
    'palma',
    'palmai',
    'palmaient',
    'palmaire',
    'palmaires',
    'palmais',
    'palmait',
    'palmant',
    'palmarès',
    'palmas',
    'palmasse',
    'palmassent',
    'palmasses',
    'palmassiez',
    'palmassions',
    'palmature',
    'palmatures',
    'palme',
    'palment',
    'palmer',
    'palmera',
    'palmerai',
    'palmeraie',
    'palmeraient',
    'palmeraies',
    'palmerais',
    'palmerait',
    'palmeras',
    'palmerez',
    'palmeriez',
    'palmerions',
    'palmerons',
    'palmeront',
    'palmes',
    'palmette',
    'palmettes',
    'palmez',
    'palmier',
    'palmiers',
    'palmiez',
    'palmifide',
    'palmifides',
    'palmilobé',
    'palmilobée',
    'palmilobées',
    'palmilobés',
    'palmions',
    'palmiparti',
    'palmipartie',
    'palmiparties',
    'palmipartis',
    'palmipartite',
    'palmipède',
    'palmipèdes',
    'palmiste',
    'palmistes',
    'palmiséqué',
    'palmiséquée',
    'palmiséquées',
    'palmiséqués',
    'palmite',
    'palmites',
    'palmitine',
    'palmitines',
    'palmitique',
    'palmitiques',
    'palmons',
    'palmure',
    'palmures',
    'palmâmes',
    'palmât',
    'palmâtes',
    'palmèrent',
    'palmé',
    'palmée',
    'palmées',
    'palmés',
    'palombe',
    'palombes',
    'palonnier',
    'palonniers',
    'palot',
    'palota',
    'palotai',
    'palotaient',
    'palotais',
    'palotait',
    'palotant',
    'palotas',
    'palotasse',
    'palotassent',
    'palotasses',
    'palotassiez',
    'palotassions',
    'palote',
    'palotent',
    'paloter',
    'palotera',
    'paloterai',
    'paloteraient',
    'paloterais',
    'paloterait',
    'paloteras',
    'paloterez',
    'paloteriez',
    'paloterions',
    'paloterons',
    'paloteront',
    'palotes',
    'palotez',
    'palotiez',
    'palotions',
    'palotons',
    'palots',
    'palotâmes',
    'palotât',
    'palotâtes',
    'palotèrent',
    'paloté',
    'palotée',
    'palotées',
    'palotés',
    'palourde',
    'palourdes',
    'palpa',
    'palpable',
    'palpables',
    'palpai',
    'palpaient',
    'palpais',
    'palpait',
    'palpant',
    'palpas',
    'palpasse',
    'palpassent',
    'palpasses',
    'palpassiez',
    'palpassions',
    'palpation',
    'palpations',
    'palpe',
    'palpent',
    'palper',
    'palpera',
    'palperai',
    'palperaient',
    'palperais',
    'palperait',
    'palperas',
    'palperez',
    'palperiez',
    'palperions',
    'palperons',
    'palperont',
    'palpes',
    'palpeur',
    'palpeurs',
    'palpez',
    'palpiez',
    'palpions',
    'palpita',
    'palpitai',
    'palpitaient',
    'palpitais',
    'palpitait',
    'palpitant',
    'palpitante',
    'palpitantes',
    'palpitants',
    'palpitas',
    'palpitasse',
    'palpitassent',
    'palpitasses',
    'palpitassiez',
    'palpitation',
    'palpitations',
    'palpite',
    'palpitent',
    'palpiter',
    'palpitera',
    'palpiterai',
    'palpiterais',
    'palpiterait',
    'palpiteras',
    'palpiterez',
    'palpiteriez',
    'palpiterions',
    'palpiterons',
    'palpiteront',
    'palpites',
    'palpitez',
    'palpitiez',
    'palpitions',
    'palpitons',
    'palpitâmes',
    'palpitât',
    'palpitâtes',
    'palpitèrent',
    'palpité',
    'palplanche',
    'palplanches',
    'palpons',
    'palpâmes',
    'palpât',
    'palpâtes',
    'palpèrent',
    'palpé',
    'palpébral',
    'palpébrale',
    'palpébrales',
    'palpébraux',
    'palpée',
    'palpées',
    'palpés',
    'pals',
    'palsambleu',
    'paltoquet',
    'paltoquets',
    'paluche',
    'paluches',
    'palud',
    'palude',
    'paludes',
    'paludier',
    'paludiers',
    'paludine',
    'paludines',
    'paludisme',
    'paludismes',
    'paludière',
    'paludières',
    'paludologie',
    'paludologies',
    'paluds',
    'paludéen',
    'paludéenne',
    'paludéennes',
    'paludéens',
    'palus',
    'palustre',
    'palustres',
    'palynologie',
    'palynologies',
    'palée',
    'palées',
    'palémon',
    'palémons',
    'paléoclimat',
    'paléoclimats',
    'paléographe',
    'paléographes',
    'paléographie',
    'paléosol',
    'paléosols',
    'paléothérium',
    'paléozoïque',
    'paléozoïques',
    'palétuvier',
    'palétuviers',
    'pampa',
    'pampas',
    'pamphlet',
    'pamphlets',
    'pamphlétaire',
    'pampille',
    'pampilles',
    'pamplemousse',
    'pampre',
    'pampres',
    'pampéro',
    'pampéros',
    'pana',
    'panacha',
    'panachage',
    'panachages',
    'panachai',
    'panachaient',
    'panachais',
    'panachait',
    'panachant',
    'panachas',
    'panachasse',
    'panachassent',
    'panachasses',
    'panachassiez',
    'panache',
    'panachent',
    'panacher',
    'panachera',
    'panacherai',
    'panacherais',
    'panacherait',
    'panacheras',
    'panacherez',
    'panacheriez',
    'panacherions',
    'panacherons',
    'panacheront',
    'panaches',
    'panachez',
    'panachiez',
    'panachions',
    'panachons',
    'panachure',
    'panachures',
    'panachâmes',
    'panachât',
    'panachâtes',
    'panachèrent',
    'panaché',
    'panachée',
    'panachées',
    'panachés',
    'panacée',
    'panacées',
    'panade',
    'panades',
    'panafricain',
    'panafricaine',
    'panafricains',
    'panai',
    'panaient',
    'panais',
    'panait',
    'panama',
    'panamas',
    'panaméricain',
    'panant',
    'panarabisme',
    'panarabismes',
    'panard',
    'panarde',
    'panardes',
    'panards',
    'panaris',
    'panas',
    'panasse',
    'panassent',
    'panasses',
    'panassiez',
    'panassions',
    'panatela',
    'panatelas',
    'panatella',
    'panatellas',
    'panathénées',
    'panax',
    'panca',
    'pancalisme',
    'pancalismes',
    'pancarte',
    'pancartes',
    'pancas',
    'panclastite',
    'panclastites',
    'pancosmisme',
    'pancosmismes',
    'pancrace',
    'pancraces',
    'pancréas',
    'pancréatine',
    'pancréatines',
    'pancréatique',
    'pancréatite',
    'pancréatites',
    'panda',
    'pandanus',
    'pandas',
    'pandectes',
    'pandit',
    'pandits',
    'pandore',
    'pandores',
    'pandèmes',
    'pandémie',
    'pandémies',
    'pandémonium',
    'pandémoniums',
    'pane',
    'panel',
    'panels',
    'panent',
    'paner',
    'panera',
    'panerai',
    'paneraient',
    'panerais',
    'panerait',
    'paneras',
    'panerez',
    'paneriez',
    'panerions',
    'panerons',
    'paneront',
    'panerée',
    'panerées',
    'panes',
    'paneterie',
    'paneteries',
    'panetier',
    'panetiers',
    'panetière',
    'panetières',
    'paneton',
    'panetons',
    'panez',
    'pangolin',
    'pangolins',
    'panic',
    'panicaut',
    'panicauts',
    'panics',
    'paniculé',
    'paniculée',
    'paniculées',
    'paniculés',
    'panier',
    'paniers',
    'paniez',
    'panifia',
    'panifiable',
    'panifiables',
    'panifiai',
    'panifiaient',
    'panifiais',
    'panifiait',
    'panifiant',
    'panifias',
    'panifiasse',
    'panifiassent',
    'panifiasses',
    'panifiassiez',
    'panification',
    'panifie',
    'panifient',
    'panifier',
    'panifiera',
    'panifierai',
    'panifierais',
    'panifierait',
    'panifieras',
    'panifierez',
    'panifieriez',
    'panifierions',
    'panifierons',
    'panifieront',
    'panifies',
    'panifiez',
    'panifiiez',
    'panifiions',
    'panifions',
    'panifiâmes',
    'panifiât',
    'panifiâtes',
    'panifièrent',
    'panifié',
    'panifiée',
    'panifiées',
    'panifiés',
    'panions',
    'paniqua',
    'paniquai',
    'paniquaient',
    'paniquais',
    'paniquait',
    'paniquant',
    'paniquante',
    'paniquantes',
    'paniquants',
    'paniquard',
    'paniquarde',
    'paniquardes',
    'paniquards',
    'paniquas',
    'paniquasse',
    'paniquassent',
    'paniquasses',
    'paniquassiez',
    'panique',
    'paniquent',
    'paniquer',
    'paniquera',
    'paniquerai',
    'paniquerais',
    'paniquerait',
    'paniqueras',
    'paniquerez',
    'paniqueriez',
    'paniquerions',
    'paniquerons',
    'paniqueront',
    'paniques',
    'paniquez',
    'paniquiez',
    'paniquions',
    'paniquons',
    'paniquâmes',
    'paniquât',
    'paniquâtes',
    'paniquèrent',
    'paniqué',
    'paniquée',
    'paniquées',
    'paniqués',
    'panislamique',
    'panislamisme',
    'panière',
    'panières',
    'panka',
    'pankas',
    'panlogisme',
    'panlogismes',
    'panmixie',
    'panmixies',
    'panna',
    'pannai',
    'pannaient',
    'pannais',
    'pannait',
    'pannant',
    'pannas',
    'pannasse',
    'pannassent',
    'pannasses',
    'pannassiez',
    'pannassions',
    'panne',
    'panneau',
    'panneauta',
    'panneautage',
    'panneautages',
    'panneautai',
    'panneautais',
    'panneautait',
    'panneautant',
    'panneautas',
    'panneautasse',
    'panneaute',
    'panneautent',
    'panneauter',
    'panneautera',
    'panneauterai',
    'panneauteras',
    'panneauterez',
    'panneautes',
    'panneautez',
    'panneautiez',
    'panneautions',
    'panneautons',
    'panneautâmes',
    'panneautât',
    'panneautâtes',
    'panneauté',
    'panneautée',
    'panneautées',
    'panneautés',
    'panneaux',
    'pannent',
    'panner',
    'pannera',
    'pannerai',
    'panneraient',
    'pannerais',
    'pannerait',
    'panneras',
    'pannerez',
    'panneriez',
    'pannerions',
    'pannerons',
    'panneront',
    'pannes',
    'panneton',
    'pannetons',
    'pannez',
    'pannicule',
    'pannicules',
    'panniez',
    'pannions',
    'pannons',
    'pannâmes',
    'pannât',
    'pannâtes',
    'pannèrent',
    'panné',
    'pannée',
    'pannées',
    'pannés',
    'panonceau',
    'panonceaux',
    'panons',
    'panophtalmie',
    'panoplie',
    'panoplies',
    'panoptique',
    'panoptiques',
    'panorama',
    'panoramas',
    'panoramiqua',
    'panoramiquai',
    'panoramiquas',
    'panoramique',
    'panoramiquer',
    'panoramiques',
    'panoramiquez',
    'panoramiquât',
    'panoramiqué',
    'panorpe',
    'panorpes',
    'panosse',
    'panosser',
    'panosses',
    'panoufle',
    'panoufles',
    'pans',
    'pansa',
    'pansage',
    'pansages',
    'pansai',
    'pansaient',
    'pansais',
    'pansait',
    'pansant',
    'pansas',
    'pansasse',
    'pansassent',
    'pansasses',
    'pansassiez',
    'pansassions',
    'panse',
    'pansement',
    'pansements',
    'pansent',
    'panser',
    'pansera',
    'panserai',
    'panseraient',
    'panserais',
    'panserait',
    'panseras',
    'panserez',
    'panseriez',
    'panserions',
    'panserons',
    'panseront',
    'panses',
    'pansez',
    'pansiez',
    'pansions',
    'panslavisme',
    'panslavismes',
    'pansons',
    'panspermie',
    'panspermies',
    'pansu',
    'pansue',
    'pansues',
    'pansus',
    'pansâmes',
    'pansât',
    'pansâtes',
    'pansèrent',
    'pansé',
    'pansée',
    'pansées',
    'pansés',
    'pantalon',
    'pantalonnade',
    'pantalons',
    'pantela',
    'pantelai',
    'pantelaient',
    'pantelais',
    'pantelait',
    'pantelant',
    'pantelante',
    'pantelantes',
    'pantelants',
    'pantelas',
    'pantelasse',
    'pantelassent',
    'pantelasses',
    'pantelassiez',
    'panteler',
    'pantelez',
    'panteliez',
    'pantelions',
    'pantelle',
    'pantellent',
    'pantellera',
    'pantellerai',
    'pantellerais',
    'pantellerait',
    'pantelleras',
    'pantellerez',
    'pantelleriez',
    'pantellerons',
    'pantelleront',
    'pantelles',
    'pantelons',
    'pantelâmes',
    'pantelât',
    'pantelâtes',
    'pantelèrent',
    'pantelé',
    'pantenne',
    'pantennes',
    'panthère',
    'panthères',
    'panthéisme',
    'panthéismes',
    'panthéiste',
    'panthéistes',
    'panthéon',
    'panthéons',
    'pantin',
    'pantins',
    'pantière',
    'pantières',
    'pantographe',
    'pantographes',
    'pantoire',
    'pantoires',
    'pantois',
    'pantoise',
    'pantoises',
    'pantomime',
    'pantomimes',
    'pantomètre',
    'pantomètres',
    'pantoufla',
    'pantouflai',
    'pantouflais',
    'pantouflait',
    'pantouflant',
    'pantouflard',
    'pantouflarde',
    'pantouflards',
    'pantouflas',
    'pantouflasse',
    'pantoufle',
    'pantouflent',
    'pantoufler',
    'pantouflera',
    'pantouflerai',
    'pantoufleras',
    'pantouflerez',
    'pantoufles',
    'pantouflez',
    'pantouflier',
    'pantoufliers',
    'pantoufliez',
    'pantouflions',
    'pantouflière',
    'pantouflons',
    'pantouflâmes',
    'pantouflât',
    'pantouflâtes',
    'pantouflé',
    'pantoum',
    'pantoums',
    'pantène',
    'pantènes',
    'panure',
    'panures',
    'panzer',
    'panzers',
    'panâmes',
    'panât',
    'panâtes',
    'panèrent',
    'pané',
    'panée',
    'panées',
    'panégyrique',
    'panégyriques',
    'panégyriste',
    'panégyristes',
    'panés',
    'paon',
    'paonne',
    'paonnes',
    'paons',
    'papa',
    'papable',
    'papables',
    'papal',
    'papale',
    'papales',
    'papas',
    'papauté',
    'papautés',
    'papaux',
    'papaver',
    'papavers',
    'papavérine',
    'papavérines',
    'papaye',
    'papayer',
    'papayers',
    'papayes',
    'papaïne',
    'papaïnes',
    'pape',
    'papegai',
    'papegais',
    'papelard',
    'papelarde',
    'papelardes',
    'papelardise',
    'papelardises',
    'papelards',
    'paperasse',
    'paperasserie',
    'paperasses',
    'paperassier',
    'paperassiers',
    'paperassière',
    'papes',
    'papesse',
    'papesses',
    'papeterie',
    'papeteries',
    'papetier',
    'papetiers',
    'papetière',
    'papetières',
    'papi',
    'papier',
    'papiers',
    'papilionacé',
    'papilionacée',
    'papilionacés',
    'papillaire',
    'papillaires',
    'papille',
    'papilles',
    'papilleuse',
    'papilleuses',
    'papilleux',
    'papillifère',
    'papillifères',
    'papillome',
    'papillomes',
    'papillon',
    'papillonna',
    'papillonnage',
    'papillonnai',
    'papillonnais',
    'papillonnait',
    'papillonnant',
    'papillonnas',
    'papillonne',
    'papillonnent',
    'papillonner',
    'papillonnera',
    'papillonnes',
    'papillonnez',
    'papillonniez',
    'papillonnons',
    'papillonnât',
    'papillonné',
    'papillonnée',
    'papillonnées',
    'papillonnés',
    'papillons',
    'papillota',
    'papillotage',
    'papillotages',
    'papillotai',
    'papillotais',
    'papillotait',
    'papillotant',
    'papillotante',
    'papillotants',
    'papillotas',
    'papillotasse',
    'papillote',
    'papillotent',
    'papilloter',
    'papillotera',
    'papilloterai',
    'papilloteras',
    'papilloterez',
    'papillotes',
    'papillotez',
    'papillotiez',
    'papillotions',
    'papillotons',
    'papillotâmes',
    'papillotât',
    'papillotâtes',
    'papilloté',
    'papillotée',
    'papillotées',
    'papillotés',
    'papion',
    'papions',
    'papis',
    'papisme',
    'papismes',
    'papiste',
    'papistes',
    'papota',
    'papotage',
    'papotages',
    'papotai',
    'papotaient',
    'papotais',
    'papotait',
    'papotant',
    'papotas',
    'papotasse',
    'papotassent',
    'papotasses',
    'papotassiez',
    'papotassions',
    'papote',
    'papotent',
    'papoter',
    'papotera',
    'papoterai',
    'papoteraient',
    'papoterais',
    'papoterait',
    'papoteras',
    'papoterez',
    'papoteriez',
    'papoterions',
    'papoterons',
    'papoteront',
    'papotes',
    'papotez',
    'papotiez',
    'papotions',
    'papotons',
    'papotâmes',
    'papotât',
    'papotâtes',
    'papotèrent',
    'papoté',
    'papouilla',
    'papouillai',
    'papouillais',
    'papouillait',
    'papouillant',
    'papouillas',
    'papouillasse',
    'papouille',
    'papouillent',
    'papouiller',
    'papouillera',
    'papouillerai',
    'papouilleras',
    'papouillerez',
    'papouilles',
    'papouillez',
    'papouilliez',
    'papouillions',
    'papouillons',
    'papouillâmes',
    'papouillât',
    'papouillâtes',
    'papouillé',
    'papouillée',
    'papouillées',
    'papouillés',
    'paprika',
    'paprikas',
    'papule',
    'papules',
    'papuleuse',
    'papuleuses',
    'papuleux',
    'papy',
    'papyrologie',
    'papyrologies',
    'papyrologue',
    'papyrologues',
    'papyrus',
    'papys',
    'paquebot',
    'paquebots',
    'paquet',
    'paquetage',
    'paquetages',
    'paqueteur',
    'paqueteurs',
    'paqueteuse',
    'paqueteuses',
    'paquets',
    'para',
    'parabase',
    'parabases',
    'parabellum',
    'parabellums',
    'parabiose',
    'parabioses',
    'parabole',
    'paraboles',
    'parabolique',
    'paraboloïde',
    'paraboloïdes',
    'paracentèse',
    'paracentèses',
    'paracheva',
    'parachevai',
    'parachevais',
    'parachevait',
    'parachevant',
    'parachevas',
    'parachevasse',
    'parachever',
    'parachevez',
    'paracheviez',
    'parachevions',
    'parachevons',
    'parachevâmes',
    'parachevât',
    'parachevâtes',
    'parachevé',
    'parachevée',
    'parachevées',
    'parachevés',
    'parachuta',
    'parachutage',
    'parachutages',
    'parachutai',
    'parachutais',
    'parachutait',
    'parachutant',
    'parachutas',
    'parachutasse',
    'parachute',
    'parachutent',
    'parachuter',
    'parachutera',
    'parachuterai',
    'parachuteras',
    'parachuterez',
    'parachutes',
    'parachutez',
    'parachutiez',
    'parachutions',
    'parachutisme',
    'parachutiste',
    'parachutons',
    'parachutâmes',
    'parachutât',
    'parachutâtes',
    'parachuté',
    'parachutée',
    'parachutées',
    'parachutés',
    'parachève',
    'parachèvent',
    'parachèvera',
    'parachèverai',
    'parachèveras',
    'parachèverez',
    'parachèves',
    'paraclet',
    'paraclets',
    'parada',
    'paradai',
    'paradaient',
    'paradais',
    'paradait',
    'paradant',
    'paradas',
    'paradasse',
    'paradassent',
    'paradasses',
    'paradassiez',
    'paradassions',
    'parade',
    'paradent',
    'parader',
    'paradera',
    'paraderai',
    'paraderaient',
    'paraderais',
    'paraderait',
    'paraderas',
    'paraderez',
    'paraderiez',
    'paraderions',
    'paraderons',
    'paraderont',
    'parades',
    'paradeur',
    'paradeurs',
    'paradez',
    'paradiez',
    'paradigme',
    'paradigmes',
    'paradions',
    'paradis',
    'paradisiaque',
    'paradisier',
    'paradisiers',
    'paradons',
    'parados',
    'paradoxal',
    'paradoxale',
    'paradoxales',
    'paradoxaux',
    'paradoxe',
    'paradoxes',
    'paradâmes',
    'paradât',
    'paradâtes',
    'paradèrent',
    'paradé',
    'paradée',
    'paradées',
    'paradés',
    'parafa',
    'parafai',
    'parafaient',
    'parafais',
    'parafait',
    'parafant',
    'parafas',
    'parafasse',
    'parafassent',
    'parafasses',
    'parafassiez',
    'parafassions',
    'parafe',
    'parafent',
    'parafer',
    'parafera',
    'paraferai',
    'paraferaient',
    'paraferais',
    'paraferait',
    'paraferas',
    'paraferez',
    'paraferiez',
    'paraferions',
    'paraferons',
    'paraferont',
    'parafes',
    'parafez',
    'paraffina',
    'paraffinage',
    'paraffinages',
    'paraffinai',
    'paraffinais',
    'paraffinait',
    'paraffinant',
    'paraffinas',
    'paraffinasse',
    'paraffine',
    'paraffinent',
    'paraffiner',
    'paraffinera',
    'paraffinerai',
    'paraffineras',
    'paraffinerez',
    'paraffines',
    'paraffinez',
    'paraffiniez',
    'paraffinions',
    'paraffinons',
    'paraffinâmes',
    'paraffinât',
    'paraffinâtes',
    'paraffiné',
    'paraffinée',
    'paraffinées',
    'paraffinés',
    'parafiez',
    'parafions',
    'parafiscal',
    'parafiscale',
    'parafiscales',
    'parafiscaux',
    'parafons',
    'parafoudre',
    'parafoudres',
    'parafâmes',
    'parafât',
    'parafâtes',
    'parafèrent',
    'parafé',
    'parafée',
    'parafées',
    'parafés',
    'parage',
    'parages',
    'paragraphe',
    'paragraphes',
    'paragrêle',
    'paragrêles',
    'parai',
    'paraient',
    'parais',
    'paraisonna',
    'paraisonnai',
    'paraisonnais',
    'paraisonnait',
    'paraisonnant',
    'paraisonnas',
    'paraisonne',
    'paraisonnent',
    'paraisonner',
    'paraisonnera',
    'paraisonnes',
    'paraisonnez',
    'paraisonniez',
    'paraisonnons',
    'paraisonnât',
    'paraisonné',
    'paraisonnée',
    'paraisonnées',
    'paraisonnés',
    'paraissaient',
    'paraissais',
    'paraissait',
    'paraissant',
    'paraisse',
    'paraissent',
    'paraisses',
    'paraissez',
    'paraissiez',
    'paraissions',
    'paraissons',
    'parait',
    'paralangage',
    'paralangages',
    'parallaxe',
    'parallaxes',
    'parallèle',
    'parallèles',
    'parallélisa',
    'parallélisai',
    'parallélisas',
    'parallélise',
    'paralléliser',
    'parallélises',
    'parallélisez',
    'parallélisme',
    'parallélisât',
    'parallélisé',
    'parallélisée',
    'parallélisés',
    'paralogisme',
    'paralogismes',
    'paralysa',
    'paralysai',
    'paralysaient',
    'paralysais',
    'paralysait',
    'paralysant',
    'paralysante',
    'paralysantes',
    'paralysants',
    'paralysas',
    'paralysasse',
    'paralysasses',
    'paralyse',
    'paralysent',
    'paralyser',
    'paralysera',
    'paralyserai',
    'paralyserais',
    'paralyserait',
    'paralyseras',
    'paralyserez',
    'paralyseriez',
    'paralyserons',
    'paralyseront',
    'paralyses',
    'paralysez',
    'paralysie',
    'paralysies',
    'paralysiez',
    'paralysions',
    'paralysons',
    'paralysâmes',
    'paralysât',
    'paralysâtes',
    'paralysèrent',
    'paralysé',
    'paralysée',
    'paralysées',
    'paralysés',
    'paralytique',
    'paralytiques',
    'paramètre',
    'paramètrent',
    'paramètres',
    'paramécie',
    'paramécies',
    'paramédical',
    'paramédicale',
    'paramédicaux',
    'paramétra',
    'paramétrable',
    'paramétrage',
    'paramétrages',
    'paramétrai',
    'paramétrais',
    'paramétrait',
    'paramétrant',
    'paramétras',
    'paramétrasse',
    'paramétrer',
    'paramétrera',
    'paramétrerai',
    'paramétreras',
    'paramétrerez',
    'paramétrez',
    'paramétriez',
    'paramétrions',
    'paramétrique',
    'paramétrons',
    'paramétrâmes',
    'paramétrât',
    'paramétrâtes',
    'paramétré',
    'paramétrée',
    'paramétrées',
    'paramétrés',
    'parangon',
    'parangonna',
    'parangonnai',
    'parangonnais',
    'parangonnait',
    'parangonnant',
    'parangonnas',
    'parangonne',
    'parangonnent',
    'parangonner',
    'parangonnera',
    'parangonnes',
    'parangonnez',
    'parangonniez',
    'parangonnons',
    'parangonnât',
    'parangonné',
    'parangonnée',
    'parangonnées',
    'parangonnés',
    'parangons',
    'paranormal',
    'paranormale',
    'paranormales',
    'paranormaux',
    'paranoïa',
    'paranoïaque',
    'paranoïaques',
    'paranoïas',
    'paranoïde',
    'paranoïdes',
    'parant',
    'parapet',
    'parapets',
    'parapha',
    'paraphai',
    'paraphaient',
    'paraphais',
    'paraphait',
    'paraphant',
    'paraphas',
    'paraphasie',
    'paraphasies',
    'paraphasse',
    'paraphassent',
    'paraphasses',
    'paraphassiez',
    'paraphe',
    'paraphent',
    'parapher',
    'paraphera',
    'parapherai',
    'parapherais',
    'parapherait',
    'parapheras',
    'parapherez',
    'parapheriez',
    'parapherions',
    'paraphernal',
    'paraphernale',
    'paraphernaux',
    'parapherons',
    'parapheront',
    'paraphes',
    'paraphez',
    'paraphiez',
    'paraphimosis',
    'paraphions',
    'paraphons',
    'paraphrasa',
    'paraphrasai',
    'paraphrasais',
    'paraphrasait',
    'paraphrasant',
    'paraphrasas',
    'paraphrase',
    'paraphrasent',
    'paraphraser',
    'paraphrasera',
    'paraphrases',
    'paraphraseur',
    'paraphrasez',
    'paraphrasiez',
    'paraphrasons',
    'paraphrasât',
    'paraphrasé',
    'paraphrasée',
    'paraphrasées',
    'paraphrasés',
    'paraphrénie',
    'paraphrénies',
    'paraphyse',
    'paraphyses',
    'paraphâmes',
    'paraphât',
    'paraphâtes',
    'paraphèrent',
    'paraphé',
    'paraphée',
    'paraphées',
    'paraphés',
    'parapluie',
    'parapluies',
    'paraplégie',
    'paraplégies',
    'paraplégique',
    'parapublic',
    'parapublics',
    'parapublique',
    'paras',
    'parascolaire',
    'parascève',
    'parascèves',
    'parasita',
    'parasitai',
    'parasitaient',
    'parasitaire',
    'parasitaires',
    'parasitais',
    'parasitait',
    'parasitant',
    'parasitas',
    'parasitasse',
    'parasitasses',
    'parasite',
    'parasitent',
    'parasiter',
    'parasitera',
    'parasiterai',
    'parasiterais',
    'parasiterait',
    'parasiteras',
    'parasiterez',
    'parasiteriez',
    'parasiterons',
    'parasiteront',
    'parasites',
    'parasitez',
    'parasitiez',
    'parasitions',
    'parasitisme',
    'parasitismes',
    'parasitons',
    'parasitose',
    'parasitoses',
    'parasitâmes',
    'parasitât',
    'parasitâtes',
    'parasitèrent',
    'parasité',
    'parasitée',
    'parasitées',
    'parasités',
    'parasol',
    'parasols',
    'parasse',
    'parassent',
    'parasses',
    'parassiez',
    'parassions',
    'parastatal',
    'parastatale',
    'parastatales',
    'parastataux',
    'parataxe',
    'parataxes',
    'parathormone',
    'paratonnerre',
    'paratyphique',
    'paratyphoïde',
    'paravent',
    'paravents',
    'paraît',
    'paraîtra',
    'paraîtrai',
    'paraîtraient',
    'paraîtrais',
    'paraîtrait',
    'paraîtras',
    'paraître',
    'paraîtrez',
    'paraîtriez',
    'paraîtrions',
    'paraîtrons',
    'paraîtront',
    'parbleu',
    'parc',
    'parcage',
    'parcages',
    'parce',
    'parcella',
    'parcellai',
    'parcellaient',
    'parcellaire',
    'parcellaires',
    'parcellais',
    'parcellait',
    'parcellant',
    'parcellarisa',
    'parcellarise',
    'parcellarisé',
    'parcellas',
    'parcellasse',
    'parcellasses',
    'parcelle',
    'parcellent',
    'parceller',
    'parcellera',
    'parcellerai',
    'parcellerais',
    'parcellerait',
    'parcelleras',
    'parcellerez',
    'parcelleriez',
    'parcellerons',
    'parcelleront',
    'parcelles',
    'parcellez',
    'parcelliez',
    'parcellions',
    'parcellisa',
    'parcellisai',
    'parcellisais',
    'parcellisait',
    'parcellisant',
    'parcellisas',
    'parcellise',
    'parcellisent',
    'parcelliser',
    'parcellisera',
    'parcellises',
    'parcellisez',
    'parcellisiez',
    'parcellisons',
    'parcellisât',
    'parcellisé',
    'parcellisée',
    'parcellisées',
    'parcellisés',
    'parcellons',
    'parcellâmes',
    'parcellât',
    'parcellâtes',
    'parcellèrent',
    'parcellé',
    'parcellée',
    'parcellées',
    'parcellés',
    'parchemin',
    'parchemina',
    'parcheminai',
    'parcheminais',
    'parcheminait',
    'parcheminant',
    'parcheminas',
    'parchemine',
    'parcheminent',
    'parcheminer',
    'parcheminera',
    'parchemines',
    'parcheminez',
    'parcheminier',
    'parcheminiez',
    'parcheminons',
    'parchemins',
    'parcheminât',
    'parcheminé',
    'parcheminée',
    'parcheminées',
    'parcheminés',
    'parcimonie',
    'parcimonies',
    'parcimonieux',
    'parcmètre',
    'parcmètres',
    'parcomètre',
    'parcomètres',
    'parcouraient',
    'parcourais',
    'parcourait',
    'parcourant',
    'parcoure',
    'parcourent',
    'parcoures',
    'parcourez',
    'parcouriez',
    'parcourions',
    'parcourir',
    'parcourons',
    'parcourra',
    'parcourrai',
    'parcourrais',
    'parcourrait',
    'parcourras',
    'parcourrez',
    'parcourriez',
    'parcourrions',
    'parcourrons',
    'parcourront',
    'parcours',
    'parcourt',
    'parcouru',
    'parcourue',
    'parcourues',
    'parcoururent',
    'parcourus',
    'parcourusse',
    'parcourusses',
    'parcourut',
    'parcourûmes',
    'parcourût',
    'parcourûtes',
    'parcs',
    'pardessus',
    'pardi',
    'pardieu',
    'pardon',
    'pardonna',
    'pardonnable',
    'pardonnables',
    'pardonnai',
    'pardonnaient',
    'pardonnais',
    'pardonnait',
    'pardonnant',
    'pardonnas',
    'pardonnasse',
    'pardonnasses',
    'pardonne',
    'pardonnent',
    'pardonner',
    'pardonnera',
    'pardonnerai',
    'pardonnerais',
    'pardonnerait',
    'pardonneras',
    'pardonnerez',
    'pardonneriez',
    'pardonnerons',
    'pardonneront',
    'pardonnes',
    'pardonnez',
    'pardonniez',
    'pardonnions',
    'pardonnons',
    'pardonnâmes',
    'pardonnât',
    'pardonnâtes',
    'pardonnèrent',
    'pardonné',
    'pardonnée',
    'pardonnées',
    'pardonnés',
    'pardons',
    'pare',
    'pareil',
    'pareille',
    'pareillement',
    'pareilles',
    'pareils',
    'parement',
    'parementa',
    'parementai',
    'parementais',
    'parementait',
    'parementant',
    'parementas',
    'parementasse',
    'paremente',
    'parementent',
    'parementer',
    'parementera',
    'parementerai',
    'parementeras',
    'parementerez',
    'parementes',
    'parementez',
    'parementiez',
    'parementions',
    'parementons',
    'parements',
    'parementâmes',
    'parementât',
    'parementâtes',
    'parementé',
    'parementée',
    'parementées',
    'parementés',
    'parenchyme',
    'parenchymes',
    'parent',
    'parental',
    'parentale',
    'parentales',
    'parentalies',
    'parentaux',
    'parente',
    'parentes',
    'parenthèse',
    'parenthèses',
    'parenthésé',
    'parenthésée',
    'parenthésées',
    'parenthésés',
    'parents',
    'parenté',
    'parentéral',
    'parentérale',
    'parentérales',
    'parentéraux',
    'parentés',
    'parer',
    'parera',
    'parerai',
    'pareraient',
    'parerais',
    'parerait',
    'pareras',
    'parerasse',
    'parerassent',
    'parerasses',
    'parerassiez',
    'parerassions',
    'parerez',
    'pareriez',
    'parerions',
    'parerons',
    'pareront',
    'parerâmes',
    'parerât',
    'parerâtes',
    'parerèrent',
    'pares',
    'paressa',
    'paressai',
    'paressaient',
    'paressais',
    'paressait',
    'paressant',
    'paressas',
    'paressasse',
    'paressassent',
    'paressasses',
    'paressassiez',
    'paresse',
    'paressent',
    'paresser',
    'paressera',
    'paresserai',
    'paresserais',
    'paresserait',
    'paresseras',
    'paresserez',
    'paresseriez',
    'paresserions',
    'paresserons',
    'paresseront',
    'paresses',
    'paresseuse',
    'paresseuses',
    'paresseux',
    'paressez',
    'paressiez',
    'paressions',
    'paressons',
    'paressâmes',
    'paressât',
    'paressâtes',
    'paressèrent',
    'paressé',
    'paressée',
    'paressées',
    'paressés',
    'paresthésie',
    'paresthésies',
    'pareur',
    'pareurs',
    'pareuse',
    'pareuses',
    'parez',
    'parfaire',
    'parfais',
    'parfaisaient',
    'parfaisais',
    'parfaisait',
    'parfaisant',
    'parfaisiez',
    'parfaisions',
    'parfaisons',
    'parfait',
    'parfaite',
    'parfaitement',
    'parfaites',
    'parfaits',
    'parfasse',
    'parfassent',
    'parfasses',
    'parfassiez',
    'parfassions',
    'parfera',
    'parferai',
    'parferaient',
    'parferais',
    'parferait',
    'parferas',
    'parferez',
    'parferiez',
    'parferions',
    'parferons',
    'parferont',
    'parfila',
    'parfilage',
    'parfilages',
    'parfilai',
    'parfilaient',
    'parfilais',
    'parfilait',
    'parfilant',
    'parfilas',
    'parfilasse',
    'parfilassent',
    'parfilasses',
    'parfilassiez',
    'parfile',
    'parfilent',
    'parfiler',
    'parfilera',
    'parfilerai',
    'parfilerais',
    'parfilerait',
    'parfileras',
    'parfilerez',
    'parfileriez',
    'parfilerions',
    'parfilerons',
    'parfileront',
    'parfiles',
    'parfilez',
    'parfiliez',
    'parfilions',
    'parfilons',
    'parfilâmes',
    'parfilât',
    'parfilâtes',
    'parfilèrent',
    'parfilé',
    'parfilée',
    'parfilées',
    'parfilés',
    'parfirent',
    'parfis',
    'parfisse',
    'parfissent',
    'parfisses',
    'parfissiez',
    'parfissions',
    'parfit',
    'parfois',
    'parfond',
    'parfondaient',
    'parfondais',
    'parfondait',
    'parfondant',
    'parfonde',
    'parfondent',
    'parfondes',
    'parfondez',
    'parfondiez',
    'parfondions',
    'parfondirent',
    'parfondis',
    'parfondisse',
    'parfondisses',
    'parfondit',
    'parfondons',
    'parfondra',
    'parfondrai',
    'parfondrais',
    'parfondrait',
    'parfondras',
    'parfondre',
    'parfondrez',
    'parfondriez',
    'parfondrions',
    'parfondrons',
    'parfondront',
    'parfonds',
    'parfondu',
    'parfondue',
    'parfondues',
    'parfondus',
    'parfondîmes',
    'parfondît',
    'parfondîtes',
    'parfont',
    'parfum',
    'parfuma',
    'parfumai',
    'parfumaient',
    'parfumais',
    'parfumait',
    'parfumant',
    'parfumas',
    'parfumasse',
    'parfumassent',
    'parfumasses',
    'parfumassiez',
    'parfume',
    'parfument',
    'parfumer',
    'parfumera',
    'parfumerai',
    'parfumerais',
    'parfumerait',
    'parfumeras',
    'parfumerez',
    'parfumerie',
    'parfumeries',
    'parfumeriez',
    'parfumerions',
    'parfumerons',
    'parfumeront',
    'parfumes',
    'parfumeur',
    'parfumeurs',
    'parfumeuse',
    'parfumeuses',
    'parfumez',
    'parfumiez',
    'parfumions',
    'parfumons',
    'parfums',
    'parfumâmes',
    'parfumât',
    'parfumâtes',
    'parfumèrent',
    'parfumé',
    'parfumée',
    'parfumées',
    'parfumés',
    'parfîmes',
    'parfît',
    'parfîtes',
    'parhélie',
    'parhélies',
    'pari',
    'paria',
    'pariade',
    'pariades',
    'pariage',
    'pariages',
    'pariai',
    'pariaient',
    'pariais',
    'pariait',
    'parian',
    'parians',
    'pariant',
    'parias',
    'pariasse',
    'pariassent',
    'pariasses',
    'pariassiez',
    'pariassions',
    'paridigitidé',
    'parie',
    'parient',
    'parier',
    'pariera',
    'parierai',
    'parieraient',
    'parierais',
    'parierait',
    'parieras',
    'parierez',
    'parieriez',
    'parierions',
    'parierons',
    'parieront',
    'paries',
    'parieur',
    'parieurs',
    'parieuse',
    'parieuses',
    'pariez',
    'parigot',
    'parigote',
    'parigotes',
    'parigots',
    'pariiez',
    'pariions',
    'parions',
    'paripenné',
    'paripennée',
    'paripennées',
    'paripennés',
    'paris',
    'parisette',
    'parisettes',
    'parisianisme',
    'parisien',
    'parisienne',
    'parisiennes',
    'parisiens',
    'parisis',
    'paritaire',
    'paritaires',
    'parité',
    'parités',
    'pariâmes',
    'pariât',
    'pariâtes',
    'parièrent',
    'parié',
    'pariée',
    'pariées',
    'pariés',
    'pariétaire',
    'pariétaires',
    'pariétal',
    'pariétale',
    'pariétales',
    'pariétaux',
    'parjura',
    'parjurai',
    'parjuraient',
    'parjurais',
    'parjurait',
    'parjurant',
    'parjuras',
    'parjurasse',
    'parjurassent',
    'parjurasses',
    'parjurassiez',
    'parjure',
    'parjurent',
    'parjurer',
    'parjurera',
    'parjurerai',
    'parjurerais',
    'parjurerait',
    'parjureras',
    'parjurerez',
    'parjureriez',
    'parjurerions',
    'parjurerons',
    'parjureront',
    'parjures',
    'parjurez',
    'parjuriez',
    'parjurions',
    'parjurons',
    'parjurâmes',
    'parjurât',
    'parjurâtes',
    'parjurèrent',
    'parjuré',
    'parjurée',
    'parjurées',
    'parjurés',
    'parka',
    'parkas',
    'parking',
    'parkings',
    'parkinson',
    'parkinsonien',
    'parkinsons',
    'parkérisa',
    'parkérisai',
    'parkérisais',
    'parkérisait',
    'parkérisant',
    'parkérisas',
    'parkérisasse',
    'parkérise',
    'parkérisent',
    'parkériser',
    'parkérisera',
    'parkériserai',
    'parkériseras',
    'parkériserez',
    'parkérises',
    'parkérisez',
    'parkérisiez',
    'parkérisions',
    'parkérisons',
    'parkérisâmes',
    'parkérisât',
    'parkérisâtes',
    'parkérisé',
    'parkérisée',
    'parkérisées',
    'parkérisés',
    'parla',
    'parlai',
    'parlaient',
    'parlais',
    'parlait',
    'parlant',
    'parlante',
    'parlantes',
    'parlants',
    'parlas',
    'parlasse',
    'parlassent',
    'parlasses',
    'parlassiez',
    'parlassions',
    'parle',
    'parlement',
    'parlementa',
    'parlementai',
    'parlementais',
    'parlementait',
    'parlementant',
    'parlementas',
    'parlemente',
    'parlementent',
    'parlementer',
    'parlementera',
    'parlementes',
    'parlementez',
    'parlementiez',
    'parlementons',
    'parlements',
    'parlementât',
    'parlementé',
    'parlent',
    'parler',
    'parlera',
    'parlerai',
    'parleraient',
    'parlerais',
    'parlerait',
    'parleras',
    'parlerez',
    'parleriez',
    'parlerions',
    'parlerons',
    'parleront',
    'parlers',
    'parles',
    'parleur',
    'parleurs',
    'parleuse',
    'parleuses',
    'parlez',
    'parliez',
    'parlions',
    'parloir',
    'parloirs',
    'parlons',
    'parlota',
    'parlotai',
    'parlotaient',
    'parlotais',
    'parlotait',
    'parlotant',
    'parlotas',
    'parlotasse',
    'parlotassent',
    'parlotasses',
    'parlotassiez',
    'parlote',
    'parlotent',
    'parloter',
    'parlotera',
    'parloterai',
    'parloterais',
    'parloterait',
    'parloteras',
    'parloterez',
    'parloteriez',
    'parloterions',
    'parloterons',
    'parloteront',
    'parlotes',
    'parlotez',
    'parlotiez',
    'parlotions',
    'parlotons',
    'parlotte',
    'parlottes',
    'parlotâmes',
    'parlotât',
    'parlotâtes',
    'parlotèrent',
    'parloté',
    'parlâmes',
    'parlât',
    'parlâtes',
    'parlèrent',
    'parlé',
    'parlée',
    'parlées',
    'parlés',
    'parme',
    'parmenture',
    'parmentures',
    'parmesan',
    'parmesans',
    'parmi',
    'parmélie',
    'parmélies',
    'parnasse',
    'parnasses',
    'parnassien',
    'parnassienne',
    'parnassiens',
    'parodia',
    'parodiai',
    'parodiaient',
    'parodiais',
    'parodiait',
    'parodiant',
    'parodias',
    'parodiasse',
    'parodiassent',
    'parodiasses',
    'parodiassiez',
    'parodie',
    'parodient',
    'parodier',
    'parodiera',
    'parodierai',
    'parodierais',
    'parodierait',
    'parodieras',
    'parodierez',
    'parodieriez',
    'parodierions',
    'parodierons',
    'parodieront',
    'parodies',
    'parodiez',
    'parodiiez',
    'parodiions',
    'parodions',
    'parodique',
    'parodiques',
    'parodiste',
    'parodistes',
    'parodiâmes',
    'parodiât',
    'parodiâtes',
    'parodièrent',
    'parodié',
    'parodiée',
    'parodiées',
    'parodiés',
    'paroi',
    'parois',
    'paroisse',
    'paroisses',
    'paroissial',
    'paroissiale',
    'paroissiales',
    'paroissiaux',
    'paroissien',
    'paroissienne',
    'paroissiens',
    'parole',
    'paroles',
    'paroli',
    'parolier',
    'paroliers',
    'parolière',
    'parolières',
    'paronomase',
    'paronomases',
    'parons',
    'paronyme',
    'paronymes',
    'paronymie',
    'paronymies',
    'paronymique',
    'paronymiques',
    'paros',
    'parotide',
    'parotides',
    'parotidien',
    'parotidienne',
    'parotidiens',
    'parotidite',
    'parotidites',
    'parousie',
    'parousies',
    'paroxysmal',
    'paroxysmale',
    'paroxysmales',
    'paroxysmaux',
    'paroxysme',
    'paroxysmes',
    'paroxysmique',
    'paroxystique',
    'paroxyton',
    'paroxytons',
    'parpaillot',
    'parpaillote',
    'parpaillotes',
    'parpaillots',
    'parpaing',
    'parpaings',
    'parqua',
    'parquai',
    'parquaient',
    'parquais',
    'parquait',
    'parquant',
    'parquas',
    'parquasse',
    'parquassent',
    'parquasses',
    'parquassiez',
    'parquassions',
    'parque',
    'parquent',
    'parquer',
    'parquera',
    'parquerai',
    'parqueraient',
    'parquerais',
    'parquerait',
    'parqueras',
    'parquerez',
    'parqueriez',
    'parquerions',
    'parquerons',
    'parqueront',
    'parques',
    'parquet',
    'parqueta',
    'parquetage',
    'parquetages',
    'parquetai',
    'parquetaient',
    'parquetais',
    'parquetait',
    'parquetant',
    'parquetas',
    'parquetasse',
    'parquetasses',
    'parqueter',
    'parqueterie',
    'parqueteries',
    'parqueteur',
    'parqueteurs',
    'parquetez',
    'parquetiez',
    'parquetions',
    'parquetons',
    'parquets',
    'parquette',
    'parquettent',
    'parquettera',
    'parquetterai',
    'parquetteras',
    'parquetterez',
    'parquettes',
    'parquetâmes',
    'parquetât',
    'parquetâtes',
    'parquetèrent',
    'parqueté',
    'parquetée',
    'parquetées',
    'parquetés',
    'parqueur',
    'parqueurs',
    'parqueuse',
    'parqueuses',
    'parquez',
    'parquiez',
    'parquions',
    'parquons',
    'parquâmes',
    'parquât',
    'parquâtes',
    'parquèrent',
    'parqué',
    'parquée',
    'parquées',
    'parqués',
    'parrain',
    'parraina',
    'parrainage',
    'parrainages',
    'parrainai',
    'parrainaient',
    'parrainais',
    'parrainait',
    'parrainant',
    'parrainas',
    'parrainasse',
    'parrainasses',
    'parraine',
    'parrainent',
    'parrainer',
    'parrainera',
    'parrainerai',
    'parrainerais',
    'parrainerait',
    'parraineras',
    'parrainerez',
    'parraineriez',
    'parrainerons',
    'parraineront',
    'parraines',
    'parrainez',
    'parrainiez',
    'parrainions',
    'parrainons',
    'parrains',
    'parrainâmes',
    'parrainât',
    'parrainâtes',
    'parrainèrent',
    'parrainé',
    'parrainée',
    'parrainées',
    'parrainés',
    'parricide',
    'parricides',
    'pars',
    'parsec',
    'parsecs',
    'parsema',
    'parsemai',
    'parsemaient',
    'parsemais',
    'parsemait',
    'parsemant',
    'parsemas',
    'parsemasse',
    'parsemassent',
    'parsemasses',
    'parsemassiez',
    'parsemer',
    'parsemez',
    'parsemiez',
    'parsemions',
    'parsemons',
    'parsemâmes',
    'parsemât',
    'parsemâtes',
    'parsemèrent',
    'parsemé',
    'parsemée',
    'parsemées',
    'parsemés',
    'parsi',
    'parsie',
    'parsies',
    'parsis',
    'parsisme',
    'parsismes',
    'parsème',
    'parsèment',
    'parsèmera',
    'parsèmerai',
    'parsèmerais',
    'parsèmerait',
    'parsèmeras',
    'parsèmerez',
    'parsèmeriez',
    'parsèmerions',
    'parsèmerons',
    'parsèmeront',
    'parsèmes',
    'part',
    'partage',
    'partagea',
    'partageable',
    'partageables',
    'partageai',
    'partageaient',
    'partageais',
    'partageait',
    'partageant',
    'partageas',
    'partageasse',
    'partageasses',
    'partagent',
    'partageons',
    'partager',
    'partagera',
    'partagerai',
    'partagerais',
    'partagerait',
    'partageras',
    'partagerez',
    'partageriez',
    'partagerions',
    'partagerons',
    'partageront',
    'partages',
    'partageur',
    'partageurs',
    'partageuse',
    'partageuses',
    'partageux',
    'partagez',
    'partageâmes',
    'partageât',
    'partageâtes',
    'partagiez',
    'partagions',
    'partagèrent',
    'partagé',
    'partagée',
    'partagées',
    'partagés',
    'partaient',
    'partais',
    'partait',
    'partance',
    'partances',
    'partant',
    'partante',
    'partantes',
    'partants',
    'parte',
    'partenaire',
    'partenaires',
    'partenariat',
    'partenariats',
    'partent',
    'parterre',
    'parterres',
    'partes',
    'partez',
    'parti',
    'partiaire',
    'partiaires',
    'partial',
    'partiale',
    'partialement',
    'partiales',
    'partialité',
    'partialités',
    'partiaux',
    'participa',
    'participai',
    'participais',
    'participait',
    'participant',
    'participante',
    'participants',
    'participas',
    'participasse',
    'participatif',
    'participe',
    'participent',
    'participer',
    'participera',
    'participerai',
    'participeras',
    'participerez',
    'participes',
    'participez',
    'participial',
    'participiale',
    'participiaux',
    'participiez',
    'participions',
    'participons',
    'participâmes',
    'participât',
    'participâtes',
    'participé',
    'particulaire',
    'particule',
    'particules',
    'particulier',
    'particuliers',
    'particulière',
    'partie',
    'partiel',
    'partielle',
    'partielles',
    'partiels',
    'parties',
    'partiez',
    'partions',
    'partir',
    'partira',
    'partirai',
    'partiraient',
    'partirais',
    'partirait',
    'partiras',
    'partirent',
    'partirez',
    'partiriez',
    'partirions',
    'partirons',
    'partiront',
    'partis',
    'partisan',
    'partisane',
    'partisanes',
    'partisans',
    'partisse',
    'partissent',
    'partisses',
    'partissiez',
    'partissions',
    'partit',
    'partiteur',
    'partiteurs',
    'partitif',
    'partitifs',
    'partition',
    'partitionna',
    'partitionnai',
    'partitionnas',
    'partitionne',
    'partitionner',
    'partitionnes',
    'partitionnez',
    'partitionnât',
    'partitionné',
    'partitionnée',
    'partitionnés',
    'partitions',
    'partitive',
    'partitives',
    'parton',
    'partons',
    'partouse',
    'partouses',
    'partout',
    'partouze',
    'partouzes',
    'parts',
    'parturiente',
    'parturientes',
    'parturition',
    'parturitions',
    'partîmes',
    'partît',
    'partîtes',
    'paru',
    'parue',
    'parues',
    'parulie',
    'parulies',
    'parure',
    'parurent',
    'parurerie',
    'parureries',
    'parures',
    'parurier',
    'paruriers',
    'parurière',
    'parurières',
    'parus',
    'parusse',
    'parussent',
    'parusses',
    'parussiez',
    'parussions',
    'parut',
    'parution',
    'parutions',
    'parvenaient',
    'parvenais',
    'parvenait',
    'parvenant',
    'parvenez',
    'parveniez',
    'parvenions',
    'parvenir',
    'parvenons',
    'parvenu',
    'parvenue',
    'parvenues',
    'parvenus',
    'parviendra',
    'parviendrai',
    'parviendrais',
    'parviendrait',
    'parviendras',
    'parviendrez',
    'parviendriez',
    'parviendrons',
    'parviendront',
    'parvienne',
    'parviennent',
    'parviennes',
    'parviens',
    'parvient',
    'parvinrent',
    'parvins',
    'parvinsse',
    'parvinssent',
    'parvinsses',
    'parvinssiez',
    'parvinssions',
    'parvint',
    'parvis',
    'parvînmes',
    'parvînt',
    'parvîntes',
    'parâmes',
    'parât',
    'parâtes',
    'parâtre',
    'parâtres',
    'parère',
    'parèrent',
    'parères',
    'paré',
    'paréage',
    'paréages',
    'parée',
    'parées',
    'parégorique',
    'parégoriques',
    'parélie',
    'parélies',
    'parémiologie',
    'paréo',
    'paréos',
    'parés',
    'parésie',
    'parésies',
    'parûmes',
    'parût',
    'parûtes',
    'pascal',
    'pascale',
    'pascales',
    'pascals',
    'pascaux',
    'pasquin',
    'pasquins',
    'passa',
    'passable',
    'passablement',
    'passables',
    'passacaille',
    'passacailles',
    'passade',
    'passades',
    'passage',
    'passager',
    'passagers',
    'passages',
    'passagère',
    'passagères',
    'passai',
    'passaient',
    'passais',
    'passait',
    'passant',
    'passante',
    'passantes',
    'passants',
    'passas',
    'passasse',
    'passassent',
    'passasses',
    'passassiez',
    'passassions',
    'passation',
    'passations',
    'passavant',
    'passavants',
    'passe',
    'passement',
    'passementa',
    'passementai',
    'passementais',
    'passementait',
    'passementant',
    'passementas',
    'passemente',
    'passementent',
    'passementer',
    'passementera',
    'passementes',
    'passementez',
    'passementier',
    'passementiez',
    'passementons',
    'passements',
    'passementât',
    'passementé',
    'passementée',
    'passementées',
    'passementés',
    'passent',
    'passepoil',
    'passepoila',
    'passepoilai',
    'passepoilais',
    'passepoilait',
    'passepoilant',
    'passepoilas',
    'passepoile',
    'passepoilent',
    'passepoiler',
    'passepoilera',
    'passepoiles',
    'passepoilez',
    'passepoiliez',
    'passepoilons',
    'passepoils',
    'passepoilât',
    'passepoilé',
    'passepoilée',
    'passepoilées',
    'passepoilés',
    'passeport',
    'passeports',
    'passer',
    'passera',
    'passerage',
    'passerages',
    'passerai',
    'passeraient',
    'passerais',
    'passerait',
    'passeras',
    'passereau',
    'passereaux',
    'passerelle',
    'passerelles',
    'passerez',
    'passeriez',
    'passerine',
    'passerines',
    'passerinette',
    'passerions',
    'passerons',
    'passeront',
    'passes',
    'passeur',
    'passeurs',
    'passeuse',
    'passeuses',
    'passez',
    'passible',
    'passibles',
    'passiez',
    'passif',
    'passiflore',
    'passiflores',
    'passifs',
    'passim',
    'passion',
    'passionna',
    'passionnai',
    'passionnais',
    'passionnait',
    'passionnant',
    'passionnante',
    'passionnants',
    'passionnas',
    'passionnasse',
    'passionne',
    'passionnel',
    'passionnelle',
    'passionnels',
    'passionnent',
    'passionner',
    'passionnera',
    'passionnerai',
    'passionneras',
    'passionnerez',
    'passionnes',
    'passionnette',
    'passionnez',
    'passionniez',
    'passionnions',
    'passionnons',
    'passionnâmes',
    'passionnât',
    'passionnâtes',
    'passionné',
    'passionnée',
    'passionnées',
    'passionnés',
    'passions',
    'passivation',
    'passivations',
    'passive',
    'passivement',
    'passives',
    'passivité',
    'passivités',
    'passoire',
    'passoires',
    'passons',
    'passâmes',
    'passât',
    'passâtes',
    'passèrent',
    'passé',
    'passée',
    'passées',
    'passéisme',
    'passéismes',
    'passéiste',
    'passéistes',
    'passés',
    'pastel',
    'pastella',
    'pastellai',
    'pastellaient',
    'pastellais',
    'pastellait',
    'pastellant',
    'pastellas',
    'pastellasse',
    'pastellasses',
    'pastelle',
    'pastellent',
    'pasteller',
    'pastellera',
    'pastellerai',
    'pastellerais',
    'pastellerait',
    'pastelleras',
    'pastellerez',
    'pastelleriez',
    'pastellerons',
    'pastelleront',
    'pastelles',
    'pastellez',
    'pastelliez',
    'pastellions',
    'pastelliste',
    'pastellistes',
    'pastellons',
    'pastellâmes',
    'pastellât',
    'pastellâtes',
    'pastellèrent',
    'pastellé',
    'pastellée',
    'pastellées',
    'pastellés',
    'pastels',
    'pastenague',
    'pastenagues',
    'pasteur',
    'pasteurien',
    'pasteurienne',
    'pasteuriens',
    'pasteurisa',
    'pasteurisai',
    'pasteurisais',
    'pasteurisait',
    'pasteurisant',
    'pasteurisas',
    'pasteurise',
    'pasteurisent',
    'pasteuriser',
    'pasteurisera',
    'pasteurises',
    'pasteurisez',
    'pasteurisiez',
    'pasteurisons',
    'pasteurisât',
    'pasteurisé',
    'pasteurisée',
    'pasteurisées',
    'pasteurisés',
    'pasteurs',
    'pasticha',
    'pastichai',
    'pastichaient',
    'pastichais',
    'pastichait',
    'pastichant',
    'pastichas',
    'pastichasse',
    'pastichasses',
    'pastiche',
    'pastichent',
    'pasticher',
    'pastichera',
    'pasticherai',
    'pasticherais',
    'pasticherait',
    'pasticheras',
    'pasticherez',
    'pasticheriez',
    'pasticherons',
    'pasticheront',
    'pastiches',
    'pasticheur',
    'pasticheurs',
    'pasticheuse',
    'pasticheuses',
    'pastichez',
    'pastichiez',
    'pastichions',
    'pastichons',
    'pastichâmes',
    'pastichât',
    'pastichâtes',
    'pastichèrent',
    'pastiché',
    'pastichée',
    'pastichées',
    'pastichés',
    'pastilla',
    'pastillai',
    'pastillaient',
    'pastillais',
    'pastillait',
    'pastillant',
    'pastillas',
    'pastillasse',
    'pastillasses',
    'pastille',
    'pastillent',
    'pastiller',
    'pastillera',
    'pastillerai',
    'pastillerais',
    'pastillerait',
    'pastilleras',
    'pastillerez',
    'pastilleriez',
    'pastillerons',
    'pastilleront',
    'pastilles',
    'pastillez',
    'pastilliez',
    'pastillions',
    'pastillons',
    'pastillâmes',
    'pastillât',
    'pastillâtes',
    'pastillèrent',
    'pastillé',
    'pastillée',
    'pastillées',
    'pastillés',
    'pastis',
    'pastoral',
    'pastorale',
    'pastorales',
    'pastoraux',
    'pastoureau',
    'pastoureaux',
    'pastourelle',
    'pastourelles',
    'pastèque',
    'pastèques',
    'patache',
    'pataches',
    'patachon',
    'patachons',
    'patafiola',
    'patafiolai',
    'patafiolais',
    'patafiolait',
    'patafiolant',
    'patafiolas',
    'patafiolasse',
    'patafiole',
    'patafiolent',
    'patafioler',
    'patafiolera',
    'patafiolerai',
    'patafioleras',
    'patafiolerez',
    'patafioles',
    'patafiolez',
    'patafioliez',
    'patafiolions',
    'patafiolons',
    'patafiolâmes',
    'patafiolât',
    'patafiolâtes',
    'patafiolé',
    'patafiolée',
    'patafiolées',
    'patafiolés',
    'pataphysique',
    'patapouf',
    'patapoufs',
    'pataquès',
    'patarasse',
    'patarasses',
    'patard',
    'patards',
    'patate',
    'patates',
    'patatras',
    'pataud',
    'pataude',
    'pataudes',
    'patauds',
    'patauge',
    'pataugea',
    'pataugeage',
    'pataugeages',
    'pataugeai',
    'pataugeaient',
    'pataugeais',
    'pataugeaisse',
    'pataugeait',
    'pataugeant',
    'pataugeas',
    'pataugeasse',
    'pataugeasses',
    'pataugeaîmes',
    'pataugeaît',
    'pataugeaîtes',
    'pataugent',
    'pataugeoire',
    'pataugeoires',
    'pataugeons',
    'patauger',
    'pataugera',
    'pataugerai',
    'pataugerais',
    'pataugerait',
    'pataugeras',
    'pataugerez',
    'pataugeriez',
    'pataugerions',
    'pataugerons',
    'pataugeront',
    'patauges',
    'pataugeur',
    'pataugeurs',
    'pataugeuse',
    'pataugeuses',
    'pataugez',
    'pataugeâmes',
    'pataugeât',
    'pataugeâtes',
    'pataugiez',
    'pataugions',
    'pataugèrent',
    'pataugé',
    'patchouli',
    'patchoulis',
    'patchwork',
    'patchworks',
    'patelin',
    'patelina',
    'patelinage',
    'patelinages',
    'patelinai',
    'patelinaient',
    'patelinais',
    'patelinait',
    'patelinant',
    'patelinas',
    'patelinasse',
    'patelinasses',
    'pateline',
    'patelinent',
    'pateliner',
    'patelinera',
    'patelinerai',
    'patelinerais',
    'patelinerait',
    'patelineras',
    'patelinerez',
    'patelinerie',
    'patelineries',
    'patelineriez',
    'patelinerons',
    'patelineront',
    'patelines',
    'patelinez',
    'pateliniez',
    'patelinions',
    'patelinons',
    'patelins',
    'patelinâmes',
    'patelinât',
    'patelinâtes',
    'patelinèrent',
    'pateliné',
    'patelinée',
    'patelinées',
    'patelinés',
    'patelle',
    'patelles',
    'patent',
    'patenta',
    'patentable',
    'patentables',
    'patentage',
    'patentages',
    'patentai',
    'patentaient',
    'patentais',
    'patentait',
    'patentant',
    'patentas',
    'patentasse',
    'patentassent',
    'patentasses',
    'patentassiez',
    'patente',
    'patentent',
    'patenter',
    'patentera',
    'patenterai',
    'patenterais',
    'patenterait',
    'patenteras',
    'patenterez',
    'patenteriez',
    'patenterions',
    'patenterons',
    'patenteront',
    'patentes',
    'patentez',
    'patentiez',
    'patentions',
    'patentons',
    'patents',
    'patentâmes',
    'patentât',
    'patentâtes',
    'patentèrent',
    'patenté',
    'patentée',
    'patentées',
    'patentés',
    'patenôtre',
    'patenôtres',
    'pater',
    'paternalisme',
    'paternaliste',
    'paterne',
    'paternel',
    'paternelle',
    'paternelles',
    'paternels',
    'paternes',
    'paternité',
    'paternités',
    'pathogène',
    'pathogènes',
    'pathogénie',
    'pathogénies',
    'pathologie',
    'pathologies',
    'pathologique',
    'pathologiste',
    'pathos',
    'pathétique',
    'pathétiques',
    'pathétisme',
    'pathétismes',
    'patibulaire',
    'patibulaires',
    'patiemment',
    'patience',
    'patiences',
    'patient',
    'patienta',
    'patientai',
    'patientaient',
    'patientais',
    'patientait',
    'patientant',
    'patientas',
    'patientasse',
    'patientasses',
    'patiente',
    'patientent',
    'patienter',
    'patientera',
    'patienterai',
    'patienterais',
    'patienterait',
    'patienteras',
    'patienterez',
    'patienteriez',
    'patienterons',
    'patienteront',
    'patientes',
    'patientez',
    'patientiez',
    'patientions',
    'patientons',
    'patients',
    'patientâmes',
    'patientât',
    'patientâtes',
    'patientèrent',
    'patienté',
    'patin',
    'patina',
    'patinage',
    'patinages',
    'patinai',
    'patinaient',
    'patinais',
    'patinait',
    'patinant',
    'patinas',
    'patinasse',
    'patinassent',
    'patinasses',
    'patinassiez',
    'patinassions',
    'patine',
    'patinent',
    'patiner',
    'patinera',
    'patinerai',
    'patineraient',
    'patinerais',
    'patinerait',
    'patineras',
    'patinerez',
    'patineriez',
    'patinerions',
    'patinerons',
    'patineront',
    'patines',
    'patinette',
    'patinettes',
    'patineur',
    'patineurs',
    'patineuse',
    'patineuses',
    'patinez',
    'patiniez',
    'patinions',
    'patinoire',
    'patinoires',
    'patinons',
    'patins',
    'patinâmes',
    'patinât',
    'patinâtes',
    'patinèrent',
    'patiné',
    'patinée',
    'patinées',
    'patinés',
    'patio',
    'patios',
    'patoche',
    'patoches',
    'patois',
    'patoisa',
    'patoisai',
    'patoisaient',
    'patoisais',
    'patoisait',
    'patoisant',
    'patoisante',
    'patoisantes',
    'patoisants',
    'patoisas',
    'patoisasse',
    'patoisassent',
    'patoisasses',
    'patoisassiez',
    'patoise',
    'patoisent',
    'patoiser',
    'patoisera',
    'patoiserai',
    'patoiserais',
    'patoiserait',
    'patoiseras',
    'patoiserez',
    'patoiseriez',
    'patoiserions',
    'patoiserons',
    'patoiseront',
    'patoises',
    'patoisez',
    'patoisiez',
    'patoisions',
    'patoisons',
    'patoisâmes',
    'patoisât',
    'patoisâtes',
    'patoisèrent',
    'patoisé',
    'patouilla',
    'patouillai',
    'patouillais',
    'patouillait',
    'patouillant',
    'patouillas',
    'patouillasse',
    'patouille',
    'patouillent',
    'patouiller',
    'patouillera',
    'patouillerai',
    'patouilleras',
    'patouillerez',
    'patouilles',
    'patouillez',
    'patouilliez',
    'patouillions',
    'patouillons',
    'patouillâmes',
    'patouillât',
    'patouillâtes',
    'patouillé',
    'patouillée',
    'patouillées',
    'patouillés',
    'patraque',
    'patraques',
    'patriarcal',
    'patriarcale',
    'patriarcales',
    'patriarcat',
    'patriarcats',
    'patriarcaux',
    'patriarche',
    'patriarches',
    'patrice',
    'patrices',
    'patriciat',
    'patriciats',
    'patricien',
    'patricienne',
    'patriciennes',
    'patriciens',
    'patriclan',
    'patriclans',
    'patrie',
    'patries',
    'patrilocal',
    'patrilocale',
    'patrilocales',
    'patrilocaux',
    'patrimoine',
    'patrimoines',
    'patrimonial',
    'patrimoniale',
    'patrimoniaux',
    'patriotard',
    'patriotarde',
    'patriotardes',
    'patriotards',
    'patriote',
    'patriotes',
    'patriotique',
    'patriotiques',
    'patriotisme',
    'patriotismes',
    'patristique',
    'patristiques',
    'patrologie',
    'patrologies',
    'patron',
    'patronage',
    'patronages',
    'patronal',
    'patronale',
    'patronales',
    'patronat',
    'patronats',
    'patronaux',
    'patronna',
    'patronnai',
    'patronnaient',
    'patronnais',
    'patronnait',
    'patronnant',
    'patronnas',
    'patronnasse',
    'patronnasses',
    'patronne',
    'patronnent',
    'patronner',
    'patronnera',
    'patronnerai',
    'patronnerais',
    'patronnerait',
    'patronneras',
    'patronnerez',
    'patronneriez',
    'patronnerons',
    'patronneront',
    'patronnes',
    'patronnesse',
    'patronnesses',
    'patronnez',
    'patronniez',
    'patronnions',
    'patronnons',
    'patronnâmes',
    'patronnât',
    'patronnâtes',
    'patronnèrent',
    'patronné',
    'patronnée',
    'patronnées',
    'patronnés',
    'patrons',
    'patronyme',
    'patronymes',
    'patronymique',
    'patrouilla',
    'patrouillai',
    'patrouillais',
    'patrouillait',
    'patrouillant',
    'patrouillas',
    'patrouille',
    'patrouillent',
    'patrouiller',
    'patrouillera',
    'patrouilles',
    'patrouilleur',
    'patrouillez',
    'patrouilliez',
    'patrouillons',
    'patrouillât',
    'patrouillé',
    'patrouillée',
    'patrouillées',
    'patrouillés',
    'patta',
    'pattai',
    'pattaient',
    'pattais',
    'pattait',
    'pattant',
    'pattas',
    'pattasse',
    'pattassent',
    'pattasses',
    'pattassiez',
    'pattassions',
    'patte',
    'pattemouille',
    'pattent',
    'patter',
    'pattera',
    'patterai',
    'patteraient',
    'patterais',
    'patterait',
    'patteras',
    'patterez',
    'patteriez',
    'patterions',
    'pattern',
    'patterns',
    'patterons',
    'patteront',
    'pattes',
    'pattez',
    'pattiez',
    'pattinsonage',
    'pattions',
    'pattons',
    'pattu',
    'pattue',
    'pattues',
    'pattus',
    'pattâmes',
    'pattât',
    'pattâtes',
    'pattèrent',
    'patté',
    'pattée',
    'pattées',
    'pattés',
    'paturon',
    'paturons',
    'patène',
    'patènes',
    'patère',
    'patères',
    'pauchouse',
    'pauchouses',
    'paulette',
    'paulettes',
    'paulien',
    'paulienne',
    'pauliennes',
    'pauliens',
    'paulinien',
    'paulinienne',
    'pauliniennes',
    'pauliniens',
    'paulinisme',
    'paulinismes',
    'pauliste',
    'paulistes',
    'paulownia',
    'paulownias',
    'pauma',
    'paumai',
    'paumaient',
    'paumais',
    'paumait',
    'paumant',
    'paumas',
    'paumasse',
    'paumassent',
    'paumasses',
    'paumassiez',
    'paumassions',
    'paume',
    'paumelle',
    'paumelles',
    'paument',
    'paumer',
    'paumera',
    'paumerai',
    'paumeraient',
    'paumerais',
    'paumerait',
    'paumeras',
    'paumerez',
    'paumeriez',
    'paumerions',
    'paumerons',
    'paumeront',
    'paumes',
    'paumez',
    'paumier',
    'paumiers',
    'paumiez',
    'paumions',
    'paumoie',
    'paumoient',
    'paumoiera',
    'paumoierai',
    'paumoierais',
    'paumoierait',
    'paumoieras',
    'paumoierez',
    'paumoieriez',
    'paumoierions',
    'paumoierons',
    'paumoieront',
    'paumoies',
    'paumons',
    'paumoya',
    'paumoyai',
    'paumoyaient',
    'paumoyais',
    'paumoyait',
    'paumoyant',
    'paumoyas',
    'paumoyasse',
    'paumoyassent',
    'paumoyasses',
    'paumoyassiez',
    'paumoyer',
    'paumoyez',
    'paumoyiez',
    'paumoyions',
    'paumoyons',
    'paumoyâmes',
    'paumoyât',
    'paumoyâtes',
    'paumoyèrent',
    'paumoyé',
    'paumoyée',
    'paumoyées',
    'paumoyés',
    'paumure',
    'paumures',
    'paumâmes',
    'paumât',
    'paumâtes',
    'paumèrent',
    'paumé',
    'paumée',
    'paumées',
    'paumés',
    'paupiette',
    'paupiettes',
    'paupière',
    'paupières',
    'paupérisa',
    'paupérisai',
    'paupérisais',
    'paupérisait',
    'paupérisant',
    'paupérisas',
    'paupérisasse',
    'paupérise',
    'paupérisent',
    'paupériser',
    'paupérisera',
    'paupériserai',
    'paupériseras',
    'paupériserez',
    'paupérises',
    'paupérisez',
    'paupérisiez',
    'paupérisions',
    'paupérisme',
    'paupérismes',
    'paupérisons',
    'paupérisâmes',
    'paupérisât',
    'paupérisâtes',
    'paupérisé',
    'paupérisée',
    'paupérisées',
    'paupérisés',
    'pausa',
    'pausai',
    'pausaient',
    'pausais',
    'pausait',
    'pausant',
    'pausas',
    'pausasse',
    'pausassent',
    'pausasses',
    'pausassiez',
    'pausassions',
    'pause',
    'pausent',
    'pauser',
    'pausera',
    'pauserai',
    'pauseraient',
    'pauserais',
    'pauserait',
    'pauseras',
    'pauserez',
    'pauseriez',
    'pauserions',
    'pauserons',
    'pauseront',
    'pauses',
    'pausez',
    'pausiez',
    'pausions',
    'pausons',
    'pausâmes',
    'pausât',
    'pausâtes',
    'pausèrent',
    'pausé',
    'pauvre',
    'pauvrement',
    'pauvres',
    'pauvresse',
    'pauvresses',
    'pauvret',
    'pauvrets',
    'pauvrette',
    'pauvrettes',
    'pauvreté',
    'pauvretés',
    'pava',
    'pavage',
    'pavages',
    'pavai',
    'pavaient',
    'pavais',
    'pavait',
    'pavana',
    'pavanai',
    'pavanaient',
    'pavanais',
    'pavanait',
    'pavanant',
    'pavanas',
    'pavanasse',
    'pavanassent',
    'pavanasses',
    'pavanassiez',
    'pavanassions',
    'pavane',
    'pavanent',
    'pavaner',
    'pavanera',
    'pavanerai',
    'pavaneraient',
    'pavanerais',
    'pavanerait',
    'pavaneras',
    'pavanerez',
    'pavaneriez',
    'pavanerions',
    'pavanerons',
    'pavaneront',
    'pavanes',
    'pavanez',
    'pavaniez',
    'pavanions',
    'pavanons',
    'pavant',
    'pavanâmes',
    'pavanât',
    'pavanâtes',
    'pavanèrent',
    'pavané',
    'pavanée',
    'pavanées',
    'pavanés',
    'pavas',
    'pavasse',
    'pavassent',
    'pavasses',
    'pavassiez',
    'pavassions',
    'pave',
    'pavement',
    'pavements',
    'pavent',
    'paver',
    'pavera',
    'paverai',
    'paveraient',
    'paverais',
    'paverait',
    'paveras',
    'paverez',
    'paveriez',
    'paverions',
    'paverons',
    'paveront',
    'paves',
    'paveur',
    'paveurs',
    'pavez',
    'pavie',
    'pavies',
    'paviez',
    'pavillon',
    'pavillons',
    'pavimenteuse',
    'pavimenteux',
    'pavions',
    'pavois',
    'pavoisa',
    'pavoisai',
    'pavoisaient',
    'pavoisais',
    'pavoisait',
    'pavoisant',
    'pavoisas',
    'pavoisasse',
    'pavoisassent',
    'pavoisasses',
    'pavoisassiez',
    'pavoise',
    'pavoisement',
    'pavoisements',
    'pavoisent',
    'pavoiser',
    'pavoisera',
    'pavoiserai',
    'pavoiserais',
    'pavoiserait',
    'pavoiseras',
    'pavoiserez',
    'pavoiseriez',
    'pavoiserions',
    'pavoiserons',
    'pavoiseront',
    'pavoises',
    'pavoisez',
    'pavoisiez',
    'pavoisions',
    'pavoisons',
    'pavoisâmes',
    'pavoisât',
    'pavoisâtes',
    'pavoisèrent',
    'pavoisé',
    'pavoisée',
    'pavoisées',
    'pavoisés',
    'pavons',
    'pavot',
    'pavots',
    'pavâmes',
    'pavât',
    'pavâtes',
    'pavèrent',
    'pavé',
    'pavée',
    'pavées',
    'pavés',
    'paya',
    'payable',
    'payables',
    'payai',
    'payaient',
    'payais',
    'payait',
    'payant',
    'payante',
    'payantes',
    'payants',
    'payas',
    'payasse',
    'payassent',
    'payasses',
    'payassiez',
    'payassions',
    'paye',
    'payement',
    'payements',
    'payent',
    'payer',
    'payera',
    'payerai',
    'payeraient',
    'payerais',
    'payerait',
    'payeras',
    'payerez',
    'payeriez',
    'payerions',
    'payerons',
    'payeront',
    'payes',
    'payeur',
    'payeurs',
    'payeuse',
    'payeuses',
    'payez',
    'payiez',
    'payions',
    'payons',
    'pays',
    'paysage',
    'paysager',
    'paysagers',
    'paysages',
    'paysagiste',
    'paysagistes',
    'paysagère',
    'paysagères',
    'paysan',
    'paysannat',
    'paysannats',
    'paysanne',
    'paysannerie',
    'paysanneries',
    'paysannes',
    'paysans',
    'payse',
    'payses',
    'payâmes',
    'payât',
    'payâtes',
    'payèrent',
    'payé',
    'payée',
    'payées',
    'payés',
    'paît',
    'paîtra',
    'paîtrai',
    'paîtraient',
    'paîtrais',
    'paîtrait',
    'paîtras',
    'paître',
    'paîtrez',
    'paîtriez',
    'paîtrions',
    'paîtrons',
    'paîtront',
    'païen',
    'païenne',
    'païennes',
    'païens',
    'pdfborder',
    'pdfpagemode',
    'pdfstartview',
    'peau',
    'peaucier',
    'peauciers',
    'peaufina',
    'peaufinai',
    'peaufinaient',
    'peaufinais',
    'peaufinait',
    'peaufinant',
    'peaufinas',
    'peaufinasse',
    'peaufinasses',
    'peaufine',
    'peaufinent',
    'peaufiner',
    'peaufinera',
    'peaufinerai',
    'peaufinerais',
    'peaufinerait',
    'peaufineras',
    'peaufinerez',
    'peaufineriez',
    'peaufinerons',
    'peaufineront',
    'peaufines',
    'peaufinez',
    'peaufiniez',
    'peaufinions',
    'peaufinons',
    'peaufinâmes',
    'peaufinât',
    'peaufinâtes',
    'peaufinèrent',
    'peaufiné',
    'peaufinée',
    'peaufinées',
    'peaufinés',
    'peaussa',
    'peaussai',
    'peaussaient',
    'peaussais',
    'peaussait',
    'peaussant',
    'peaussas',
    'peaussasse',
    'peaussassent',
    'peaussasses',
    'peaussassiez',
    'peausse',
    'peaussent',
    'peausser',
    'peaussera',
    'peausserai',
    'peausserais',
    'peausserait',
    'peausseras',
    'peausserez',
    'peausserie',
    'peausseries',
    'peausseriez',
    'peausserions',
    'peausserons',
    'peausseront',
    'peausses',
    'peaussez',
    'peaussier',
    'peaussiers',
    'peaussiez',
    'peaussions',
    'peaussons',
    'peaussâmes',
    'peaussât',
    'peaussâtes',
    'peaussèrent',
    'peaussé',
    'peaux',
    'peccable',
    'peccables',
    'peccadille',
    'peccadilles',
    'pechblende',
    'pechblendes',
    'pecnot',
    'pecnots',
    'pecten',
    'pectens',
    'pectine',
    'pectines',
    'pectiné',
    'pectinée',
    'pectinées',
    'pectinés',
    'pectique',
    'pectiques',
    'pectoral',
    'pectorale',
    'pectorales',
    'pectoraux',
    'pedigree',
    'pedigrees',
    'pedum',
    'pedums',
    'pedzouille',
    'pedzouilles',
    'peeling',
    'peelings',
    'pegmatite',
    'pegmatites',
    'pehlvi',
    'peigna',
    'peignage',
    'peignages',
    'peignai',
    'peignaient',
    'peignais',
    'peignait',
    'peignant',
    'peignas',
    'peignasse',
    'peignassent',
    'peignasses',
    'peignassiez',
    'peignassions',
    'peigne',
    'peignent',
    'peigner',
    'peignera',
    'peignerai',
    'peigneraient',
    'peignerais',
    'peignerait',
    'peigneras',
    'peignerez',
    'peigneriez',
    'peignerions',
    'peignerons',
    'peigneront',
    'peignes',
    'peigneur',
    'peigneurs',
    'peigneuse',
    'peigneuses',
    'peignez',
    'peignier',
    'peigniers',
    'peigniez',
    'peignions',
    'peignirent',
    'peignis',
    'peignisse',
    'peignissent',
    'peignisses',
    'peignissiez',
    'peignissions',
    'peignit',
    'peignoir',
    'peignoire',
    'peignoires',
    'peignoirs',
    'peignons',
    'peignures',
    'peignâmes',
    'peignât',
    'peignâtes',
    'peignèrent',
    'peigné',
    'peignée',
    'peignées',
    'peignés',
    'peignîmes',
    'peignît',
    'peignîtes',
    'peille',
    'peilles',
    'peina',
    'peinai',
    'peinaient',
    'peinais',
    'peinait',
    'peinant',
    'peinard',
    'peinarde',
    'peinardement',
    'peinardes',
    'peinards',
    'peinas',
    'peinasse',
    'peinassent',
    'peinasses',
    'peinassiez',
    'peinassions',
    'peindra',
    'peindrai',
    'peindraient',
    'peindrais',
    'peindrait',
    'peindras',
    'peindre',
    'peindrez',
    'peindriez',
    'peindrions',
    'peindrons',
    'peindront',
    'peine',
    'peinent',
    'peiner',
    'peinera',
    'peinerai',
    'peineraient',
    'peinerais',
    'peinerait',
    'peineras',
    'peinerez',
    'peineriez',
    'peinerions',
    'peinerons',
    'peineront',
    'peines',
    'peinez',
    'peiniez',
    'peinions',
    'peinons',
    'peins',
    'peint',
    'peinte',
    'peintes',
    'peintre',
    'peintres',
    'peints',
    'peintura',
    'peinturai',
    'peinturaient',
    'peinturais',
    'peinturait',
    'peinturant',
    'peinturas',
    'peinturasse',
    'peinturasses',
    'peinture',
    'peinturent',
    'peinturer',
    'peinturera',
    'peinturerai',
    'peinturerais',
    'peinturerait',
    'peintureras',
    'peinturerez',
    'peintureriez',
    'peinturerons',
    'peintureront',
    'peintures',
    'peinturez',
    'peinturiez',
    'peinturions',
    'peinturlura',
    'peinturlurai',
    'peinturluras',
    'peinturlure',
    'peinturlurer',
    'peinturlures',
    'peinturlurez',
    'peinturlurât',
    'peinturluré',
    'peinturlurée',
    'peinturlurés',
    'peinturons',
    'peinturâmes',
    'peinturât',
    'peinturâtes',
    'peinturèrent',
    'peinturé',
    'peinturée',
    'peinturées',
    'peinturés',
    'peinâmes',
    'peinât',
    'peinâtes',
    'peinèrent',
    'peiné',
    'peinée',
    'peinées',
    'peinés',
    'pela',
    'pelade',
    'pelades',
    'pelage',
    'pelages',
    'pelagos',
    'pelai',
    'pelaient',
    'pelais',
    'pelait',
    'pelant',
    'pelard',
    'pelards',
    'pelas',
    'pelasse',
    'pelassent',
    'pelasses',
    'pelassiez',
    'pelassions',
    'peler',
    'pelez',
    'peliez',
    'pelions',
    'pelisse',
    'pelisses',
    'pellagre',
    'pellagres',
    'pellagreuse',
    'pellagreuses',
    'pellagreux',
    'pelle',
    'pelles',
    'pellet',
    'pelleta',
    'pelletage',
    'pelletages',
    'pelletai',
    'pelletaient',
    'pelletais',
    'pelletait',
    'pelletant',
    'pelletas',
    'pelletasse',
    'pelletassent',
    'pelletasses',
    'pelletassiez',
    'pelleter',
    'pelleterie',
    'pelleteries',
    'pelleteur',
    'pelleteurs',
    'pelleteuse',
    'pelleteuses',
    'pelletez',
    'pelletier',
    'pelletiers',
    'pelletiez',
    'pelletions',
    'pelletière',
    'pelletières',
    'pelletiérine',
    'pelletons',
    'pellets',
    'pellette',
    'pellettent',
    'pellettera',
    'pelletterai',
    'pelletterais',
    'pelletterait',
    'pelletteras',
    'pelletterez',
    'pelletteriez',
    'pelletterons',
    'pelletteront',
    'pellettes',
    'pelletâmes',
    'pelletât',
    'pelletâtes',
    'pelletèrent',
    'pelleté',
    'pelletée',
    'pelletées',
    'pelletés',
    'pelliculage',
    'pelliculages',
    'pelliculaire',
    'pellicule',
    'pellicules',
    'pelliculeuse',
    'pelliculeux',
    'pelliculé',
    'pelliculée',
    'pelliculées',
    'pelliculés',
    'pellucide',
    'pellucides',
    'pelons',
    'pelota',
    'pelotage',
    'pelotages',
    'pelotai',
    'pelotaient',
    'pelotais',
    'pelotait',
    'pelotant',
    'pelotari',
    'pelotaris',
    'pelotas',
    'pelotasse',
    'pelotassent',
    'pelotasses',
    'pelotassiez',
    'pelotassions',
    'pelote',
    'pelotent',
    'peloter',
    'pelotera',
    'peloterai',
    'peloteraient',
    'peloterais',
    'peloterait',
    'peloteras',
    'peloterez',
    'peloteriez',
    'peloterions',
    'peloterons',
    'peloteront',
    'pelotes',
    'peloteur',
    'peloteurs',
    'peloteuse',
    'peloteuses',
    'pelotez',
    'pelotiez',
    'pelotions',
    'peloton',
    'pelotonna',
    'pelotonnai',
    'pelotonnais',
    'pelotonnait',
    'pelotonnant',
    'pelotonnas',
    'pelotonnasse',
    'pelotonne',
    'pelotonnent',
    'pelotonner',
    'pelotonnera',
    'pelotonnerai',
    'pelotonneras',
    'pelotonnerez',
    'pelotonnes',
    'pelotonnez',
    'pelotonniez',
    'pelotonnions',
    'pelotonnons',
    'pelotonnâmes',
    'pelotonnât',
    'pelotonnâtes',
    'pelotonné',
    'pelotonnée',
    'pelotonnées',
    'pelotonnés',
    'pelotons',
    'pelotâmes',
    'pelotât',
    'pelotâtes',
    'pelotèrent',
    'peloté',
    'pelotée',
    'pelotées',
    'pelotés',
    'pelouse',
    'pelouses',
    'pelta',
    'peltas',
    'peltaste',
    'peltastes',
    'pelté',
    'peltée',
    'peltées',
    'peltés',
    'pelucha',
    'peluchai',
    'peluchaient',
    'peluchais',
    'peluchait',
    'peluchant',
    'peluchas',
    'peluchasse',
    'peluchassent',
    'peluchasses',
    'peluchassiez',
    'peluche',
    'peluchent',
    'pelucher',
    'peluchera',
    'pelucherai',
    'pelucherais',
    'pelucherait',
    'pelucheras',
    'pelucherez',
    'pelucheriez',
    'pelucherions',
    'pelucherons',
    'pelucheront',
    'peluches',
    'pelucheuse',
    'pelucheuses',
    'pelucheux',
    'peluchez',
    'peluchiez',
    'peluchions',
    'peluchons',
    'peluchâmes',
    'peluchât',
    'peluchâtes',
    'peluchèrent',
    'peluché',
    'peluchée',
    'peluchées',
    'peluchés',
    'pelure',
    'pelures',
    'pelvien',
    'pelvienne',
    'pelviennes',
    'pelviens',
    'pelvigraphie',
    'pelvis',
    'pelâmes',
    'pelât',
    'pelâtes',
    'pelèrent',
    'pelé',
    'pelée',
    'peléen',
    'peléenne',
    'peléennes',
    'peléens',
    'pelées',
    'pelés',
    'pemmican',
    'pemmicans',
    'penalties',
    'penalty',
    'penaltys',
    'penaud',
    'penaude',
    'penaudes',
    'penauds',
    'pencha',
    'penchai',
    'penchaient',
    'penchais',
    'penchait',
    'penchant',
    'penchante',
    'penchantes',
    'penchants',
    'penchas',
    'penchasse',
    'penchassent',
    'penchasses',
    'penchassiez',
    'penchassions',
    'penche',
    'penchent',
    'pencher',
    'penchera',
    'pencherai',
    'pencheraient',
    'pencherais',
    'pencherait',
    'pencheras',
    'pencherez',
    'pencheriez',
    'pencherions',
    'pencherons',
    'pencheront',
    'penches',
    'penchez',
    'penchiez',
    'penchions',
    'penchons',
    'penchâmes',
    'penchât',
    'penchâtes',
    'penchèrent',
    'penché',
    'penchée',
    'penchées',
    'penchés',
    'pend',
    'pendable',
    'pendables',
    'pendage',
    'pendages',
    'pendaient',
    'pendais',
    'pendaison',
    'pendaisons',
    'pendait',
    'pendant',
    'pendante',
    'pendantes',
    'pendants',
    'pendard',
    'pendards',
    'pende',
    'pendeloque',
    'pendeloques',
    'pendent',
    'pendentif',
    'pendentifs',
    'penderie',
    'penderies',
    'pendes',
    'pendez',
    'pendiez',
    'pendilla',
    'pendillai',
    'pendillaient',
    'pendillais',
    'pendillait',
    'pendillant',
    'pendillas',
    'pendillasse',
    'pendillasses',
    'pendille',
    'pendillent',
    'pendiller',
    'pendillera',
    'pendillerai',
    'pendillerais',
    'pendillerait',
    'pendilleras',
    'pendillerez',
    'pendilleriez',
    'pendillerons',
    'pendilleront',
    'pendilles',
    'pendillez',
    'pendilliez',
    'pendillions',
    'pendillon',
    'pendillons',
    'pendillâmes',
    'pendillât',
    'pendillâtes',
    'pendillèrent',
    'pendillé',
    'pendions',
    'pendirent',
    'pendis',
    'pendisse',
    'pendissent',
    'pendisses',
    'pendissiez',
    'pendissions',
    'pendit',
    'pendoir',
    'pendoirs',
    'pendons',
    'pendouilla',
    'pendouillai',
    'pendouillais',
    'pendouillait',
    'pendouillant',
    'pendouillas',
    'pendouille',
    'pendouillent',
    'pendouiller',
    'pendouillera',
    'pendouilles',
    'pendouillez',
    'pendouilliez',
    'pendouillons',
    'pendouillât',
    'pendouillé',
    'pendra',
    'pendrai',
    'pendraient',
    'pendrais',
    'pendrait',
    'pendras',
    'pendre',
    'pendrez',
    'pendriez',
    'pendrions',
    'pendrons',
    'pendront',
    'pends',
    'pendu',
    'pendue',
    'pendues',
    'pendula',
    'pendulai',
    'pendulaient',
    'pendulaire',
    'pendulaires',
    'pendulais',
    'pendulait',
    'pendulant',
    'pendulas',
    'pendulasse',
    'pendulassent',
    'pendulasses',
    'pendulassiez',
    'pendule',
    'pendulent',
    'penduler',
    'pendulera',
    'pendulerai',
    'pendulerais',
    'pendulerait',
    'penduleras',
    'pendulerez',
    'penduleriez',
    'pendulerions',
    'pendulerons',
    'penduleront',
    'pendules',
    'pendulette',
    'pendulettes',
    'pendulez',
    'penduliez',
    'pendulions',
    'pendulons',
    'pendulâmes',
    'pendulât',
    'pendulâtes',
    'pendulèrent',
    'pendulé',
    'pendus',
    'pendîmes',
    'pendît',
    'pendîtes',
    'pennage',
    'penne',
    'pennes',
    'pennies',
    'penniforme',
    'penniformes',
    'pennon',
    'pennons',
    'penny',
    'penné',
    'pennée',
    'pennées',
    'pennés',
    'penon',
    'penons',
    'pensa',
    'pensable',
    'pensables',
    'pensai',
    'pensaient',
    'pensais',
    'pensait',
    'pensant',
    'pensante',
    'pensantes',
    'pensants',
    'pensas',
    'pensasse',
    'pensassent',
    'pensasses',
    'pensassiez',
    'pensassions',
    'pense',
    'pensent',
    'penser',
    'pensera',
    'penserai',
    'penseraient',
    'penserais',
    'penserait',
    'penseras',
    'penserez',
    'penseriez',
    'penserions',
    'penserons',
    'penseront',
    'penses',
    'penseur',
    'penseurs',
    'penseuse',
    'penseuses',
    'pensez',
    'pensiez',
    'pensif',
    'pensifs',
    'pension',
    'pensionna',
    'pensionnai',
    'pensionnaire',
    'pensionnais',
    'pensionnait',
    'pensionnant',
    'pensionnas',
    'pensionnasse',
    'pensionnat',
    'pensionnats',
    'pensionne',
    'pensionnent',
    'pensionner',
    'pensionnera',
    'pensionnerai',
    'pensionneras',
    'pensionnerez',
    'pensionnes',
    'pensionnez',
    'pensionniez',
    'pensionnions',
    'pensionnons',
    'pensionnâmes',
    'pensionnât',
    'pensionnâtes',
    'pensionné',
    'pensionnée',
    'pensionnées',
    'pensionnés',
    'pensions',
    'pensive',
    'pensivement',
    'pensives',
    'pensons',
    'pensum',
    'pensums',
    'pensâmes',
    'pensât',
    'pensâtes',
    'pensèrent',
    'pensé',
    'pensée',
    'pensées',
    'pensés',
    'pentacle',
    'pentacles',
    'pentacorde',
    'pentacordes',
    'pentacrine',
    'pentacrines',
    'pentadactyle',
    'pentagonal',
    'pentagonale',
    'pentagonales',
    'pentagonaux',
    'pentagone',
    'pentagones',
    'pentamère',
    'pentamères',
    'pentamètre',
    'pentamètres',
    'pentane',
    'pentanes',
    'pentapol',
    'pentapols',
    'pentarchie',
    'pentarchies',
    'pentateuque',
    'pentateuques',
    'pentathlon',
    'pentathlons',
    'pentatome',
    'pentatomes',
    'pentatonique',
    'pentaèdre',
    'pentaèdres',
    'pente',
    'pentecôte',
    'pentecôtes',
    'pentes',
    'penthode',
    'penthodes',
    'penthotal',
    'penthotals',
    'pentode',
    'pentodes',
    'pentose',
    'pentoses',
    'pentu',
    'pentue',
    'pentues',
    'penture',
    'pentures',
    'pentus',
    'peppermint',
    'peppermints',
    'pepsine',
    'pepsines',
    'peptide',
    'peptides',
    'peptique',
    'peptiques',
    'peptone',
    'peptones',
    'perborate',
    'perborates',
    'percale',
    'percales',
    'percaline',
    'percalines',
    'perce',
    'percement',
    'percements',
    'percent',
    'percept',
    'percepteur',
    'percepteurs',
    'perceptible',
    'perceptibles',
    'perceptif',
    'perceptifs',
    'perception',
    'perceptions',
    'perceptive',
    'perceptives',
    'perceptrice',
    'perceptrices',
    'percepts',
    'percer',
    'percera',
    'percerai',
    'perceraient',
    'percerais',
    'percerait',
    'perceras',
    'percerette',
    'percerettes',
    'percerez',
    'perceriez',
    'percerions',
    'percerons',
    'perceront',
    'perces',
    'perceur',
    'perceurs',
    'perceuse',
    'perceuses',
    'percevable',
    'percevables',
    'percevaient',
    'percevais',
    'percevait',
    'percevant',
    'percevez',
    'perceviez',
    'percevions',
    'percevoir',
    'percevons',
    'percevra',
    'percevrai',
    'percevraient',
    'percevrais',
    'percevrait',
    'percevras',
    'percevrez',
    'percevriez',
    'percevrions',
    'percevrons',
    'percevront',
    'percez',
    'percha',
    'perchai',
    'perchaient',
    'perchais',
    'perchait',
    'perchant',
    'perchas',
    'perchasse',
    'perchassent',
    'perchasses',
    'perchassiez',
    'perchassions',
    'perche',
    'perchent',
    'percher',
    'perchera',
    'percherai',
    'percheraient',
    'percherais',
    'percherait',
    'percheras',
    'percherez',
    'percheriez',
    'percherions',
    'percheron',
    'percheronne',
    'percheronnes',
    'percherons',
    'percheront',
    'perches',
    'percheur',
    'percheurs',
    'percheuse',
    'percheuses',
    'perchez',
    'perchiez',
    'perchions',
    'perchis',
    'perchiste',
    'perchistes',
    'perchlorate',
    'perchlorates',
    'perchlorique',
    'perchman',
    'perchmans',
    'perchmen',
    'perchoir',
    'perchoirs',
    'perchons',
    'perchâmes',
    'perchât',
    'perchâtes',
    'perchèrent',
    'perché',
    'perchée',
    'perchées',
    'perchés',
    'perciez',
    'percions',
    'perclus',
    'percluse',
    'percluses',
    'percnoptère',
    'percnoptères',
    'percolateur',
    'percolateurs',
    'percussion',
    'percussions',
    'percuta',
    'percutai',
    'percutaient',
    'percutais',
    'percutait',
    'percutant',
    'percutante',
    'percutantes',
    'percutants',
    'percutas',
    'percutasse',
    'percutassent',
    'percutasses',
    'percutassiez',
    'percute',
    'percutent',
    'percuter',
    'percutera',
    'percuterai',
    'percuterais',
    'percuterait',
    'percuteras',
    'percuterez',
    'percuteriez',
    'percuterions',
    'percuterons',
    'percuteront',
    'percutes',
    'percuteur',
    'percuteurs',
    'percutez',
    'percutiez',
    'percutions',
    'percutons',
    'percutâmes',
    'percutât',
    'percutâtes',
    'percutèrent',
    'percuté',
    'percutée',
    'percutées',
    'percutés',
    'percèrent',
    'percé',
    'percée',
    'percées',
    'percés',
    'perd',
    'perdable',
    'perdables',
    'perdaient',
    'perdais',
    'perdait',
    'perdant',
    'perdante',
    'perdantes',
    'perdants',
    'perde',
    'perdent',
    'perdes',
    'perdez',
    'perdiez',
    'perdions',
    'perdirent',
    'perdis',
    'perdisse',
    'perdissent',
    'perdisses',
    'perdissiez',
    'perdissions',
    'perdit',
    'perdition',
    'perditions',
    'perdons',
    'perdra',
    'perdrai',
    'perdraient',
    'perdrais',
    'perdrait',
    'perdras',
    'perdre',
    'perdreau',
    'perdreaux',
    'perdrez',
    'perdriez',
    'perdrions',
    'perdrix',
    'perdrons',
    'perdront',
    'perds',
    'perdu',
    'perdue',
    'perdues',
    'perdura',
    'perdurable',
    'perdurables',
    'perdurai',
    'perduraient',
    'perdurais',
    'perdurait',
    'perdurant',
    'perduras',
    'perdurasse',
    'perdurassent',
    'perdurasses',
    'perdurassiez',
    'perdure',
    'perdurent',
    'perdurer',
    'perdurera',
    'perdurerai',
    'perdurerais',
    'perdurerait',
    'perdureras',
    'perdurerez',
    'perdureriez',
    'perdurerions',
    'perdurerons',
    'perdureront',
    'perdures',
    'perdurez',
    'perduriez',
    'perdurions',
    'perdurons',
    'perdurâmes',
    'perdurât',
    'perdurâtes',
    'perdurèrent',
    'perduré',
    'perdus',
    'perdîmes',
    'perdît',
    'perdîtes',
    'perfectible',
    'perfectibles',
    'perfectif',
    'perfectifs',
    'perfection',
    'perfectionna',
    'perfectionne',
    'perfectionné',
    'perfections',
    'perfective',
    'perfectives',
    'perfide',
    'perfidement',
    'perfides',
    'perfidie',
    'perfidies',
    'perfolié',
    'perfoliée',
    'perfoliées',
    'perfoliés',
    'perfora',
    'perforage',
    'perforages',
    'perforai',
    'perforaient',
    'perforais',
    'perforait',
    'perforant',
    'perforante',
    'perforantes',
    'perforants',
    'perforas',
    'perforasse',
    'perforassent',
    'perforasses',
    'perforassiez',
    'perforateur',
    'perforateurs',
    'perforation',
    'perforations',
    'perforatrice',
    'perfore',
    'perforent',
    'perforer',
    'perforera',
    'perforerai',
    'perforerais',
    'perforerait',
    'perforeras',
    'perforerez',
    'perforeriez',
    'perforerions',
    'perforerons',
    'perforeront',
    'perfores',
    'perforeuse',
    'perforeuses',
    'perforez',
    'perforiez',
    'perforions',
    'performance',
    'performances',
    'performant',
    'performante',
    'performantes',
    'performants',
    'performatif',
    'performatifs',
    'performative',
    'perforons',
    'perforâmes',
    'perforât',
    'perforâtes',
    'perforèrent',
    'perforé',
    'perforée',
    'perforées',
    'perforés',
    'perfusa',
    'perfusai',
    'perfusaient',
    'perfusais',
    'perfusait',
    'perfusant',
    'perfusas',
    'perfusasse',
    'perfusassent',
    'perfusasses',
    'perfusassiez',
    'perfuse',
    'perfusent',
    'perfuser',
    'perfusera',
    'perfuserai',
    'perfuserais',
    'perfuserait',
    'perfuseras',
    'perfuserez',
    'perfuseriez',
    'perfuserions',
    'perfuserons',
    'perfuseront',
    'perfuses',
    'perfusez',
    'perfusiez',
    'perfusion',
    'perfusions',
    'perfusons',
    'perfusâmes',
    'perfusât',
    'perfusâtes',
    'perfusèrent',
    'perfusé',
    'perfusée',
    'perfusées',
    'perfusés',
    'pergola',
    'pergolas',
    'pergélisol',
    'pergélisols',
    'perla',
    'perlai',
    'perlaient',
    'perlais',
    'perlait',
    'perlant',
    'perlas',
    'perlasse',
    'perlassent',
    'perlasses',
    'perlassiez',
    'perlassions',
    'perle',
    'perlent',
    'perler',
    'perlera',
    'perlerai',
    'perleraient',
    'perlerais',
    'perlerait',
    'perleras',
    'perlerez',
    'perleriez',
    'perlerions',
    'perlerons',
    'perleront',
    'perles',
    'perlez',
    'perlier',
    'perliers',
    'perliez',
    'perlimpinpin',
    'perlions',
    'perlière',
    'perlières',
    'perlon',
    'perlons',
    'perlot',
    'perlots',
    'perlouse',
    'perlouses',
    'perlouze',
    'perlouzes',
    'perlâmes',
    'perlât',
    'perlâtes',
    'perlèche',
    'perlèches',
    'perlèrent',
    'perlé',
    'perlée',
    'perlées',
    'perlés',
    'permafrost',
    'permafrosts',
    'permalloy',
    'permalloys',
    'permanence',
    'permanences',
    'permanent',
    'permanenta',
    'permanentai',
    'permanentais',
    'permanentait',
    'permanentant',
    'permanentas',
    'permanente',
    'permanentent',
    'permanenter',
    'permanentera',
    'permanentes',
    'permanentez',
    'permanentiez',
    'permanentons',
    'permanents',
    'permanentât',
    'permanenté',
    'permanentée',
    'permanentées',
    'permanentés',
    'permanganate',
    'permet',
    'permets',
    'permettaient',
    'permettais',
    'permettait',
    'permettant',
    'permette',
    'permettent',
    'permettes',
    'permettez',
    'permettiez',
    'permettions',
    'permettons',
    'permettra',
    'permettrai',
    'permettrais',
    'permettrait',
    'permettras',
    'permettre',
    'permettrez',
    'permettriez',
    'permettrions',
    'permettrons',
    'permettront',
    'permien',
    'permienne',
    'permiennes',
    'permiens',
    'permirent',
    'permis',
    'permise',
    'permises',
    'permisse',
    'permissent',
    'permisses',
    'permissiez',
    'permissif',
    'permissifs',
    'permission',
    'permissions',
    'permissive',
    'permissives',
    'permissivité',
    'permit',
    'permittivité',
    'permuta',
    'permutable',
    'permutables',
    'permutai',
    'permutaient',
    'permutais',
    'permutait',
    'permutant',
    'permutante',
    'permutantes',
    'permutants',
    'permutas',
    'permutasse',
    'permutassent',
    'permutasses',
    'permutassiez',
    'permutation',
    'permutations',
    'permute',
    'permutent',
    'permuter',
    'permutera',
    'permuterai',
    'permuterais',
    'permuterait',
    'permuteras',
    'permuterez',
    'permuteriez',
    'permuterions',
    'permuterons',
    'permuteront',
    'permutes',
    'permutez',
    'permutiez',
    'permutions',
    'permutons',
    'permutâmes',
    'permutât',
    'permutâtes',
    'permutèrent',
    'permuté',
    'permutée',
    'permutées',
    'permutés',
    'perméabilisa',
    'perméabilise',
    'perméabilisé',
    'perméabilité',
    'perméable',
    'perméables',
    'permîmes',
    'permît',
    'permîtes',
    'pernicieuse',
    'pernicieuses',
    'pernicieux',
    'peroxyda',
    'peroxydai',
    'peroxydaient',
    'peroxydais',
    'peroxydait',
    'peroxydant',
    'peroxydas',
    'peroxydase',
    'peroxydases',
    'peroxydasse',
    'peroxydasses',
    'peroxyde',
    'peroxydent',
    'peroxyder',
    'peroxydera',
    'peroxyderai',
    'peroxyderais',
    'peroxyderait',
    'peroxyderas',
    'peroxyderez',
    'peroxyderiez',
    'peroxyderons',
    'peroxyderont',
    'peroxydes',
    'peroxydez',
    'peroxydiez',
    'peroxydions',
    'peroxydons',
    'peroxydâmes',
    'peroxydât',
    'peroxydâtes',
    'peroxydèrent',
    'peroxydé',
    'peroxydée',
    'peroxydées',
    'peroxydés',
    'perplexe',
    'perplexes',
    'perplexité',
    'perplexités',
    'perpètre',
    'perpètrent',
    'perpètres',
    'perpétra',
    'perpétrai',
    'perpétraient',
    'perpétrais',
    'perpétrait',
    'perpétrant',
    'perpétras',
    'perpétrasse',
    'perpétrasses',
    'perpétration',
    'perpétrer',
    'perpétrera',
    'perpétrerai',
    'perpétrerais',
    'perpétrerait',
    'perpétreras',
    'perpétrerez',
    'perpétreriez',
    'perpétrerons',
    'perpétreront',
    'perpétrez',
    'perpétriez',
    'perpétrions',
    'perpétrons',
    'perpétrâmes',
    'perpétrât',
    'perpétrâtes',
    'perpétrèrent',
    'perpétré',
    'perpétrée',
    'perpétrées',
    'perpétrés',
    'perpétua',
    'perpétuai',
    'perpétuaient',
    'perpétuais',
    'perpétuait',
    'perpétuant',
    'perpétuas',
    'perpétuasse',
    'perpétuasses',
    'perpétuation',
    'perpétue',
    'perpétuel',
    'perpétuelle',
    'perpétuelles',
    'perpétuels',
    'perpétuent',
    'perpétuer',
    'perpétuera',
    'perpétuerai',
    'perpétuerais',
    'perpétuerait',
    'perpétueras',
    'perpétuerez',
    'perpétueriez',
    'perpétuerons',
    'perpétueront',
    'perpétues',
    'perpétuez',
    'perpétuiez',
    'perpétuions',
    'perpétuité',
    'perpétuités',
    'perpétuons',
    'perpétuâmes',
    'perpétuât',
    'perpétuâtes',
    'perpétuèrent',
    'perpétué',
    'perpétuée',
    'perpétuées',
    'perpétués',
    'perquisiteur',
    'perquisition',
    'perron',
    'perrons',
    'perroquet',
    'perroquets',
    'perruche',
    'perruches',
    'perruque',
    'perruques',
    'perruquier',
    'perruquiers',
    'perruquière',
    'perruquières',
    'pers',
    'persan',
    'persane',
    'persanes',
    'persans',
    'perse',
    'persel',
    'persels',
    'perses',
    'persicaire',
    'persicaires',
    'persicot',
    'persicots',
    'persienne',
    'persiennes',
    'persifla',
    'persiflage',
    'persiflages',
    'persiflai',
    'persiflaient',
    'persiflais',
    'persiflait',
    'persiflant',
    'persiflas',
    'persiflasse',
    'persiflasses',
    'persifle',
    'persiflent',
    'persifler',
    'persiflera',
    'persiflerai',
    'persiflerais',
    'persiflerait',
    'persifleras',
    'persiflerez',
    'persifleriez',
    'persiflerons',
    'persifleront',
    'persifles',
    'persifleur',
    'persifleurs',
    'persifleuse',
    'persifleuses',
    'persiflez',
    'persifliez',
    'persiflions',
    'persiflons',
    'persiflâmes',
    'persiflât',
    'persiflâtes',
    'persiflèrent',
    'persiflé',
    'persiflée',
    'persiflées',
    'persiflés',
    'persil',
    'persilla',
    'persillade',
    'persillades',
    'persillai',
    'persillaient',
    'persillais',
    'persillait',
    'persillant',
    'persillas',
    'persillasse',
    'persillasses',
    'persille',
    'persillent',
    'persiller',
    'persillera',
    'persillerai',
    'persillerais',
    'persillerait',
    'persilleras',
    'persillerez',
    'persilleriez',
    'persillerons',
    'persilleront',
    'persilles',
    'persillez',
    'persilliez',
    'persillions',
    'persillons',
    'persillâmes',
    'persillât',
    'persillâtes',
    'persillère',
    'persillèrent',
    'persillères',
    'persillé',
    'persillée',
    'persillées',
    'persillés',
    'persils',
    'persista',
    'persistai',
    'persistaient',
    'persistais',
    'persistait',
    'persistance',
    'persistances',
    'persistant',
    'persistante',
    'persistantes',
    'persistants',
    'persistas',
    'persistasse',
    'persistasses',
    'persiste',
    'persistent',
    'persister',
    'persistera',
    'persisterai',
    'persisterais',
    'persisterait',
    'persisteras',
    'persisterez',
    'persisteriez',
    'persisterons',
    'persisteront',
    'persistes',
    'persistez',
    'persistiez',
    'persistions',
    'persistons',
    'persistâmes',
    'persistât',
    'persistâtes',
    'persistèrent',
    'persisté',
    'personnage',
    'personnages',
    'personnalisa',
    'personnalise',
    'personnalisé',
    'personnalité',
    'personne',
    'personnel',
    'personnelle',
    'personnelles',
    'personnels',
    'personnes',
    'personnifia',
    'personnifiai',
    'personnifias',
    'personnifie',
    'personnifier',
    'personnifies',
    'personnifiez',
    'personnifiât',
    'personnifié',
    'personnifiée',
    'personnifiés',
    'perspectif',
    'perspectifs',
    'perspective',
    'perspectives',
    'perspicace',
    'perspicaces',
    'perspicacité',
    'perspiration',
    'persuada',
    'persuadai',
    'persuadaient',
    'persuadais',
    'persuadait',
    'persuadant',
    'persuadas',
    'persuadasse',
    'persuadasses',
    'persuade',
    'persuadent',
    'persuader',
    'persuadera',
    'persuaderai',
    'persuaderais',
    'persuaderait',
    'persuaderas',
    'persuaderez',
    'persuaderiez',
    'persuaderons',
    'persuaderont',
    'persuades',
    'persuadez',
    'persuadiez',
    'persuadions',
    'persuadons',
    'persuadâmes',
    'persuadât',
    'persuadâtes',
    'persuadèrent',
    'persuadé',
    'persuadée',
    'persuadées',
    'persuadés',
    'persuasif',
    'persuasifs',
    'persuasion',
    'persuasions',
    'persuasive',
    'persuasives',
    'persulfate',
    'persulfates',
    'persulfure',
    'persulfures',
    'persulfuré',
    'persulfurée',
    'persulfurées',
    'persulfurés',
    'persécuta',
    'persécutai',
    'persécutais',
    'persécutait',
    'persécutant',
    'persécutas',
    'persécutasse',
    'persécute',
    'persécutent',
    'persécuter',
    'persécutera',
    'persécuterai',
    'persécuteras',
    'persécuterez',
    'persécutes',
    'persécuteur',
    'persécuteurs',
    'persécutez',
    'persécutiez',
    'persécution',
    'persécutions',
    'persécutons',
    'persécutrice',
    'persécutâmes',
    'persécutât',
    'persécutâtes',
    'persécuté',
    'persécutée',
    'persécutées',
    'persécutés',
    'persévère',
    'persévèrent',
    'persévères',
    'persévéra',
    'persévérai',
    'persévérais',
    'persévérait',
    'persévérance',
    'persévérant',
    'persévérante',
    'persévérants',
    'persévéras',
    'persévérasse',
    'persévérer',
    'persévérera',
    'persévérerai',
    'persévéreras',
    'persévérerez',
    'persévérez',
    'persévériez',
    'persévérions',
    'persévérons',
    'persévérâmes',
    'persévérât',
    'persévérâtes',
    'persévéré',
    'perte',
    'pertes',
    'pertinemment',
    'pertinence',
    'pertinences',
    'pertinent',
    'pertinente',
    'pertinentes',
    'pertinents',
    'pertuis',
    'pertuisane',
    'pertuisanes',
    'pertuisanier',
    'perturba',
    'perturbai',
    'perturbaient',
    'perturbais',
    'perturbait',
    'perturbant',
    'perturbante',
    'perturbantes',
    'perturbants',
    'perturbas',
    'perturbasse',
    'perturbasses',
    'perturbateur',
    'perturbation',
    'perturbe',
    'perturbent',
    'perturber',
    'perturbera',
    'perturberai',
    'perturberais',
    'perturberait',
    'perturberas',
    'perturberez',
    'perturberiez',
    'perturberons',
    'perturberont',
    'perturbes',
    'perturbez',
    'perturbiez',
    'perturbions',
    'perturbons',
    'perturbâmes',
    'perturbât',
    'perturbâtes',
    'perturbèrent',
    'perturbé',
    'perturbée',
    'perturbées',
    'perturbés',
    'pervenche',
    'pervenches',
    'pervers',
    'perverse',
    'perversement',
    'perverses',
    'perversion',
    'perversions',
    'perversité',
    'perversités',
    'perverti',
    'pervertie',
    'perverties',
    'pervertir',
    'pervertira',
    'pervertirai',
    'pervertirais',
    'pervertirait',
    'pervertiras',
    'pervertirent',
    'pervertirez',
    'pervertiriez',
    'pervertirons',
    'pervertiront',
    'pervertis',
    'pervertisse',
    'pervertisses',
    'pervertissez',
    'pervertit',
    'pervertîmes',
    'pervertît',
    'pervertîtes',
    'pervibra',
    'pervibrage',
    'pervibrages',
    'pervibrai',
    'pervibraient',
    'pervibrais',
    'pervibrait',
    'pervibrant',
    'pervibras',
    'pervibrasse',
    'pervibrasses',
    'pervibre',
    'pervibrent',
    'pervibrer',
    'pervibrera',
    'pervibrerai',
    'pervibrerais',
    'pervibrerait',
    'pervibreras',
    'pervibrerez',
    'pervibreriez',
    'pervibrerons',
    'pervibreront',
    'pervibres',
    'pervibrez',
    'pervibriez',
    'pervibrions',
    'pervibrons',
    'pervibrâmes',
    'pervibrât',
    'pervibrâtes',
    'pervibrèrent',
    'pervibré',
    'pervibrée',
    'pervibrées',
    'pervibrés',
    'perça',
    'perçage',
    'perçages',
    'perçai',
    'perçaient',
    'perçais',
    'perçait',
    'perçant',
    'perçante',
    'perçantes',
    'perçants',
    'perças',
    'perçasse',
    'perçassent',
    'perçasses',
    'perçassiez',
    'perçassions',
    'perçois',
    'perçoit',
    'perçoive',
    'perçoivent',
    'perçoives',
    'perçons',
    'perçu',
    'perçue',
    'perçues',
    'perçurent',
    'perçus',
    'perçusse',
    'perçussent',
    'perçusses',
    'perçussiez',
    'perçussions',
    'perçut',
    'perçâmes',
    'perçât',
    'perçâtes',
    'perçûmes',
    'perçût',
    'perçûtes',
    'pesa',
    'pesade',
    'pesades',
    'pesage',
    'pesages',
    'pesai',
    'pesaient',
    'pesais',
    'pesait',
    'pesamment',
    'pesant',
    'pesante',
    'pesantes',
    'pesanteur',
    'pesanteurs',
    'pesants',
    'pesas',
    'pesasse',
    'pesassent',
    'pesasses',
    'pesassiez',
    'pesassions',
    'peser',
    'peseta',
    'pesetas',
    'pesette',
    'pesettes',
    'peseur',
    'peseurs',
    'peseuse',
    'peseuses',
    'pesez',
    'pesiez',
    'pesions',
    'peso',
    'peson',
    'pesons',
    'pesos',
    'pessaire',
    'pessaires',
    'pesse',
    'pesses',
    'pessimisme',
    'pessimismes',
    'pessimiste',
    'pessimistes',
    'pesta',
    'pestai',
    'pestaient',
    'pestais',
    'pestait',
    'pestant',
    'pestas',
    'pestasse',
    'pestassent',
    'pestasses',
    'pestassiez',
    'pestassions',
    'peste',
    'pestent',
    'pester',
    'pestera',
    'pesterai',
    'pesteraient',
    'pesterais',
    'pesterait',
    'pesteras',
    'pesterez',
    'pesteriez',
    'pesterions',
    'pesterons',
    'pesteront',
    'pestes',
    'pesteuse',
    'pesteuses',
    'pesteux',
    'pestez',
    'pesticide',
    'pesticides',
    'pestiez',
    'pestifère',
    'pestifèrent',
    'pestifères',
    'pestiféra',
    'pestiférai',
    'pestiférais',
    'pestiférait',
    'pestiférant',
    'pestiféras',
    'pestiférasse',
    'pestiférer',
    'pestiférera',
    'pestiférerai',
    'pestiféreras',
    'pestiférerez',
    'pestiférez',
    'pestifériez',
    'pestiférions',
    'pestiférons',
    'pestiférâmes',
    'pestiférât',
    'pestiférâtes',
    'pestiféré',
    'pestiférée',
    'pestiférées',
    'pestiférés',
    'pestilence',
    'pestilences',
    'pestilentiel',
    'pestions',
    'pestons',
    'pestâmes',
    'pestât',
    'pestâtes',
    'pestèrent',
    'pesté',
    'pesâmes',
    'pesât',
    'pesâtes',
    'pesèrent',
    'pesé',
    'pesée',
    'pesées',
    'pesés',
    'petiot',
    'petiote',
    'petiotes',
    'petiots',
    'petit',
    'petite',
    'petitement',
    'petites',
    'petitesse',
    'petitesses',
    'petits',
    'peton',
    'petons',
    'peuchère',
    'peucédan',
    'peucédans',
    'peuh',
    'peul',
    'peuls',
    'peulven',
    'peulvens',
    'peupla',
    'peuplade',
    'peuplades',
    'peuplai',
    'peuplaient',
    'peuplais',
    'peuplait',
    'peuplant',
    'peuplas',
    'peuplasse',
    'peuplassent',
    'peuplasses',
    'peuplassiez',
    'peuplassions',
    'peuple',
    'peuplement',
    'peuplements',
    'peuplent',
    'peupler',
    'peuplera',
    'peuplerai',
    'peupleraie',
    'peupleraient',
    'peupleraies',
    'peuplerais',
    'peuplerait',
    'peupleras',
    'peuplerez',
    'peupleriez',
    'peuplerions',
    'peuplerons',
    'peupleront',
    'peuples',
    'peuplez',
    'peuplier',
    'peupliers',
    'peupliez',
    'peuplions',
    'peuplons',
    'peuplâmes',
    'peuplât',
    'peuplâtes',
    'peuplèrent',
    'peuplé',
    'peuplée',
    'peuplées',
    'peuplés',
    'peur',
    'peureuse',
    'peureusement',
    'peureuses',
    'peureux',
    'peurs',
    'peut',
    'peuvent',
    'peux',
    'peyotl',
    'peyotls',
    'pfennig',
    'pfennigs',
    'pfft',
    'phacochère',
    'phacochères',
    'phacomètre',
    'phacomètres',
    'phage',
    'phages',
    'phagocyta',
    'phagocytai',
    'phagocytaire',
    'phagocytais',
    'phagocytait',
    'phagocytant',
    'phagocytas',
    'phagocytasse',
    'phagocyte',
    'phagocytent',
    'phagocyter',
    'phagocytera',
    'phagocyterai',
    'phagocyteras',
    'phagocyterez',
    'phagocytes',
    'phagocytez',
    'phagocytiez',
    'phagocytions',
    'phagocytons',
    'phagocytose',
    'phagocytoses',
    'phagocytâmes',
    'phagocytât',
    'phagocytâtes',
    'phagocyté',
    'phagocytée',
    'phagocytées',
    'phagocytés',
    'phagédénique',
    'phagédénisme',
    'phalange',
    'phalanger',
    'phalangers',
    'phalanges',
    'phalangette',
    'phalangettes',
    'phalangien',
    'phalangienne',
    'phalangiens',
    'phalangine',
    'phalangines',
    'phalangiste',
    'phalangistes',
    'phalanstère',
    'phalanstères',
    'phalline',
    'phallines',
    'phallique',
    'phalliques',
    'phallocrate',
    'phallocrates',
    'phallocratie',
    'phalloïde',
    'phalloïdes',
    'phallus',
    'phalène',
    'phalènes',
    'phalère',
    'phalères',
    'phanie',
    'phanies',
    'phantasme',
    'phantasmes',
    'phanère',
    'phanères',
    'phanérogame',
    'phanérogames',
    'pharamineuse',
    'pharamineux',
    'pharaon',
    'pharaonien',
    'pharaonienne',
    'pharaoniens',
    'pharaons',
    'phare',
    'phares',
    'pharillon',
    'pharillons',
    'pharisaïque',
    'pharisaïques',
    'pharisaïsme',
    'pharisaïsmes',
    'pharisien',
    'pharisienne',
    'pharisiennes',
    'pharisiens',
    'pharmacie',
    'pharmacien',
    'pharmacienne',
    'pharmaciens',
    'pharmacies',
    'pharmacopée',
    'pharmacopées',
    'pharyngal',
    'pharyngale',
    'pharyngales',
    'pharyngaux',
    'pharyngien',
    'pharyngienne',
    'pharyngiens',
    'pharyngite',
    'pharyngites',
    'pharyngé',
    'pharyngée',
    'pharyngées',
    'pharyngés',
    'pharynx',
    'phascolome',
    'phascolomes',
    'phase',
    'phasemètre',
    'phasemètres',
    'phases',
    'phasme',
    'phasmes',
    'phelloderme',
    'phellodermes',
    'phellogène',
    'phellogènes',
    'philanthrope',
    'philatélie',
    'philatélies',
    'philatélique',
    'philatéliste',
    'philharmonie',
    'philippin',
    'philippine',
    'philippines',
    'philippins',
    'philippique',
    'philippiques',
    'philistin',
    'philistins',
    'philo',
    'philodendron',
    'philologie',
    'philologies',
    'philologique',
    'philologue',
    'philologues',
    'philos',
    'philosopha',
    'philosophai',
    'philosophais',
    'philosophait',
    'philosophale',
    'philosophant',
    'philosophas',
    'philosophe',
    'philosophent',
    'philosopher',
    'philosophera',
    'philosophes',
    'philosophez',
    'philosophie',
    'philosophies',
    'philosophiez',
    'philosophons',
    'philosophât',
    'philosophé',
    'philtre',
    'philtres',
    'phlegmasie',
    'phlegmasies',
    'phlegmon',
    'phlegmoneuse',
    'phlegmoneux',
    'phlegmons',
    'phlogistique',
    'phlox',
    'phlyctène',
    'phlyctènes',
    'phlébite',
    'phlébites',
    'phlébologie',
    'phlébologies',
    'phlébotomie',
    'phlébotomies',
    'phobie',
    'phobies',
    'phobique',
    'phobiques',
    'phocéen',
    'phocéenne',
    'phocéennes',
    'phocéens',
    'phoenix',
    'pholade',
    'pholades',
    'pholiote',
    'pholiotes',
    'phonateur',
    'phonateurs',
    'phonation',
    'phonations',
    'phonatoire',
    'phonatoires',
    'phonatrice',
    'phonatrices',
    'phone',
    'phones',
    'phoniatrie',
    'phoniatries',
    'phonie',
    'phonies',
    'phonique',
    'phoniques',
    'phono',
    'phonographe',
    'phonographes',
    'phonogénie',
    'phonogénies',
    'phonogénique',
    'phonolite',
    'phonolites',
    'phonolitique',
    'phonologie',
    'phonologies',
    'phonologique',
    'phonologue',
    'phonologues',
    'phonométrie',
    'phonométries',
    'phonos',
    'phonothèque',
    'phonothèques',
    'phonème',
    'phonèmes',
    'phonématique',
    'phonémique',
    'phonémiques',
    'phonéticien',
    'phonéticiens',
    'phonétique',
    'phonétiques',
    'phoque',
    'phoques',
    'phormium',
    'phormiums',
    'phosgène',
    'phosgènes',
    'phosphata',
    'phosphatage',
    'phosphatages',
    'phosphatai',
    'phosphatais',
    'phosphatait',
    'phosphatant',
    'phosphatas',
    'phosphatasse',
    'phosphate',
    'phosphatent',
    'phosphater',
    'phosphatera',
    'phosphaterai',
    'phosphateras',
    'phosphaterez',
    'phosphates',
    'phosphatez',
    'phosphatiez',
    'phosphations',
    'phosphatons',
    'phosphaturie',
    'phosphatâmes',
    'phosphatât',
    'phosphatâtes',
    'phosphaté',
    'phosphatée',
    'phosphatées',
    'phosphatés',
    'phosphite',
    'phosphites',
    'phosphora',
    'phosphorai',
    'phosphorais',
    'phosphorait',
    'phosphorant',
    'phosphoras',
    'phosphorasse',
    'phosphore',
    'phosphorent',
    'phosphorer',
    'phosphorera',
    'phosphorerai',
    'phosphoreras',
    'phosphorerez',
    'phosphores',
    'phosphorez',
    'phosphoriez',
    'phosphorions',
    'phosphorique',
    'phosphorons',
    'phosphorâmes',
    'phosphorât',
    'phosphorâtes',
    'phosphoré',
    'phosphorée',
    'phosphorées',
    'phosphorés',
    'phosphène',
    'phosphènes',
    'photo',
    'photocalque',
    'photocalques',
    'photocellule',
    'photochimie',
    'photochimies',
    'photocopia',
    'photocopiai',
    'photocopiais',
    'photocopiait',
    'photocopiant',
    'photocopias',
    'photocopie',
    'photocopient',
    'photocopier',
    'photocopiera',
    'photocopies',
    'photocopieur',
    'photocopiez',
    'photocopiiez',
    'photocopions',
    'photocopiât',
    'photocopié',
    'photocopiée',
    'photocopiées',
    'photocopiés',
    'photographe',
    'photographes',
    'photographia',
    'photographie',
    'photographié',
    'photograveur',
    'photogravure',
    'photogène',
    'photogènes',
    'photogénie',
    'photogénies',
    'photogénique',
    'photolyse',
    'photolyses',
    'photomaton',
    'photomatons',
    'photomontage',
    'photomètre',
    'photomètres',
    'photométrie',
    'photométries',
    'photon',
    'photonique',
    'photoniques',
    'photons',
    'photophobie',
    'photophobies',
    'photophore',
    'photophores',
    'photopile',
    'photopiles',
    'photos',
    'photosphère',
    'photosphères',
    'photostat',
    'photostats',
    'photostyle',
    'photostyles',
    'photothèque',
    'photothèques',
    'phototype',
    'phototypes',
    'phototypie',
    'phototypies',
    'phragmite',
    'phragmites',
    'phrasa',
    'phrasai',
    'phrasaient',
    'phrasais',
    'phrasait',
    'phrasant',
    'phrasas',
    'phrasasse',
    'phrasassent',
    'phrasasses',
    'phrasassiez',
    'phrasassions',
    'phrase',
    'phrasent',
    'phraser',
    'phrasera',
    'phraserai',
    'phraseraient',
    'phraserais',
    'phraserait',
    'phraseras',
    'phraserez',
    'phraseriez',
    'phraserions',
    'phraserons',
    'phraseront',
    'phrases',
    'phraseur',
    'phraseurs',
    'phraseuse',
    'phraseuses',
    'phrasez',
    'phrasiez',
    'phrasions',
    'phrasons',
    'phrastique',
    'phrastiques',
    'phrasâmes',
    'phrasât',
    'phrasâtes',
    'phrasèrent',
    'phrasé',
    'phrasée',
    'phrasées',
    'phraséologie',
    'phrasés',
    'phratrie',
    'phratries',
    'phrygane',
    'phryganes',
    'phrygien',
    'phrygienne',
    'phrygiennes',
    'phrygiens',
    'phréatique',
    'phréatiques',
    'phrénique',
    'phréniques',
    'phrénologie',
    'phrénologies',
    'phrénologue',
    'phrénologues',
    'phtalique',
    'phtaliques',
    'phtaléine',
    'phtaléines',
    'phtiriase',
    'phtiriases',
    'phtiriasis',
    'phtisie',
    'phtisies',
    'phtisiologie',
    'phtisiologue',
    'phtisique',
    'phtisiques',
    'phylactère',
    'phylactères',
    'phylarque',
    'phylarques',
    'phyllade',
    'phyllades',
    'phyllie',
    'phyllies',
    'phylloxera',
    'phylloxeras',
    'phylloxéra',
    'phylloxéras',
    'phylloxérien',
    'phylloxéré',
    'phylloxérée',
    'phylloxérées',
    'phylloxérés',
    'phylogenèse',
    'phylogenèses',
    'phylogénie',
    'phylogénies',
    'phylogénique',
    'phylum',
    'phylums',
    'phylétique',
    'phylétiques',
    'physalie',
    'physalies',
    'physalis',
    'physicalisme',
    'physicien',
    'physicienne',
    'physiciennes',
    'physiciens',
    'physiocrate',
    'physiocrates',
    'physiocratie',
    'physiologie',
    'physiologies',
    'physionomie',
    'physionomies',
    'physique',
    'physiquement',
    'physiques',
    'physostigma',
    'physostigmas',
    'phytotron',
    'phytotrons',
    'phytozoaire',
    'phytéléphas',
    'phénanthrène',
    'phénate',
    'phénates',
    'phénicien',
    'phénicienne',
    'phéniciennes',
    'phéniciens',
    'phénique',
    'phéniques',
    'phéniqué',
    'phéniquée',
    'phéniquées',
    'phéniqués',
    'phénix',
    'phénol',
    'phénols',
    'phénomène',
    'phénomènes',
    'phénoménal',
    'phénoménale',
    'phénoménales',
    'phénoménaux',
    'phénotype',
    'phénotypes',
    'phénotypique',
    'piaculaire',
    'piaculaires',
    'piaf',
    'piaffa',
    'piaffai',
    'piaffaient',
    'piaffais',
    'piaffait',
    'piaffant',
    'piaffante',
    'piaffantes',
    'piaffants',
    'piaffas',
    'piaffasse',
    'piaffassent',
    'piaffasses',
    'piaffassiez',
    'piaffassions',
    'piaffe',
    'piaffement',
    'piaffements',
    'piaffent',
    'piaffer',
    'piaffera',
    'piafferai',
    'piafferaient',
    'piafferais',
    'piafferait',
    'piafferas',
    'piafferez',
    'piafferiez',
    'piafferions',
    'piafferons',
    'piafferont',
    'piaffes',
    'piaffeur',
    'piaffeurs',
    'piaffeuse',
    'piaffeuses',
    'piaffez',
    'piaffiez',
    'piaffions',
    'piaffons',
    'piaffâmes',
    'piaffât',
    'piaffâtes',
    'piaffèrent',
    'piaffé',
    'piafs',
    'piailla',
    'piaillai',
    'piaillaient',
    'piaillais',
    'piaillait',
    'piaillant',
    'piaillard',
    'piaillarde',
    'piaillardes',
    'piaillards',
    'piaillas',
    'piaillasse',
    'piaillassent',
    'piaillasses',
    'piaillassiez',
    'piaille',
    'piaillement',
    'piaillements',
    'piaillent',
    'piailler',
    'piaillera',
    'piaillerai',
    'piaillerais',
    'piaillerait',
    'piailleras',
    'piaillerez',
    'piaillerie',
    'piailleries',
    'piailleriez',
    'piaillerions',
    'piaillerons',
    'piailleront',
    'piailles',
    'piailleur',
    'piailleurs',
    'piailleuse',
    'piailleuses',
    'piaillez',
    'piailliez',
    'piaillions',
    'piaillons',
    'piaillâmes',
    'piaillât',
    'piaillâtes',
    'piaillèrent',
    'piaillé',
    'pian',
    'pianissimo',
    'pianiste',
    'pianistes',
    'pianistique',
    'pianistiques',
    'piano',
    'pianoforte',
    'pianofortes',
    'pianos',
    'pianota',
    'pianotage',
    'pianotages',
    'pianotai',
    'pianotaient',
    'pianotais',
    'pianotait',
    'pianotant',
    'pianotas',
    'pianotasse',
    'pianotassent',
    'pianotasses',
    'pianotassiez',
    'pianote',
    'pianotent',
    'pianoter',
    'pianotera',
    'pianoterai',
    'pianoterais',
    'pianoterait',
    'pianoteras',
    'pianoterez',
    'pianoteriez',
    'pianoterions',
    'pianoterons',
    'pianoteront',
    'pianotes',
    'pianotez',
    'pianotiez',
    'pianotions',
    'pianotons',
    'pianotâmes',
    'pianotât',
    'pianotâtes',
    'pianotèrent',
    'pianoté',
    'pianotée',
    'pianotées',
    'pianotés',
    'pians',
    'piassava',
    'piassavas',
    'piastre',
    'piastres',
    'piaula',
    'piaulai',
    'piaulaient',
    'piaulais',
    'piaulait',
    'piaulant',
    'piaulas',
    'piaulasse',
    'piaulassent',
    'piaulasses',
    'piaulassiez',
    'piaulassions',
    'piaule',
    'piaulement',
    'piaulements',
    'piaulent',
    'piauler',
    'piaulera',
    'piaulerai',
    'piauleraient',
    'piaulerais',
    'piaulerait',
    'piauleras',
    'piaulerez',
    'piauleriez',
    'piaulerions',
    'piaulerons',
    'piauleront',
    'piaules',
    'piaulez',
    'piauliez',
    'piaulions',
    'piaulons',
    'piaulâmes',
    'piaulât',
    'piaulâtes',
    'piaulèrent',
    'piaulé',
    'pibale',
    'pibales',
    'pibrock',
    'pibrocks',
    'pica',
    'picador',
    'picadors',
    'picage',
    'picages',
    'picaillons',
    'picard',
    'picardan',
    'picardans',
    'picarde',
    'picardes',
    'picards',
    'picarel',
    'picarels',
    'picaresque',
    'picaresques',
    'picas',
    'piccolo',
    'piccolos',
    'pichenette',
    'pichenettes',
    'pichet',
    'pichets',
    'picholine',
    'picholines',
    'pickles',
    'pickpocket',
    'pickpockets',
    'picola',
    'picolai',
    'picolaient',
    'picolais',
    'picolait',
    'picolant',
    'picolas',
    'picolasse',
    'picolassent',
    'picolasses',
    'picolassiez',
    'picolassions',
    'picole',
    'picolent',
    'picoler',
    'picolera',
    'picolerai',
    'picoleraient',
    'picolerais',
    'picolerait',
    'picoleras',
    'picolerez',
    'picoleriez',
    'picolerions',
    'picolerons',
    'picoleront',
    'picoles',
    'picoleur',
    'picoleurs',
    'picoleuse',
    'picoleuses',
    'picolez',
    'picoliez',
    'picolions',
    'picolo',
    'picolons',
    'picolos',
    'picolâmes',
    'picolât',
    'picolâtes',
    'picolèrent',
    'picolé',
    'picolée',
    'picolées',
    'picolés',
    'picora',
    'picorai',
    'picoraient',
    'picorais',
    'picorait',
    'picorant',
    'picoras',
    'picorasse',
    'picorassent',
    'picorasses',
    'picorassiez',
    'picorassions',
    'picore',
    'picorent',
    'picorer',
    'picorera',
    'picorerai',
    'picoreraient',
    'picorerais',
    'picorerait',
    'picoreras',
    'picorerez',
    'picoreriez',
    'picorerions',
    'picorerons',
    'picoreront',
    'picores',
    'picorez',
    'picoriez',
    'picorions',
    'picorons',
    'picorâmes',
    'picorât',
    'picorâtes',
    'picorèrent',
    'picoré',
    'picorée',
    'picorées',
    'picorés',
    'picot',
    'picota',
    'picotai',
    'picotaient',
    'picotais',
    'picotait',
    'picotant',
    'picotas',
    'picotasse',
    'picotassent',
    'picotasses',
    'picotassiez',
    'picotassions',
    'picote',
    'picotement',
    'picotements',
    'picotent',
    'picoter',
    'picotera',
    'picoterai',
    'picoteraient',
    'picoterais',
    'picoterait',
    'picoteras',
    'picoterez',
    'picoteriez',
    'picoterions',
    'picoterons',
    'picoteront',
    'picotes',
    'picotez',
    'picotiez',
    'picotin',
    'picotins',
    'picotions',
    'picotons',
    'picots',
    'picotâmes',
    'picotât',
    'picotâtes',
    'picotèrent',
    'picoté',
    'picotée',
    'picotées',
    'picotés',
    'picpoul',
    'picpouls',
    'picrate',
    'picrates',
    'picridium',
    'picridiums',
    'picrique',
    'picriques',
    'picris',
    'pics',
    'pictogramme',
    'pictogrammes',
    'pictographie',
    'pictural',
    'picturale',
    'picturales',
    'picturaux',
    'pidgin',
    'pidgins',
    'pied',
    'pieds',
    'pierra',
    'pierrai',
    'pierraient',
    'pierraille',
    'pierrailles',
    'pierrais',
    'pierrait',
    'pierrant',
    'pierras',
    'pierrasse',
    'pierrassent',
    'pierrasses',
    'pierrassiez',
    'pierrassions',
    'pierre',
    'pierrent',
    'pierrer',
    'pierrera',
    'pierrerai',
    'pierreraient',
    'pierrerais',
    'pierrerait',
    'pierreras',
    'pierrerez',
    'pierreries',
    'pierreriez',
    'pierrerions',
    'pierrerons',
    'pierreront',
    'pierres',
    'pierreuse',
    'pierreuses',
    'pierreux',
    'pierrez',
    'pierrier',
    'pierriers',
    'pierriez',
    'pierrions',
    'pierrons',
    'pierrot',
    'pierrots',
    'pierrâmes',
    'pierrât',
    'pierrâtes',
    'pierrèrent',
    'pierré',
    'pierrée',
    'pierrées',
    'pierrés',
    'pies',
    'pietà',
    'pietàs',
    'pieu',
    'pieuse',
    'pieusement',
    'pieuses',
    'pieuta',
    'pieutai',
    'pieutaient',
    'pieutais',
    'pieutait',
    'pieutant',
    'pieutas',
    'pieutasse',
    'pieutassent',
    'pieutasses',
    'pieutassiez',
    'pieutassions',
    'pieute',
    'pieutent',
    'pieuter',
    'pieutera',
    'pieuterai',
    'pieuteraient',
    'pieuterais',
    'pieuterait',
    'pieuteras',
    'pieuterez',
    'pieuteriez',
    'pieuterions',
    'pieuterons',
    'pieuteront',
    'pieutes',
    'pieutez',
    'pieutiez',
    'pieutions',
    'pieutons',
    'pieutâmes',
    'pieutât',
    'pieutâtes',
    'pieutèrent',
    'pieuté',
    'pieutée',
    'pieutées',
    'pieutés',
    'pieuvre',
    'pieuvres',
    'pieux',
    'pifa',
    'pifai',
    'pifaient',
    'pifais',
    'pifait',
    'pifant',
    'pifas',
    'pifasse',
    'pifassent',
    'pifasses',
    'pifassiez',
    'pifassions',
    'pife',
    'pifent',
    'pifer',
    'pifera',
    'piferai',
    'piferaient',
    'piferais',
    'piferait',
    'piferas',
    'piferez',
    'piferiez',
    'piferions',
    'piferons',
    'piferont',
    'pifes',
    'pifez',
    'piffa',
    'piffai',
    'piffaient',
    'piffais',
    'piffait',
    'piffant',
    'piffas',
    'piffasse',
    'piffassent',
    'piffasses',
    'piffassiez',
    'piffassions',
    'piffe',
    'piffent',
    'piffer',
    'piffera',
    'pifferai',
    'pifferaient',
    'pifferais',
    'pifferait',
    'pifferas',
    'pifferez',
    'pifferiez',
    'pifferions',
    'pifferons',
    'pifferont',
    'piffes',
    'piffez',
    'piffiez',
    'piffions',
    'piffons',
    'piffâmes',
    'piffât',
    'piffâtes',
    'piffèrent',
    'piffé',
    'piffée',
    'piffées',
    'piffés',
    'pifiez',
    'pifions',
    'pifomètre',
    'pifomètres',
    'pifons',
    'pifs',
    'pifâmes',
    'pifât',
    'pifâtes',
    'pifèrent',
    'pifé',
    'pifée',
    'pifées',
    'pifés',
    'pige',
    'pigea',
    'pigeai',
    'pigeaient',
    'pigeais',
    'pigeait',
    'pigeant',
    'pigeas',
    'pigeasse',
    'pigeassent',
    'pigeasses',
    'pigeassiez',
    'pigeassions',
    'pigent',
    'pigeon',
    'pigeonna',
    'pigeonnai',
    'pigeonnaient',
    'pigeonnais',
    'pigeonnait',
    'pigeonnant',
    'pigeonnante',
    'pigeonnantes',
    'pigeonnants',
    'pigeonnas',
    'pigeonnasse',
    'pigeonnasses',
    'pigeonne',
    'pigeonneau',
    'pigeonneaux',
    'pigeonnent',
    'pigeonner',
    'pigeonnera',
    'pigeonnerai',
    'pigeonnerais',
    'pigeonnerait',
    'pigeonneras',
    'pigeonnerez',
    'pigeonneriez',
    'pigeonnerons',
    'pigeonneront',
    'pigeonnes',
    'pigeonnez',
    'pigeonnier',
    'pigeonniers',
    'pigeonniez',
    'pigeonnions',
    'pigeonnons',
    'pigeonnâmes',
    'pigeonnât',
    'pigeonnâtes',
    'pigeonnèrent',
    'pigeonné',
    'pigeonnée',
    'pigeonnées',
    'pigeonnés',
    'pigeons',
    'piger',
    'pigera',
    'pigerai',
    'pigeraient',
    'pigerais',
    'pigerait',
    'pigeras',
    'pigerez',
    'pigeriez',
    'pigerions',
    'pigerons',
    'pigeront',
    'piges',
    'pigez',
    'pigeâmes',
    'pigeât',
    'pigeâtes',
    'pigiez',
    'pigions',
    'pigiste',
    'pigistes',
    'pigment',
    'pigmenta',
    'pigmentai',
    'pigmentaient',
    'pigmentaire',
    'pigmentaires',
    'pigmentais',
    'pigmentait',
    'pigmentant',
    'pigmentas',
    'pigmentasse',
    'pigmentasses',
    'pigmentation',
    'pigmente',
    'pigmentent',
    'pigmenter',
    'pigmentera',
    'pigmenterai',
    'pigmenterais',
    'pigmenterait',
    'pigmenteras',
    'pigmenterez',
    'pigmenteriez',
    'pigmenterons',
    'pigmenteront',
    'pigmentes',
    'pigmentez',
    'pigmentiez',
    'pigmentions',
    'pigmentons',
    'pigments',
    'pigmentâmes',
    'pigmentât',
    'pigmentâtes',
    'pigmentèrent',
    'pigmenté',
    'pigmentée',
    'pigmentées',
    'pigmentés',
    'pignada',
    'pignadas',
    'pignade',
    'pignades',
    'pignatelle',
    'pignatelles',
    'pigne',
    'pignes',
    'pignocha',
    'pignochai',
    'pignochaient',
    'pignochais',
    'pignochait',
    'pignochant',
    'pignochas',
    'pignochasse',
    'pignochasses',
    'pignoche',
    'pignochent',
    'pignocher',
    'pignochera',
    'pignocherai',
    'pignocherais',
    'pignocherait',
    'pignocheras',
    'pignocherez',
    'pignocheriez',
    'pignocherons',
    'pignocheront',
    'pignoches',
    'pignochez',
    'pignochiez',
    'pignochions',
    'pignochons',
    'pignochâmes',
    'pignochât',
    'pignochâtes',
    'pignochèrent',
    'pignoché',
    'pignochée',
    'pignochées',
    'pignochés',
    'pignon',
    'pignons',
    'pignoratif',
    'pignoratifs',
    'pignorative',
    'pignoratives',
    'pignouf',
    'pignoufs',
    'pigèrent',
    'pigé',
    'pigée',
    'pigées',
    'pigés',
    'pila',
    'pilaf',
    'pilafs',
    'pilage',
    'pilages',
    'pilai',
    'pilaient',
    'pilaire',
    'pilaires',
    'pilais',
    'pilait',
    'pilant',
    'pilas',
    'pilasse',
    'pilassent',
    'pilasses',
    'pilassiez',
    'pilassions',
    'pilastre',
    'pilastres',
    'pilchard',
    'pilchards',
    'pile',
    'pilent',
    'piler',
    'pilera',
    'pilerai',
    'pileraient',
    'pilerais',
    'pilerait',
    'pileras',
    'pilerez',
    'pileriez',
    'pilerions',
    'pilerons',
    'pileront',
    'piles',
    'pilet',
    'pilets',
    'pileur',
    'pileurs',
    'pileuse',
    'pileuses',
    'pileux',
    'pilez',
    'pilier',
    'piliers',
    'piliez',
    'pilifère',
    'pilifères',
    'pilions',
    'pilla',
    'pillage',
    'pillages',
    'pillai',
    'pillaient',
    'pillais',
    'pillait',
    'pillant',
    'pillard',
    'pillarde',
    'pillardes',
    'pillards',
    'pillas',
    'pillasse',
    'pillassent',
    'pillasses',
    'pillassiez',
    'pillassions',
    'pille',
    'pillent',
    'piller',
    'pillera',
    'pillerai',
    'pilleraient',
    'pillerais',
    'pillerait',
    'pilleras',
    'pillerez',
    'pilleriez',
    'pillerions',
    'pillerons',
    'pilleront',
    'pilles',
    'pilleur',
    'pilleurs',
    'pilleuse',
    'pilleuses',
    'pilleux',
    'pillez',
    'pilliez',
    'pillions',
    'pillons',
    'pillâmes',
    'pillât',
    'pillâtes',
    'pillèrent',
    'pillé',
    'pillée',
    'pillées',
    'pillés',
    'pilocarpe',
    'pilocarpes',
    'pilocarpine',
    'pilocarpines',
    'pilon',
    'pilonna',
    'pilonnage',
    'pilonnages',
    'pilonnai',
    'pilonnaient',
    'pilonnais',
    'pilonnait',
    'pilonnant',
    'pilonnas',
    'pilonnasse',
    'pilonnassent',
    'pilonnasses',
    'pilonnassiez',
    'pilonne',
    'pilonnent',
    'pilonner',
    'pilonnera',
    'pilonnerai',
    'pilonnerais',
    'pilonnerait',
    'pilonneras',
    'pilonnerez',
    'pilonneriez',
    'pilonnerions',
    'pilonnerons',
    'pilonneront',
    'pilonnes',
    'pilonnez',
    'pilonniez',
    'pilonnions',
    'pilonnons',
    'pilonnâmes',
    'pilonnât',
    'pilonnâtes',
    'pilonnèrent',
    'pilonné',
    'pilonnée',
    'pilonnées',
    'pilonnés',
    'pilons',
    'pilori',
    'piloris',
    'piloselle',
    'piloselles',
    'pilosisme',
    'pilosismes',
    'pilosité',
    'pilosités',
    'pilota',
    'pilotage',
    'pilotages',
    'pilotai',
    'pilotaient',
    'pilotais',
    'pilotait',
    'pilotant',
    'pilotas',
    'pilotasse',
    'pilotassent',
    'pilotasses',
    'pilotassiez',
    'pilotassions',
    'pilote',
    'pilotent',
    'piloter',
    'pilotera',
    'piloterai',
    'piloteraient',
    'piloterais',
    'piloterait',
    'piloteras',
    'piloterez',
    'piloteriez',
    'piloterions',
    'piloterons',
    'piloteront',
    'pilotes',
    'pilotez',
    'pilotiez',
    'pilotin',
    'pilotins',
    'pilotions',
    'pilotis',
    'pilotons',
    'pilotâmes',
    'pilotât',
    'pilotâtes',
    'pilotèrent',
    'piloté',
    'pilotée',
    'pilotées',
    'pilotés',
    'pilou',
    'pilous',
    'pilulaire',
    'pilulaires',
    'pilule',
    'pilules',
    'pilulier',
    'piluliers',
    'pilum',
    'pilums',
    'pilâmes',
    'pilât',
    'pilâtes',
    'pilèrent',
    'pilé',
    'pilée',
    'pilées',
    'pilés',
    'pimbêche',
    'pimbêches',
    'piment',
    'pimenta',
    'pimentai',
    'pimentaient',
    'pimentais',
    'pimentait',
    'pimentant',
    'pimentas',
    'pimentasse',
    'pimentassent',
    'pimentasses',
    'pimentassiez',
    'pimente',
    'pimentent',
    'pimenter',
    'pimentera',
    'pimenterai',
    'pimenterais',
    'pimenterait',
    'pimenteras',
    'pimenterez',
    'pimenteriez',
    'pimenterions',
    'pimenterons',
    'pimenteront',
    'pimentes',
    'pimentez',
    'pimentiez',
    'pimentions',
    'pimentons',
    'piments',
    'pimentâmes',
    'pimentât',
    'pimentâtes',
    'pimentèrent',
    'pimenté',
    'pimentée',
    'pimentées',
    'pimentés',
    'pimpant',
    'pimpante',
    'pimpantes',
    'pimpants',
    'pimprenelle',
    'pimprenelles',
    'pinacle',
    'pinacles',
    'pinacothèque',
    'pinailla',
    'pinaillage',
    'pinaillages',
    'pinaillai',
    'pinaillaient',
    'pinaillais',
    'pinaillait',
    'pinaillant',
    'pinaillas',
    'pinaillasse',
    'pinaillasses',
    'pinaille',
    'pinaillent',
    'pinailler',
    'pinaillera',
    'pinaillerai',
    'pinaillerais',
    'pinaillerait',
    'pinailleras',
    'pinaillerez',
    'pinailleriez',
    'pinaillerons',
    'pinailleront',
    'pinailles',
    'pinailleur',
    'pinailleurs',
    'pinailleuse',
    'pinailleuses',
    'pinaillez',
    'pinailliez',
    'pinaillions',
    'pinaillons',
    'pinaillâmes',
    'pinaillât',
    'pinaillâtes',
    'pinaillèrent',
    'pinaillé',
    'pinard',
    'pinardier',
    'pinardiers',
    'pinards',
    'pinasse',
    'pinasses',
    'pinastre',
    'pinastres',
    'pince',
    'pinceau',
    'pinceaux',
    'pincelier',
    'pinceliers',
    'pincement',
    'pincements',
    'pincent',
    'pincer',
    'pincera',
    'pincerai',
    'pinceraient',
    'pincerais',
    'pincerait',
    'pinceras',
    'pincerez',
    'pinceriez',
    'pincerions',
    'pincerons',
    'pinceront',
    'pinces',
    'pincette',
    'pincettes',
    'pincez',
    'pinchard',
    'pincharde',
    'pinchardes',
    'pinchards',
    'pinciez',
    'pincions',
    'pincèrent',
    'pincé',
    'pincée',
    'pincées',
    'pincés',
    'pindarique',
    'pindariques',
    'pindarisa',
    'pindarisai',
    'pindarisais',
    'pindarisait',
    'pindarisant',
    'pindarisas',
    'pindarisasse',
    'pindarise',
    'pindarisent',
    'pindariser',
    'pindarisera',
    'pindariserai',
    'pindariseras',
    'pindariserez',
    'pindarises',
    'pindarisez',
    'pindarisiez',
    'pindarisions',
    'pindarisons',
    'pindarisâmes',
    'pindarisât',
    'pindarisâtes',
    'pindarisé',
    'pineau',
    'pineaux',
    'pineraie',
    'pineraies',
    'pingouin',
    'pingouins',
    'pingre',
    'pingrerie',
    'pingreries',
    'pingres',
    'pinière',
    'pinières',
    'pinne',
    'pinnes',
    'pinnothère',
    'pinnothères',
    'pinnule',
    'pinnules',
    'pinot',
    'pinots',
    'pins',
    'pinson',
    'pinsons',
    'pinta',
    'pintade',
    'pintadeau',
    'pintadeaux',
    'pintades',
    'pintadine',
    'pintadines',
    'pintai',
    'pintaient',
    'pintais',
    'pintait',
    'pintant',
    'pintas',
    'pintasse',
    'pintassent',
    'pintasses',
    'pintassiez',
    'pintassions',
    'pinte',
    'pintent',
    'pinter',
    'pintera',
    'pinterai',
    'pinteraient',
    'pinterais',
    'pinterait',
    'pinteras',
    'pinterez',
    'pinteriez',
    'pinterions',
    'pinterons',
    'pinteront',
    'pintes',
    'pintez',
    'pintiez',
    'pintions',
    'pintons',
    'pintâmes',
    'pintât',
    'pintâtes',
    'pintèrent',
    'pinté',
    'pintée',
    'pintées',
    'pintés',
    'pinyin',
    'pinça',
    'pinçai',
    'pinçaient',
    'pinçais',
    'pinçait',
    'pinçant',
    'pinças',
    'pinçasse',
    'pinçassent',
    'pinçasses',
    'pinçassiez',
    'pinçassions',
    'pinçon',
    'pinçons',
    'pinçâmes',
    'pinçât',
    'pinçâtes',
    'pinède',
    'pinèdes',
    'pinéal',
    'pinéale',
    'pinéales',
    'pinéaux',
    'piocha',
    'piochage',
    'piochages',
    'piochai',
    'piochaient',
    'piochais',
    'piochait',
    'piochant',
    'piochas',
    'piochasse',
    'piochassent',
    'piochasses',
    'piochassiez',
    'piochassions',
    'pioche',
    'piochent',
    'piocher',
    'piochera',
    'piocherai',
    'piocheraient',
    'piocherais',
    'piocherait',
    'piocheras',
    'piocherez',
    'piocheriez',
    'piocherions',
    'piocherons',
    'piocheront',
    'pioches',
    'piocheur',
    'piocheurs',
    'piocheuse',
    'piocheuses',
    'piochez',
    'piochiez',
    'piochions',
    'piochons',
    'piochâmes',
    'piochât',
    'piochâtes',
    'piochèrent',
    'pioché',
    'piochée',
    'piochées',
    'piochés',
    'piolet',
    'piolets',
    'pion',
    'pionce',
    'pioncent',
    'pioncer',
    'pioncera',
    'pioncerai',
    'pionceraient',
    'pioncerais',
    'pioncerait',
    'pionceras',
    'pioncerez',
    'pionceriez',
    'pioncerions',
    'pioncerons',
    'pionceront',
    'pionces',
    'pioncez',
    'pionciez',
    'pioncions',
    'pioncèrent',
    'pioncé',
    'pionna',
    'pionnai',
    'pionnaient',
    'pionnais',
    'pionnait',
    'pionnant',
    'pionnas',
    'pionnasse',
    'pionnassent',
    'pionnasses',
    'pionnassiez',
    'pionnassions',
    'pionne',
    'pionnent',
    'pionner',
    'pionnera',
    'pionnerai',
    'pionneraient',
    'pionnerais',
    'pionnerait',
    'pionneras',
    'pionnerez',
    'pionneriez',
    'pionnerions',
    'pionnerons',
    'pionneront',
    'pionnes',
    'pionnez',
    'pionnier',
    'pionniers',
    'pionniez',
    'pionnions',
    'pionnière',
    'pionnières',
    'pionnons',
    'pionnâmes',
    'pionnât',
    'pionnâtes',
    'pionnèrent',
    'pionné',
    'pions',
    'pionça',
    'pionçai',
    'pionçaient',
    'pionçais',
    'pionçait',
    'pionçant',
    'pionças',
    'pionçasse',
    'pionçassent',
    'pionçasses',
    'pionçassiez',
    'pionçassions',
    'pionçons',
    'pionçâmes',
    'pionçât',
    'pionçâtes',
    'pioupiou',
    'pioupious',
    'pipa',
    'pipai',
    'pipaient',
    'pipais',
    'pipait',
    'pipant',
    'pipas',
    'pipasse',
    'pipassent',
    'pipasses',
    'pipassiez',
    'pipassions',
    'pipe',
    'pipeau',
    'pipeaux',
    'pipelet',
    'pipelets',
    'pipelette',
    'pipelettes',
    'pipeline',
    'pipelines',
    'pipent',
    'piper',
    'pipera',
    'piperade',
    'piperades',
    'piperai',
    'piperaient',
    'piperais',
    'piperait',
    'piperas',
    'piperez',
    'piperie',
    'piperies',
    'piperiez',
    'piperions',
    'piperons',
    'piperont',
    'pipes',
    'pipette',
    'pipettes',
    'pipeur',
    'pipeurs',
    'pipeuse',
    'pipeuses',
    'pipez',
    'pipi',
    'pipier',
    'pipiers',
    'pipiez',
    'pipions',
    'pipis',
    'pipistrelle',
    'pipistrelles',
    'pipit',
    'pipits',
    'pipière',
    'pipières',
    'pipons',
    'pipâmes',
    'pipât',
    'pipâtes',
    'pipèrent',
    'pipé',
    'pipée',
    'pipées',
    'pipérine',
    'pipérines',
    'pipéronal',
    'pipéronals',
    'pipés',
    'piqua',
    'piquage',
    'piquages',
    'piquai',
    'piquaient',
    'piquais',
    'piquait',
    'piquant',
    'piquante',
    'piquantes',
    'piquants',
    'piquas',
    'piquasse',
    'piquassent',
    'piquasses',
    'piquassiez',
    'piquassions',
    'pique',
    'piquent',
    'piquer',
    'piquera',
    'piquerai',
    'piqueraient',
    'piquerais',
    'piquerait',
    'piqueras',
    'piquerez',
    'piqueriez',
    'piquerions',
    'piquerons',
    'piqueront',
    'piques',
    'piquet',
    'piqueta',
    'piquetage',
    'piquetages',
    'piquetai',
    'piquetaient',
    'piquetais',
    'piquetait',
    'piquetant',
    'piquetas',
    'piquetasse',
    'piquetassent',
    'piquetasses',
    'piquetassiez',
    'piqueter',
    'piquetez',
    'piquetiez',
    'piquetions',
    'piquetons',
    'piquets',
    'piquette',
    'piquettent',
    'piquettera',
    'piquetterai',
    'piquetterais',
    'piquetterait',
    'piquetteras',
    'piquetterez',
    'piquetteriez',
    'piquetterons',
    'piquetteront',
    'piquettes',
    'piquetâmes',
    'piquetât',
    'piquetâtes',
    'piquetèrent',
    'piqueté',
    'piquetée',
    'piquetées',
    'piquetés',
    'piqueur',
    'piqueurs',
    'piqueuse',
    'piqueuses',
    'piqueux',
    'piquez',
    'piquier',
    'piquiers',
    'piquiez',
    'piquions',
    'piquons',
    'piquâmes',
    'piquât',
    'piquâtes',
    'piquèrent',
    'piqué',
    'piquée',
    'piquées',
    'piqués',
    'piqûre',
    'piqûres',
    'piranha',
    'piranhas',
    'pirata',
    'piratage',
    'piratages',
    'piratai',
    'pirataient',
    'piratais',
    'piratait',
    'piratant',
    'piratas',
    'piratasse',
    'piratassent',
    'piratasses',
    'piratassiez',
    'piratassions',
    'pirate',
    'piratent',
    'pirater',
    'piratera',
    'piraterai',
    'pirateraient',
    'piraterais',
    'piraterait',
    'pirateras',
    'piraterez',
    'piraterie',
    'pirateries',
    'pirateriez',
    'piraterions',
    'piraterons',
    'pirateront',
    'pirates',
    'piratez',
    'piratiez',
    'pirations',
    'piratons',
    'piratâmes',
    'piratât',
    'piratâtes',
    'piratèrent',
    'piraté',
    'piratée',
    'piratées',
    'piratés',
    'piraya',
    'pirayas',
    'pire',
    'pires',
    'piriforme',
    'piriformes',
    'pirogue',
    'pirogues',
    'piroguier',
    'piroguiers',
    'piroguière',
    'piroguières',
    'pirojki',
    'pirole',
    'piroles',
    'pirouetta',
    'pirouettai',
    'pirouettais',
    'pirouettait',
    'pirouettant',
    'pirouettas',
    'pirouettasse',
    'pirouette',
    'pirouettent',
    'pirouetter',
    'pirouettera',
    'pirouetterai',
    'pirouetteras',
    'pirouetterez',
    'pirouettes',
    'pirouettez',
    'pirouettiez',
    'pirouettions',
    'pirouettons',
    'pirouettâmes',
    'pirouettât',
    'pirouettâtes',
    'pirouetté',
    'piscicole',
    'piscicoles',
    'pisciculteur',
    'pisciculture',
    'pisciforme',
    'pisciformes',
    'piscine',
    'piscines',
    'piscivore',
    'piscivores',
    'pisolithique',
    'pissa',
    'pissai',
    'pissaient',
    'pissais',
    'pissait',
    'pissaladière',
    'pissant',
    'pissas',
    'pissasse',
    'pissassent',
    'pissasses',
    'pissassiez',
    'pissassions',
    'pissat',
    'pissats',
    'pisse',
    'pissenlit',
    'pissenlits',
    'pissent',
    'pisser',
    'pissera',
    'pisserai',
    'pisseraient',
    'pisserais',
    'pisserait',
    'pisseras',
    'pisserez',
    'pisseriez',
    'pisserions',
    'pisserons',
    'pisseront',
    'pisses',
    'pissette',
    'pissettes',
    'pisseur',
    'pisseurs',
    'pisseuse',
    'pisseuses',
    'pisseux',
    'pissez',
    'pissiez',
    'pissions',
    'pissoir',
    'pissoirs',
    'pissons',
    'pissotière',
    'pissotières',
    'pissâmes',
    'pissât',
    'pissâtes',
    'pissèrent',
    'pissé',
    'pissée',
    'pissées',
    'pissés',
    'pista',
    'pistacha',
    'pistachai',
    'pistachaient',
    'pistachais',
    'pistachait',
    'pistachant',
    'pistachas',
    'pistachasse',
    'pistachasses',
    'pistache',
    'pistachent',
    'pistacher',
    'pistachera',
    'pistacherai',
    'pistacherais',
    'pistacherait',
    'pistacheras',
    'pistacherez',
    'pistacheriez',
    'pistacherons',
    'pistacheront',
    'pistaches',
    'pistachez',
    'pistachier',
    'pistachiers',
    'pistachiez',
    'pistachions',
    'pistachons',
    'pistachâmes',
    'pistachât',
    'pistachâtes',
    'pistachèrent',
    'pistaché',
    'pistachée',
    'pistachées',
    'pistachés',
    'pistage',
    'pistages',
    'pistai',
    'pistaient',
    'pistais',
    'pistait',
    'pistant',
    'pistard',
    'pistards',
    'pistas',
    'pistasse',
    'pistassent',
    'pistasses',
    'pistassiez',
    'pistassions',
    'piste',
    'pistent',
    'pister',
    'pistera',
    'pisterai',
    'pisteraient',
    'pisterais',
    'pisterait',
    'pisteras',
    'pisterez',
    'pisteriez',
    'pisterions',
    'pisterons',
    'pisteront',
    'pistes',
    'pisteur',
    'pisteurs',
    'pistez',
    'pistiez',
    'pistil',
    'pistils',
    'pistions',
    'pistole',
    'pistoles',
    'pistolet',
    'pistolets',
    'piston',
    'pistonna',
    'pistonnai',
    'pistonnaient',
    'pistonnais',
    'pistonnait',
    'pistonnant',
    'pistonnas',
    'pistonnasse',
    'pistonnasses',
    'pistonne',
    'pistonnent',
    'pistonner',
    'pistonnera',
    'pistonnerai',
    'pistonnerais',
    'pistonnerait',
    'pistonneras',
    'pistonnerez',
    'pistonneriez',
    'pistonnerons',
    'pistonneront',
    'pistonnes',
    'pistonnez',
    'pistonniez',
    'pistonnions',
    'pistonnons',
    'pistonnâmes',
    'pistonnât',
    'pistonnâtes',
    'pistonnèrent',
    'pistonné',
    'pistonnée',
    'pistonnées',
    'pistonnés',
    'pistons',
    'pistou',
    'pistous',
    'pistâmes',
    'pistât',
    'pistâtes',
    'pistèrent',
    'pisté',
    'pistée',
    'pistées',
    'pistés',
    'pisé',
    'pisés',
    'pitance',
    'pitances',
    'pitchpin',
    'pitchpins',
    'pite',
    'pites',
    'piteuse',
    'piteusement',
    'piteuses',
    'piteux',
    'pithiatique',
    'pithiatiques',
    'pithiatisme',
    'pithiatismes',
    'pithiviers',
    'pitié',
    'pitiés',
    'piton',
    'pitonna',
    'pitonnage',
    'pitonnages',
    'pitonnai',
    'pitonnaient',
    'pitonnais',
    'pitonnait',
    'pitonnant',
    'pitonnas',
    'pitonnasse',
    'pitonnassent',
    'pitonnasses',
    'pitonnassiez',
    'pitonne',
    'pitonnent',
    'pitonner',
    'pitonnera',
    'pitonnerai',
    'pitonnerais',
    'pitonnerait',
    'pitonneras',
    'pitonnerez',
    'pitonneriez',
    'pitonnerions',
    'pitonnerons',
    'pitonneront',
    'pitonnes',
    'pitonnez',
    'pitonniez',
    'pitonnions',
    'pitonnons',
    'pitonnâmes',
    'pitonnât',
    'pitonnâtes',
    'pitonnèrent',
    'pitonné',
    'pitons',
    'pitoyable',
    'pitoyables',
    'pitre',
    'pitrerie',
    'pitreries',
    'pitres',
    'pittoresque',
    'pittoresques',
    'pittosporum',
    'pittosporums',
    'pituitaire',
    'pituitaires',
    'pituite',
    'pituites',
    'pityriasis',
    'pive',
    'pivert',
    'piverts',
    'pives',
    'pivoine',
    'pivoines',
    'pivot',
    'pivota',
    'pivotai',
    'pivotaient',
    'pivotais',
    'pivotait',
    'pivotant',
    'pivotante',
    'pivotantes',
    'pivotants',
    'pivotas',
    'pivotasse',
    'pivotassent',
    'pivotasses',
    'pivotassiez',
    'pivotassions',
    'pivote',
    'pivotement',
    'pivotements',
    'pivotent',
    'pivoter',
    'pivotera',
    'pivoterai',
    'pivoteraient',
    'pivoterais',
    'pivoterait',
    'pivoteras',
    'pivoterez',
    'pivoteriez',
    'pivoterions',
    'pivoterons',
    'pivoteront',
    'pivotes',
    'pivotez',
    'pivotiez',
    'pivotions',
    'pivotons',
    'pivots',
    'pivotâmes',
    'pivotât',
    'pivotâtes',
    'pivotèrent',
    'pivoté',
    'pivotée',
    'pivotées',
    'pivotés',
    'pizza',
    'pizzas',
    'pizzeria',
    'pizzerias',
    'pizzicati',
    'pizzicato',
    'pièce',
    'pièces',
    'piège',
    'piègent',
    'pièges',
    'piète',
    'piètement',
    'piètements',
    'piètent',
    'piètes',
    'piètre',
    'piètrement',
    'piètres',
    'pièze',
    'pièzes',
    'piécette',
    'piécettes',
    'piédestal',
    'piédestaux',
    'piédouche',
    'piédouches',
    'piédroit',
    'piédroits',
    'piéfort',
    'piéforts',
    'piégea',
    'piégeage',
    'piégeages',
    'piégeai',
    'piégeaient',
    'piégeais',
    'piégeait',
    'piégeant',
    'piégeas',
    'piégeasse',
    'piégeassent',
    'piégeasses',
    'piégeassiez',
    'piégeassions',
    'piégeons',
    'piéger',
    'piégera',
    'piégerai',
    'piégeraient',
    'piégerais',
    'piégerait',
    'piégeras',
    'piégerez',
    'piégeriez',
    'piégerions',
    'piégerons',
    'piégeront',
    'piégeur',
    'piégeurs',
    'piégez',
    'piégeâmes',
    'piégeât',
    'piégeâtes',
    'piégiez',
    'piégions',
    'piégèrent',
    'piégé',
    'piégée',
    'piégées',
    'piégés',
    'piémont',
    'piémontais',
    'piémontaise',
    'piémontaises',
    'piémonts',
    'piéride',
    'piérides',
    'piéta',
    'piétai',
    'piétaient',
    'piétaille',
    'piétailles',
    'piétais',
    'piétait',
    'piétant',
    'piétas',
    'piétasse',
    'piétassent',
    'piétasses',
    'piétassiez',
    'piétassions',
    'piéter',
    'piétera',
    'piéterai',
    'piéteraient',
    'piéterais',
    'piéterait',
    'piéteras',
    'piéterez',
    'piéteriez',
    'piéterions',
    'piéterons',
    'piéteront',
    'piétez',
    'piétiez',
    'piétin',
    'piétina',
    'piétinai',
    'piétinaient',
    'piétinais',
    'piétinait',
    'piétinant',
    'piétinante',
    'piétinantes',
    'piétinants',
    'piétinas',
    'piétinasse',
    'piétinassent',
    'piétinasses',
    'piétinassiez',
    'piétine',
    'piétinement',
    'piétinements',
    'piétinent',
    'piétiner',
    'piétinera',
    'piétinerai',
    'piétinerais',
    'piétinerait',
    'piétineras',
    'piétinerez',
    'piétineriez',
    'piétinerions',
    'piétinerons',
    'piétineront',
    'piétines',
    'piétinez',
    'piétiniez',
    'piétinions',
    'piétinons',
    'piétins',
    'piétinâmes',
    'piétinât',
    'piétinâtes',
    'piétinèrent',
    'piétiné',
    'piétinée',
    'piétinées',
    'piétinés',
    'piétions',
    'piétisme',
    'piétismes',
    'piétiste',
    'piétistes',
    'piéton',
    'piétonne',
    'piétonnes',
    'piétonnier',
    'piétonniers',
    'piétonnière',
    'piétonnières',
    'piétons',
    'piétâmes',
    'piétât',
    'piétâtes',
    'piétèrent',
    'piété',
    'piétée',
    'piétées',
    'piétés',
    'piézographe',
    'piézographes',
    'piézomètre',
    'piézomètres',
    'placage',
    'placages',
    'placard',
    'placarda',
    'placardai',
    'placardaient',
    'placardais',
    'placardait',
    'placardant',
    'placardas',
    'placardasse',
    'placardasses',
    'placarde',
    'placardent',
    'placarder',
    'placardera',
    'placarderai',
    'placarderais',
    'placarderait',
    'placarderas',
    'placarderez',
    'placarderiez',
    'placarderons',
    'placarderont',
    'placardes',
    'placardez',
    'placardiez',
    'placardions',
    'placardons',
    'placards',
    'placardâmes',
    'placardât',
    'placardâtes',
    'placardèrent',
    'placardé',
    'placardée',
    'placardées',
    'placardés',
    'place',
    'placebo',
    'placebos',
    'placement',
    'placements',
    'placent',
    'placenta',
    'placentaire',
    'placentaires',
    'placentas',
    'placentation',
    'placer',
    'placera',
    'placerai',
    'placeraient',
    'placerais',
    'placerait',
    'placeras',
    'placerez',
    'placeriez',
    'placerions',
    'placerons',
    'placeront',
    'placers',
    'places',
    'placet',
    'placets',
    'placette',
    'placettes',
    'placeur',
    'placeurs',
    'placeuse',
    'placeuses',
    'placez',
    'placide',
    'placidement',
    'placides',
    'placidité',
    'placidités',
    'placier',
    'placiers',
    'placiez',
    'placions',
    'placo',
    'placèrent',
    'placé',
    'placée',
    'placées',
    'placés',
    'plafond',
    'plafonds',
    'plafonna',
    'plafonnage',
    'plafonnages',
    'plafonnai',
    'plafonnaient',
    'plafonnais',
    'plafonnait',
    'plafonnant',
    'plafonnas',
    'plafonnasse',
    'plafonnasses',
    'plafonne',
    'plafonnement',
    'plafonnent',
    'plafonner',
    'plafonnera',
    'plafonnerai',
    'plafonnerais',
    'plafonnerait',
    'plafonneras',
    'plafonnerez',
    'plafonneriez',
    'plafonnerons',
    'plafonneront',
    'plafonnes',
    'plafonneur',
    'plafonneurs',
    'plafonnez',
    'plafonnier',
    'plafonniers',
    'plafonniez',
    'plafonnions',
    'plafonnons',
    'plafonnâmes',
    'plafonnât',
    'plafonnâtes',
    'plafonnèrent',
    'plafonné',
    'plafonnée',
    'plafonnées',
    'plafonnés',
    'plagal',
    'plagale',
    'plagales',
    'plagaux',
    'plage',
    'plages',
    'plagia',
    'plagiai',
    'plagiaient',
    'plagiaire',
    'plagiaires',
    'plagiais',
    'plagiait',
    'plagiant',
    'plagias',
    'plagiasse',
    'plagiassent',
    'plagiasses',
    'plagiassiez',
    'plagiassions',
    'plagiat',
    'plagiats',
    'plagie',
    'plagient',
    'plagier',
    'plagiera',
    'plagierai',
    'plagieraient',
    'plagierais',
    'plagierait',
    'plagieras',
    'plagierez',
    'plagieriez',
    'plagierions',
    'plagierons',
    'plagieront',
    'plagies',
    'plagiez',
    'plagiiez',
    'plagiions',
    'plagions',
    'plagiste',
    'plagistes',
    'plagiâmes',
    'plagiât',
    'plagiâtes',
    'plagièrent',
    'plagié',
    'plagiée',
    'plagiées',
    'plagiés',
    'plaid',
    'plaida',
    'plaidai',
    'plaidaient',
    'plaidais',
    'plaidait',
    'plaidant',
    'plaidante',
    'plaidantes',
    'plaidants',
    'plaidas',
    'plaidasse',
    'plaidassent',
    'plaidasses',
    'plaidassiez',
    'plaidassions',
    'plaide',
    'plaident',
    'plaider',
    'plaidera',
    'plaiderai',
    'plaideraient',
    'plaiderais',
    'plaiderait',
    'plaideras',
    'plaiderez',
    'plaideriez',
    'plaiderions',
    'plaiderons',
    'plaideront',
    'plaides',
    'plaideur',
    'plaideurs',
    'plaideuse',
    'plaideuses',
    'plaidez',
    'plaidiez',
    'plaidions',
    'plaidoirie',
    'plaidoiries',
    'plaidons',
    'plaidoyer',
    'plaidoyers',
    'plaids',
    'plaidâmes',
    'plaidât',
    'plaidâtes',
    'plaidèrent',
    'plaidé',
    'plaidée',
    'plaidées',
    'plaidés',
    'plaie',
    'plaies',
    'plaignaient',
    'plaignais',
    'plaignait',
    'plaignant',
    'plaignante',
    'plaignantes',
    'plaignants',
    'plaigne',
    'plaignent',
    'plaignes',
    'plaignez',
    'plaigniez',
    'plaignions',
    'plaignirent',
    'plaignis',
    'plaignisse',
    'plaignissent',
    'plaignisses',
    'plaignissiez',
    'plaignit',
    'plaignons',
    'plaignîmes',
    'plaignît',
    'plaignîtes',
    'plaina',
    'plainai',
    'plainaient',
    'plainais',
    'plainait',
    'plainant',
    'plainas',
    'plainasse',
    'plainassent',
    'plainasses',
    'plainassiez',
    'plainassions',
    'plaindra',
    'plaindrai',
    'plaindraient',
    'plaindrais',
    'plaindrait',
    'plaindras',
    'plaindre',
    'plaindrez',
    'plaindriez',
    'plaindrions',
    'plaindrons',
    'plaindront',
    'plaine',
    'plainent',
    'plainer',
    'plainera',
    'plainerai',
    'plaineraient',
    'plainerais',
    'plainerait',
    'plaineras',
    'plainerez',
    'plaineriez',
    'plainerions',
    'plainerons',
    'plaineront',
    'plaines',
    'plainez',
    'plainiez',
    'plainions',
    'plainons',
    'plains',
    'plaint',
    'plainte',
    'plaintes',
    'plaintif',
    'plaintifs',
    'plaintive',
    'plaintives',
    'plaints',
    'plainâmes',
    'plainât',
    'plainâtes',
    'plainèrent',
    'plainé',
    'plainée',
    'plainées',
    'plainés',
    'plaira',
    'plairai',
    'plairaient',
    'plairais',
    'plairait',
    'plairas',
    'plaire',
    'plairez',
    'plairiez',
    'plairions',
    'plairons',
    'plairont',
    'plais',
    'plaisaient',
    'plaisais',
    'plaisait',
    'plaisamment',
    'plaisance',
    'plaisances',
    'plaisancier',
    'plaisanciers',
    'plaisant',
    'plaisanta',
    'plaisantai',
    'plaisantais',
    'plaisantait',
    'plaisantant',
    'plaisantas',
    'plaisantasse',
    'plaisante',
    'plaisantent',
    'plaisanter',
    'plaisantera',
    'plaisanterai',
    'plaisanteras',
    'plaisanterez',
    'plaisanterie',
    'plaisantes',
    'plaisantez',
    'plaisantiez',
    'plaisantin',
    'plaisantins',
    'plaisantions',
    'plaisantons',
    'plaisants',
    'plaisantâmes',
    'plaisantât',
    'plaisantâtes',
    'plaisanté',
    'plaisantée',
    'plaisantées',
    'plaisantés',
    'plaise',
    'plaisent',
    'plaises',
    'plaisez',
    'plaisiez',
    'plaisions',
    'plaisir',
    'plaisirs',
    'plaisons',
    'plan',
    'plana',
    'planage',
    'planages',
    'planai',
    'planaient',
    'planaire',
    'planaires',
    'planais',
    'planait',
    'planant',
    'planas',
    'planasse',
    'planassent',
    'planasses',
    'planassiez',
    'planassions',
    'plancha',
    'planchai',
    'planchaient',
    'planchais',
    'planchait',
    'planchant',
    'planchas',
    'planchasse',
    'planchassent',
    'planchasses',
    'planchassiez',
    'planche',
    'planchent',
    'plancher',
    'planchera',
    'plancherai',
    'plancherais',
    'plancherait',
    'plancheras',
    'plancherez',
    'plancheriez',
    'plancherions',
    'plancherons',
    'plancheront',
    'planchers',
    'planches',
    'planchette',
    'planchettes',
    'planchez',
    'planchiez',
    'planchions',
    'planchons',
    'planchâmes',
    'planchât',
    'planchâtes',
    'planchèrent',
    'planché',
    'planchéia',
    'planchéiage',
    'planchéiages',
    'planchéiai',
    'planchéiais',
    'planchéiait',
    'planchéias',
    'planchéiasse',
    'planchéiaît',
    'planchéie',
    'planchéient',
    'planchéier',
    'planchéiera',
    'planchéierai',
    'planchéieras',
    'planchéierez',
    'planchéies',
    'planchéiâmes',
    'planchéiât',
    'planchéiâtes',
    'planchéié',
    'planchéiée',
    'planchéiées',
    'planchéiés',
    'plancton',
    'planctonique',
    'planctons',
    'plane',
    'planent',
    'planer',
    'planera',
    'planerai',
    'planeraient',
    'planerais',
    'planerait',
    'planeras',
    'planerez',
    'planeriez',
    'planerions',
    'planerons',
    'planeront',
    'planes',
    'planeur',
    'planeurs',
    'planeuse',
    'planeuses',
    'planez',
    'planiez',
    'planifia',
    'planifiai',
    'planifiaient',
    'planifiais',
    'planifiait',
    'planifiant',
    'planifias',
    'planifiasse',
    'planifiasses',
    'planifie',
    'planifient',
    'planifier',
    'planifiera',
    'planifierai',
    'planifierais',
    'planifierait',
    'planifieras',
    'planifierez',
    'planifieriez',
    'planifierons',
    'planifieront',
    'planifies',
    'planifiez',
    'planifiiez',
    'planifiions',
    'planifions',
    'planifiâmes',
    'planifiât',
    'planifiâtes',
    'planifièrent',
    'planifié',
    'planifiée',
    'planifiées',
    'planifiés',
    'planimètre',
    'planimètres',
    'planimétrie',
    'planimétries',
    'planions',
    'planisme',
    'planismes',
    'planisphère',
    'planisphères',
    'planning',
    'plannings',
    'planoir',
    'planoirs',
    'planons',
    'planorbe',
    'planorbes',
    'planqua',
    'planquai',
    'planquaient',
    'planquais',
    'planquait',
    'planquant',
    'planquas',
    'planquasse',
    'planquassent',
    'planquasses',
    'planquassiez',
    'planque',
    'planquent',
    'planquer',
    'planquera',
    'planquerai',
    'planquerais',
    'planquerait',
    'planqueras',
    'planquerez',
    'planqueriez',
    'planquerions',
    'planquerons',
    'planqueront',
    'planques',
    'planquez',
    'planquiez',
    'planquions',
    'planquons',
    'planquâmes',
    'planquât',
    'planquâtes',
    'planquèrent',
    'planqué',
    'planquée',
    'planquées',
    'planqués',
    'plans',
    'plant',
    'planta',
    'plantage',
    'plantages',
    'plantai',
    'plantaient',
    'plantain',
    'plantains',
    'plantaire',
    'plantaires',
    'plantais',
    'plantait',
    'plantant',
    'plantas',
    'plantasse',
    'plantassent',
    'plantasses',
    'plantassiez',
    'plantassions',
    'plantation',
    'plantations',
    'plante',
    'plantent',
    'planter',
    'plantera',
    'planterai',
    'planteraient',
    'planterais',
    'planterait',
    'planteras',
    'planterez',
    'planteriez',
    'planterions',
    'planterons',
    'planteront',
    'plantes',
    'planteur',
    'planteurs',
    'planteuse',
    'planteuses',
    'plantez',
    'plantiez',
    'plantigrade',
    'plantigrades',
    'plantions',
    'plantoir',
    'plantoirs',
    'planton',
    'plantons',
    'plants',
    'plantule',
    'plantules',
    'plantureuse',
    'plantureuses',
    'plantureux',
    'plantâmes',
    'plantât',
    'plantâtes',
    'plantèrent',
    'planté',
    'plantée',
    'plantées',
    'plantés',
    'planâmes',
    'planât',
    'planâtes',
    'planèrent',
    'planète',
    'planètes',
    'planèze',
    'planèzes',
    'plané',
    'planée',
    'planées',
    'planéité',
    'planéités',
    'planés',
    'planétaire',
    'planétaires',
    'planétarium',
    'planétariums',
    'plaqua',
    'plaquage',
    'plaquages',
    'plaquai',
    'plaquaient',
    'plaquais',
    'plaquait',
    'plaquant',
    'plaquas',
    'plaquasse',
    'plaquassent',
    'plaquasses',
    'plaquassiez',
    'plaquassions',
    'plaque',
    'plaquemine',
    'plaquemines',
    'plaqueminier',
    'plaquent',
    'plaquer',
    'plaquera',
    'plaquerai',
    'plaqueraient',
    'plaquerais',
    'plaquerait',
    'plaqueras',
    'plaquerez',
    'plaqueriez',
    'plaquerions',
    'plaquerons',
    'plaqueront',
    'plaques',
    'plaquette',
    'plaquettes',
    'plaqueur',
    'plaqueurs',
    'plaqueuse',
    'plaqueuses',
    'plaquez',
    'plaquiez',
    'plaquions',
    'plaquons',
    'plaquâmes',
    'plaquât',
    'plaquâtes',
    'plaquèrent',
    'plaqué',
    'plaquée',
    'plaquées',
    'plaqués',
    'plasma',
    'plasmagène',
    'plasmagènes',
    'plasmas',
    'plasmatique',
    'plasmatiques',
    'plasmifia',
    'plasmifiai',
    'plasmifiais',
    'plasmifiait',
    'plasmifiant',
    'plasmifias',
    'plasmifiasse',
    'plasmifie',
    'plasmifient',
    'plasmifier',
    'plasmifiera',
    'plasmifierai',
    'plasmifieras',
    'plasmifierez',
    'plasmifies',
    'plasmifiez',
    'plasmifiiez',
    'plasmifiions',
    'plasmifions',
    'plasmifiâmes',
    'plasmifiât',
    'plasmifiâtes',
    'plasmifié',
    'plasmifiée',
    'plasmifiées',
    'plasmifiés',
    'plasmique',
    'plasmocyte',
    'plasmocytes',
    'plasmode',
    'plasmodes',
    'plasmodium',
    'plasmodiums',
    'plasmolyse',
    'plasmolyses',
    'plaste',
    'plastes',
    'plastic',
    'plasticage',
    'plasticages',
    'plasticien',
    'plasticienne',
    'plasticiens',
    'plasticité',
    'plasticités',
    'plastics',
    'plastie',
    'plasties',
    'plastifia',
    'plastifiai',
    'plastifiais',
    'plastifiait',
    'plastifiant',
    'plastifiante',
    'plastifiants',
    'plastifias',
    'plastifiasse',
    'plastifie',
    'plastifient',
    'plastifier',
    'plastifiera',
    'plastifierai',
    'plastifieras',
    'plastifierez',
    'plastifies',
    'plastifiez',
    'plastifiiez',
    'plastifiions',
    'plastifions',
    'plastifiâmes',
    'plastifiât',
    'plastifiâtes',
    'plastifié',
    'plastifiée',
    'plastifiées',
    'plastifiés',
    'plastigel',
    'plastigels',
    'plastiqua',
    'plastiquage',
    'plastiquages',
    'plastiquai',
    'plastiquais',
    'plastiquait',
    'plastiquant',
    'plastiquas',
    'plastiquasse',
    'plastique',
    'plastiquent',
    'plastiquer',
    'plastiquera',
    'plastiquerai',
    'plastiqueras',
    'plastiquerez',
    'plastiques',
    'plastiqueur',
    'plastiqueurs',
    'plastiquez',
    'plastiquiez',
    'plastiquions',
    'plastiquons',
    'plastiquâmes',
    'plastiquât',
    'plastiquâtes',
    'plastiqué',
    'plastiquée',
    'plastiquées',
    'plastiqués',
    'plastisol',
    'plastisols',
    'plastron',
    'plastronna',
    'plastronnai',
    'plastronnais',
    'plastronnait',
    'plastronnant',
    'plastronnas',
    'plastronne',
    'plastronnent',
    'plastronner',
    'plastronnera',
    'plastronnes',
    'plastronnez',
    'plastronniez',
    'plastronnons',
    'plastronnât',
    'plastronné',
    'plastronnée',
    'plastronnées',
    'plastronnés',
    'plastrons',
    'plat',
    'platane',
    'platanes',
    'plate',
    'plateau',
    'plateaux',
    'platelage',
    'platelages',
    'platement',
    'plateresque',
    'plateresques',
    'plates',
    'platina',
    'platinage',
    'platinages',
    'platinai',
    'platinaient',
    'platinais',
    'platinait',
    'platinant',
    'platinas',
    'platinasse',
    'platinassent',
    'platinasses',
    'platinassiez',
    'platine',
    'platinent',
    'platiner',
    'platinera',
    'platinerai',
    'platinerais',
    'platinerait',
    'platineras',
    'platinerez',
    'platineriez',
    'platinerions',
    'platinerons',
    'platineront',
    'platines',
    'platinez',
    'platiniez',
    'platinions',
    'platinisa',
    'platinisai',
    'platinisais',
    'platinisait',
    'platinisant',
    'platinisas',
    'platinisasse',
    'platinise',
    'platinisent',
    'platiniser',
    'platinisera',
    'platiniserai',
    'platiniseras',
    'platiniserez',
    'platinises',
    'platinisez',
    'platinisiez',
    'platinisions',
    'platinisons',
    'platinisâmes',
    'platinisât',
    'platinisâtes',
    'platinisé',
    'platinisée',
    'platinisées',
    'platinisés',
    'platinons',
    'platinâmes',
    'platinât',
    'platinâtes',
    'platinèrent',
    'platiné',
    'platinée',
    'platinées',
    'platinés',
    'platitude',
    'platitudes',
    'platière',
    'platières',
    'platonicien',
    'platoniciens',
    'platonique',
    'platoniques',
    'platonisme',
    'platonismes',
    'plats',
    'platée',
    'platées',
    'plausibilité',
    'plausible',
    'plausibles',
    'playon',
    'playons',
    'plaça',
    'plaçai',
    'plaçaient',
    'plaçais',
    'plaçait',
    'plaçant',
    'plaças',
    'plaçasse',
    'plaçassent',
    'plaçasses',
    'plaçassiez',
    'plaçassions',
    'plaçons',
    'plaçâmes',
    'plaçât',
    'plaçâtes',
    'plaît',
    'plectre',
    'plectres',
    'plein',
    'pleine',
    'pleinement',
    'pleines',
    'pleins',
    'pleur',
    'pleura',
    'pleurage',
    'pleurages',
    'pleurai',
    'pleuraient',
    'pleurais',
    'pleurait',
    'pleural',
    'pleurale',
    'pleurales',
    'pleurant',
    'pleurante',
    'pleurantes',
    'pleurants',
    'pleurard',
    'pleurarde',
    'pleurardes',
    'pleurards',
    'pleuras',
    'pleurasse',
    'pleurassent',
    'pleurasses',
    'pleurassiez',
    'pleurassions',
    'pleuraux',
    'pleure',
    'pleurent',
    'pleurer',
    'pleurera',
    'pleurerai',
    'pleureraient',
    'pleurerais',
    'pleurerait',
    'pleureras',
    'pleurerez',
    'pleureriez',
    'pleurerions',
    'pleurerons',
    'pleureront',
    'pleures',
    'pleureur',
    'pleureurs',
    'pleureuse',
    'pleureuses',
    'pleurez',
    'pleuriez',
    'pleurions',
    'pleurite',
    'pleurites',
    'pleurnicha',
    'pleurnichai',
    'pleurnichais',
    'pleurnichait',
    'pleurnichant',
    'pleurnichas',
    'pleurniche',
    'pleurnichent',
    'pleurnicher',
    'pleurnichera',
    'pleurniches',
    'pleurnicheur',
    'pleurnichez',
    'pleurnichiez',
    'pleurnichons',
    'pleurnichât',
    'pleurniché',
    'pleurodynie',
    'pleurodynies',
    'pleurons',
    'pleurote',
    'pleurotes',
    'pleurotomie',
    'pleurotomies',
    'pleurs',
    'pleurâmes',
    'pleurât',
    'pleurâtes',
    'pleurèrent',
    'pleuré',
    'pleurée',
    'pleurées',
    'pleurés',
    'pleurésie',
    'pleurésies',
    'pleurétique',
    'pleurétiques',
    'pleut',
    'pleutre',
    'pleutrerie',
    'pleutreries',
    'pleutres',
    'pleuvaient',
    'pleuvait',
    'pleuvant',
    'pleuvassa',
    'pleuvassait',
    'pleuvasse',
    'pleuvasser',
    'pleuvassera',
    'pleuvassât',
    'pleuvassé',
    'pleuve',
    'pleuvent',
    'pleuvina',
    'pleuvinait',
    'pleuvine',
    'pleuviner',
    'pleuvinera',
    'pleuvinerait',
    'pleuvinât',
    'pleuviné',
    'pleuvoir',
    'pleuvota',
    'pleuvotait',
    'pleuvote',
    'pleuvoter',
    'pleuvotera',
    'pleuvoterait',
    'pleuvotât',
    'pleuvoté',
    'pleuvra',
    'pleuvraient',
    'pleuvrait',
    'pleuvront',
    'plexiglas',
    'plexus',
    'pleyon',
    'pleyons',
    'plia',
    'pliable',
    'pliables',
    'pliage',
    'pliages',
    'pliai',
    'pliaient',
    'pliais',
    'pliait',
    'pliant',
    'pliante',
    'pliantes',
    'pliants',
    'plias',
    'pliasse',
    'pliassent',
    'pliasses',
    'pliassiez',
    'pliassions',
    'plie',
    'pliement',
    'pliements',
    'plient',
    'plier',
    'pliera',
    'plierai',
    'plieraient',
    'plierais',
    'plierait',
    'plieras',
    'plierez',
    'plieriez',
    'plierions',
    'plierons',
    'plieront',
    'plies',
    'plieur',
    'plieurs',
    'plieuse',
    'plieuses',
    'pliez',
    'pliiez',
    'pliions',
    'plinthe',
    'plinthes',
    'pliocène',
    'pliocènes',
    'plioir',
    'plioirs',
    'plions',
    'plique',
    'pliques',
    'plis',
    'plissa',
    'plissage',
    'plissages',
    'plissai',
    'plissaient',
    'plissais',
    'plissait',
    'plissant',
    'plissas',
    'plissasse',
    'plissassent',
    'plissasses',
    'plissassiez',
    'plissassions',
    'plisse',
    'plissement',
    'plissements',
    'plissent',
    'plisser',
    'plissera',
    'plisserai',
    'plisseraient',
    'plisserais',
    'plisserait',
    'plisseras',
    'plisserez',
    'plisseriez',
    'plisserions',
    'plisserons',
    'plisseront',
    'plisses',
    'plisseur',
    'plisseurs',
    'plisseuse',
    'plisseuses',
    'plissez',
    'plissiez',
    'plissions',
    'plissons',
    'plissure',
    'plissures',
    'plissâmes',
    'plissât',
    'plissâtes',
    'plissèrent',
    'plissé',
    'plissée',
    'plissées',
    'plissés',
    'pliure',
    'pliures',
    'pliâmes',
    'pliât',
    'pliâtes',
    'plièrent',
    'plié',
    'pliée',
    'pliées',
    'pliés',
    'ploc',
    'ploie',
    'ploiement',
    'ploiements',
    'ploient',
    'ploiera',
    'ploierai',
    'ploieraient',
    'ploierais',
    'ploierait',
    'ploieras',
    'ploierez',
    'ploieriez',
    'ploierions',
    'ploierons',
    'ploieront',
    'ploies',
    'plomb',
    'plomba',
    'plombage',
    'plombages',
    'plombagine',
    'plombagines',
    'plombai',
    'plombaient',
    'plombais',
    'plombait',
    'plombant',
    'plombas',
    'plombasse',
    'plombassent',
    'plombasses',
    'plombassiez',
    'plombassions',
    'plombe',
    'plombent',
    'plomber',
    'plombera',
    'plomberai',
    'plomberaient',
    'plomberais',
    'plomberait',
    'plomberas',
    'plomberez',
    'plomberie',
    'plomberiez',
    'plomberions',
    'plomberons',
    'plomberont',
    'plombes',
    'plombeur',
    'plombeurs',
    'plombez',
    'plombier',
    'plombiers',
    'plombiez',
    'plombifère',
    'plombifères',
    'plombions',
    'plombières',
    'plomboir',
    'plomboirs',
    'plombons',
    'plombs',
    'plombure',
    'plombures',
    'plombâmes',
    'plombât',
    'plombâtes',
    'plombèrent',
    'plombé',
    'plombée',
    'plombées',
    'plombés',
    'plommée',
    'plommées',
    'plonge',
    'plongea',
    'plongeai',
    'plongeaient',
    'plongeais',
    'plongeait',
    'plongeant',
    'plongeante',
    'plongeantes',
    'plongeants',
    'plongeas',
    'plongeasse',
    'plongeassent',
    'plongeasses',
    'plongeassiez',
    'plongent',
    'plongeoir',
    'plongeoirs',
    'plongeon',
    'plongeons',
    'plonger',
    'plongera',
    'plongerai',
    'plongeraient',
    'plongerais',
    'plongerait',
    'plongeras',
    'plongerez',
    'plongeriez',
    'plongerions',
    'plongerons',
    'plongeront',
    'plonges',
    'plongeur',
    'plongeurs',
    'plongeuse',
    'plongeuses',
    'plongez',
    'plongeâmes',
    'plongeât',
    'plongeâtes',
    'plongiez',
    'plongions',
    'plongèrent',
    'plongé',
    'plongée',
    'plongées',
    'plongés',
    'ploqua',
    'ploquai',
    'ploquaient',
    'ploquais',
    'ploquait',
    'ploquant',
    'ploquas',
    'ploquasse',
    'ploquassent',
    'ploquasses',
    'ploquassiez',
    'ploquassions',
    'ploque',
    'ploquent',
    'ploquer',
    'ploquera',
    'ploquerai',
    'ploqueraient',
    'ploquerais',
    'ploquerait',
    'ploqueras',
    'ploquerez',
    'ploqueriez',
    'ploquerions',
    'ploquerons',
    'ploqueront',
    'ploques',
    'ploquez',
    'ploquiez',
    'ploquions',
    'ploquons',
    'ploquâmes',
    'ploquât',
    'ploquâtes',
    'ploquèrent',
    'ploqué',
    'ploquée',
    'ploquées',
    'ploqués',
    'plot',
    'plots',
    'plouc',
    'ploucs',
    'plouf',
    'plouk',
    'plouks',
    'ploutocrate',
    'ploutocrates',
    'ploutocratie',
    'ploya',
    'ployable',
    'ployables',
    'ployai',
    'ployaient',
    'ployais',
    'ployait',
    'ployant',
    'ployas',
    'ployasse',
    'ployassent',
    'ployasses',
    'ployassiez',
    'ployassions',
    'ployer',
    'ployez',
    'ployiez',
    'ployions',
    'ployons',
    'ployâmes',
    'ployât',
    'ployâtes',
    'ployèrent',
    'ployé',
    'ployée',
    'ployées',
    'ployés',
    'plucha',
    'pluchai',
    'pluchaient',
    'pluchais',
    'pluchait',
    'pluchant',
    'pluchas',
    'pluchasse',
    'pluchassent',
    'pluchasses',
    'pluchassiez',
    'pluchassions',
    'pluche',
    'pluchent',
    'plucher',
    'pluchera',
    'plucherai',
    'plucheraient',
    'plucherais',
    'plucherait',
    'plucheras',
    'plucherez',
    'plucheriez',
    'plucherions',
    'plucherons',
    'plucheront',
    'pluches',
    'plucheuse',
    'plucheuses',
    'plucheux',
    'pluchez',
    'pluchiez',
    'pluchions',
    'pluchons',
    'pluchâmes',
    'pluchât',
    'pluchâtes',
    'pluchèrent',
    'pluché',
    'pluie',
    'pluies',
    'pluma',
    'plumage',
    'plumages',
    'plumai',
    'plumaient',
    'plumais',
    'plumaison',
    'plumaisons',
    'plumait',
    'plumant',
    'plumard',
    'plumards',
    'plumas',
    'plumasse',
    'plumassent',
    'plumasserie',
    'plumasseries',
    'plumasses',
    'plumassier',
    'plumassiers',
    'plumassiez',
    'plumassions',
    'plumassière',
    'plumassières',
    'plume',
    'plumeau',
    'plumeaux',
    'plument',
    'plumer',
    'plumera',
    'plumerai',
    'plumeraient',
    'plumerais',
    'plumerait',
    'plumeras',
    'plumerez',
    'plumeriez',
    'plumerions',
    'plumerons',
    'plumeront',
    'plumes',
    'plumet',
    'plumetis',
    'plumets',
    'plumeté',
    'plumetée',
    'plumetées',
    'plumetés',
    'plumeur',
    'plumeurs',
    'plumeuse',
    'plumeuses',
    'plumeux',
    'plumez',
    'plumier',
    'plumiers',
    'plumiez',
    'plumions',
    'plumitif',
    'plumitifs',
    'plumons',
    'plumule',
    'plumules',
    'plumâmes',
    'plumât',
    'plumâtes',
    'plumèrent',
    'plumé',
    'plumée',
    'plumées',
    'plumés',
    'plupart',
    'plural',
    'plurale',
    'plurales',
    'pluralisme',
    'pluralismes',
    'pluraliste',
    'pluralistes',
    'pluralité',
    'pluralités',
    'pluraux',
    'plurent',
    'pluriannuel',
    'pluriannuels',
    'pluriel',
    'plurielle',
    'plurielles',
    'pluriels',
    'plurilatéral',
    'plurivalent',
    'plurivalente',
    'plurivalents',
    'plurivoque',
    'plurivoques',
    'plus',
    'plusieurs',
    'plusse',
    'plussent',
    'plusses',
    'plussiez',
    'plussions',
    'plut',
    'pluton',
    'plutonien',
    'plutonienne',
    'plutoniennes',
    'plutoniens',
    'plutonigène',
    'plutonigènes',
    'plutonique',
    'plutoniques',
    'plutonisme',
    'plutonismes',
    'plutonium',
    'plutoniums',
    'plutons',
    'plutôt',
    'pluvial',
    'pluviale',
    'pluviales',
    'pluvian',
    'pluvians',
    'pluviaux',
    'pluvier',
    'pluviers',
    'pluvieuse',
    'pluvieuses',
    'pluvieux',
    'pluvina',
    'pluvinait',
    'pluvine',
    'pluviner',
    'pluvinera',
    'pluvinerait',
    'pluvinât',
    'pluviné',
    'pluviomètre',
    'pluviomètres',
    'pluviométrie',
    'pluviosité',
    'pluviosités',
    'pluviôse',
    'plâtra',
    'plâtrage',
    'plâtrages',
    'plâtrai',
    'plâtraient',
    'plâtrais',
    'plâtrait',
    'plâtrant',
    'plâtras',
    'plâtrasse',
    'plâtrassent',
    'plâtrasses',
    'plâtrassiez',
    'plâtrassions',
    'plâtre',
    'plâtrent',
    'plâtrer',
    'plâtrera',
    'plâtrerai',
    'plâtreraient',
    'plâtrerais',
    'plâtrerait',
    'plâtreras',
    'plâtrerez',
    'plâtrerie',
    'plâtreries',
    'plâtreriez',
    'plâtrerions',
    'plâtrerons',
    'plâtreront',
    'plâtres',
    'plâtreuse',
    'plâtreuses',
    'plâtreux',
    'plâtrez',
    'plâtrier',
    'plâtriers',
    'plâtriez',
    'plâtrions',
    'plâtrière',
    'plâtrières',
    'plâtrons',
    'plâtrâmes',
    'plâtrât',
    'plâtrâtes',
    'plâtrèrent',
    'plâtré',
    'plâtrée',
    'plâtrées',
    'plâtrés',
    'plèbe',
    'plèbes',
    'plèvre',
    'plèvres',
    'pléban',
    'plébans',
    'plébiscita',
    'plébiscitai',
    'plébiscitais',
    'plébiscitait',
    'plébiscitant',
    'plébiscitas',
    'plébiscite',
    'plébiscitent',
    'plébisciter',
    'plébiscitera',
    'plébiscites',
    'plébiscitez',
    'plébiscitiez',
    'plébiscitons',
    'plébiscitât',
    'plébiscité',
    'plébiscitée',
    'plébiscitées',
    'plébiscités',
    'plébéien',
    'plébéienne',
    'plébéiennes',
    'plébéiens',
    'pléiade',
    'pléiades',
    'pléistocène',
    'pléistocènes',
    'plénier',
    'pléniers',
    'plénitude',
    'plénitudes',
    'plénière',
    'plénières',
    'pléonasme',
    'pléonasmes',
    'pléonastique',
    'plésiosaure',
    'plésiosaures',
    'pléthore',
    'pléthores',
    'pléthorique',
    'pléthoriques',
    'plûmes',
    'plût',
    'plûtes',
    'pneu',
    'pneumatique',
    'pneumatiques',
    'pneumectomie',
    'pneumo',
    'pneumocoque',
    'pneumocoques',
    'pneumologie',
    'pneumologies',
    'pneumologue',
    'pneumologues',
    'pneumonie',
    'pneumonies',
    'pneumonique',
    'pneumoniques',
    'pneumos',
    'pneumothorax',
    'pneus',
    'pocha',
    'pochade',
    'pochades',
    'pochai',
    'pochaient',
    'pochais',
    'pochait',
    'pochant',
    'pochard',
    'pocharde',
    'pocharder',
    'pochardes',
    'pochardise',
    'pochardises',
    'pochards',
    'pochas',
    'pochasse',
    'pochassent',
    'pochasses',
    'pochassiez',
    'pochassions',
    'poche',
    'pochent',
    'pocher',
    'pochera',
    'pocherai',
    'pocheraient',
    'pocherais',
    'pocherait',
    'pocheras',
    'pocherez',
    'pocheriez',
    'pocherions',
    'pocherons',
    'pocheront',
    'poches',
    'pochette',
    'pochettes',
    'pochetée',
    'pochetées',
    'pocheuse',
    'pocheuses',
    'pochez',
    'pochiez',
    'pochions',
    'pochoir',
    'pochoirs',
    'pochon',
    'pochons',
    'pochouse',
    'pochouses',
    'pochâmes',
    'pochât',
    'pochâtes',
    'pochèrent',
    'poché',
    'pochée',
    'pochées',
    'pochés',
    'podagre',
    'podagres',
    'podaire',
    'podaires',
    'podestat',
    'podestats',
    'podium',
    'podiums',
    'podologie',
    'podologies',
    'podologue',
    'podologues',
    'podoscaphe',
    'podoscaphes',
    'podzol',
    'podzolique',
    'podzoliques',
    'podzoliser',
    'podzols',
    'poecile',
    'poeciles',
    'pogne',
    'pognes',
    'pognon',
    'pognons',
    'pogrom',
    'pogrome',
    'pogromes',
    'pogroms',
    'poids',
    'poignaient',
    'poignais',
    'poignait',
    'poignant',
    'poignante',
    'poignantes',
    'poignants',
    'poignard',
    'poignarda',
    'poignardai',
    'poignardais',
    'poignardait',
    'poignardant',
    'poignardas',
    'poignardasse',
    'poignarde',
    'poignardent',
    'poignarder',
    'poignardera',
    'poignarderai',
    'poignarderas',
    'poignarderez',
    'poignardes',
    'poignardez',
    'poignardiez',
    'poignardions',
    'poignardons',
    'poignards',
    'poignardâmes',
    'poignardât',
    'poignardâtes',
    'poignardé',
    'poignardée',
    'poignardées',
    'poignardés',
    'poigne',
    'poignent',
    'poignes',
    'poignet',
    'poignets',
    'poignez',
    'poigniez',
    'poignions',
    'poignirent',
    'poignis',
    'poignisse',
    'poignissent',
    'poignisses',
    'poignissiez',
    'poignissions',
    'poignit',
    'poignons',
    'poignée',
    'poignées',
    'poignîmes',
    'poignît',
    'poignîtes',
    'poil',
    'poila',
    'poilai',
    'poilaient',
    'poilais',
    'poilait',
    'poilant',
    'poilante',
    'poilantes',
    'poilants',
    'poilas',
    'poilasse',
    'poilassent',
    'poilasses',
    'poilassiez',
    'poilassions',
    'poile',
    'poilent',
    'poiler',
    'poilera',
    'poilerai',
    'poileraient',
    'poilerais',
    'poilerait',
    'poileras',
    'poilerez',
    'poileriez',
    'poilerions',
    'poilerons',
    'poileront',
    'poiles',
    'poilez',
    'poiliez',
    'poilions',
    'poilons',
    'poils',
    'poilu',
    'poilue',
    'poilues',
    'poilus',
    'poilâmes',
    'poilât',
    'poilâtes',
    'poilèrent',
    'poilé',
    'poilée',
    'poilées',
    'poilés',
    'poindra',
    'poindrai',
    'poindraient',
    'poindrais',
    'poindrait',
    'poindras',
    'poindre',
    'poindrez',
    'poindriez',
    'poindrions',
    'poindrons',
    'poindront',
    'poing',
    'poings',
    'poins',
    'point',
    'pointa',
    'pointage',
    'pointages',
    'pointai',
    'pointaient',
    'pointais',
    'pointait',
    'pointal',
    'pointant',
    'pointas',
    'pointasse',
    'pointassent',
    'pointasses',
    'pointassiez',
    'pointassions',
    'pointaux',
    'pointe',
    'pointeau',
    'pointeaux',
    'pointent',
    'pointer',
    'pointera',
    'pointerai',
    'pointeraient',
    'pointerais',
    'pointerait',
    'pointeras',
    'pointerez',
    'pointeriez',
    'pointerions',
    'pointerons',
    'pointeront',
    'pointes',
    'pointeur',
    'pointeurs',
    'pointeuse',
    'pointeuses',
    'pointez',
    'pointiez',
    'pointilla',
    'pointillage',
    'pointillages',
    'pointillai',
    'pointillais',
    'pointillait',
    'pointillant',
    'pointillas',
    'pointillasse',
    'pointille',
    'pointillent',
    'pointiller',
    'pointillera',
    'pointillerai',
    'pointilleras',
    'pointillerez',
    'pointilles',
    'pointilleuse',
    'pointilleux',
    'pointillez',
    'pointilliez',
    'pointillions',
    'pointillisme',
    'pointilliste',
    'pointillons',
    'pointillâmes',
    'pointillât',
    'pointillâtes',
    'pointillé',
    'pointillée',
    'pointillées',
    'pointillés',
    'pointions',
    'pointons',
    'points',
    'pointu',
    'pointue',
    'pointues',
    'pointure',
    'pointures',
    'pointus',
    'pointâmes',
    'pointât',
    'pointâtes',
    'pointèrent',
    'pointé',
    'pointée',
    'pointées',
    'pointés',
    'poinçon',
    'poinçonna',
    'poinçonnage',
    'poinçonnages',
    'poinçonnai',
    'poinçonnais',
    'poinçonnait',
    'poinçonnant',
    'poinçonnas',
    'poinçonnasse',
    'poinçonne',
    'poinçonnent',
    'poinçonner',
    'poinçonnera',
    'poinçonnerai',
    'poinçonneras',
    'poinçonnerez',
    'poinçonnes',
    'poinçonneur',
    'poinçonneurs',
    'poinçonneuse',
    'poinçonnez',
    'poinçonniez',
    'poinçonnions',
    'poinçonnons',
    'poinçonnâmes',
    'poinçonnât',
    'poinçonnâtes',
    'poinçonné',
    'poinçonnée',
    'poinçonnées',
    'poinçonnés',
    'poinçons',
    'poire',
    'poireau',
    'poireauta',
    'poireautai',
    'poireautais',
    'poireautait',
    'poireautant',
    'poireautas',
    'poireautasse',
    'poireaute',
    'poireautent',
    'poireauter',
    'poireautera',
    'poireauterai',
    'poireauteras',
    'poireauterez',
    'poireautes',
    'poireautez',
    'poireautiez',
    'poireautions',
    'poireautons',
    'poireautâmes',
    'poireautât',
    'poireautâtes',
    'poireauté',
    'poireaux',
    'poires',
    'poirier',
    'poiriers',
    'poirota',
    'poirotai',
    'poirotaient',
    'poirotais',
    'poirotait',
    'poirotant',
    'poirotas',
    'poirotasse',
    'poirotassent',
    'poirotasses',
    'poirotassiez',
    'poirote',
    'poirotent',
    'poiroter',
    'poirotera',
    'poiroterai',
    'poiroterais',
    'poiroterait',
    'poiroteras',
    'poiroterez',
    'poiroteriez',
    'poiroterions',
    'poiroterons',
    'poiroteront',
    'poirotes',
    'poirotez',
    'poirotiez',
    'poirotions',
    'poirotons',
    'poirotâmes',
    'poirotât',
    'poirotâtes',
    'poirotèrent',
    'poiroté',
    'poiré',
    'poirés',
    'pois',
    'poiscaille',
    'poiscailles',
    'poise',
    'poises',
    'poiseuille',
    'poiseuilles',
    'poison',
    'poisons',
    'poissa',
    'poissai',
    'poissaient',
    'poissais',
    'poissait',
    'poissant',
    'poissard',
    'poissarde',
    'poissardes',
    'poissards',
    'poissas',
    'poissasse',
    'poissassent',
    'poissasses',
    'poissassiez',
    'poissassions',
    'poisse',
    'poissent',
    'poisser',
    'poissera',
    'poisserai',
    'poisseraient',
    'poisserais',
    'poisserait',
    'poisseras',
    'poisserez',
    'poisseriez',
    'poisserions',
    'poisserons',
    'poisseront',
    'poisses',
    'poisseuse',
    'poisseuses',
    'poisseux',
    'poissez',
    'poissiez',
    'poissions',
    'poisson',
    'poissonnerie',
    'poissonneuse',
    'poissonneux',
    'poissonnien',
    'poissonniens',
    'poissonnier',
    'poissonniers',
    'poissonnière',
    'poissons',
    'poissâmes',
    'poissât',
    'poissâtes',
    'poissèrent',
    'poissé',
    'poissée',
    'poissées',
    'poissés',
    'poitevin',
    'poitevine',
    'poitevines',
    'poitevins',
    'poitiers',
    'poitou',
    'poitrail',
    'poitrails',
    'poitrinaire',
    'poitrinaires',
    'poitrine',
    'poitrines',
    'poitrinière',
    'poitrinières',
    'poivra',
    'poivrade',
    'poivrades',
    'poivrai',
    'poivraient',
    'poivrais',
    'poivrait',
    'poivrant',
    'poivras',
    'poivrasse',
    'poivrassent',
    'poivrasses',
    'poivrassiez',
    'poivrassions',
    'poivre',
    'poivrent',
    'poivrer',
    'poivrera',
    'poivrerai',
    'poivreraient',
    'poivrerais',
    'poivrerait',
    'poivreras',
    'poivrerez',
    'poivreriez',
    'poivrerions',
    'poivrerons',
    'poivreront',
    'poivres',
    'poivrez',
    'poivrier',
    'poivriers',
    'poivriez',
    'poivrions',
    'poivrière',
    'poivrières',
    'poivron',
    'poivrons',
    'poivrot',
    'poivrote',
    'poivrotes',
    'poivrots',
    'poivrâmes',
    'poivrât',
    'poivrâtes',
    'poivrèrent',
    'poivré',
    'poivrée',
    'poivrées',
    'poivrés',
    'poix',
    'poker',
    'pokers',
    'polacre',
    'polacres',
    'polaire',
    'polaires',
    'polaque',
    'polaques',
    'polar',
    'polarimètre',
    'polarimètres',
    'polarisa',
    'polarisable',
    'polarisables',
    'polarisai',
    'polarisaient',
    'polarisais',
    'polarisait',
    'polarisant',
    'polarisas',
    'polarisasse',
    'polarisasses',
    'polarisateur',
    'polarisation',
    'polariscope',
    'polariscopes',
    'polarise',
    'polarisent',
    'polariser',
    'polarisera',
    'polariserai',
    'polariserais',
    'polariserait',
    'polariseras',
    'polariserez',
    'polariseriez',
    'polariserons',
    'polariseront',
    'polarises',
    'polariseur',
    'polariseurs',
    'polarisez',
    'polarisiez',
    'polarisions',
    'polarisons',
    'polarisâmes',
    'polarisât',
    'polarisâtes',
    'polarisèrent',
    'polarisé',
    'polarisée',
    'polarisées',
    'polarisés',
    'polarité',
    'polarités',
    'polars',
    'polatouche',
    'polatouches',
    'polder',
    'polders',
    'polenta',
    'polentas',
    'poli',
    'police',
    'policeman',
    'policemen',
    'policent',
    'policer',
    'policera',
    'policerai',
    'policeraient',
    'policerais',
    'policerait',
    'policeras',
    'policerez',
    'policeriez',
    'policerions',
    'policerons',
    'policeront',
    'polices',
    'policez',
    'polichinelle',
    'policier',
    'policiers',
    'policiez',
    'policions',
    'policière',
    'policières',
    'policlinique',
    'policèrent',
    'policé',
    'policée',
    'policées',
    'policés',
    'polie',
    'polies',
    'poliment',
    'polio',
    'poliomyélite',
    'polios',
    'polir',
    'polira',
    'polirai',
    'poliraient',
    'polirais',
    'polirait',
    'poliras',
    'polirent',
    'polirez',
    'poliriez',
    'polirions',
    'polirons',
    'poliront',
    'polis',
    'polissable',
    'polissables',
    'polissage',
    'polissages',
    'polissaient',
    'polissais',
    'polissait',
    'polissant',
    'polisse',
    'polissent',
    'polisses',
    'polisseur',
    'polisseurs',
    'polisseuse',
    'polisseuses',
    'polissez',
    'polissiez',
    'polissions',
    'polissoir',
    'polissoire',
    'polissoires',
    'polissoirs',
    'polisson',
    'polissonna',
    'polissonnai',
    'polissonnais',
    'polissonnait',
    'polissonnant',
    'polissonnas',
    'polissonne',
    'polissonnent',
    'polissonner',
    'polissonnera',
    'polissonnes',
    'polissonnez',
    'polissonniez',
    'polissonnons',
    'polissonnât',
    'polissonné',
    'polissons',
    'polit',
    'politesse',
    'politesses',
    'politicard',
    'politicarde',
    'politicardes',
    'politicards',
    'politicien',
    'politicienne',
    'politiciens',
    'politiqua',
    'politiquai',
    'politiquais',
    'politiquait',
    'politiquant',
    'politiquas',
    'politiquasse',
    'politique',
    'politiquent',
    'politiquer',
    'politiquera',
    'politiquerai',
    'politiqueras',
    'politiquerez',
    'politiques',
    'politiquez',
    'politiquiez',
    'politiquions',
    'politiquons',
    'politiquâmes',
    'politiquât',
    'politiquâtes',
    'politiqué',
    'politiquée',
    'politiquées',
    'politiqués',
    'politisa',
    'politisai',
    'politisaient',
    'politisais',
    'politisait',
    'politisant',
    'politisas',
    'politisasse',
    'politisasses',
    'politisation',
    'politise',
    'politisent',
    'politiser',
    'politisera',
    'politiserai',
    'politiserais',
    'politiserait',
    'politiseras',
    'politiserez',
    'politiseriez',
    'politiserons',
    'politiseront',
    'politises',
    'politisez',
    'politisiez',
    'politisions',
    'politisons',
    'politisâmes',
    'politisât',
    'politisâtes',
    'politisèrent',
    'politisé',
    'politisée',
    'politisées',
    'politisés',
    'poliça',
    'poliçai',
    'poliçaient',
    'poliçais',
    'poliçait',
    'poliçant',
    'poliças',
    'poliçasse',
    'poliçassent',
    'poliçasses',
    'poliçassiez',
    'poliçassions',
    'poliçons',
    'poliçâmes',
    'poliçât',
    'poliçâtes',
    'polka',
    'polkas',
    'pollen',
    'pollens',
    'pollua',
    'polluai',
    'polluaient',
    'polluais',
    'polluait',
    'polluant',
    'polluante',
    'polluantes',
    'polluants',
    'polluas',
    'polluasse',
    'polluassent',
    'polluasses',
    'polluassiez',
    'polluassions',
    'pollue',
    'polluent',
    'polluer',
    'polluera',
    'polluerai',
    'pollueraient',
    'polluerais',
    'polluerait',
    'pollueras',
    'polluerez',
    'pollueriez',
    'polluerions',
    'polluerons',
    'pollueront',
    'pollues',
    'pollueur',
    'pollueurs',
    'pollueuse',
    'pollueuses',
    'polluez',
    'polluiez',
    'polluions',
    'polluons',
    'pollution',
    'pollutions',
    'polluâmes',
    'polluât',
    'polluâtes',
    'polluèrent',
    'pollué',
    'polluée',
    'polluées',
    'pollués',
    'polo',
    'polochon',
    'polochons',
    'polonais',
    'polonaise',
    'polonaises',
    'polonium',
    'poloniums',
    'polos',
    'poltron',
    'poltronne',
    'poltronnerie',
    'poltronnes',
    'poltrons',
    'polyacide',
    'polyacides',
    'polyakène',
    'polyakènes',
    'polyalcool',
    'polyalcools',
    'polyamide',
    'polyamides',
    'polyamine',
    'polyamines',
    'polyandre',
    'polyandres',
    'polyandrie',
    'polyandries',
    'polyarthrite',
    'polybasique',
    'polybasiques',
    'polychrome',
    'polychromes',
    'polychromie',
    'polychromies',
    'polychroïsme',
    'polyclinique',
    'polycopia',
    'polycopiai',
    'polycopiais',
    'polycopiait',
    'polycopiant',
    'polycopias',
    'polycopiasse',
    'polycopie',
    'polycopient',
    'polycopier',
    'polycopiera',
    'polycopierai',
    'polycopieras',
    'polycopierez',
    'polycopies',
    'polycopiez',
    'polycopiiez',
    'polycopiions',
    'polycopions',
    'polycopiâmes',
    'polycopiât',
    'polycopiâtes',
    'polycopié',
    'polycopiée',
    'polycopiées',
    'polycopiés',
    'polyculture',
    'polycultures',
    'polycyclique',
    'polycéphale',
    'polycéphales',
    'polydactyle',
    'polydactyles',
    'polydactylie',
    'polyester',
    'polyesters',
    'polygala',
    'polygalas',
    'polygale',
    'polygales',
    'polygame',
    'polygames',
    'polygamie',
    'polygamies',
    'polyglobulie',
    'polyglotte',
    'polyglottes',
    'polygonal',
    'polygonale',
    'polygonales',
    'polygonation',
    'polygonaux',
    'polygone',
    'polygones',
    'polygraphe',
    'polygraphes',
    'polygénisme',
    'polygénismes',
    'polygéniste',
    'polygénistes',
    'polymorphe',
    'polymorphes',
    'polymorphie',
    'polymorphies',
    'polymérisa',
    'polymérisai',
    'polymérisais',
    'polymérisait',
    'polymérisant',
    'polymérisas',
    'polymérise',
    'polymérisent',
    'polymériser',
    'polymérisera',
    'polymérises',
    'polymérisez',
    'polymérisiez',
    'polymérisons',
    'polymérisât',
    'polymérisé',
    'polymérisée',
    'polymérisées',
    'polymérisés',
    'polynomial',
    'polynomiale',
    'polynomiales',
    'polynomiaux',
    'polynésien',
    'polynésienne',
    'polynésiens',
    'polynévrite',
    'polynévrites',
    'polynôme',
    'polynômes',
    'polynômial',
    'polynômiaux',
    'polyoside',
    'polyosides',
    'polype',
    'polypeptide',
    'polypeptides',
    'polypes',
    'polypeuse',
    'polypeuses',
    'polypeux',
    'polyphasé',
    'polyphasée',
    'polyphasées',
    'polyphasés',
    'polyphonie',
    'polyphonies',
    'polyphonique',
    'polypier',
    'polypiers',
    'polyploïde',
    'polyploïdes',
    'polyploïdie',
    'polyploïdies',
    'polypode',
    'polypodes',
    'polypore',
    'polypores',
    'polyptyque',
    'polyptyques',
    'polyptère',
    'polyptères',
    'polypétale',
    'polypétales',
    'polysoc',
    'polysocs',
    'polystyle',
    'polystyles',
    'polystyrène',
    'polystyrènes',
    'polysulfure',
    'polysulfures',
    'polysyllabe',
    'polysyllabes',
    'polysémie',
    'polysémique',
    'polysémiques',
    'polythène',
    'polythènes',
    'polythéisme',
    'polythéismes',
    'polythéiste',
    'polythéistes',
    'polytonal',
    'polytonale',
    'polytonales',
    'polytonaux',
    'polytric',
    'polytrics',
    'polyurie',
    'polyuries',
    'polyvalent',
    'polyvalente',
    'polyvalentes',
    'polyvalents',
    'polyèdre',
    'polyèdres',
    'polyédrique',
    'polyédriques',
    'polyéthylène',
    'polémarque',
    'polémarques',
    'polémiqua',
    'polémiquai',
    'polémiquais',
    'polémiquait',
    'polémiquant',
    'polémiquas',
    'polémiquasse',
    'polémique',
    'polémiquent',
    'polémiquer',
    'polémiquera',
    'polémiquerai',
    'polémiqueras',
    'polémiquerez',
    'polémiques',
    'polémiquez',
    'polémiquiez',
    'polémiquions',
    'polémiquons',
    'polémiquâmes',
    'polémiquât',
    'polémiquâtes',
    'polémiqué',
    'polémiquée',
    'polémiquées',
    'polémiqués',
    'polémiste',
    'polémistes',
    'polémologie',
    'polémologies',
    'polîmes',
    'polît',
    'polîtes',
    'pomma',
    'pommada',
    'pommadai',
    'pommadaient',
    'pommadais',
    'pommadait',
    'pommadant',
    'pommadas',
    'pommadasse',
    'pommadassent',
    'pommadasses',
    'pommadassiez',
    'pommade',
    'pommadent',
    'pommader',
    'pommadera',
    'pommaderai',
    'pommaderais',
    'pommaderait',
    'pommaderas',
    'pommaderez',
    'pommaderiez',
    'pommaderions',
    'pommaderons',
    'pommaderont',
    'pommades',
    'pommadez',
    'pommadiez',
    'pommadions',
    'pommadons',
    'pommadâmes',
    'pommadât',
    'pommadâtes',
    'pommadèrent',
    'pommadé',
    'pommadée',
    'pommadées',
    'pommadés',
    'pommai',
    'pommaient',
    'pommais',
    'pommait',
    'pommant',
    'pommard',
    'pommards',
    'pommas',
    'pommasse',
    'pommassent',
    'pommasses',
    'pommassiez',
    'pommassions',
    'pomme',
    'pommeau',
    'pommeaux',
    'pommela',
    'pommelai',
    'pommelaient',
    'pommelais',
    'pommelait',
    'pommelant',
    'pommelas',
    'pommelasse',
    'pommelassent',
    'pommelasses',
    'pommelassiez',
    'pommeler',
    'pommelez',
    'pommeliez',
    'pommelions',
    'pommelle',
    'pommellent',
    'pommellera',
    'pommellerai',
    'pommellerais',
    'pommellerait',
    'pommelleras',
    'pommellerez',
    'pommelleriez',
    'pommellerons',
    'pommelleront',
    'pommelles',
    'pommelons',
    'pommelâmes',
    'pommelât',
    'pommelâtes',
    'pommelèrent',
    'pommelé',
    'pommelée',
    'pommelées',
    'pommelés',
    'pomment',
    'pommer',
    'pommera',
    'pommerai',
    'pommeras',
    'pommerasse',
    'pommerassent',
    'pommerasses',
    'pommerassiez',
    'pommerâmes',
    'pommerât',
    'pommerâtes',
    'pommerèrent',
    'pommes',
    'pommette',
    'pommettes',
    'pommeté',
    'pommetée',
    'pommetées',
    'pommetés',
    'pommez',
    'pommier',
    'pommiers',
    'pommiez',
    'pommions',
    'pommons',
    'pommâmes',
    'pommât',
    'pommâtes',
    'pommèrent',
    'pommé',
    'pomoerium',
    'pomoeriums',
    'pomologique',
    'pomologiques',
    'pomologiste',
    'pomologistes',
    'pomologue',
    'pomologues',
    'pompa',
    'pompage',
    'pompages',
    'pompai',
    'pompaient',
    'pompais',
    'pompait',
    'pompant',
    'pompas',
    'pompasse',
    'pompassent',
    'pompasses',
    'pompassiez',
    'pompassions',
    'pompe',
    'pompent',
    'pomper',
    'pompera',
    'pomperai',
    'pomperaient',
    'pomperais',
    'pomperait',
    'pomperas',
    'pomperez',
    'pomperiez',
    'pomperions',
    'pomperons',
    'pomperont',
    'pompes',
    'pompette',
    'pompettes',
    'pompeur',
    'pompeurs',
    'pompeuse',
    'pompeusement',
    'pompeuses',
    'pompeux',
    'pompez',
    'pompier',
    'pompiers',
    'pompiez',
    'pompile',
    'pompiles',
    'pompions',
    'pompiste',
    'pompistes',
    'pompière',
    'pompières',
    'pompiérisme',
    'pompiérismes',
    'pompon',
    'pomponna',
    'pomponnai',
    'pomponnaient',
    'pomponnais',
    'pomponnait',
    'pomponnant',
    'pomponnas',
    'pomponnasse',
    'pomponnasses',
    'pomponne',
    'pomponnent',
    'pomponner',
    'pomponnera',
    'pomponnerai',
    'pomponnerais',
    'pomponnerait',
    'pomponneras',
    'pomponnerez',
    'pomponneriez',
    'pomponnerons',
    'pomponneront',
    'pomponnes',
    'pomponnez',
    'pomponniez',
    'pomponnions',
    'pomponnons',
    'pomponnâmes',
    'pomponnât',
    'pomponnâtes',
    'pomponnèrent',
    'pomponné',
    'pomponnée',
    'pomponnées',
    'pomponnés',
    'pompons',
    'pompâmes',
    'pompât',
    'pompâtes',
    'pompèrent',
    'pompé',
    'pompée',
    'pompées',
    'pompéien',
    'pompéienne',
    'pompéiennes',
    'pompéiens',
    'pompés',
    'pomélo',
    'pomélos',
    'ponant',
    'ponantais',
    'ponantaise',
    'ponantaises',
    'ponants',
    'ponce',
    'ponceau',
    'ponceaux',
    'poncelet',
    'poncelets',
    'poncent',
    'poncer',
    'poncera',
    'poncerai',
    'ponceraient',
    'poncerais',
    'poncerait',
    'ponceras',
    'poncerez',
    'ponceriez',
    'poncerions',
    'poncerons',
    'ponceront',
    'ponces',
    'ponceur',
    'ponceurs',
    'ponceuse',
    'ponceuses',
    'ponceux',
    'poncez',
    'poncho',
    'ponchos',
    'ponciez',
    'poncif',
    'poncifs',
    'poncions',
    'ponction',
    'ponctionna',
    'ponctionnai',
    'ponctionnais',
    'ponctionnait',
    'ponctionnant',
    'ponctionnas',
    'ponctionne',
    'ponctionnent',
    'ponctionner',
    'ponctionnera',
    'ponctionnes',
    'ponctionnez',
    'ponctionniez',
    'ponctionnons',
    'ponctionnât',
    'ponctionné',
    'ponctionnée',
    'ponctionnées',
    'ponctionnés',
    'ponctions',
    'ponctua',
    'ponctuai',
    'ponctuaient',
    'ponctuais',
    'ponctuait',
    'ponctualité',
    'ponctualités',
    'ponctuant',
    'ponctuas',
    'ponctuasse',
    'ponctuassent',
    'ponctuasses',
    'ponctuassiez',
    'ponctuation',
    'ponctuations',
    'ponctue',
    'ponctuel',
    'ponctuelle',
    'ponctuelles',
    'ponctuels',
    'ponctuent',
    'ponctuer',
    'ponctuera',
    'ponctuerai',
    'ponctuerais',
    'ponctuerait',
    'ponctueras',
    'ponctuerez',
    'ponctueriez',
    'ponctuerions',
    'ponctuerons',
    'ponctueront',
    'ponctues',
    'ponctuez',
    'ponctuiez',
    'ponctuions',
    'ponctuons',
    'ponctuâmes',
    'ponctuât',
    'ponctuâtes',
    'ponctuèrent',
    'ponctué',
    'ponctuée',
    'ponctuées',
    'ponctués',
    'poncèrent',
    'poncé',
    'poncée',
    'poncées',
    'poncés',
    'pond',
    'pondaient',
    'pondais',
    'pondaison',
    'pondaisons',
    'pondait',
    'pondant',
    'ponde',
    'pondent',
    'pondes',
    'pondeur',
    'pondeurs',
    'pondeuse',
    'pondeuses',
    'pondez',
    'pondiez',
    'pondions',
    'pondirent',
    'pondis',
    'pondisse',
    'pondissent',
    'pondisses',
    'pondissiez',
    'pondissions',
    'pondit',
    'pondoir',
    'pondoirs',
    'pondons',
    'pondra',
    'pondrai',
    'pondraient',
    'pondrais',
    'pondrait',
    'pondras',
    'pondre',
    'pondrez',
    'pondriez',
    'pondrions',
    'pondrons',
    'pondront',
    'ponds',
    'pondu',
    'pondue',
    'pondues',
    'pondus',
    'pondère',
    'pondèrent',
    'pondères',
    'pondéra',
    'pondérable',
    'pondérables',
    'pondérai',
    'pondéraient',
    'pondérais',
    'pondérait',
    'pondéral',
    'pondérale',
    'pondérales',
    'pondérant',
    'pondéras',
    'pondérasse',
    'pondérassent',
    'pondérasses',
    'pondérassiez',
    'pondérateur',
    'pondérateurs',
    'pondération',
    'pondérations',
    'pondératrice',
    'pondéraux',
    'pondérer',
    'pondérera',
    'pondérerai',
    'pondérerais',
    'pondérerait',
    'pondéreras',
    'pondérerez',
    'pondéreriez',
    'pondérerions',
    'pondérerons',
    'pondéreront',
    'pondéreuse',
    'pondéreuses',
    'pondéreux',
    'pondérez',
    'pondériez',
    'pondérions',
    'pondérons',
    'pondérâmes',
    'pondérât',
    'pondérâtes',
    'pondérèrent',
    'pondéré',
    'pondérée',
    'pondérées',
    'pondérés',
    'pondîmes',
    'pondît',
    'pondîtes',
    'poney',
    'poneys',
    'pongiste',
    'pongistes',
    'pongé',
    'pongée',
    'pongées',
    'pongés',
    'pont',
    'ponta',
    'pontage',
    'pontages',
    'pontai',
    'pontaient',
    'pontais',
    'pontait',
    'pontant',
    'pontas',
    'pontasse',
    'pontassent',
    'pontasses',
    'pontassiez',
    'pontassions',
    'ponte',
    'pontent',
    'ponter',
    'pontera',
    'ponterai',
    'ponteraient',
    'ponterais',
    'ponterait',
    'ponteras',
    'ponterez',
    'ponteriez',
    'ponterions',
    'ponterons',
    'ponteront',
    'pontes',
    'pontet',
    'pontets',
    'pontez',
    'pontier',
    'pontiers',
    'pontiez',
    'pontife',
    'pontifes',
    'pontifia',
    'pontifiai',
    'pontifiaient',
    'pontifiais',
    'pontifiait',
    'pontifiant',
    'pontifiante',
    'pontifiantes',
    'pontifiants',
    'pontifias',
    'pontifiasse',
    'pontifiasses',
    'pontifical',
    'pontificale',
    'pontificales',
    'pontificat',
    'pontificats',
    'pontificaux',
    'pontifie',
    'pontifient',
    'pontifier',
    'pontifiera',
    'pontifierai',
    'pontifierais',
    'pontifierait',
    'pontifieras',
    'pontifierez',
    'pontifieriez',
    'pontifierons',
    'pontifieront',
    'pontifies',
    'pontifiez',
    'pontifiiez',
    'pontifiions',
    'pontifions',
    'pontifiâmes',
    'pontifiât',
    'pontifiâtes',
    'pontifièrent',
    'pontifié',
    'pontil',
    'pontilla',
    'pontillai',
    'pontillaient',
    'pontillais',
    'pontillait',
    'pontillant',
    'pontillas',
    'pontillasse',
    'pontillasses',
    'pontille',
    'pontillent',
    'pontiller',
    'pontillera',
    'pontillerai',
    'pontillerais',
    'pontillerait',
    'pontilleras',
    'pontillerez',
    'pontilleriez',
    'pontillerons',
    'pontilleront',
    'pontilles',
    'pontillez',
    'pontilliez',
    'pontillions',
    'pontillons',
    'pontillâmes',
    'pontillât',
    'pontillâtes',
    'pontillèrent',
    'pontillé',
    'pontillée',
    'pontillées',
    'pontillés',
    'pontils',
    'pontions',
    'ponton',
    'pontonnier',
    'pontonniers',
    'pontons',
    'ponts',
    'pontuseau',
    'pontuseaux',
    'pontâmes',
    'pontât',
    'pontâtes',
    'pontèrent',
    'ponté',
    'pontée',
    'pontées',
    'pontés',
    'ponça',
    'ponçage',
    'ponçages',
    'ponçai',
    'ponçaient',
    'ponçais',
    'ponçait',
    'ponçant',
    'ponças',
    'ponçasse',
    'ponçassent',
    'ponçasses',
    'ponçassiez',
    'ponçassions',
    'ponçons',
    'ponçâmes',
    'ponçât',
    'ponçâtes',
    'pool',
    'pools',
    'pope',
    'popeline',
    'popelines',
    'popes',
    'poplité',
    'poplitée',
    'poplitées',
    'poplités',
    'popote',
    'popotes',
    'popotin',
    'popotins',
    'populace',
    'populaces',
    'populacier',
    'populaciers',
    'populacière',
    'populacières',
    'populage',
    'populages',
    'populaire',
    'populaires',
    'popularisa',
    'popularisai',
    'popularisais',
    'popularisait',
    'popularisant',
    'popularisas',
    'popularise',
    'popularisent',
    'populariser',
    'popularisera',
    'popularises',
    'popularisez',
    'popularisiez',
    'popularisons',
    'popularisât',
    'popularisé',
    'popularisée',
    'popularisées',
    'popularisés',
    'popularité',
    'popularités',
    'population',
    'populations',
    'populeuse',
    'populeuses',
    'populeux',
    'populisme',
    'populismes',
    'populiste',
    'populistes',
    'populo',
    'populos',
    'populéum',
    'populéums',
    'poqua',
    'poquai',
    'poquaient',
    'poquais',
    'poquait',
    'poquant',
    'poquas',
    'poquasse',
    'poquassent',
    'poquasses',
    'poquassiez',
    'poquassions',
    'poque',
    'poquent',
    'poquer',
    'poquera',
    'poquerai',
    'poqueraient',
    'poquerais',
    'poquerait',
    'poqueras',
    'poquerez',
    'poqueriez',
    'poquerions',
    'poquerons',
    'poqueront',
    'poques',
    'poquet',
    'poquets',
    'poquez',
    'poquiez',
    'poquions',
    'poquons',
    'poquâmes',
    'poquât',
    'poquâtes',
    'poquèrent',
    'poqué',
    'porc',
    'porcelaine',
    'porcelaines',
    'porcelainier',
    'porcelet',
    'porcelets',
    'porchaison',
    'porchaisons',
    'porche',
    'porcher',
    'porcherie',
    'porcheries',
    'porchers',
    'porches',
    'porchère',
    'porchères',
    'porcin',
    'porcine',
    'porcines',
    'porcins',
    'porcs',
    'pore',
    'pores',
    'poreuse',
    'poreuses',
    'poreux',
    'porion',
    'porions',
    'porno',
    'pornographe',
    'pornographes',
    'pornographie',
    'pornos',
    'porosité',
    'porosités',
    'porphyre',
    'porphyres',
    'porphyrique',
    'porphyriques',
    'porphyrisa',
    'porphyrisai',
    'porphyrisais',
    'porphyrisait',
    'porphyrisant',
    'porphyrisas',
    'porphyrise',
    'porphyrisent',
    'porphyriser',
    'porphyrisera',
    'porphyrises',
    'porphyrisez',
    'porphyrisiez',
    'porphyrisons',
    'porphyrisât',
    'porphyrisé',
    'porphyrisée',
    'porphyrisées',
    'porphyrisés',
    'porphyroïde',
    'porphyroïdes',
    'porque',
    'porques',
    'porreau',
    'porreaux',
    'porrection',
    'porrections',
    'porridge',
    'porridges',
    'port',
    'porta',
    'portable',
    'portables',
    'portage',
    'portages',
    'portai',
    'portaient',
    'portail',
    'portails',
    'portais',
    'portait',
    'portance',
    'portances',
    'portant',
    'portante',
    'portantes',
    'portants',
    'portas',
    'portasse',
    'portassent',
    'portasses',
    'portassiez',
    'portassions',
    'portatif',
    'portatifs',
    'portative',
    'portatives',
    'porte',
    'portefaix',
    'portefeuille',
    'portemanteau',
    'portement',
    'portements',
    'portemine',
    'portemines',
    'portent',
    'porter',
    'portera',
    'porterai',
    'porteraient',
    'porterais',
    'porterait',
    'porteras',
    'porterez',
    'porterie',
    'porteries',
    'porteriez',
    'porterions',
    'porterons',
    'porteront',
    'portes',
    'porteur',
    'porteurs',
    'porteuse',
    'porteuses',
    'portez',
    'portier',
    'portiers',
    'portiez',
    'portillon',
    'portillons',
    'portion',
    'portionnaire',
    'portions',
    'portique',
    'portiques',
    'portière',
    'portières',
    'portland',
    'portlandien',
    'portlandiens',
    'portlands',
    'porto',
    'portons',
    'portor',
    'portors',
    'portos',
    'portrait',
    'portraitiste',
    'portraits',
    'portraitura',
    'portraiturai',
    'portraituras',
    'portraiture',
    'portraiturer',
    'portraitures',
    'portraiturez',
    'portraiturât',
    'portraituré',
    'portraiturée',
    'portraiturés',
    'ports',
    'portuaire',
    'portuaires',
    'portugais',
    'portugaise',
    'portugaises',
    'portulan',
    'portulans',
    'portune',
    'portunes',
    'portâmes',
    'portât',
    'portâtes',
    'portèrent',
    'porté',
    'portée',
    'portées',
    'portés',
    'posa',
    'posada',
    'posadas',
    'posai',
    'posaient',
    'posais',
    'posait',
    'posant',
    'posas',
    'posasse',
    'posassent',
    'posasses',
    'posassiez',
    'posassions',
    'pose',
    'posemètre',
    'posemètres',
    'posent',
    'poser',
    'posera',
    'poserai',
    'poseraient',
    'poserais',
    'poserait',
    'poseras',
    'poserez',
    'poseriez',
    'poserions',
    'poserons',
    'poseront',
    'poses',
    'poseur',
    'poseurs',
    'poseuse',
    'poseuses',
    'posez',
    'posiez',
    'posions',
    'positif',
    'positifs',
    'position',
    'positionna',
    'positionnai',
    'positionnais',
    'positionnait',
    'positionnant',
    'positionnas',
    'positionne',
    'positionnent',
    'positionner',
    'positionnera',
    'positionnes',
    'positionnez',
    'positionniez',
    'positionnons',
    'positionnât',
    'positionné',
    'positionnée',
    'positionnées',
    'positionnés',
    'positions',
    'positive',
    'positivement',
    'positives',
    'positivisme',
    'positivismes',
    'positiviste',
    'positivistes',
    'positon',
    'positonium',
    'positoniums',
    'positons',
    'positron',
    'positrons',
    'posologie',
    'posologies',
    'posons',
    'possesseur',
    'possesseurs',
    'possessif',
    'possessifs',
    'possession',
    'possessions',
    'possessive',
    'possessives',
    'possessivité',
    'possessoire',
    'possessoires',
    'possibilité',
    'possibilités',
    'possible',
    'possiblement',
    'possibles',
    'possède',
    'possèdent',
    'possèdes',
    'posséda',
    'possédai',
    'possédaient',
    'possédais',
    'possédait',
    'possédant',
    'possédante',
    'possédantes',
    'possédants',
    'possédas',
    'possédasse',
    'possédassent',
    'possédasses',
    'possédassiez',
    'posséder',
    'possédera',
    'posséderai',
    'posséderais',
    'posséderait',
    'posséderas',
    'posséderez',
    'posséderiez',
    'posséderions',
    'posséderons',
    'posséderont',
    'possédez',
    'possédiez',
    'possédions',
    'possédons',
    'possédâmes',
    'possédât',
    'possédâtes',
    'possédèrent',
    'possédé',
    'possédée',
    'possédées',
    'possédés',
    'post',
    'posta',
    'postage',
    'postages',
    'postai',
    'postaient',
    'postais',
    'postait',
    'postal',
    'postale',
    'postales',
    'postant',
    'postas',
    'postasse',
    'postassent',
    'postasses',
    'postassiez',
    'postassions',
    'postaux',
    'postcure',
    'postcures',
    'postdata',
    'postdatai',
    'postdataient',
    'postdatais',
    'postdatait',
    'postdatant',
    'postdatas',
    'postdatasse',
    'postdatasses',
    'postdate',
    'postdatent',
    'postdater',
    'postdatera',
    'postdaterai',
    'postdaterais',
    'postdaterait',
    'postdateras',
    'postdaterez',
    'postdateriez',
    'postdaterons',
    'postdateront',
    'postdates',
    'postdatez',
    'postdatiez',
    'postdations',
    'postdatons',
    'postdatâmes',
    'postdatât',
    'postdatâtes',
    'postdatèrent',
    'postdaté',
    'postdatée',
    'postdatées',
    'postdatés',
    'poste',
    'postent',
    'poster',
    'postera',
    'posterai',
    'posteraient',
    'posterais',
    'posterait',
    'posteras',
    'posterez',
    'posteriez',
    'posterions',
    'posteriori',
    'posterons',
    'posteront',
    'posters',
    'postes',
    'postez',
    'postface',
    'postfaces',
    'posthite',
    'posthites',
    'posthume',
    'posthumes',
    'posticha',
    'postichai',
    'postichaient',
    'postichais',
    'postichait',
    'postichant',
    'postichas',
    'postichasse',
    'postichasses',
    'postiche',
    'postichent',
    'posticher',
    'postichera',
    'posticherai',
    'posticherais',
    'posticherait',
    'posticheras',
    'posticherez',
    'posticheriez',
    'posticherons',
    'posticheront',
    'postiches',
    'posticheur',
    'posticheurs',
    'postichez',
    'postichiez',
    'postichions',
    'postichons',
    'postichâmes',
    'postichât',
    'postichâtes',
    'postichèrent',
    'postiché',
    'postier',
    'postiers',
    'postiez',
    'postillon',
    'postillonna',
    'postillonnai',
    'postillonnas',
    'postillonne',
    'postillonner',
    'postillonnes',
    'postillonnez',
    'postillonnât',
    'postillonné',
    'postillons',
    'postions',
    'postière',
    'postières',
    'postnatal',
    'postnatale',
    'postnatales',
    'postnatals',
    'postnataux',
    'postons',
    'postposa',
    'postposai',
    'postposaient',
    'postposais',
    'postposait',
    'postposant',
    'postposas',
    'postposasse',
    'postposasses',
    'postpose',
    'postposent',
    'postposer',
    'postposera',
    'postposerai',
    'postposerais',
    'postposerait',
    'postposeras',
    'postposerez',
    'postposeriez',
    'postposerons',
    'postposeront',
    'postposes',
    'postposez',
    'postposiez',
    'postposions',
    'postposition',
    'postposons',
    'postposâmes',
    'postposât',
    'postposâtes',
    'postposèrent',
    'postposé',
    'postposée',
    'postposées',
    'postposés',
    'postscolaire',
    'postula',
    'postulai',
    'postulaient',
    'postulais',
    'postulait',
    'postulant',
    'postulante',
    'postulantes',
    'postulants',
    'postulas',
    'postulasse',
    'postulassent',
    'postulasses',
    'postulassiez',
    'postulat',
    'postulation',
    'postulations',
    'postulats',
    'postule',
    'postulent',
    'postuler',
    'postulera',
    'postulerai',
    'postulerais',
    'postulerait',
    'postuleras',
    'postulerez',
    'postuleriez',
    'postulerions',
    'postulerons',
    'postuleront',
    'postules',
    'postulez',
    'postuliez',
    'postulions',
    'postulons',
    'postulâmes',
    'postulât',
    'postulâtes',
    'postulèrent',
    'postulé',
    'postulée',
    'postulées',
    'postulés',
    'postural',
    'posturale',
    'posturales',
    'posturaux',
    'posture',
    'postures',
    'postâmes',
    'postât',
    'postâtes',
    'postèrent',
    'posté',
    'postée',
    'postées',
    'postérieur',
    'postérieure',
    'postérieures',
    'postérieurs',
    'postériorité',
    'postérité',
    'postérités',
    'postés',
    'posâmes',
    'posât',
    'posâtes',
    'posèrent',
    'posé',
    'posée',
    'posées',
    'posément',
    'posés',
    'potable',
    'potables',
    'potache',
    'potaches',
    'potage',
    'potager',
    'potagers',
    'potages',
    'potagère',
    'potagères',
    'potamochère',
    'potamochères',
    'potamologie',
    'potamologies',
    'potamot',
    'potamots',
    'potard',
    'potards',
    'potassa',
    'potassai',
    'potassaient',
    'potassais',
    'potassait',
    'potassant',
    'potassas',
    'potassasse',
    'potassassent',
    'potassasses',
    'potassassiez',
    'potasse',
    'potassent',
    'potasser',
    'potassera',
    'potasserai',
    'potasserais',
    'potasserait',
    'potasseras',
    'potasserez',
    'potasseriez',
    'potasserions',
    'potasserons',
    'potasseront',
    'potasses',
    'potasseur',
    'potasseurs',
    'potassez',
    'potassiez',
    'potassions',
    'potassique',
    'potassiques',
    'potassium',
    'potassons',
    'potassâmes',
    'potassât',
    'potassâtes',
    'potassèrent',
    'potassé',
    'potassée',
    'potassées',
    'potassés',
    'pote',
    'poteau',
    'poteaux',
    'potelé',
    'potelée',
    'potelées',
    'potelés',
    'potence',
    'potences',
    'potencé',
    'potencée',
    'potencées',
    'potencés',
    'potentat',
    'potentats',
    'potentialisa',
    'potentialise',
    'potentialisé',
    'potentialité',
    'potentiel',
    'potentielle',
    'potentielles',
    'potentiels',
    'potentille',
    'potentilles',
    'poterie',
    'poteries',
    'poterne',
    'poternes',
    'potes',
    'potestatif',
    'potestatifs',
    'potestative',
    'potestatives',
    'potiche',
    'potiches',
    'potier',
    'potiers',
    'potin',
    'potina',
    'potinai',
    'potinaient',
    'potinais',
    'potinait',
    'potinant',
    'potinas',
    'potinasse',
    'potinassent',
    'potinasses',
    'potinassiez',
    'potinassions',
    'potine',
    'potinent',
    'potiner',
    'potinera',
    'potinerai',
    'potineraient',
    'potinerais',
    'potinerait',
    'potineras',
    'potinerez',
    'potineriez',
    'potinerions',
    'potinerons',
    'potineront',
    'potines',
    'potinez',
    'potinier',
    'potiniers',
    'potiniez',
    'potinions',
    'potinière',
    'potinières',
    'potinons',
    'potins',
    'potinâmes',
    'potinât',
    'potinâtes',
    'potinèrent',
    'potiné',
    'potion',
    'potions',
    'potiron',
    'potirons',
    'potière',
    'potières',
    'potlatch',
    'potomètre',
    'potomètres',
    'pots',
    'potée',
    'potées',
    'pouacre',
    'pouacres',
    'pouah',
    'poubelle',
    'poubelles',
    'pouce',
    'pouces',
    'poucettes',
    'poucier',
    'pouciers',
    'pouding',
    'poudings',
    'poudingue',
    'poudingues',
    'poudra',
    'poudrage',
    'poudrages',
    'poudrai',
    'poudraient',
    'poudrais',
    'poudrait',
    'poudrant',
    'poudras',
    'poudrasse',
    'poudrassent',
    'poudrasses',
    'poudrassiez',
    'poudrassions',
    'poudre',
    'poudrent',
    'poudrer',
    'poudrera',
    'poudrerai',
    'poudreraient',
    'poudrerais',
    'poudrerait',
    'poudreras',
    'poudrerez',
    'poudrerie',
    'poudreries',
    'poudreriez',
    'poudrerions',
    'poudrerons',
    'poudreront',
    'poudres',
    'poudrette',
    'poudrettes',
    'poudreuse',
    'poudreuses',
    'poudreux',
    'poudrez',
    'poudrier',
    'poudriers',
    'poudriez',
    'poudrions',
    'poudrière',
    'poudrières',
    'poudroie',
    'poudroiement',
    'poudroient',
    'poudroiera',
    'poudroierai',
    'poudroierais',
    'poudroierait',
    'poudroieras',
    'poudroierez',
    'poudroieriez',
    'poudroierons',
    'poudroieront',
    'poudroies',
    'poudrons',
    'poudroya',
    'poudroyai',
    'poudroyaient',
    'poudroyais',
    'poudroyait',
    'poudroyant',
    'poudroyas',
    'poudroyasse',
    'poudroyasses',
    'poudroyer',
    'poudroyez',
    'poudroyiez',
    'poudroyions',
    'poudroyons',
    'poudroyâmes',
    'poudroyât',
    'poudroyâtes',
    'poudroyèrent',
    'poudroyé',
    'poudrâmes',
    'poudrât',
    'poudrâtes',
    'poudrèrent',
    'poudré',
    'poudrée',
    'poudrées',
    'poudrés',
    'pouf',
    'pouffa',
    'pouffai',
    'pouffaient',
    'pouffais',
    'pouffait',
    'pouffant',
    'pouffas',
    'pouffasse',
    'pouffassent',
    'pouffasses',
    'pouffassiez',
    'pouffassions',
    'pouffe',
    'pouffent',
    'pouffer',
    'pouffera',
    'poufferai',
    'poufferaient',
    'poufferais',
    'poufferait',
    'poufferas',
    'poufferez',
    'poufferiez',
    'poufferions',
    'poufferons',
    'poufferont',
    'pouffes',
    'pouffez',
    'pouffiasse',
    'pouffiasses',
    'pouffiez',
    'pouffions',
    'pouffons',
    'pouffâmes',
    'pouffât',
    'pouffâtes',
    'pouffèrent',
    'pouffé',
    'poufs',
    'pouillard',
    'pouillards',
    'pouillerie',
    'pouilleries',
    'pouilleuse',
    'pouilleuses',
    'pouilleux',
    'pouillot',
    'pouillots',
    'pouillé',
    'pouillés',
    'poujadisme',
    'poujadismes',
    'poulailler',
    'poulaillers',
    'poulain',
    'poulaine',
    'poulaines',
    'poulains',
    'poularde',
    'poulardes',
    'poulbot',
    'poulbots',
    'poule',
    'poules',
    'poulet',
    'poulets',
    'poulette',
    'poulettes',
    'pouliche',
    'pouliches',
    'poulie',
    'poulies',
    'poulina',
    'poulinai',
    'poulinaient',
    'poulinais',
    'poulinait',
    'poulinant',
    'poulinas',
    'poulinasse',
    'poulinassent',
    'poulinasses',
    'poulinassiez',
    'pouline',
    'poulinent',
    'pouliner',
    'poulinera',
    'poulinerai',
    'poulinerais',
    'poulinerait',
    'poulineras',
    'poulinerez',
    'poulineriez',
    'poulinerions',
    'poulinerons',
    'poulineront',
    'poulines',
    'poulinez',
    'pouliniez',
    'poulinions',
    'poulinière',
    'poulinières',
    'poulinons',
    'poulinâmes',
    'poulinât',
    'poulinâtes',
    'poulinèrent',
    'pouliné',
    'pouliot',
    'pouliots',
    'poulot',
    'poulote',
    'poulotes',
    'poulots',
    'poulpe',
    'poulpes',
    'pouls',
    'poumon',
    'poumons',
    'poupe',
    'poupes',
    'poupin',
    'poupine',
    'poupines',
    'poupins',
    'poupon',
    'pouponna',
    'pouponnai',
    'pouponnaient',
    'pouponnais',
    'pouponnait',
    'pouponnant',
    'pouponnas',
    'pouponnasse',
    'pouponnasses',
    'pouponne',
    'pouponnent',
    'pouponner',
    'pouponnera',
    'pouponnerai',
    'pouponnerais',
    'pouponnerait',
    'pouponneras',
    'pouponnerez',
    'pouponneriez',
    'pouponnerons',
    'pouponneront',
    'pouponnes',
    'pouponnez',
    'pouponniez',
    'pouponnions',
    'pouponnière',
    'pouponnières',
    'pouponnons',
    'pouponnâmes',
    'pouponnât',
    'pouponnâtes',
    'pouponnèrent',
    'pouponné',
    'poupons',
    'poupée',
    'poupées',
    'pour',
    'pourboire',
    'pourboires',
    'pourceau',
    'pourceaux',
    'pourcentage',
    'pourcentages',
    'pourchassa',
    'pourchassai',
    'pourchassais',
    'pourchassait',
    'pourchassant',
    'pourchassas',
    'pourchasse',
    'pourchassent',
    'pourchasser',
    'pourchassera',
    'pourchasses',
    'pourchassez',
    'pourchassiez',
    'pourchassons',
    'pourchassât',
    'pourchassé',
    'pourchassée',
    'pourchassées',
    'pourchassés',
    'pourfend',
    'pourfendais',
    'pourfendait',
    'pourfendant',
    'pourfende',
    'pourfendent',
    'pourfendes',
    'pourfendeur',
    'pourfendeurs',
    'pourfendez',
    'pourfendiez',
    'pourfendions',
    'pourfendis',
    'pourfendisse',
    'pourfendit',
    'pourfendons',
    'pourfendra',
    'pourfendrai',
    'pourfendrais',
    'pourfendrait',
    'pourfendras',
    'pourfendre',
    'pourfendrez',
    'pourfendriez',
    'pourfendrons',
    'pourfendront',
    'pourfends',
    'pourfendu',
    'pourfendue',
    'pourfendues',
    'pourfendus',
    'pourfendîmes',
    'pourfendît',
    'pourfendîtes',
    'pourlèche',
    'pourlèchent',
    'pourlèches',
    'pourlécha',
    'pourléchai',
    'pourléchais',
    'pourléchait',
    'pourléchant',
    'pourléchas',
    'pourléchasse',
    'pourlécher',
    'pourléchera',
    'pourlécherai',
    'pourlécheras',
    'pourlécherez',
    'pourléchez',
    'pourléchiez',
    'pourléchions',
    'pourléchons',
    'pourléchâmes',
    'pourléchât',
    'pourléchâtes',
    'pourléché',
    'pourléchée',
    'pourléchées',
    'pourléchés',
    'pourparlers',
    'pourpier',
    'pourpiers',
    'pourpoint',
    'pourpoints',
    'pourpra',
    'pourprai',
    'pourpraient',
    'pourprais',
    'pourprait',
    'pourprant',
    'pourpras',
    'pourprasse',
    'pourprassent',
    'pourprasses',
    'pourprassiez',
    'pourpre',
    'pourprent',
    'pourprer',
    'pourprera',
    'pourprerai',
    'pourprerais',
    'pourprerait',
    'pourpreras',
    'pourprerez',
    'pourpreriez',
    'pourprerions',
    'pourprerons',
    'pourpreront',
    'pourpres',
    'pourprez',
    'pourpriez',
    'pourprinne',
    'pourprinnes',
    'pourprions',
    'pourprons',
    'pourprâmes',
    'pourprât',
    'pourprâtes',
    'pourprèrent',
    'pourpré',
    'pourprée',
    'pourprées',
    'pourprés',
    'pourquoi',
    'pourra',
    'pourrai',
    'pourraient',
    'pourrais',
    'pourrait',
    'pourras',
    'pourrez',
    'pourri',
    'pourridié',
    'pourridiés',
    'pourrie',
    'pourries',
    'pourriez',
    'pourrions',
    'pourrir',
    'pourrira',
    'pourrirai',
    'pourriraient',
    'pourrirais',
    'pourrirait',
    'pourriras',
    'pourrirent',
    'pourrirez',
    'pourririez',
    'pourririons',
    'pourrirons',
    'pourriront',
    'pourris',
    'pourrissage',
    'pourrissages',
    'pourrissais',
    'pourrissait',
    'pourrissant',
    'pourrissante',
    'pourrissants',
    'pourrisse',
    'pourrissent',
    'pourrisses',
    'pourrissez',
    'pourrissiez',
    'pourrissions',
    'pourrissoir',
    'pourrissoirs',
    'pourrissons',
    'pourrit',
    'pourriture',
    'pourritures',
    'pourrons',
    'pourront',
    'pourrîmes',
    'pourrît',
    'pourrîtes',
    'poursuis',
    'poursuit',
    'poursuite',
    'poursuites',
    'poursuivais',
    'poursuivait',
    'poursuivant',
    'poursuivante',
    'poursuivants',
    'poursuive',
    'poursuivent',
    'poursuives',
    'poursuiveur',
    'poursuiveurs',
    'poursuivez',
    'poursuivi',
    'poursuivie',
    'poursuivies',
    'poursuiviez',
    'poursuivions',
    'poursuivis',
    'poursuivisse',
    'poursuivit',
    'poursuivons',
    'poursuivra',
    'poursuivrai',
    'poursuivrais',
    'poursuivrait',
    'poursuivras',
    'poursuivre',
    'poursuivrez',
    'poursuivriez',
    'poursuivrons',
    'poursuivront',
    'poursuivîmes',
    'poursuivît',
    'poursuivîtes',
    'pourtant',
    'pourtour',
    'pourtours',
    'pourvoi',
    'pourvoie',
    'pourvoient',
    'pourvoies',
    'pourvoir',
    'pourvoira',
    'pourvoirai',
    'pourvoirais',
    'pourvoirait',
    'pourvoiras',
    'pourvoirez',
    'pourvoiriez',
    'pourvoirions',
    'pourvoirons',
    'pourvoiront',
    'pourvois',
    'pourvoit',
    'pourvoyaient',
    'pourvoyais',
    'pourvoyait',
    'pourvoyant',
    'pourvoyeur',
    'pourvoyeurs',
    'pourvoyez',
    'pourvoyiez',
    'pourvoyions',
    'pourvoyons',
    'pourvu',
    'pourvue',
    'pourvues',
    'pourvurent',
    'pourvus',
    'pourvusse',
    'pourvussent',
    'pourvusses',
    'pourvussiez',
    'pourvussions',
    'pourvut',
    'pourvûmes',
    'pourvût',
    'pourvûtes',
    'poussa',
    'poussage',
    'poussages',
    'poussah',
    'poussahs',
    'poussai',
    'poussaient',
    'poussais',
    'poussait',
    'poussant',
    'poussas',
    'poussasse',
    'poussassent',
    'poussasses',
    'poussassiez',
    'poussassions',
    'pousse',
    'poussent',
    'pousser',
    'poussera',
    'pousserai',
    'pousseraient',
    'pousserais',
    'pousserait',
    'pousseras',
    'pousserez',
    'pousseriez',
    'pousserions',
    'pousserons',
    'pousseront',
    'pousses',
    'poussette',
    'poussettes',
    'pousseur',
    'pousseurs',
    'poussez',
    'poussier',
    'poussiers',
    'poussiez',
    'poussif',
    'poussifs',
    'poussin',
    'poussine',
    'poussines',
    'poussinière',
    'poussinières',
    'poussins',
    'poussions',
    'poussive',
    'poussivement',
    'poussives',
    'poussière',
    'poussières',
    'poussiéreuse',
    'poussiéreux',
    'poussoir',
    'poussoirs',
    'poussons',
    'poussâmes',
    'poussât',
    'poussâtes',
    'poussèrent',
    'poussé',
    'poussée',
    'poussées',
    'poussés',
    'poutargue',
    'poutargues',
    'poutre',
    'poutrelle',
    'poutrelles',
    'poutres',
    'poutsa',
    'poutsai',
    'poutsaient',
    'poutsais',
    'poutsait',
    'poutsant',
    'poutsas',
    'poutsasse',
    'poutsassent',
    'poutsasses',
    'poutsassiez',
    'poutsassions',
    'poutse',
    'poutsent',
    'poutser',
    'poutsera',
    'poutserai',
    'poutseraient',
    'poutserais',
    'poutserait',
    'poutseras',
    'poutserez',
    'poutseriez',
    'poutserions',
    'poutserons',
    'poutseront',
    'poutses',
    'poutsez',
    'poutsiez',
    'poutsions',
    'poutsons',
    'poutsâmes',
    'poutsât',
    'poutsâtes',
    'poutsèrent',
    'poutsé',
    'poutsée',
    'poutsées',
    'poutsés',
    'pouture',
    'poutures',
    'pouvaient',
    'pouvais',
    'pouvait',
    'pouvant',
    'pouvez',
    'pouviez',
    'pouvions',
    'pouvoir',
    'pouvoirs',
    'pouvons',
    'poux',
    'pouzzolane',
    'pouzzolanes',
    'poème',
    'poèmes',
    'poète',
    'poètes',
    'poésie',
    'poésies',
    'poétereau',
    'poétereaux',
    'poétesse',
    'poétesses',
    'poétique',
    'poétiquement',
    'poétiques',
    'poétisa',
    'poétisai',
    'poétisaient',
    'poétisais',
    'poétisait',
    'poétisant',
    'poétisas',
    'poétisasse',
    'poétisassent',
    'poétisasses',
    'poétisassiez',
    'poétise',
    'poétisent',
    'poétiser',
    'poétisera',
    'poétiserai',
    'poétiserais',
    'poétiserait',
    'poétiseras',
    'poétiserez',
    'poétiseriez',
    'poétiserions',
    'poétiserons',
    'poétiseront',
    'poétises',
    'poétisez',
    'poétisiez',
    'poétisions',
    'poétisons',
    'poétisâmes',
    'poétisât',
    'poétisâtes',
    'poétisèrent',
    'poétisé',
    'poétisée',
    'poétisées',
    'poétisés',
    'poêla',
    'poêlai',
    'poêlaient',
    'poêlais',
    'poêlait',
    'poêlant',
    'poêlas',
    'poêlasse',
    'poêlassent',
    'poêlasses',
    'poêlassiez',
    'poêlassions',
    'poêle',
    'poêlent',
    'poêler',
    'poêlera',
    'poêlerai',
    'poêleraient',
    'poêlerais',
    'poêlerait',
    'poêleras',
    'poêlerez',
    'poêleriez',
    'poêlerions',
    'poêlerons',
    'poêleront',
    'poêles',
    'poêlez',
    'poêliez',
    'poêlions',
    'poêlon',
    'poêlons',
    'poêlâmes',
    'poêlât',
    'poêlâtes',
    'poêlèrent',
    'poêlé',
    'poêlée',
    'poêlées',
    'poêlés',
    'poële',
    'poëles',
    'praesidium',
    'praesidiums',
    'pragmatique',
    'pragmatiques',
    'pragmatisme',
    'pragmatismes',
    'pragmatiste',
    'pragmatistes',
    'praire',
    'praires',
    'prairial',
    'prairials',
    'prairie',
    'prairies',
    'pralin',
    'pralina',
    'pralinage',
    'pralinages',
    'pralinai',
    'pralinaient',
    'pralinais',
    'pralinait',
    'pralinant',
    'pralinas',
    'pralinasse',
    'pralinassent',
    'pralinasses',
    'pralinassiez',
    'praline',
    'pralinent',
    'praliner',
    'pralinera',
    'pralinerai',
    'pralinerais',
    'pralinerait',
    'pralineras',
    'pralinerez',
    'pralineriez',
    'pralinerions',
    'pralinerons',
    'pralineront',
    'pralines',
    'pralinez',
    'praliniez',
    'pralinions',
    'pralinons',
    'pralins',
    'pralinâmes',
    'pralinât',
    'pralinâtes',
    'pralinèrent',
    'praliné',
    'pralinée',
    'pralinées',
    'pralinés',
    'prame',
    'prames',
    'praséodyme',
    'praséodymes',
    'praticable',
    'praticables',
    'praticien',
    'praticienne',
    'praticiennes',
    'praticiens',
    'pratiqua',
    'pratiquai',
    'pratiquaient',
    'pratiquais',
    'pratiquait',
    'pratiquant',
    'pratiquante',
    'pratiquantes',
    'pratiquants',
    'pratiquas',
    'pratiquasse',
    'pratiquasses',
    'pratique',
    'pratiquement',
    'pratiquent',
    'pratiquer',
    'pratiquera',
    'pratiquerai',
    'pratiquerais',
    'pratiquerait',
    'pratiqueras',
    'pratiquerez',
    'pratiqueriez',
    'pratiquerons',
    'pratiqueront',
    'pratiques',
    'pratiquez',
    'pratiquiez',
    'pratiquions',
    'pratiquons',
    'pratiquâmes',
    'pratiquât',
    'pratiquâtes',
    'pratiquèrent',
    'pratiqué',
    'pratiquée',
    'pratiquées',
    'pratiqués',
    'praxis',
    'premier',
    'premiers',
    'première',
    'premièrement',
    'premières',
    'prenable',
    'prenables',
    'prenaient',
    'prenais',
    'prenait',
    'prenant',
    'prenante',
    'prenantes',
    'prenants',
    'prend',
    'prendra',
    'prendrai',
    'prendraient',
    'prendrais',
    'prendrait',
    'prendras',
    'prendre',
    'prendrez',
    'prendriez',
    'prendrions',
    'prendrons',
    'prendront',
    'prends',
    'preneur',
    'preneurs',
    'prenez',
    'preniez',
    'prenions',
    'prenne',
    'prennent',
    'prennes',
    'prenons',
    'prepa',
    'presbyte',
    'presbytes',
    'presbytie',
    'presbyties',
    'presbytère',
    'presbytères',
    'presbytéral',
    'presbytérale',
    'presbytéraux',
    'presbytérien',
    'prescience',
    'presciences',
    'prescient',
    'presciente',
    'prescientes',
    'prescients',
    'prescripteur',
    'prescription',
    'prescrira',
    'prescrirai',
    'prescrirais',
    'prescrirait',
    'prescriras',
    'prescrire',
    'prescrirez',
    'prescririez',
    'prescririons',
    'prescrirons',
    'prescriront',
    'prescris',
    'prescrit',
    'prescrite',
    'prescrites',
    'prescrits',
    'prescrivais',
    'prescrivait',
    'prescrivant',
    'prescrive',
    'prescrivent',
    'prescrives',
    'prescrivez',
    'prescriviez',
    'prescrivions',
    'prescrivis',
    'prescrivisse',
    'prescrivit',
    'prescrivons',
    'prescrivîmes',
    'prescrivît',
    'prescrivîtes',
    'presqu',
    'presque',
    'presqúîle',
    'presqúîles',
    'pressa',
    'pressage',
    'pressages',
    'pressai',
    'pressaient',
    'pressais',
    'pressait',
    'pressant',
    'pressante',
    'pressantes',
    'pressants',
    'pressas',
    'pressasse',
    'pressassent',
    'pressasses',
    'pressassiez',
    'pressassions',
    'presse',
    'pressens',
    'pressent',
    'pressentais',
    'pressentait',
    'pressentant',
    'pressente',
    'pressentent',
    'pressentes',
    'pressentez',
    'pressenti',
    'pressentie',
    'pressenties',
    'pressentiez',
    'pressentions',
    'pressentir',
    'pressentira',
    'pressentirai',
    'pressentiras',
    'pressentirez',
    'pressentis',
    'pressentisse',
    'pressentit',
    'pressentons',
    'pressentîmes',
    'pressentît',
    'pressentîtes',
    'presser',
    'pressera',
    'presserai',
    'presseraient',
    'presserais',
    'presserait',
    'presseras',
    'presserez',
    'presseriez',
    'presserions',
    'presserons',
    'presseront',
    'presses',
    'presseur',
    'presseurs',
    'presseuse',
    'presseuses',
    'pressez',
    'pressier',
    'pressiers',
    'pressiez',
    'pressing',
    'pressings',
    'pression',
    'pressions',
    'pressoir',
    'pressoirs',
    'pressons',
    'pressura',
    'pressurage',
    'pressurages',
    'pressurai',
    'pressuraient',
    'pressurais',
    'pressurait',
    'pressurant',
    'pressuras',
    'pressurasse',
    'pressurasses',
    'pressure',
    'pressurent',
    'pressurer',
    'pressurera',
    'pressurerai',
    'pressurerais',
    'pressurerait',
    'pressureras',
    'pressurerez',
    'pressureriez',
    'pressurerons',
    'pressureront',
    'pressures',
    'pressureur',
    'pressureurs',
    'pressureuse',
    'pressureuses',
    'pressurez',
    'pressuriez',
    'pressurions',
    'pressurisa',
    'pressurisai',
    'pressurisais',
    'pressurisait',
    'pressurisant',
    'pressurisas',
    'pressurise',
    'pressurisent',
    'pressuriser',
    'pressurisera',
    'pressurises',
    'pressurisez',
    'pressurisiez',
    'pressurisons',
    'pressurisât',
    'pressurisé',
    'pressurisée',
    'pressurisées',
    'pressurisés',
    'pressurons',
    'pressurâmes',
    'pressurât',
    'pressurâtes',
    'pressurèrent',
    'pressuré',
    'pressurée',
    'pressurées',
    'pressurés',
    'pressâmes',
    'pressât',
    'pressâtes',
    'pressèrent',
    'pressé',
    'pressée',
    'pressées',
    'pressés',
    'prestance',
    'prestances',
    'prestant',
    'prestants',
    'prestataire',
    'prestataires',
    'prestation',
    'prestations',
    'preste',
    'prestement',
    'prestes',
    'prestesse',
    'prestesses',
    'prestige',
    'prestiges',
    'prestigieuse',
    'prestigieux',
    'prestissimo',
    'presto',
    'preuve',
    'preuves',
    'preux',
    'pria',
    'priai',
    'priaient',
    'priais',
    'priait',
    'priant',
    'priante',
    'priantes',
    'priants',
    'priapisme',
    'priapismes',
    'priapée',
    'priapées',
    'prias',
    'priasse',
    'priassent',
    'priasses',
    'priassiez',
    'priassions',
    'prie',
    'prient',
    'prier',
    'priera',
    'prierai',
    'prieraient',
    'prierais',
    'prierait',
    'prieras',
    'prierez',
    'prieriez',
    'prierions',
    'prierons',
    'prieront',
    'pries',
    'prieur',
    'prieure',
    'prieures',
    'prieurs',
    'prieuré',
    'prieurés',
    'priez',
    'priiez',
    'priions',
    'prima',
    'primage',
    'primages',
    'primai',
    'primaient',
    'primaire',
    'primaires',
    'primais',
    'primait',
    'primant',
    'primarisa',
    'primarisai',
    'primarisais',
    'primarisait',
    'primarisant',
    'primarisas',
    'primarisasse',
    'primarise',
    'primarisent',
    'primariser',
    'primarisera',
    'primariserai',
    'primariseras',
    'primariserez',
    'primarises',
    'primarisez',
    'primarisiez',
    'primarisions',
    'primarisons',
    'primarisâmes',
    'primarisât',
    'primarisâtes',
    'primarisé',
    'primarisée',
    'primarisées',
    'primarisés',
    'primarité',
    'primarités',
    'primas',
    'primasse',
    'primassent',
    'primasses',
    'primassiez',
    'primassions',
    'primat',
    'primate',
    'primates',
    'primatial',
    'primatiale',
    'primatiales',
    'primatiaux',
    'primatie',
    'primaties',
    'primats',
    'primauté',
    'primautés',
    'prime',
    'priment',
    'primer',
    'primera',
    'primerai',
    'primeraient',
    'primerais',
    'primerait',
    'primeras',
    'primerez',
    'primeriez',
    'primerions',
    'primerons',
    'primeront',
    'primerose',
    'primeroses',
    'primes',
    'primesautier',
    'primeur',
    'primeuriste',
    'primeuristes',
    'primeurs',
    'primevère',
    'primevères',
    'primez',
    'primidi',
    'primidis',
    'primiez',
    'primions',
    'primipare',
    'primipares',
    'primipilaire',
    'primipile',
    'primipiles',
    'primitif',
    'primitifs',
    'primitive',
    'primitives',
    'primitivisme',
    'primo',
    'primons',
    'primordial',
    'primordiale',
    'primordiales',
    'primordiaux',
    'primâmes',
    'primât',
    'primâtes',
    'primèrent',
    'primé',
    'primée',
    'primées',
    'primés',
    'prince',
    'princeps',
    'princes',
    'princesse',
    'princesses',
    'princier',
    'princiers',
    'principal',
    'principalat',
    'principalats',
    'principale',
    'principales',
    'principat',
    'principats',
    'principauté',
    'principautés',
    'principaux',
    'principe',
    'principes',
    'princière',
    'princières',
    'printanier',
    'printaniers',
    'printanière',
    'printanières',
    'printemps',
    'priodonte',
    'priodontes',
    'prions',
    'priorat',
    'priorats',
    'priori',
    'prioritaire',
    'prioritaires',
    'priorité',
    'priorités',
    'prirent',
    'pris',
    'prisa',
    'prisai',
    'prisaient',
    'prisais',
    'prisait',
    'prisant',
    'prisas',
    'prisasse',
    'prisassent',
    'prisasses',
    'prisassiez',
    'prisassions',
    'prise',
    'prisent',
    'priser',
    'prisera',
    'priserai',
    'priseraient',
    'priserais',
    'priserait',
    'priseras',
    'priserez',
    'priseriez',
    'priserions',
    'priserons',
    'priseront',
    'prises',
    'priseur',
    'priseurs',
    'priseuse',
    'priseuses',
    'prisez',
    'prisiez',
    'prisions',
    'prismatique',
    'prismatiques',
    'prisme',
    'prismes',
    'prison',
    'prisonnier',
    'prisonniers',
    'prisonnière',
    'prisonnières',
    'prisons',
    'prisse',
    'prissent',
    'prisses',
    'prissiez',
    'prissions',
    'prisâmes',
    'prisât',
    'prisâtes',
    'prisèrent',
    'prisé',
    'prisée',
    'prisées',
    'prisés',
    'prit',
    'priva',
    'privai',
    'privaient',
    'privais',
    'privait',
    'privant',
    'privas',
    'privasse',
    'privassent',
    'privasses',
    'privassiez',
    'privassions',
    'privatdocent',
    'privatdozent',
    'privatif',
    'privatifs',
    'privation',
    'privations',
    'privatique',
    'privatiques',
    'privatisa',
    'privatisai',
    'privatisais',
    'privatisait',
    'privatisant',
    'privatisas',
    'privatisasse',
    'privatise',
    'privatisent',
    'privatiser',
    'privatisera',
    'privatiserai',
    'privatiseras',
    'privatiserez',
    'privatises',
    'privatisez',
    'privatisiez',
    'privatisions',
    'privatisons',
    'privatisâmes',
    'privatisât',
    'privatisâtes',
    'privatisé',
    'privatisée',
    'privatisées',
    'privatisés',
    'privative',
    'privatives',
    'privauté',
    'privautés',
    'prive',
    'privent',
    'priver',
    'privera',
    'priverai',
    'priveraient',
    'priverais',
    'priverait',
    'priveras',
    'priverez',
    'priveriez',
    'priverions',
    'priverons',
    'priveront',
    'prives',
    'privez',
    'priviez',
    'privilège',
    'privilèges',
    'privilégia',
    'privilégiai',
    'privilégiais',
    'privilégiait',
    'privilégiant',
    'privilégias',
    'privilégie',
    'privilégient',
    'privilégier',
    'privilégiera',
    'privilégies',
    'privilégiez',
    'privilégiiez',
    'privilégions',
    'privilégiât',
    'privilégié',
    'privilégiée',
    'privilégiées',
    'privilégiés',
    'privions',
    'privons',
    'privâmes',
    'privât',
    'privâtes',
    'privèrent',
    'privé',
    'privée',
    'privées',
    'privés',
    'prix',
    'priâmes',
    'priât',
    'priâtes',
    'prière',
    'prièrent',
    'prières',
    'prié',
    'priée',
    'priées',
    'priés',
    'probabilisme',
    'probabiliste',
    'probabilité',
    'probabilités',
    'probable',
    'probablement',
    'probables',
    'probant',
    'probante',
    'probantes',
    'probants',
    'probation',
    'probations',
    'probatique',
    'probatiques',
    'probatoire',
    'probatoires',
    'probe',
    'probes',
    'probité',
    'probités',
    'problème',
    'problèmes',
    'procesionné',
    'processeur',
    'processeurs',
    'processif',
    'processifs',
    'procession',
    'processionna',
    'processionne',
    'processions',
    'processive',
    'processives',
    'processus',
    'prochain',
    'prochaine',
    'prochaines',
    'prochains',
    'proche',
    'proches',
    'prochinois',
    'prochinoise',
    'prochinoises',
    'proclama',
    'proclamai',
    'proclamaient',
    'proclamais',
    'proclamait',
    'proclamant',
    'proclamas',
    'proclamasse',
    'proclamasses',
    'proclamation',
    'proclame',
    'proclament',
    'proclamer',
    'proclamera',
    'proclamerai',
    'proclamerais',
    'proclamerait',
    'proclameras',
    'proclamerez',
    'proclameriez',
    'proclamerons',
    'proclameront',
    'proclames',
    'proclamez',
    'proclamiez',
    'proclamions',
    'proclamons',
    'proclamâmes',
    'proclamât',
    'proclamâtes',
    'proclamèrent',
    'proclamé',
    'proclamée',
    'proclamées',
    'proclamés',
    'proclitique',
    'proclitiques',
    'proconsul',
    'proconsulat',
    'proconsulats',
    'proconsuls',
    'procréa',
    'procréai',
    'procréaient',
    'procréais',
    'procréait',
    'procréant',
    'procréas',
    'procréasse',
    'procréassent',
    'procréasses',
    'procréassiez',
    'procréateur',
    'procréateurs',
    'procréation',
    'procréations',
    'procréatrice',
    'procrée',
    'procréent',
    'procréer',
    'procréera',
    'procréerai',
    'procréerais',
    'procréerait',
    'procréeras',
    'procréerez',
    'procréeriez',
    'procréerions',
    'procréerons',
    'procréeront',
    'procrées',
    'procréez',
    'procréiez',
    'procréions',
    'procréons',
    'procréâmes',
    'procréât',
    'procréâtes',
    'procréèrent',
    'procréé',
    'procréée',
    'procréées',
    'procréés',
    'proctalgie',
    'proctalgies',
    'proctite',
    'proctites',
    'proctologie',
    'proctologies',
    'proctologue',
    'proctologues',
    'proctorrhée',
    'proctorrhées',
    'procura',
    'procurai',
    'procuraient',
    'procurais',
    'procurait',
    'procurant',
    'procuras',
    'procurasse',
    'procurassent',
    'procurasses',
    'procurassiez',
    'procurateur',
    'procurateurs',
    'procuratie',
    'procuraties',
    'procuration',
    'procurations',
    'procure',
    'procurent',
    'procurer',
    'procurera',
    'procurerai',
    'procurerais',
    'procurerait',
    'procureras',
    'procurerasse',
    'procurerez',
    'procureriez',
    'procurerions',
    'procurerons',
    'procureront',
    'procurerâmes',
    'procurerât',
    'procurerâtes',
    'procures',
    'procureur',
    'procureurs',
    'procurez',
    'procuriez',
    'procurions',
    'procurons',
    'procurâmes',
    'procurât',
    'procurâtes',
    'procurèrent',
    'procuré',
    'procurée',
    'procurées',
    'procurés',
    'procède',
    'procèdent',
    'procèdes',
    'procès',
    'procéda',
    'procédai',
    'procédaient',
    'procédais',
    'procédait',
    'procédant',
    'procédas',
    'procédasse',
    'procédassent',
    'procédasses',
    'procédassiez',
    'procéder',
    'procédera',
    'procéderai',
    'procéderais',
    'procéderait',
    'procéderas',
    'procéderez',
    'procéderiez',
    'procéderions',
    'procéderons',
    'procéderont',
    'procédez',
    'procédiez',
    'procédions',
    'procédons',
    'procédure',
    'procédures',
    'procédurier',
    'procéduriers',
    'procédurière',
    'procédâmes',
    'procédât',
    'procédâtes',
    'procédèrent',
    'procédé',
    'procédés',
    'prodigalité',
    'prodigalités',
    'prodige',
    'prodiges',
    'prodigieuse',
    'prodigieuses',
    'prodigieux',
    'prodigua',
    'prodiguai',
    'prodiguaient',
    'prodiguais',
    'prodiguait',
    'prodiguant',
    'prodiguas',
    'prodiguasse',
    'prodiguasses',
    'prodigue',
    'prodiguent',
    'prodiguer',
    'prodiguera',
    'prodiguerai',
    'prodiguerais',
    'prodiguerait',
    'prodigueras',
    'prodiguerez',
    'prodigueriez',
    'prodiguerons',
    'prodigueront',
    'prodigues',
    'prodiguez',
    'prodiguiez',
    'prodiguions',
    'prodiguons',
    'prodiguâmes',
    'prodiguât',
    'prodiguâtes',
    'prodiguèrent',
    'prodigué',
    'prodiguée',
    'prodiguées',
    'prodigués',
    'prodrome',
    'prodromes',
    'prodromique',
    'prodromiques',
    'producteur',
    'producteurs',
    'productible',
    'productibles',
    'productif',
    'productifs',
    'production',
    'productions',
    'productive',
    'productives',
    'productivité',
    'productrice',
    'productrices',
    'produira',
    'produirai',
    'produiraient',
    'produirais',
    'produirait',
    'produiras',
    'produire',
    'produirez',
    'produiriez',
    'produirions',
    'produirons',
    'produiront',
    'produis',
    'produisaient',
    'produisais',
    'produisait',
    'produisant',
    'produise',
    'produisent',
    'produises',
    'produisez',
    'produisiez',
    'produisions',
    'produisirent',
    'produisis',
    'produisisse',
    'produisisses',
    'produisit',
    'produisons',
    'produisîmes',
    'produisît',
    'produisîtes',
    'produit',
    'produite',
    'produites',
    'produits',
    'prof',
    'profana',
    'profanai',
    'profanaient',
    'profanais',
    'profanait',
    'profanant',
    'profanas',
    'profanasse',
    'profanassent',
    'profanasses',
    'profanassiez',
    'profanateur',
    'profanateurs',
    'profanation',
    'profanations',
    'profanatrice',
    'profane',
    'profanent',
    'profaner',
    'profanera',
    'profanerai',
    'profanerais',
    'profanerait',
    'profaneras',
    'profanerez',
    'profaneriez',
    'profanerions',
    'profanerons',
    'profaneront',
    'profanes',
    'profanez',
    'profaniez',
    'profanions',
    'profanons',
    'profanâmes',
    'profanât',
    'profanâtes',
    'profanèrent',
    'profané',
    'profanée',
    'profanées',
    'profanés',
    'professa',
    'professai',
    'professaient',
    'professais',
    'professait',
    'professant',
    'professas',
    'professasse',
    'professasses',
    'professe',
    'professent',
    'professer',
    'professera',
    'professerai',
    'professerais',
    'professerait',
    'professeras',
    'professerez',
    'professeriez',
    'professerons',
    'professeront',
    'professes',
    'professeur',
    'professeurs',
    'professez',
    'professiez',
    'profession',
    'professions',
    'professons',
    'professoral',
    'professorale',
    'professorat',
    'professorats',
    'professoraux',
    'professâmes',
    'professât',
    'professâtes',
    'professèrent',
    'professé',
    'professée',
    'professées',
    'professés',
    'profil',
    'profila',
    'profilage',
    'profilages',
    'profilai',
    'profilaient',
    'profilais',
    'profilait',
    'profilant',
    'profilas',
    'profilasse',
    'profilassent',
    'profilasses',
    'profilassiez',
    'profile',
    'profilent',
    'profiler',
    'profilera',
    'profilerai',
    'profilerais',
    'profilerait',
    'profileras',
    'profilerez',
    'profileriez',
    'profilerions',
    'profilerons',
    'profileront',
    'profiles',
    'profilez',
    'profiliez',
    'profilions',
    'profilons',
    'profils',
    'profilâmes',
    'profilât',
    'profilâtes',
    'profilèrent',
    'profilé',
    'profilée',
    'profilées',
    'profilés',
    'profit',
    'profita',
    'profitable',
    'profitables',
    'profitai',
    'profitaient',
    'profitais',
    'profitait',
    'profitant',
    'profitas',
    'profitasse',
    'profitassent',
    'profitasses',
    'profitassiez',
    'profite',
    'profitent',
    'profiter',
    'profitera',
    'profiterai',
    'profiterais',
    'profiterait',
    'profiteras',
    'profiterez',
    'profiteriez',
    'profiterions',
    'profiterole',
    'profiteroles',
    'profiterons',
    'profiteront',
    'profites',
    'profiteur',
    'profiteurs',
    'profiteuse',
    'profiteuses',
    'profitez',
    'profitiez',
    'profitions',
    'profitons',
    'profits',
    'profitâmes',
    'profitât',
    'profitâtes',
    'profitèrent',
    'profité',
    'profond',
    'profonde',
    'profondes',
    'profondeur',
    'profondeurs',
    'profonds',
    'profondément',
    'profs',
    'profus',
    'profuse',
    'profuses',
    'profusion',
    'profusions',
    'profusément',
    'profère',
    'profèrent',
    'profères',
    'profès',
    'proféra',
    'proférai',
    'proféraient',
    'proférais',
    'proférait',
    'proférant',
    'proféras',
    'proférasse',
    'proférassent',
    'proférasses',
    'proférassiez',
    'proférer',
    'proférera',
    'proférerai',
    'proférerais',
    'proférerait',
    'proféreras',
    'proférerez',
    'proféreriez',
    'proférerions',
    'proférerons',
    'proféreront',
    'proférez',
    'profériez',
    'proférions',
    'proférons',
    'proférâmes',
    'proférât',
    'proférâtes',
    'proférèrent',
    'proféré',
    'proférée',
    'proférées',
    'proférés',
    'progestatif',
    'progestatifs',
    'progestative',
    'progestérone',
    'progiciel',
    'progiciels',
    'proglottis',
    'prognathe',
    'prognathes',
    'prognathisme',
    'programma',
    'programmable',
    'programmai',
    'programmais',
    'programmait',
    'programmant',
    'programmas',
    'programmasse',
    'programme',
    'programment',
    'programmer',
    'programmera',
    'programmerai',
    'programmeras',
    'programmerez',
    'programmes',
    'programmeur',
    'programmeurs',
    'programmeuse',
    'programmez',
    'programmiez',
    'programmions',
    'programmons',
    'programmâmes',
    'programmât',
    'programmâtes',
    'programmé',
    'programmée',
    'programmées',
    'programmés',
    'progressa',
    'progressai',
    'progressais',
    'progressait',
    'progressant',
    'progressas',
    'progressasse',
    'progresse',
    'progressent',
    'progresser',
    'progressera',
    'progresserai',
    'progresseras',
    'progresserez',
    'progresses',
    'progressez',
    'progressiez',
    'progressif',
    'progressifs',
    'progression',
    'progressions',
    'progressisme',
    'progressiste',
    'progressive',
    'progressives',
    'progressons',
    'progressâmes',
    'progressât',
    'progressâtes',
    'progressé',
    'progrès',
    'progéniture',
    'progénitures',
    'prohiba',
    'prohibai',
    'prohibaient',
    'prohibais',
    'prohibait',
    'prohibant',
    'prohibas',
    'prohibasse',
    'prohibassent',
    'prohibasses',
    'prohibassiez',
    'prohibe',
    'prohibent',
    'prohiber',
    'prohibera',
    'prohiberai',
    'prohiberais',
    'prohiberait',
    'prohiberas',
    'prohiberez',
    'prohiberiez',
    'prohiberions',
    'prohiberons',
    'prohiberont',
    'prohibes',
    'prohibez',
    'prohibiez',
    'prohibions',
    'prohibitif',
    'prohibitifs',
    'prohibition',
    'prohibitions',
    'prohibitive',
    'prohibitives',
    'prohibons',
    'prohibâmes',
    'prohibât',
    'prohibâtes',
    'prohibèrent',
    'prohibé',
    'prohibée',
    'prohibées',
    'prohibés',
    'proie',
    'proies',
    'projecteur',
    'projecteurs',
    'projectile',
    'projectiles',
    'projection',
    'projections',
    'projecture',
    'projectures',
    'projet',
    'projeta',
    'projetai',
    'projetaient',
    'projetais',
    'projetait',
    'projetant',
    'projetas',
    'projetasse',
    'projetassent',
    'projetasses',
    'projetassiez',
    'projeter',
    'projeteur',
    'projeteurs',
    'projetez',
    'projetiez',
    'projetions',
    'projetons',
    'projets',
    'projette',
    'projettent',
    'projettera',
    'projetterai',
    'projetterais',
    'projetterait',
    'projetteras',
    'projetterez',
    'projetteriez',
    'projetterons',
    'projetteront',
    'projettes',
    'projetâmes',
    'projetât',
    'projetâtes',
    'projetèrent',
    'projeté',
    'projetée',
    'projetées',
    'projetés',
    'prolactine',
    'prolactines',
    'prolamine',
    'prolamines',
    'prolan',
    'prolans',
    'prolapsus',
    'prolepse',
    'prolepses',
    'prolificité',
    'prolificités',
    'prolifique',
    'prolifiques',
    'prolifère',
    'prolifèrent',
    'prolifères',
    'proliféra',
    'proliférai',
    'proliférais',
    'proliférait',
    'proliférant',
    'proliféras',
    'proliférasse',
    'proliférer',
    'proliférera',
    'proliférerai',
    'proliféreras',
    'proliférerez',
    'proliférez',
    'prolifériez',
    'proliférions',
    'proliférons',
    'proliférâmes',
    'proliférât',
    'proliférâtes',
    'proliféré',
    'proline',
    'prolines',
    'prolixe',
    'prolixes',
    'prolixité',
    'prolixités',
    'prolo',
    'prologue',
    'prologues',
    'prolongateur',
    'prolongation',
    'prolonge',
    'prolongea',
    'prolongeai',
    'prolongeais',
    'prolongeait',
    'prolongeant',
    'prolongeas',
    'prolongeasse',
    'prolongement',
    'prolongent',
    'prolongeons',
    'prolonger',
    'prolongera',
    'prolongerai',
    'prolongerais',
    'prolongerait',
    'prolongeras',
    'prolongerez',
    'prolongeriez',
    'prolongerons',
    'prolongeront',
    'prolonges',
    'prolongez',
    'prolongeâmes',
    'prolongeât',
    'prolongeâtes',
    'prolongiez',
    'prolongions',
    'prolongèrent',
    'prolongé',
    'prolongée',
    'prolongées',
    'prolongés',
    'prolos',
    'prolégomènes',
    'prolétaire',
    'prolétaires',
    'prolétariat',
    'prolétariats',
    'prolétarien',
    'prolétariens',
    'prolétarisa',
    'prolétarisai',
    'prolétarisas',
    'prolétarise',
    'prolétariser',
    'prolétarises',
    'prolétarisez',
    'prolétarisât',
    'prolétarisé',
    'prolétarisée',
    'prolétarisés',
    'promena',
    'promenade',
    'promenades',
    'promenai',
    'promenaient',
    'promenais',
    'promenait',
    'promenant',
    'promenas',
    'promenasse',
    'promenassent',
    'promenasses',
    'promenassiez',
    'promener',
    'promeneur',
    'promeneurs',
    'promeneuse',
    'promeneuses',
    'promenez',
    'promeniez',
    'promenions',
    'promenoir',
    'promenoirs',
    'promenons',
    'promenâmes',
    'promenât',
    'promenâtes',
    'promenèrent',
    'promené',
    'promenée',
    'promenées',
    'promenés',
    'promesse',
    'promesses',
    'promet',
    'promets',
    'promettaient',
    'promettais',
    'promettait',
    'promettant',
    'promette',
    'promettent',
    'promettes',
    'prometteur',
    'prometteurs',
    'prometteuse',
    'prometteuses',
    'promettez',
    'promettiez',
    'promettions',
    'promettons',
    'promettra',
    'promettrai',
    'promettrais',
    'promettrait',
    'promettras',
    'promettre',
    'promettrez',
    'promettriez',
    'promettrions',
    'promettrons',
    'promettront',
    'promeus',
    'promeut',
    'promeuve',
    'promeuvent',
    'promeuves',
    'promirent',
    'promis',
    'promiscuité',
    'promiscuités',
    'promise',
    'promises',
    'promisse',
    'promissent',
    'promisses',
    'promissiez',
    'promissions',
    'promit',
    'promo',
    'promontoire',
    'promontoires',
    'promos',
    'promoteur',
    'promoteurs',
    'promotion',
    'promotionnel',
    'promotions',
    'promotrice',
    'promotrices',
    'promouvaient',
    'promouvais',
    'promouvait',
    'promouvant',
    'promouvez',
    'promouviez',
    'promouvions',
    'promouvoir',
    'promouvons',
    'promouvra',
    'promouvrai',
    'promouvrais',
    'promouvrait',
    'promouvras',
    'promouvrez',
    'promouvriez',
    'promouvrions',
    'promouvrons',
    'promouvront',
    'prompt',
    'prompte',
    'promptement',
    'promptes',
    'prompteur',
    'prompteurs',
    'promptitude',
    'promptitudes',
    'prompts',
    'promu',
    'promue',
    'promues',
    'promulgation',
    'promulgua',
    'promulguai',
    'promulguais',
    'promulguait',
    'promulguant',
    'promulguas',
    'promulguasse',
    'promulgue',
    'promulguent',
    'promulguer',
    'promulguera',
    'promulguerai',
    'promulgueras',
    'promulguerez',
    'promulgues',
    'promulguez',
    'promulguiez',
    'promulguions',
    'promulguons',
    'promulguâmes',
    'promulguât',
    'promulguâtes',
    'promulgué',
    'promulguée',
    'promulguées',
    'promulgués',
    'promurent',
    'promus',
    'promusse',
    'promussent',
    'promusses',
    'promussiez',
    'promussions',
    'promut',
    'promène',
    'promènent',
    'promènera',
    'promènerai',
    'promènerais',
    'promènerait',
    'promèneras',
    'promènerez',
    'promèneriez',
    'promènerions',
    'promènerons',
    'promèneront',
    'promènes',
    'prométhéen',
    'prométhéenne',
    'prométhéens',
    'prométhéum',
    'prométhéums',
    'promîmes',
    'promît',
    'promîtes',
    'promûmes',
    'promût',
    'promûtes',
    'pronaos',
    'pronateur',
    'pronateurs',
    'pronation',
    'pronations',
    'pronatrice',
    'pronatrices',
    'pronom',
    'pronominal',
    'pronominale',
    'pronominales',
    'pronominaux',
    'pronoms',
    'prononce',
    'prononcent',
    'prononcer',
    'prononcera',
    'prononcerai',
    'prononcerais',
    'prononcerait',
    'prononceras',
    'prononcerez',
    'prononceriez',
    'prononcerons',
    'prononceront',
    'prononces',
    'prononcez',
    'prononciez',
    'prononcions',
    'prononcèrent',
    'prononcé',
    'prononcée',
    'prononcées',
    'prononcés',
    'prononça',
    'prononçable',
    'prononçables',
    'prononçai',
    'prononçaient',
    'prononçais',
    'prononçait',
    'prononçant',
    'prononças',
    'prononçasse',
    'prononçasses',
    'prononçons',
    'prononçâmes',
    'prononçât',
    'prononçâtes',
    'pronostic',
    'pronostics',
    'pronostiqua',
    'pronostiquai',
    'pronostiquas',
    'pronostique',
    'pronostiquer',
    'pronostiques',
    'pronostiquez',
    'pronostiquât',
    'pronostiqué',
    'pronostiquée',
    'pronostiqués',
    'propagande',
    'propagandes',
    'propagateur',
    'propagateurs',
    'propagation',
    'propagations',
    'propagatrice',
    'propage',
    'propagea',
    'propageai',
    'propageaient',
    'propageais',
    'propageait',
    'propageant',
    'propageas',
    'propageasse',
    'propageasses',
    'propagent',
    'propageons',
    'propager',
    'propagera',
    'propagerai',
    'propagerais',
    'propagerait',
    'propageras',
    'propagerez',
    'propageriez',
    'propagerions',
    'propagerons',
    'propageront',
    'propages',
    'propagez',
    'propageâmes',
    'propageât',
    'propageâtes',
    'propagiez',
    'propagions',
    'propagule',
    'propagules',
    'propagèrent',
    'propagé',
    'propagée',
    'propagées',
    'propagés',
    'propane',
    'propanes',
    'propanier',
    'propaniers',
    'proparoxyton',
    'propension',
    'propensions',
    'propergol',
    'propergols',
    'prophase',
    'prophases',
    'prophylaxie',
    'prophylaxies',
    'prophète',
    'prophètes',
    'prophétesse',
    'prophétesses',
    'prophétie',
    'prophéties',
    'prophétique',
    'prophétiques',
    'prophétisa',
    'prophétisai',
    'prophétisais',
    'prophétisait',
    'prophétisant',
    'prophétisas',
    'prophétise',
    'prophétisent',
    'prophétiser',
    'prophétisera',
    'prophétises',
    'prophétisez',
    'prophétisiez',
    'prophétisons',
    'prophétisât',
    'prophétisé',
    'prophétisée',
    'prophétisées',
    'prophétisés',
    'propice',
    'propices',
    'propitiation',
    'propolis',
    'proportion',
    'proportionna',
    'proportionne',
    'proportionné',
    'proportions',
    'propos',
    'proposa',
    'proposable',
    'proposables',
    'proposai',
    'proposaient',
    'proposais',
    'proposait',
    'proposant',
    'proposas',
    'proposasse',
    'proposassent',
    'proposasses',
    'proposassiez',
    'propose',
    'proposent',
    'proposer',
    'proposera',
    'proposerai',
    'proposerais',
    'proposerait',
    'proposeras',
    'proposerez',
    'proposeriez',
    'proposerions',
    'proposerons',
    'proposeront',
    'proposes',
    'proposez',
    'proposiez',
    'proposions',
    'proposition',
    'propositions',
    'proposons',
    'proposâmes',
    'proposât',
    'proposâtes',
    'proposèrent',
    'proposé',
    'proposée',
    'proposées',
    'proposés',
    'propre',
    'proprement',
    'propres',
    'propret',
    'proprets',
    'proprette',
    'proprettes',
    'propreté',
    'propretés',
    'proprio',
    'proprios',
    'propriétaire',
    'propriété',
    'propriétés',
    'propréteur',
    'propréteurs',
    'propréture',
    'proprétures',
    'propulsa',
    'propulsai',
    'propulsaient',
    'propulsais',
    'propulsait',
    'propulsant',
    'propulsas',
    'propulsasse',
    'propulsasses',
    'propulse',
    'propulsent',
    'propulser',
    'propulsera',
    'propulserai',
    'propulserais',
    'propulserait',
    'propulseras',
    'propulserez',
    'propulseriez',
    'propulserons',
    'propulseront',
    'propulses',
    'propulseur',
    'propulseurs',
    'propulsez',
    'propulsiez',
    'propulsif',
    'propulsifs',
    'propulsion',
    'propulsions',
    'propulsive',
    'propulsives',
    'propulsons',
    'propulsâmes',
    'propulsât',
    'propulsâtes',
    'propulsèrent',
    'propulsé',
    'propulsée',
    'propulsées',
    'propulsés',
    'propylène',
    'propylènes',
    'propylée',
    'propylées',
    'propène',
    'propènes',
    'propédeute',
    'propédeutes',
    'prorata',
    'prorogatif',
    'prorogatifs',
    'prorogation',
    'prorogations',
    'prorogative',
    'prorogatives',
    'proroge',
    'prorogea',
    'prorogeai',
    'prorogeaient',
    'prorogeais',
    'prorogeait',
    'prorogeant',
    'prorogeas',
    'prorogeasse',
    'prorogeasses',
    'prorogent',
    'prorogeons',
    'proroger',
    'prorogera',
    'prorogerai',
    'prorogerais',
    'prorogerait',
    'prorogeras',
    'prorogerez',
    'prorogeriez',
    'prorogerions',
    'prorogerons',
    'prorogeront',
    'proroges',
    'prorogez',
    'prorogeâmes',
    'prorogeât',
    'prorogeâtes',
    'prorogiez',
    'prorogions',
    'prorogèrent',
    'prorogé',
    'prorogée',
    'prorogées',
    'prorogés',
    'pros',
    'prosateur',
    'prosateurs',
    'prosaïque',
    'prosaïques',
    'prosaïsme',
    'prosaïsmes',
    'proscenium',
    'prosceniums',
    'proscripteur',
    'proscription',
    'proscrira',
    'proscrirai',
    'proscrirais',
    'proscrirait',
    'proscriras',
    'proscrire',
    'proscrirez',
    'proscririez',
    'proscririons',
    'proscrirons',
    'proscriront',
    'proscris',
    'proscrit',
    'proscrite',
    'proscrites',
    'proscrits',
    'proscrivais',
    'proscrivait',
    'proscrivant',
    'proscrive',
    'proscrivent',
    'proscrives',
    'proscrivez',
    'proscriviez',
    'proscrivions',
    'proscrivis',
    'proscrivisse',
    'proscrivit',
    'proscrivons',
    'proscrivîmes',
    'proscrivît',
    'proscrivîtes',
    'prose',
    'prosecteur',
    'prosecteurs',
    'prosectorat',
    'prosectorats',
    'proses',
    'prosocial',
    'prosociale',
    'prosociales',
    'prosociaux',
    'prosodia',
    'prosodiai',
    'prosodiaient',
    'prosodiais',
    'prosodiait',
    'prosodiant',
    'prosodias',
    'prosodiasse',
    'prosodiasses',
    'prosodie',
    'prosodient',
    'prosodier',
    'prosodiera',
    'prosodierai',
    'prosodierais',
    'prosodierait',
    'prosodieras',
    'prosodierez',
    'prosodieriez',
    'prosodierons',
    'prosodieront',
    'prosodies',
    'prosodiez',
    'prosodiiez',
    'prosodiions',
    'prosodions',
    'prosodique',
    'prosodiques',
    'prosodiâmes',
    'prosodiât',
    'prosodiâtes',
    'prosodièrent',
    'prosodié',
    'prosodiée',
    'prosodiées',
    'prosodiés',
    'prosopopée',
    'prosopopées',
    'prospect',
    'prospecta',
    'prospectai',
    'prospectais',
    'prospectait',
    'prospectant',
    'prospectas',
    'prospectasse',
    'prospecte',
    'prospectent',
    'prospecter',
    'prospectera',
    'prospecterai',
    'prospecteras',
    'prospecterez',
    'prospectes',
    'prospecteur',
    'prospecteurs',
    'prospectez',
    'prospectiez',
    'prospectif',
    'prospectifs',
    'prospection',
    'prospections',
    'prospective',
    'prospectives',
    'prospectons',
    'prospectrice',
    'prospects',
    'prospectus',
    'prospectâmes',
    'prospectât',
    'prospectâtes',
    'prospecté',
    'prospectée',
    'prospectées',
    'prospectés',
    'prospère',
    'prospèrent',
    'prospères',
    'prospéra',
    'prospérai',
    'prospéraient',
    'prospérais',
    'prospérait',
    'prospérant',
    'prospéras',
    'prospérasse',
    'prospérasses',
    'prospérer',
    'prospérera',
    'prospérerai',
    'prospérerais',
    'prospérerait',
    'prospéreras',
    'prospérerez',
    'prospéreriez',
    'prospérerons',
    'prospéreront',
    'prospérez',
    'prospériez',
    'prospérions',
    'prospérité',
    'prospérités',
    'prospérons',
    'prospérâmes',
    'prospérât',
    'prospérâtes',
    'prospérèrent',
    'prospéré',
    'prostate',
    'prostates',
    'prostatique',
    'prostatiques',
    'prostatisme',
    'prostatismes',
    'prosterna',
    'prosternai',
    'prosternais',
    'prosternait',
    'prosternant',
    'prosternas',
    'prosternasse',
    'prosterne',
    'prosternent',
    'prosterner',
    'prosternera',
    'prosternerai',
    'prosterneras',
    'prosternerez',
    'prosternes',
    'prosternez',
    'prosterniez',
    'prosternions',
    'prosternons',
    'prosternâmes',
    'prosternât',
    'prosternâtes',
    'prosterné',
    'prosternée',
    'prosternées',
    'prosternés',
    'prosthèse',
    'prosthèses',
    'prosthétique',
    'prostitua',
    'prostituai',
    'prostituais',
    'prostituait',
    'prostituant',
    'prostituas',
    'prostituasse',
    'prostitue',
    'prostituent',
    'prostituer',
    'prostituera',
    'prostituerai',
    'prostitueras',
    'prostituerez',
    'prostitues',
    'prostituez',
    'prostituiez',
    'prostituions',
    'prostituons',
    'prostitution',
    'prostituâmes',
    'prostituât',
    'prostituâtes',
    'prostitué',
    'prostituée',
    'prostituées',
    'prostitués',
    'prostration',
    'prostrations',
    'prostré',
    'prostrée',
    'prostrées',
    'prostrés',
    'prostyle',
    'prostyles',
    'prosélyte',
    'prosélytes',
    'prosélytisme',
    'protactinium',
    'protagoniste',
    'protase',
    'protases',
    'prote',
    'protecteur',
    'protecteurs',
    'protection',
    'protections',
    'protectorat',
    'protectorats',
    'protectrice',
    'protectrices',
    'protes',
    'protesta',
    'protestai',
    'protestaient',
    'protestais',
    'protestait',
    'protestant',
    'protestante',
    'protestantes',
    'protestants',
    'protestas',
    'protestasse',
    'protestasses',
    'protestation',
    'proteste',
    'protestent',
    'protester',
    'protestera',
    'protesterai',
    'protesterais',
    'protesterait',
    'protesteras',
    'protesterez',
    'protesteriez',
    'protesterons',
    'protesteront',
    'protestes',
    'protestez',
    'protestiez',
    'protestions',
    'protestons',
    'protestâmes',
    'protestât',
    'protestâtes',
    'protestèrent',
    'protesté',
    'protestée',
    'protestées',
    'protestés',
    'prothalle',
    'prothalles',
    'prothorax',
    'prothrombine',
    'prothèse',
    'prothèses',
    'prothésiste',
    'prothésistes',
    'prothétique',
    'prothétiques',
    'protide',
    'protides',
    'protidique',
    'protidiques',
    'protococcus',
    'protocolaire',
    'protocole',
    'protocoles',
    'protogine',
    'protogines',
    'protogynie',
    'protogynies',
    'proton',
    'protons',
    'protoplasme',
    'protoplasmes',
    'protoptère',
    'protoptères',
    'prototypage',
    'prototypages',
    'prototype',
    'prototypes',
    'protoxyde',
    'protoxydes',
    'protozoaire',
    'protozoaires',
    'protractile',
    'protractiles',
    'protubérance',
    'protubérant',
    'protubérante',
    'protubérants',
    'protuteur',
    'protuteurs',
    'protutrice',
    'protutrices',
    'protège',
    'protègent',
    'protèges',
    'protèle',
    'protèles',
    'protéase',
    'protéases',
    'protée',
    'protées',
    'protégea',
    'protégeai',
    'protégeaient',
    'protégeais',
    'protégeait',
    'protégeant',
    'protégeas',
    'protégeasse',
    'protégeasses',
    'protégeons',
    'protéger',
    'protégera',
    'protégerai',
    'protégerais',
    'protégerait',
    'protégeras',
    'protégerez',
    'protégeriez',
    'protégerions',
    'protégerons',
    'protégeront',
    'protégez',
    'protégeâmes',
    'protégeât',
    'protégeâtes',
    'protégiez',
    'protégions',
    'protégèrent',
    'protégé',
    'protégée',
    'protégées',
    'protégés',
    'protéide',
    'protéides',
    'protéiforme',
    'protéiformes',
    'protéine',
    'protéines',
    'protéinurie',
    'protéinuries',
    'protéique',
    'protéiques',
    'protéolyse',
    'protéolyses',
    'protérandrie',
    'protêt',
    'protêts',
    'prou',
    'proudhonien',
    'proudhoniens',
    'proue',
    'proues',
    'prouesse',
    'prouesses',
    'prouva',
    'prouvable',
    'prouvables',
    'prouvai',
    'prouvaient',
    'prouvais',
    'prouvait',
    'prouvant',
    'prouvas',
    'prouvasse',
    'prouvassent',
    'prouvasses',
    'prouvassiez',
    'prouvassions',
    'prouve',
    'prouvent',
    'prouver',
    'prouvera',
    'prouverai',
    'prouveraient',
    'prouverais',
    'prouverait',
    'prouveras',
    'prouverez',
    'prouveriez',
    'prouverions',
    'prouverons',
    'prouveront',
    'prouves',
    'prouvez',
    'prouviez',
    'prouvions',
    'prouvons',
    'prouvâmes',
    'prouvât',
    'prouvâtes',
    'prouvèrent',
    'prouvé',
    'prouvée',
    'prouvées',
    'prouvés',
    'provenaient',
    'provenais',
    'provenait',
    'provenance',
    'provenances',
    'provenant',
    'provende',
    'provendes',
    'provenez',
    'proveniez',
    'provenions',
    'provenir',
    'provenons',
    'provenu',
    'provenue',
    'provenues',
    'provenus',
    'provençal',
    'provençale',
    'provençales',
    'provençaux',
    'proverbe',
    'proverbes',
    'proverbial',
    'proverbiale',
    'proverbiales',
    'proverbiaux',
    'providence',
    'providences',
    'providentiel',
    'proviendra',
    'proviendrai',
    'proviendrais',
    'proviendrait',
    'proviendras',
    'proviendrez',
    'proviendriez',
    'proviendrons',
    'proviendront',
    'provienne',
    'proviennent',
    'proviennes',
    'proviens',
    'provient',
    'provigna',
    'provignage',
    'provignages',
    'provignai',
    'provignaient',
    'provignais',
    'provignait',
    'provignant',
    'provignas',
    'provignasse',
    'provignasses',
    'provigne',
    'provignement',
    'provignent',
    'provigner',
    'provignera',
    'provignerai',
    'provignerais',
    'provignerait',
    'provigneras',
    'provignerez',
    'provigneriez',
    'provignerons',
    'provigneront',
    'provignes',
    'provignez',
    'provigniez',
    'provignions',
    'provignons',
    'provignâmes',
    'provignât',
    'provignâtes',
    'provignèrent',
    'provigné',
    'provignée',
    'provignées',
    'provignés',
    'provin',
    'province',
    'provinces',
    'provincial',
    'provincialat',
    'provinciale',
    'provinciales',
    'provinciaux',
    'provinrent',
    'provins',
    'provinsse',
    'provinssent',
    'provinsses',
    'provinssiez',
    'provinssions',
    'provint',
    'proviseur',
    'proviseurs',
    'provision',
    'provisionna',
    'provisionne',
    'provisionnel',
    'provisionner',
    'provisionnes',
    'provisionnez',
    'provisionné',
    'provisionnée',
    'provisionnés',
    'provisions',
    'provisoire',
    'provisoires',
    'provisorat',
    'provisorats',
    'provitamine',
    'provitamines',
    'provo',
    'provocant',
    'provocante',
    'provocantes',
    'provocants',
    'provocateur',
    'provocateurs',
    'provocation',
    'provocations',
    'provocatrice',
    'provoqua',
    'provoquai',
    'provoquaient',
    'provoquais',
    'provoquait',
    'provoquant',
    'provoquas',
    'provoquasse',
    'provoquasses',
    'provoque',
    'provoquent',
    'provoquer',
    'provoquera',
    'provoquerai',
    'provoquerais',
    'provoquerait',
    'provoqueras',
    'provoquerez',
    'provoqueriez',
    'provoquerons',
    'provoqueront',
    'provoques',
    'provoquez',
    'provoquiez',
    'provoquions',
    'provoquons',
    'provoquâmes',
    'provoquât',
    'provoquâtes',
    'provoquèrent',
    'provoqué',
    'provoquée',
    'provoquées',
    'provoqués',
    'provos',
    'provéditeur',
    'provéditeurs',
    'provînmes',
    'provînt',
    'provîntes',
    'proximal',
    'proximale',
    'proximales',
    'proximaux',
    'proximité',
    'proximités',
    'proxémique',
    'proxémiques',
    'proxénète',
    'proxénètes',
    'proxénétisme',
    'proyer',
    'proyers',
    'proéminence',
    'proéminences',
    'proéminent',
    'proéminente',
    'proéminentes',
    'proéminents',
    'prud',
    'prude',
    'prudemment',
    'prudence',
    'prudences',
    'prudent',
    'prudente',
    'prudentes',
    'prudents',
    'pruderie',
    'pruderies',
    'prudes',
    'prudhommerie',
    'pruine',
    'pruines',
    'prune',
    'pruneau',
    'pruneaux',
    'prunelaie',
    'prunelaies',
    'prunelle',
    'prunelles',
    'prunellier',
    'prunelliers',
    'prunelée',
    'prunelées',
    'prunes',
    'prunier',
    'pruniers',
    'prunus',
    'prurigineuse',
    'prurigineux',
    'prurigo',
    'prurigos',
    'prurit',
    'prurits',
    'prussiate',
    'prussiates',
    'prussien',
    'prussienne',
    'prussiennes',
    'prussiens',
    'prussique',
    'prussiques',
    'prytane',
    'prytanes',
    'prytanée',
    'prytanées',
    'prèle',
    'prèles',
    'près',
    'préacheta',
    'préachetai',
    'préachetais',
    'préachetait',
    'préachetant',
    'préachetas',
    'préachetasse',
    'préacheter',
    'préachetez',
    'préachetiez',
    'préachetions',
    'préachetons',
    'préachetâmes',
    'préachetât',
    'préachetâtes',
    'préacheté',
    'préachetée',
    'préachetées',
    'préachetés',
    'préachète',
    'préachètent',
    'préachètera',
    'préachèterai',
    'préachèteras',
    'préachèterez',
    'préachètes',
    'préadamisme',
    'préadamismes',
    'préadamite',
    'préadamites',
    'préalable',
    'préalables',
    'préalpin',
    'préalpine',
    'préalpines',
    'préalpins',
    'préambule',
    'préambules',
    'préau',
    'préaux',
    'préavis',
    'préavisa',
    'préavisai',
    'préavisaient',
    'préavisais',
    'préavisait',
    'préavisant',
    'préavisas',
    'préavisasse',
    'préavisasses',
    'préavise',
    'préavisent',
    'préaviser',
    'préavisera',
    'préaviserai',
    'préaviserais',
    'préaviserait',
    'préaviseras',
    'préaviserez',
    'préaviseriez',
    'préaviserons',
    'préaviseront',
    'préavises',
    'préavisez',
    'préavisiez',
    'préavisions',
    'préavisons',
    'préavisâmes',
    'préavisât',
    'préavisâtes',
    'préavisèrent',
    'préavisé',
    'préavisée',
    'préavisées',
    'préavisés',
    'prébende',
    'prébendes',
    'prébendier',
    'prébendiers',
    'prébendé',
    'prébendés',
    'précaire',
    'précairement',
    'précaires',
    'précambrien',
    'précambriens',
    'précarisa',
    'précarisai',
    'précarisais',
    'précarisait',
    'précarisant',
    'précarisas',
    'précarisasse',
    'précarise',
    'précarisent',
    'précariser',
    'précarisera',
    'précariserai',
    'précariseras',
    'précariserez',
    'précarises',
    'précarisez',
    'précarisiez',
    'précarisions',
    'précarisons',
    'précarisâmes',
    'précarisât',
    'précarisâtes',
    'précarisé',
    'précarisée',
    'précarisées',
    'précarisés',
    'précarité',
    'précarités',
    'précaution',
    'précautionna',
    'précautionne',
    'précautionné',
    'précautions',
    'préceinte',
    'préceintes',
    'précellence',
    'précellences',
    'précepte',
    'préceptes',
    'précepteur',
    'précepteurs',
    'préceptorat',
    'préceptorats',
    'préceptrice',
    'préceptrices',
    'précession',
    'précessions',
    'préchambre',
    'préchambres',
    'préchauffa',
    'préchauffage',
    'préchauffai',
    'préchauffais',
    'préchauffait',
    'préchauffant',
    'préchauffas',
    'préchauffe',
    'préchauffent',
    'préchauffer',
    'préchauffera',
    'préchauffes',
    'préchauffez',
    'préchauffiez',
    'préchauffons',
    'préchauffât',
    'préchauffé',
    'préchauffée',
    'préchauffées',
    'préchauffés',
    'précieuse',
    'précieuses',
    'précieux',
    'préciosité',
    'préciosités',
    'précipice',
    'précipices',
    'précipita',
    'précipitai',
    'précipitais',
    'précipitait',
    'précipitant',
    'précipitas',
    'précipitasse',
    'précipite',
    'précipitent',
    'précipiter',
    'précipitera',
    'précipiterai',
    'précipiteras',
    'précipiterez',
    'précipites',
    'précipitez',
    'précipitiez',
    'précipitions',
    'précipitons',
    'précipitâmes',
    'précipitât',
    'précipitâtes',
    'précipité',
    'précipitée',
    'précipitées',
    'précipités',
    'préciput',
    'préciputaire',
    'préciputs',
    'précis',
    'précisa',
    'précisai',
    'précisaient',
    'précisais',
    'précisait',
    'précisant',
    'précisas',
    'précisasse',
    'précisassent',
    'précisasses',
    'précisassiez',
    'précise',
    'précisent',
    'préciser',
    'précisera',
    'préciserai',
    'préciserais',
    'préciserait',
    'préciseras',
    'préciserez',
    'préciseriez',
    'préciserions',
    'préciserons',
    'préciseront',
    'précises',
    'précisez',
    'précisiez',
    'précision',
    'précisions',
    'précisons',
    'précisâmes',
    'précisât',
    'précisâtes',
    'précisèrent',
    'précisé',
    'précisée',
    'précisées',
    'précisément',
    'précisés',
    'précité',
    'précitée',
    'précitées',
    'précités',
    'précoce',
    'précocement',
    'précoces',
    'précocité',
    'précocités',
    'précolombien',
    'précompta',
    'précomptai',
    'précomptais',
    'précomptait',
    'précomptant',
    'précomptas',
    'précomptasse',
    'précompte',
    'précomptent',
    'précompter',
    'précomptera',
    'précompterai',
    'précompteras',
    'précompterez',
    'précomptes',
    'précomptez',
    'précomptiez',
    'précomptions',
    'précomptons',
    'précomptâmes',
    'précomptât',
    'précomptâtes',
    'précompté',
    'précomptée',
    'précomptées',
    'précomptés',
    'préconisa',
    'préconisai',
    'préconisais',
    'préconisait',
    'préconisant',
    'préconisas',
    'préconisasse',
    'préconise',
    'préconisent',
    'préconiser',
    'préconisera',
    'préconiserai',
    'préconiseras',
    'préconiserez',
    'préconises',
    'préconiseur',
    'préconiseurs',
    'préconisez',
    'préconisiez',
    'préconisions',
    'préconisons',
    'préconisâmes',
    'préconisât',
    'préconisâtes',
    'préconisé',
    'préconisée',
    'préconisées',
    'préconisés',
    'précontraint',
    'préconçu',
    'préconçue',
    'préconçues',
    'préconçus',
    'précordial',
    'précordiale',
    'précordiales',
    'précordiaux',
    'précuit',
    'précuite',
    'précuites',
    'précuits',
    'précurseur',
    'précurseurs',
    'précède',
    'précèdent',
    'précèdes',
    'précéda',
    'précédai',
    'précédaient',
    'précédais',
    'précédait',
    'précédant',
    'précédas',
    'précédasse',
    'précédassent',
    'précédasses',
    'précédassiez',
    'précédemment',
    'précédent',
    'précédente',
    'précédentes',
    'précédents',
    'précéder',
    'précédera',
    'précéderai',
    'précéderais',
    'précéderait',
    'précéderas',
    'précéderez',
    'précéderiez',
    'précéderions',
    'précéderons',
    'précéderont',
    'précédez',
    'précédiez',
    'précédions',
    'précédons',
    'précédâmes',
    'précédât',
    'précédâtes',
    'précédèrent',
    'précédé',
    'précédée',
    'précédées',
    'précédés',
    'prédateur',
    'prédateurs',
    'prédation',
    'prédations',
    'prédatrice',
    'prédatrices',
    'prédestina',
    'prédestinai',
    'prédestinais',
    'prédestinait',
    'prédestinant',
    'prédestinas',
    'prédestine',
    'prédestinent',
    'prédestiner',
    'prédestinera',
    'prédestines',
    'prédestinez',
    'prédestiniez',
    'prédestinons',
    'prédestinât',
    'prédestiné',
    'prédestinée',
    'prédestinées',
    'prédestinés',
    'prédicable',
    'prédicables',
    'prédicant',
    'prédicants',
    'prédicat',
    'prédicateur',
    'prédicateurs',
    'prédicatif',
    'prédicatifs',
    'prédication',
    'prédications',
    'prédicative',
    'prédicatives',
    'prédicatrice',
    'prédicats',
    'prédiction',
    'prédictions',
    'prédigéré',
    'prédigérée',
    'prédigérées',
    'prédigérés',
    'prédilection',
    'prédiqua',
    'prédiquai',
    'prédiquaient',
    'prédiquais',
    'prédiquait',
    'prédiquant',
    'prédiquas',
    'prédiquasse',
    'prédiquasses',
    'prédique',
    'prédiquent',
    'prédiquer',
    'prédiquera',
    'prédiquerai',
    'prédiquerais',
    'prédiquerait',
    'prédiqueras',
    'prédiquerez',
    'prédiqueriez',
    'prédiquerons',
    'prédiqueront',
    'prédiques',
    'prédiquez',
    'prédiquiez',
    'prédiquions',
    'prédiquons',
    'prédiquâmes',
    'prédiquât',
    'prédiquâtes',
    'prédiquèrent',
    'prédiqué',
    'prédiquée',
    'prédiquées',
    'prédiqués',
    'prédira',
    'prédirai',
    'prédiraient',
    'prédirais',
    'prédirait',
    'prédiras',
    'prédire',
    'prédirent',
    'prédirez',
    'prédiriez',
    'prédirions',
    'prédirons',
    'prédiront',
    'prédis',
    'prédisaient',
    'prédisais',
    'prédisait',
    'prédisant',
    'prédise',
    'prédisent',
    'prédises',
    'prédisez',
    'prédisiez',
    'prédisions',
    'prédisons',
    'prédisposa',
    'prédisposai',
    'prédisposais',
    'prédisposait',
    'prédisposant',
    'prédisposas',
    'prédispose',
    'prédisposent',
    'prédisposer',
    'prédisposera',
    'prédisposes',
    'prédisposez',
    'prédisposiez',
    'prédisposons',
    'prédisposât',
    'prédisposé',
    'prédisposée',
    'prédisposées',
    'prédisposés',
    'prédisse',
    'prédissent',
    'prédisses',
    'prédissiez',
    'prédissions',
    'prédit',
    'prédite',
    'prédites',
    'prédits',
    'prédomina',
    'prédominai',
    'prédominais',
    'prédominait',
    'prédominance',
    'prédominant',
    'prédominante',
    'prédominants',
    'prédominas',
    'prédominasse',
    'prédomine',
    'prédominent',
    'prédominer',
    'prédominera',
    'prédominerai',
    'prédomineras',
    'prédominerez',
    'prédomines',
    'prédominez',
    'prédominiez',
    'prédominions',
    'prédominons',
    'prédominâmes',
    'prédominât',
    'prédominâtes',
    'prédominé',
    'prédécesseur',
    'prédécoupé',
    'prédécoupée',
    'prédécoupées',
    'prédécoupés',
    'prédéfini',
    'prédéfinie',
    'prédéfinies',
    'prédéfinir',
    'prédéfinira',
    'prédéfinirai',
    'prédéfiniras',
    'prédéfinirez',
    'prédéfinis',
    'prédéfinisse',
    'prédéfinit',
    'prédéfinîmes',
    'prédéfinît',
    'prédéfinîtes',
    'prédétermina',
    'prédétermine',
    'prédéterminé',
    'prédîmes',
    'prédît',
    'prédîtes',
    'préemballé',
    'préemballée',
    'préemballées',
    'préemballés',
    'préembalé',
    'préembalée',
    'préembalées',
    'préembalés',
    'préempta',
    'préemptai',
    'préemptaient',
    'préemptais',
    'préemptait',
    'préemptant',
    'préemptas',
    'préemptasse',
    'préemptasses',
    'préempte',
    'préemptent',
    'préempter',
    'préemptera',
    'préempterai',
    'préempterais',
    'préempterait',
    'préempteras',
    'préempterez',
    'préempteriez',
    'préempterons',
    'préempteront',
    'préemptes',
    'préemptez',
    'préemptiez',
    'préemption',
    'préemptions',
    'préemptons',
    'préemptâmes',
    'préemptât',
    'préemptâtes',
    'préemptèrent',
    'préempté',
    'préemptée',
    'préemptées',
    'préemptés',
    'préencollé',
    'préencollée',
    'préencollées',
    'préencollés',
    'préexista',
    'préexistai',
    'préexistais',
    'préexistait',
    'préexistant',
    'préexistante',
    'préexistants',
    'préexistas',
    'préexistasse',
    'préexiste',
    'préexistence',
    'préexistent',
    'préexister',
    'préexistera',
    'préexisterai',
    'préexisteras',
    'préexisterez',
    'préexistes',
    'préexistez',
    'préexistiez',
    'préexistions',
    'préexistons',
    'préexistâmes',
    'préexistât',
    'préexistâtes',
    'préexisté',
    'préfabriqué',
    'préfabriquée',
    'préfabriqués',
    'préface',
    'préfacent',
    'préfacer',
    'préfacera',
    'préfacerai',
    'préfacerais',
    'préfacerait',
    'préfaceras',
    'préfacerez',
    'préfaceriez',
    'préfacerions',
    'préfacerons',
    'préfaceront',
    'préfaces',
    'préfacez',
    'préfacier',
    'préfaciers',
    'préfaciez',
    'préfacions',
    'préfacèrent',
    'préfacé',
    'préfacée',
    'préfacées',
    'préfacés',
    'préfaça',
    'préfaçai',
    'préfaçaient',
    'préfaçais',
    'préfaçait',
    'préfaçant',
    'préfaças',
    'préfaçasse',
    'préfaçassent',
    'préfaçasses',
    'préfaçassiez',
    'préfaçons',
    'préfaçâmes',
    'préfaçât',
    'préfaçâtes',
    'préfectoral',
    'préfectorale',
    'préfectoraux',
    'préfecture',
    'préfectures',
    'préfet',
    'préfets',
    'préfigura',
    'préfigurai',
    'préfigurais',
    'préfigurait',
    'préfigurant',
    'préfiguras',
    'préfigurasse',
    'préfigure',
    'préfigurent',
    'préfigurer',
    'préfigurera',
    'préfigurerai',
    'préfigureras',
    'préfigurerez',
    'préfigures',
    'préfigurez',
    'préfiguriez',
    'préfigurions',
    'préfigurons',
    'préfigurâmes',
    'préfigurât',
    'préfigurâtes',
    'préfiguré',
    'préfigurée',
    'préfigurées',
    'préfigurés',
    'préfixa',
    'préfixai',
    'préfixaient',
    'préfixais',
    'préfixait',
    'préfixant',
    'préfixas',
    'préfixasse',
    'préfixassent',
    'préfixasses',
    'préfixassiez',
    'préfixation',
    'préfixations',
    'préfixe',
    'préfixent',
    'préfixer',
    'préfixera',
    'préfixerai',
    'préfixerais',
    'préfixerait',
    'préfixeras',
    'préfixerez',
    'préfixeriez',
    'préfixerions',
    'préfixerons',
    'préfixeront',
    'préfixes',
    'préfixez',
    'préfixiez',
    'préfixion',
    'préfixions',
    'préfixons',
    'préfixâmes',
    'préfixât',
    'préfixâtes',
    'préfixèrent',
    'préfixé',
    'préfixée',
    'préfixées',
    'préfixés',
    'préfloraison',
    'préfoliation',
    'préforma',
    'préformai',
    'préformaient',
    'préformais',
    'préformait',
    'préformant',
    'préformas',
    'préformasse',
    'préformasses',
    'préformation',
    'préforme',
    'préforment',
    'préformer',
    'préformera',
    'préformerai',
    'préformerais',
    'préformerait',
    'préformeras',
    'préformerez',
    'préformeriez',
    'préformerons',
    'préformeront',
    'préformes',
    'préformez',
    'préformiez',
    'préformions',
    'préformons',
    'préformâmes',
    'préformât',
    'préformâtes',
    'préformèrent',
    'préformé',
    'préformée',
    'préformées',
    'préformés',
    'préfère',
    'préfèrent',
    'préfères',
    'préféra',
    'préférable',
    'préférables',
    'préférai',
    'préféraient',
    'préférais',
    'préférait',
    'préférant',
    'préféras',
    'préférasse',
    'préférassent',
    'préférasses',
    'préférassiez',
    'préférence',
    'préférences',
    'préférentiel',
    'préférer',
    'préférera',
    'préférerai',
    'préférerais',
    'préférerait',
    'préféreras',
    'préférerez',
    'préféreriez',
    'préférerions',
    'préférerons',
    'préféreront',
    'préférez',
    'préfériez',
    'préférions',
    'préférons',
    'préférâmes',
    'préférât',
    'préférâtes',
    'préférèrent',
    'préféré',
    'préférée',
    'préférées',
    'préférés',
    'préglaciaire',
    'prégnance',
    'prégnances',
    'prégnant',
    'prégnante',
    'prégnantes',
    'prégnants',
    'préhenseur',
    'préhenseurs',
    'préhensile',
    'préhensiles',
    'préhension',
    'préhensions',
    'préhistoire',
    'préhistoires',
    'préhistorien',
    'préjudice',
    'préjudices',
    'préjudicia',
    'préjudiciai',
    'préjudiciais',
    'préjudiciait',
    'préjudiciant',
    'préjudicias',
    'préjudicie',
    'préjudiciel',
    'préjudiciels',
    'préjudicient',
    'préjudicier',
    'préjudiciera',
    'préjudicies',
    'préjudiciez',
    'préjudiciiez',
    'préjudicions',
    'préjudiciât',
    'préjudicié',
    'préjuge',
    'préjugea',
    'préjugeai',
    'préjugeaient',
    'préjugeais',
    'préjugeait',
    'préjugeant',
    'préjugeas',
    'préjugeasse',
    'préjugeasses',
    'préjugent',
    'préjugeons',
    'préjuger',
    'préjugera',
    'préjugerai',
    'préjugerais',
    'préjugerait',
    'préjugeras',
    'préjugerez',
    'préjugeriez',
    'préjugerions',
    'préjugerons',
    'préjugeront',
    'préjuges',
    'préjugez',
    'préjugeâmes',
    'préjugeât',
    'préjugeâtes',
    'préjugiez',
    'préjugions',
    'préjugèrent',
    'préjugé',
    'préjugée',
    'préjugées',
    'préjugés',
    'prélart',
    'prélarts',
    'prélassa',
    'prélassai',
    'prélassaient',
    'prélassais',
    'prélassait',
    'prélassant',
    'prélassas',
    'prélassasse',
    'prélassasses',
    'prélasse',
    'prélassent',
    'prélasser',
    'prélassera',
    'prélasserai',
    'prélasserais',
    'prélasserait',
    'prélasseras',
    'prélasserez',
    'prélasseriez',
    'prélasserons',
    'prélasseront',
    'prélasses',
    'prélassez',
    'prélassiez',
    'prélassions',
    'prélassons',
    'prélassâmes',
    'prélassât',
    'prélassâtes',
    'prélassèrent',
    'prélassé',
    'prélassée',
    'prélassées',
    'prélassés',
    'prélat',
    'prélatin',
    'prélatine',
    'prélatines',
    'prélatins',
    'prélats',
    'prélature',
    'prélatures',
    'prélavage',
    'prélavages',
    'prélegs',
    'préleva',
    'prélevai',
    'prélevaient',
    'prélevais',
    'prélevait',
    'prélevant',
    'prélevas',
    'prélevasse',
    'prélevassent',
    'prélevasses',
    'prélevassiez',
    'prélever',
    'prélevez',
    'préleviez',
    'prélevions',
    'prélevons',
    'prélevâmes',
    'prélevât',
    'prélevâtes',
    'prélevèrent',
    'prélevé',
    'prélevée',
    'prélevées',
    'prélevés',
    'préliminaire',
    'prélogique',
    'prélogiques',
    'préluda',
    'préludai',
    'préludaient',
    'préludais',
    'préludait',
    'préludant',
    'préludas',
    'préludasse',
    'préludassent',
    'préludasses',
    'préludassiez',
    'prélude',
    'préludent',
    'préluder',
    'préludera',
    'préluderai',
    'préluderais',
    'préluderait',
    'préluderas',
    'préluderez',
    'préluderiez',
    'préluderions',
    'préluderons',
    'préluderont',
    'préludes',
    'préludez',
    'préludiez',
    'préludions',
    'préludons',
    'préludâmes',
    'préludât',
    'préludâtes',
    'préludèrent',
    'préludé',
    'prélève',
    'prélèvement',
    'prélèvements',
    'prélèvent',
    'prélèvera',
    'prélèverai',
    'prélèverais',
    'prélèverait',
    'prélèveras',
    'prélèverez',
    'prélèveriez',
    'prélèverions',
    'prélèverons',
    'prélèveront',
    'prélèves',
    'prématurité',
    'prématurités',
    'prématuré',
    'prématurée',
    'prématurées',
    'prématurés',
    'prémenstruel',
    'prémices',
    'prémilitaire',
    'prémisse',
    'prémisses',
    'prémolaire',
    'prémolaires',
    'prémonition',
    'prémonitions',
    'prémonitoire',
    'prémontré',
    'prémontrés',
    'prémuni',
    'prémunie',
    'prémunies',
    'prémunir',
    'prémunira',
    'prémunirai',
    'prémunirais',
    'prémunirait',
    'prémuniras',
    'prémunirent',
    'prémunirez',
    'prémuniriez',
    'prémunirions',
    'prémunirons',
    'prémuniront',
    'prémunis',
    'prémunissais',
    'prémunissait',
    'prémunissant',
    'prémunisse',
    'prémunissent',
    'prémunisses',
    'prémunissez',
    'prémunissiez',
    'prémunissons',
    'prémunit',
    'prémunition',
    'prémunitions',
    'prémunîmes',
    'prémunît',
    'prémunîtes',
    'prémédita',
    'préméditai',
    'préméditais',
    'préméditait',
    'préméditant',
    'préméditas',
    'préméditasse',
    'prémédite',
    'préméditent',
    'préméditer',
    'préméditera',
    'préméditerai',
    'préméditeras',
    'préméditerez',
    'prémédites',
    'préméditez',
    'préméditiez',
    'préméditions',
    'préméditons',
    'préméditâmes',
    'préméditât',
    'préméditâtes',
    'prémédité',
    'préméditée',
    'préméditées',
    'prémédités',
    'prénatal',
    'prénatale',
    'prénatales',
    'prénatals',
    'prénataux',
    'prénom',
    'prénomma',
    'prénommai',
    'prénommaient',
    'prénommais',
    'prénommait',
    'prénommant',
    'prénommas',
    'prénommasse',
    'prénommasses',
    'prénomme',
    'prénomment',
    'prénommer',
    'prénommera',
    'prénommerai',
    'prénommerais',
    'prénommerait',
    'prénommeras',
    'prénommerez',
    'prénommeriez',
    'prénommerons',
    'prénommeront',
    'prénommes',
    'prénommez',
    'prénommiez',
    'prénommions',
    'prénommons',
    'prénommâmes',
    'prénommât',
    'prénommâtes',
    'prénommèrent',
    'prénommé',
    'prénommée',
    'prénommées',
    'prénommés',
    'prénoms',
    'prénuptial',
    'prénuptiale',
    'prénuptiales',
    'prénuptiaux',
    'préoccupa',
    'préoccupai',
    'préoccupais',
    'préoccupait',
    'préoccupant',
    'préoccupante',
    'préoccupants',
    'préoccupas',
    'préoccupasse',
    'préoccupe',
    'préoccupent',
    'préoccuper',
    'préoccupera',
    'préoccuperai',
    'préoccuperas',
    'préoccuperez',
    'préoccupes',
    'préoccupez',
    'préoccupiez',
    'préoccupions',
    'préoccupons',
    'préoccupâmes',
    'préoccupât',
    'préoccupâtes',
    'préoccupé',
    'préoccupée',
    'préoccupées',
    'préoccupés',
    'préoral',
    'préorale',
    'préorales',
    'préoraux',
    'prépaie',
    'prépaient',
    'prépaiera',
    'prépaierai',
    'prépaierais',
    'prépaierait',
    'prépaieras',
    'prépaierez',
    'prépaieriez',
    'prépaierions',
    'prépaierons',
    'prépaieront',
    'prépaies',
    'prépara',
    'préparai',
    'préparaient',
    'préparais',
    'préparait',
    'préparant',
    'préparas',
    'préparasse',
    'préparassent',
    'préparasses',
    'préparassiez',
    'préparateur',
    'préparateurs',
    'préparatifs',
    'préparation',
    'préparations',
    'préparatoire',
    'préparatrice',
    'prépare',
    'préparent',
    'préparer',
    'préparera',
    'préparerai',
    'préparerais',
    'préparerait',
    'prépareras',
    'préparerez',
    'prépareriez',
    'préparerions',
    'préparerons',
    'prépareront',
    'prépares',
    'préparez',
    'prépariez',
    'préparions',
    'préparons',
    'préparâmes',
    'préparât',
    'préparâtes',
    'préparèrent',
    'préparé',
    'préparée',
    'préparées',
    'préparés',
    'prépaya',
    'prépayai',
    'prépayaient',
    'prépayais',
    'prépayait',
    'prépayant',
    'prépayas',
    'prépayasse',
    'prépayassent',
    'prépayasses',
    'prépayassiez',
    'prépaye',
    'prépayent',
    'prépayer',
    'prépayera',
    'prépayerai',
    'prépayerais',
    'prépayerait',
    'prépayeras',
    'prépayerez',
    'prépayeriez',
    'prépayerions',
    'prépayerons',
    'prépayeront',
    'prépayes',
    'prépayez',
    'prépayiez',
    'prépayions',
    'prépayons',
    'prépayâmes',
    'prépayât',
    'prépayâtes',
    'prépayèrent',
    'prépayé',
    'prépayée',
    'prépayées',
    'prépayés',
    'prépondérant',
    'préposa',
    'préposai',
    'préposaient',
    'préposais',
    'préposait',
    'préposant',
    'préposas',
    'préposasse',
    'préposassent',
    'préposasses',
    'préposassiez',
    'prépose',
    'préposent',
    'préposer',
    'préposera',
    'préposerai',
    'préposerais',
    'préposerait',
    'préposeras',
    'préposerez',
    'préposeriez',
    'préposerions',
    'préposerons',
    'préposeront',
    'préposes',
    'préposez',
    'préposiez',
    'préposions',
    'prépositif',
    'prépositifs',
    'préposition',
    'prépositions',
    'prépositive',
    'prépositives',
    'préposons',
    'préposâmes',
    'préposât',
    'préposâtes',
    'préposèrent',
    'préposé',
    'préposée',
    'préposées',
    'préposés',
    'prépotence',
    'prépotences',
    'préprogrammé',
    'prépuce',
    'prépuces',
    'préretraite',
    'préretraites',
    'prérogative',
    'prérogatives',
    'prérègle',
    'prérèglent',
    'prérègles',
    'prérégla',
    'préréglai',
    'préréglaient',
    'préréglais',
    'préréglait',
    'préréglant',
    'préréglas',
    'préréglasse',
    'préréglasses',
    'prérégler',
    'préréglera',
    'préréglerai',
    'préréglerais',
    'préréglerait',
    'prérégleras',
    'préréglerez',
    'prérégleriez',
    'préréglerons',
    'prérégleront',
    'préréglez',
    'prérégliez',
    'préréglions',
    'préréglons',
    'préréglâmes',
    'préréglât',
    'préréglâtes',
    'préréglèrent',
    'préréglé',
    'préréglée',
    'préréglées',
    'préréglés',
    'prés',
    'présage',
    'présagea',
    'présageai',
    'présageaient',
    'présageais',
    'présageait',
    'présageant',
    'présageas',
    'présageasse',
    'présageasses',
    'présagent',
    'présageons',
    'présager',
    'présagera',
    'présagerai',
    'présagerais',
    'présagerait',
    'présageras',
    'présagerez',
    'présageriez',
    'présagerions',
    'présagerons',
    'présageront',
    'présages',
    'présagez',
    'présageâmes',
    'présageât',
    'présageâtes',
    'présagiez',
    'présagions',
    'présagèrent',
    'présagé',
    'présagée',
    'présagées',
    'présagés',
    'présalaire',
    'présalaires',
    'présanctifié',
    'préscolaire',
    'préscolaires',
    'présence',
    'présences',
    'présent',
    'présenta',
    'présentable',
    'présentables',
    'présentai',
    'présentaient',
    'présentais',
    'présentait',
    'présentant',
    'présentas',
    'présentasse',
    'présentasses',
    'présentateur',
    'présentation',
    'présente',
    'présentement',
    'présentent',
    'présenter',
    'présentera',
    'présenterai',
    'présenterais',
    'présenterait',
    'présenteras',
    'présenterez',
    'présenteriez',
    'présenterons',
    'présenteront',
    'présentes',
    'présentez',
    'présentiez',
    'présentions',
    'présentoir',
    'présentoirs',
    'présentons',
    'présents',
    'présentâmes',
    'présentât',
    'présentâtes',
    'présentèrent',
    'présenté',
    'présentée',
    'présentées',
    'présentés',
    'préserva',
    'préservai',
    'préservaient',
    'préservais',
    'préservait',
    'préservant',
    'préservas',
    'préservasse',
    'préservasses',
    'préservateur',
    'préservatif',
    'préservatifs',
    'préservation',
    'préserve',
    'préservent',
    'préserver',
    'préservera',
    'préserverai',
    'préserverais',
    'préserverait',
    'préserveras',
    'préserverez',
    'préserveriez',
    'préserverons',
    'préserveront',
    'préserves',
    'préservez',
    'préserviez',
    'préservions',
    'préservons',
    'préservâmes',
    'préservât',
    'préservâtes',
    'préservèrent',
    'préservé',
    'préservée',
    'préservées',
    'préservés',
    'présida',
    'présidai',
    'présidaient',
    'présidais',
    'présidait',
    'présidant',
    'présidas',
    'présidasse',
    'présidassent',
    'présidasses',
    'présidassiez',
    'préside',
    'présidence',
    'présidences',
    'président',
    'présidente',
    'présidentes',
    'présidentiel',
    'présidents',
    'présider',
    'présidera',
    'présiderai',
    'présiderais',
    'présiderait',
    'présideras',
    'présiderez',
    'présideriez',
    'présiderions',
    'présiderons',
    'présideront',
    'présides',
    'présidez',
    'présidial',
    'présidiaux',
    'présidiez',
    'présidions',
    'présidium',
    'présidiums',
    'présidons',
    'présidâmes',
    'présidât',
    'présidâtes',
    'présidèrent',
    'présidé',
    'présidée',
    'présidées',
    'présidés',
    'présomptif',
    'présomptifs',
    'présomption',
    'présomptions',
    'présomptive',
    'présomptives',
    'présomptueux',
    'présuma',
    'présumable',
    'présumables',
    'présumai',
    'présumaient',
    'présumais',
    'présumait',
    'présumant',
    'présumas',
    'présumasse',
    'présumassent',
    'présumasses',
    'présumassiez',
    'présume',
    'présument',
    'présumer',
    'présumera',
    'présumerai',
    'présumerais',
    'présumerait',
    'présumeras',
    'présumerez',
    'présumeriez',
    'présumerions',
    'présumerons',
    'présumeront',
    'présumes',
    'présumez',
    'présumiez',
    'présumions',
    'présumons',
    'présumâmes',
    'présumât',
    'présumâtes',
    'présumèrent',
    'présumé',
    'présumée',
    'présumées',
    'présumés',
    'présupposa',
    'présupposai',
    'présupposais',
    'présupposait',
    'présupposant',
    'présupposas',
    'présuppose',
    'présupposent',
    'présupposer',
    'présupposera',
    'présupposes',
    'présupposez',
    'présupposiez',
    'présupposons',
    'présupposât',
    'présupposé',
    'présupposée',
    'présupposées',
    'présupposés',
    'présura',
    'présurai',
    'présuraient',
    'présurais',
    'présurait',
    'présurant',
    'présuras',
    'présurasse',
    'présurassent',
    'présurasses',
    'présurassiez',
    'présure',
    'présurent',
    'présurer',
    'présurera',
    'présurerai',
    'présurerais',
    'présurerait',
    'présureras',
    'présurerez',
    'présureriez',
    'présurerions',
    'présurerons',
    'présureront',
    'présures',
    'présurez',
    'présuriez',
    'présurions',
    'présurons',
    'présurâmes',
    'présurât',
    'présurâtes',
    'présurèrent',
    'présuré',
    'présurée',
    'présurées',
    'présurés',
    'préséance',
    'préséances',
    'présélecteur',
    'présélection',
    'présérie',
    'préséries',
    'prétantaine',
    'prétantaines',
    'prétend',
    'prétendaient',
    'prétendais',
    'prétendait',
    'prétendant',
    'prétendante',
    'prétendantes',
    'prétendants',
    'prétende',
    'prétendent',
    'prétendes',
    'prétendez',
    'prétendiez',
    'prétendions',
    'prétendirent',
    'prétendis',
    'prétendisse',
    'prétendisses',
    'prétendit',
    'prétendons',
    'prétendra',
    'prétendrai',
    'prétendrais',
    'prétendrait',
    'prétendras',
    'prétendre',
    'prétendrez',
    'prétendriez',
    'prétendrions',
    'prétendrons',
    'prétendront',
    'prétends',
    'prétendu',
    'prétendue',
    'prétendues',
    'prétendument',
    'prétendus',
    'prétendîmes',
    'prétendît',
    'prétendîtes',
    'prétentaine',
    'prétentaines',
    'prétentiard',
    'prétentiarde',
    'prétentiards',
    'prétentieuse',
    'prétentieux',
    'prétention',
    'prétentions',
    'préteur',
    'préteurs',
    'préteuse',
    'préteuses',
    'prétexta',
    'prétextai',
    'prétextaient',
    'prétextais',
    'prétextait',
    'prétextant',
    'prétextas',
    'prétextasse',
    'prétextasses',
    'prétexte',
    'prétextent',
    'prétexter',
    'prétextera',
    'prétexterai',
    'prétexterais',
    'prétexterait',
    'prétexteras',
    'prétexterez',
    'prétexteriez',
    'prétexterons',
    'prétexteront',
    'prétextes',
    'prétextez',
    'prétextiez',
    'prétextions',
    'prétextons',
    'prétextâmes',
    'prétextât',
    'prétextâtes',
    'prétextèrent',
    'prétexté',
    'prétextée',
    'prétextées',
    'prétextés',
    'prétoire',
    'prétoires',
    'prétorial',
    'prétoriale',
    'prétoriales',
    'prétoriaux',
    'prétorien',
    'prétorienne',
    'prétoriennes',
    'prétoriens',
    'prétérit',
    'prétérition',
    'prétéritions',
    'prétérits',
    'prévalaient',
    'prévalais',
    'prévalait',
    'prévalant',
    'prévale',
    'prévalence',
    'prévalences',
    'prévalent',
    'prévales',
    'prévalez',
    'prévaliez',
    'prévalions',
    'prévaloir',
    'prévalons',
    'prévalu',
    'prévalue',
    'prévalues',
    'prévalurent',
    'prévalus',
    'prévalusse',
    'prévalussent',
    'prévalusses',
    'prévalussiez',
    'prévalut',
    'prévalûmes',
    'prévalût',
    'prévalûtes',
    'prévariqua',
    'prévariquai',
    'prévariquais',
    'prévariquait',
    'prévariquant',
    'prévariquas',
    'prévarique',
    'prévariquent',
    'prévariquer',
    'prévariquera',
    'prévariques',
    'prévariquez',
    'prévariquiez',
    'prévariquons',
    'prévariquât',
    'prévariqué',
    'prévaudra',
    'prévaudrai',
    'prévaudrais',
    'prévaudrait',
    'prévaudras',
    'prévaudrez',
    'prévaudriez',
    'prévaudrions',
    'prévaudrons',
    'prévaudront',
    'prévaut',
    'prévaux',
    'prévenaient',
    'prévenais',
    'prévenait',
    'prévenance',
    'prévenances',
    'prévenant',
    'prévenante',
    'prévenantes',
    'prévenants',
    'prévenez',
    'préveniez',
    'prévenions',
    'prévenir',
    'prévenons',
    'préventif',
    'préventifs',
    'prévention',
    'préventions',
    'préventive',
    'préventives',
    'préventorium',
    'prévenu',
    'prévenue',
    'prévenues',
    'prévenus',
    'préverbe',
    'préverbes',
    'préviendra',
    'préviendrai',
    'préviendrais',
    'préviendrait',
    'préviendras',
    'préviendrez',
    'préviendriez',
    'préviendrons',
    'préviendront',
    'prévienne',
    'préviennent',
    'préviennes',
    'préviens',
    'prévient',
    'prévinrent',
    'prévins',
    'prévinsse',
    'prévinssent',
    'prévinsses',
    'prévinssiez',
    'prévinssions',
    'prévint',
    'prévirent',
    'prévis',
    'prévisible',
    'prévisibles',
    'prévision',
    'prévisionnel',
    'prévisions',
    'prévisse',
    'prévissent',
    'prévisses',
    'prévissiez',
    'prévissions',
    'prévit',
    'prévoie',
    'prévoient',
    'prévoies',
    'prévoir',
    'prévoira',
    'prévoirai',
    'prévoiraient',
    'prévoirais',
    'prévoirait',
    'prévoiras',
    'prévoirez',
    'prévoiriez',
    'prévoirions',
    'prévoirons',
    'prévoiront',
    'prévois',
    'prévoit',
    'prévoyaient',
    'prévoyais',
    'prévoyait',
    'prévoyance',
    'prévoyances',
    'prévoyant',
    'prévoyante',
    'prévoyantes',
    'prévoyants',
    'prévoyez',
    'prévoyiez',
    'prévoyions',
    'prévoyons',
    'prévu',
    'prévue',
    'prévues',
    'prévus',
    'prévîmes',
    'prévînmes',
    'prévînt',
    'prévîntes',
    'prévît',
    'prévîtes',
    'prévôt',
    'prévôtal',
    'prévôtale',
    'prévôtales',
    'prévôtaux',
    'prévôts',
    'prévôté',
    'prévôtés',
    'préélectoral',
    'prééminence',
    'prééminences',
    'prééminent',
    'prééminente',
    'prééminentes',
    'prééminents',
    'préétabli',
    'préétablie',
    'préétablies',
    'préétablir',
    'préétablira',
    'préétablirai',
    'préétabliras',
    'préétablirez',
    'préétablis',
    'préétablisse',
    'préétablit',
    'préétablîmes',
    'préétablît',
    'préétablîtes',
    'prêcha',
    'prêchai',
    'prêchaient',
    'prêchais',
    'prêchait',
    'prêchant',
    'prêchas',
    'prêchasse',
    'prêchassent',
    'prêchasses',
    'prêchassiez',
    'prêchassions',
    'prêche',
    'prêchent',
    'prêcher',
    'prêchera',
    'prêcherai',
    'prêcheraient',
    'prêcherais',
    'prêcherait',
    'prêcheras',
    'prêcherez',
    'prêcheriez',
    'prêcherions',
    'prêcherons',
    'prêcheront',
    'prêches',
    'prêcheur',
    'prêcheurs',
    'prêcheuse',
    'prêcheuses',
    'prêchez',
    'prêchiez',
    'prêchions',
    'prêchons',
    'prêchâmes',
    'prêchât',
    'prêchâtes',
    'prêchèrent',
    'prêché',
    'prêchée',
    'prêchées',
    'prêchés',
    'prêle',
    'prêles',
    'prêt',
    'prêta',
    'prêtai',
    'prêtaient',
    'prêtais',
    'prêtait',
    'prêtant',
    'prêtas',
    'prêtasse',
    'prêtassent',
    'prêtasses',
    'prêtassiez',
    'prêtassions',
    'prête',
    'prêtent',
    'prêter',
    'prêtera',
    'prêterai',
    'prêteraient',
    'prêterais',
    'prêterait',
    'prêteras',
    'prêterez',
    'prêteriez',
    'prêterions',
    'prêterons',
    'prêteront',
    'prêtes',
    'prêteur',
    'prêteurs',
    'prêteuse',
    'prêteuses',
    'prêtez',
    'prêtiez',
    'prêtions',
    'prêtons',
    'prêtre',
    'prêtres',
    'prêtresse',
    'prêtresses',
    'prêtrise',
    'prêtrises',
    'prêts',
    'prêtâmes',
    'prêtât',
    'prêtâtes',
    'prêtèrent',
    'prêté',
    'prêtée',
    'prêtées',
    'prêtés',
    'prîmes',
    'prît',
    'prîtes',
    'prôna',
    'prônai',
    'prônaient',
    'prônais',
    'prônait',
    'prônant',
    'prônas',
    'prônasse',
    'prônassent',
    'prônasses',
    'prônassiez',
    'prônassions',
    'prône',
    'prônent',
    'prôner',
    'prônera',
    'prônerai',
    'prôneraient',
    'prônerais',
    'prônerait',
    'prôneras',
    'prônerez',
    'prôneriez',
    'prônerions',
    'prônerons',
    'prôneront',
    'prônes',
    'prôneur',
    'prôneurs',
    'prôneuse',
    'prôneuses',
    'prônez',
    'prôniez',
    'prônions',
    'prônons',
    'prônâmes',
    'prônât',
    'prônâtes',
    'prônèrent',
    'prôné',
    'prônée',
    'prônées',
    'prônés',
    'psallette',
    'psallettes',
    'psalliote',
    'psalliotes',
    'psalmiste',
    'psalmistes',
    'psalmodia',
    'psalmodiai',
    'psalmodiais',
    'psalmodiait',
    'psalmodiant',
    'psalmodias',
    'psalmodiasse',
    'psalmodie',
    'psalmodient',
    'psalmodier',
    'psalmodiera',
    'psalmodierai',
    'psalmodieras',
    'psalmodierez',
    'psalmodies',
    'psalmodiez',
    'psalmodiiez',
    'psalmodiions',
    'psalmodions',
    'psalmodiâmes',
    'psalmodiât',
    'psalmodiâtes',
    'psalmodié',
    'psalmodiée',
    'psalmodiées',
    'psalmodiés',
    'psaltérion',
    'psaltérions',
    'psaume',
    'psaumes',
    'psautier',
    'psautiers',
    'pschent',
    'pschents',
    'pseudo',
    'pseudonyme',
    'pseudonymes',
    'pseudopode',
    'pseudopodes',
    'psitt',
    'psittacisme',
    'psittacismes',
    'psittacose',
    'psittacoses',
    'psoas',
    'psoque',
    'psoques',
    'psoriasis',
    'psychanalysa',
    'psychanalyse',
    'psychanalysé',
    'psychiatre',
    'psychiatres',
    'psychiatrie',
    'psychiatries',
    'psychiatrisa',
    'psychiatrise',
    'psychiatrisé',
    'psychique',
    'psychiques',
    'psychisme',
    'psychismes',
    'psychodrame',
    'psychodrames',
    'psychologie',
    'psychologies',
    'psychologue',
    'psychologues',
    'psychomoteur',
    'psychométrie',
    'psychopathe',
    'psychopathes',
    'psychopathie',
    'psychopompe',
    'psychopompes',
    'psychorigide',
    'psychose',
    'psychoses',
    'psychosocial',
    'psychotique',
    'psychotiques',
    'psychè',
    'psychès',
    'psyché',
    'psychés',
    'ptolémaïque',
    'ptolémaïques',
    'ptomaïne',
    'ptomaïnes',
    'ptyaline',
    'ptyalines',
    'ptyalisme',
    'ptyalismes',
    'ptérodactyle',
    'ptôse',
    'ptôses',
    'ptôsis',
    'puai',
    'puaient',
    'puais',
    'puait',
    'puant',
    'puante',
    'puantes',
    'puanteur',
    'puanteurs',
    'puants',
    'puas',
    'puasse',
    'puassent',
    'puasses',
    'puassiez',
    'puassions',
    'pubertaire',
    'pubertaires',
    'puberté',
    'pubertés',
    'pubescence',
    'pubescences',
    'pubescent',
    'pubescente',
    'pubescentes',
    'pubescents',
    'pubien',
    'pubienne',
    'pubiennes',
    'pubiens',
    'pubis',
    'publia',
    'publiable',
    'publiables',
    'publiai',
    'publiaient',
    'publiais',
    'publiait',
    'publiant',
    'publias',
    'publiasse',
    'publiassent',
    'publiasses',
    'publiassiez',
    'publiassions',
    'public',
    'publicain',
    'publicains',
    'publication',
    'publications',
    'publiciste',
    'publicistes',
    'publicitaire',
    'publicité',
    'publicités',
    'publics',
    'publie',
    'publient',
    'publier',
    'publiera',
    'publierai',
    'publieraient',
    'publierais',
    'publierait',
    'publieras',
    'publierez',
    'publieriez',
    'publierions',
    'publierons',
    'publieront',
    'publies',
    'publiez',
    'publiiez',
    'publiions',
    'publions',
    'publipostage',
    'publique',
    'publiquement',
    'publiques',
    'publiâmes',
    'publiât',
    'publiâtes',
    'publièrent',
    'publié',
    'publiée',
    'publiées',
    'publiés',
    'pubs',
    'pubère',
    'pubères',
    'puccinia',
    'puccinias',
    'puccinie',
    'puccinies',
    'puce',
    'puceau',
    'puceaux',
    'pucelage',
    'pucelages',
    'pucelle',
    'pucelles',
    'puceron',
    'pucerons',
    'puces',
    'puche',
    'puches',
    'pucheux',
    'pucier',
    'puciers',
    'pudding',
    'puddings',
    'puddlage',
    'puddlages',
    'puddler',
    'puddleur',
    'puddleurs',
    'pudeur',
    'pudeurs',
    'pudibond',
    'pudibonde',
    'pudibonderie',
    'pudibondes',
    'pudibonds',
    'pudicité',
    'pudicités',
    'pudique',
    'pudiquement',
    'pudiques',
    'puent',
    'puer',
    'puera',
    'puerai',
    'pueraient',
    'puerais',
    'puerait',
    'pueras',
    'puerez',
    'pueriez',
    'puerions',
    'puerons',
    'pueront',
    'puerpéral',
    'puerpérale',
    'puerpérales',
    'puerpéraux',
    'pues',
    'puez',
    'puffin',
    'puffins',
    'pugilat',
    'pugilats',
    'pugiliste',
    'pugilistes',
    'pugilistique',
    'pugnace',
    'pugnaces',
    'pugnacité',
    'pugnacités',
    'puiez',
    'puions',
    'puis',
    'puisa',
    'puisage',
    'puisages',
    'puisai',
    'puisaient',
    'puisais',
    'puisait',
    'puisant',
    'puisard',
    'puisards',
    'puisas',
    'puisasse',
    'puisassent',
    'puisasses',
    'puisassiez',
    'puisassions',
    'puisatier',
    'puisatiers',
    'puise',
    'puisement',
    'puisements',
    'puisent',
    'puiser',
    'puisera',
    'puiserai',
    'puiseraient',
    'puiserais',
    'puiserait',
    'puiseras',
    'puiserez',
    'puiseriez',
    'puiserions',
    'puiserons',
    'puiseront',
    'puises',
    'puisette',
    'puisettes',
    'puisez',
    'puisiez',
    'puisions',
    'puisons',
    'puisqu',
    'puisque',
    'puisqú',
    'puissamment',
    'puissance',
    'puissances',
    'puissant',
    'puissante',
    'puissantes',
    'puissants',
    'puisse',
    'puissent',
    'puisses',
    'puissiez',
    'puissions',
    'puisâmes',
    'puisât',
    'puisâtes',
    'puisèrent',
    'puisé',
    'puisée',
    'puisées',
    'puisés',
    'puits',
    'pulicaire',
    'pulicaires',
    'pull',
    'pullman',
    'pullmans',
    'pullorose',
    'pulloroses',
    'pulls',
    'pullula',
    'pullulai',
    'pullulaient',
    'pullulais',
    'pullulait',
    'pullulant',
    'pullulante',
    'pullulantes',
    'pullulants',
    'pullulas',
    'pullulasse',
    'pullulassent',
    'pullulasses',
    'pullulassiez',
    'pullulation',
    'pullulations',
    'pullule',
    'pullulement',
    'pullulements',
    'pullulent',
    'pulluler',
    'pullulera',
    'pullulerai',
    'pullulerais',
    'pullulerait',
    'pulluleras',
    'pullulerez',
    'pulluleriez',
    'pullulerions',
    'pullulerons',
    'pulluleront',
    'pullules',
    'pullulez',
    'pulluliez',
    'pullulions',
    'pullulons',
    'pullulâmes',
    'pullulât',
    'pullulâtes',
    'pullulèrent',
    'pullulé',
    'pulmonaire',
    'pulmonaires',
    'pulpaire',
    'pulpaires',
    'pulpe',
    'pulpes',
    'pulpeuse',
    'pulpeuses',
    'pulpeux',
    'pulque',
    'pulques',
    'pulsa',
    'pulsai',
    'pulsaient',
    'pulsais',
    'pulsait',
    'pulsant',
    'pulsar',
    'pulsars',
    'pulsas',
    'pulsasse',
    'pulsassent',
    'pulsasses',
    'pulsassiez',
    'pulsassions',
    'pulsation',
    'pulsations',
    'pulse',
    'pulsent',
    'pulser',
    'pulsera',
    'pulserai',
    'pulseraient',
    'pulserais',
    'pulserait',
    'pulseras',
    'pulserez',
    'pulseriez',
    'pulserions',
    'pulserons',
    'pulseront',
    'pulses',
    'pulsez',
    'pulsiez',
    'pulsion',
    'pulsionnel',
    'pulsionnelle',
    'pulsionnels',
    'pulsions',
    'pulsons',
    'pulsâmes',
    'pulsât',
    'pulsâtes',
    'pulsèrent',
    'pulsé',
    'pulsée',
    'pulsées',
    'pulsés',
    'pultacé',
    'pultacée',
    'pultacées',
    'pultacés',
    'pulvérin',
    'pulvérins',
    'pulvérisa',
    'pulvérisable',
    'pulvérisai',
    'pulvérisais',
    'pulvérisait',
    'pulvérisant',
    'pulvérisas',
    'pulvérisasse',
    'pulvérise',
    'pulvérisent',
    'pulvériser',
    'pulvérisera',
    'pulvériserai',
    'pulvériseras',
    'pulvériserez',
    'pulvérises',
    'pulvériseur',
    'pulvériseurs',
    'pulvérisez',
    'pulvérisiez',
    'pulvérisions',
    'pulvérisons',
    'pulvérisâmes',
    'pulvérisât',
    'pulvérisâtes',
    'pulvérisé',
    'pulvérisée',
    'pulvérisées',
    'pulvérisés',
    'pulvérulence',
    'pulvérulent',
    'pulvérulente',
    'pulvérulents',
    'puma',
    'pumas',
    'puna',
    'punaisa',
    'punaisai',
    'punaisaient',
    'punaisais',
    'punaisait',
    'punaisant',
    'punaisas',
    'punaisasse',
    'punaisassent',
    'punaisasses',
    'punaisassiez',
    'punaise',
    'punaisent',
    'punaiser',
    'punaisera',
    'punaiserai',
    'punaiserais',
    'punaiserait',
    'punaiseras',
    'punaiserez',
    'punaiseriez',
    'punaiserions',
    'punaiserons',
    'punaiseront',
    'punaises',
    'punaisez',
    'punaisiez',
    'punaisions',
    'punaisons',
    'punaisâmes',
    'punaisât',
    'punaisâtes',
    'punaisèrent',
    'punaisé',
    'punaisée',
    'punaisées',
    'punaisés',
    'punas',
    'punch',
    'puncheur',
    'puncheurs',
    'punchs',
    'puni',
    'punie',
    'punies',
    'punique',
    'puniques',
    'punir',
    'punira',
    'punirai',
    'puniraient',
    'punirais',
    'punirait',
    'puniras',
    'punirent',
    'punirez',
    'puniriez',
    'punirions',
    'punirons',
    'puniront',
    'punis',
    'punissable',
    'punissables',
    'punissaient',
    'punissais',
    'punissait',
    'punissant',
    'punisse',
    'punissent',
    'punisses',
    'punissez',
    'punissiez',
    'punissions',
    'punissons',
    'punit',
    'punitif',
    'punitifs',
    'punition',
    'punitions',
    'punitive',
    'punitives',
    'punk',
    'punks',
    'puntarelle',
    'puntarelles',
    'punîmes',
    'punît',
    'punîtes',
    'puons',
    'pupazzi',
    'pupazzo',
    'pupe',
    'pupes',
    'pupillaire',
    'pupillaires',
    'pupillarité',
    'pupillarités',
    'pupille',
    'pupilles',
    'pupinisation',
    'pupitre',
    'pupitres',
    'pupitreur',
    'pupitreurs',
    'pupitreuse',
    'pupitreuses',
    'pure',
    'pureau',
    'pureaux',
    'purement',
    'purent',
    'pures',
    'pureté',
    'puretés',
    'purgatif',
    'purgatifs',
    'purgation',
    'purgations',
    'purgative',
    'purgatives',
    'purgatoire',
    'purgatoires',
    'purge',
    'purgea',
    'purgeai',
    'purgeaient',
    'purgeais',
    'purgeait',
    'purgeant',
    'purgeas',
    'purgeasse',
    'purgeassent',
    'purgeasses',
    'purgeassiez',
    'purgeassions',
    'purgent',
    'purgeoir',
    'purgeoirs',
    'purgeons',
    'purger',
    'purgera',
    'purgerai',
    'purgeraient',
    'purgerais',
    'purgerait',
    'purgeras',
    'purgerez',
    'purgeriez',
    'purgerions',
    'purgerons',
    'purgeront',
    'purges',
    'purgeur',
    'purgeurs',
    'purgez',
    'purgeâmes',
    'purgeât',
    'purgeâtes',
    'purgiez',
    'purgions',
    'purgèrent',
    'purgé',
    'purgée',
    'purgées',
    'purgés',
    'purifia',
    'purifiai',
    'purifiaient',
    'purifiais',
    'purifiait',
    'purifiant',
    'purifias',
    'purifiasse',
    'purifiassent',
    'purifiasses',
    'purifiassiez',
    'purificateur',
    'purification',
    'purifie',
    'purifient',
    'purifier',
    'purifiera',
    'purifierai',
    'purifierais',
    'purifierait',
    'purifieras',
    'purifierez',
    'purifieriez',
    'purifierions',
    'purifierons',
    'purifieront',
    'purifies',
    'purifiez',
    'purifiiez',
    'purifiions',
    'purifions',
    'purifiâmes',
    'purifiât',
    'purifiâtes',
    'purifièrent',
    'purifié',
    'purifiée',
    'purifiées',
    'purifiés',
    'purin',
    'purine',
    'purines',
    'purins',
    'purisme',
    'purismes',
    'puriste',
    'puristes',
    'puritain',
    'puritaine',
    'puritaines',
    'puritains',
    'puritanisme',
    'puritanismes',
    'purot',
    'purotin',
    'purotins',
    'purots',
    'purpura',
    'purpuras',
    'purpurin',
    'purpurine',
    'purpurines',
    'purpurins',
    'purs',
    'purulence',
    'purulences',
    'purulent',
    'purulente',
    'purulentes',
    'purulents',
    'purée',
    'purées',
    'puseyisme',
    'puseyismes',
    'pusillanime',
    'pusillanimes',
    'pusse',
    'pussent',
    'pusses',
    'pussiez',
    'pussions',
    'pustule',
    'pustules',
    'pustuleuse',
    'pustuleuses',
    'pustuleux',
    'putain',
    'putains',
    'putassassier',
    'putatif',
    'putatifs',
    'putative',
    'putatives',
    'pute',
    'putes',
    'putier',
    'putiers',
    'putiet',
    'putiets',
    'putois',
    'putrescence',
    'putrescences',
    'putrescent',
    'putrescente',
    'putrescentes',
    'putrescents',
    'putrescible',
    'putrescibles',
    'putride',
    'putrides',
    'putridité',
    'putridités',
    'putréfaction',
    'putréfia',
    'putréfiable',
    'putréfiables',
    'putréfiai',
    'putréfiaient',
    'putréfiais',
    'putréfiait',
    'putréfiant',
    'putréfias',
    'putréfiasse',
    'putréfiasses',
    'putréfie',
    'putréfient',
    'putréfier',
    'putréfiera',
    'putréfierai',
    'putréfierais',
    'putréfierait',
    'putréfieras',
    'putréfierez',
    'putréfieriez',
    'putréfierons',
    'putréfieront',
    'putréfies',
    'putréfiez',
    'putréfiiez',
    'putréfiions',
    'putréfions',
    'putréfiâmes',
    'putréfiât',
    'putréfiâtes',
    'putréfièrent',
    'putréfié',
    'putréfiée',
    'putréfiées',
    'putréfiés',
    'putsch',
    'putschiste',
    'putschistes',
    'putschs',
    'putti',
    'putto',
    'puys',
    'puzzle',
    'puzzles',
    'puâmes',
    'puât',
    'puâtes',
    'puèrent',
    'puée',
    'puées',
    'puériculture',
    'puéril',
    'puérile',
    'puérilement',
    'puériles',
    'puérilisme',
    'puérilismes',
    'puérilité',
    'puérilités',
    'puérils',
    'pués',
    'puîné',
    'puînée',
    'puînées',
    'puînés',
    'pycnomètre',
    'pycnomètres',
    'pycnose',
    'pycnoses',
    'pygargue',
    'pygargues',
    'pygmée',
    'pygmées',
    'pyjama',
    'pyjamas',
    'pylore',
    'pylores',
    'pylorique',
    'pyloriques',
    'pylône',
    'pylônes',
    'pyodermite',
    'pyodermites',
    'pyogène',
    'pyogènes',
    'pyorrhée',
    'pyorrhées',
    'pyrale',
    'pyrales',
    'pyramida',
    'pyramidai',
    'pyramidaient',
    'pyramidais',
    'pyramidait',
    'pyramidal',
    'pyramidale',
    'pyramidales',
    'pyramidant',
    'pyramidas',
    'pyramidasse',
    'pyramidasses',
    'pyramidaux',
    'pyramide',
    'pyramident',
    'pyramider',
    'pyramidera',
    'pyramiderai',
    'pyramiderais',
    'pyramiderait',
    'pyramideras',
    'pyramiderez',
    'pyramideriez',
    'pyramiderons',
    'pyramideront',
    'pyramides',
    'pyramidez',
    'pyramidiez',
    'pyramidion',
    'pyramidions',
    'pyramidons',
    'pyramidâmes',
    'pyramidât',
    'pyramidâtes',
    'pyramidèrent',
    'pyramidé',
    'pyramidée',
    'pyramidées',
    'pyramidés',
    'pyrex',
    'pyrexie',
    'pyrexies',
    'pyridoxine',
    'pyridoxines',
    'pyrimidine',
    'pyrimidines',
    'pyrite',
    'pyrites',
    'pyrogallol',
    'pyrogallols',
    'pyrograva',
    'pyrogravai',
    'pyrogravais',
    'pyrogravait',
    'pyrogravant',
    'pyrogravas',
    'pyrogravasse',
    'pyrograve',
    'pyrogravent',
    'pyrograver',
    'pyrogravera',
    'pyrograverai',
    'pyrograveras',
    'pyrograverez',
    'pyrograves',
    'pyrograveur',
    'pyrograveurs',
    'pyrograveuse',
    'pyrogravez',
    'pyrograviez',
    'pyrogravions',
    'pyrogravons',
    'pyrogravure',
    'pyrogravures',
    'pyrogravâmes',
    'pyrogravât',
    'pyrogravâtes',
    'pyrogravé',
    'pyrogravée',
    'pyrogravées',
    'pyrogravés',
    'pyrogène',
    'pyrogènes',
    'pyrogénation',
    'pyroligneux',
    'pyrolyse',
    'pyrolyses',
    'pyromane',
    'pyromanes',
    'pyromanie',
    'pyromanies',
    'pyromètre',
    'pyromètres',
    'pyrométrie',
    'pyrométries',
    'pyrométrique',
    'pyrophore',
    'pyrophores',
    'pyrotechnie',
    'pyrotechnies',
    'pyroxylé',
    'pyroxylée',
    'pyroxylées',
    'pyroxylés',
    'pyrrhique',
    'pyrrhiques',
    'pyrrhonien',
    'pyrrhonienne',
    'pyrrhoniens',
    'pyrrhonisme',
    'pyrrhonismes',
    'pyrrol',
    'pyrrole',
    'pyrroles',
    'pyrrols',
    'pyrène',
    'pyrènes',
    'pyrèthre',
    'pyrèthres',
    'pyrénéen',
    'pyrénéenne',
    'pyrénéennes',
    'pyrénéens',
    'pyrénéite',
    'pyrénéites',
    'pythagorique',
    'pythagorisme',
    'pythie',
    'pythien',
    'pythienne',
    'pythiennes',
    'pythiens',
    'pythies',
    'pythiques',
    'python',
    'pythonisse',
    'pythonisses',
    'pythons',
    'pyurie',
    'pyuries',
    'pyxide',
    'pyxides',
    'pyélite',
    'pyélites',
    'pâle',
    'pâles',
    'pâleur',
    'pâleurs',
    'pâli',
    'pâlichon',
    'pâlichonne',
    'pâlichonnes',
    'pâlichons',
    'pâlie',
    'pâlies',
    'pâlir',
    'pâlira',
    'pâlirai',
    'pâliraient',
    'pâlirais',
    'pâlirait',
    'pâliras',
    'pâlirent',
    'pâlirez',
    'pâliriez',
    'pâlirions',
    'pâlirons',
    'pâliront',
    'pâlis',
    'pâlissaient',
    'pâlissais',
    'pâlissait',
    'pâlissant',
    'pâlissante',
    'pâlissantes',
    'pâlissants',
    'pâlisse',
    'pâlissent',
    'pâlisses',
    'pâlissez',
    'pâlissiez',
    'pâlissions',
    'pâlissons',
    'pâlit',
    'pâlot',
    'pâlots',
    'pâlotte',
    'pâlottes',
    'pâlîmes',
    'pâlît',
    'pâlîtes',
    'pâma',
    'pâmai',
    'pâmaient',
    'pâmais',
    'pâmait',
    'pâmant',
    'pâmas',
    'pâmasse',
    'pâmassent',
    'pâmasses',
    'pâmassiez',
    'pâmassions',
    'pâme',
    'pâment',
    'pâmer',
    'pâmera',
    'pâmerai',
    'pâmeraient',
    'pâmerais',
    'pâmerait',
    'pâmeras',
    'pâmerez',
    'pâmeriez',
    'pâmerions',
    'pâmerons',
    'pâmeront',
    'pâmes',
    'pâmez',
    'pâmiez',
    'pâmions',
    'pâmoison',
    'pâmoisons',
    'pâmons',
    'pâmâmes',
    'pâmât',
    'pâmâtes',
    'pâmèrent',
    'pâmé',
    'pâmée',
    'pâmées',
    'pâmés',
    'pâque',
    'pâquerette',
    'pâquerettes',
    'pâques',
    'pâta',
    'pâtai',
    'pâtaient',
    'pâtais',
    'pâtait',
    'pâtant',
    'pâtas',
    'pâtasse',
    'pâtassent',
    'pâtasses',
    'pâtassiez',
    'pâtassions',
    'pâte',
    'pâtent',
    'pâter',
    'pâtera',
    'pâterai',
    'pâteraient',
    'pâterais',
    'pâterait',
    'pâteras',
    'pâterez',
    'pâteriez',
    'pâterions',
    'pâterons',
    'pâteront',
    'pâtes',
    'pâteuse',
    'pâteuses',
    'pâteux',
    'pâtez',
    'pâti',
    'pâtie',
    'pâties',
    'pâtiez',
    'pâtions',
    'pâtir',
    'pâtira',
    'pâtirai',
    'pâtiraient',
    'pâtirais',
    'pâtirait',
    'pâtiras',
    'pâtirent',
    'pâtirez',
    'pâtiriez',
    'pâtirions',
    'pâtirons',
    'pâtiront',
    'pâtis',
    'pâtissa',
    'pâtissai',
    'pâtissaient',
    'pâtissais',
    'pâtissait',
    'pâtissant',
    'pâtissas',
    'pâtissasse',
    'pâtissassent',
    'pâtissasses',
    'pâtissassiez',
    'pâtisse',
    'pâtissent',
    'pâtisser',
    'pâtissera',
    'pâtisserai',
    'pâtisserais',
    'pâtisserait',
    'pâtisseras',
    'pâtisserez',
    'pâtisserie',
    'pâtisseries',
    'pâtisseriez',
    'pâtisserions',
    'pâtisserons',
    'pâtisseront',
    'pâtisses',
    'pâtissez',
    'pâtissier',
    'pâtissiers',
    'pâtissiez',
    'pâtissions',
    'pâtissière',
    'pâtissières',
    'pâtisson',
    'pâtissons',
    'pâtissâmes',
    'pâtissât',
    'pâtissâtes',
    'pâtissèrent',
    'pâtissé',
    'pâtissée',
    'pâtissées',
    'pâtissés',
    'pâtit',
    'pâton',
    'pâtons',
    'pâtre',
    'pâtres',
    'pâtura',
    'pâturage',
    'pâturages',
    'pâturai',
    'pâturaient',
    'pâturais',
    'pâturait',
    'pâturant',
    'pâturas',
    'pâturasse',
    'pâturassent',
    'pâturasses',
    'pâturassiez',
    'pâturassions',
    'pâture',
    'pâturent',
    'pâturer',
    'pâturera',
    'pâturerai',
    'pâtureraient',
    'pâturerais',
    'pâturerait',
    'pâtureras',
    'pâturerez',
    'pâtureriez',
    'pâturerions',
    'pâturerons',
    'pâtureront',
    'pâtures',
    'pâturez',
    'pâturiez',
    'pâturin',
    'pâturins',
    'pâturions',
    'pâturon',
    'pâturons',
    'pâturâmes',
    'pâturât',
    'pâturâtes',
    'pâturèrent',
    'pâturé',
    'pâturée',
    'pâturées',
    'pâturés',
    'pâtâmes',
    'pâtât',
    'pâtâtes',
    'pâtèrent',
    'pâté',
    'pâtée',
    'pâtées',
    'pâtés',
    'pâtîmes',
    'pâtît',
    'pâtîtes',
    'pèche',
    'pèchent',
    'pèches',
    'pègre',
    'pègres',
    'pèle',
    'pèlent',
    'pèlera',
    'pèlerai',
    'pèleraient',
    'pèlerais',
    'pèlerait',
    'pèleras',
    'pèlerez',
    'pèleriez',
    'pèlerin',
    'pèlerinage',
    'pèlerinages',
    'pèlerine',
    'pèlerines',
    'pèlerins',
    'pèlerions',
    'pèlerons',
    'pèleront',
    'pèles',
    'père',
    'pères',
    'pèse',
    'pèsent',
    'pèsera',
    'pèserai',
    'pèseraient',
    'pèserais',
    'pèserait',
    'pèseras',
    'pèserez',
    'pèseriez',
    'pèserions',
    'pèserons',
    'pèseront',
    'pèses',
    'pète',
    'pètent',
    'pètes',
    'pèze',
    'pèzes',
    'péage',
    'péageer',
    'péageers',
    'péages',
    'péageère',
    'péageères',
    'péagiste',
    'péagistes',
    'péan',
    'péans',
    'pébrine',
    'pébrines',
    'pébroc',
    'pébrocs',
    'pébroque',
    'pébroques',
    'pécari',
    'pécaris',
    'pécaïre',
    'pécha',
    'péchai',
    'péchaient',
    'péchais',
    'péchait',
    'péchant',
    'péchas',
    'péchasse',
    'péchassent',
    'péchasses',
    'péchassiez',
    'péchassions',
    'péche',
    'péchent',
    'pécher',
    'péchera',
    'pécherai',
    'pécheraient',
    'pécherais',
    'pécherait',
    'pécheras',
    'pécheresse',
    'pécheresses',
    'pécherez',
    'pécheriez',
    'pécherions',
    'pécherons',
    'pécheront',
    'péches',
    'pécheur',
    'pécheurs',
    'péchez',
    'péchiez',
    'péchions',
    'péchons',
    'péchâmes',
    'péchât',
    'péchâtes',
    'péchèrent',
    'péché',
    'péchée',
    'péchées',
    'péchés',
    'péclota',
    'péclotai',
    'péclotaient',
    'péclotais',
    'péclotait',
    'péclotant',
    'péclotas',
    'péclotasse',
    'péclotassent',
    'péclotasses',
    'péclotassiez',
    'péclote',
    'péclotent',
    'pécloter',
    'péclotera',
    'pécloterai',
    'pécloterais',
    'pécloterait',
    'pécloteras',
    'pécloterez',
    'pécloteriez',
    'pécloterions',
    'pécloterons',
    'pécloteront',
    'péclotes',
    'péclotez',
    'péclotiez',
    'péclotions',
    'péclotons',
    'péclotâmes',
    'péclotât',
    'péclotâtes',
    'péclotèrent',
    'pécloté',
    'pécoptéris',
    'pécore',
    'pécores',
    'péculat',
    'péculats',
    'pécule',
    'pécules',
    'pécuniaire',
    'pécuniaires',
    'pédagogie',
    'pédagogies',
    'pédagogique',
    'pédagogiques',
    'pédagogue',
    'pédagogues',
    'pédala',
    'pédalai',
    'pédalaient',
    'pédalais',
    'pédalait',
    'pédalant',
    'pédalas',
    'pédalasse',
    'pédalassent',
    'pédalasses',
    'pédalassiez',
    'pédalassions',
    'pédale',
    'pédalent',
    'pédaler',
    'pédalera',
    'pédalerai',
    'pédaleraient',
    'pédalerais',
    'pédalerait',
    'pédaleras',
    'pédalerez',
    'pédaleriez',
    'pédalerions',
    'pédalerons',
    'pédaleront',
    'pédales',
    'pédaleur',
    'pédaleurs',
    'pédaleuse',
    'pédaleuses',
    'pédalez',
    'pédalier',
    'pédaliers',
    'pédaliez',
    'pédalions',
    'pédalons',
    'pédalâmes',
    'pédalât',
    'pédalâtes',
    'pédalèrent',
    'pédalé',
    'pédant',
    'pédante',
    'pédanterie',
    'pédanteries',
    'pédantes',
    'pédantesque',
    'pédantesques',
    'pédantisme',
    'pédantismes',
    'pédants',
    'pédestre',
    'pédestrement',
    'pédestres',
    'pédiatre',
    'pédiatres',
    'pédiatrie',
    'pédiatries',
    'pédicellaire',
    'pédicelle',
    'pédicelles',
    'pédiculaire',
    'pédiculaires',
    'pédiculose',
    'pédiculoses',
    'pédiculé',
    'pédiculée',
    'pédiculées',
    'pédiculés',
    'pédicure',
    'pédicures',
    'pédicurie',
    'pédicuries',
    'pédieuse',
    'pédieuses',
    'pédieux',
    'pédimane',
    'pédimanes',
    'pédiment',
    'pédiments',
    'pédiplaine',
    'pédiplaines',
    'pédogenèse',
    'pédogenèses',
    'pédologie',
    'pédologies',
    'pédologue',
    'pédologues',
    'pédonculaire',
    'pédoncule',
    'pédoncules',
    'pédonculé',
    'pédonculée',
    'pédonculées',
    'pédonculés',
    'pédophile',
    'pédophiles',
    'pédophilie',
    'pédophilies',
    'pédéraste',
    'pédérastes',
    'pédérastie',
    'pédérasties',
    'pédérastique',
    'pégase',
    'pégases',
    'péjoratif',
    'péjoratifs',
    'péjoration',
    'péjorations',
    'péjorative',
    'péjoratives',
    'pékan',
    'pékans',
    'pékin',
    'pékinois',
    'pékinoise',
    'pékinoises',
    'pékins',
    'pékiné',
    'pékinée',
    'pékinées',
    'pékinés',
    'pélagianisme',
    'pélagien',
    'pélagienne',
    'pélagiennes',
    'pélagiens',
    'pélagique',
    'pélagiques',
    'pélamide',
    'pélamides',
    'pélamyde',
    'pélamydes',
    'pélargonium',
    'pélargoniums',
    'pélasgien',
    'pélasgienne',
    'pélasgiennes',
    'pélasgiens',
    'pélasgique',
    'pélasgiques',
    'péliade',
    'péliades',
    'pélican',
    'pélicans',
    'pélobate',
    'pélobates',
    'pélodyte',
    'pélodytes',
    'péléen',
    'péléenne',
    'péléennes',
    'péléens',
    'pénal',
    'pénale',
    'pénalement',
    'pénales',
    'pénalisa',
    'pénalisai',
    'pénalisaient',
    'pénalisais',
    'pénalisait',
    'pénalisant',
    'pénalisas',
    'pénalisasse',
    'pénalisasses',
    'pénalisation',
    'pénalise',
    'pénalisent',
    'pénaliser',
    'pénalisera',
    'pénaliserai',
    'pénaliserais',
    'pénaliserait',
    'pénaliseras',
    'pénaliserez',
    'pénaliseriez',
    'pénaliserons',
    'pénaliseront',
    'pénalises',
    'pénalisez',
    'pénalisiez',
    'pénalisions',
    'pénalisons',
    'pénalisâmes',
    'pénalisât',
    'pénalisâtes',
    'pénalisèrent',
    'pénalisé',
    'pénalisée',
    'pénalisées',
    'pénalisés',
    'pénalité',
    'pénalités',
    'pénard',
    'pénarde',
    'pénardement',
    'pénardes',
    'pénards',
    'pénates',
    'pénaux',
    'pénible',
    'péniblement',
    'pénibles',
    'péniche',
    'péniches',
    'pénicilline',
    'pénicillines',
    'pénicillium',
    'pénicilliums',
    'pénicillé',
    'pénicillée',
    'pénicillées',
    'pénicillés',
    'pénien',
    'pénienne',
    'péniennes',
    'péniens',
    'pénil',
    'pénils',
    'péninsulaire',
    'péninsule',
    'péninsules',
    'pénis',
    'pénitence',
    'pénitencerie',
    'pénitences',
    'pénitencier',
    'pénitenciers',
    'pénitent',
    'pénitente',
    'pénitentes',
    'pénitential',
    'pénitentiale',
    'pénitentiaux',
    'pénitentiel',
    'pénitentiels',
    'pénitents',
    'pénombre',
    'pénombres',
    'pénultième',
    'pénultièmes',
    'pénurie',
    'pénuries',
    'pénètre',
    'pénètrent',
    'pénètres',
    'pénéplaine',
    'pénéplaines',
    'pénétra',
    'pénétrable',
    'pénétrables',
    'pénétrai',
    'pénétraient',
    'pénétrais',
    'pénétrait',
    'pénétrant',
    'pénétrante',
    'pénétrantes',
    'pénétrants',
    'pénétras',
    'pénétrasse',
    'pénétrassent',
    'pénétrasses',
    'pénétrassiez',
    'pénétration',
    'pénétrations',
    'pénétrer',
    'pénétrera',
    'pénétrerai',
    'pénétrerais',
    'pénétrerait',
    'pénétreras',
    'pénétrerez',
    'pénétreriez',
    'pénétrerions',
    'pénétrerons',
    'pénétreront',
    'pénétrez',
    'pénétriez',
    'pénétrions',
    'pénétromètre',
    'pénétrons',
    'pénétrâmes',
    'pénétrât',
    'pénétrâtes',
    'pénétrèrent',
    'pénétré',
    'pénétrée',
    'pénétrées',
    'pénétrés',
    'péon',
    'péons',
    'péotte',
    'péottes',
    'pépia',
    'pépiai',
    'pépiaient',
    'pépiais',
    'pépiait',
    'pépiant',
    'pépias',
    'pépiasse',
    'pépiassent',
    'pépiasses',
    'pépiassiez',
    'pépiassions',
    'pépie',
    'pépiement',
    'pépiements',
    'pépient',
    'pépier',
    'pépiera',
    'pépierai',
    'pépieraient',
    'pépierais',
    'pépierait',
    'pépieras',
    'pépierez',
    'pépieriez',
    'pépierions',
    'pépierons',
    'pépieront',
    'pépies',
    'pépiez',
    'pépiiez',
    'pépiions',
    'pépin',
    'pépinière',
    'pépinières',
    'pépiniériste',
    'pépins',
    'pépions',
    'pépite',
    'pépites',
    'pépiâmes',
    'pépiât',
    'pépiâtes',
    'pépièrent',
    'pépié',
    'péplum',
    'péplums',
    'pépon',
    'péponide',
    'péponides',
    'pépons',
    'pépère',
    'pépères',
    'pépètes',
    'pépé',
    'pépés',
    'péquenaud',
    'péquenaude',
    'péquenaudes',
    'péquenauds',
    'péquenot',
    'péquenots',
    'péquin',
    'péquins',
    'péquiste',
    'péquistes',
    'péramèle',
    'péramèles',
    'péremption',
    'péremptions',
    'péremptoire',
    'péremptoires',
    'pérenne',
    'pérennes',
    'pérennisa',
    'pérennisai',
    'pérennisais',
    'pérennisait',
    'pérennisant',
    'pérennisas',
    'pérennisasse',
    'pérennise',
    'pérennisent',
    'pérenniser',
    'pérennisera',
    'pérenniserai',
    'pérenniseras',
    'pérenniserez',
    'pérennises',
    'pérennisez',
    'pérennisiez',
    'pérennisions',
    'pérennisons',
    'pérennisâmes',
    'pérennisât',
    'pérennisâtes',
    'pérennisé',
    'pérennisée',
    'pérennisées',
    'pérennisés',
    'pérennité',
    'pérennités',
    'péri',
    'périanthe',
    'périanthes',
    'péricarde',
    'péricardes',
    'péricarpe',
    'péricarpes',
    'périchondre',
    'périchondres',
    'périclita',
    'périclitai',
    'périclitais',
    'périclitait',
    'périclitant',
    'périclitas',
    'périclitasse',
    'périclite',
    'périclitent',
    'péricliter',
    'périclitera',
    'péricliterai',
    'péricliteras',
    'péricliterez',
    'périclites',
    'périclitez',
    'périclitiez',
    'périclitions',
    'périclitons',
    'périclitâmes',
    'périclitât',
    'périclitâtes',
    'périclité',
    'péricycle',
    'péricycles',
    'péridot',
    'péridots',
    'péridural',
    'péridurale',
    'péridurales',
    'périduraux',
    'périe',
    'péries',
    'périgueux',
    'périgée',
    'périgées',
    'périhélie',
    'périhélies',
    'péril',
    'périlleuse',
    'périlleuses',
    'périlleux',
    'périls',
    'périma',
    'périmai',
    'périmaient',
    'périmais',
    'périmait',
    'périmant',
    'périmas',
    'périmasse',
    'périmassent',
    'périmasses',
    'périmassiez',
    'périmassions',
    'périme',
    'périment',
    'périmer',
    'périmera',
    'périmerai',
    'périmeraient',
    'périmerais',
    'périmerait',
    'périmeras',
    'périmerez',
    'périmeriez',
    'périmerions',
    'périmerons',
    'périmeront',
    'périmes',
    'périmez',
    'périmiez',
    'périmions',
    'périmons',
    'périmâmes',
    'périmât',
    'périmâtes',
    'périmèrent',
    'périmètre',
    'périmètres',
    'périmé',
    'périmée',
    'périmées',
    'périmés',
    'périnatal',
    'périnatale',
    'périnatales',
    'périnatals',
    'périnataux',
    'périnéal',
    'périnéale',
    'périnéales',
    'périnéaux',
    'périnée',
    'périnées',
    'période',
    'périodes',
    'périodicité',
    'périodicités',
    'périodique',
    'périodiques',
    'périoste',
    'périostes',
    'périostite',
    'périostites',
    'périphlébite',
    'périphrasa',
    'périphrasai',
    'périphrasais',
    'périphrasait',
    'périphrasant',
    'périphrasas',
    'périphrase',
    'périphrasent',
    'périphraser',
    'périphrasera',
    'périphrases',
    'périphrasez',
    'périphrasiez',
    'périphrasons',
    'périphrasât',
    'périphrasé',
    'périphérie',
    'périphéries',
    'périphérique',
    'périple',
    'périples',
    'périptère',
    'périptères',
    'péripétie',
    'péripéties',
    'périr',
    'périra',
    'périrai',
    'périraient',
    'périrais',
    'périrait',
    'périras',
    'périrent',
    'périrez',
    'péririez',
    'péririons',
    'périrons',
    'périront',
    'péris',
    'périscolaire',
    'périscope',
    'périscopes',
    'périscopique',
    'périsperme',
    'périspermes',
    'périssable',
    'périssables',
    'périssaient',
    'périssais',
    'périssait',
    'périssant',
    'périsse',
    'périssent',
    'périsses',
    'périssez',
    'périssiez',
    'périssions',
    'périssoire',
    'périssoires',
    'périssologie',
    'périssons',
    'péristome',
    'péristomes',
    'péristyle',
    'péristyles',
    'périt',
    'périthèce',
    'périthèces',
    'péritoine',
    'péritoines',
    'péritonite',
    'péritonites',
    'péritonéal',
    'péritonéale',
    'péritonéales',
    'péritonéaux',
    'pérityphlite',
    'péronier',
    'péroniers',
    'péronière',
    'péronières',
    'péronnelle',
    'péronnelles',
    'péroné',
    'péronés',
    'pérora',
    'pérorai',
    'péroraient',
    'pérorais',
    'péroraison',
    'péroraisons',
    'pérorait',
    'pérorant',
    'péroras',
    'pérorasse',
    'pérorassent',
    'pérorasses',
    'pérorassiez',
    'pérorassions',
    'pérore',
    'pérorent',
    'pérorer',
    'pérorera',
    'pérorerai',
    'péroreraient',
    'pérorerais',
    'pérorerait',
    'péroreras',
    'pérorerez',
    'péroreriez',
    'pérorerions',
    'pérorerons',
    'péroreront',
    'pérores',
    'péroreur',
    'péroreurs',
    'péroreuse',
    'péroreuses',
    'pérorez',
    'péroriez',
    'pérorions',
    'pérorons',
    'pérorâmes',
    'pérorât',
    'pérorâtes',
    'pérorèrent',
    'péroré',
    'pérot',
    'pérots',
    'péroxyda',
    'péroxydai',
    'péroxydaient',
    'péroxydais',
    'péroxydait',
    'péroxydant',
    'péroxydas',
    'péroxydasse',
    'péroxydasses',
    'péroxyde',
    'péroxydent',
    'péroxyder',
    'péroxydera',
    'péroxyderai',
    'péroxyderais',
    'péroxyderait',
    'péroxyderas',
    'péroxyderez',
    'péroxyderiez',
    'péroxyderons',
    'péroxyderont',
    'péroxydes',
    'péroxydez',
    'péroxydiez',
    'péroxydions',
    'péroxydons',
    'péroxydâmes',
    'péroxydât',
    'péroxydâtes',
    'péroxydèrent',
    'péroxydé',
    'péroxydée',
    'péroxydées',
    'péroxydés',
    'péruvien',
    'péruvienne',
    'péruviennes',
    'péruviens',
    'pérégrina',
    'pérégrinai',
    'pérégrinais',
    'pérégrinait',
    'pérégrinant',
    'pérégrinas',
    'pérégrinasse',
    'pérégrine',
    'pérégrinent',
    'pérégriner',
    'pérégrinera',
    'pérégrinerai',
    'pérégrineras',
    'pérégrinerez',
    'pérégrines',
    'pérégrinez',
    'pérégriniez',
    'pérégrinions',
    'pérégrinons',
    'pérégrinâmes',
    'pérégrinât',
    'pérégrinâtes',
    'pérégriné',
    'péréquation',
    'péréquations',
    'pérîmes',
    'pérît',
    'pérîtes',
    'péta',
    'pétai',
    'pétaient',
    'pétais',
    'pétait',
    'pétale',
    'pétales',
    'pétalisme',
    'pétalismes',
    'pétaloïde',
    'pétaloïdes',
    'pétanque',
    'pétanques',
    'pétant',
    'pétante',
    'pétantes',
    'pétants',
    'pétarada',
    'pétaradai',
    'pétaradaient',
    'pétaradais',
    'pétaradait',
    'pétaradant',
    'pétaradante',
    'pétaradantes',
    'pétaradants',
    'pétaradas',
    'pétaradasse',
    'pétaradasses',
    'pétarade',
    'pétaradent',
    'pétarader',
    'pétaradera',
    'pétaraderai',
    'pétaraderais',
    'pétaraderait',
    'pétaraderas',
    'pétaraderez',
    'pétaraderiez',
    'pétaraderons',
    'pétaraderont',
    'pétarades',
    'pétaradez',
    'pétaradiez',
    'pétaradions',
    'pétaradons',
    'pétaradâmes',
    'pétaradât',
    'pétaradâtes',
    'pétaradèrent',
    'pétaradé',
    'pétard',
    'pétarda',
    'pétardai',
    'pétardaient',
    'pétardais',
    'pétardait',
    'pétardant',
    'pétardas',
    'pétardasse',
    'pétardassent',
    'pétardasses',
    'pétardassiez',
    'pétarde',
    'pétardent',
    'pétarder',
    'pétardera',
    'pétarderai',
    'pétarderais',
    'pétarderait',
    'pétarderas',
    'pétarderez',
    'pétarderiez',
    'pétarderions',
    'pétarderons',
    'pétarderont',
    'pétardes',
    'pétardez',
    'pétardiez',
    'pétardions',
    'pétardons',
    'pétards',
    'pétardâmes',
    'pétardât',
    'pétardâtes',
    'pétardèrent',
    'pétardé',
    'pétardée',
    'pétardées',
    'pétardés',
    'pétas',
    'pétase',
    'pétases',
    'pétasse',
    'pétassent',
    'pétasses',
    'pétassiez',
    'pétassions',
    'pétaudière',
    'pétaudières',
    'pétauriste',
    'pétauristes',
    'péter',
    'pétera',
    'péterai',
    'péteraient',
    'péterais',
    'péterait',
    'péteras',
    'péterez',
    'péteriez',
    'péterions',
    'péterons',
    'péteront',
    'péteur',
    'péteurs',
    'péteuse',
    'péteuses',
    'péteux',
    'pétez',
    'pétiez',
    'pétilla',
    'pétillai',
    'pétillaient',
    'pétillais',
    'pétillait',
    'pétillant',
    'pétillante',
    'pétillantes',
    'pétillants',
    'pétillas',
    'pétillasse',
    'pétillassent',
    'pétillasses',
    'pétillassiez',
    'pétille',
    'pétillement',
    'pétillements',
    'pétillent',
    'pétiller',
    'pétillera',
    'pétillerai',
    'pétillerais',
    'pétillerait',
    'pétilleras',
    'pétillerez',
    'pétilleriez',
    'pétillerions',
    'pétillerons',
    'pétilleront',
    'pétilles',
    'pétillez',
    'pétilliez',
    'pétillions',
    'pétillons',
    'pétillâmes',
    'pétillât',
    'pétillâtes',
    'pétillèrent',
    'pétillé',
    'pétiole',
    'pétioles',
    'pétiolé',
    'pétiolée',
    'pétiolées',
    'pétiolés',
    'pétions',
    'pétition',
    'pétitionna',
    'pétitionnai',
    'pétitionnais',
    'pétitionnait',
    'pétitionnant',
    'pétitionnas',
    'pétitionne',
    'pétitionnent',
    'pétitionner',
    'pétitionnera',
    'pétitionnes',
    'pétitionnez',
    'pétitionniez',
    'pétitionnons',
    'pétitionnât',
    'pétitionné',
    'pétitions',
    'pétitoire',
    'pétitoires',
    'pétoche',
    'pétoches',
    'pétoire',
    'pétoires',
    'pétoncle',
    'pétoncles',
    'pétons',
    'pétouilla',
    'pétouillai',
    'pétouillais',
    'pétouillait',
    'pétouillant',
    'pétouillas',
    'pétouillasse',
    'pétouille',
    'pétouillent',
    'pétouiller',
    'pétouillera',
    'pétouillerai',
    'pétouilleras',
    'pétouillerez',
    'pétouilles',
    'pétouillez',
    'pétouilliez',
    'pétouillions',
    'pétouillons',
    'pétouillâmes',
    'pétouillât',
    'pétouillâtes',
    'pétouillé',
    'pétrarquisa',
    'pétrarquisai',
    'pétrarquisas',
    'pétrarquise',
    'pétrarquiser',
    'pétrarquises',
    'pétrarquisez',
    'pétrarquisme',
    'pétrarquiste',
    'pétrarquisât',
    'pétrarquisé',
    'pétrel',
    'pétrels',
    'pétreuse',
    'pétreuses',
    'pétreux',
    'pétri',
    'pétrie',
    'pétries',
    'pétrifia',
    'pétrifiai',
    'pétrifiaient',
    'pétrifiais',
    'pétrifiait',
    'pétrifiant',
    'pétrifiante',
    'pétrifiantes',
    'pétrifiants',
    'pétrifias',
    'pétrifiasse',
    'pétrifiasses',
    'pétrifie',
    'pétrifient',
    'pétrifier',
    'pétrifiera',
    'pétrifierai',
    'pétrifierais',
    'pétrifierait',
    'pétrifieras',
    'pétrifierez',
    'pétrifieriez',
    'pétrifierons',
    'pétrifieront',
    'pétrifies',
    'pétrifiez',
    'pétrifiiez',
    'pétrifiions',
    'pétrifions',
    'pétrifiâmes',
    'pétrifiât',
    'pétrifiâtes',
    'pétrifièrent',
    'pétrifié',
    'pétrifiée',
    'pétrifiées',
    'pétrifiés',
    'pétrin',
    'pétrins',
    'pétrir',
    'pétrira',
    'pétrirai',
    'pétriraient',
    'pétrirais',
    'pétrirait',
    'pétriras',
    'pétrirent',
    'pétrirez',
    'pétririez',
    'pétririons',
    'pétrirons',
    'pétriront',
    'pétris',
    'pétrissable',
    'pétrissables',
    'pétrissage',
    'pétrissages',
    'pétrissaient',
    'pétrissais',
    'pétrissait',
    'pétrissant',
    'pétrisse',
    'pétrissent',
    'pétrisses',
    'pétrisseur',
    'pétrisseurs',
    'pétrisseuse',
    'pétrisseuses',
    'pétrissez',
    'pétrissiez',
    'pétrissions',
    'pétrissons',
    'pétrit',
    'pétrochimie',
    'pétrochimies',
    'pétrodollar',
    'pétrodollars',
    'pétrogale',
    'pétrogales',
    'pétrographie',
    'pétrole',
    'pétroles',
    'pétrolette',
    'pétrolettes',
    'pétroleuse',
    'pétroleuses',
    'pétrolier',
    'pétroliers',
    'pétrolifère',
    'pétrolifères',
    'pétrolière',
    'pétrolières',
    'pétré',
    'pétrée',
    'pétrées',
    'pétrés',
    'pétrîmes',
    'pétrît',
    'pétrîtes',
    'pétulance',
    'pétulances',
    'pétulant',
    'pétulante',
    'pétulantes',
    'pétulants',
    'pétun',
    'pétuna',
    'pétunai',
    'pétunaient',
    'pétunais',
    'pétunait',
    'pétunant',
    'pétunas',
    'pétunasse',
    'pétunassent',
    'pétunasses',
    'pétunassiez',
    'pétunassions',
    'pétune',
    'pétunent',
    'pétuner',
    'pétunera',
    'pétunerai',
    'pétuneraient',
    'pétunerais',
    'pétunerait',
    'pétuneras',
    'pétunerez',
    'pétuneriez',
    'pétunerions',
    'pétunerons',
    'pétuneront',
    'pétunes',
    'pétunez',
    'pétunia',
    'pétunias',
    'pétuniez',
    'pétunions',
    'pétunons',
    'pétuns',
    'pétunâmes',
    'pétunât',
    'pétunâtes',
    'pétunèrent',
    'pétuné',
    'pétâmes',
    'pétât',
    'pétâtes',
    'pétèrent',
    'pété',
    'pétéchial',
    'pétéchiale',
    'pétéchiales',
    'pétéchiaux',
    'pétéchie',
    'pétéchies',
    'pétée',
    'pétées',
    'pétés',
    'pézize',
    'pézizes',
    'pêcha',
    'pêchai',
    'pêchaient',
    'pêchais',
    'pêchait',
    'pêchant',
    'pêchas',
    'pêchasse',
    'pêchassent',
    'pêchasses',
    'pêchassiez',
    'pêchassions',
    'pêche',
    'pêchent',
    'pêcher',
    'pêchera',
    'pêcherai',
    'pêcheraient',
    'pêcherais',
    'pêcherait',
    'pêcheras',
    'pêcherez',
    'pêcherie',
    'pêcheries',
    'pêcheriez',
    'pêcherions',
    'pêcherons',
    'pêcheront',
    'pêchers',
    'pêches',
    'pêchette',
    'pêchettes',
    'pêcheur',
    'pêcheurs',
    'pêcheuse',
    'pêcheuses',
    'pêcheux',
    'pêchez',
    'pêchiez',
    'pêchions',
    'pêchons',
    'pêchâmes',
    'pêchât',
    'pêchâtes',
    'pêchèrent',
    'pêché',
    'pêchée',
    'pêchées',
    'pêchés',
    'pêne',
    'pênes',
    'pôle',
    'pôles',
    'pûmes',
    'pûtes',
    'qqun',
    'qqúun',
    'quadragésime',
    'quadrangle',
    'quadrangles',
    'quadrant',
    'quadrants',
    'quadratique',
    'quadratiques',
    'quadrature',
    'quadratures',
    'quadrette',
    'quadrettes',
    'quadriceps',
    'quadriennal',
    'quadriennale',
    'quadriennaux',
    'quadrifide',
    'quadrifides',
    'quadrige',
    'quadriges',
    'quadrilatère',
    'quadrilla',
    'quadrillage',
    'quadrillages',
    'quadrillai',
    'quadrillais',
    'quadrillait',
    'quadrillant',
    'quadrillas',
    'quadrillasse',
    'quadrille',
    'quadrillent',
    'quadriller',
    'quadrillera',
    'quadrillerai',
    'quadrilleras',
    'quadrillerez',
    'quadrilles',
    'quadrillez',
    'quadrilliez',
    'quadrillion',
    'quadrillions',
    'quadrillons',
    'quadrillâmes',
    'quadrillât',
    'quadrillâtes',
    'quadrillé',
    'quadrillée',
    'quadrillées',
    'quadrillés',
    'quadrimoteur',
    'quadriparti',
    'quadripartie',
    'quadripartis',
    'quadriphonie',
    'quadrirème',
    'quadrirèmes',
    'quadrumane',
    'quadrumanes',
    'quadrupla',
    'quadruplai',
    'quadruplais',
    'quadruplait',
    'quadruplant',
    'quadruplas',
    'quadruplasse',
    'quadruple',
    'quadruplent',
    'quadrupler',
    'quadruplera',
    'quadruplerai',
    'quadrupleras',
    'quadruplerez',
    'quadruples',
    'quadruplex',
    'quadruplez',
    'quadrupliez',
    'quadruplions',
    'quadruplons',
    'quadruplâmes',
    'quadruplât',
    'quadruplâtes',
    'quadruplé',
    'quadruplée',
    'quadruplées',
    'quadruplés',
    'quadrupède',
    'quadrupèdes',
    'quai',
    'quais',
    'quaker',
    'quakeresse',
    'quakeresses',
    'quakers',
    'qualifia',
    'qualifiable',
    'qualifiables',
    'qualifiai',
    'qualifiaient',
    'qualifiais',
    'qualifiait',
    'qualifiant',
    'qualifiante',
    'qualifiantes',
    'qualifiants',
    'qualifias',
    'qualifiasse',
    'qualifiasses',
    'qualificatif',
    'qualifie',
    'qualifient',
    'qualifier',
    'qualifiera',
    'qualifierai',
    'qualifierais',
    'qualifierait',
    'qualifieras',
    'qualifierez',
    'qualifieriez',
    'qualifierons',
    'qualifieront',
    'qualifies',
    'qualifiez',
    'qualifiiez',
    'qualifiions',
    'qualifions',
    'qualifiâmes',
    'qualifiât',
    'qualifiâtes',
    'qualifièrent',
    'qualifié',
    'qualifiée',
    'qualifiées',
    'qualifiés',
    'qualitatif',
    'qualitatifs',
    'qualitative',
    'qualitatives',
    'qualité',
    'qualités',
    'quand',
    'quant',
    'quanta',
    'quantifia',
    'quantifiable',
    'quantifiai',
    'quantifiais',
    'quantifiait',
    'quantifiant',
    'quantifias',
    'quantifiasse',
    'quantifie',
    'quantifient',
    'quantifier',
    'quantifiera',
    'quantifierai',
    'quantifieras',
    'quantifierez',
    'quantifies',
    'quantifiez',
    'quantifiiez',
    'quantifiions',
    'quantifions',
    'quantifiâmes',
    'quantifiât',
    'quantifiâtes',
    'quantifié',
    'quantifiée',
    'quantifiées',
    'quantifiés',
    'quantitatif',
    'quantitatifs',
    'quantitative',
    'quantité',
    'quantités',
    'quantième',
    'quantièmes',
    'quantum',
    'quarantaine',
    'quarantaines',
    'quarante',
    'quarantième',
    'quarantièmes',
    'quarderonna',
    'quarderonnai',
    'quarderonnas',
    'quarderonne',
    'quarderonner',
    'quarderonnes',
    'quarderonnez',
    'quarderonnât',
    'quarderonné',
    'quarderonnée',
    'quarderonnés',
    'quark',
    'quarks',
    'quarra',
    'quarrai',
    'quarraient',
    'quarrais',
    'quarrait',
    'quarrant',
    'quarras',
    'quarrasse',
    'quarrassent',
    'quarrasses',
    'quarrassiez',
    'quarrassions',
    'quarre',
    'quarrent',
    'quarrer',
    'quarrera',
    'quarrerai',
    'quarreraient',
    'quarrerais',
    'quarrerait',
    'quarreras',
    'quarrerez',
    'quarreriez',
    'quarrerions',
    'quarrerons',
    'quarreront',
    'quarres',
    'quarrez',
    'quarriez',
    'quarrions',
    'quarrons',
    'quarrâmes',
    'quarrât',
    'quarrâtes',
    'quarrèrent',
    'quarré',
    'quarrée',
    'quarrées',
    'quarrés',
    'quart',
    'quarta',
    'quartage',
    'quartagea',
    'quartageai',
    'quartageais',
    'quartageait',
    'quartageant',
    'quartageas',
    'quartageasse',
    'quartagent',
    'quartageons',
    'quartager',
    'quartagera',
    'quartagerai',
    'quartagerais',
    'quartagerait',
    'quartageras',
    'quartagerez',
    'quartageriez',
    'quartagerons',
    'quartageront',
    'quartages',
    'quartagez',
    'quartageâmes',
    'quartageât',
    'quartageâtes',
    'quartagiez',
    'quartagions',
    'quartagèrent',
    'quartagé',
    'quartagée',
    'quartagées',
    'quartagés',
    'quartai',
    'quartaient',
    'quartais',
    'quartait',
    'quartanier',
    'quartaniers',
    'quartant',
    'quartas',
    'quartasse',
    'quartassent',
    'quartasses',
    'quartassiez',
    'quartassions',
    'quartation',
    'quartations',
    'quartaut',
    'quartauts',
    'quarte',
    'quartenier',
    'quarteniers',
    'quartent',
    'quarter',
    'quartera',
    'quarterai',
    'quarteraient',
    'quarterais',
    'quarterait',
    'quarteras',
    'quarterez',
    'quarteriez',
    'quarterions',
    'quarteron',
    'quarterons',
    'quarteront',
    'quartes',
    'quartette',
    'quartettes',
    'quartez',
    'quartidi',
    'quartidis',
    'quartier',
    'quartiers',
    'quartiez',
    'quartile',
    'quartiles',
    'quartions',
    'quarto',
    'quartons',
    'quarts',
    'quartz',
    'quartzeuse',
    'quartzeuses',
    'quartzeux',
    'quartzifère',
    'quartzifères',
    'quartzite',
    'quartzites',
    'quartâmes',
    'quartât',
    'quartâtes',
    'quartèrent',
    'quarté',
    'quartée',
    'quartées',
    'quartés',
    'quasar',
    'quasars',
    'quasi',
    'quasiment',
    'quasis',
    'quassia',
    'quassias',
    'quassier',
    'quassiers',
    'quassine',
    'quassines',
    'quater',
    'quaternaire',
    'quaternaires',
    'quaterne',
    'quaternes',
    'quatorze',
    'quatorzième',
    'quatorzièmes',
    'quatrain',
    'quatrains',
    'quatre',
    'quatrillion',
    'quatrillions',
    'quatrième',
    'quatrièmes',
    'quattrocento',
    'quatuor',
    'quatuors',
    'quebracho',
    'quebrachos',
    'quel',
    'quelconque',
    'quelconques',
    'quelle',
    'quelles',
    'quelqu',
    'quelque',
    'quelquefois',
    'quelques',
    'quelqú',
    'quelqúun',
    'quels',
    'quenelle',
    'quenelles',
    'quenotte',
    'quenottes',
    'quenouille',
    'quenouilles',
    'quercitrine',
    'quercitrines',
    'quercitron',
    'quercitrons',
    'querella',
    'querellai',
    'querellaient',
    'querellais',
    'querellait',
    'querellant',
    'querellas',
    'querellasse',
    'querellasses',
    'querelle',
    'querellent',
    'quereller',
    'querellera',
    'querellerai',
    'querellerais',
    'querellerait',
    'querelleras',
    'querellerez',
    'querelleriez',
    'querellerons',
    'querelleront',
    'querelles',
    'querelleur',
    'querelleurs',
    'querelleuse',
    'querelleuses',
    'querellez',
    'querelliez',
    'querellions',
    'querellons',
    'querellâmes',
    'querellât',
    'querellâtes',
    'querellèrent',
    'querellé',
    'querellée',
    'querellées',
    'querellés',
    'querir',
    'questeur',
    'questeurs',
    'question',
    'questionna',
    'questionnai',
    'questionnais',
    'questionnait',
    'questionnant',
    'questionnas',
    'questionne',
    'questionnent',
    'questionner',
    'questionnera',
    'questionnes',
    'questionneur',
    'questionnez',
    'questionniez',
    'questionnons',
    'questionnât',
    'questionné',
    'questionnée',
    'questionnées',
    'questionnés',
    'questions',
    'questure',
    'questures',
    'quetsche',
    'quetsches',
    'queue',
    'queues',
    'queusot',
    'queusots',
    'queuta',
    'queutai',
    'queutaient',
    'queutais',
    'queutait',
    'queutant',
    'queutas',
    'queutasse',
    'queutassent',
    'queutasses',
    'queutassiez',
    'queutassions',
    'queute',
    'queutent',
    'queuter',
    'queutera',
    'queuterai',
    'queuteraient',
    'queuterais',
    'queuterait',
    'queuteras',
    'queuterez',
    'queuteriez',
    'queuterions',
    'queuterons',
    'queuteront',
    'queutes',
    'queutez',
    'queutiez',
    'queutions',
    'queutons',
    'queutâmes',
    'queutât',
    'queutâtes',
    'queutèrent',
    'queuté',
    'queux',
    'quiche',
    'quiches',
    'quichua',
    'quichuas',
    'quiconque',
    'quidam',
    'quidams',
    'quiddité',
    'quiddités',
    'quiet',
    'quiets',
    'quignon',
    'quignons',
    'quille',
    'quilles',
    'quilleur',
    'quilleurs',
    'quilleuse',
    'quilleuses',
    'quillier',
    'quilliers',
    'quillon',
    'quillons',
    'quinaire',
    'quinaires',
    'quinaud',
    'quinaude',
    'quinaudes',
    'quinauds',
    'quincaillier',
    'quinconce',
    'quinconces',
    'quine',
    'quines',
    'quinine',
    'quinines',
    'quinoa',
    'quinoas',
    'quinoléine',
    'quinoléines',
    'quinquennal',
    'quinquennale',
    'quinquennat',
    'quinquennats',
    'quinquennaux',
    'quinquet',
    'quinquets',
    'quinquina',
    'quinquinas',
    'quint',
    'quintaine',
    'quintaines',
    'quintal',
    'quintaux',
    'quinte',
    'quintes',
    'quintessence',
    'quintette',
    'quintettes',
    'quinteuse',
    'quinteuses',
    'quinteux',
    'quintidi',
    'quintidis',
    'quintillion',
    'quintillions',
    'quinto',
    'quintupla',
    'quintuplai',
    'quintuplais',
    'quintuplait',
    'quintuplant',
    'quintuplas',
    'quintuplasse',
    'quintuple',
    'quintuplent',
    'quintupler',
    'quintuplera',
    'quintuplerai',
    'quintupleras',
    'quintuplerez',
    'quintuples',
    'quintuplez',
    'quintupliez',
    'quintuplions',
    'quintuplons',
    'quintuplâmes',
    'quintuplât',
    'quintuplâtes',
    'quintuplé',
    'quintuplée',
    'quintuplées',
    'quintuplés',
    'quinzaine',
    'quinzaines',
    'quinze',
    'quinzième',
    'quinzièmes',
    'quiné',
    'quinée',
    'quinées',
    'quinés',
    'quipo',
    'quipos',
    'quipou',
    'quipous',
    'quiproquo',
    'quiproquos',
    'quipu',
    'quipus',
    'quirite',
    'quirites',
    'quiscale',
    'quiscales',
    'quitta',
    'quittai',
    'quittaient',
    'quittais',
    'quittait',
    'quittance',
    'quittancent',
    'quittancer',
    'quittancera',
    'quittancerai',
    'quittanceras',
    'quittancerez',
    'quittances',
    'quittancez',
    'quittanciez',
    'quittancions',
    'quittancé',
    'quittancée',
    'quittancées',
    'quittancés',
    'quittant',
    'quittança',
    'quittançai',
    'quittançais',
    'quittançait',
    'quittançant',
    'quittanças',
    'quittançasse',
    'quittançons',
    'quittançâmes',
    'quittançât',
    'quittançâtes',
    'quittas',
    'quittasse',
    'quittassent',
    'quittasses',
    'quittassiez',
    'quittassions',
    'quitte',
    'quittent',
    'quitter',
    'quittera',
    'quitterai',
    'quitteraient',
    'quitterais',
    'quitterait',
    'quitteras',
    'quitterez',
    'quitteriez',
    'quitterions',
    'quitterons',
    'quitteront',
    'quittes',
    'quittez',
    'quittiez',
    'quittions',
    'quittons',
    'quittâmes',
    'quittât',
    'quittâtes',
    'quittèrent',
    'quitté',
    'quittée',
    'quittées',
    'quittés',
    'quitus',
    'quiète',
    'quiètes',
    'quiétisme',
    'quiétismes',
    'quiétiste',
    'quiétistes',
    'quiétude',
    'quiétudes',
    'quoi',
    'quoique',
    'quoiqú',
    'quolibet',
    'quolibets',
    'quorum',
    'quorums',
    'quota',
    'quotas',
    'quotidien',
    'quotidienne',
    'quotidiennes',
    'quotidiens',
    'quotient',
    'quotients',
    'quotité',
    'quotités',
    'quotta',
    'quottai',
    'quottaient',
    'quottais',
    'quottait',
    'quottant',
    'quottas',
    'quottasse',
    'quottassent',
    'quottasses',
    'quottassiez',
    'quottassions',
    'quotte',
    'quottent',
    'quotter',
    'quottera',
    'quotterai',
    'quotteraient',
    'quotterais',
    'quotterait',
    'quotteras',
    'quotterez',
    'quotteriez',
    'quotterions',
    'quotterons',
    'quotteront',
    'quottes',
    'quottez',
    'quottiez',
    'quottions',
    'quottons',
    'quottâmes',
    'quottât',
    'quottâtes',
    'quottèrent',
    'quotté',
    'québécisme',
    'québécismes',
    'québécois',
    'québécoise',
    'québécoises',
    'quémanda',
    'quémandai',
    'quémandaient',
    'quémandais',
    'quémandait',
    'quémandant',
    'quémandas',
    'quémandasse',
    'quémandasses',
    'quémande',
    'quémandent',
    'quémander',
    'quémandera',
    'quémanderai',
    'quémanderais',
    'quémanderait',
    'quémanderas',
    'quémanderez',
    'quémanderiez',
    'quémanderons',
    'quémanderont',
    'quémandes',
    'quémandeur',
    'quémandeurs',
    'quémandeuse',
    'quémandeuses',
    'quémandez',
    'quémandiez',
    'quémandions',
    'quémandons',
    'quémandâmes',
    'quémandât',
    'quémandâtes',
    'quémandèrent',
    'quémandé',
    'quémandée',
    'quémandées',
    'quémandés',
    'quéquette',
    'quéquettes',
    'quérable',
    'quérables',
    'quérir',
    'quérulence',
    'quérulences',
    'quérulent',
    'quérulente',
    'quérulentes',
    'quérulents',
    'quêta',
    'quêtai',
    'quêtaient',
    'quêtais',
    'quêtait',
    'quêtant',
    'quêtas',
    'quêtasse',
    'quêtassent',
    'quêtasses',
    'quêtassiez',
    'quêtassions',
    'quête',
    'quêtent',
    'quêter',
    'quêtera',
    'quêterai',
    'quêteraient',
    'quêterais',
    'quêterait',
    'quêteras',
    'quêterez',
    'quêteriez',
    'quêterions',
    'quêterons',
    'quêteront',
    'quêtes',
    'quêteur',
    'quêteurs',
    'quêteuse',
    'quêteuses',
    'quêtez',
    'quêtiez',
    'quêtions',
    'quêtons',
    'quêtâmes',
    'quêtât',
    'quêtâtes',
    'quêtèrent',
    'quêté',
    'quêtée',
    'quêtées',
    'quêtés',
    'rabais',
    'rabaissa',
    'rabaissai',
    'rabaissaient',
    'rabaissais',
    'rabaissait',
    'rabaissant',
    'rabaissas',
    'rabaissasse',
    'rabaissasses',
    'rabaisse',
    'rabaissement',
    'rabaissent',
    'rabaisser',
    'rabaissera',
    'rabaisserai',
    'rabaisserais',
    'rabaisserait',
    'rabaisseras',
    'rabaisserez',
    'rabaisseriez',
    'rabaisserons',
    'rabaisseront',
    'rabaisses',
    'rabaissez',
    'rabaissiez',
    'rabaissions',
    'rabaissons',
    'rabaissâmes',
    'rabaissât',
    'rabaissâtes',
    'rabaissèrent',
    'rabaissé',
    'rabaissée',
    'rabaissées',
    'rabaissés',
    'raban',
    'rabane',
    'rabanes',
    'rabans',
    'rabanta',
    'rabantai',
    'rabantaient',
    'rabantais',
    'rabantait',
    'rabantant',
    'rabantas',
    'rabantasse',
    'rabantassent',
    'rabantasses',
    'rabantassiez',
    'rabante',
    'rabantent',
    'rabanter',
    'rabantera',
    'rabanterai',
    'rabanterais',
    'rabanterait',
    'rabanteras',
    'rabanterez',
    'rabanteriez',
    'rabanterions',
    'rabanterons',
    'rabanteront',
    'rabantes',
    'rabantez',
    'rabantiez',
    'rabantions',
    'rabantons',
    'rabantâmes',
    'rabantât',
    'rabantâtes',
    'rabantèrent',
    'rabanté',
    'rabantée',
    'rabantées',
    'rabantés',
    'rabat',
    'rabats',
    'rabattage',
    'rabattages',
    'rabattaient',
    'rabattais',
    'rabattait',
    'rabattant',
    'rabattante',
    'rabattantes',
    'rabattants',
    'rabatte',
    'rabattement',
    'rabattements',
    'rabattent',
    'rabattes',
    'rabatteur',
    'rabatteurs',
    'rabatteuse',
    'rabatteuses',
    'rabattez',
    'rabattiez',
    'rabattions',
    'rabattirent',
    'rabattis',
    'rabattisse',
    'rabattissent',
    'rabattisses',
    'rabattissiez',
    'rabattit',
    'rabattons',
    'rabattra',
    'rabattrai',
    'rabattraient',
    'rabattrais',
    'rabattrait',
    'rabattras',
    'rabattre',
    'rabattrez',
    'rabattriez',
    'rabattrions',
    'rabattrons',
    'rabattront',
    'rabattu',
    'rabattue',
    'rabattues',
    'rabattus',
    'rabattîmes',
    'rabattît',
    'rabattîtes',
    'rabbi',
    'rabbin',
    'rabbinat',
    'rabbinats',
    'rabbinique',
    'rabbiniques',
    'rabbinisme',
    'rabbinismes',
    'rabbins',
    'rabbis',
    'rabdomancie',
    'rabdomancies',
    'rabelaisien',
    'rabelaisiens',
    'rabibocha',
    'rabibochage',
    'rabibochages',
    'rabibochai',
    'rabibochais',
    'rabibochait',
    'rabibochant',
    'rabibochas',
    'rabibochasse',
    'rabiboche',
    'rabibochent',
    'rabibocher',
    'rabibochera',
    'rabibocherai',
    'rabibocheras',
    'rabibocherez',
    'rabiboches',
    'rabibochez',
    'rabibochiez',
    'rabibochions',
    'rabibochons',
    'rabibochâmes',
    'rabibochât',
    'rabibochâtes',
    'rabiboché',
    'rabibochée',
    'rabibochées',
    'rabibochés',
    'rabiot',
    'rabiota',
    'rabiotai',
    'rabiotaient',
    'rabiotais',
    'rabiotait',
    'rabiotant',
    'rabiotas',
    'rabiotasse',
    'rabiotassent',
    'rabiotasses',
    'rabiotassiez',
    'rabiote',
    'rabiotent',
    'rabioter',
    'rabiotera',
    'rabioterai',
    'rabioterais',
    'rabioterait',
    'rabioteras',
    'rabioterez',
    'rabioteriez',
    'rabioterions',
    'rabioterons',
    'rabioteront',
    'rabiotes',
    'rabiotez',
    'rabiotiez',
    'rabiotions',
    'rabiotons',
    'rabiots',
    'rabiotâmes',
    'rabiotât',
    'rabiotâtes',
    'rabiotèrent',
    'rabioté',
    'rabiotée',
    'rabiotées',
    'rabiotés',
    'rabique',
    'rabiques',
    'rabonni',
    'rabonnie',
    'rabonnies',
    'rabonnir',
    'rabonnira',
    'rabonnirai',
    'rabonnirais',
    'rabonnirait',
    'rabonniras',
    'rabonnirent',
    'rabonnirez',
    'rabonniriez',
    'rabonnirions',
    'rabonnirons',
    'rabonniront',
    'rabonnis',
    'rabonnissais',
    'rabonnissait',
    'rabonnissant',
    'rabonnisse',
    'rabonnissent',
    'rabonnisses',
    'rabonnissez',
    'rabonnissiez',
    'rabonnissons',
    'rabonnit',
    'rabonnîmes',
    'rabonnît',
    'rabonnîtes',
    'rabot',
    'rabota',
    'rabotage',
    'rabotages',
    'rabotai',
    'rabotaient',
    'rabotais',
    'rabotait',
    'rabotant',
    'rabotas',
    'rabotasse',
    'rabotassent',
    'rabotasses',
    'rabotassiez',
    'rabotassions',
    'rabote',
    'rabotement',
    'rabotements',
    'rabotent',
    'raboter',
    'rabotera',
    'raboterai',
    'raboteraient',
    'raboterais',
    'raboterait',
    'raboteras',
    'raboterez',
    'raboteriez',
    'raboterions',
    'raboterons',
    'raboteront',
    'rabotes',
    'raboteur',
    'raboteurs',
    'raboteuse',
    'raboteuses',
    'raboteux',
    'rabotez',
    'rabotiez',
    'rabotions',
    'rabotons',
    'rabots',
    'rabotâmes',
    'rabotât',
    'rabotâtes',
    'rabotèrent',
    'raboté',
    'rabotée',
    'rabotées',
    'rabotés',
    'rabougri',
    'rabougrie',
    'rabougries',
    'rabougrir',
    'rabougrira',
    'rabougrirai',
    'rabougrirais',
    'rabougrirait',
    'rabougriras',
    'rabougrirent',
    'rabougrirez',
    'rabougririez',
    'rabougrirons',
    'rabougriront',
    'rabougris',
    'rabougrisse',
    'rabougrisses',
    'rabougrissez',
    'rabougrit',
    'rabougrîmes',
    'rabougrît',
    'rabougrîtes',
    'rabouilleur',
    'rabouilleurs',
    'rabouilleuse',
    'rabouillère',
    'rabouillères',
    'rabouta',
    'raboutai',
    'raboutaient',
    'raboutais',
    'raboutait',
    'raboutant',
    'raboutas',
    'raboutasse',
    'raboutassent',
    'raboutasses',
    'raboutassiez',
    'raboute',
    'raboutent',
    'rabouter',
    'raboutera',
    'rabouterai',
    'rabouterais',
    'rabouterait',
    'rabouteras',
    'rabouterez',
    'rabouteriez',
    'rabouterions',
    'rabouterons',
    'rabouteront',
    'raboutes',
    'raboutez',
    'raboutiez',
    'raboutions',
    'raboutons',
    'raboutâmes',
    'raboutât',
    'raboutâtes',
    'raboutèrent',
    'rabouté',
    'raboutée',
    'raboutées',
    'raboutés',
    'rabroua',
    'rabrouai',
    'rabrouaient',
    'rabrouais',
    'rabrouait',
    'rabrouant',
    'rabrouas',
    'rabrouasse',
    'rabrouassent',
    'rabrouasses',
    'rabrouassiez',
    'rabroue',
    'rabrouement',
    'rabrouements',
    'rabrouent',
    'rabrouer',
    'rabrouera',
    'rabrouerai',
    'rabrouerais',
    'rabrouerait',
    'rabroueras',
    'rabrouerez',
    'rabroueriez',
    'rabrouerions',
    'rabrouerons',
    'rabroueront',
    'rabroues',
    'rabrouez',
    'rabrouiez',
    'rabrouions',
    'rabrouons',
    'rabrouâmes',
    'rabrouât',
    'rabrouâtes',
    'rabrouèrent',
    'rabroué',
    'rabrouée',
    'rabrouées',
    'rabroués',
    'rabâcha',
    'rabâchage',
    'rabâchages',
    'rabâchai',
    'rabâchaient',
    'rabâchais',
    'rabâchait',
    'rabâchant',
    'rabâchas',
    'rabâchasse',
    'rabâchassent',
    'rabâchasses',
    'rabâchassiez',
    'rabâche',
    'rabâchent',
    'rabâcher',
    'rabâchera',
    'rabâcherai',
    'rabâcherais',
    'rabâcherait',
    'rabâcheras',
    'rabâcherez',
    'rabâcheriez',
    'rabâcherions',
    'rabâcherons',
    'rabâcheront',
    'rabâches',
    'rabâcheur',
    'rabâcheurs',
    'rabâcheuse',
    'rabâcheuses',
    'rabâchez',
    'rabâchiez',
    'rabâchions',
    'rabâchons',
    'rabâchâmes',
    'rabâchât',
    'rabâchâtes',
    'rabâchèrent',
    'rabâché',
    'rabâchée',
    'rabâchées',
    'rabâchés',
    'racaille',
    'racailles',
    'raccommoda',
    'raccommodage',
    'raccommodai',
    'raccommodais',
    'raccommodait',
    'raccommodant',
    'raccommodas',
    'raccommode',
    'raccommodent',
    'raccommoder',
    'raccommodera',
    'raccommodes',
    'raccommodeur',
    'raccommodez',
    'raccommodiez',
    'raccommodons',
    'raccommodât',
    'raccommodé',
    'raccommodée',
    'raccommodées',
    'raccommodés',
    'raccompagna',
    'raccompagnai',
    'raccompagnas',
    'raccompagne',
    'raccompagner',
    'raccompagnes',
    'raccompagnez',
    'raccompagnât',
    'raccompagné',
    'raccompagnée',
    'raccompagnés',
    'raccord',
    'raccorda',
    'raccordai',
    'raccordaient',
    'raccordais',
    'raccordait',
    'raccordant',
    'raccordas',
    'raccordasse',
    'raccordasses',
    'raccorde',
    'raccordement',
    'raccordent',
    'raccorder',
    'raccordera',
    'raccorderai',
    'raccorderais',
    'raccorderait',
    'raccorderas',
    'raccorderez',
    'raccorderiez',
    'raccorderons',
    'raccorderont',
    'raccordes',
    'raccordez',
    'raccordiez',
    'raccordions',
    'raccordons',
    'raccords',
    'raccordâmes',
    'raccordât',
    'raccordâtes',
    'raccordèrent',
    'raccordé',
    'raccordée',
    'raccordées',
    'raccordés',
    'raccourci',
    'raccourcie',
    'raccourcies',
    'raccourcir',
    'raccourcira',
    'raccourcirai',
    'raccourciras',
    'raccourcirez',
    'raccourcis',
    'raccourcisse',
    'raccourcit',
    'raccourcîmes',
    'raccourcît',
    'raccourcîtes',
    'raccoutra',
    'raccoutrai',
    'raccoutrais',
    'raccoutrait',
    'raccoutrant',
    'raccoutras',
    'raccoutrasse',
    'raccoutre',
    'raccoutrent',
    'raccoutrer',
    'raccoutrera',
    'raccoutrerai',
    'raccoutreras',
    'raccoutrerez',
    'raccoutres',
    'raccoutrez',
    'raccoutriez',
    'raccoutrions',
    'raccoutrons',
    'raccoutrâmes',
    'raccoutrât',
    'raccoutrâtes',
    'raccoutré',
    'raccoutrée',
    'raccoutrées',
    'raccoutrés',
    'raccoutuma',
    'raccoutumai',
    'raccoutumais',
    'raccoutumait',
    'raccoutumant',
    'raccoutumas',
    'raccoutume',
    'raccoutument',
    'raccoutumer',
    'raccoutumera',
    'raccoutumes',
    'raccoutumez',
    'raccoutumiez',
    'raccoutumons',
    'raccoutumât',
    'raccoutumé',
    'raccoutumée',
    'raccoutumées',
    'raccoutumés',
    'raccroc',
    'raccrocha',
    'raccrochage',
    'raccrochages',
    'raccrochai',
    'raccrochais',
    'raccrochait',
    'raccrochant',
    'raccrochas',
    'raccrochasse',
    'raccroche',
    'raccrochent',
    'raccrocher',
    'raccrochera',
    'raccrocherai',
    'raccrocheras',
    'raccrocherez',
    'raccroches',
    'raccrocheur',
    'raccrocheurs',
    'raccrocheuse',
    'raccrochez',
    'raccrochiez',
    'raccrochions',
    'raccrochons',
    'raccrochâmes',
    'raccrochât',
    'raccrochâtes',
    'raccroché',
    'raccrochée',
    'raccrochées',
    'raccrochés',
    'raccrocs',
    'race',
    'racer',
    'racers',
    'races',
    'rachat',
    'rachats',
    'racheta',
    'rachetable',
    'rachetables',
    'rachetai',
    'rachetaient',
    'rachetais',
    'rachetait',
    'rachetant',
    'rachetas',
    'rachetasse',
    'rachetassent',
    'rachetasses',
    'rachetassiez',
    'racheter',
    'rachetez',
    'rachetiez',
    'rachetions',
    'rachetons',
    'rachetâmes',
    'rachetât',
    'rachetâtes',
    'rachetèrent',
    'racheté',
    'rachetée',
    'rachetées',
    'rachetés',
    'rachialgie',
    'rachialgies',
    'rachidien',
    'rachidienne',
    'rachidiennes',
    'rachidiens',
    'rachis',
    'rachitique',
    'rachitiques',
    'rachitisme',
    'rachitismes',
    'rachète',
    'rachètent',
    'rachètera',
    'rachèterai',
    'rachèterais',
    'rachèterait',
    'rachèteras',
    'rachèterez',
    'rachèteriez',
    'rachèterions',
    'rachèterons',
    'rachèteront',
    'rachètes',
    'racial',
    'raciale',
    'raciales',
    'raciaux',
    'racina',
    'racinage',
    'racinages',
    'racinai',
    'racinaient',
    'racinais',
    'racinait',
    'racinal',
    'racinant',
    'racinas',
    'racinasse',
    'racinassent',
    'racinasses',
    'racinassiez',
    'racinassions',
    'racinaux',
    'racine',
    'racinent',
    'raciner',
    'racinera',
    'racinerai',
    'racineraient',
    'racinerais',
    'racinerait',
    'racineras',
    'racinerez',
    'racineriez',
    'racinerions',
    'racinerons',
    'racineront',
    'racines',
    'racinez',
    'racinien',
    'racinienne',
    'raciniennes',
    'raciniens',
    'raciniez',
    'racinions',
    'racinons',
    'racinâmes',
    'racinât',
    'racinâtes',
    'racinèrent',
    'raciné',
    'racinée',
    'racinées',
    'racinés',
    'raciologie',
    'raciologies',
    'racisme',
    'racismes',
    'raciste',
    'racistes',
    'racket',
    'rackets',
    'racketter',
    'racketters',
    'racketteur',
    'racketteurs',
    'racketteuse',
    'racketteuses',
    'racla',
    'raclage',
    'raclages',
    'raclai',
    'raclaient',
    'raclais',
    'raclait',
    'raclant',
    'raclas',
    'raclasse',
    'raclassent',
    'raclasses',
    'raclassiez',
    'raclassions',
    'racle',
    'raclement',
    'raclements',
    'raclent',
    'racler',
    'raclera',
    'raclerai',
    'racleraient',
    'raclerais',
    'raclerait',
    'racleras',
    'raclerez',
    'racleriez',
    'raclerions',
    'raclerons',
    'racleront',
    'racles',
    'raclette',
    'raclettes',
    'racleur',
    'racleurs',
    'racleuse',
    'racleuses',
    'raclez',
    'racliez',
    'raclions',
    'racloir',
    'racloirs',
    'raclons',
    'raclure',
    'raclures',
    'raclâmes',
    'raclât',
    'raclâtes',
    'raclèrent',
    'raclé',
    'raclée',
    'raclées',
    'raclés',
    'racola',
    'racolage',
    'racolages',
    'racolai',
    'racolaient',
    'racolais',
    'racolait',
    'racolant',
    'racolas',
    'racolasse',
    'racolassent',
    'racolasses',
    'racolassiez',
    'racolassions',
    'racole',
    'racolent',
    'racoler',
    'racolera',
    'racolerai',
    'racoleraient',
    'racolerais',
    'racolerait',
    'racoleras',
    'racolerez',
    'racoleriez',
    'racolerions',
    'racolerons',
    'racoleront',
    'racoles',
    'racoleur',
    'racoleurs',
    'racoleuse',
    'racoleuses',
    'racolez',
    'racoliez',
    'racolions',
    'racolons',
    'racolâmes',
    'racolât',
    'racolâtes',
    'racolèrent',
    'racolé',
    'racolée',
    'racolées',
    'racolés',
    'raconta',
    'racontable',
    'racontables',
    'racontai',
    'racontaient',
    'racontais',
    'racontait',
    'racontant',
    'racontar',
    'racontars',
    'racontas',
    'racontasse',
    'racontassent',
    'racontasses',
    'racontassiez',
    'raconte',
    'racontent',
    'raconter',
    'racontera',
    'raconterai',
    'raconterais',
    'raconterait',
    'raconteras',
    'raconterez',
    'raconteriez',
    'raconterions',
    'raconterons',
    'raconteront',
    'racontes',
    'raconteur',
    'raconteurs',
    'raconteuse',
    'raconteuses',
    'racontez',
    'racontiez',
    'racontions',
    'racontons',
    'racontâmes',
    'racontât',
    'racontâtes',
    'racontèrent',
    'raconté',
    'racontée',
    'racontées',
    'racontés',
    'racorni',
    'racornie',
    'racornies',
    'racornir',
    'racornira',
    'racornirai',
    'racornirais',
    'racornirait',
    'racorniras',
    'racornirent',
    'racornirez',
    'racorniriez',
    'racornirions',
    'racornirons',
    'racorniront',
    'racornis',
    'racornissais',
    'racornissait',
    'racornissant',
    'racornisse',
    'racornissent',
    'racornisses',
    'racornissez',
    'racornissiez',
    'racornissons',
    'racornit',
    'racornîmes',
    'racornît',
    'racornîtes',
    'racé',
    'racée',
    'racées',
    'racémique',
    'racémiques',
    'racés',
    'rada',
    'radai',
    'radaient',
    'radais',
    'radait',
    'radant',
    'radar',
    'radariste',
    'radaristes',
    'radars',
    'radas',
    'radasse',
    'radassent',
    'radasses',
    'radassiez',
    'radassions',
    'rade',
    'radeau',
    'radeaux',
    'radent',
    'rader',
    'radera',
    'raderai',
    'raderaient',
    'raderais',
    'raderait',
    'raderas',
    'raderez',
    'raderiez',
    'raderions',
    'raderons',
    'raderont',
    'rades',
    'radeuse',
    'radeuses',
    'radez',
    'radia',
    'radiai',
    'radiaient',
    'radiaire',
    'radiaires',
    'radiais',
    'radiait',
    'radial',
    'radiale',
    'radiales',
    'radian',
    'radiance',
    'radiances',
    'radians',
    'radiant',
    'radias',
    'radiasse',
    'radiassent',
    'radiasses',
    'radiassiez',
    'radiassions',
    'radiateur',
    'radiateurs',
    'radiatif',
    'radiatifs',
    'radiation',
    'radiations',
    'radiative',
    'radiatives',
    'radiaux',
    'radical',
    'radicale',
    'radicalement',
    'radicales',
    'radicalisa',
    'radicalisai',
    'radicalisais',
    'radicalisait',
    'radicalisant',
    'radicalisas',
    'radicalise',
    'radicalisent',
    'radicaliser',
    'radicalisera',
    'radicalises',
    'radicalisez',
    'radicalisiez',
    'radicalisme',
    'radicalismes',
    'radicalisons',
    'radicalisât',
    'radicalisé',
    'radicalisée',
    'radicalisées',
    'radicalisés',
    'radicant',
    'radicante',
    'radicantes',
    'radicants',
    'radicaux',
    'radicelle',
    'radicelles',
    'radiculaire',
    'radiculaires',
    'radie',
    'radient',
    'radier',
    'radiera',
    'radierai',
    'radieraient',
    'radierais',
    'radierait',
    'radieras',
    'radierez',
    'radieriez',
    'radierions',
    'radierons',
    'radieront',
    'radies',
    'radiesthésie',
    'radieuse',
    'radieuses',
    'radieux',
    'radiez',
    'radiiez',
    'radiions',
    'radin',
    'radina',
    'radinai',
    'radinaient',
    'radinais',
    'radinait',
    'radinant',
    'radinas',
    'radinasse',
    'radinassent',
    'radinasses',
    'radinassiez',
    'radinassions',
    'radine',
    'radinent',
    'radiner',
    'radinera',
    'radinerai',
    'radineraient',
    'radinerais',
    'radinerait',
    'radineras',
    'radinerez',
    'radinerie',
    'radineries',
    'radineriez',
    'radinerions',
    'radinerons',
    'radineront',
    'radines',
    'radinez',
    'radiniez',
    'radinions',
    'radinons',
    'radins',
    'radinâmes',
    'radinât',
    'radinâtes',
    'radinèrent',
    'radiné',
    'radinée',
    'radinées',
    'radinés',
    'radio',
    'radioactif',
    'radioactifs',
    'radioactive',
    'radioactives',
    'radioamateur',
    'radiobalisa',
    'radiobalisai',
    'radiobalisas',
    'radiobalise',
    'radiobaliser',
    'radiobalises',
    'radiobalisez',
    'radiobalisât',
    'radiobalisé',
    'radiobalisée',
    'radiobalisés',
    'radiocarbone',
    'radiocobalt',
    'radiocobalts',
    'radiocompas',
    'radiodiffusa',
    'radiodiffuse',
    'radiodiffusé',
    'radiographia',
    'radiographie',
    'radiographié',
    'radioguida',
    'radioguidage',
    'radioguidai',
    'radioguidais',
    'radioguidait',
    'radioguidant',
    'radioguidas',
    'radioguide',
    'radioguident',
    'radioguider',
    'radioguidera',
    'radioguides',
    'radioguidez',
    'radioguidiez',
    'radioguidons',
    'radioguidât',
    'radioguidé',
    'radioguidée',
    'radioguidées',
    'radioguidés',
    'radiologie',
    'radiologies',
    'radiologique',
    'radiologiste',
    'radiologue',
    'radiologues',
    'radiolyse',
    'radiolyses',
    'radiolésion',
    'radiolésions',
    'radiomètre',
    'radiomètres',
    'radions',
    'radionécrose',
    'radiophare',
    'radiophares',
    'radiophonie',
    'radiophonies',
    'radios',
    'radioscopa',
    'radioscopai',
    'radioscopais',
    'radioscopait',
    'radioscopant',
    'radioscopas',
    'radioscope',
    'radioscopent',
    'radioscoper',
    'radioscopera',
    'radioscopes',
    'radioscopez',
    'radioscopie',
    'radioscopies',
    'radioscopiez',
    'radioscopons',
    'radioscopât',
    'radioscopé',
    'radioscopée',
    'radioscopées',
    'radioscopés',
    'radiosondage',
    'radiosonde',
    'radiosondes',
    'radis',
    'radium',
    'radiums',
    'radius',
    'radiâmes',
    'radiât',
    'radiâtes',
    'radièrent',
    'radié',
    'radiée',
    'radiées',
    'radiés',
    'radjah',
    'radjahs',
    'radons',
    'radota',
    'radotage',
    'radotages',
    'radotai',
    'radotaient',
    'radotais',
    'radotait',
    'radotant',
    'radotas',
    'radotasse',
    'radotassent',
    'radotasses',
    'radotassiez',
    'radotassions',
    'radote',
    'radotent',
    'radoter',
    'radotera',
    'radoterai',
    'radoteraient',
    'radoterais',
    'radoterait',
    'radoteras',
    'radoterez',
    'radoteriez',
    'radoterions',
    'radoterons',
    'radoteront',
    'radotes',
    'radoteur',
    'radoteurs',
    'radoteuse',
    'radoteuses',
    'radotez',
    'radotiez',
    'radotions',
    'radotons',
    'radotâmes',
    'radotât',
    'radotâtes',
    'radotèrent',
    'radoté',
    'radoub',
    'radouba',
    'radoubai',
    'radoubaient',
    'radoubais',
    'radoubait',
    'radoubant',
    'radoubas',
    'radoubasse',
    'radoubassent',
    'radoubasses',
    'radoubassiez',
    'radoube',
    'radoubent',
    'radouber',
    'radoubera',
    'radouberai',
    'radouberais',
    'radouberait',
    'radouberas',
    'radouberez',
    'radouberiez',
    'radouberions',
    'radouberons',
    'radouberont',
    'radoubes',
    'radoubez',
    'radoubiez',
    'radoubions',
    'radoubler',
    'radoubons',
    'radoubs',
    'radoubâmes',
    'radoubât',
    'radoubâtes',
    'radoubèrent',
    'radoubé',
    'radoubée',
    'radoubées',
    'radoubés',
    'radouci',
    'radoucie',
    'radoucies',
    'radoucir',
    'radoucira',
    'radoucirai',
    'radoucirais',
    'radoucirait',
    'radouciras',
    'radoucirent',
    'radoucirez',
    'radouciriez',
    'radoucirions',
    'radoucirons',
    'radouciront',
    'radoucis',
    'radoucissais',
    'radoucissait',
    'radoucissant',
    'radoucisse',
    'radoucissent',
    'radoucisses',
    'radoucissez',
    'radoucissiez',
    'radoucissons',
    'radoucit',
    'radoucîmes',
    'radoucît',
    'radoucîtes',
    'radâmes',
    'radât',
    'radâtes',
    'radèrent',
    'radé',
    'radée',
    'radées',
    'radés',
    'radôme',
    'radômes',
    'rafale',
    'rafales',
    'raffermi',
    'raffermie',
    'raffermies',
    'raffermir',
    'raffermira',
    'raffermirai',
    'raffermirais',
    'raffermirait',
    'raffermiras',
    'raffermirent',
    'raffermirez',
    'raffermiriez',
    'raffermirons',
    'raffermiront',
    'raffermis',
    'raffermisse',
    'raffermisses',
    'raffermissez',
    'raffermit',
    'raffermîmes',
    'raffermît',
    'raffermîtes',
    'raffina',
    'raffinage',
    'raffinages',
    'raffinai',
    'raffinaient',
    'raffinais',
    'raffinait',
    'raffinant',
    'raffinas',
    'raffinasse',
    'raffinassent',
    'raffinasses',
    'raffinassiez',
    'raffine',
    'raffinement',
    'raffinements',
    'raffinent',
    'raffiner',
    'raffinera',
    'raffinerai',
    'raffinerais',
    'raffinerait',
    'raffineras',
    'raffinerez',
    'raffinerie',
    'raffineries',
    'raffineriez',
    'raffinerions',
    'raffinerons',
    'raffineront',
    'raffines',
    'raffineur',
    'raffineurs',
    'raffineuse',
    'raffineuses',
    'raffinez',
    'raffiniez',
    'raffinions',
    'raffinons',
    'raffinâmes',
    'raffinât',
    'raffinâtes',
    'raffinèrent',
    'raffiné',
    'raffinée',
    'raffinées',
    'raffinés',
    'rafflesia',
    'rafflesias',
    'rafflésie',
    'rafflésies',
    'raffola',
    'raffolai',
    'raffolaient',
    'raffolais',
    'raffolait',
    'raffolant',
    'raffolas',
    'raffolasse',
    'raffolassent',
    'raffolasses',
    'raffolassiez',
    'raffole',
    'raffolent',
    'raffoler',
    'raffolera',
    'raffolerai',
    'raffolerais',
    'raffolerait',
    'raffoleras',
    'raffolerez',
    'raffoleriez',
    'raffolerions',
    'raffolerons',
    'raffoleront',
    'raffoles',
    'raffolez',
    'raffoliez',
    'raffolions',
    'raffolons',
    'raffolâmes',
    'raffolât',
    'raffolâtes',
    'raffolèrent',
    'raffolé',
    'raffolée',
    'raffolées',
    'raffolés',
    'raffut',
    'raffuts',
    'raffûta',
    'raffûtai',
    'raffûtaient',
    'raffûtais',
    'raffûtait',
    'raffûtant',
    'raffûtas',
    'raffûtasse',
    'raffûtassent',
    'raffûtasses',
    'raffûtassiez',
    'raffûte',
    'raffûtent',
    'raffûter',
    'raffûtera',
    'raffûterai',
    'raffûterais',
    'raffûterait',
    'raffûteras',
    'raffûterez',
    'raffûteriez',
    'raffûterions',
    'raffûterons',
    'raffûteront',
    'raffûtes',
    'raffûtez',
    'raffûtiez',
    'raffûtions',
    'raffûtons',
    'raffûtâmes',
    'raffûtât',
    'raffûtâtes',
    'raffûtèrent',
    'raffûté',
    'raffûtée',
    'raffûtées',
    'raffûtés',
    'rafiot',
    'rafiots',
    'rafistola',
    'rafistolage',
    'rafistolages',
    'rafistolai',
    'rafistolais',
    'rafistolait',
    'rafistolant',
    'rafistolas',
    'rafistolasse',
    'rafistole',
    'rafistolent',
    'rafistoler',
    'rafistolera',
    'rafistolerai',
    'rafistoleras',
    'rafistolerez',
    'rafistoles',
    'rafistolez',
    'rafistoliez',
    'rafistolions',
    'rafistolons',
    'rafistolâmes',
    'rafistolât',
    'rafistolâtes',
    'rafistolé',
    'rafistolée',
    'rafistolées',
    'rafistolés',
    'rafla',
    'raflai',
    'raflaient',
    'raflais',
    'raflait',
    'raflant',
    'raflas',
    'raflasse',
    'raflassent',
    'raflasses',
    'raflassiez',
    'raflassions',
    'rafle',
    'raflent',
    'rafler',
    'raflera',
    'raflerai',
    'rafleraient',
    'raflerais',
    'raflerait',
    'rafleras',
    'raflerez',
    'rafleriez',
    'raflerions',
    'raflerons',
    'rafleront',
    'rafles',
    'raflez',
    'rafliez',
    'raflions',
    'raflons',
    'raflâmes',
    'raflât',
    'raflâtes',
    'raflèrent',
    'raflé',
    'raflée',
    'raflées',
    'raflés',
    'rafraîchi',
    'rafraîchie',
    'rafraîchies',
    'rafraîchir',
    'rafraîchira',
    'rafraîchirai',
    'rafraîchiras',
    'rafraîchirez',
    'rafraîchis',
    'rafraîchisse',
    'rafraîchit',
    'rafraîchîmes',
    'rafraîchît',
    'rafraîchîtes',
    'ragaillardi',
    'ragaillardie',
    'ragaillardir',
    'ragaillardis',
    'ragaillardit',
    'ragaillardît',
    'rage',
    'ragea',
    'rageai',
    'rageaient',
    'rageais',
    'rageait',
    'rageant',
    'rageante',
    'rageantes',
    'rageants',
    'rageas',
    'rageasse',
    'rageassent',
    'rageasses',
    'rageassiez',
    'rageassions',
    'ragent',
    'rageons',
    'rager',
    'ragera',
    'ragerai',
    'rageraient',
    'ragerais',
    'ragerait',
    'rageras',
    'ragerez',
    'rageriez',
    'ragerions',
    'ragerons',
    'rageront',
    'rages',
    'rageur',
    'rageurs',
    'rageuse',
    'rageusement',
    'rageuses',
    'ragez',
    'rageâmes',
    'rageât',
    'rageâtes',
    'ragiez',
    'ragions',
    'raglan',
    'raglans',
    'ragondin',
    'ragondins',
    'ragot',
    'ragota',
    'ragotai',
    'ragotaient',
    'ragotais',
    'ragotait',
    'ragotant',
    'ragotas',
    'ragotasse',
    'ragotassent',
    'ragotasses',
    'ragotassiez',
    'ragotassions',
    'ragote',
    'ragotent',
    'ragoter',
    'ragotera',
    'ragoterai',
    'ragoteraient',
    'ragoterais',
    'ragoterait',
    'ragoteras',
    'ragoterez',
    'ragoteriez',
    'ragoterions',
    'ragoterons',
    'ragoteront',
    'ragotes',
    'ragotez',
    'ragotiez',
    'ragotions',
    'ragotons',
    'ragots',
    'ragotâmes',
    'ragotât',
    'ragotâtes',
    'ragotèrent',
    'ragoté',
    'ragougnasse',
    'ragougnasses',
    'ragoût',
    'ragoûta',
    'ragoûtai',
    'ragoûtaient',
    'ragoûtais',
    'ragoûtait',
    'ragoûtant',
    'ragoûtante',
    'ragoûtantes',
    'ragoûtants',
    'ragoûtas',
    'ragoûtasse',
    'ragoûtassent',
    'ragoûtasses',
    'ragoûtassiez',
    'ragoûte',
    'ragoûtent',
    'ragoûter',
    'ragoûtera',
    'ragoûterai',
    'ragoûterais',
    'ragoûterait',
    'ragoûteras',
    'ragoûterez',
    'ragoûteriez',
    'ragoûterions',
    'ragoûterons',
    'ragoûteront',
    'ragoûtes',
    'ragoûtez',
    'ragoûtiez',
    'ragoûtions',
    'ragoûtons',
    'ragoûts',
    'ragoûtâmes',
    'ragoûtât',
    'ragoûtâtes',
    'ragoûtèrent',
    'ragoûté',
    'ragoûtée',
    'ragoûtées',
    'ragoûtés',
    'ragrafa',
    'ragrafai',
    'ragrafaient',
    'ragrafais',
    'ragrafait',
    'ragrafant',
    'ragrafas',
    'ragrafasse',
    'ragrafassent',
    'ragrafasses',
    'ragrafassiez',
    'ragrafe',
    'ragrafent',
    'ragrafer',
    'ragrafera',
    'ragraferai',
    'ragraferais',
    'ragraferait',
    'ragraferas',
    'ragraferez',
    'ragraferiez',
    'ragraferions',
    'ragraferons',
    'ragraferont',
    'ragrafes',
    'ragrafez',
    'ragrafiez',
    'ragrafions',
    'ragrafons',
    'ragrafâmes',
    'ragrafât',
    'ragrafâtes',
    'ragrafèrent',
    'ragrafé',
    'ragrafée',
    'ragrafées',
    'ragrafés',
    'ragréa',
    'ragréai',
    'ragréaient',
    'ragréais',
    'ragréait',
    'ragréant',
    'ragréas',
    'ragréasse',
    'ragréassent',
    'ragréasses',
    'ragréassiez',
    'ragréassions',
    'ragrée',
    'ragréent',
    'ragréer',
    'ragréera',
    'ragréerai',
    'ragréeraient',
    'ragréerais',
    'ragréerait',
    'ragréeras',
    'ragréerez',
    'ragréeriez',
    'ragréerions',
    'ragréerons',
    'ragréeront',
    'ragrées',
    'ragréez',
    'ragréiez',
    'ragréions',
    'ragréons',
    'ragréâmes',
    'ragréât',
    'ragréâtes',
    'ragréèrent',
    'ragréé',
    'ragréée',
    'ragréées',
    'ragréés',
    'ragua',
    'raguai',
    'raguaient',
    'raguais',
    'raguait',
    'raguant',
    'raguas',
    'raguasse',
    'raguassent',
    'raguasses',
    'raguassiez',
    'raguassions',
    'rague',
    'raguent',
    'raguer',
    'raguera',
    'raguerai',
    'ragueraient',
    'raguerais',
    'raguerait',
    'ragueras',
    'raguerez',
    'ragueriez',
    'raguerions',
    'raguerons',
    'ragueront',
    'ragues',
    'raguez',
    'raguiez',
    'raguions',
    'raguons',
    'raguâmes',
    'raguât',
    'raguâtes',
    'raguèrent',
    'ragué',
    'raguée',
    'raguées',
    'ragués',
    'ragèrent',
    'ragé',
    'ragée',
    'ragées',
    'ragés',
    'raid',
    'raide',
    'raider',
    'raiders',
    'raides',
    'raideur',
    'raideurs',
    'raidi',
    'raidie',
    'raidies',
    'raidillon',
    'raidillons',
    'raidir',
    'raidira',
    'raidirai',
    'raidiraient',
    'raidirais',
    'raidirait',
    'raidiras',
    'raidirasse',
    'raidirassent',
    'raidirasses',
    'raidirassiez',
    'raidirent',
    'raidirez',
    'raidiriez',
    'raidirions',
    'raidirons',
    'raidiront',
    'raidirâmes',
    'raidirât',
    'raidirâtes',
    'raidirèrent',
    'raidis',
    'raidissaient',
    'raidissais',
    'raidissait',
    'raidissant',
    'raidisse',
    'raidissement',
    'raidissent',
    'raidisses',
    'raidisseur',
    'raidisseurs',
    'raidissez',
    'raidissiez',
    'raidissions',
    'raidissons',
    'raidit',
    'raids',
    'raidîmes',
    'raidît',
    'raidîtes',
    'raie',
    'raient',
    'raiera',
    'raierai',
    'raieraient',
    'raierais',
    'raierait',
    'raieras',
    'raierez',
    'raieriez',
    'raierions',
    'raierons',
    'raieront',
    'raies',
    'raifort',
    'raiforts',
    'rail',
    'railla',
    'raillai',
    'raillaient',
    'raillais',
    'raillait',
    'raillant',
    'raillas',
    'raillasse',
    'raillassent',
    'raillasses',
    'raillassiez',
    'raillassions',
    'raille',
    'raillent',
    'railler',
    'raillera',
    'raillerai',
    'railleraient',
    'raillerais',
    'raillerait',
    'railleras',
    'raillerez',
    'raillerie',
    'railleries',
    'railleriez',
    'raillerions',
    'raillerons',
    'railleront',
    'railles',
    'railleur',
    'railleurs',
    'railleuse',
    'railleuses',
    'raillez',
    'railliez',
    'raillions',
    'raillons',
    'raillâmes',
    'raillât',
    'raillâtes',
    'raillèrent',
    'raillé',
    'raillée',
    'raillées',
    'raillés',
    'rails',
    'raina',
    'rainai',
    'rainaient',
    'rainais',
    'rainait',
    'rainant',
    'rainas',
    'rainasse',
    'rainassent',
    'rainasses',
    'rainassiez',
    'rainassions',
    'raine',
    'rainent',
    'rainer',
    'rainera',
    'rainerai',
    'raineraient',
    'rainerais',
    'rainerait',
    'raineras',
    'rainerez',
    'raineriez',
    'rainerions',
    'rainerons',
    'raineront',
    'raines',
    'raineta',
    'rainetai',
    'rainetaient',
    'rainetais',
    'rainetait',
    'rainetant',
    'rainetas',
    'rainetasse',
    'rainetassent',
    'rainetasses',
    'rainetassiez',
    'raineter',
    'rainetez',
    'rainetiez',
    'rainetions',
    'rainetons',
    'rainette',
    'rainettent',
    'rainettera',
    'rainetterai',
    'rainetterais',
    'rainetterait',
    'rainetteras',
    'rainetterez',
    'rainetteriez',
    'rainetterons',
    'rainetteront',
    'rainettes',
    'rainetâmes',
    'rainetât',
    'rainetâtes',
    'rainetèrent',
    'raineté',
    'rainetée',
    'rainetées',
    'rainetés',
    'rainez',
    'rainiez',
    'rainions',
    'rainons',
    'rainura',
    'rainurage',
    'rainurages',
    'rainurai',
    'rainuraient',
    'rainurais',
    'rainurait',
    'rainurant',
    'rainuras',
    'rainurasse',
    'rainurassent',
    'rainurasses',
    'rainurassiez',
    'rainure',
    'rainurent',
    'rainurer',
    'rainurera',
    'rainurerai',
    'rainurerais',
    'rainurerait',
    'rainureras',
    'rainurerez',
    'rainureriez',
    'rainurerions',
    'rainurerons',
    'rainureront',
    'rainures',
    'rainurez',
    'rainuriez',
    'rainurions',
    'rainurons',
    'rainurâmes',
    'rainurât',
    'rainurâtes',
    'rainurèrent',
    'rainuré',
    'rainurée',
    'rainurées',
    'rainurés',
    'rainâmes',
    'rainât',
    'rainâtes',
    'rainèrent',
    'rainé',
    'rainée',
    'rainées',
    'rainés',
    'raire',
    'rais',
    'raisin',
    'raisins',
    'raisiné',
    'raisinés',
    'raison',
    'raisonna',
    'raisonnable',
    'raisonnables',
    'raisonnai',
    'raisonnaient',
    'raisonnais',
    'raisonnait',
    'raisonnant',
    'raisonnas',
    'raisonnasse',
    'raisonnasses',
    'raisonne',
    'raisonnement',
    'raisonnent',
    'raisonner',
    'raisonnera',
    'raisonnerai',
    'raisonnerais',
    'raisonnerait',
    'raisonneras',
    'raisonnerez',
    'raisonneriez',
    'raisonnerons',
    'raisonneront',
    'raisonnes',
    'raisonneur',
    'raisonneurs',
    'raisonneuse',
    'raisonneuses',
    'raisonnez',
    'raisonniez',
    'raisonnions',
    'raisonnons',
    'raisonnâmes',
    'raisonnât',
    'raisonnâtes',
    'raisonnèrent',
    'raisonné',
    'raisonnée',
    'raisonnées',
    'raisonnés',
    'raisons',
    'raizet',
    'raja',
    'rajah',
    'rajahs',
    'rajas',
    'rajeuni',
    'rajeunie',
    'rajeunies',
    'rajeunir',
    'rajeunira',
    'rajeunirai',
    'rajeunirais',
    'rajeunirait',
    'rajeuniras',
    'rajeunirent',
    'rajeunirez',
    'rajeuniriez',
    'rajeunirions',
    'rajeunirons',
    'rajeuniront',
    'rajeunis',
    'rajeunissais',
    'rajeunissait',
    'rajeunissant',
    'rajeunisse',
    'rajeunissent',
    'rajeunisses',
    'rajeunissez',
    'rajeunissiez',
    'rajeunissons',
    'rajeunit',
    'rajeunîmes',
    'rajeunît',
    'rajeunîtes',
    'rajout',
    'rajouta',
    'rajoutai',
    'rajoutaient',
    'rajoutais',
    'rajoutait',
    'rajoutant',
    'rajoutas',
    'rajoutasse',
    'rajoutassent',
    'rajoutasses',
    'rajoutassiez',
    'rajoute',
    'rajoutent',
    'rajouter',
    'rajoutera',
    'rajouterai',
    'rajouterais',
    'rajouterait',
    'rajouteras',
    'rajouterez',
    'rajouteriez',
    'rajouterions',
    'rajouterons',
    'rajouteront',
    'rajoutes',
    'rajoutez',
    'rajoutiez',
    'rajoutions',
    'rajoutons',
    'rajouts',
    'rajoutâmes',
    'rajoutât',
    'rajoutâtes',
    'rajoutèrent',
    'rajouté',
    'rajoutée',
    'rajoutées',
    'rajoutés',
    'rajusta',
    'rajustai',
    'rajustaient',
    'rajustais',
    'rajustait',
    'rajustant',
    'rajustas',
    'rajustasse',
    'rajustassent',
    'rajustasses',
    'rajustassiez',
    'rajuste',
    'rajustement',
    'rajustements',
    'rajustent',
    'rajuster',
    'rajustera',
    'rajusterai',
    'rajusterais',
    'rajusterait',
    'rajusteras',
    'rajusterez',
    'rajusteriez',
    'rajusterions',
    'rajusterons',
    'rajusteront',
    'rajustes',
    'rajustez',
    'rajustiez',
    'rajustions',
    'rajustons',
    'rajustâmes',
    'rajustât',
    'rajustâtes',
    'rajustèrent',
    'rajusté',
    'rajustée',
    'rajustées',
    'rajustés',
    'raki',
    'rakis',
    'ralenti',
    'ralentie',
    'ralenties',
    'ralentir',
    'ralentira',
    'ralentirai',
    'ralentirais',
    'ralentirait',
    'ralentiras',
    'ralentirent',
    'ralentirez',
    'ralentiriez',
    'ralentirions',
    'ralentirons',
    'ralentiront',
    'ralentis',
    'ralentissais',
    'ralentissait',
    'ralentissant',
    'ralentisse',
    'ralentissent',
    'ralentisses',
    'ralentisseur',
    'ralentissez',
    'ralentissiez',
    'ralentissons',
    'ralentit',
    'ralentîmes',
    'ralentît',
    'ralentîtes',
    'ralingua',
    'ralinguai',
    'ralinguaient',
    'ralinguais',
    'ralinguait',
    'ralinguant',
    'ralinguas',
    'ralinguasse',
    'ralinguasses',
    'ralingue',
    'ralinguent',
    'ralinguer',
    'ralinguera',
    'ralinguerai',
    'ralinguerais',
    'ralinguerait',
    'ralingueras',
    'ralinguerez',
    'ralingueriez',
    'ralinguerons',
    'ralingueront',
    'ralingues',
    'ralinguez',
    'ralinguiez',
    'ralinguions',
    'ralinguons',
    'ralinguâmes',
    'ralinguât',
    'ralinguâtes',
    'ralinguèrent',
    'ralingué',
    'ralinguée',
    'ralinguées',
    'ralingués',
    'raller',
    'rallia',
    'ralliai',
    'ralliaient',
    'ralliais',
    'ralliait',
    'ralliant',
    'rallias',
    'ralliasse',
    'ralliassent',
    'ralliasses',
    'ralliassiez',
    'ralliassions',
    'rallie',
    'ralliement',
    'ralliements',
    'rallient',
    'rallier',
    'ralliera',
    'rallierai',
    'rallieraient',
    'rallierais',
    'rallierait',
    'rallieras',
    'rallierez',
    'rallieriez',
    'rallierions',
    'rallierons',
    'rallieront',
    'rallies',
    'ralliez',
    'ralliiez',
    'ralliions',
    'rallions',
    'ralliâmes',
    'ralliât',
    'ralliâtes',
    'rallièrent',
    'rallié',
    'ralliée',
    'ralliées',
    'ralliés',
    'rallonge',
    'rallongea',
    'rallongeai',
    'rallongeais',
    'rallongeait',
    'rallongeant',
    'rallongeas',
    'rallongeasse',
    'rallongement',
    'rallongent',
    'rallongeons',
    'rallonger',
    'rallongera',
    'rallongerai',
    'rallongerais',
    'rallongerait',
    'rallongeras',
    'rallongerez',
    'rallongeriez',
    'rallongerons',
    'rallongeront',
    'rallonges',
    'rallongez',
    'rallongeâmes',
    'rallongeât',
    'rallongeâtes',
    'rallongiez',
    'rallongions',
    'rallongèrent',
    'rallongé',
    'rallongée',
    'rallongées',
    'rallongés',
    'ralluma',
    'rallumai',
    'rallumaient',
    'rallumais',
    'rallumait',
    'rallumant',
    'rallumas',
    'rallumasse',
    'rallumassent',
    'rallumasses',
    'rallumassiez',
    'rallume',
    'rallument',
    'rallumer',
    'rallumera',
    'rallumerai',
    'rallumerais',
    'rallumerait',
    'rallumeras',
    'rallumerez',
    'rallumeriez',
    'rallumerions',
    'rallumerons',
    'rallumeront',
    'rallumes',
    'rallumez',
    'rallumiez',
    'rallumions',
    'rallumons',
    'rallumâmes',
    'rallumât',
    'rallumâtes',
    'rallumèrent',
    'rallumé',
    'rallumée',
    'rallumées',
    'rallumés',
    'rallye',
    'rallyes',
    'rallège',
    'rallègent',
    'rallèges',
    'rallégea',
    'rallégeai',
    'rallégeaient',
    'rallégeais',
    'rallégeait',
    'rallégeant',
    'rallégeas',
    'rallégeasse',
    'rallégeasses',
    'rallégeons',
    'ralléger',
    'rallégera',
    'rallégerai',
    'rallégerais',
    'rallégerait',
    'rallégeras',
    'rallégerez',
    'rallégeriez',
    'rallégerions',
    'rallégerons',
    'rallégeront',
    'rallégez',
    'rallégeâmes',
    'rallégeât',
    'rallégeâtes',
    'rallégiez',
    'rallégions',
    'rallégèrent',
    'rallégé',
    'rama',
    'ramadan',
    'ramadans',
    'ramage',
    'ramagea',
    'ramageai',
    'ramageaient',
    'ramageais',
    'ramageait',
    'ramageant',
    'ramageas',
    'ramageasse',
    'ramageassent',
    'ramageasses',
    'ramageassiez',
    'ramagent',
    'ramageons',
    'ramager',
    'ramagera',
    'ramagerai',
    'ramageraient',
    'ramagerais',
    'ramagerait',
    'ramageras',
    'ramagerez',
    'ramageriez',
    'ramagerions',
    'ramagerons',
    'ramageront',
    'ramages',
    'ramagez',
    'ramageâmes',
    'ramageât',
    'ramageâtes',
    'ramagiez',
    'ramagions',
    'ramagèrent',
    'ramagé',
    'ramagée',
    'ramagées',
    'ramagés',
    'ramai',
    'ramaient',
    'ramailla',
    'ramaillai',
    'ramaillaient',
    'ramaillais',
    'ramaillait',
    'ramaillant',
    'ramaillas',
    'ramaillasse',
    'ramaillasses',
    'ramaille',
    'ramaillent',
    'ramailler',
    'ramaillera',
    'ramaillerai',
    'ramaillerais',
    'ramaillerait',
    'ramailleras',
    'ramaillerez',
    'ramailleriez',
    'ramaillerons',
    'ramailleront',
    'ramailles',
    'ramaillez',
    'ramailliez',
    'ramaillions',
    'ramaillons',
    'ramaillâmes',
    'ramaillât',
    'ramaillâtes',
    'ramaillèrent',
    'ramaillé',
    'ramais',
    'ramait',
    'ramanda',
    'ramandai',
    'ramandaient',
    'ramandais',
    'ramandait',
    'ramandant',
    'ramandas',
    'ramandasse',
    'ramandassent',
    'ramandasses',
    'ramandassiez',
    'ramande',
    'ramandent',
    'ramander',
    'ramandera',
    'ramanderai',
    'ramanderais',
    'ramanderait',
    'ramanderas',
    'ramanderez',
    'ramanderiez',
    'ramanderions',
    'ramanderons',
    'ramanderont',
    'ramandes',
    'ramandez',
    'ramandiez',
    'ramandions',
    'ramandons',
    'ramandâmes',
    'ramandât',
    'ramandâtes',
    'ramandèrent',
    'ramandé',
    'ramandée',
    'ramandées',
    'ramandés',
    'ramant',
    'ramarra',
    'ramarrai',
    'ramarraient',
    'ramarrais',
    'ramarrait',
    'ramarrant',
    'ramarras',
    'ramarrasse',
    'ramarrassent',
    'ramarrasses',
    'ramarrassiez',
    'ramarre',
    'ramarrent',
    'ramarrer',
    'ramarrera',
    'ramarrerai',
    'ramarrerais',
    'ramarrerait',
    'ramarreras',
    'ramarrerez',
    'ramarreriez',
    'ramarrerions',
    'ramarrerons',
    'ramarreront',
    'ramarres',
    'ramarrez',
    'ramarriez',
    'ramarrions',
    'ramarrons',
    'ramarrâmes',
    'ramarrât',
    'ramarrâtes',
    'ramarrèrent',
    'ramarré',
    'ramarrée',
    'ramarrées',
    'ramarrés',
    'ramas',
    'ramassa',
    'ramassage',
    'ramassages',
    'ramassai',
    'ramassaient',
    'ramassais',
    'ramassait',
    'ramassant',
    'ramassas',
    'ramassasse',
    'ramassassent',
    'ramassasses',
    'ramassassiez',
    'ramasse',
    'ramassent',
    'ramasser',
    'ramassera',
    'ramasserai',
    'ramasserais',
    'ramasserait',
    'ramasseras',
    'ramasserez',
    'ramasseriez',
    'ramasserions',
    'ramasserons',
    'ramasseront',
    'ramasses',
    'ramassette',
    'ramassettes',
    'ramasseur',
    'ramasseurs',
    'ramasseuse',
    'ramasseuses',
    'ramassez',
    'ramassiez',
    'ramassions',
    'ramassis',
    'ramassons',
    'ramassâmes',
    'ramassât',
    'ramassâtes',
    'ramassèrent',
    'ramassé',
    'ramassée',
    'ramassées',
    'ramassés',
    'ramastiqua',
    'ramastiquai',
    'ramastiquais',
    'ramastiquait',
    'ramastiquant',
    'ramastiquas',
    'ramastique',
    'ramastiquent',
    'ramastiquer',
    'ramastiques',
    'ramastiquez',
    'ramastiquiez',
    'ramastiquons',
    'ramastiquât',
    'ramastiqué',
    'ramastiquée',
    'ramastiquées',
    'ramastiqués',
    'ramatisquera',
    'rambarde',
    'rambardes',
    'ramberg',
    'rambour',
    'rambours',
    'ramdam',
    'ramdams',
    'rame',
    'rameau',
    'rameaux',
    'ramena',
    'ramenai',
    'ramenaient',
    'ramenais',
    'ramenait',
    'ramenant',
    'ramenas',
    'ramenasse',
    'ramenassent',
    'ramenasses',
    'ramenassiez',
    'ramenassions',
    'ramenda',
    'ramendai',
    'ramendaient',
    'ramendais',
    'ramendait',
    'ramendant',
    'ramendas',
    'ramendasse',
    'ramendassent',
    'ramendasses',
    'ramendassiez',
    'ramende',
    'ramendent',
    'ramender',
    'ramendera',
    'ramenderai',
    'ramenderais',
    'ramenderait',
    'ramenderas',
    'ramenderez',
    'ramenderiez',
    'ramenderions',
    'ramenderons',
    'ramenderont',
    'ramendes',
    'ramendeur',
    'ramendeurs',
    'ramendeuse',
    'ramendeuses',
    'ramendez',
    'ramendiez',
    'ramendions',
    'ramendons',
    'ramendâmes',
    'ramendât',
    'ramendâtes',
    'ramendèrent',
    'ramendé',
    'ramendée',
    'ramendées',
    'ramendés',
    'ramener',
    'ramenez',
    'rameniez',
    'ramenions',
    'ramenons',
    'rament',
    'ramenâmes',
    'ramenât',
    'ramenâtes',
    'ramenèrent',
    'ramené',
    'ramenée',
    'ramenées',
    'ramenés',
    'ramequin',
    'ramequins',
    'ramer',
    'ramera',
    'ramerai',
    'rameraient',
    'ramerais',
    'ramerait',
    'rameras',
    'ramereau',
    'ramereaux',
    'ramerez',
    'rameriez',
    'ramerions',
    'ramerons',
    'rameront',
    'ramerot',
    'ramerots',
    'rames',
    'ramescence',
    'ramescences',
    'ramette',
    'ramettes',
    'rameur',
    'rameurs',
    'rameuse',
    'rameuses',
    'rameuta',
    'rameutai',
    'rameutaient',
    'rameutais',
    'rameutait',
    'rameutant',
    'rameutas',
    'rameutasse',
    'rameutassent',
    'rameutasses',
    'rameutassiez',
    'rameute',
    'rameutent',
    'rameuter',
    'rameutera',
    'rameuterai',
    'rameuterais',
    'rameuterait',
    'rameuteras',
    'rameuterez',
    'rameuteriez',
    'rameuterions',
    'rameuterons',
    'rameuteront',
    'rameutes',
    'rameutez',
    'rameutiez',
    'rameutions',
    'rameutons',
    'rameutâmes',
    'rameutât',
    'rameutâtes',
    'rameutèrent',
    'rameuté',
    'rameutée',
    'rameutées',
    'rameutés',
    'rameux',
    'ramez',
    'rami',
    'ramie',
    'ramier',
    'ramiers',
    'ramies',
    'ramiez',
    'ramifia',
    'ramifiai',
    'ramifiaient',
    'ramifiais',
    'ramifiait',
    'ramifiant',
    'ramifias',
    'ramifiasse',
    'ramifiassent',
    'ramifiasses',
    'ramifiassiez',
    'ramification',
    'ramifie',
    'ramifient',
    'ramifier',
    'ramifiera',
    'ramifierai',
    'ramifierais',
    'ramifierait',
    'ramifieras',
    'ramifierez',
    'ramifieriez',
    'ramifierions',
    'ramifierons',
    'ramifieront',
    'ramifies',
    'ramifiez',
    'ramifiiez',
    'ramifiions',
    'ramifions',
    'ramifiâmes',
    'ramifiât',
    'ramifiâtes',
    'ramifièrent',
    'ramifié',
    'ramifiée',
    'ramifiées',
    'ramifiés',
    'ramille',
    'ramilles',
    'ramingue',
    'ramingues',
    'ramions',
    'ramis',
    'ramolli',
    'ramollie',
    'ramollies',
    'ramollir',
    'ramollira',
    'ramollirai',
    'ramollirais',
    'ramollirait',
    'ramolliras',
    'ramollirent',
    'ramollirez',
    'ramolliriez',
    'ramollirions',
    'ramollirons',
    'ramolliront',
    'ramollis',
    'ramollissais',
    'ramollissait',
    'ramollissant',
    'ramollisse',
    'ramollissent',
    'ramollisses',
    'ramollissez',
    'ramollissiez',
    'ramollissons',
    'ramollit',
    'ramollo',
    'ramollos',
    'ramollîmes',
    'ramollît',
    'ramollîtes',
    'ramona',
    'ramonage',
    'ramonages',
    'ramonai',
    'ramonaient',
    'ramonais',
    'ramonait',
    'ramonant',
    'ramonas',
    'ramonasse',
    'ramonassent',
    'ramonasses',
    'ramonassiez',
    'ramonassions',
    'ramone',
    'ramonent',
    'ramoner',
    'ramonera',
    'ramonerai',
    'ramoneraient',
    'ramonerais',
    'ramonerait',
    'ramoneras',
    'ramonerez',
    'ramoneriez',
    'ramonerions',
    'ramonerons',
    'ramoneront',
    'ramones',
    'ramoneur',
    'ramoneurs',
    'ramonez',
    'ramoniez',
    'ramonions',
    'ramonons',
    'ramons',
    'ramonâmes',
    'ramonât',
    'ramonâtes',
    'ramonèrent',
    'ramoné',
    'ramonée',
    'ramonées',
    'ramonés',
    'rampa',
    'rampai',
    'rampaient',
    'rampais',
    'rampait',
    'rampant',
    'rampante',
    'rampantes',
    'rampants',
    'rampas',
    'rampasse',
    'rampassent',
    'rampasses',
    'rampassiez',
    'rampassions',
    'rampe',
    'rampeau',
    'rampeaux',
    'rampement',
    'rampements',
    'rampent',
    'ramper',
    'rampera',
    'ramperai',
    'ramperaient',
    'ramperais',
    'ramperait',
    'ramperas',
    'ramperez',
    'ramperiez',
    'ramperions',
    'ramperons',
    'ramperont',
    'rampes',
    'rampez',
    'rampiez',
    'rampions',
    'ramponeau',
    'ramponeaux',
    'ramponneau',
    'ramponneaux',
    'rampons',
    'rampâmes',
    'rampât',
    'rampâtes',
    'rampèrent',
    'rampé',
    'ramure',
    'ramures',
    'ramâmes',
    'ramât',
    'ramâtes',
    'ramène',
    'ramènent',
    'ramènera',
    'ramènerai',
    'ramèneraient',
    'ramènerais',
    'ramènerait',
    'ramèneras',
    'ramènerez',
    'ramèneriez',
    'ramènerions',
    'ramènerons',
    'ramèneront',
    'ramènes',
    'ramèrent',
    'ramé',
    'ramée',
    'ramées',
    'ramés',
    'ranatre',
    'ranatres',
    'rancard',
    'rancarda',
    'rancardai',
    'rancardaient',
    'rancardais',
    'rancardait',
    'rancardant',
    'rancardas',
    'rancardasse',
    'rancardasses',
    'rancarde',
    'rancardent',
    'rancarder',
    'rancardera',
    'rancarderai',
    'rancarderais',
    'rancarderait',
    'rancarderas',
    'rancarderez',
    'rancarderiez',
    'rancarderons',
    'rancarderont',
    'rancardes',
    'rancardez',
    'rancardiez',
    'rancardions',
    'rancardons',
    'rancards',
    'rancardâmes',
    'rancardât',
    'rancardâtes',
    'rancardèrent',
    'rancardé',
    'rancardée',
    'rancardées',
    'rancardés',
    'rancart',
    'rancarts',
    'rance',
    'rances',
    'rancescible',
    'rancescibles',
    'ranch',
    'ranche',
    'rancher',
    'ranchers',
    'ranches',
    'ranchs',
    'ranci',
    'rancie',
    'rancies',
    'rancio',
    'rancios',
    'rancir',
    'rancira',
    'rancirai',
    'ranciraient',
    'rancirais',
    'rancirait',
    'ranciras',
    'rancirent',
    'rancirez',
    'ranciriez',
    'rancirions',
    'rancirons',
    'ranciront',
    'rancis',
    'rancissaient',
    'rancissais',
    'rancissait',
    'rancissant',
    'rancisse',
    'rancissement',
    'rancissent',
    'rancisses',
    'rancissez',
    'rancissiez',
    'rancissions',
    'rancissons',
    'rancissure',
    'rancissures',
    'rancit',
    'rancoeur',
    'rancoeurs',
    'rancune',
    'rancunes',
    'rancunier',
    'rancuniers',
    'rancunière',
    'rancunières',
    'rancîmes',
    'rancît',
    'rancîtes',
    'rancoeur',
    'rancoeurs',
    'randomisa',
    'randomisai',
    'randomisais',
    'randomisait',
    'randomisant',
    'randomisas',
    'randomisasse',
    'randomise',
    'randomisent',
    'randomiser',
    'randomisera',
    'randomiserai',
    'randomiseras',
    'randomiserez',
    'randomises',
    'randomisez',
    'randomisiez',
    'randomisions',
    'randomisons',
    'randomisâmes',
    'randomisât',
    'randomisâtes',
    'randomisé',
    'randomisée',
    'randomisées',
    'randomisés',
    'randonna',
    'randonnai',
    'randonnaient',
    'randonnais',
    'randonnait',
    'randonnant',
    'randonnas',
    'randonnasse',
    'randonnasses',
    'randonne',
    'randonnent',
    'randonner',
    'randonnera',
    'randonnerai',
    'randonnerais',
    'randonnerait',
    'randonneras',
    'randonnerez',
    'randonneriez',
    'randonnerons',
    'randonneront',
    'randonnes',
    'randonneur',
    'randonneurs',
    'randonneuse',
    'randonneuses',
    'randonnez',
    'randonniez',
    'randonnions',
    'randonnons',
    'randonnâmes',
    'randonnât',
    'randonnâtes',
    'randonnèrent',
    'randonné',
    'randonnée',
    'randonnées',
    'randonnés',
    'rang',
    'range',
    'rangea',
    'rangeai',
    'rangeaient',
    'rangeais',
    'rangeait',
    'rangeant',
    'rangeas',
    'rangeasse',
    'rangeassent',
    'rangeasses',
    'rangeassiez',
    'rangeassions',
    'rangement',
    'rangements',
    'rangent',
    'rangeons',
    'ranger',
    'rangera',
    'rangerai',
    'rangeraient',
    'rangerais',
    'rangerait',
    'rangeras',
    'rangerez',
    'rangeriez',
    'rangerions',
    'rangerons',
    'rangeront',
    'ranges',
    'rangez',
    'rangeâmes',
    'rangeât',
    'rangeâtes',
    'rangiez',
    'rangions',
    'rangs',
    'rangèrent',
    'rangé',
    'rangée',
    'rangées',
    'rangés',
    'rani',
    'ranima',
    'ranimai',
    'ranimaient',
    'ranimais',
    'ranimait',
    'ranimant',
    'ranimas',
    'ranimasse',
    'ranimassent',
    'ranimasses',
    'ranimassiez',
    'ranimassions',
    'ranime',
    'raniment',
    'ranimer',
    'ranimera',
    'ranimerai',
    'ranimeraient',
    'ranimerais',
    'ranimerait',
    'ranimeras',
    'ranimerez',
    'ranimeriez',
    'ranimerions',
    'ranimerons',
    'ranimeront',
    'ranimes',
    'ranimez',
    'ranimiez',
    'ranimions',
    'ranimons',
    'ranimâmes',
    'ranimât',
    'ranimâtes',
    'ranimèrent',
    'ranimé',
    'ranimée',
    'ranimées',
    'ranimés',
    'ranis',
    'ranz',
    'rançon',
    'rançonna',
    'rançonnai',
    'rançonnaient',
    'rançonnais',
    'rançonnait',
    'rançonnant',
    'rançonnas',
    'rançonnasse',
    'rançonnasses',
    'rançonne',
    'rançonnement',
    'rançonnent',
    'rançonner',
    'rançonnera',
    'rançonnerai',
    'rançonnerais',
    'rançonnerait',
    'rançonneras',
    'rançonnerez',
    'rançonneriez',
    'rançonnerons',
    'rançonneront',
    'rançonnes',
    'rançonnez',
    'rançonniez',
    'rançonnions',
    'rançonnons',
    'rançonnâmes',
    'rançonnât',
    'rançonnâtes',
    'rançonnèrent',
    'rançonné',
    'rançonnée',
    'rançonnées',
    'rançonnés',
    'rançons',
    'raout',
    'raouts',
    'rapace',
    'rapaces',
    'rapacité',
    'rapacités',
    'rapapillota',
    'rapapillotai',
    'rapapillotas',
    'rapapillote',
    'rapapilloter',
    'rapapillotes',
    'rapapillotez',
    'rapapillotât',
    'rapapilloté',
    'rapapillotée',
    'rapapillotés',
    'rapatria',
    'rapatriai',
    'rapatriaient',
    'rapatriais',
    'rapatriait',
    'rapatriant',
    'rapatrias',
    'rapatriasse',
    'rapatriasses',
    'rapatrie',
    'rapatriement',
    'rapatrient',
    'rapatrier',
    'rapatriera',
    'rapatrierai',
    'rapatrierais',
    'rapatrierait',
    'rapatrieras',
    'rapatrierez',
    'rapatrieriez',
    'rapatrierons',
    'rapatrieront',
    'rapatries',
    'rapatriez',
    'rapatriiez',
    'rapatriions',
    'rapatrions',
    'rapatriâmes',
    'rapatriât',
    'rapatriâtes',
    'rapatrièrent',
    'rapatrié',
    'rapatriée',
    'rapatriées',
    'rapatriés',
    'rapatronnage',
    'rapatronner',
    'rapetassa',
    'rapetassage',
    'rapetassages',
    'rapetassai',
    'rapetassais',
    'rapetassait',
    'rapetassant',
    'rapetassas',
    'rapetassasse',
    'rapetasse',
    'rapetassent',
    'rapetasser',
    'rapetassera',
    'rapetasserai',
    'rapetasseras',
    'rapetasserez',
    'rapetasses',
    'rapetassez',
    'rapetassiez',
    'rapetassions',
    'rapetassons',
    'rapetassâmes',
    'rapetassât',
    'rapetassâtes',
    'rapetassé',
    'rapetassée',
    'rapetassées',
    'rapetassés',
    'rapetissa',
    'rapetissai',
    'rapetissais',
    'rapetissait',
    'rapetissant',
    'rapetissas',
    'rapetissasse',
    'rapetisse',
    'rapetissent',
    'rapetisser',
    'rapetissera',
    'rapetisserai',
    'rapetisseras',
    'rapetisserez',
    'rapetisses',
    'rapetissez',
    'rapetissiez',
    'rapetissions',
    'rapetissons',
    'rapetissâmes',
    'rapetissât',
    'rapetissâtes',
    'rapetissé',
    'rapetissée',
    'rapetissées',
    'rapetissés',
    'raphia',
    'raphias',
    'rapiat',
    'rapiate',
    'rapiates',
    'rapiats',
    'rapide',
    'rapidement',
    'rapides',
    'rapidité',
    'rapidités',
    'rapin',
    'rapina',
    'rapinai',
    'rapinaient',
    'rapinais',
    'rapinait',
    'rapinant',
    'rapinas',
    'rapinasse',
    'rapinassent',
    'rapinasses',
    'rapinassiez',
    'rapinassions',
    'rapine',
    'rapinent',
    'rapiner',
    'rapinera',
    'rapinerai',
    'rapineraient',
    'rapinerais',
    'rapinerait',
    'rapineras',
    'rapinerez',
    'rapinerie',
    'rapineries',
    'rapineriez',
    'rapinerions',
    'rapinerons',
    'rapineront',
    'rapines',
    'rapinez',
    'rapiniez',
    'rapinions',
    'rapinons',
    'rapins',
    'rapinâmes',
    'rapinât',
    'rapinâtes',
    'rapinèrent',
    'rapiné',
    'rapinée',
    'rapinées',
    'rapinés',
    'rapièce',
    'rapiècent',
    'rapièces',
    'rapière',
    'rapières',
    'rapiécer',
    'rapiécera',
    'rapiécerai',
    'rapiécerais',
    'rapiécerait',
    'rapiéceras',
    'rapiécerez',
    'rapiéceriez',
    'rapiécerions',
    'rapiécerons',
    'rapiéceront',
    'rapiéceta',
    'rapiécetai',
    'rapiécetais',
    'rapiécetait',
    'rapiécetant',
    'rapiécetas',
    'rapiécetasse',
    'rapiéceter',
    'rapiécetez',
    'rapiécetiez',
    'rapiécetions',
    'rapiécetons',
    'rapiécetâmes',
    'rapiécetât',
    'rapiécetâtes',
    'rapiéceté',
    'rapiécetée',
    'rapiécetées',
    'rapiécetés',
    'rapiécez',
    'rapiéciez',
    'rapiécions',
    'rapiécèrent',
    'rapiécète',
    'rapiécètent',
    'rapiécètes',
    'rapiécé',
    'rapiécée',
    'rapiécées',
    'rapiécés',
    'rapiécétera',
    'rapiécéterai',
    'rapiécéteras',
    'rapiécéterez',
    'rapiéça',
    'rapiéçage',
    'rapiéçages',
    'rapiéçai',
    'rapiéçaient',
    'rapiéçais',
    'rapiéçait',
    'rapiéçant',
    'rapiéças',
    'rapiéçasse',
    'rapiéçassent',
    'rapiéçasses',
    'rapiéçassiez',
    'rapiéçons',
    'rapiéçâmes',
    'rapiéçât',
    'rapiéçâtes',
    'raplati',
    'raplatie',
    'raplaties',
    'raplatir',
    'raplatira',
    'raplatirai',
    'raplatirais',
    'raplatirait',
    'raplatiras',
    'raplatirent',
    'raplatirez',
    'raplatiriez',
    'raplatirions',
    'raplatirons',
    'raplatiront',
    'raplatis',
    'raplatissais',
    'raplatissait',
    'raplatissant',
    'raplatisse',
    'raplatissent',
    'raplatisses',
    'raplatissez',
    'raplatissiez',
    'raplatissons',
    'raplatit',
    'raplatîmes',
    'raplatît',
    'raplatîtes',
    'rapointi',
    'rapointie',
    'rapointies',
    'rapointir',
    'rapointira',
    'rapointirai',
    'rapointirais',
    'rapointirait',
    'rapointiras',
    'rapointirent',
    'rapointirez',
    'rapointiriez',
    'rapointirons',
    'rapointiront',
    'rapointis',
    'rapointisse',
    'rapointisses',
    'rapointissez',
    'rapointit',
    'rapointîmes',
    'rapointît',
    'rapointîtes',
    'rappareilla',
    'rappareillai',
    'rappareillas',
    'rappareille',
    'rappareiller',
    'rappareilles',
    'rappareillez',
    'rappareillât',
    'rappareillé',
    'rappareillée',
    'rappareillés',
    'rapparia',
    'rappariai',
    'rappariaient',
    'rappariais',
    'rappariait',
    'rappariant',
    'rapparias',
    'rappariasse',
    'rappariasses',
    'rapparie',
    'rappariement',
    'rapparient',
    'rapparier',
    'rappariera',
    'rapparierai',
    'rapparierais',
    'rapparierait',
    'rapparieras',
    'rapparierez',
    'rapparieriez',
    'rapparierons',
    'rapparieront',
    'rapparies',
    'rappariez',
    'rappariiez',
    'rappariions',
    'rapparions',
    'rappariâmes',
    'rappariât',
    'rappariâtes',
    'rapparièrent',
    'rapparié',
    'rappariée',
    'rappariées',
    'rappariés',
    'rappel',
    'rappela',
    'rappelable',
    'rappelables',
    'rappelai',
    'rappelaient',
    'rappelais',
    'rappelait',
    'rappelant',
    'rappelas',
    'rappelasse',
    'rappelassent',
    'rappelasses',
    'rappelassiez',
    'rappeler',
    'rappelez',
    'rappeliez',
    'rappelions',
    'rappelle',
    'rappellent',
    'rappellera',
    'rappellerai',
    'rappellerais',
    'rappellerait',
    'rappelleras',
    'rappellerez',
    'rappelleriez',
    'rappellerons',
    'rappelleront',
    'rappelles',
    'rappelons',
    'rappels',
    'rappelâmes',
    'rappelât',
    'rappelâtes',
    'rappelèrent',
    'rappelé',
    'rappelée',
    'rappelées',
    'rappelés',
    'rappliqua',
    'rappliquai',
    'rappliquais',
    'rappliquait',
    'rappliquant',
    'rappliquas',
    'rappliquasse',
    'rapplique',
    'rappliquent',
    'rappliquer',
    'rappliquera',
    'rappliquerai',
    'rappliqueras',
    'rappliquerez',
    'rappliques',
    'rappliquez',
    'rappliquiez',
    'rappliquions',
    'rappliquons',
    'rappliquâmes',
    'rappliquât',
    'rappliquâtes',
    'rappliqué',
    'rappointis',
    'rapport',
    'rapporta',
    'rapportable',
    'rapportables',
    'rapportage',
    'rapportages',
    'rapportai',
    'rapportaient',
    'rapportais',
    'rapportait',
    'rapportant',
    'rapportas',
    'rapportasse',
    'rapportasses',
    'rapporte',
    'rapportent',
    'rapporter',
    'rapportera',
    'rapporterai',
    'rapporterais',
    'rapporterait',
    'rapporteras',
    'rapporterez',
    'rapporteriez',
    'rapporterons',
    'rapporteront',
    'rapportes',
    'rapporteur',
    'rapporteurs',
    'rapporteuse',
    'rapporteuses',
    'rapportez',
    'rapportiez',
    'rapportions',
    'rapportons',
    'rapports',
    'rapportâmes',
    'rapportât',
    'rapportâtes',
    'rapportèrent',
    'rapporté',
    'rapportée',
    'rapportées',
    'rapportés',
    'rapprenaient',
    'rapprenais',
    'rapprenait',
    'rapprenant',
    'rapprend',
    'rapprende',
    'rapprendent',
    'rapprendes',
    'rapprendra',
    'rapprendrai',
    'rapprendrais',
    'rapprendrait',
    'rapprendras',
    'rapprendre',
    'rapprendrez',
    'rapprendriez',
    'rapprendrons',
    'rapprendront',
    'rapprends',
    'rapprenez',
    'rappreniez',
    'rapprenions',
    'rapprenne',
    'rapprennent',
    'rapprennes',
    'rapprenons',
    'rapprirent',
    'rappris',
    'rapprise',
    'rapprises',
    'rapprisse',
    'rapprissent',
    'rapprisses',
    'rapprissiez',
    'rapprissions',
    'rapprit',
    'rapprocha',
    'rapprochai',
    'rapprochais',
    'rapprochait',
    'rapprochant',
    'rapprochante',
    'rapprochants',
    'rapprochas',
    'rapprochasse',
    'rapproche',
    'rapprochent',
    'rapprocher',
    'rapprochera',
    'rapprocherai',
    'rapprocheras',
    'rapprocherez',
    'rapproches',
    'rapprochez',
    'rapprochiez',
    'rapprochions',
    'rapprochons',
    'rapprochâmes',
    'rapprochât',
    'rapprochâtes',
    'rapproché',
    'rapprochée',
    'rapprochées',
    'rapprochés',
    'rappropria',
    'rappropriai',
    'rappropriais',
    'rappropriait',
    'rappropriant',
    'rapproprias',
    'rapproprie',
    'rapproprient',
    'rapproprier',
    'rappropriera',
    'rappropries',
    'rappropriez',
    'rappropriiez',
    'rapproprions',
    'rappropriât',
    'rapproprié',
    'rappropriée',
    'rappropriées',
    'rappropriés',
    'rapprêta',
    'rapprêtai',
    'rapprêtaient',
    'rapprêtais',
    'rapprêtait',
    'rapprêtant',
    'rapprêtas',
    'rapprêtasse',
    'rapprêtasses',
    'rapprête',
    'rapprêtent',
    'rapprêter',
    'rapprêtera',
    'rapprêterai',
    'rapprêterais',
    'rapprêterait',
    'rapprêteras',
    'rapprêterez',
    'rapprêteriez',
    'rapprêterons',
    'rapprêteront',
    'rapprêtes',
    'rapprêtez',
    'rapprêtiez',
    'rapprêtions',
    'rapprêtons',
    'rapprêtâmes',
    'rapprêtât',
    'rapprêtâtes',
    'rapprêtèrent',
    'rapprêté',
    'rapprêtée',
    'rapprêtées',
    'rapprêtés',
    'rapprîmes',
    'rapprît',
    'rapprîtes',
    'rapsode',
    'rapsodes',
    'rapsodie',
    'rapsodies',
    'rapt',
    'rapts',
    'raqua',
    'raquai',
    'raquaient',
    'raquais',
    'raquait',
    'raquant',
    'raquas',
    'raquasse',
    'raquassent',
    'raquasses',
    'raquassiez',
    'raquassions',
    'raque',
    'raquent',
    'raquer',
    'raquera',
    'raquerai',
    'raqueraient',
    'raquerais',
    'raquerait',
    'raqueras',
    'raquerez',
    'raqueriez',
    'raquerions',
    'raquerons',
    'raqueront',
    'raques',
    'raquette',
    'raquettes',
    'raquez',
    'raquiez',
    'raquions',
    'raquons',
    'raquâmes',
    'raquât',
    'raquâtes',
    'raquèrent',
    'raqué',
    'raquée',
    'raquées',
    'raqués',
    'rare',
    'rarement',
    'rares',
    'rarescent',
    'rarescente',
    'rarescentes',
    'rarescents',
    'rareté',
    'raretés',
    'rarissime',
    'rarissimes',
    'raréfaction',
    'raréfactions',
    'raréfia',
    'raréfiai',
    'raréfiaient',
    'raréfiais',
    'raréfiait',
    'raréfiant',
    'raréfias',
    'raréfiasse',
    'raréfiassent',
    'raréfiasses',
    'raréfiassiez',
    'raréfie',
    'raréfient',
    'raréfier',
    'raréfiera',
    'raréfierai',
    'raréfierais',
    'raréfierait',
    'raréfieras',
    'raréfierez',
    'raréfieriez',
    'raréfierions',
    'raréfierons',
    'raréfieront',
    'raréfies',
    'raréfiez',
    'raréfiiez',
    'raréfiions',
    'raréfions',
    'raréfiâmes',
    'raréfiât',
    'raréfiâtes',
    'raréfièrent',
    'raréfié',
    'raréfiée',
    'raréfiées',
    'raréfiés',
    'rasa',
    'rasade',
    'rasades',
    'rasage',
    'rasages',
    'rasai',
    'rasaient',
    'rasais',
    'rasait',
    'rasance',
    'rasances',
    'rasant',
    'rasante',
    'rasantes',
    'rasants',
    'rasas',
    'rasasse',
    'rasassent',
    'rasasses',
    'rasassiez',
    'rasassions',
    'rascasse',
    'rascasses',
    'rase',
    'rasent',
    'raser',
    'rasera',
    'raserai',
    'raseraient',
    'raserais',
    'raserait',
    'raseras',
    'raserez',
    'raseriez',
    'raserions',
    'raserons',
    'raseront',
    'rases',
    'rasette',
    'rasettes',
    'raseur',
    'raseurs',
    'raseuse',
    'raseuses',
    'rasez',
    'rash',
    'rashes',
    'rashs',
    'rasibus',
    'rasiez',
    'rasions',
    'rasoir',
    'rasoirs',
    'rasons',
    'raspoutitsa',
    'raspoutitsas',
    'rassasia',
    'rassasiai',
    'rassasiaient',
    'rassasiais',
    'rassasiait',
    'rassasiant',
    'rassasias',
    'rassasiasse',
    'rassasiasses',
    'rassasie',
    'rassasiement',
    'rassasient',
    'rassasier',
    'rassasiera',
    'rassasierai',
    'rassasierais',
    'rassasierait',
    'rassasieras',
    'rassasierez',
    'rassasieriez',
    'rassasierons',
    'rassasieront',
    'rassasies',
    'rassasiez',
    'rassasiiez',
    'rassasiions',
    'rassasions',
    'rassasiâmes',
    'rassasiât',
    'rassasiâtes',
    'rassasièrent',
    'rassasié',
    'rassasiée',
    'rassasiées',
    'rassasiés',
    'rassembla',
    'rassemblai',
    'rassemblais',
    'rassemblait',
    'rassemblant',
    'rassemblas',
    'rassemblasse',
    'rassemble',
    'rassemblent',
    'rassembler',
    'rassemblera',
    'rassemblerai',
    'rassembleras',
    'rassemblerez',
    'rassembles',
    'rassembleur',
    'rassembleurs',
    'rassembleuse',
    'rassemblez',
    'rassembliez',
    'rassemblions',
    'rassemblons',
    'rassemblâmes',
    'rassemblât',
    'rassemblâtes',
    'rassemblé',
    'rassemblée',
    'rassemblées',
    'rassemblés',
    'rasseoir',
    'rasseyaient',
    'rasseyais',
    'rasseyait',
    'rasseyant',
    'rasseye',
    'rasseyent',
    'rasseyes',
    'rasseyez',
    'rasseyiez',
    'rasseyions',
    'rasseyons',
    'rassied',
    'rassieds',
    'rassir',
    'rassirent',
    'rassis',
    'rassise',
    'rassises',
    'rassisse',
    'rassissent',
    'rassisses',
    'rassissiez',
    'rassissions',
    'rassit',
    'rassiéra',
    'rassiérai',
    'rassiéraient',
    'rassiérais',
    'rassiérait',
    'rassiéras',
    'rassiérez',
    'rassiériez',
    'rassiérions',
    'rassiérons',
    'rassiéront',
    'rassoie',
    'rassoient',
    'rassoies',
    'rassoira',
    'rassoirai',
    'rassoiraient',
    'rassoirais',
    'rassoirait',
    'rassoiras',
    'rassoirez',
    'rassoiriez',
    'rassoirions',
    'rassoirons',
    'rassoiront',
    'rassois',
    'rassoit',
    'rassorti',
    'rassortie',
    'rassorties',
    'rassortiment',
    'rassortir',
    'rassortira',
    'rassortirai',
    'rassortirais',
    'rassortirait',
    'rassortiras',
    'rassortirent',
    'rassortirez',
    'rassortiriez',
    'rassortirons',
    'rassortiront',
    'rassortis',
    'rassortisse',
    'rassortisses',
    'rassortissez',
    'rassortit',
    'rassortîmes',
    'rassortît',
    'rassortîtes',
    'rassoyaient',
    'rassoyais',
    'rassoyait',
    'rassoyant',
    'rassoyez',
    'rassoyiez',
    'rassoyions',
    'rassoyons',
    'rassura',
    'rassurai',
    'rassuraient',
    'rassurais',
    'rassurait',
    'rassurant',
    'rassurante',
    'rassurantes',
    'rassurants',
    'rassuras',
    'rassurasse',
    'rassurassent',
    'rassurasses',
    'rassurassiez',
    'rassure',
    'rassurent',
    'rassurer',
    'rassurera',
    'rassurerai',
    'rassurerais',
    'rassurerait',
    'rassureras',
    'rassurerez',
    'rassureriez',
    'rassurerions',
    'rassurerons',
    'rassureront',
    'rassures',
    'rassurez',
    'rassuriez',
    'rassurions',
    'rassurons',
    'rassurâmes',
    'rassurât',
    'rassurâtes',
    'rassurèrent',
    'rassuré',
    'rassurée',
    'rassurées',
    'rassurés',
    'rassérène',
    'rassérènent',
    'rassérènes',
    'rasséréna',
    'rassérénai',
    'rassérénais',
    'rassérénait',
    'rassérénant',
    'rassérénas',
    'rassérénasse',
    'rasséréner',
    'rassérénera',
    'rassérénerai',
    'rasséréneras',
    'rassérénerez',
    'rassérénez',
    'rasséréniez',
    'rassérénions',
    'rassérénons',
    'rassérénâmes',
    'rassérénât',
    'rassérénâtes',
    'rasséréné',
    'rassérénée',
    'rassérénées',
    'rassérénés',
    'rassîmes',
    'rassît',
    'rassîtes',
    'rasta',
    'rastaquouère',
    'rastas',
    'rasâmes',
    'rasât',
    'rasâtes',
    'rasèrent',
    'rasé',
    'rasée',
    'rasées',
    'rasés',
    'rata',
    'ratafia',
    'ratafias',
    'ratage',
    'ratages',
    'ratai',
    'rataient',
    'ratais',
    'ratait',
    'ratant',
    'rataplan',
    'ratas',
    'ratasse',
    'ratassent',
    'ratasses',
    'ratassiez',
    'ratassions',
    'ratatina',
    'ratatinai',
    'ratatinaient',
    'ratatinais',
    'ratatinait',
    'ratatinant',
    'ratatinas',
    'ratatinasse',
    'ratatinasses',
    'ratatine',
    'ratatinent',
    'ratatiner',
    'ratatinera',
    'ratatinerai',
    'ratatinerais',
    'ratatinerait',
    'ratatineras',
    'ratatinerez',
    'ratatineriez',
    'ratatinerons',
    'ratatineront',
    'ratatines',
    'ratatinez',
    'ratatiniez',
    'ratatinions',
    'ratatinons',
    'ratatinâmes',
    'ratatinât',
    'ratatinâtes',
    'ratatinèrent',
    'ratatiné',
    'ratatinée',
    'ratatinées',
    'ratatinés',
    'ratatouille',
    'ratatouilles',
    'rate',
    'ratel',
    'ratels',
    'ratent',
    'rater',
    'ratera',
    'raterai',
    'rateraient',
    'raterais',
    'raterait',
    'rateras',
    'raterez',
    'rateriez',
    'raterions',
    'raterons',
    'rateront',
    'rates',
    'ratez',
    'ratiboisa',
    'ratiboisai',
    'ratiboisais',
    'ratiboisait',
    'ratiboisant',
    'ratiboisas',
    'ratiboisasse',
    'ratiboise',
    'ratiboisent',
    'ratiboiser',
    'ratiboisera',
    'ratiboiserai',
    'ratiboiseras',
    'ratiboiserez',
    'ratiboises',
    'ratiboisez',
    'ratiboisiez',
    'ratiboisions',
    'ratiboisons',
    'ratiboisâmes',
    'ratiboisât',
    'ratiboisâtes',
    'ratiboisé',
    'ratiboisée',
    'ratiboisées',
    'ratiboisés',
    'ratichon',
    'ratichons',
    'ratier',
    'ratiers',
    'ratiez',
    'ratifia',
    'ratifiaient',
    'ratifiais',
    'ratifiait',
    'ratifiant',
    'ratification',
    'ratifie',
    'ratifient',
    'ratifier',
    'ratifiera',
    'ratifierai',
    'ratifierais',
    'ratifierait',
    'ratifieras',
    'ratifierez',
    'ratifieriez',
    'ratifierions',
    'ratifierons',
    'ratifieront',
    'ratifies',
    'ratifiez',
    'ratifiiez',
    'ratifiions',
    'ratifions',
    'ratifièrent',
    'ratifié',
    'ratifiée',
    'ratifiées',
    'ratifiés',
    'ratina',
    'ratinage',
    'ratinages',
    'ratinai',
    'ratinaient',
    'ratinais',
    'ratinait',
    'ratinant',
    'ratinas',
    'ratinasse',
    'ratinassent',
    'ratinasses',
    'ratinassiez',
    'ratinassions',
    'ratine',
    'ratinent',
    'ratiner',
    'ratinera',
    'ratinerai',
    'ratineraient',
    'ratinerais',
    'ratinerait',
    'ratineras',
    'ratinerez',
    'ratineriez',
    'ratinerions',
    'ratinerons',
    'ratineront',
    'ratines',
    'ratinez',
    'ratiniez',
    'ratinions',
    'ratinons',
    'ratinâmes',
    'ratinât',
    'ratinâtes',
    'ratinèrent',
    'ratiné',
    'ratinée',
    'ratinées',
    'ratinés',
    'ratio',
    'ratiocina',
    'ratiocinai',
    'ratiocinais',
    'ratiocinait',
    'ratiocinant',
    'ratiocinas',
    'ratiocinasse',
    'ratiocine',
    'ratiocinent',
    'ratiociner',
    'ratiocinera',
    'ratiocinerai',
    'ratiocineras',
    'ratiocinerez',
    'ratiocines',
    'ratiocineur',
    'ratiocineurs',
    'ratiocinez',
    'ratiociniez',
    'ratiocinions',
    'ratiocinons',
    'ratiocinâmes',
    'ratiocinât',
    'ratiocinâtes',
    'ratiociné',
    'ration',
    'rational',
    'rationalisa',
    'rationalisai',
    'rationalisas',
    'rationalise',
    'rationaliser',
    'rationalises',
    'rationalisez',
    'rationalisme',
    'rationaliste',
    'rationalisât',
    'rationalisé',
    'rationalisée',
    'rationalisés',
    'rationalité',
    'rationalités',
    'rationaux',
    'rationna',
    'rationnai',
    'rationnaient',
    'rationnaire',
    'rationnaires',
    'rationnais',
    'rationnait',
    'rationnant',
    'rationnas',
    'rationnasse',
    'rationnasses',
    'rationne',
    'rationnel',
    'rationnelle',
    'rationnelles',
    'rationnels',
    'rationnement',
    'rationnent',
    'rationner',
    'rationnera',
    'rationnerai',
    'rationnerais',
    'rationnerait',
    'rationneras',
    'rationnerez',
    'rationneriez',
    'rationnerons',
    'rationneront',
    'rationnes',
    'rationnez',
    'rationniez',
    'rationnions',
    'rationnons',
    'rationnâmes',
    'rationnât',
    'rationnâtes',
    'rationnèrent',
    'rationné',
    'rationnée',
    'rationnées',
    'rationnés',
    'rations',
    'ratios',
    'ratissa',
    'ratissage',
    'ratissages',
    'ratissai',
    'ratissaient',
    'ratissais',
    'ratissait',
    'ratissant',
    'ratissas',
    'ratissasse',
    'ratissassent',
    'ratissasses',
    'ratissassiez',
    'ratisse',
    'ratissent',
    'ratisser',
    'ratissera',
    'ratisserai',
    'ratisserais',
    'ratisserait',
    'ratisseras',
    'ratisserez',
    'ratisseriez',
    'ratisserions',
    'ratisserons',
    'ratisseront',
    'ratisses',
    'ratissez',
    'ratissiez',
    'ratissions',
    'ratissoire',
    'ratissoires',
    'ratissons',
    'ratissâmes',
    'ratissât',
    'ratissâtes',
    'ratissèrent',
    'ratissé',
    'ratissée',
    'ratissées',
    'ratissés',
    'ratière',
    'ratières',
    'raton',
    'ratons',
    'rats',
    'rattacha',
    'rattachai',
    'rattachaient',
    'rattachais',
    'rattachait',
    'rattachant',
    'rattachas',
    'rattachasse',
    'rattachasses',
    'rattache',
    'rattachement',
    'rattachent',
    'rattacher',
    'rattachera',
    'rattacherai',
    'rattacherais',
    'rattacherait',
    'rattacheras',
    'rattacherez',
    'rattacheriez',
    'rattacherons',
    'rattacheront',
    'rattaches',
    'rattachez',
    'rattachiez',
    'rattachions',
    'rattachons',
    'rattachâmes',
    'rattachât',
    'rattachâtes',
    'rattachèrent',
    'rattaché',
    'rattachée',
    'rattachées',
    'rattachés',
    'rattrapa',
    'rattrapable',
    'rattrapables',
    'rattrapage',
    'rattrapages',
    'rattrapai',
    'rattrapaient',
    'rattrapais',
    'rattrapait',
    'rattrapant',
    'rattrapas',
    'rattrapasse',
    'rattrapasses',
    'rattrape',
    'rattrapent',
    'rattraper',
    'rattrapera',
    'rattraperai',
    'rattraperais',
    'rattraperait',
    'rattraperas',
    'rattraperez',
    'rattraperiez',
    'rattraperons',
    'rattraperont',
    'rattrapes',
    'rattrapez',
    'rattrapiez',
    'rattrapions',
    'rattrapons',
    'rattrapâmes',
    'rattrapât',
    'rattrapâtes',
    'rattrapèrent',
    'rattrapé',
    'rattrapée',
    'rattrapées',
    'rattrapés',
    'ratura',
    'raturage',
    'raturages',
    'raturai',
    'raturaient',
    'raturais',
    'raturait',
    'raturant',
    'raturas',
    'raturasse',
    'raturassent',
    'raturasses',
    'raturassiez',
    'raturassions',
    'rature',
    'raturent',
    'raturer',
    'raturera',
    'raturerai',
    'ratureraient',
    'raturerais',
    'raturerait',
    'ratureras',
    'raturerez',
    'ratureriez',
    'raturerions',
    'raturerons',
    'ratureront',
    'ratures',
    'raturez',
    'raturiez',
    'raturions',
    'raturons',
    'raturâmes',
    'raturât',
    'raturâtes',
    'raturèrent',
    'raturé',
    'raturée',
    'raturées',
    'raturés',
    'ratâmes',
    'ratât',
    'ratâtes',
    'ratèrent',
    'raté',
    'ratée',
    'ratées',
    'ratés',
    'raucher',
    'raucheur',
    'raucheurs',
    'raucité',
    'raucités',
    'raugmenta',
    'raugmentai',
    'raugmentais',
    'raugmentait',
    'raugmentant',
    'raugmentas',
    'raugmentasse',
    'raugmente',
    'raugmentent',
    'raugmenter',
    'raugmentera',
    'raugmenterai',
    'raugmenteras',
    'raugmenterez',
    'raugmentes',
    'raugmentez',
    'raugmentiez',
    'raugmentions',
    'raugmentons',
    'raugmentâmes',
    'raugmentât',
    'raugmentâtes',
    'raugmenté',
    'rauque',
    'rauquement',
    'rauquements',
    'rauquer',
    'rauques',
    'rauwolfia',
    'rauwolfias',
    'ravage',
    'ravagea',
    'ravageai',
    'ravageaient',
    'ravageais',
    'ravageait',
    'ravageant',
    'ravageas',
    'ravageasse',
    'ravageassent',
    'ravageasses',
    'ravageassiez',
    'ravagent',
    'ravageons',
    'ravager',
    'ravagera',
    'ravagerai',
    'ravageraient',
    'ravagerais',
    'ravagerait',
    'ravageras',
    'ravagerez',
    'ravageriez',
    'ravagerions',
    'ravagerons',
    'ravageront',
    'ravages',
    'ravageur',
    'ravageurs',
    'ravageuse',
    'ravageuses',
    'ravagez',
    'ravageâmes',
    'ravageât',
    'ravageâtes',
    'ravagiez',
    'ravagions',
    'ravagèrent',
    'ravagé',
    'ravagée',
    'ravagées',
    'ravagés',
    'ravala',
    'ravalai',
    'ravalaient',
    'ravalais',
    'ravalait',
    'ravalant',
    'ravalas',
    'ravalasse',
    'ravalassent',
    'ravalasses',
    'ravalassiez',
    'ravalassions',
    'ravale',
    'ravalement',
    'ravalements',
    'ravalent',
    'ravaler',
    'ravalera',
    'ravalerai',
    'ravaleraient',
    'ravalerais',
    'ravalerait',
    'ravaleras',
    'ravalerez',
    'ravaleriez',
    'ravalerions',
    'ravalerons',
    'ravaleront',
    'ravales',
    'ravaleur',
    'ravaleurs',
    'ravalez',
    'ravaliez',
    'ravalions',
    'ravalons',
    'ravalâmes',
    'ravalât',
    'ravalâtes',
    'ravalèrent',
    'ravalé',
    'ravalée',
    'ravalées',
    'ravalés',
    'ravauda',
    'ravaudage',
    'ravaudages',
    'ravaudai',
    'ravaudaient',
    'ravaudais',
    'ravaudait',
    'ravaudant',
    'ravaudas',
    'ravaudasse',
    'ravaudassent',
    'ravaudasses',
    'ravaudassiez',
    'ravaude',
    'ravaudent',
    'ravauder',
    'ravaudera',
    'ravauderai',
    'ravauderais',
    'ravauderait',
    'ravauderas',
    'ravauderez',
    'ravauderiez',
    'ravauderions',
    'ravauderons',
    'ravauderont',
    'ravaudes',
    'ravaudeur',
    'ravaudeurs',
    'ravaudeuse',
    'ravaudeuses',
    'ravaudez',
    'ravaudiez',
    'ravaudions',
    'ravaudons',
    'ravaudâmes',
    'ravaudât',
    'ravaudâtes',
    'ravaudèrent',
    'ravaudé',
    'ravaudée',
    'ravaudées',
    'ravaudés',
    'rave',
    'ravelin',
    'ravelins',
    'ravenala',
    'ravenalas',
    'ravenelle',
    'ravenelles',
    'raves',
    'ravi',
    'ravie',
    'ravier',
    'raviers',
    'ravies',
    'ravigota',
    'ravigotai',
    'ravigotaient',
    'ravigotais',
    'ravigotait',
    'ravigotant',
    'ravigotante',
    'ravigotantes',
    'ravigotants',
    'ravigotas',
    'ravigotasse',
    'ravigotasses',
    'ravigote',
    'ravigotent',
    'ravigoter',
    'ravigotera',
    'ravigoterai',
    'ravigoterais',
    'ravigoterait',
    'ravigoteras',
    'ravigoterez',
    'ravigoteriez',
    'ravigoterons',
    'ravigoteront',
    'ravigotes',
    'ravigotez',
    'ravigotiez',
    'ravigotions',
    'ravigotons',
    'ravigotâmes',
    'ravigotât',
    'ravigotâtes',
    'ravigotèrent',
    'ravigoté',
    'ravigotée',
    'ravigotées',
    'ravigotés',
    'ravili',
    'ravilie',
    'ravilies',
    'ravilir',
    'ravilira',
    'ravilirai',
    'raviliraient',
    'ravilirais',
    'ravilirait',
    'raviliras',
    'ravilirent',
    'ravilirez',
    'raviliriez',
    'ravilirions',
    'ravilirons',
    'raviliront',
    'ravilis',
    'ravilissais',
    'ravilissait',
    'ravilissant',
    'ravilisse',
    'ravilissent',
    'ravilisses',
    'ravilissez',
    'ravilissiez',
    'ravilissions',
    'ravilissons',
    'ravilit',
    'ravilîmes',
    'ravilît',
    'ravilîtes',
    'ravin',
    'ravina',
    'ravinai',
    'ravinaient',
    'ravinais',
    'ravinait',
    'ravinant',
    'ravinas',
    'ravinasse',
    'ravinassent',
    'ravinasses',
    'ravinassiez',
    'ravinassions',
    'ravine',
    'ravinement',
    'ravinements',
    'ravinent',
    'raviner',
    'ravinera',
    'ravinerai',
    'ravineraient',
    'ravinerais',
    'ravinerait',
    'ravineras',
    'ravinerez',
    'ravineriez',
    'ravinerions',
    'ravinerons',
    'ravineront',
    'ravines',
    'ravinez',
    'raviniez',
    'ravinions',
    'ravinons',
    'ravins',
    'ravinâmes',
    'ravinât',
    'ravinâtes',
    'ravinèrent',
    'raviné',
    'ravinée',
    'ravinées',
    'ravinés',
    'ravioli',
    'raviolis',
    'ravir',
    'ravira',
    'ravirai',
    'raviraient',
    'ravirais',
    'ravirait',
    'raviras',
    'ravirent',
    'ravirez',
    'raviriez',
    'ravirions',
    'ravirons',
    'raviront',
    'ravis',
    'ravisa',
    'ravisai',
    'ravisaient',
    'ravisais',
    'ravisait',
    'ravisant',
    'ravisas',
    'ravisasse',
    'ravisassent',
    'ravisasses',
    'ravisassiez',
    'ravisassions',
    'ravise',
    'ravisent',
    'raviser',
    'ravisera',
    'raviserai',
    'raviseraient',
    'raviserais',
    'raviserait',
    'raviseras',
    'raviserez',
    'raviseriez',
    'raviserions',
    'raviserons',
    'raviseront',
    'ravises',
    'ravisez',
    'ravisiez',
    'ravisions',
    'ravisons',
    'ravissaient',
    'ravissais',
    'ravissait',
    'ravissant',
    'ravissante',
    'ravissantes',
    'ravissants',
    'ravisse',
    'ravissement',
    'ravissements',
    'ravissent',
    'ravisses',
    'ravisseur',
    'ravisseurs',
    'ravisseuse',
    'ravisseuses',
    'ravissez',
    'ravissiez',
    'ravissions',
    'ravissons',
    'ravisâmes',
    'ravisât',
    'ravisâtes',
    'ravisèrent',
    'ravisé',
    'ravisée',
    'ravisées',
    'ravisés',
    'ravit',
    'ravitailla',
    'ravitaillai',
    'ravitaillais',
    'ravitaillait',
    'ravitaillant',
    'ravitaillas',
    'ravitaille',
    'ravitaillent',
    'ravitailler',
    'ravitaillera',
    'ravitailles',
    'ravitailleur',
    'ravitaillez',
    'ravitailliez',
    'ravitaillons',
    'ravitaillât',
    'ravitaillé',
    'ravitaillée',
    'ravitaillées',
    'ravitaillés',
    'raviva',
    'ravivage',
    'ravivages',
    'ravivai',
    'ravivaient',
    'ravivais',
    'ravivait',
    'ravivant',
    'ravivas',
    'ravivasse',
    'ravivassent',
    'ravivasses',
    'ravivassiez',
    'ravivassions',
    'ravive',
    'ravivent',
    'raviver',
    'ravivera',
    'raviverai',
    'raviveraient',
    'raviverais',
    'raviverait',
    'raviveras',
    'raviverasse',
    'raviverasses',
    'raviverez',
    'raviveriez',
    'raviverions',
    'raviverons',
    'raviveront',
    'raviverâmes',
    'raviverât',
    'raviverâtes',
    'raviverèrent',
    'ravives',
    'ravivez',
    'raviviez',
    'ravivions',
    'ravivons',
    'ravivâmes',
    'ravivât',
    'ravivâtes',
    'ravivèrent',
    'ravivé',
    'ravivée',
    'ravivées',
    'ravivés',
    'ravière',
    'ravières',
    'ravoir',
    'ravîmes',
    'ravît',
    'ravîtes',
    'raya',
    'rayage',
    'rayages',
    'rayai',
    'rayaient',
    'rayais',
    'rayait',
    'rayant',
    'rayas',
    'rayasse',
    'rayassent',
    'rayasses',
    'rayassiez',
    'rayassions',
    'raye',
    'rayent',
    'rayer',
    'rayera',
    'rayerai',
    'rayeraient',
    'rayerais',
    'rayerait',
    'rayeras',
    'rayerez',
    'rayeriez',
    'rayerions',
    'rayerons',
    'rayeront',
    'rayes',
    'rayez',
    'rayiez',
    'rayions',
    'rayon',
    'rayonna',
    'rayonnage',
    'rayonnages',
    'rayonnai',
    'rayonnaient',
    'rayonnais',
    'rayonnait',
    'rayonnant',
    'rayonnante',
    'rayonnantes',
    'rayonnants',
    'rayonnas',
    'rayonnasse',
    'rayonnassent',
    'rayonnasses',
    'rayonnassiez',
    'rayonne',
    'rayonnement',
    'rayonnements',
    'rayonnent',
    'rayonner',
    'rayonnera',
    'rayonnerai',
    'rayonnerais',
    'rayonnerait',
    'rayonneras',
    'rayonnerez',
    'rayonneriez',
    'rayonnerions',
    'rayonnerons',
    'rayonneront',
    'rayonnes',
    'rayonnez',
    'rayonniez',
    'rayonnions',
    'rayonnons',
    'rayonnâmes',
    'rayonnât',
    'rayonnâtes',
    'rayonnèrent',
    'rayonné',
    'rayonnée',
    'rayonnées',
    'rayonnés',
    'rayons',
    'rayure',
    'rayures',
    'rayâmes',
    'rayât',
    'rayâtes',
    'rayère',
    'rayèrent',
    'rayères',
    'rayé',
    'rayée',
    'rayées',
    'rayés',
    'razzia',
    'razziai',
    'razziaient',
    'razziais',
    'razziait',
    'razziant',
    'razzias',
    'razziasse',
    'razziassent',
    'razziasses',
    'razziassiez',
    'razziassions',
    'razzie',
    'razzient',
    'razzier',
    'razziera',
    'razzierai',
    'razzieras',
    'razzierasse',
    'razzierasses',
    'razzierâmes',
    'razzierât',
    'razzierâtes',
    'razzierèrent',
    'razzies',
    'razziez',
    'razziiez',
    'razziions',
    'razzions',
    'razziâmes',
    'razziât',
    'razziâtes',
    'razzièrent',
    'razzié',
    'razziée',
    'razziées',
    'razziés',
    'raïa',
    'raïas',
    'rebab',
    'rebabs',
    'rebaissa',
    'rebaissai',
    'rebaissaient',
    'rebaissais',
    'rebaissait',
    'rebaissant',
    'rebaissas',
    'rebaissasse',
    'rebaissasses',
    'rebaisse',
    'rebaissent',
    'rebaisser',
    'rebaissera',
    'rebaisserai',
    'rebaisserais',
    'rebaisserait',
    'rebaisseras',
    'rebaisserez',
    'rebaisseriez',
    'rebaisserons',
    'rebaisseront',
    'rebaisses',
    'rebaissez',
    'rebaissiez',
    'rebaissions',
    'rebaissons',
    'rebaissâmes',
    'rebaissât',
    'rebaissâtes',
    'rebaissèrent',
    'rebaissé',
    'rebanda',
    'rebandai',
    'rebandaient',
    'rebandais',
    'rebandait',
    'rebandant',
    'rebandas',
    'rebandasse',
    'rebandassent',
    'rebandasses',
    'rebandassiez',
    'rebande',
    'rebandent',
    'rebander',
    'rebandera',
    'rebanderai',
    'rebanderais',
    'rebanderait',
    'rebanderas',
    'rebanderez',
    'rebanderiez',
    'rebanderions',
    'rebanderons',
    'rebanderont',
    'rebandes',
    'rebandez',
    'rebandiez',
    'rebandions',
    'rebandons',
    'rebandâmes',
    'rebandât',
    'rebandâtes',
    'rebandèrent',
    'rebandé',
    'rebandée',
    'rebandées',
    'rebandés',
    'rebaptisa',
    'rebaptisai',
    'rebaptisais',
    'rebaptisait',
    'rebaptisant',
    'rebaptisas',
    'rebaptisasse',
    'rebaptise',
    'rebaptisent',
    'rebaptiser',
    'rebaptisera',
    'rebaptiserai',
    'rebaptiseras',
    'rebaptiserez',
    'rebaptises',
    'rebaptisez',
    'rebaptisiez',
    'rebaptisions',
    'rebaptisons',
    'rebaptisâmes',
    'rebaptisât',
    'rebaptisâtes',
    'rebaptisé',
    'rebaptisée',
    'rebaptisées',
    'rebaptisés',
    'rebat',
    'rebats',
    'rebattaient',
    'rebattais',
    'rebattait',
    'rebattant',
    'rebatte',
    'rebattement',
    'rebattements',
    'rebattent',
    'rebattes',
    'rebattez',
    'rebattiez',
    'rebattions',
    'rebattirent',
    'rebattis',
    'rebattisse',
    'rebattissent',
    'rebattisses',
    'rebattissiez',
    'rebattit',
    'rebattons',
    'rebattra',
    'rebattrai',
    'rebattraient',
    'rebattrais',
    'rebattrait',
    'rebattras',
    'rebattre',
    'rebattrez',
    'rebattriez',
    'rebattrions',
    'rebattrons',
    'rebattront',
    'rebattu',
    'rebattue',
    'rebattues',
    'rebattus',
    'rebattîmes',
    'rebattît',
    'rebattîtes',
    'rebec',
    'rebecs',
    'rebella',
    'rebellai',
    'rebellaient',
    'rebellais',
    'rebellait',
    'rebellant',
    'rebellas',
    'rebellasse',
    'rebellassent',
    'rebellasses',
    'rebellassiez',
    'rebelle',
    'rebellent',
    'rebeller',
    'rebellera',
    'rebellerai',
    'rebellerais',
    'rebellerait',
    'rebelleras',
    'rebellerez',
    'rebelleriez',
    'rebellerions',
    'rebellerons',
    'rebelleront',
    'rebelles',
    'rebellez',
    'rebelliez',
    'rebellions',
    'rebellons',
    'rebellâmes',
    'rebellât',
    'rebellâtes',
    'rebellèrent',
    'rebellé',
    'rebellée',
    'rebellées',
    'rebellés',
    'rebiffa',
    'rebiffai',
    'rebiffaient',
    'rebiffais',
    'rebiffait',
    'rebiffant',
    'rebiffas',
    'rebiffasse',
    'rebiffassent',
    'rebiffasses',
    'rebiffassiez',
    'rebiffe',
    'rebiffent',
    'rebiffer',
    'rebiffera',
    'rebifferai',
    'rebifferais',
    'rebifferait',
    'rebifferas',
    'rebifferez',
    'rebifferiez',
    'rebifferions',
    'rebifferons',
    'rebifferont',
    'rebiffes',
    'rebiffez',
    'rebiffiez',
    'rebiffions',
    'rebiffons',
    'rebiffâmes',
    'rebiffât',
    'rebiffâtes',
    'rebiffèrent',
    'rebiffé',
    'rebiffée',
    'rebiffées',
    'rebiffés',
    'rebiqua',
    'rebiquai',
    'rebiquaient',
    'rebiquais',
    'rebiquait',
    'rebiquant',
    'rebiquas',
    'rebiquasse',
    'rebiquassent',
    'rebiquasses',
    'rebiquassiez',
    'rebique',
    'rebiquent',
    'rebiquer',
    'rebiquera',
    'rebiquerai',
    'rebiquerais',
    'rebiquerait',
    'rebiqueras',
    'rebiquerez',
    'rebiqueriez',
    'rebiquerions',
    'rebiquerons',
    'rebiqueront',
    'rebiques',
    'rebiquez',
    'rebiquiez',
    'rebiquions',
    'rebiquons',
    'rebiquâmes',
    'rebiquât',
    'rebiquâtes',
    'rebiquèrent',
    'rebiqué',
    'rebiquée',
    'rebiquées',
    'rebiqués',
    'reblanchi',
    'reblanchie',
    'reblanchies',
    'reblanchir',
    'reblanchira',
    'reblanchirai',
    'reblanchiras',
    'reblanchirez',
    'reblanchis',
    'reblanchisse',
    'reblanchit',
    'reblanchîmes',
    'reblanchît',
    'reblanchîtes',
    'reblochon',
    'reblochons',
    'rebobiner',
    'reboisa',
    'reboisai',
    'reboisaient',
    'reboisais',
    'reboisait',
    'reboisant',
    'reboisas',
    'reboisasse',
    'reboisassent',
    'reboisasses',
    'reboisassiez',
    'reboise',
    'reboisement',
    'reboisements',
    'reboisent',
    'reboiser',
    'reboisera',
    'reboiserai',
    'reboiserais',
    'reboiserait',
    'reboiseras',
    'reboiserez',
    'reboiseriez',
    'reboiserions',
    'reboiserons',
    'reboiseront',
    'reboises',
    'reboisez',
    'reboisiez',
    'reboisions',
    'reboisons',
    'reboisâmes',
    'reboisât',
    'reboisâtes',
    'reboisèrent',
    'reboisé',
    'reboisée',
    'reboisées',
    'reboisés',
    'rebond',
    'rebondi',
    'rebondir',
    'rebondira',
    'rebondirai',
    'rebondirais',
    'rebondirait',
    'rebondiras',
    'rebondirent',
    'rebondirez',
    'rebondiriez',
    'rebondirions',
    'rebondirons',
    'rebondiront',
    'rebondis',
    'rebondissais',
    'rebondissait',
    'rebondissant',
    'rebondisse',
    'rebondissent',
    'rebondisses',
    'rebondissez',
    'rebondissiez',
    'rebondissons',
    'rebondit',
    'rebonds',
    'rebondîmes',
    'rebondît',
    'rebondîtes',
    'rebord',
    'reborda',
    'rebordai',
    'rebordaient',
    'rebordais',
    'rebordait',
    'rebordant',
    'rebordas',
    'rebordasse',
    'rebordassent',
    'rebordasses',
    'rebordassiez',
    'reborde',
    'rebordent',
    'reborder',
    'rebordera',
    'reborderai',
    'reborderais',
    'reborderait',
    'reborderas',
    'reborderez',
    'reborderiez',
    'reborderions',
    'reborderons',
    'reborderont',
    'rebordes',
    'rebordez',
    'rebordiez',
    'rebordions',
    'rebordons',
    'rebords',
    'rebordâmes',
    'rebordât',
    'rebordâtes',
    'rebordèrent',
    'rebordé',
    'rebordée',
    'rebordées',
    'rebordés',
    'reboucha',
    'rebouchai',
    'rebouchaient',
    'rebouchais',
    'rebouchait',
    'rebouchant',
    'rebouchas',
    'rebouchasse',
    'rebouchasses',
    'rebouche',
    'rebouchent',
    'reboucher',
    'rebouchera',
    'reboucherai',
    'reboucherais',
    'reboucherait',
    'reboucheras',
    'reboucherez',
    'reboucheriez',
    'reboucherons',
    'reboucheront',
    'rebouches',
    'rebouchez',
    'rebouchiez',
    'rebouchions',
    'rebouchons',
    'rebouchâmes',
    'rebouchât',
    'rebouchâtes',
    'rebouchèrent',
    'rebouché',
    'rebouchée',
    'rebouchées',
    'rebouchés',
    'rebours',
    'rebouta',
    'reboutai',
    'reboutaient',
    'reboutais',
    'reboutait',
    'reboutant',
    'reboutas',
    'reboutasse',
    'reboutassent',
    'reboutasses',
    'reboutassiez',
    'reboute',
    'reboutent',
    'rebouter',
    'reboutera',
    'rebouterai',
    'rebouterais',
    'rebouterait',
    'rebouteras',
    'rebouterez',
    'rebouteriez',
    'rebouterions',
    'rebouterons',
    'rebouteront',
    'reboutes',
    'rebouteur',
    'rebouteurs',
    'rebouteuse',
    'rebouteuses',
    'rebouteux',
    'reboutez',
    'reboutiez',
    'reboutions',
    'reboutonna',
    'reboutonnai',
    'reboutonnais',
    'reboutonnait',
    'reboutonnant',
    'reboutonnas',
    'reboutonne',
    'reboutonnent',
    'reboutonner',
    'reboutonnera',
    'reboutonnes',
    'reboutonnez',
    'reboutonniez',
    'reboutonnons',
    'reboutonnât',
    'reboutonné',
    'reboutonnée',
    'reboutonnées',
    'reboutonnés',
    'reboutons',
    'reboutâmes',
    'reboutât',
    'reboutâtes',
    'reboutèrent',
    'rebouté',
    'reboutée',
    'reboutées',
    'reboutés',
    'rebraguetter',
    'rebroda',
    'rebrodai',
    'rebrodaient',
    'rebrodais',
    'rebrodait',
    'rebrodant',
    'rebrodas',
    'rebrodasse',
    'rebrodassent',
    'rebrodasses',
    'rebrodassiez',
    'rebrode',
    'rebrodent',
    'rebroder',
    'rebrodera',
    'rebroderai',
    'rebroderais',
    'rebroderait',
    'rebroderas',
    'rebroderez',
    'rebroderiez',
    'rebroderions',
    'rebroderons',
    'rebroderont',
    'rebrodes',
    'rebrodez',
    'rebrodiez',
    'rebrodions',
    'rebrodons',
    'rebrodâmes',
    'rebrodât',
    'rebrodâtes',
    'rebrodèrent',
    'rebrodé',
    'rebrodée',
    'rebrodées',
    'rebrodés',
    'rebroussa',
    'rebroussai',
    'rebroussais',
    'rebroussait',
    'rebroussant',
    'rebroussas',
    'rebroussasse',
    'rebrousse',
    'rebroussent',
    'rebrousser',
    'rebroussera',
    'rebrousserai',
    'rebrousseras',
    'rebrousserez',
    'rebrousses',
    'rebroussez',
    'rebroussiez',
    'rebroussions',
    'rebroussons',
    'rebroussâmes',
    'rebroussât',
    'rebroussâtes',
    'rebroussé',
    'rebroussée',
    'rebroussées',
    'rebroussés',
    'rebrûla',
    'rebrûlai',
    'rebrûlaient',
    'rebrûlais',
    'rebrûlait',
    'rebrûlant',
    'rebrûlas',
    'rebrûlasse',
    'rebrûlassent',
    'rebrûlasses',
    'rebrûlassiez',
    'rebrûle',
    'rebrûlent',
    'rebrûler',
    'rebrûlera',
    'rebrûlerai',
    'rebrûlerais',
    'rebrûlerait',
    'rebrûleras',
    'rebrûlerez',
    'rebrûleriez',
    'rebrûlerions',
    'rebrûlerons',
    'rebrûleront',
    'rebrûles',
    'rebrûlez',
    'rebrûliez',
    'rebrûlions',
    'rebrûlons',
    'rebrûlâmes',
    'rebrûlât',
    'rebrûlâtes',
    'rebrûlèrent',
    'rebrûlé',
    'rebrûlée',
    'rebrûlées',
    'rebrûlés',
    'rebuffade',
    'rebuffades',
    'rebut',
    'rebuta',
    'rebutai',
    'rebutaient',
    'rebutais',
    'rebutait',
    'rebutant',
    'rebutante',
    'rebutantes',
    'rebutants',
    'rebutas',
    'rebutasse',
    'rebutassent',
    'rebutasses',
    'rebutassiez',
    'rebutassions',
    'rebute',
    'rebutent',
    'rebuter',
    'rebutera',
    'rebuterai',
    'rebuteraient',
    'rebuterais',
    'rebuterait',
    'rebuteras',
    'rebuterez',
    'rebuteriez',
    'rebuterions',
    'rebuterons',
    'rebuteront',
    'rebutes',
    'rebutez',
    'rebutiez',
    'rebutions',
    'rebutons',
    'rebuts',
    'rebutâmes',
    'rebutât',
    'rebutâtes',
    'rebutèrent',
    'rebuté',
    'rebutée',
    'rebutées',
    'rebutés',
    'rebâti',
    'rebâtie',
    'rebâties',
    'rebâtir',
    'rebâtira',
    'rebâtirai',
    'rebâtiraient',
    'rebâtirais',
    'rebâtirait',
    'rebâtiras',
    'rebâtirent',
    'rebâtirez',
    'rebâtiriez',
    'rebâtirions',
    'rebâtirons',
    'rebâtiront',
    'rebâtis',
    'rebâtissais',
    'rebâtissait',
    'rebâtissant',
    'rebâtisse',
    'rebâtissent',
    'rebâtisses',
    'rebâtissez',
    'rebâtissiez',
    'rebâtissions',
    'rebâtissons',
    'rebâtit',
    'rebâtîmes',
    'rebâtît',
    'rebâtîtes',
    'recacheta',
    'recachetai',
    'recachetais',
    'recachetait',
    'recachetant',
    'recachetas',
    'recachetasse',
    'recacheter',
    'recachetez',
    'recachetiez',
    'recachetions',
    'recachetons',
    'recachette',
    'recachettent',
    'recachettera',
    'recachettes',
    'recachetâmes',
    'recachetât',
    'recachetâtes',
    'recacheté',
    'recachetée',
    'recachetées',
    'recachetés',
    'recala',
    'recalai',
    'recalaient',
    'recalais',
    'recalait',
    'recalant',
    'recalas',
    'recalasse',
    'recalassent',
    'recalasses',
    'recalassiez',
    'recalassions',
    'recalcifia',
    'recalcifiai',
    'recalcifiais',
    'recalcifiait',
    'recalcifiant',
    'recalcifias',
    'recalcifie',
    'recalcifient',
    'recalcifier',
    'recalcifiera',
    'recalcifies',
    'recalcifiez',
    'recalcifiiez',
    'recalcifions',
    'recalcifiât',
    'recalcifié',
    'recalcifiée',
    'recalcifiées',
    'recalcifiés',
    'recalcula',
    'recalculai',
    'recalculais',
    'recalculait',
    'recalculant',
    'recalculas',
    'recalculasse',
    'recalcule',
    'recalculent',
    'recalculer',
    'recalculera',
    'recalculerai',
    'recalculeras',
    'recalculerez',
    'recalcules',
    'recalculez',
    'recalculiez',
    'recalculions',
    'recalculons',
    'recalculâmes',
    'recalculât',
    'recalculâtes',
    'recalculé',
    'recalculée',
    'recalculées',
    'recalculés',
    'recale',
    'recalent',
    'recaler',
    'recalera',
    'recalerai',
    'recaleraient',
    'recalerais',
    'recalerait',
    'recaleras',
    'recalerez',
    'recaleriez',
    'recalerions',
    'recalerons',
    'recaleront',
    'recales',
    'recalez',
    'recaliez',
    'recalions',
    'recalons',
    'recalâmes',
    'recalât',
    'recalâtes',
    'recalèrent',
    'recalé',
    'recalée',
    'recalées',
    'recalés',
    'recarda',
    'recardai',
    'recardaient',
    'recardais',
    'recardait',
    'recardant',
    'recardas',
    'recardasse',
    'recardassent',
    'recardasses',
    'recardassiez',
    'recarde',
    'recardent',
    'recarder',
    'recardera',
    'recarderai',
    'recarderais',
    'recarderait',
    'recarderas',
    'recarderez',
    'recarderiez',
    'recarderions',
    'recarderons',
    'recarderont',
    'recardes',
    'recardez',
    'recardiez',
    'recardions',
    'recardons',
    'recardâmes',
    'recardât',
    'recardâtes',
    'recardèrent',
    'recardé',
    'recardée',
    'recardées',
    'recardés',
    'recarrela',
    'recarrelai',
    'recarrelais',
    'recarrelait',
    'recarrelant',
    'recarrelas',
    'recarrelasse',
    'recarreler',
    'recarrelez',
    'recarreliez',
    'recarrelions',
    'recarrelle',
    'recarrellent',
    'recarrellera',
    'recarrelles',
    'recarrelons',
    'recarrelâmes',
    'recarrelât',
    'recarrelâtes',
    'recarrelé',
    'recarrelée',
    'recarrelées',
    'recarrelés',
    'recasa',
    'recasai',
    'recasaient',
    'recasais',
    'recasait',
    'recasant',
    'recasas',
    'recasasse',
    'recasassent',
    'recasasses',
    'recasassiez',
    'recasassions',
    'recase',
    'recasent',
    'recaser',
    'recasera',
    'recaserai',
    'recaseraient',
    'recaserais',
    'recaserait',
    'recaseras',
    'recaserez',
    'recaseriez',
    'recaserions',
    'recaserons',
    'recaseront',
    'recases',
    'recasez',
    'recasiez',
    'recasions',
    'recasons',
    'recasâmes',
    'recasât',
    'recasâtes',
    'recasèrent',
    'recasé',
    'recasée',
    'recasées',
    'recasés',
    'recausa',
    'recausai',
    'recausaient',
    'recausais',
    'recausait',
    'recausant',
    'recausas',
    'recausasse',
    'recausassent',
    'recausasses',
    'recausassiez',
    'recause',
    'recausent',
    'recauser',
    'recausera',
    'recauserai',
    'recauserais',
    'recauserait',
    'recauseras',
    'recauserez',
    'recauseriez',
    'recauserions',
    'recauserons',
    'recauseront',
    'recauses',
    'recausez',
    'recausiez',
    'recausions',
    'recausons',
    'recausâmes',
    'recausât',
    'recausâtes',
    'recausèrent',
    'recausé',
    'recel',
    'recela',
    'recelai',
    'recelaient',
    'recelais',
    'recelait',
    'recelant',
    'recelas',
    'recelasse',
    'recelassent',
    'recelasses',
    'recelassiez',
    'recelassions',
    'receler',
    'receleur',
    'receleurs',
    'receleuse',
    'receleuses',
    'recelez',
    'receliez',
    'recelions',
    'recelons',
    'recels',
    'recelâmes',
    'recelât',
    'recelâtes',
    'recelèrent',
    'recelé',
    'recelée',
    'recelées',
    'recelés',
    'recensa',
    'recensai',
    'recensaient',
    'recensais',
    'recensait',
    'recensant',
    'recensas',
    'recensasse',
    'recensassent',
    'recensasses',
    'recensassiez',
    'recense',
    'recensement',
    'recensements',
    'recensent',
    'recenser',
    'recensera',
    'recenserai',
    'recenserais',
    'recenserait',
    'recenseras',
    'recenserez',
    'recenseriez',
    'recenserions',
    'recenserons',
    'recenseront',
    'recenses',
    'recenseur',
    'recenseurs',
    'recenseuse',
    'recenseuses',
    'recensez',
    'recensiez',
    'recension',
    'recensions',
    'recensons',
    'recensâmes',
    'recensât',
    'recensâtes',
    'recensèrent',
    'recensé',
    'recensée',
    'recensées',
    'recensés',
    'recentra',
    'recentrai',
    'recentraient',
    'recentrais',
    'recentrait',
    'recentrant',
    'recentras',
    'recentrasse',
    'recentrasses',
    'recentre',
    'recentrent',
    'recentrer',
    'recentrera',
    'recentrerai',
    'recentrerais',
    'recentrerait',
    'recentreras',
    'recentrerez',
    'recentreriez',
    'recentrerons',
    'recentreront',
    'recentres',
    'recentrez',
    'recentriez',
    'recentrions',
    'recentrons',
    'recentrâmes',
    'recentrât',
    'recentrâtes',
    'recentrèrent',
    'recentré',
    'recentrée',
    'recentrées',
    'recentrés',
    'recepa',
    'recepai',
    'recepaient',
    'recepais',
    'recepait',
    'recepant',
    'recepas',
    'recepasse',
    'recepassent',
    'recepasses',
    'recepassiez',
    'recepassions',
    'receper',
    'recepez',
    'recepiez',
    'recepions',
    'recepons',
    'recepâmes',
    'recepât',
    'recepâtes',
    'recepèrent',
    'recepé',
    'recepée',
    'recepées',
    'recepés',
    'recercla',
    'recerclai',
    'recerclaient',
    'recerclais',
    'recerclait',
    'recerclant',
    'recerclas',
    'recerclasse',
    'recerclasses',
    'recercle',
    'recerclent',
    'recercler',
    'recerclera',
    'recerclerai',
    'recerclerais',
    'recerclerait',
    'recercleras',
    'recerclerez',
    'recercleriez',
    'recerclerons',
    'recercleront',
    'recercles',
    'recerclez',
    'recercliez',
    'recerclions',
    'recerclons',
    'recerclâmes',
    'recerclât',
    'recerclâtes',
    'recerclèrent',
    'recerclé',
    'recerclée',
    'recerclées',
    'recerclés',
    'recette',
    'recettes',
    'recevabilité',
    'recevable',
    'recevables',
    'recevaient',
    'recevais',
    'recevait',
    'recevant',
    'receveur',
    'receveurs',
    'receveuse',
    'receveuses',
    'recevez',
    'receviez',
    'recevions',
    'recevoir',
    'recevons',
    'recevra',
    'recevrai',
    'recevraient',
    'recevrais',
    'recevrait',
    'recevras',
    'recevrez',
    'recevriez',
    'recevrions',
    'recevrons',
    'recevront',
    'recez',
    'rechampi',
    'rechampie',
    'rechampies',
    'rechampir',
    'rechampira',
    'rechampirai',
    'rechampirais',
    'rechampirait',
    'rechampiras',
    'rechampirent',
    'rechampirez',
    'rechampiriez',
    'rechampirons',
    'rechampiront',
    'rechampis',
    'rechampisse',
    'rechampisses',
    'rechampissez',
    'rechampit',
    'rechampîmes',
    'rechampît',
    'rechampîtes',
    'rechange',
    'rechangea',
    'rechangeai',
    'rechangeais',
    'rechangeait',
    'rechangeant',
    'rechangeas',
    'rechangeasse',
    'rechangent',
    'rechangeons',
    'rechanger',
    'rechangera',
    'rechangerai',
    'rechangerais',
    'rechangerait',
    'rechangeras',
    'rechangerez',
    'rechangeriez',
    'rechangerons',
    'rechangeront',
    'rechanges',
    'rechangez',
    'rechangeâmes',
    'rechangeât',
    'rechangeâtes',
    'rechangiez',
    'rechangions',
    'rechangèrent',
    'rechangé',
    'rechangée',
    'rechangées',
    'rechangés',
    'rechanta',
    'rechantai',
    'rechantaient',
    'rechantais',
    'rechantait',
    'rechantant',
    'rechantas',
    'rechantasse',
    'rechantasses',
    'rechante',
    'rechantent',
    'rechanter',
    'rechantera',
    'rechanterai',
    'rechanterais',
    'rechanterait',
    'rechanteras',
    'rechanterez',
    'rechanteriez',
    'rechanterons',
    'rechanteront',
    'rechantes',
    'rechantez',
    'rechantiez',
    'rechantions',
    'rechantons',
    'rechantâmes',
    'rechantât',
    'rechantâtes',
    'rechantèrent',
    'rechanté',
    'rechantée',
    'rechantées',
    'rechantés',
    'rechapa',
    'rechapage',
    'rechapages',
    'rechapai',
    'rechapaient',
    'rechapais',
    'rechapait',
    'rechapant',
    'rechapas',
    'rechapasse',
    'rechapassent',
    'rechapasses',
    'rechapassiez',
    'rechape',
    'rechapent',
    'rechaper',
    'rechapera',
    'rechaperai',
    'rechaperais',
    'rechaperait',
    'rechaperas',
    'rechaperez',
    'rechaperiez',
    'rechaperions',
    'rechaperons',
    'rechaperont',
    'rechapes',
    'rechapez',
    'rechapiez',
    'rechapions',
    'rechapons',
    'rechapâmes',
    'rechapât',
    'rechapâtes',
    'rechapèrent',
    'rechapé',
    'rechapée',
    'rechapées',
    'rechapés',
    'recharge',
    'rechargea',
    'rechargeable',
    'rechargeai',
    'rechargeais',
    'rechargeait',
    'rechargeant',
    'rechargeas',
    'rechargeasse',
    'rechargement',
    'rechargent',
    'rechargeons',
    'recharger',
    'rechargera',
    'rechargerai',
    'rechargerais',
    'rechargerait',
    'rechargeras',
    'rechargerez',
    'rechargeriez',
    'rechargerons',
    'rechargeront',
    'recharges',
    'rechargez',
    'rechargeâmes',
    'rechargeât',
    'rechargeâtes',
    'rechargiez',
    'rechargions',
    'rechargèrent',
    'rechargé',
    'rechargée',
    'rechargées',
    'rechargés',
    'rechassa',
    'rechassai',
    'rechassaient',
    'rechassais',
    'rechassait',
    'rechassant',
    'rechassas',
    'rechassasse',
    'rechassasses',
    'rechasse',
    'rechassent',
    'rechasser',
    'rechassera',
    'rechasserai',
    'rechasserais',
    'rechasserait',
    'rechasseras',
    'rechasserez',
    'rechasseriez',
    'rechasserons',
    'rechasseront',
    'rechasses',
    'rechassez',
    'rechassiez',
    'rechassions',
    'rechassons',
    'rechassâmes',
    'rechassât',
    'rechassâtes',
    'rechassèrent',
    'rechassé',
    'rechassée',
    'rechassées',
    'rechassés',
    'rechaussa',
    'rechaussai',
    'rechaussais',
    'rechaussait',
    'rechaussant',
    'rechaussas',
    'rechaussasse',
    'rechausse',
    'rechaussent',
    'rechausser',
    'rechaussera',
    'rechausserai',
    'rechausseras',
    'rechausserez',
    'rechausses',
    'rechaussez',
    'rechaussiez',
    'rechaussions',
    'rechaussons',
    'rechaussâmes',
    'rechaussât',
    'rechaussâtes',
    'rechaussé',
    'rechaussée',
    'rechaussées',
    'rechaussés',
    'rechercha',
    'recherchai',
    'recherchais',
    'recherchait',
    'recherchant',
    'recherchas',
    'recherchasse',
    'recherche',
    'recherchent',
    'rechercher',
    'recherchera',
    'rechercherai',
    'rechercheras',
    'rechercherez',
    'recherches',
    'recherchez',
    'recherchiez',
    'recherchions',
    'recherchons',
    'recherchâmes',
    'recherchât',
    'recherchâtes',
    'recherché',
    'recherchée',
    'recherchées',
    'recherchés',
    'rechigna',
    'rechignai',
    'rechignaient',
    'rechignais',
    'rechignait',
    'rechignant',
    'rechignas',
    'rechignasse',
    'rechignasses',
    'rechigne',
    'rechignent',
    'rechigner',
    'rechignera',
    'rechignerai',
    'rechignerais',
    'rechignerait',
    'rechigneras',
    'rechignerez',
    'rechigneriez',
    'rechignerons',
    'rechigneront',
    'rechignes',
    'rechignez',
    'rechigniez',
    'rechignions',
    'rechignons',
    'rechignâmes',
    'rechignât',
    'rechignâtes',
    'rechignèrent',
    'rechigné',
    'rechuta',
    'rechutai',
    'rechutaient',
    'rechutais',
    'rechutait',
    'rechutant',
    'rechutas',
    'rechutasse',
    'rechutassent',
    'rechutasses',
    'rechutassiez',
    'rechute',
    'rechutent',
    'rechuter',
    'rechutera',
    'rechuterai',
    'rechuterais',
    'rechuterait',
    'rechuteras',
    'rechuterez',
    'rechuteriez',
    'rechuterions',
    'rechuterons',
    'rechuteront',
    'rechutes',
    'rechutez',
    'rechutiez',
    'rechutions',
    'rechutons',
    'rechutâmes',
    'rechutât',
    'rechutâtes',
    'rechutèrent',
    'rechuté',
    'rechutée',
    'rechutées',
    'rechutés',
    'reclassa',
    'reclassai',
    'reclassaient',
    'reclassais',
    'reclassait',
    'reclassant',
    'reclassas',
    'reclassasse',
    'reclassasses',
    'reclasse',
    'reclassement',
    'reclassent',
    'reclasser',
    'reclassera',
    'reclasserai',
    'reclasserais',
    'reclasserait',
    'reclasseras',
    'reclasserez',
    'reclasseriez',
    'reclasserons',
    'reclasseront',
    'reclasses',
    'reclassez',
    'reclassiez',
    'reclassions',
    'reclassons',
    'reclassâmes',
    'reclassât',
    'reclassâtes',
    'reclassèrent',
    'reclassé',
    'reclassée',
    'reclassées',
    'reclassés',
    'recloua',
    'reclouai',
    'reclouaient',
    'reclouais',
    'reclouait',
    'reclouant',
    'reclouas',
    'reclouasse',
    'reclouassent',
    'reclouasses',
    'reclouassiez',
    'recloue',
    'reclouent',
    'reclouer',
    'reclouera',
    'reclouerai',
    'reclouerais',
    'reclouerait',
    'recloueras',
    'reclouerez',
    'recloueriez',
    'reclouerions',
    'reclouerons',
    'recloueront',
    'recloues',
    'reclouez',
    'reclouiez',
    'reclouions',
    'reclouons',
    'reclouâmes',
    'reclouât',
    'reclouâtes',
    'reclouèrent',
    'recloué',
    'reclouée',
    'reclouées',
    'recloués',
    'reclure',
    'reclus',
    'recluse',
    'recluses',
    'recognition',
    'recognitions',
    'recoiffa',
    'recoiffai',
    'recoiffaient',
    'recoiffais',
    'recoiffait',
    'recoiffant',
    'recoiffas',
    'recoiffasse',
    'recoiffasses',
    'recoiffe',
    'recoiffent',
    'recoiffer',
    'recoiffera',
    'recoifferai',
    'recoifferais',
    'recoifferait',
    'recoifferas',
    'recoifferez',
    'recoifferiez',
    'recoifferons',
    'recoifferont',
    'recoiffes',
    'recoiffez',
    'recoiffiez',
    'recoiffions',
    'recoiffons',
    'recoiffâmes',
    'recoiffât',
    'recoiffâtes',
    'recoiffèrent',
    'recoiffé',
    'recoiffée',
    'recoiffées',
    'recoiffés',
    'recoin',
    'recoins',
    'recola',
    'recolai',
    'recolaient',
    'recolais',
    'recolait',
    'recolant',
    'recolas',
    'recolasse',
    'recolassent',
    'recolasses',
    'recolassiez',
    'recolassions',
    'recole',
    'recolent',
    'recoler',
    'recolera',
    'recolerai',
    'recoleraient',
    'recolerais',
    'recolerait',
    'recoleras',
    'recolerez',
    'recoleriez',
    'recolerions',
    'recolerons',
    'recoleront',
    'recoles',
    'recolez',
    'recoliez',
    'recolions',
    'recolla',
    'recollage',
    'recollages',
    'recollai',
    'recollaient',
    'recollais',
    'recollait',
    'recollant',
    'recollas',
    'recollasse',
    'recollassent',
    'recollasses',
    'recollassiez',
    'recolle',
    'recollement',
    'recollements',
    'recollent',
    'recoller',
    'recollera',
    'recollerai',
    'recollerais',
    'recollerait',
    'recolleras',
    'recollerez',
    'recolleriez',
    'recollerions',
    'recollerons',
    'recolleront',
    'recolles',
    'recollez',
    'recolliez',
    'recollions',
    'recollons',
    'recollâmes',
    'recollât',
    'recollâtes',
    'recollèrent',
    'recollé',
    'recollée',
    'recollées',
    'recollés',
    'recolons',
    'recolora',
    'recolorai',
    'recoloraient',
    'recolorais',
    'recolorait',
    'recolorant',
    'recoloras',
    'recolorasse',
    'recolorasses',
    'recolore',
    'recolorent',
    'recolorer',
    'recolorera',
    'recolorerai',
    'recolorerais',
    'recolorerait',
    'recoloreras',
    'recolorerez',
    'recoloreriez',
    'recolorerons',
    'recoloreront',
    'recolores',
    'recolorez',
    'recoloriez',
    'recolorions',
    'recolorons',
    'recolorâmes',
    'recolorât',
    'recolorâtes',
    'recolorèrent',
    'recoloré',
    'recolorée',
    'recolorées',
    'recolorés',
    'recolâmes',
    'recolât',
    'recolâtes',
    'recolèrent',
    'recolé',
    'recolée',
    'recolées',
    'recolés',
    'recombina',
    'recombinai',
    'recombinais',
    'recombinait',
    'recombinant',
    'recombinas',
    'recombinasse',
    'recombine',
    'recombinent',
    'recombiner',
    'recombinera',
    'recombinerai',
    'recombineras',
    'recombinerez',
    'recombines',
    'recombinez',
    'recombiniez',
    'recombinions',
    'recombinons',
    'recombinâmes',
    'recombinât',
    'recombinâtes',
    'recombiné',
    'recombinée',
    'recombinées',
    'recombinés',
    'recommanda',
    'recommandai',
    'recommandais',
    'recommandait',
    'recommandant',
    'recommandas',
    'recommande',
    'recommandent',
    'recommander',
    'recommandera',
    'recommandes',
    'recommandez',
    'recommandiez',
    'recommandons',
    'recommandât',
    'recommandé',
    'recommandée',
    'recommandées',
    'recommandés',
    'recommence',
    'recommencent',
    'recommencer',
    'recommencera',
    'recommences',
    'recommencez',
    'recommenciez',
    'recommencé',
    'recommencée',
    'recommencées',
    'recommencés',
    'recommença',
    'recommençai',
    'recommençais',
    'recommençait',
    'recommençant',
    'recommenças',
    'recommençons',
    'recommençât',
    'recomparais',
    'recomparaît',
    'recomparu',
    'recomparue',
    'recomparues',
    'recomparus',
    'recomparusse',
    'recomparut',
    'recomparûmes',
    'recomparût',
    'recomparûtes',
    'recompila',
    'recompilai',
    'recompilais',
    'recompilait',
    'recompilant',
    'recompilas',
    'recompilasse',
    'recompile',
    'recompilent',
    'recompiler',
    'recompilera',
    'recompilerai',
    'recompileras',
    'recompilerez',
    'recompiles',
    'recompilez',
    'recompiliez',
    'recompilions',
    'recompilons',
    'recompilâmes',
    'recompilât',
    'recompilâtes',
    'recompilé',
    'recompilée',
    'recompilées',
    'recompilés',
    'recomposa',
    'recomposable',
    'recomposai',
    'recomposais',
    'recomposait',
    'recomposant',
    'recomposas',
    'recomposasse',
    'recompose',
    'recomposent',
    'recomposer',
    'recomposera',
    'recomposerai',
    'recomposeras',
    'recomposerez',
    'recomposes',
    'recomposez',
    'recomposiez',
    'recomposions',
    'recomposons',
    'recomposâmes',
    'recomposât',
    'recomposâtes',
    'recomposé',
    'recomposée',
    'recomposées',
    'recomposés',
    'recompta',
    'recomptai',
    'recomptaient',
    'recomptais',
    'recomptait',
    'recomptant',
    'recomptas',
    'recomptasse',
    'recomptasses',
    'recompte',
    'recomptent',
    'recompter',
    'recomptera',
    'recompterai',
    'recompterais',
    'recompterait',
    'recompteras',
    'recompterez',
    'recompteriez',
    'recompterons',
    'recompteront',
    'recomptes',
    'recomptez',
    'recomptiez',
    'recomptions',
    'recomptons',
    'recomptâmes',
    'recomptât',
    'recomptâtes',
    'recomptèrent',
    'recompté',
    'recomptée',
    'recomptées',
    'recomptés',
    'recondamna',
    'recondamnai',
    'recondamnais',
    'recondamnait',
    'recondamnant',
    'recondamnas',
    'recondamne',
    'recondamnent',
    'recondamner',
    'recondamnera',
    'recondamnes',
    'recondamnez',
    'recondamniez',
    'recondamnons',
    'recondamnât',
    'recondamné',
    'recondamnée',
    'recondamnées',
    'recondamnés',
    'reconduction',
    'reconduira',
    'reconduirai',
    'reconduirais',
    'reconduirait',
    'reconduiras',
    'reconduire',
    'reconduirez',
    'reconduiriez',
    'reconduirons',
    'reconduiront',
    'reconduis',
    'reconduisais',
    'reconduisait',
    'reconduisant',
    'reconduise',
    'reconduisent',
    'reconduises',
    'reconduisez',
    'reconduisiez',
    'reconduisis',
    'reconduisit',
    'reconduisons',
    'reconduisît',
    'reconduit',
    'reconduite',
    'reconduites',
    'reconduits',
    'recongela',
    'recongelai',
    'recongelais',
    'recongelait',
    'recongelant',
    'recongelas',
    'recongelasse',
    'recongeler',
    'recongelez',
    'recongeliez',
    'recongelions',
    'recongelons',
    'recongelâmes',
    'recongelât',
    'recongelâtes',
    'recongelé',
    'recongelée',
    'recongelées',
    'recongelés',
    'recongèle',
    'recongèlent',
    'recongèlera',
    'recongèlerai',
    'recongèleras',
    'recongèlerez',
    'recongèles',
    'reconnais',
    'reconnaisse',
    'reconnaisses',
    'reconnaissez',
    'reconnaît',
    'reconnaîtra',
    'reconnaîtrai',
    'reconnaîtras',
    'reconnaître',
    'reconnaîtrez',
    'reconnecta',
    'reconnectai',
    'reconnectais',
    'reconnectait',
    'reconnectant',
    'reconnectas',
    'reconnecte',
    'reconnectent',
    'reconnecter',
    'reconnectera',
    'reconnectes',
    'reconnectez',
    'reconnectiez',
    'reconnectons',
    'reconnectât',
    'reconnecté',
    'reconnectée',
    'reconnectées',
    'reconnectés',
    'reconnu',
    'reconnue',
    'reconnues',
    'reconnurent',
    'reconnus',
    'reconnusse',
    'reconnussent',
    'reconnusses',
    'reconnussiez',
    'reconnut',
    'reconnûmes',
    'reconnût',
    'reconnûtes',
    'reconquerra',
    'reconquerrai',
    'reconquerras',
    'reconquerrez',
    'reconquiers',
    'reconquiert',
    'reconquirent',
    'reconquis',
    'reconquise',
    'reconquises',
    'reconquisse',
    'reconquisses',
    'reconquit',
    'reconquière',
    'reconquières',
    'reconquérais',
    'reconquérait',
    'reconquérant',
    'reconquérez',
    'reconquériez',
    'reconquérir',
    'reconquérons',
    'reconquéru',
    'reconquérue',
    'reconquérues',
    'reconquérus',
    'reconquête',
    'reconquêtes',
    'reconquîmes',
    'reconquît',
    'reconquîtes',
    'reconsidère',
    'reconsidères',
    'reconsidéra',
    'reconsidérai',
    'reconsidéras',
    'reconsidérer',
    'reconsidérez',
    'reconsidérât',
    'reconsidéré',
    'reconsidérée',
    'reconsidérés',
    'reconsolida',
    'reconsolidai',
    'reconsolidas',
    'reconsolide',
    'reconsolider',
    'reconsolides',
    'reconsolidez',
    'reconsolidât',
    'reconsolidé',
    'reconsolidée',
    'reconsolidés',
    'reconstitua',
    'reconstituai',
    'reconstituas',
    'reconstitue',
    'reconstituer',
    'reconstitues',
    'reconstituez',
    'reconstituât',
    'reconstitué',
    'reconstituée',
    'reconstitués',
    'reconstruira',
    'reconstruire',
    'reconstruis',
    'reconstruise',
    'reconstruit',
    'reconstruite',
    'reconstruits',
    'reconversion',
    'reconverti',
    'reconvertie',
    'reconverties',
    'reconvertir',
    'reconvertira',
    'reconvertis',
    'reconvertit',
    'reconvertît',
    'recopia',
    'recopiai',
    'recopiaient',
    'recopiais',
    'recopiait',
    'recopiant',
    'recopias',
    'recopiasse',
    'recopiassent',
    'recopiasses',
    'recopiassiez',
    'recopie',
    'recopient',
    'recopier',
    'recopiera',
    'recopierai',
    'recopierais',
    'recopierait',
    'recopieras',
    'recopierez',
    'recopieriez',
    'recopierions',
    'recopierons',
    'recopieront',
    'recopies',
    'recopiez',
    'recopiiez',
    'recopiions',
    'recopions',
    'recopiâmes',
    'recopiât',
    'recopiâtes',
    'recopièrent',
    'recopié',
    'recopiée',
    'recopiées',
    'recopiés',
    'recoquilla',
    'recoquillai',
    'recoquillais',
    'recoquillait',
    'recoquillant',
    'recoquillas',
    'recoquille',
    'recoquillent',
    'recoquiller',
    'recoquillera',
    'recoquilles',
    'recoquillez',
    'recoquilliez',
    'recoquillons',
    'recoquillât',
    'recoquillé',
    'recoquillée',
    'recoquillées',
    'recoquillés',
    'record',
    'recorda',
    'recordage',
    'recordages',
    'recordai',
    'recordaient',
    'recordais',
    'recordait',
    'recordant',
    'recordas',
    'recordasse',
    'recordassent',
    'recordasses',
    'recordassiez',
    'recorde',
    'recordent',
    'recorder',
    'recordera',
    'recorderai',
    'recorderais',
    'recorderait',
    'recorderas',
    'recorderez',
    'recorderiez',
    'recorderions',
    'recorderons',
    'recorderont',
    'recordes',
    'recordez',
    'recordiez',
    'recordions',
    'recordman',
    'recordmans',
    'recordmen',
    'recordons',
    'records',
    'recordâmes',
    'recordât',
    'recordâtes',
    'recordèrent',
    'recordé',
    'recordée',
    'recordées',
    'recordés',
    'recorrige',
    'recorrigea',
    'recorrigeai',
    'recorrigeais',
    'recorrigeait',
    'recorrigeant',
    'recorrigeas',
    'recorrigent',
    'recorrigeons',
    'recorriger',
    'recorrigera',
    'recorrigerai',
    'recorrigeras',
    'recorrigerez',
    'recorriges',
    'recorrigez',
    'recorrigeât',
    'recorrigiez',
    'recorrigions',
    'recorrigé',
    'recorrigée',
    'recorrigées',
    'recorrigés',
    'recors',
    'recoucha',
    'recouchai',
    'recouchaient',
    'recouchais',
    'recouchait',
    'recouchant',
    'recouchas',
    'recouchasse',
    'recouchasses',
    'recouche',
    'recouchent',
    'recoucher',
    'recouchera',
    'recoucherai',
    'recoucherais',
    'recoucherait',
    'recoucheras',
    'recoucherez',
    'recoucheriez',
    'recoucherons',
    'recoucheront',
    'recoucherât',
    'recouches',
    'recouchez',
    'recouchiez',
    'recouchions',
    'recouchons',
    'recouchâmes',
    'recouchât',
    'recouchâtes',
    'recouchèrent',
    'recouché',
    'recouchée',
    'recouchées',
    'recouchés',
    'recoud',
    'recoudra',
    'recoudrai',
    'recoudraient',
    'recoudrais',
    'recoudrait',
    'recoudras',
    'recoudre',
    'recoudrez',
    'recoudriez',
    'recoudrions',
    'recoudrons',
    'recoudront',
    'recouds',
    'recoupa',
    'recoupai',
    'recoupaient',
    'recoupais',
    'recoupait',
    'recoupant',
    'recoupas',
    'recoupasse',
    'recoupassent',
    'recoupasses',
    'recoupassiez',
    'recoupe',
    'recoupement',
    'recoupements',
    'recoupent',
    'recouper',
    'recoupera',
    'recouperai',
    'recouperais',
    'recouperait',
    'recouperas',
    'recouperez',
    'recouperiez',
    'recouperions',
    'recouperons',
    'recouperont',
    'recoupes',
    'recoupette',
    'recoupettes',
    'recoupez',
    'recoupiez',
    'recoupions',
    'recouponner',
    'recoupons',
    'recoupâmes',
    'recoupât',
    'recoupâtes',
    'recoupèrent',
    'recoupé',
    'recoupée',
    'recoupées',
    'recoupés',
    'recouraient',
    'recourais',
    'recourait',
    'recourant',
    'recourba',
    'recourbai',
    'recourbaient',
    'recourbais',
    'recourbait',
    'recourbant',
    'recourbas',
    'recourbasse',
    'recourbasses',
    'recourbe',
    'recourbent',
    'recourber',
    'recourbera',
    'recourberai',
    'recourberais',
    'recourberait',
    'recourberas',
    'recourberez',
    'recourberiez',
    'recourberons',
    'recourberont',
    'recourbes',
    'recourbez',
    'recourbiez',
    'recourbions',
    'recourbons',
    'recourbure',
    'recourbures',
    'recourbâmes',
    'recourbât',
    'recourbâtes',
    'recourbèrent',
    'recourbé',
    'recourbée',
    'recourbées',
    'recourbés',
    'recoure',
    'recourent',
    'recoures',
    'recourez',
    'recouriez',
    'recourions',
    'recourir',
    'recourons',
    'recourra',
    'recourrai',
    'recourraient',
    'recourrais',
    'recourrait',
    'recourras',
    'recourrez',
    'recourriez',
    'recourrions',
    'recourrons',
    'recourront',
    'recours',
    'recourt',
    'recouru',
    'recourue',
    'recourues',
    'recoururent',
    'recourus',
    'recourusse',
    'recourussent',
    'recourusses',
    'recourussiez',
    'recourut',
    'recourûmes',
    'recourût',
    'recourûtes',
    'recousaient',
    'recousais',
    'recousait',
    'recousant',
    'recouse',
    'recousent',
    'recouses',
    'recousez',
    'recousiez',
    'recousions',
    'recousirent',
    'recousis',
    'recousisse',
    'recousissent',
    'recousisses',
    'recousissiez',
    'recousit',
    'recousons',
    'recousu',
    'recousue',
    'recousues',
    'recousus',
    'recousîmes',
    'recousît',
    'recousîtes',
    'recouvert',
    'recouverte',
    'recouvertes',
    'recouverts',
    'recouvra',
    'recouvrable',
    'recouvrables',
    'recouvrage',
    'recouvrages',
    'recouvrai',
    'recouvraient',
    'recouvrais',
    'recouvrait',
    'recouvrance',
    'recouvrances',
    'recouvrant',
    'recouvrante',
    'recouvrantes',
    'recouvrants',
    'recouvras',
    'recouvrasse',
    'recouvrasses',
    'recouvre',
    'recouvrement',
    'recouvrent',
    'recouvrer',
    'recouvrera',
    'recouvrerai',
    'recouvrerais',
    'recouvrerait',
    'recouvreras',
    'recouvrerez',
    'recouvreriez',
    'recouvrerons',
    'recouvreront',
    'recouvres',
    'recouvrez',
    'recouvriez',
    'recouvrions',
    'recouvrir',
    'recouvrira',
    'recouvrirai',
    'recouvrirais',
    'recouvrirait',
    'recouvriras',
    'recouvrirent',
    'recouvrirez',
    'recouvririez',
    'recouvrirons',
    'recouvriront',
    'recouvris',
    'recouvrisse',
    'recouvrisses',
    'recouvrit',
    'recouvrons',
    'recouvru',
    'recouvrue',
    'recouvrues',
    'recouvrus',
    'recouvrâmes',
    'recouvrât',
    'recouvrâtes',
    'recouvrèrent',
    'recouvré',
    'recouvrée',
    'recouvrées',
    'recouvrés',
    'recouvrîmes',
    'recouvrît',
    'recouvrîtes',
    'recracha',
    'recrachai',
    'recrachaient',
    'recrachais',
    'recrachait',
    'recrachant',
    'recrachas',
    'recrachasse',
    'recrachasses',
    'recrache',
    'recrachent',
    'recracher',
    'recrachera',
    'recracherai',
    'recracherais',
    'recracherait',
    'recracheras',
    'recracherez',
    'recracheriez',
    'recracherons',
    'recracheront',
    'recraches',
    'recrachez',
    'recrachiez',
    'recrachions',
    'recrachons',
    'recrachâmes',
    'recrachât',
    'recrachâtes',
    'recrachèrent',
    'recraché',
    'recrachée',
    'recrachées',
    'recrachés',
    'recreusa',
    'recreusai',
    'recreusaient',
    'recreusais',
    'recreusait',
    'recreusant',
    'recreusas',
    'recreusasse',
    'recreusasses',
    'recreuse',
    'recreusent',
    'recreuser',
    'recreusera',
    'recreuserai',
    'recreuserais',
    'recreuserait',
    'recreuseras',
    'recreuserez',
    'recreuseriez',
    'recreuserons',
    'recreuseront',
    'recreuses',
    'recreusez',
    'recreusiez',
    'recreusions',
    'recreusons',
    'recreusâmes',
    'recreusât',
    'recreusâtes',
    'recreusèrent',
    'recreusé',
    'recreusée',
    'recreusées',
    'recreusés',
    'recrois',
    'recroisaient',
    'recroisais',
    'recroisait',
    'recroisant',
    'recroise',
    'recroisent',
    'recroiser',
    'recroisera',
    'recroiserai',
    'recroiserais',
    'recroiserait',
    'recroiseras',
    'recroiserez',
    'recroiseriez',
    'recroiserons',
    'recroiseront',
    'recroises',
    'recroisez',
    'recroisiez',
    'recroisions',
    'recroisons',
    'recroissais',
    'recroissait',
    'recroissant',
    'recroissante',
    'recroissants',
    'recroisse',
    'recroissent',
    'recroisses',
    'recroissez',
    'recroissiez',
    'recroissions',
    'recroissons',
    'recroisé',
    'recroisée',
    'recroisées',
    'recroisés',
    'recroît',
    'recroîtra',
    'recroîtrai',
    'recroîtrais',
    'recroîtrait',
    'recroîtras',
    'recroître',
    'recroîtrez',
    'recroîtriez',
    'recroîtrions',
    'recroîtrons',
    'recroîtront',
    'recru',
    'recrudescent',
    'recrue',
    'recrues',
    'recrurent',
    'recrus',
    'recrusse',
    'recrussent',
    'recrusses',
    'recrussiez',
    'recrussions',
    'recrut',
    'recruta',
    'recrutai',
    'recrutaient',
    'recrutais',
    'recrutait',
    'recrutant',
    'recrutas',
    'recrutasse',
    'recrutassent',
    'recrutasses',
    'recrutassiez',
    'recrute',
    'recrutement',
    'recrutements',
    'recrutent',
    'recruter',
    'recrutera',
    'recruterai',
    'recruterais',
    'recruterait',
    'recruteras',
    'recruterez',
    'recruteriez',
    'recruterions',
    'recruterons',
    'recruteront',
    'recrutes',
    'recruteur',
    'recruteurs',
    'recrutez',
    'recrutiez',
    'recrutions',
    'recrutons',
    'recrutâmes',
    'recrutât',
    'recrutâtes',
    'recrutèrent',
    'recruté',
    'recrutée',
    'recrutées',
    'recrutés',
    'recréa',
    'recréai',
    'recréaient',
    'recréais',
    'recréait',
    'recréant',
    'recréas',
    'recréasse',
    'recréassent',
    'recréasses',
    'recréassiez',
    'recréassions',
    'recréation',
    'recréations',
    'recrée',
    'recréent',
    'recréer',
    'recréera',
    'recréerai',
    'recréeraient',
    'recréerais',
    'recréerait',
    'recréeras',
    'recréerez',
    'recréeriez',
    'recréerions',
    'recréerons',
    'recréeront',
    'recrées',
    'recréez',
    'recréiez',
    'recréions',
    'recréons',
    'recrépi',
    'recrépie',
    'recrépies',
    'recrépir',
    'recrépira',
    'recrépirai',
    'recrépirais',
    'recrépirait',
    'recrépiras',
    'recrépirent',
    'recrépirez',
    'recrépiriez',
    'recrépirions',
    'recrépirons',
    'recrépiront',
    'recrépis',
    'recrépissais',
    'recrépissait',
    'recrépissant',
    'recrépisse',
    'recrépissent',
    'recrépisses',
    'recrépissez',
    'recrépissiez',
    'recrépissons',
    'recrépit',
    'recrépîmes',
    'recrépît',
    'recrépîtes',
    'recréâmes',
    'recréât',
    'recréâtes',
    'recréèrent',
    'recréé',
    'recréée',
    'recréées',
    'recréés',
    'recrû',
    'recrûmes',
    'recrûs',
    'recrût',
    'recrûtes',
    'recta',
    'rectal',
    'rectale',
    'rectales',
    'rectangle',
    'rectangles',
    'rectaux',
    'recteur',
    'recteurs',
    'rectifia',
    'rectifiable',
    'rectifiables',
    'rectifiai',
    'rectifiaient',
    'rectifiais',
    'rectifiait',
    'rectifiant',
    'rectifias',
    'rectifiasse',
    'rectifiasses',
    'rectificatif',
    'rectifie',
    'rectifient',
    'rectifier',
    'rectifiera',
    'rectifierai',
    'rectifierais',
    'rectifierait',
    'rectifieras',
    'rectifierez',
    'rectifieriez',
    'rectifierons',
    'rectifieront',
    'rectifies',
    'rectifieur',
    'rectifieurs',
    'rectifieuse',
    'rectifieuses',
    'rectifiez',
    'rectifiiez',
    'rectifiions',
    'rectifions',
    'rectifiâmes',
    'rectifiât',
    'rectifiâtes',
    'rectifièrent',
    'rectifié',
    'rectifiée',
    'rectifiées',
    'rectifiés',
    'rectiligne',
    'rectilignes',
    'rection',
    'rections',
    'rectite',
    'rectites',
    'rectitude',
    'rectitudes',
    'recto',
    'rectoral',
    'rectorale',
    'rectorales',
    'rectorat',
    'rectorats',
    'rectoraux',
    'rectos',
    'rectoscope',
    'rectoscopes',
    'rectoscopie',
    'rectoscopies',
    'rectrice',
    'rectrices',
    'rectum',
    'rectums',
    'recueil',
    'recueillais',
    'recueillait',
    'recueillant',
    'recueille',
    'recueillent',
    'recueillera',
    'recueillerai',
    'recueilleras',
    'recueillerez',
    'recueilles',
    'recueillez',
    'recueilli',
    'recueillie',
    'recueillies',
    'recueilliez',
    'recueillions',
    'recueillir',
    'recueillis',
    'recueillisse',
    'recueillit',
    'recueillons',
    'recueillîmes',
    'recueillît',
    'recueillîtes',
    'recueils',
    'recuira',
    'recuirai',
    'recuiraient',
    'recuirais',
    'recuirait',
    'recuiras',
    'recuire',
    'recuirez',
    'recuiriez',
    'recuirions',
    'recuirons',
    'recuiront',
    'recuis',
    'recuisaient',
    'recuisais',
    'recuisait',
    'recuisant',
    'recuise',
    'recuisent',
    'recuises',
    'recuisez',
    'recuisiez',
    'recuisions',
    'recuisirent',
    'recuisis',
    'recuisisse',
    'recuisissent',
    'recuisisses',
    'recuisissiez',
    'recuisit',
    'recuisons',
    'recuisîmes',
    'recuisît',
    'recuisîtes',
    'recuit',
    'recuite',
    'recuites',
    'recuits',
    'recul',
    'recula',
    'reculade',
    'reculades',
    'reculai',
    'reculaient',
    'reculais',
    'reculait',
    'reculant',
    'reculas',
    'reculasse',
    'reculassent',
    'reculasses',
    'reculassiez',
    'reculassions',
    'recule',
    'reculement',
    'reculements',
    'reculent',
    'reculer',
    'reculera',
    'reculerai',
    'reculeraient',
    'reculerais',
    'reculerait',
    'reculeras',
    'reculerez',
    'reculeriez',
    'reculerions',
    'reculerons',
    'reculeront',
    'recules',
    'reculez',
    'reculiez',
    'reculions',
    'reculons',
    'reculotta',
    'reculottai',
    'reculottais',
    'reculottait',
    'reculottant',
    'reculottas',
    'reculottasse',
    'reculotte',
    'reculottent',
    'reculotter',
    'reculottera',
    'reculotterai',
    'reculotteras',
    'reculotterez',
    'reculottes',
    'reculottez',
    'reculottiez',
    'reculottions',
    'reculottons',
    'reculottâmes',
    'reculottât',
    'reculottâtes',
    'reculotté',
    'reculottée',
    'reculottées',
    'reculottés',
    'reculs',
    'reculâmes',
    'reculât',
    'reculâtes',
    'reculèrent',
    'reculé',
    'reculée',
    'reculées',
    'reculés',
    'recycla',
    'recyclage',
    'recyclages',
    'recyclai',
    'recyclaient',
    'recyclais',
    'recyclait',
    'recyclant',
    'recyclas',
    'recyclasse',
    'recyclassent',
    'recyclasses',
    'recyclassiez',
    'recycle',
    'recyclent',
    'recycler',
    'recyclera',
    'recyclerai',
    'recyclerais',
    'recyclerait',
    'recycleras',
    'recyclerez',
    'recycleriez',
    'recyclerions',
    'recyclerons',
    'recycleront',
    'recycles',
    'recyclez',
    'recycliez',
    'recyclions',
    'recyclons',
    'recyclâmes',
    'recyclât',
    'recyclâtes',
    'recyclèrent',
    'recyclé',
    'recyclée',
    'recyclées',
    'recyclés',
    'recède',
    'recèdent',
    'recèdes',
    'recèle',
    'recèlent',
    'recèlera',
    'recèlerai',
    'recèleraient',
    'recèlerais',
    'recèlerait',
    'recèleras',
    'recèlerez',
    'recèleriez',
    'recèlerions',
    'recèlerons',
    'recèleront',
    'recèles',
    'recèpe',
    'recèpent',
    'recèpera',
    'recèperai',
    'recèperaient',
    'recèperais',
    'recèperait',
    'recèperas',
    'recèperez',
    'recèperiez',
    'recèperions',
    'recèperons',
    'recèperont',
    'recèpes',
    'recès',
    'recéda',
    'recédai',
    'recédaient',
    'recédais',
    'recédait',
    'recédant',
    'recédas',
    'recédasse',
    'recédassent',
    'recédasses',
    'recédassiez',
    'recédassions',
    'recéder',
    'recédera',
    'recéderai',
    'recéderaient',
    'recéderais',
    'recéderait',
    'recéderas',
    'recéderez',
    'recéderiez',
    'recéderions',
    'recéderons',
    'recéderont',
    'recédez',
    'recédiez',
    'recédions',
    'recédons',
    'recédâmes',
    'recédât',
    'recédâtes',
    'recédèrent',
    'recédé',
    'recédée',
    'recédées',
    'recédés',
    'recéla',
    'recélai',
    'recélaient',
    'recélais',
    'recélait',
    'recélant',
    'recélas',
    'recélasse',
    'recélassent',
    'recélasses',
    'recélassiez',
    'recélassions',
    'recéler',
    'recélera',
    'recélerai',
    'recéleraient',
    'recélerais',
    'recélerait',
    'recéleras',
    'recélerez',
    'recéleriez',
    'recélerions',
    'recélerons',
    'recéleront',
    'recélez',
    'recéliez',
    'recélions',
    'recélons',
    'recélâmes',
    'recélât',
    'recélâtes',
    'recélèrent',
    'recélé',
    'recélée',
    'recélées',
    'recélés',
    'recépa',
    'recépage',
    'recépages',
    'recépai',
    'recépaient',
    'recépais',
    'recépait',
    'recépant',
    'recépas',
    'recépasse',
    'recépassent',
    'recépasses',
    'recépassiez',
    'recépassions',
    'recéper',
    'recépera',
    'recéperai',
    'recéperaient',
    'recéperais',
    'recéperait',
    'recéperas',
    'recéperez',
    'recéperiez',
    'recéperions',
    'recéperons',
    'recéperont',
    'recépez',
    'recépiez',
    'recépions',
    'recépons',
    'recépâmes',
    'recépât',
    'recépâtes',
    'recépèrent',
    'recépé',
    'recépée',
    'recépées',
    'recépés',
    'redan',
    'redans',
    'reddition',
    'redditions',
    'redemanda',
    'redemandai',
    'redemandais',
    'redemandait',
    'redemandant',
    'redemandas',
    'redemandasse',
    'redemande',
    'redemandent',
    'redemander',
    'redemandera',
    'redemanderai',
    'redemanderas',
    'redemanderez',
    'redemandes',
    'redemandez',
    'redemandiez',
    'redemandions',
    'redemandons',
    'redemandâmes',
    'redemandât',
    'redemandâtes',
    'redemandé',
    'redemandée',
    'redemandées',
    'redemandés',
    'redent',
    'redents',
    'redenté',
    'redentée',
    'redentées',
    'redentés',
    'redescend',
    'redescendais',
    'redescendait',
    'redescendant',
    'redescende',
    'redescendent',
    'redescendes',
    'redescendez',
    'redescendiez',
    'redescendis',
    'redescendit',
    'redescendons',
    'redescendra',
    'redescendrai',
    'redescendras',
    'redescendre',
    'redescendrez',
    'redescends',
    'redescendu',
    'redescendue',
    'redescendues',
    'redescendus',
    'redescendît',
    'redevable',
    'redevables',
    'redevaient',
    'redevais',
    'redevait',
    'redevance',
    'redevances',
    'redevant',
    'redevenaient',
    'redevenais',
    'redevenait',
    'redevenant',
    'redevenez',
    'redeveniez',
    'redevenions',
    'redevenir',
    'redevenons',
    'redevenu',
    'redevenue',
    'redevenues',
    'redevenus',
    'redevez',
    'redeviendra',
    'redeviendrai',
    'redeviendras',
    'redeviendrez',
    'redevienne',
    'redeviennent',
    'redeviennes',
    'redeviens',
    'redevient',
    'redeviez',
    'redevinrent',
    'redevins',
    'redevinsse',
    'redevinssent',
    'redevinsses',
    'redevinssiez',
    'redevint',
    'redevions',
    'redevoir',
    'redevons',
    'redevra',
    'redevrai',
    'redevraient',
    'redevrais',
    'redevrait',
    'redevras',
    'redevrez',
    'redevriez',
    'redevrions',
    'redevrons',
    'redevront',
    'redevînmes',
    'redevînt',
    'redevîntes',
    'rediffusa',
    'rediffusais',
    'rediffusait',
    'rediffusant',
    'rediffuse',
    'rediffusent',
    'rediffuser',
    'rediffusera',
    'rediffuserai',
    'rediffuseras',
    'rediffuserez',
    'rediffuses',
    'rediffusez',
    'rediffusiez',
    'rediffusion',
    'rediffusions',
    'rediffusons',
    'rediffusé',
    'rediffusée',
    'rediffusées',
    'rediffusés',
    'redingote',
    'redingotes',
    'redira',
    'redirai',
    'rediraient',
    'redirais',
    'redirait',
    'rediras',
    'redire',
    'redirent',
    'redirez',
    'rediriez',
    'redirions',
    'redirons',
    'rediront',
    'redis',
    'redisaient',
    'redisais',
    'redisait',
    'redisant',
    'rediscuta',
    'rediscutai',
    'rediscutais',
    'rediscutait',
    'rediscutant',
    'rediscutas',
    'rediscutasse',
    'rediscute',
    'rediscutent',
    'rediscuter',
    'rediscutera',
    'rediscuterai',
    'rediscuteras',
    'rediscuterez',
    'rediscutes',
    'rediscutez',
    'rediscutiez',
    'rediscutions',
    'rediscutons',
    'rediscutâmes',
    'rediscutât',
    'rediscutâtes',
    'rediscuté',
    'rediscutée',
    'rediscutées',
    'rediscutés',
    'redise',
    'redisent',
    'redises',
    'redisiez',
    'redisions',
    'redisons',
    'redisse',
    'redissent',
    'redisses',
    'redissiez',
    'redissions',
    'redistribua',
    'redistribuai',
    'redistribuas',
    'redistribue',
    'redistribuer',
    'redistribues',
    'redistribuez',
    'redistribuât',
    'redistribué',
    'redistribuée',
    'redistribués',
    'redit',
    'redite',
    'redites',
    'redits',
    'redois',
    'redoit',
    'redoive',
    'redoivent',
    'redoives',
    'redonda',
    'redondai',
    'redondaient',
    'redondais',
    'redondait',
    'redondance',
    'redondances',
    'redondant',
    'redondante',
    'redondantes',
    'redondants',
    'redondas',
    'redondasse',
    'redondassent',
    'redondasses',
    'redondassiez',
    'redonde',
    'redondent',
    'redonder',
    'redondera',
    'redonderai',
    'redonderais',
    'redonderait',
    'redonderas',
    'redonderez',
    'redonderiez',
    'redonderions',
    'redonderons',
    'redonderont',
    'redondes',
    'redondez',
    'redondiez',
    'redondions',
    'redondons',
    'redondâmes',
    'redondât',
    'redondâtes',
    'redondèrent',
    'redondé',
    'redonna',
    'redonnai',
    'redonnaient',
    'redonnais',
    'redonnait',
    'redonnant',
    'redonnas',
    'redonnasse',
    'redonnassent',
    'redonnasses',
    'redonnassiez',
    'redonne',
    'redonnent',
    'redonner',
    'redonnera',
    'redonnerai',
    'redonnerais',
    'redonnerait',
    'redonneras',
    'redonnerez',
    'redonneriez',
    'redonnerions',
    'redonnerons',
    'redonneront',
    'redonnes',
    'redonnez',
    'redonniez',
    'redonnions',
    'redonnons',
    'redonnâmes',
    'redonnât',
    'redonnâtes',
    'redonnèrent',
    'redonné',
    'redonnée',
    'redonnées',
    'redonnés',
    'redora',
    'redorai',
    'redoraient',
    'redorais',
    'redorait',
    'redorant',
    'redoras',
    'redorasse',
    'redorassent',
    'redorasses',
    'redorassiez',
    'redorassions',
    'redore',
    'redorent',
    'redorer',
    'redorera',
    'redorerai',
    'redoreraient',
    'redorerais',
    'redorerait',
    'redoreras',
    'redorerez',
    'redoreriez',
    'redorerions',
    'redorerons',
    'redoreront',
    'redores',
    'redorez',
    'redoriez',
    'redorions',
    'redorons',
    'redorâmes',
    'redorât',
    'redorâtes',
    'redorèrent',
    'redoré',
    'redorée',
    'redorées',
    'redorés',
    'redoubla',
    'redoublai',
    'redoublaient',
    'redoublais',
    'redoublait',
    'redoublant',
    'redoublante',
    'redoublantes',
    'redoublants',
    'redoublas',
    'redoublasse',
    'redoublasses',
    'redouble',
    'redoublement',
    'redoublent',
    'redoubler',
    'redoublera',
    'redoublerai',
    'redoublerais',
    'redoublerait',
    'redoubleras',
    'redoublerez',
    'redoubleriez',
    'redoublerons',
    'redoubleront',
    'redoubles',
    'redoublez',
    'redoubliez',
    'redoublions',
    'redoublons',
    'redoublâmes',
    'redoublât',
    'redoublâtes',
    'redoublèrent',
    'redoublé',
    'redoublée',
    'redoublées',
    'redoublés',
    'redouta',
    'redoutable',
    'redoutables',
    'redoutai',
    'redoutaient',
    'redoutais',
    'redoutait',
    'redoutant',
    'redoutas',
    'redoutasse',
    'redoutassent',
    'redoutasses',
    'redoutassiez',
    'redoute',
    'redoutent',
    'redouter',
    'redoutera',
    'redouterai',
    'redouterais',
    'redouterait',
    'redouteras',
    'redouterez',
    'redouteriez',
    'redouterions',
    'redouterons',
    'redouteront',
    'redoutes',
    'redoutez',
    'redoutiez',
    'redoutions',
    'redoutons',
    'redoutâmes',
    'redoutât',
    'redoutâtes',
    'redoutèrent',
    'redouté',
    'redoutée',
    'redoutées',
    'redoutés',
    'redoux',
    'redressa',
    'redressai',
    'redressaient',
    'redressais',
    'redressait',
    'redressant',
    'redressas',
    'redressasse',
    'redressasses',
    'redresse',
    'redressement',
    'redressent',
    'redresser',
    'redressera',
    'redresserai',
    'redresserais',
    'redresserait',
    'redresseras',
    'redresserez',
    'redresseriez',
    'redresserons',
    'redresseront',
    'redresses',
    'redresseur',
    'redresseurs',
    'redressez',
    'redressiez',
    'redressions',
    'redressons',
    'redressâmes',
    'redressât',
    'redressâtes',
    'redressèrent',
    'redressé',
    'redressée',
    'redressées',
    'redressés',
    'redue',
    'redues',
    'redurent',
    'redus',
    'redusse',
    'redussent',
    'redusses',
    'redussiez',
    'redussions',
    'redut',
    'redécouvert',
    'redécouverte',
    'redécouverts',
    'redécouvrais',
    'redécouvrait',
    'redécouvrant',
    'redécouvre',
    'redécouvrent',
    'redécouvres',
    'redécouvrez',
    'redécouvriez',
    'redécouvrir',
    'redécouvrira',
    'redécouvrit',
    'redécouvrons',
    'redéfaire',
    'redéfais',
    'redéfaisais',
    'redéfaisait',
    'redéfaisant',
    'redéfaisiez',
    'redéfaisions',
    'redéfaisons',
    'redéfait',
    'redéfaite',
    'redéfaites',
    'redéfaits',
    'redéfasse',
    'redéfassent',
    'redéfasses',
    'redéfassiez',
    'redéfassions',
    'redéfera',
    'redéferai',
    'redéferaient',
    'redéferais',
    'redéferait',
    'redéferas',
    'redéferez',
    'redéferiez',
    'redéferions',
    'redéferons',
    'redéferont',
    'redéfini',
    'redéfinie',
    'redéfinies',
    'redéfinir',
    'redéfinira',
    'redéfinirai',
    'redéfinirais',
    'redéfinirait',
    'redéfiniras',
    'redéfinirent',
    'redéfinirez',
    'redéfiniriez',
    'redéfinirons',
    'redéfiniront',
    'redéfinis',
    'redéfinisse',
    'redéfinisses',
    'redéfinissez',
    'redéfinit',
    'redéfinition',
    'redéfinîmes',
    'redéfinît',
    'redéfinîtes',
    'redéfirent',
    'redéfis',
    'redéfisse',
    'redéfissent',
    'redéfisses',
    'redéfissiez',
    'redéfissions',
    'redéfit',
    'redéfont',
    'redéfîmes',
    'redéfît',
    'redéfîtes',
    'redémarra',
    'redémarrage',
    'redémarrages',
    'redémarrai',
    'redémarrais',
    'redémarrait',
    'redémarrant',
    'redémarras',
    'redémarrasse',
    'redémarre',
    'redémarrent',
    'redémarrer',
    'redémarrera',
    'redémarrerai',
    'redémarreras',
    'redémarrerez',
    'redémarres',
    'redémarrez',
    'redémarriez',
    'redémarrions',
    'redémarrons',
    'redémarrâmes',
    'redémarrât',
    'redémarrâtes',
    'redémarré',
    'redémarrée',
    'redémarrées',
    'redémarrés',
    'redémoli',
    'redémolie',
    'redémolies',
    'redémolir',
    'redémolira',
    'redémolirai',
    'redémolirais',
    'redémolirait',
    'redémoliras',
    'redémolirent',
    'redémolirez',
    'redémoliriez',
    'redémolirons',
    'redémoliront',
    'redémolis',
    'redémolisse',
    'redémolisses',
    'redémolissez',
    'redémolit',
    'redémolîmes',
    'redémolît',
    'redémolîtes',
    'redémontra',
    'redémontrai',
    'redémontrais',
    'redémontrait',
    'redémontrant',
    'redémontras',
    'redémontre',
    'redémontrent',
    'redémontrer',
    'redémontrera',
    'redémontres',
    'redémontrez',
    'redémontriez',
    'redémontrons',
    'redémontrât',
    'redémontré',
    'redémontrée',
    'redémontrées',
    'redémontrés',
    'redéploie',
    'redéploient',
    'redéploiera',
    'redéploierai',
    'redéploieras',
    'redéploierez',
    'redéploies',
    'redéploya',
    'redéployai',
    'redéployais',
    'redéployait',
    'redéployant',
    'redéployas',
    'redéployasse',
    'redéployer',
    'redéployez',
    'redéployiez',
    'redéployions',
    'redéployons',
    'redéployâmes',
    'redéployât',
    'redéployâtes',
    'redéployé',
    'redéployée',
    'redéployées',
    'redéployés',
    'redîmes',
    'redît',
    'redîtes',
    'redû',
    'redûmes',
    'redût',
    'redûtes',
    'refaire',
    'refais',
    'refaisaient',
    'refaisais',
    'refaisait',
    'refaisant',
    'refaisiez',
    'refaisions',
    'refaisons',
    'refait',
    'refaite',
    'refaites',
    'refaits',
    'refasse',
    'refassent',
    'refasses',
    'refassiez',
    'refassions',
    'refaçonna',
    'refaçonnai',
    'refaçonnais',
    'refaçonnait',
    'refaçonnant',
    'refaçonnas',
    'refaçonnasse',
    'refaçonne',
    'refaçonnent',
    'refaçonner',
    'refaçonnera',
    'refaçonnerai',
    'refaçonneras',
    'refaçonnerez',
    'refaçonnes',
    'refaçonnez',
    'refaçonniez',
    'refaçonnions',
    'refaçonnons',
    'refaçonnâmes',
    'refaçonnât',
    'refaçonnâtes',
    'refaçonné',
    'refaçonnée',
    'refaçonnées',
    'refaçonnés',
    'refend',
    'refendaient',
    'refendais',
    'refendait',
    'refendant',
    'refende',
    'refendent',
    'refendes',
    'refendez',
    'refendiez',
    'refendions',
    'refendirent',
    'refendis',
    'refendisse',
    'refendissent',
    'refendisses',
    'refendissiez',
    'refendit',
    'refendons',
    'refendra',
    'refendrai',
    'refendraient',
    'refendrais',
    'refendrait',
    'refendras',
    'refendre',
    'refendrez',
    'refendriez',
    'refendrions',
    'refendrons',
    'refendront',
    'refends',
    'refendu',
    'refendue',
    'refendues',
    'refendus',
    'refendîmes',
    'refendît',
    'refendîtes',
    'refera',
    'referai',
    'referaient',
    'referais',
    'referait',
    'referas',
    'referez',
    'referiez',
    'referions',
    'referma',
    'refermai',
    'refermaient',
    'refermais',
    'refermait',
    'refermant',
    'refermas',
    'refermasse',
    'refermassent',
    'refermasses',
    'refermassiez',
    'referme',
    'referment',
    'refermer',
    'refermera',
    'refermerai',
    'refermerais',
    'refermerait',
    'refermeras',
    'refermerez',
    'refermeriez',
    'refermerions',
    'refermerons',
    'refermeront',
    'refermes',
    'refermez',
    'refermiez',
    'refermions',
    'refermons',
    'refermâmes',
    'refermât',
    'refermâtes',
    'refermèrent',
    'refermé',
    'refermée',
    'refermées',
    'refermés',
    'referons',
    'referont',
    'reficeler',
    'refila',
    'refilai',
    'refilaient',
    'refilais',
    'refilait',
    'refilant',
    'refilas',
    'refilasse',
    'refilassent',
    'refilasses',
    'refilassiez',
    'refilassions',
    'refile',
    'refilent',
    'refiler',
    'refilera',
    'refilerai',
    'refileraient',
    'refilerais',
    'refilerait',
    'refileras',
    'refilerez',
    'refileriez',
    'refilerions',
    'refilerons',
    'refileront',
    'refiles',
    'refilez',
    'refiliez',
    'refilions',
    'refilons',
    'refilâmes',
    'refilât',
    'refilâtes',
    'refilèrent',
    'refilé',
    'refilée',
    'refilées',
    'refilés',
    'refirent',
    'refis',
    'refisse',
    'refissent',
    'refisses',
    'refissiez',
    'refissions',
    'refit',
    'reflet',
    'reflets',
    'refleuri',
    'refleurie',
    'refleuries',
    'refleurir',
    'refleurira',
    'refleurirai',
    'refleurirais',
    'refleurirait',
    'refleuriras',
    'refleurirent',
    'refleurirez',
    'refleuririez',
    'refleurirons',
    'refleuriront',
    'refleuris',
    'refleurisse',
    'refleurisses',
    'refleurissez',
    'refleurit',
    'refleurîmes',
    'refleurît',
    'refleurîtes',
    'reflex',
    'reflua',
    'refluai',
    'refluaient',
    'refluais',
    'refluait',
    'refluant',
    'refluas',
    'refluasse',
    'refluassent',
    'refluasses',
    'refluassiez',
    'refluassions',
    'reflue',
    'refluent',
    'refluer',
    'refluera',
    'refluerai',
    'reflueraient',
    'refluerais',
    'refluerait',
    'reflueras',
    'refluerez',
    'reflueriez',
    'refluerions',
    'refluerons',
    'reflueront',
    'reflues',
    'refluez',
    'refluiez',
    'refluions',
    'refluons',
    'reflux',
    'refluâmes',
    'refluât',
    'refluâtes',
    'refluèrent',
    'reflué',
    'reflète',
    'reflètent',
    'reflètes',
    'refléta',
    'reflétai',
    'reflétaient',
    'reflétais',
    'reflétait',
    'reflétant',
    'reflétas',
    'reflétasse',
    'reflétassent',
    'reflétasses',
    'reflétassiez',
    'refléter',
    'reflétera',
    'refléterai',
    'refléterais',
    'refléterait',
    'refléteras',
    'refléterez',
    'refléteriez',
    'refléterions',
    'refléterons',
    'refléteront',
    'reflétez',
    'reflétiez',
    'reflétions',
    'reflétons',
    'reflétâmes',
    'reflétât',
    'reflétâtes',
    'reflétèrent',
    'reflété',
    'reflétée',
    'reflétées',
    'reflétés',
    'refond',
    'refondaient',
    'refondais',
    'refondait',
    'refondant',
    'refonde',
    'refondent',
    'refondes',
    'refondez',
    'refondiez',
    'refondions',
    'refondirent',
    'refondis',
    'refondisse',
    'refondissent',
    'refondisses',
    'refondissiez',
    'refondit',
    'refondons',
    'refondra',
    'refondrai',
    'refondraient',
    'refondrais',
    'refondrait',
    'refondras',
    'refondre',
    'refondrez',
    'refondriez',
    'refondrions',
    'refondrons',
    'refondront',
    'refonds',
    'refondu',
    'refondue',
    'refondues',
    'refondus',
    'refondîmes',
    'refondît',
    'refondîtes',
    'refont',
    'refonte',
    'refontes',
    'reforge',
    'reforgea',
    'reforgeai',
    'reforgeaient',
    'reforgeais',
    'reforgeait',
    'reforgeant',
    'reforgeas',
    'reforgeasse',
    'reforgeasses',
    'reforgent',
    'reforgeons',
    'reforger',
    'reforgera',
    'reforgerai',
    'reforgerais',
    'reforgerait',
    'reforgeras',
    'reforgerez',
    'reforgeriez',
    'reforgerions',
    'reforgerons',
    'reforgeront',
    'reforges',
    'reforgez',
    'reforgeâmes',
    'reforgeât',
    'reforgeâtes',
    'reforgiez',
    'reforgions',
    'reforgèrent',
    'reforgé',
    'reforgée',
    'reforgées',
    'reforgés',
    'reforma',
    'reformai',
    'reformaient',
    'reformais',
    'reformait',
    'reformant',
    'reformas',
    'reformasse',
    'reformassent',
    'reformasses',
    'reformassiez',
    'reforme',
    'reforment',
    'reformer',
    'reformera',
    'reformerai',
    'reformerais',
    'reformerait',
    'reformeras',
    'reformerez',
    'reformeriez',
    'reformerions',
    'reformerons',
    'reformeront',
    'reformes',
    'reformez',
    'reformiez',
    'reformions',
    'reformons',
    'reformula',
    'reformulai',
    'reformulais',
    'reformulait',
    'reformulant',
    'reformulas',
    'reformulasse',
    'reformule',
    'reformulent',
    'reformuler',
    'reformulera',
    'reformulerai',
    'reformuleras',
    'reformulerez',
    'reformules',
    'reformulez',
    'reformuliez',
    'reformulions',
    'reformulons',
    'reformulâmes',
    'reformulât',
    'reformulâtes',
    'reformulé',
    'reformulée',
    'reformulées',
    'reformulés',
    'reformâmes',
    'reformât',
    'reformâtes',
    'reformèrent',
    'reformé',
    'reformée',
    'reformées',
    'reformés',
    'refouilla',
    'refouillai',
    'refouillais',
    'refouillait',
    'refouillant',
    'refouillas',
    'refouillasse',
    'refouille',
    'refouillent',
    'refouiller',
    'refouillera',
    'refouillerai',
    'refouilleras',
    'refouillerez',
    'refouilles',
    'refouillez',
    'refouilliez',
    'refouillions',
    'refouillons',
    'refouillâmes',
    'refouillât',
    'refouillâtes',
    'refouillé',
    'refouillée',
    'refouillées',
    'refouillés',
    'refoula',
    'refoulai',
    'refoulaient',
    'refoulais',
    'refoulait',
    'refoulant',
    'refoulas',
    'refoulasse',
    'refoulassent',
    'refoulasses',
    'refoulassiez',
    'refoule',
    'refoulement',
    'refoulements',
    'refoulent',
    'refouler',
    'refoulera',
    'refoulerai',
    'refoulerais',
    'refoulerait',
    'refouleras',
    'refoulerez',
    'refouleriez',
    'refoulerions',
    'refoulerons',
    'refouleront',
    'refoules',
    'refoulez',
    'refouliez',
    'refoulions',
    'refoulons',
    'refoulâmes',
    'refoulât',
    'refoulâtes',
    'refoulèrent',
    'refoulé',
    'refoulée',
    'refoulées',
    'refoulés',
    'refourra',
    'refourrai',
    'refourraient',
    'refourrais',
    'refourrait',
    'refourrant',
    'refourras',
    'refourrasse',
    'refourrasses',
    'refourre',
    'refourrent',
    'refourrer',
    'refourrera',
    'refourrerai',
    'refourrerais',
    'refourrerait',
    'refourreras',
    'refourrerez',
    'refourreriez',
    'refourrerons',
    'refourreront',
    'refourres',
    'refourrez',
    'refourriez',
    'refourrions',
    'refourrons',
    'refourrâmes',
    'refourrât',
    'refourrâtes',
    'refourrèrent',
    'refourré',
    'refourrée',
    'refourrées',
    'refourrés',
    'refrain',
    'refrains',
    'refroidi',
    'refroidie',
    'refroidies',
    'refroidir',
    'refroidira',
    'refroidirai',
    'refroidirais',
    'refroidirait',
    'refroidiras',
    'refroidirent',
    'refroidirez',
    'refroidiriez',
    'refroidirons',
    'refroidiront',
    'refroidis',
    'refroidisse',
    'refroidisses',
    'refroidissez',
    'refroidit',
    'refroidîmes',
    'refroidît',
    'refroidîtes',
    'refrène',
    'refrènement',
    'refrènements',
    'refrènent',
    'refrènes',
    'refréna',
    'refrénai',
    'refrénaient',
    'refrénais',
    'refrénait',
    'refrénant',
    'refrénas',
    'refrénasse',
    'refrénassent',
    'refrénasses',
    'refrénassiez',
    'refréner',
    'refrénera',
    'refrénerai',
    'refrénerais',
    'refrénerait',
    'refréneras',
    'refrénerez',
    'refréneriez',
    'refrénerions',
    'refrénerons',
    'refréneront',
    'refrénez',
    'refréniez',
    'refrénions',
    'refrénons',
    'refrénâmes',
    'refrénât',
    'refrénâtes',
    'refrénèrent',
    'refréné',
    'refrénée',
    'refrénées',
    'refrénés',
    'refuge',
    'refuges',
    'refus',
    'refusa',
    'refusable',
    'refusables',
    'refusai',
    'refusaient',
    'refusais',
    'refusait',
    'refusant',
    'refusas',
    'refusasse',
    'refusassent',
    'refusasses',
    'refusassiez',
    'refusassions',
    'refuse',
    'refusent',
    'refuser',
    'refusera',
    'refuserai',
    'refuseraient',
    'refuserais',
    'refuserait',
    'refuseras',
    'refuserez',
    'refuseriez',
    'refuserions',
    'refuserons',
    'refuseront',
    'refuses',
    'refusez',
    'refusiez',
    'refusions',
    'refusons',
    'refusâmes',
    'refusât',
    'refusâtes',
    'refusèrent',
    'refusé',
    'refusée',
    'refusées',
    'refusés',
    'refuznik',
    'refuzniks',
    'refîmes',
    'refît',
    'refîtes',
    'regagna',
    'regagnai',
    'regagnaient',
    'regagnais',
    'regagnait',
    'regagnant',
    'regagnas',
    'regagnasse',
    'regagnassent',
    'regagnasses',
    'regagnassiez',
    'regagne',
    'regagnent',
    'regagner',
    'regagnera',
    'regagnerai',
    'regagnerais',
    'regagnerait',
    'regagneras',
    'regagnerez',
    'regagneriez',
    'regagnerions',
    'regagnerons',
    'regagneront',
    'regagnes',
    'regagnez',
    'regagniez',
    'regagnions',
    'regagnons',
    'regagnâmes',
    'regagnât',
    'regagnâtes',
    'regagnèrent',
    'regagné',
    'regagnée',
    'regagnées',
    'regagnés',
    'regain',
    'regains',
    'regard',
    'regarda',
    'regardable',
    'regardables',
    'regardai',
    'regardaient',
    'regardais',
    'regardait',
    'regardant',
    'regardante',
    'regardantes',
    'regardants',
    'regardas',
    'regardasse',
    'regardassent',
    'regardasses',
    'regardassiez',
    'regarde',
    'regardent',
    'regarder',
    'regardera',
    'regarderai',
    'regarderais',
    'regarderait',
    'regarderas',
    'regarderez',
    'regarderiez',
    'regarderions',
    'regarderons',
    'regarderont',
    'regardes',
    'regardez',
    'regardiez',
    'regardions',
    'regardons',
    'regards',
    'regardâmes',
    'regardât',
    'regardâtes',
    'regardèrent',
    'regardé',
    'regardée',
    'regardées',
    'regardés',
    'regarni',
    'regarnie',
    'regarnies',
    'regarnir',
    'regarnira',
    'regarnirai',
    'regarnirais',
    'regarnirait',
    'regarniras',
    'regarnirent',
    'regarnirez',
    'regarniriez',
    'regarnirions',
    'regarnirons',
    'regarniront',
    'regarnis',
    'regarnissais',
    'regarnissait',
    'regarnissant',
    'regarnisse',
    'regarnissent',
    'regarnisses',
    'regarnissez',
    'regarnissiez',
    'regarnissons',
    'regarnit',
    'regarnîmes',
    'regarnît',
    'regarnîtes',
    'regazonna',
    'regazonnai',
    'regazonnais',
    'regazonnait',
    'regazonnant',
    'regazonnas',
    'regazonnasse',
    'regazonne',
    'regazonnent',
    'regazonner',
    'regazonnera',
    'regazonnerai',
    'regazonneras',
    'regazonnerez',
    'regazonnes',
    'regazonnez',
    'regazonniez',
    'regazonnions',
    'regazonnons',
    'regazonnâmes',
    'regazonnât',
    'regazonnâtes',
    'regazonné',
    'regazonnée',
    'regazonnées',
    'regazonnés',
    'regeler',
    'reggae',
    'reggaes',
    'regimba',
    'regimbai',
    'regimbaient',
    'regimbais',
    'regimbait',
    'regimbant',
    'regimbas',
    'regimbasse',
    'regimbassent',
    'regimbasses',
    'regimbassiez',
    'regimbe',
    'regimbement',
    'regimbements',
    'regimbent',
    'regimber',
    'regimbera',
    'regimberai',
    'regimberais',
    'regimberait',
    'regimberas',
    'regimberez',
    'regimberiez',
    'regimberions',
    'regimberons',
    'regimberont',
    'regimbes',
    'regimbeur',
    'regimbeurs',
    'regimbeuse',
    'regimbeuses',
    'regimbez',
    'regimbiez',
    'regimbions',
    'regimbons',
    'regimbâmes',
    'regimbât',
    'regimbâtes',
    'regimbèrent',
    'regimbé',
    'regimbée',
    'regimbées',
    'regimbés',
    'reginglard',
    'reginglards',
    'registra',
    'registrai',
    'registraient',
    'registrais',
    'registrait',
    'registrant',
    'registras',
    'registrasse',
    'registrasses',
    'registre',
    'registrent',
    'registrer',
    'registrera',
    'registrerai',
    'registrerais',
    'registrerait',
    'registreras',
    'registrerez',
    'registreriez',
    'registrerons',
    'registreront',
    'registres',
    'registrez',
    'registriez',
    'registrions',
    'registrons',
    'registrâmes',
    'registrât',
    'registrâtes',
    'registrèrent',
    'registré',
    'registrée',
    'registrées',
    'registrés',
    'regonfla',
    'regonflai',
    'regonflaient',
    'regonflais',
    'regonflait',
    'regonflant',
    'regonflas',
    'regonflasse',
    'regonflasses',
    'regonfle',
    'regonflent',
    'regonfler',
    'regonflera',
    'regonflerai',
    'regonflerais',
    'regonflerait',
    'regonfleras',
    'regonflerez',
    'regonfleriez',
    'regonflerons',
    'regonfleront',
    'regonfles',
    'regonflez',
    'regonfliez',
    'regonflions',
    'regonflons',
    'regonflâmes',
    'regonflât',
    'regonflâtes',
    'regonflèrent',
    'regonflé',
    'regonflée',
    'regonflées',
    'regonflés',
    'regorge',
    'regorgea',
    'regorgeai',
    'regorgeaient',
    'regorgeais',
    'regorgeait',
    'regorgeant',
    'regorgeas',
    'regorgeasse',
    'regorgeasses',
    'regorgement',
    'regorgements',
    'regorgent',
    'regorgeons',
    'regorger',
    'regorgera',
    'regorgerai',
    'regorgerais',
    'regorgerait',
    'regorgeras',
    'regorgerez',
    'regorgeriez',
    'regorgerions',
    'regorgerons',
    'regorgeront',
    'regorges',
    'regorgez',
    'regorgeâmes',
    'regorgeât',
    'regorgeâtes',
    'regorgiez',
    'regorgions',
    'regorgèrent',
    'regorgé',
    'regrat',
    'regrats',
    'regratta',
    'regrattai',
    'regrattaient',
    'regrattais',
    'regrattait',
    'regrattant',
    'regrattas',
    'regrattasse',
    'regrattasses',
    'regratte',
    'regrattent',
    'regratter',
    'regrattera',
    'regratterai',
    'regratterais',
    'regratterait',
    'regratteras',
    'regratterez',
    'regratteriez',
    'regratterons',
    'regratteront',
    'regrattes',
    'regrattez',
    'regrattier',
    'regrattiers',
    'regrattiez',
    'regrattions',
    'regrattière',
    'regrattières',
    'regrattons',
    'regrattâmes',
    'regrattât',
    'regrattâtes',
    'regrattèrent',
    'regratté',
    'regrattée',
    'regrattées',
    'regrattés',
    'regreffa',
    'regreffai',
    'regreffaient',
    'regreffais',
    'regreffait',
    'regreffant',
    'regreffas',
    'regreffasse',
    'regreffasses',
    'regreffe',
    'regreffent',
    'regreffer',
    'regreffera',
    'regrefferai',
    'regrefferais',
    'regrefferait',
    'regrefferas',
    'regrefferez',
    'regrefferiez',
    'regrefferons',
    'regrefferont',
    'regreffes',
    'regreffez',
    'regreffiez',
    'regreffions',
    'regreffons',
    'regreffâmes',
    'regreffât',
    'regreffâtes',
    'regreffèrent',
    'regreffé',
    'regreffée',
    'regreffées',
    'regreffés',
    'regret',
    'regrets',
    'regretta',
    'regrettable',
    'regrettables',
    'regrettai',
    'regrettaient',
    'regrettais',
    'regrettait',
    'regrettant',
    'regrettas',
    'regrettasse',
    'regrettasses',
    'regrette',
    'regrettent',
    'regretter',
    'regrettera',
    'regretterai',
    'regretterais',
    'regretterait',
    'regretteras',
    'regretterez',
    'regretteriez',
    'regretterons',
    'regretteront',
    'regrettes',
    'regrettez',
    'regrettiez',
    'regrettions',
    'regrettons',
    'regrettâmes',
    'regrettât',
    'regrettâtes',
    'regrettèrent',
    'regretté',
    'regrettée',
    'regrettées',
    'regrettés',
    'regrimpa',
    'regrimpai',
    'regrimpaient',
    'regrimpais',
    'regrimpait',
    'regrimpant',
    'regrimpas',
    'regrimpasse',
    'regrimpasses',
    'regrimpe',
    'regrimpent',
    'regrimper',
    'regrimpera',
    'regrimperai',
    'regrimperais',
    'regrimperait',
    'regrimperas',
    'regrimperez',
    'regrimperiez',
    'regrimperons',
    'regrimperont',
    'regrimpes',
    'regrimpez',
    'regrimpiez',
    'regrimpions',
    'regrimpons',
    'regrimpâmes',
    'regrimpât',
    'regrimpâtes',
    'regrimpèrent',
    'regrimpé',
    'regrimpée',
    'regrimpées',
    'regrimpés',
    'regrossi',
    'regrossir',
    'regrossira',
    'regrossirai',
    'regrossirais',
    'regrossirait',
    'regrossiras',
    'regrossirent',
    'regrossirez',
    'regrossiriez',
    'regrossirons',
    'regrossiront',
    'regrossis',
    'regrossisse',
    'regrossisses',
    'regrossissez',
    'regrossit',
    'regrossîmes',
    'regrossît',
    'regrossîtes',
    'regroupa',
    'regroupai',
    'regroupaient',
    'regroupais',
    'regroupait',
    'regroupant',
    'regroupas',
    'regroupasse',
    'regroupasses',
    'regroupe',
    'regroupement',
    'regroupent',
    'regrouper',
    'regroupera',
    'regrouperai',
    'regrouperais',
    'regrouperait',
    'regrouperas',
    'regrouperez',
    'regrouperiez',
    'regrouperons',
    'regrouperont',
    'regroupes',
    'regroupez',
    'regroupiez',
    'regroupions',
    'regroupons',
    'regroupâmes',
    'regroupât',
    'regroupâtes',
    'regroupèrent',
    'regroupé',
    'regroupée',
    'regroupées',
    'regroupés',
    'regrèvement',
    'regrèvements',
    'regréa',
    'regréai',
    'regréaient',
    'regréais',
    'regréait',
    'regréant',
    'regréas',
    'regréasse',
    'regréassent',
    'regréasses',
    'regréassiez',
    'regréassions',
    'regrée',
    'regréent',
    'regréer',
    'regréera',
    'regréerai',
    'regréeraient',
    'regréerais',
    'regréerait',
    'regréeras',
    'regréerez',
    'regréeriez',
    'regréerions',
    'regréerons',
    'regréeront',
    'regrées',
    'regréez',
    'regréiez',
    'regréions',
    'regréons',
    'regréâmes',
    'regréât',
    'regréâtes',
    'regréèrent',
    'regréé',
    'regréée',
    'regréées',
    'regréés',
    'regs',
    'rehaussa',
    'rehaussai',
    'rehaussaient',
    'rehaussais',
    'rehaussait',
    'rehaussant',
    'rehaussas',
    'rehaussasse',
    'rehaussasses',
    'rehausse',
    'rehaussement',
    'rehaussent',
    'rehausser',
    'rehaussera',
    'rehausserai',
    'rehausserais',
    'rehausserait',
    'rehausseras',
    'rehausserez',
    'rehausseriez',
    'rehausserons',
    'rehausseront',
    'rehausses',
    'rehaussez',
    'rehaussiez',
    'rehaussions',
    'rehaussons',
    'rehaussâmes',
    'rehaussât',
    'rehaussâtes',
    'rehaussèrent',
    'rehaussé',
    'rehaussée',
    'rehaussées',
    'rehaussés',
    'rehaut',
    'rehauts',
    'reichsmark',
    'reichstag',
    'reichstags',
    'reims',
    'rein',
    'reine',
    'reines',
    'reinette',
    'reinettes',
    'reins',
    'reis',
    'rejailli',
    'rejaillie',
    'rejaillies',
    'rejaillir',
    'rejaillira',
    'rejaillirai',
    'rejaillirais',
    'rejaillirait',
    'rejailliras',
    'rejaillirent',
    'rejaillirez',
    'rejailliriez',
    'rejaillirons',
    'rejailliront',
    'rejaillis',
    'rejaillisse',
    'rejaillisses',
    'rejaillissez',
    'rejaillit',
    'rejaillîmes',
    'rejaillît',
    'rejaillîtes',
    'rejet',
    'rejeta',
    'rejetable',
    'rejetables',
    'rejetai',
    'rejetaient',
    'rejetais',
    'rejetait',
    'rejetant',
    'rejetas',
    'rejetasse',
    'rejetassent',
    'rejetasses',
    'rejetassiez',
    'rejetassions',
    'rejeter',
    'rejetez',
    'rejetiez',
    'rejetions',
    'rejeton',
    'rejetons',
    'rejets',
    'rejette',
    'rejettent',
    'rejettera',
    'rejetterai',
    'rejetterais',
    'rejetterait',
    'rejetteras',
    'rejetterez',
    'rejetteriez',
    'rejetterions',
    'rejetterons',
    'rejetteront',
    'rejettes',
    'rejetâmes',
    'rejetât',
    'rejetâtes',
    'rejetèrent',
    'rejeté',
    'rejetée',
    'rejetées',
    'rejetés',
    'rejoignaient',
    'rejoignais',
    'rejoignait',
    'rejoignant',
    'rejoigne',
    'rejoignent',
    'rejoignes',
    'rejoignez',
    'rejoigniez',
    'rejoignions',
    'rejoignirent',
    'rejoignis',
    'rejoignisse',
    'rejoignisses',
    'rejoignit',
    'rejoignons',
    'rejoignîmes',
    'rejoignît',
    'rejoignîtes',
    'rejoindra',
    'rejoindrai',
    'rejoindrais',
    'rejoindrait',
    'rejoindras',
    'rejoindre',
    'rejoindrez',
    'rejoindriez',
    'rejoindrions',
    'rejoindrons',
    'rejoindront',
    'rejoins',
    'rejoint',
    'rejointe',
    'rejointes',
    'rejointoie',
    'rejointoient',
    'rejointoiera',
    'rejointoies',
    'rejointoya',
    'rejointoyai',
    'rejointoyais',
    'rejointoyait',
    'rejointoyant',
    'rejointoyas',
    'rejointoyer',
    'rejointoyez',
    'rejointoyiez',
    'rejointoyons',
    'rejointoyât',
    'rejointoyé',
    'rejointoyée',
    'rejointoyées',
    'rejointoyés',
    'rejoints',
    'rejoua',
    'rejouai',
    'rejouaient',
    'rejouais',
    'rejouait',
    'rejouant',
    'rejouas',
    'rejouasse',
    'rejouassent',
    'rejouasses',
    'rejouassiez',
    'rejouassions',
    'rejoue',
    'rejouent',
    'rejouer',
    'rejouera',
    'rejouerai',
    'rejoueraient',
    'rejouerais',
    'rejouerait',
    'rejoueras',
    'rejouerez',
    'rejoueriez',
    'rejouerions',
    'rejouerons',
    'rejoueront',
    'rejoues',
    'rejouez',
    'rejouiez',
    'rejouions',
    'rejouons',
    'rejouâmes',
    'rejouât',
    'rejouâtes',
    'rejouèrent',
    'rejoué',
    'rejouée',
    'rejouées',
    'rejoués',
    'rejuge',
    'rejugea',
    'rejugeai',
    'rejugeaient',
    'rejugeais',
    'rejugeait',
    'rejugeant',
    'rejugeas',
    'rejugeasse',
    'rejugeassent',
    'rejugeasses',
    'rejugeassiez',
    'rejugent',
    'rejugeons',
    'rejuger',
    'rejugera',
    'rejugerai',
    'rejugeraient',
    'rejugerais',
    'rejugerait',
    'rejugeras',
    'rejugerez',
    'rejugeriez',
    'rejugerions',
    'rejugerons',
    'rejugeront',
    'rejuges',
    'rejugez',
    'rejugeâmes',
    'rejugeât',
    'rejugeâtes',
    'rejugiez',
    'rejugions',
    'rejugèrent',
    'rejugé',
    'rejugée',
    'rejugées',
    'rejugés',
    'relaie',
    'relaient',
    'relaiera',
    'relaierai',
    'relaieraient',
    'relaierais',
    'relaierait',
    'relaieras',
    'relaierez',
    'relaieriez',
    'relaierions',
    'relaierons',
    'relaieront',
    'relaies',
    'relais',
    'relaissa',
    'relaissai',
    'relaissaient',
    'relaissais',
    'relaissait',
    'relaissant',
    'relaissas',
    'relaissasse',
    'relaissasses',
    'relaisse',
    'relaissent',
    'relaisser',
    'relaissera',
    'relaisserai',
    'relaisserais',
    'relaisserait',
    'relaisseras',
    'relaisserez',
    'relaisseriez',
    'relaisserons',
    'relaisseront',
    'relaisses',
    'relaissez',
    'relaissiez',
    'relaissions',
    'relaissons',
    'relaissâmes',
    'relaissât',
    'relaissâtes',
    'relaissèrent',
    'relaissé',
    'relaissée',
    'relaissées',
    'relaissés',
    'relance',
    'relancent',
    'relancer',
    'relancera',
    'relancerai',
    'relancerais',
    'relancerait',
    'relanceras',
    'relancerez',
    'relanceriez',
    'relancerions',
    'relancerons',
    'relanceront',
    'relances',
    'relancez',
    'relanciez',
    'relancions',
    'relancèrent',
    'relancé',
    'relancée',
    'relancées',
    'relancés',
    'relança',
    'relançai',
    'relançaient',
    'relançais',
    'relançait',
    'relançant',
    'relanças',
    'relançasse',
    'relançassent',
    'relançasses',
    'relançassiez',
    'relançons',
    'relançâmes',
    'relançât',
    'relançâtes',
    'relaps',
    'relapse',
    'relapses',
    'relata',
    'relatai',
    'relataient',
    'relatais',
    'relatait',
    'relatant',
    'relatas',
    'relatasse',
    'relatassent',
    'relatasses',
    'relatassiez',
    'relatassions',
    'relate',
    'relatent',
    'relater',
    'relatera',
    'relaterai',
    'relateraient',
    'relaterais',
    'relaterait',
    'relateras',
    'relaterez',
    'relateriez',
    'relaterions',
    'relaterons',
    'relateront',
    'relates',
    'relatez',
    'relatiez',
    'relatif',
    'relatifs',
    'relation',
    'relationnel',
    'relationnels',
    'relations',
    'relative',
    'relativement',
    'relatives',
    'relativisa',
    'relativisai',
    'relativisais',
    'relativisait',
    'relativisant',
    'relativisas',
    'relativise',
    'relativisent',
    'relativiser',
    'relativisera',
    'relativises',
    'relativisez',
    'relativisiez',
    'relativisme',
    'relativismes',
    'relativisons',
    'relativisât',
    'relativisé',
    'relativisée',
    'relativisées',
    'relativisés',
    'relativité',
    'relativités',
    'relatons',
    'relatâmes',
    'relatât',
    'relatâtes',
    'relatèrent',
    'relaté',
    'relatée',
    'relatées',
    'relatés',
    'relava',
    'relavai',
    'relavaient',
    'relavais',
    'relavait',
    'relavant',
    'relavas',
    'relavasse',
    'relavassent',
    'relavasses',
    'relavassiez',
    'relavassions',
    'relave',
    'relavent',
    'relaver',
    'relavera',
    'relaverai',
    'relaveraient',
    'relaverais',
    'relaverait',
    'relaveras',
    'relaverez',
    'relaveriez',
    'relaverions',
    'relaverons',
    'relaveront',
    'relaves',
    'relavez',
    'relaviez',
    'relavions',
    'relavons',
    'relavâmes',
    'relavât',
    'relavâtes',
    'relavèrent',
    'relavé',
    'relavée',
    'relavées',
    'relavés',
    'relax',
    'relaxa',
    'relaxai',
    'relaxaient',
    'relaxais',
    'relaxait',
    'relaxant',
    'relaxas',
    'relaxasse',
    'relaxassent',
    'relaxasses',
    'relaxassiez',
    'relaxassions',
    'relaxation',
    'relaxations',
    'relaxe',
    'relaxent',
    'relaxer',
    'relaxera',
    'relaxerai',
    'relaxeraient',
    'relaxerais',
    'relaxerait',
    'relaxeras',
    'relaxerez',
    'relaxeriez',
    'relaxerions',
    'relaxerons',
    'relaxeront',
    'relaxes',
    'relaxez',
    'relaxiez',
    'relaxions',
    'relaxons',
    'relaxâmes',
    'relaxât',
    'relaxâtes',
    'relaxèrent',
    'relaxé',
    'relaxée',
    'relaxées',
    'relaxés',
    'relaya',
    'relayai',
    'relayaient',
    'relayais',
    'relayait',
    'relayant',
    'relayas',
    'relayasse',
    'relayassent',
    'relayasses',
    'relayassiez',
    'relayassions',
    'relaye',
    'relayent',
    'relayer',
    'relayera',
    'relayerai',
    'relayeraient',
    'relayerais',
    'relayerait',
    'relayeras',
    'relayerez',
    'relayeriez',
    'relayerions',
    'relayerons',
    'relayeront',
    'relayes',
    'relayeur',
    'relayeurs',
    'relayeuse',
    'relayeuses',
    'relayez',
    'relayiez',
    'relayions',
    'relayons',
    'relayâmes',
    'relayât',
    'relayâtes',
    'relayèrent',
    'relayé',
    'relayée',
    'relayées',
    'relayés',
    'relecture',
    'relectures',
    'relent',
    'relents',
    'releva',
    'relevable',
    'relevables',
    'relevai',
    'relevaient',
    'relevailles',
    'relevais',
    'relevait',
    'relevant',
    'relevas',
    'relevasse',
    'relevassent',
    'relevasses',
    'relevassiez',
    'relevassions',
    'relever',
    'releveur',
    'releveurs',
    'releveuse',
    'releveuses',
    'relevez',
    'releviez',
    'relevions',
    'relevons',
    'relevâmes',
    'relevât',
    'relevâtes',
    'relevèrent',
    'relevé',
    'relevée',
    'relevées',
    'relevés',
    'relia',
    'reliai',
    'reliaient',
    'reliais',
    'reliait',
    'reliant',
    'relias',
    'reliasse',
    'reliassent',
    'reliasses',
    'reliassiez',
    'reliassions',
    'relie',
    'relief',
    'reliefs',
    'relient',
    'relier',
    'reliera',
    'relierai',
    'relieraient',
    'relierais',
    'relierait',
    'relieras',
    'relierez',
    'relieriez',
    'relierions',
    'relierons',
    'relieront',
    'relies',
    'relieur',
    'relieurs',
    'relieuse',
    'relieuses',
    'reliez',
    'religieuse',
    'religieuses',
    'religieux',
    'religion',
    'religions',
    'religiosité',
    'religiosités',
    'reliiez',
    'reliions',
    'relions',
    'reliquaire',
    'reliquaires',
    'reliquat',
    'reliquats',
    'relique',
    'reliques',
    'relira',
    'relirai',
    'reliraient',
    'relirais',
    'relirait',
    'reliras',
    'relire',
    'relirez',
    'reliriez',
    'relirions',
    'relirons',
    'reliront',
    'relis',
    'relisaient',
    'relisais',
    'relisait',
    'relisant',
    'relise',
    'relisent',
    'relises',
    'relisez',
    'relisiez',
    'relisions',
    'relisons',
    'relit',
    'reliure',
    'reliures',
    'reliâmes',
    'reliât',
    'reliâtes',
    'relièrent',
    'relié',
    'reliée',
    'reliées',
    'reliés',
    'reloge',
    'relogea',
    'relogeai',
    'relogeaient',
    'relogeais',
    'relogeait',
    'relogeant',
    'relogeas',
    'relogeasse',
    'relogeassent',
    'relogeasses',
    'relogeassiez',
    'relogement',
    'relogements',
    'relogent',
    'relogeons',
    'reloger',
    'relogera',
    'relogerai',
    'relogeraient',
    'relogerais',
    'relogerait',
    'relogeras',
    'relogerez',
    'relogeriez',
    'relogerions',
    'relogerons',
    'relogeront',
    'reloges',
    'relogez',
    'relogeâmes',
    'relogeât',
    'relogeâtes',
    'relogiez',
    'relogions',
    'relogèrent',
    'relogé',
    'relogée',
    'relogées',
    'relogés',
    'reloqueter',
    'reloua',
    'relouai',
    'relouaient',
    'relouais',
    'relouait',
    'relouant',
    'relouas',
    'relouasse',
    'relouassent',
    'relouasses',
    'relouassiez',
    'relouassions',
    'reloue',
    'relouent',
    'relouer',
    'relouera',
    'relouerai',
    'reloueraient',
    'relouerais',
    'relouerait',
    'reloueras',
    'relouerez',
    'reloueriez',
    'relouerions',
    'relouerons',
    'reloueront',
    'reloues',
    'relouez',
    'relouiez',
    'relouions',
    'relouons',
    'relouâmes',
    'relouât',
    'relouâtes',
    'relouèrent',
    'reloué',
    'relouée',
    'relouées',
    'reloués',
    'relu',
    'relue',
    'relues',
    'relui',
    'reluira',
    'reluirai',
    'reluiraient',
    'reluirais',
    'reluirait',
    'reluiras',
    'reluire',
    'reluirez',
    'reluiriez',
    'reluirions',
    'reluirons',
    'reluiront',
    'reluis',
    'reluisaient',
    'reluisais',
    'reluisait',
    'reluisant',
    'reluisante',
    'reluisantes',
    'reluisants',
    'reluise',
    'reluisent',
    'reluises',
    'reluisez',
    'reluisiez',
    'reluisions',
    'reluisirent',
    'reluisis',
    'reluisisse',
    'reluisissent',
    'reluisisses',
    'reluisissiez',
    'reluisit',
    'reluisons',
    'reluisîmes',
    'reluisît',
    'reluisîtes',
    'reluit',
    'reluite',
    'reluites',
    'reluits',
    'reluqua',
    'reluquai',
    'reluquaient',
    'reluquais',
    'reluquait',
    'reluquant',
    'reluquas',
    'reluquasse',
    'reluquassent',
    'reluquasses',
    'reluquassiez',
    'reluque',
    'reluquent',
    'reluquer',
    'reluquera',
    'reluquerai',
    'reluquerais',
    'reluquerait',
    'reluqueras',
    'reluquerez',
    'reluqueriez',
    'reluquerions',
    'reluquerons',
    'reluqueront',
    'reluques',
    'reluquez',
    'reluquiez',
    'reluquions',
    'reluquons',
    'reluquâmes',
    'reluquât',
    'reluquâtes',
    'reluquèrent',
    'reluqué',
    'reluquée',
    'reluquées',
    'reluqués',
    'relurent',
    'relus',
    'relusse',
    'relussent',
    'relusses',
    'relussiez',
    'relussions',
    'relut',
    'relâcha',
    'relâchai',
    'relâchaient',
    'relâchais',
    'relâchait',
    'relâchant',
    'relâchas',
    'relâchasse',
    'relâchassent',
    'relâchasses',
    'relâchassiez',
    'relâche',
    'relâchement',
    'relâchements',
    'relâchent',
    'relâcher',
    'relâchera',
    'relâcherai',
    'relâcherais',
    'relâcherait',
    'relâcheras',
    'relâcherez',
    'relâcheriez',
    'relâcherions',
    'relâcherons',
    'relâcheront',
    'relâches',
    'relâchez',
    'relâchiez',
    'relâchions',
    'relâchons',
    'relâchâmes',
    'relâchât',
    'relâchâtes',
    'relâchèrent',
    'relâché',
    'relâchée',
    'relâchées',
    'relâchés',
    'relègue',
    'relèguent',
    'relègues',
    'relève',
    'relèvement',
    'relèvements',
    'relèvent',
    'relèvera',
    'relèverai',
    'relèveraient',
    'relèverais',
    'relèverait',
    'relèveras',
    'relèverez',
    'relèveriez',
    'relèverions',
    'relèverons',
    'relèveront',
    'relèves',
    'relégation',
    'relégations',
    'relégua',
    'reléguai',
    'reléguaient',
    'reléguais',
    'reléguait',
    'reléguant',
    'reléguas',
    'reléguasse',
    'reléguassent',
    'reléguasses',
    'reléguassiez',
    'reléguer',
    'reléguera',
    'reléguerai',
    'reléguerais',
    'reléguerait',
    'relégueras',
    'reléguerez',
    'relégueriez',
    'reléguerions',
    'reléguerons',
    'relégueront',
    'reléguez',
    'reléguiez',
    'reléguions',
    'reléguons',
    'reléguâmes',
    'reléguât',
    'reléguâtes',
    'reléguèrent',
    'relégué',
    'reléguée',
    'reléguées',
    'relégués',
    'relûmes',
    'relût',
    'relûtes',
    'remailla',
    'remaillage',
    'remaillages',
    'remaillai',
    'remaillaient',
    'remaillais',
    'remaillait',
    'remaillant',
    'remaillas',
    'remaillasse',
    'remaillasses',
    'remaille',
    'remaillent',
    'remailler',
    'remaillera',
    'remaillerai',
    'remaillerais',
    'remaillerait',
    'remailleras',
    'remaillerez',
    'remailleriez',
    'remaillerons',
    'remailleront',
    'remailles',
    'remaillez',
    'remailliez',
    'remaillions',
    'remaillons',
    'remaillâmes',
    'remaillât',
    'remaillâtes',
    'remaillèrent',
    'remaillé',
    'remaillée',
    'remaillées',
    'remaillés',
    'remake',
    'remakes',
    'remange',
    'remangea',
    'remangeai',
    'remangeaient',
    'remangeais',
    'remangeait',
    'remangeant',
    'remangeas',
    'remangeasse',
    'remangeasses',
    'remangent',
    'remangeons',
    'remanger',
    'remangera',
    'remangerai',
    'remangerais',
    'remangerait',
    'remangeras',
    'remangerez',
    'remangeriez',
    'remangerions',
    'remangerons',
    'remangeront',
    'remanges',
    'remangez',
    'remangeâmes',
    'remangeât',
    'remangeâtes',
    'remangiez',
    'remangions',
    'remangèrent',
    'remangé',
    'remangée',
    'remangées',
    'remangés',
    'remania',
    'remaniai',
    'remaniaient',
    'remaniais',
    'remaniait',
    'remaniant',
    'remanias',
    'remaniasse',
    'remaniassent',
    'remaniasses',
    'remaniassiez',
    'remanie',
    'remaniement',
    'remaniements',
    'remanient',
    'remanier',
    'remaniera',
    'remanierai',
    'remanierais',
    'remanierait',
    'remanieras',
    'remanierez',
    'remanieriez',
    'remanierions',
    'remanierons',
    'remanieront',
    'remanies',
    'remaniez',
    'remaniiez',
    'remaniions',
    'remanions',
    'remaniâmes',
    'remaniât',
    'remaniâtes',
    'remanièrent',
    'remanié',
    'remaniée',
    'remaniées',
    'remaniés',
    'remaquilla',
    'remaquillai',
    'remaquillais',
    'remaquillait',
    'remaquillant',
    'remaquillas',
    'remaquille',
    'remaquillent',
    'remaquiller',
    'remaquillera',
    'remaquilles',
    'remaquillez',
    'remaquilliez',
    'remaquillons',
    'remaquillât',
    'remaquillé',
    'remaquillée',
    'remaquillées',
    'remaquillés',
    'remarcha',
    'remarchai',
    'remarchaient',
    'remarchais',
    'remarchait',
    'remarchant',
    'remarchas',
    'remarchasse',
    'remarchasses',
    'remarche',
    'remarchent',
    'remarcher',
    'remarchera',
    'remarcherai',
    'remarcherais',
    'remarcherait',
    'remarcheras',
    'remarcherez',
    'remarcheriez',
    'remarcherons',
    'remarcheront',
    'remarches',
    'remarchez',
    'remarchiez',
    'remarchions',
    'remarchons',
    'remarchâmes',
    'remarchât',
    'remarchâtes',
    'remarchèrent',
    'remarché',
    'remaria',
    'remariage',
    'remariages',
    'remariai',
    'remariaient',
    'remariais',
    'remariait',
    'remariant',
    'remarias',
    'remariasse',
    'remariassent',
    'remariasses',
    'remariassiez',
    'remarie',
    'remarient',
    'remarier',
    'remariera',
    'remarierai',
    'remarierais',
    'remarierait',
    'remarieras',
    'remarierez',
    'remarieriez',
    'remarierions',
    'remarierons',
    'remarieront',
    'remaries',
    'remariez',
    'remariiez',
    'remariions',
    'remarions',
    'remariâmes',
    'remariât',
    'remariâtes',
    'remarièrent',
    'remarié',
    'remariée',
    'remariées',
    'remariés',
    'remarqua',
    'remarquable',
    'remarquables',
    'remarquai',
    'remarquaient',
    'remarquais',
    'remarquait',
    'remarquant',
    'remarquas',
    'remarquasse',
    'remarquasses',
    'remarque',
    'remarquent',
    'remarquer',
    'remarquera',
    'remarquerai',
    'remarquerais',
    'remarquerait',
    'remarqueras',
    'remarquerez',
    'remarqueriez',
    'remarquerons',
    'remarqueront',
    'remarques',
    'remarquez',
    'remarquiez',
    'remarquions',
    'remarquons',
    'remarquâmes',
    'remarquât',
    'remarquâtes',
    'remarquèrent',
    'remarqué',
    'remarquée',
    'remarquées',
    'remarqués',
    'remastiqua',
    'remastiquai',
    'remastiquais',
    'remastiquait',
    'remastiquant',
    'remastiquas',
    'remastique',
    'remastiquent',
    'remastiquer',
    'remastiquera',
    'remastiques',
    'remastiquez',
    'remastiquiez',
    'remastiquons',
    'remastiquât',
    'remastiqué',
    'remastiquée',
    'remastiquées',
    'remastiqués',
    'remballa',
    'remballage',
    'remballages',
    'remballai',
    'remballaient',
    'remballais',
    'remballait',
    'remballant',
    'remballas',
    'remballasse',
    'remballasses',
    'remballe',
    'remballent',
    'remballer',
    'remballera',
    'remballerai',
    'remballerais',
    'remballerait',
    'remballeras',
    'remballerez',
    'remballeriez',
    'remballerons',
    'remballeront',
    'remballes',
    'remballez',
    'remballiez',
    'remballions',
    'remballons',
    'remballâmes',
    'remballât',
    'remballâtes',
    'remballèrent',
    'remballé',
    'remballée',
    'remballées',
    'remballés',
    'rembarqua',
    'rembarquai',
    'rembarquais',
    'rembarquait',
    'rembarquant',
    'rembarquas',
    'rembarquasse',
    'rembarque',
    'rembarquent',
    'rembarquer',
    'rembarquera',
    'rembarquerai',
    'rembarqueras',
    'rembarquerez',
    'rembarques',
    'rembarquez',
    'rembarquiez',
    'rembarquions',
    'rembarquons',
    'rembarquâmes',
    'rembarquât',
    'rembarquâtes',
    'rembarqué',
    'rembarquée',
    'rembarquées',
    'rembarqués',
    'rembarra',
    'rembarrai',
    'rembarraient',
    'rembarrais',
    'rembarrait',
    'rembarrant',
    'rembarras',
    'rembarrasse',
    'rembarrasses',
    'rembarre',
    'rembarrent',
    'rembarrer',
    'rembarrera',
    'rembarrerai',
    'rembarrerais',
    'rembarrerait',
    'rembarreras',
    'rembarrerez',
    'rembarreriez',
    'rembarrerons',
    'rembarreront',
    'rembarres',
    'rembarrez',
    'rembarriez',
    'rembarrions',
    'rembarrons',
    'rembarrâmes',
    'rembarrât',
    'rembarrâtes',
    'rembarrèrent',
    'rembarré',
    'rembarrée',
    'rembarrées',
    'rembarrés',
    'rembaucher',
    'rembina',
    'rembinai',
    'rembinaient',
    'rembinais',
    'rembinait',
    'rembinant',
    'rembinas',
    'rembinasse',
    'rembinassent',
    'rembinasses',
    'rembinassiez',
    'rembine',
    'rembinent',
    'rembiner',
    'rembinera',
    'rembinerai',
    'rembinerais',
    'rembinerait',
    'rembineras',
    'rembinerez',
    'rembineriez',
    'rembinerions',
    'rembinerons',
    'rembineront',
    'rembines',
    'rembinez',
    'rembiniez',
    'rembinions',
    'rembinons',
    'rembinâmes',
    'rembinât',
    'rembinâtes',
    'rembinèrent',
    'rembiné',
    'rembinée',
    'rembinées',
    'rembinés',
    'remblai',
    'remblaie',
    'remblaiement',
    'remblaient',
    'remblaiera',
    'remblaierai',
    'remblaierais',
    'remblaierait',
    'remblaieras',
    'remblaierez',
    'remblaieriez',
    'remblaierons',
    'remblaieront',
    'remblaies',
    'remblais',
    'remblava',
    'remblavai',
    'remblavaient',
    'remblavais',
    'remblavait',
    'remblavant',
    'remblavas',
    'remblavasse',
    'remblavasses',
    'remblave',
    'remblavent',
    'remblaver',
    'remblavera',
    'remblaverai',
    'remblaverais',
    'remblaverait',
    'remblaveras',
    'remblaverez',
    'remblaveriez',
    'remblaverons',
    'remblaveront',
    'remblaves',
    'remblavez',
    'remblaviez',
    'remblavions',
    'remblavons',
    'remblavâmes',
    'remblavât',
    'remblavâtes',
    'remblavèrent',
    'remblavé',
    'remblavée',
    'remblavées',
    'remblavés',
    'remblaya',
    'remblayage',
    'remblayages',
    'remblayai',
    'remblayaient',
    'remblayais',
    'remblayait',
    'remblayant',
    'remblayas',
    'remblayasse',
    'remblayasses',
    'remblaye',
    'remblayent',
    'remblayer',
    'remblayera',
    'remblayerai',
    'remblayerais',
    'remblayerait',
    'remblayeras',
    'remblayerez',
    'remblayeriez',
    'remblayerons',
    'remblayeront',
    'remblayes',
    'remblayez',
    'remblayiez',
    'remblayions',
    'remblayons',
    'remblayâmes',
    'remblayât',
    'remblayâtes',
    'remblayèrent',
    'remblayé',
    'remblayée',
    'remblayées',
    'remblayés',
    'rembobiner',
    'rembouge',
    'rembougea',
    'rembougeai',
    'rembougeais',
    'rembougeait',
    'rembougeant',
    'rembougeas',
    'rembougeasse',
    'rembougent',
    'rembougeons',
    'rembouger',
    'rembougera',
    'rembougerai',
    'rembougerais',
    'rembougerait',
    'rembougeras',
    'rembougerez',
    'rembougeriez',
    'rembougerons',
    'rembougeront',
    'rembouges',
    'rembougez',
    'rembougeâmes',
    'rembougeât',
    'rembougeâtes',
    'rembougiez',
    'rembougions',
    'rembougèrent',
    'rembougé',
    'rembougée',
    'rembougées',
    'rembougés',
    'rembourra',
    'rembourrage',
    'rembourrages',
    'rembourrai',
    'rembourrais',
    'rembourrait',
    'rembourrant',
    'rembourras',
    'rembourrasse',
    'rembourre',
    'rembourrent',
    'rembourrer',
    'rembourrera',
    'rembourrerai',
    'rembourreras',
    'rembourrerez',
    'rembourres',
    'rembourrez',
    'rembourriez',
    'rembourrions',
    'rembourrons',
    'rembourrure',
    'rembourrures',
    'rembourrâmes',
    'rembourrât',
    'rembourrâtes',
    'rembourré',
    'rembourrée',
    'rembourrées',
    'rembourrés',
    'remboursa',
    'remboursable',
    'remboursai',
    'remboursais',
    'remboursait',
    'remboursant',
    'remboursas',
    'remboursasse',
    'rembourse',
    'remboursent',
    'rembourser',
    'remboursera',
    'rembourserai',
    'rembourseras',
    'rembourserez',
    'rembourses',
    'remboursez',
    'remboursiez',
    'remboursions',
    'remboursons',
    'remboursâmes',
    'remboursât',
    'remboursâtes',
    'remboursé',
    'remboursée',
    'remboursées',
    'remboursés',
    'remboîta',
    'remboîtage',
    'remboîtages',
    'remboîtai',
    'remboîtaient',
    'remboîtais',
    'remboîtait',
    'remboîtant',
    'remboîtas',
    'remboîtasse',
    'remboîtasses',
    'remboîte',
    'remboîtement',
    'remboîtent',
    'remboîter',
    'remboîtera',
    'remboîterai',
    'remboîterais',
    'remboîterait',
    'remboîteras',
    'remboîterez',
    'remboîteriez',
    'remboîterons',
    'remboîteront',
    'remboîtes',
    'remboîtez',
    'remboîtiez',
    'remboîtions',
    'remboîtons',
    'remboîtâmes',
    'remboîtât',
    'remboîtâtes',
    'remboîtèrent',
    'remboîté',
    'remboîtée',
    'remboîtées',
    'remboîtés',
    'rembruni',
    'rembrunie',
    'rembrunies',
    'rembrunir',
    'rembrunira',
    'rembrunirai',
    'rembrunirais',
    'rembrunirait',
    'rembruniras',
    'rembrunirent',
    'rembrunirez',
    'rembruniriez',
    'rembrunirons',
    'rembruniront',
    'rembrunis',
    'rembrunisse',
    'rembrunisses',
    'rembrunissez',
    'rembrunit',
    'rembrunîmes',
    'rembrunît',
    'rembrunîtes',
    'rembucha',
    'rembuchai',
    'rembuchaient',
    'rembuchais',
    'rembuchait',
    'rembuchant',
    'rembuchas',
    'rembuchasse',
    'rembuchasses',
    'rembuche',
    'rembuchent',
    'rembucher',
    'rembuchera',
    'rembucherai',
    'rembucherais',
    'rembucherait',
    'rembucheras',
    'rembucherez',
    'rembucheriez',
    'rembucherons',
    'rembucheront',
    'rembuches',
    'rembuchez',
    'rembuchiez',
    'rembuchions',
    'rembuchons',
    'rembuchâmes',
    'rembuchât',
    'rembuchâtes',
    'rembuchèrent',
    'rembuché',
    'rembuchée',
    'rembuchées',
    'rembuchés',
    'remembra',
    'remembrai',
    'remembraient',
    'remembrais',
    'remembrait',
    'remembrant',
    'remembras',
    'remembrasse',
    'remembrasses',
    'remembre',
    'remembrement',
    'remembrent',
    'remembrer',
    'remembrera',
    'remembrerai',
    'remembrerais',
    'remembrerait',
    'remembreras',
    'remembrerez',
    'remembreriez',
    'remembrerons',
    'remembreront',
    'remembres',
    'remembrez',
    'remembriez',
    'remembrions',
    'remembrons',
    'remembrâmes',
    'remembrât',
    'remembrâtes',
    'remembrèrent',
    'remembré',
    'remembrée',
    'remembrées',
    'remembrés',
    'remercia',
    'remerciai',
    'remerciaient',
    'remerciais',
    'remerciait',
    'remerciant',
    'remercias',
    'remerciasse',
    'remerciasses',
    'remercie',
    'remerciement',
    'remercient',
    'remercier',
    'remerciera',
    'remercierai',
    'remercierais',
    'remercierait',
    'remercieras',
    'remercierez',
    'remercieriez',
    'remercierons',
    'remercieront',
    'remercies',
    'remerciez',
    'remerciiez',
    'remerciions',
    'remercions',
    'remerciâmes',
    'remerciât',
    'remerciâtes',
    'remercièrent',
    'remercié',
    'remerciée',
    'remerciées',
    'remerciés',
    'remet',
    'remets',
    'remettaient',
    'remettais',
    'remettait',
    'remettant',
    'remettants',
    'remette',
    'remettent',
    'remettes',
    'remettez',
    'remettiez',
    'remettions',
    'remettons',
    'remettra',
    'remettrai',
    'remettraient',
    'remettrais',
    'remettrait',
    'remettras',
    'remettre',
    'remettrez',
    'remettriez',
    'remettrions',
    'remettrons',
    'remettront',
    'remeubla',
    'remeublai',
    'remeublaient',
    'remeublais',
    'remeublait',
    'remeublant',
    'remeublas',
    'remeublasse',
    'remeublasses',
    'remeuble',
    'remeublent',
    'remeubler',
    'remeublera',
    'remeublerai',
    'remeublerais',
    'remeublerait',
    'remeubleras',
    'remeublerez',
    'remeubleriez',
    'remeublerons',
    'remeubleront',
    'remeubles',
    'remeublez',
    'remeubliez',
    'remeublions',
    'remeublons',
    'remeublâmes',
    'remeublât',
    'remeublâtes',
    'remeublèrent',
    'remeublé',
    'remeublée',
    'remeublées',
    'remeublés',
    'remilitarisa',
    'remilitarise',
    'remilitarisé',
    'remirent',
    'remis',
    'remisa',
    'remisage',
    'remisages',
    'remisai',
    'remisaient',
    'remisais',
    'remisait',
    'remisant',
    'remisas',
    'remisasse',
    'remisassent',
    'remisasses',
    'remisassiez',
    'remisassions',
    'remise',
    'remisent',
    'remiser',
    'remisera',
    'remiserai',
    'remiseraient',
    'remiserais',
    'remiserait',
    'remiseras',
    'remiserez',
    'remiseriez',
    'remiserions',
    'remiserons',
    'remiseront',
    'remises',
    'remisez',
    'remisier',
    'remisiers',
    'remisiez',
    'remisions',
    'remisons',
    'remisse',
    'remissent',
    'remisses',
    'remissiez',
    'remissions',
    'remisâmes',
    'remisât',
    'remisâtes',
    'remisèrent',
    'remisé',
    'remisée',
    'remisées',
    'remisés',
    'remit',
    'remmailla',
    'remmaillage',
    'remmaillages',
    'remmaillai',
    'remmaillais',
    'remmaillait',
    'remmaillant',
    'remmaillas',
    'remmaillasse',
    'remmaille',
    'remmaillent',
    'remmailler',
    'remmaillera',
    'remmaillerai',
    'remmailleras',
    'remmaillerez',
    'remmailles',
    'remmailleuse',
    'remmaillez',
    'remmailliez',
    'remmaillions',
    'remmaillons',
    'remmaillota',
    'remmaillotai',
    'remmaillotas',
    'remmaillote',
    'remmailloter',
    'remmaillotes',
    'remmaillotez',
    'remmaillotât',
    'remmailloté',
    'remmaillotée',
    'remmaillotés',
    'remmaillâmes',
    'remmaillât',
    'remmaillâtes',
    'remmaillé',
    'remmaillée',
    'remmaillées',
    'remmaillés',
    'remmancha',
    'remmanchai',
    'remmanchais',
    'remmanchait',
    'remmanchant',
    'remmanchas',
    'remmanchasse',
    'remmanche',
    'remmanchent',
    'remmancher',
    'remmanchera',
    'remmancherai',
    'remmancheras',
    'remmancherez',
    'remmanches',
    'remmanchez',
    'remmanchiez',
    'remmanchions',
    'remmanchons',
    'remmanchâmes',
    'remmanchât',
    'remmanchâtes',
    'remmanché',
    'remmanchée',
    'remmanchées',
    'remmanchés',
    'remmena',
    'remmenai',
    'remmenaient',
    'remmenais',
    'remmenait',
    'remmenant',
    'remmenas',
    'remmenasse',
    'remmenassent',
    'remmenasses',
    'remmenassiez',
    'remmener',
    'remmenez',
    'remmeniez',
    'remmenions',
    'remmenons',
    'remmenâmes',
    'remmenât',
    'remmenâtes',
    'remmenèrent',
    'remmené',
    'remmenée',
    'remmenées',
    'remmenés',
    'remmène',
    'remmènent',
    'remmènera',
    'remmènerai',
    'remmènerais',
    'remmènerait',
    'remmèneras',
    'remmènerez',
    'remmèneriez',
    'remmènerions',
    'remmènerons',
    'remmèneront',
    'remmènes',
    'remodela',
    'remodelage',
    'remodelages',
    'remodelai',
    'remodelaient',
    'remodelais',
    'remodelait',
    'remodelant',
    'remodelas',
    'remodelasse',
    'remodelasses',
    'remodeler',
    'remodelez',
    'remodeliez',
    'remodelions',
    'remodelons',
    'remodelâmes',
    'remodelât',
    'remodelâtes',
    'remodelèrent',
    'remodelé',
    'remodelée',
    'remodelées',
    'remodelés',
    'remodèle',
    'remodèlent',
    'remodèlera',
    'remodèlerai',
    'remodèlerais',
    'remodèlerait',
    'remodèleras',
    'remodèlerez',
    'remodèleriez',
    'remodèlerons',
    'remodèleront',
    'remodèles',
    'remonta',
    'remontage',
    'remontages',
    'remontai',
    'remontaient',
    'remontais',
    'remontait',
    'remontant',
    'remontante',
    'remontantes',
    'remontants',
    'remontas',
    'remontasse',
    'remontassent',
    'remontasses',
    'remontassiez',
    'remonte',
    'remontent',
    'remonter',
    'remontera',
    'remonterai',
    'remonterais',
    'remonterait',
    'remonteras',
    'remonterez',
    'remonteriez',
    'remonterions',
    'remonterons',
    'remonteront',
    'remontes',
    'remonteur',
    'remonteurs',
    'remonteuse',
    'remonteuses',
    'remontez',
    'remontiez',
    'remontions',
    'remontoir',
    'remontoirs',
    'remontons',
    'remontra',
    'remontrai',
    'remontraient',
    'remontrais',
    'remontrait',
    'remontrance',
    'remontrances',
    'remontrant',
    'remontras',
    'remontrasse',
    'remontrasses',
    'remontre',
    'remontrent',
    'remontrer',
    'remontrera',
    'remontrerai',
    'remontrerais',
    'remontrerait',
    'remontreras',
    'remontrerez',
    'remontreriez',
    'remontrerons',
    'remontreront',
    'remontres',
    'remontrez',
    'remontriez',
    'remontrions',
    'remontrons',
    'remontrâmes',
    'remontrât',
    'remontrâtes',
    'remontrèrent',
    'remontré',
    'remontrée',
    'remontrées',
    'remontrés',
    'remontâmes',
    'remontât',
    'remontâtes',
    'remontèrent',
    'remonté',
    'remontée',
    'remontées',
    'remontés',
    'remord',
    'remordaient',
    'remordais',
    'remordait',
    'remordant',
    'remorde',
    'remordent',
    'remordes',
    'remordez',
    'remordiez',
    'remordions',
    'remordirent',
    'remordis',
    'remordisse',
    'remordissent',
    'remordisses',
    'remordissiez',
    'remordit',
    'remordons',
    'remordra',
    'remordrai',
    'remordraient',
    'remordrais',
    'remordrait',
    'remordras',
    'remordre',
    'remordrez',
    'remordriez',
    'remordrions',
    'remordrons',
    'remordront',
    'remords',
    'remordu',
    'remordue',
    'remordues',
    'remordus',
    'remordîmes',
    'remordît',
    'remordîtes',
    'remorqua',
    'remorquage',
    'remorquages',
    'remorquai',
    'remorquaient',
    'remorquais',
    'remorquait',
    'remorquant',
    'remorquas',
    'remorquasse',
    'remorquasses',
    'remorque',
    'remorquent',
    'remorquer',
    'remorquera',
    'remorquerai',
    'remorquerais',
    'remorquerait',
    'remorqueras',
    'remorquerez',
    'remorqueriez',
    'remorquerons',
    'remorqueront',
    'remorques',
    'remorqueur',
    'remorqueurs',
    'remorqueuse',
    'remorqueuses',
    'remorquez',
    'remorquiez',
    'remorquions',
    'remorquons',
    'remorquâmes',
    'remorquât',
    'remorquâtes',
    'remorquèrent',
    'remorqué',
    'remorquée',
    'remorquées',
    'remorqués',
    'remoucha',
    'remouchai',
    'remouchaient',
    'remouchais',
    'remouchait',
    'remouchant',
    'remouchas',
    'remouchasse',
    'remouchasses',
    'remouche',
    'remouchent',
    'remoucher',
    'remouchera',
    'remoucherai',
    'remoucherais',
    'remoucherait',
    'remoucheras',
    'remoucherez',
    'remoucheriez',
    'remoucherons',
    'remoucheront',
    'remouches',
    'remouchez',
    'remouchiez',
    'remouchions',
    'remouchons',
    'remouchâmes',
    'remouchât',
    'remouchâtes',
    'remouchèrent',
    'remouché',
    'remouchée',
    'remouchées',
    'remouchés',
    'remoud',
    'remoudra',
    'remoudrai',
    'remoudraient',
    'remoudrais',
    'remoudrait',
    'remoudras',
    'remoudre',
    'remoudrez',
    'remoudriez',
    'remoudrions',
    'remoudrons',
    'remoudront',
    'remouds',
    'remouilla',
    'remouillai',
    'remouillais',
    'remouillait',
    'remouillant',
    'remouillas',
    'remouillasse',
    'remouille',
    'remouillent',
    'remouiller',
    'remouillera',
    'remouillerai',
    'remouilleras',
    'remouillerez',
    'remouilles',
    'remouillez',
    'remouilliez',
    'remouillions',
    'remouillons',
    'remouillâmes',
    'remouillât',
    'remouillâtes',
    'remouillé',
    'remouillée',
    'remouillées',
    'remouillés',
    'remoulaient',
    'remoulais',
    'remoulait',
    'remoulant',
    'remoule',
    'remoulent',
    'remouler',
    'remoules',
    'remoulez',
    'remouliez',
    'remoulions',
    'remoulons',
    'remoulu',
    'remoulue',
    'remoulues',
    'remoulurent',
    'remoulus',
    'remoulusse',
    'remoulussent',
    'remoulusses',
    'remoulussiez',
    'remoulut',
    'remoulûmes',
    'remoulût',
    'remoulûtes',
    'remous',
    'rempailla',
    'rempaillage',
    'rempaillages',
    'rempaillai',
    'rempaillais',
    'rempaillait',
    'rempaillant',
    'rempaillas',
    'rempaillasse',
    'rempaille',
    'rempaillent',
    'rempailler',
    'rempaillera',
    'rempaillerai',
    'rempailleras',
    'rempaillerât',
    'rempailles',
    'rempailleur',
    'rempailleurs',
    'rempailleuse',
    'rempaillez',
    'rempailliez',
    'rempaillions',
    'rempaillons',
    'rempaillâmes',
    'rempaillât',
    'rempaillâtes',
    'rempaillé',
    'rempaillée',
    'rempaillées',
    'rempaillés',
    'rempaqueta',
    'rempaquetai',
    'rempaquetais',
    'rempaquetait',
    'rempaquetant',
    'rempaquetas',
    'rempaqueter',
    'rempaquetez',
    'rempaquetiez',
    'rempaquetons',
    'rempaquette',
    'rempaquettes',
    'rempaquetât',
    'rempaqueté',
    'rempaquetée',
    'rempaquetées',
    'rempaquetés',
    'rempara',
    'remparai',
    'remparaient',
    'remparais',
    'remparait',
    'remparant',
    'remparas',
    'remparasse',
    'remparassent',
    'remparasses',
    'remparassiez',
    'rempare',
    'remparent',
    'remparer',
    'remparera',
    'remparerai',
    'remparerais',
    'remparerait',
    'rempareras',
    'remparerez',
    'rempareriez',
    'remparerions',
    'remparerons',
    'rempareront',
    'rempares',
    'remparez',
    'rempariez',
    'remparions',
    'remparons',
    'rempart',
    'remparts',
    'remparâmes',
    'remparât',
    'remparâtes',
    'remparèrent',
    'remparé',
    'remparée',
    'remparées',
    'remparés',
    'rempila',
    'rempilai',
    'rempilaient',
    'rempilais',
    'rempilait',
    'rempilant',
    'rempilas',
    'rempilasse',
    'rempilassent',
    'rempilasses',
    'rempilassiez',
    'rempile',
    'rempilent',
    'rempiler',
    'rempilera',
    'rempilerai',
    'rempilerais',
    'rempilerait',
    'rempileras',
    'rempilerez',
    'rempileriez',
    'rempilerions',
    'rempilerons',
    'rempileront',
    'rempiles',
    'rempilez',
    'rempiliez',
    'rempilions',
    'rempilons',
    'rempilâmes',
    'rempilât',
    'rempilâtes',
    'rempilèrent',
    'rempilé',
    'rempilée',
    'rempilées',
    'rempilés',
    'rempiète',
    'rempiètent',
    'rempiètes',
    'rempiéta',
    'rempiétai',
    'rempiétaient',
    'rempiétais',
    'rempiétait',
    'rempiétant',
    'rempiétas',
    'rempiétasse',
    'rempiétasses',
    'rempiéter',
    'rempiétera',
    'rempiéterai',
    'rempiéterais',
    'rempiéterait',
    'rempiéteras',
    'rempiéterez',
    'rempiéteriez',
    'rempiéterons',
    'rempiéteront',
    'rempiétez',
    'rempiétiez',
    'rempiétions',
    'rempiétons',
    'rempiétâmes',
    'rempiétât',
    'rempiétâtes',
    'rempiétèrent',
    'rempiété',
    'rempiétée',
    'rempiétées',
    'rempiétés',
    'remplace',
    'remplacement',
    'remplacent',
    'remplacer',
    'remplacera',
    'remplacerai',
    'remplacerais',
    'remplacerait',
    'remplaceras',
    'remplacerez',
    'remplaceriez',
    'remplacerons',
    'remplaceront',
    'remplaces',
    'remplacez',
    'remplaciez',
    'remplacions',
    'remplacèrent',
    'remplacé',
    'remplacée',
    'remplacées',
    'remplacés',
    'remplage',
    'remplages',
    'remplaça',
    'remplaçable',
    'remplaçables',
    'remplaçai',
    'remplaçaient',
    'remplaçais',
    'remplaçait',
    'remplaçant',
    'remplaçante',
    'remplaçantes',
    'remplaçants',
    'remplaças',
    'remplaçasse',
    'remplaçasses',
    'remplaçons',
    'remplaçâmes',
    'remplaçât',
    'remplaçâtes',
    'rempli',
    'remplia',
    'rempliai',
    'rempliaient',
    'rempliais',
    'rempliait',
    'rempliant',
    'remplias',
    'rempliasse',
    'rempliassent',
    'rempliasses',
    'rempliassiez',
    'remplie',
    'remplient',
    'remplier',
    'rempliera',
    'remplierai',
    'remplierais',
    'remplierait',
    'remplieras',
    'remplierez',
    'remplieriez',
    'remplierions',
    'remplierons',
    'remplieront',
    'remplies',
    'rempliez',
    'rempliiez',
    'rempliions',
    'remplions',
    'remplir',
    'remplira',
    'remplirai',
    'rempliraient',
    'remplirais',
    'remplirait',
    'rempliras',
    'remplirent',
    'remplirez',
    'rempliriez',
    'remplirions',
    'remplirons',
    'rempliront',
    'remplis',
    'remplissage',
    'remplissages',
    'remplissais',
    'remplissait',
    'remplissant',
    'remplisse',
    'remplissent',
    'remplisses',
    'remplisseur',
    'remplisseurs',
    'remplisseuse',
    'remplissez',
    'remplissiez',
    'remplissions',
    'remplissons',
    'remplit',
    'rempliâmes',
    'rempliât',
    'rempliâtes',
    'remplièrent',
    'remplié',
    'rempliée',
    'rempliées',
    'rempliés',
    'remploi',
    'remploie',
    'remploient',
    'remploiera',
    'remploierai',
    'remploierais',
    'remploierait',
    'remploieras',
    'remploierez',
    'remploieriez',
    'remploierons',
    'remploieront',
    'remploies',
    'remplois',
    'remploya',
    'remployai',
    'remployaient',
    'remployais',
    'remployait',
    'remployant',
    'remployas',
    'remployasse',
    'remployasses',
    'remployer',
    'remployez',
    'remployiez',
    'remployions',
    'remployons',
    'remployâmes',
    'remployât',
    'remployâtes',
    'remployèrent',
    'remployé',
    'remployée',
    'remployées',
    'remployés',
    'rempluma',
    'remplumai',
    'remplumaient',
    'remplumais',
    'remplumait',
    'remplumant',
    'remplumas',
    'remplumasse',
    'remplumasses',
    'remplume',
    'remplument',
    'remplumer',
    'remplumera',
    'remplumerai',
    'remplumerais',
    'remplumerait',
    'remplumeras',
    'remplumerez',
    'remplumeriez',
    'remplumerons',
    'remplumeront',
    'remplumes',
    'remplumez',
    'remplumiez',
    'remplumions',
    'remplumons',
    'remplumâmes',
    'remplumât',
    'remplumâtes',
    'remplumèrent',
    'remplumé',
    'remplumée',
    'remplumées',
    'remplumés',
    'remplîmes',
    'remplît',
    'remplîtes',
    'rempocha',
    'rempochai',
    'rempochaient',
    'rempochais',
    'rempochait',
    'rempochant',
    'rempochas',
    'rempochasse',
    'rempochasses',
    'rempoche',
    'rempochent',
    'rempocher',
    'rempochera',
    'rempocherai',
    'rempocherais',
    'rempocherait',
    'rempocheras',
    'rempocherez',
    'rempocheriez',
    'rempocherons',
    'rempocheront',
    'rempoches',
    'rempochez',
    'rempochiez',
    'rempochions',
    'rempochons',
    'rempochâmes',
    'rempochât',
    'rempochâtes',
    'rempochèrent',
    'rempoché',
    'rempochée',
    'rempochées',
    'rempochés',
    'rempoissonna',
    'rempoissonne',
    'rempoissonné',
    'remporta',
    'remportai',
    'remportaient',
    'remportais',
    'remportait',
    'remportant',
    'remportas',
    'remportasse',
    'remportasses',
    'remporte',
    'remportent',
    'remporter',
    'remportera',
    'remporterai',
    'remporterais',
    'remporterait',
    'remporteras',
    'remporterez',
    'remporteriez',
    'remporterons',
    'remporteront',
    'remportes',
    'remportez',
    'remportiez',
    'remportions',
    'remportons',
    'remportâmes',
    'remportât',
    'remportâtes',
    'remportèrent',
    'remporté',
    'remportée',
    'remportées',
    'remportés',
    'rempota',
    'rempotai',
    'rempotaient',
    'rempotais',
    'rempotait',
    'rempotant',
    'rempotas',
    'rempotasse',
    'rempotassent',
    'rempotasses',
    'rempotassiez',
    'rempote',
    'rempotent',
    'rempoter',
    'rempotera',
    'rempoterai',
    'rempoterais',
    'rempoterait',
    'rempoteras',
    'rempoterez',
    'rempoteriez',
    'rempoterions',
    'rempoterons',
    'rempoteront',
    'rempotes',
    'rempotez',
    'rempotiez',
    'rempotions',
    'rempotons',
    'rempotâmes',
    'rempotât',
    'rempotâtes',
    'rempotèrent',
    'rempoté',
    'rempotée',
    'rempotées',
    'rempotés',
    'remprunta',
    'rempruntai',
    'rempruntais',
    'rempruntait',
    'rempruntant',
    'rempruntas',
    'rempruntasse',
    'remprunte',
    'rempruntent',
    'remprunter',
    'rempruntera',
    'remprunterai',
    'remprunteras',
    'remprunterez',
    'rempruntes',
    'rempruntez',
    'rempruntiez',
    'rempruntions',
    'rempruntons',
    'rempruntâmes',
    'rempruntât',
    'rempruntâtes',
    'remprunté',
    'rempruntée',
    'rempruntées',
    'rempruntés',
    'rems',
    'remua',
    'remuai',
    'remuaient',
    'remuais',
    'remuait',
    'remuant',
    'remuante',
    'remuantes',
    'remuants',
    'remuas',
    'remuasse',
    'remuassent',
    'remuasses',
    'remuassiez',
    'remuassions',
    'remue',
    'remuement',
    'remuements',
    'remuent',
    'remuer',
    'remuera',
    'remuerai',
    'remueraient',
    'remuerais',
    'remuerait',
    'remueras',
    'remuerez',
    'remueriez',
    'remuerions',
    'remuerons',
    'remueront',
    'remues',
    'remuez',
    'remugle',
    'remugles',
    'remuiez',
    'remuions',
    'remuons',
    'remuâmes',
    'remuât',
    'remuâtes',
    'remuèrent',
    'remué',
    'remuée',
    'remuées',
    'remués',
    'remâcha',
    'remâchai',
    'remâchaient',
    'remâchais',
    'remâchait',
    'remâchant',
    'remâchas',
    'remâchasse',
    'remâchassent',
    'remâchasses',
    'remâchassiez',
    'remâche',
    'remâchent',
    'remâcher',
    'remâchera',
    'remâcherai',
    'remâcherais',
    'remâcherait',
    'remâcheras',
    'remâcherez',
    'remâcheriez',
    'remâcherions',
    'remâcherons',
    'remâcheront',
    'remâches',
    'remâchez',
    'remâchiez',
    'remâchions',
    'remâchons',
    'remâchâmes',
    'remâchât',
    'remâchâtes',
    'remâchèrent',
    'remâché',
    'remâchée',
    'remâchées',
    'remâchés',
    'remède',
    'remèdes',
    'remédia',
    'remédiable',
    'remédiables',
    'remédiai',
    'remédiaient',
    'remédiais',
    'remédiait',
    'remédiant',
    'remédias',
    'remédiasse',
    'remédiassent',
    'remédiasses',
    'remédiassiez',
    'remédie',
    'remédient',
    'remédier',
    'remédiera',
    'remédierai',
    'remédierais',
    'remédierait',
    'remédieras',
    'remédierez',
    'remédieriez',
    'remédierions',
    'remédierons',
    'remédieront',
    'remédies',
    'remédiez',
    'remédiiez',
    'remédiions',
    'remédions',
    'remédiâmes',
    'remédiât',
    'remédiâtes',
    'remédièrent',
    'remédié',
    'remédiée',
    'remédiées',
    'remédiés',
    'remémora',
    'remémorai',
    'remémoraient',
    'remémorais',
    'remémorait',
    'remémorant',
    'remémoras',
    'remémorasse',
    'remémorasses',
    'remémoration',
    'remémore',
    'remémorent',
    'remémorer',
    'remémorera',
    'remémorerai',
    'remémorerais',
    'remémorerait',
    'remémoreras',
    'remémorerez',
    'remémoreriez',
    'remémorerons',
    'remémoreront',
    'remémores',
    'remémorez',
    'remémoriez',
    'remémorions',
    'remémorons',
    'remémorâmes',
    'remémorât',
    'remémorâtes',
    'remémorèrent',
    'remémoré',
    'remémorée',
    'remémorées',
    'remémorés',
    'remîmes',
    'remît',
    'remîtes',
    'renacla',
    'renaclai',
    'renaclas',
    'renaclasse',
    'renaclassent',
    'renaclasses',
    'renaclassiez',
    'renaclâmes',
    'renaclât',
    'renaclâtes',
    'renaclèrent',
    'renais',
    'renaissaient',
    'renaissais',
    'renaissait',
    'renaissance',
    'renaissances',
    'renaissant',
    'renaissante',
    'renaissantes',
    'renaissants',
    'renaisse',
    'renaissent',
    'renaisses',
    'renaissez',
    'renaissiez',
    'renaissions',
    'renaissons',
    'renaquirent',
    'renaquis',
    'renaquisse',
    'renaquissent',
    'renaquisses',
    'renaquissiez',
    'renaquit',
    'renaquîmes',
    'renaquît',
    'renaquîtes',
    'renard',
    'renarda',
    'renardai',
    'renardaient',
    'renardais',
    'renardait',
    'renardant',
    'renardas',
    'renardasse',
    'renardassent',
    'renardasses',
    'renardassiez',
    'renarde',
    'renardeau',
    'renardeaux',
    'renardent',
    'renarder',
    'renardera',
    'renarderai',
    'renarderais',
    'renarderait',
    'renarderas',
    'renarderez',
    'renarderiez',
    'renarderions',
    'renarderons',
    'renarderont',
    'renardes',
    'renardez',
    'renardiez',
    'renardions',
    'renardière',
    'renardières',
    'renardons',
    'renards',
    'renardâmes',
    'renardât',
    'renardâtes',
    'renardèrent',
    'renardé',
    'renauda',
    'renaudai',
    'renaudaient',
    'renaudais',
    'renaudait',
    'renaudant',
    'renaudas',
    'renaudasse',
    'renaudassent',
    'renaudasses',
    'renaudassiez',
    'renaude',
    'renaudent',
    'renauder',
    'renaudera',
    'renauderai',
    'renauderais',
    'renauderait',
    'renauderas',
    'renauderez',
    'renauderiez',
    'renauderions',
    'renauderons',
    'renauderont',
    'renaudes',
    'renaudez',
    'renaudiez',
    'renaudions',
    'renaudons',
    'renaudâmes',
    'renaudât',
    'renaudâtes',
    'renaudèrent',
    'renaudé',
    'renaît',
    'renaîtra',
    'renaîtrai',
    'renaîtraient',
    'renaîtrais',
    'renaîtrait',
    'renaîtras',
    'renaître',
    'renaîtrez',
    'renaîtriez',
    'renaîtrions',
    'renaîtrons',
    'renaîtront',
    'rencaissa',
    'rencaissage',
    'rencaissages',
    'rencaissai',
    'rencaissais',
    'rencaissait',
    'rencaissant',
    'rencaissas',
    'rencaissasse',
    'rencaisse',
    'rencaissent',
    'rencaisser',
    'rencaissera',
    'rencaisserai',
    'rencaisseras',
    'rencaisserez',
    'rencaisses',
    'rencaissez',
    'rencaissiez',
    'rencaissions',
    'rencaissons',
    'rencaissâmes',
    'rencaissât',
    'rencaissâtes',
    'rencaissé',
    'rencaissée',
    'rencaissées',
    'rencaissés',
    'rencard',
    'rencarda',
    'rencardai',
    'rencardas',
    'rencardasse',
    'rencardasses',
    'rencarde',
    'rencardent',
    'rencarder',
    'rencardera',
    'rencarderai',
    'rencarderais',
    'rencarderait',
    'rencarderas',
    'rencarderez',
    'rencarderiez',
    'rencarderons',
    'rencarderont',
    'rencardes',
    'rencards',
    'rencardâmes',
    'rencardât',
    'rencardâtes',
    'rencardèrent',
    'rencardé',
    'rencardée',
    'rencardées',
    'rencardés',
    'rencart',
    'rencarts',
    'renchaîna',
    'renchaînai',
    'renchaînais',
    'renchaînait',
    'renchaînant',
    'renchaînas',
    'renchaînasse',
    'renchaîne',
    'renchaînent',
    'renchaîner',
    'renchaînera',
    'renchaînerai',
    'renchaîneras',
    'renchaînerez',
    'renchaînes',
    'renchaînez',
    'renchaîniez',
    'renchaînions',
    'renchaînons',
    'renchaînâmes',
    'renchaînât',
    'renchaînâtes',
    'renchaîné',
    'renchaînée',
    'renchaînées',
    'renchaînés',
    'renchéri',
    'renchérir',
    'renchérira',
    'renchérirai',
    'renchérirais',
    'renchérirait',
    'renchériras',
    'renchérirent',
    'renchérirez',
    'renchéririez',
    'renchérirons',
    'renchériront',
    'renchéris',
    'renchérisse',
    'renchérisses',
    'renchérissez',
    'renchérit',
    'renchérîmes',
    'renchérît',
    'renchérîtes',
    'rencogna',
    'rencognai',
    'rencognaient',
    'rencognais',
    'rencognait',
    'rencognant',
    'rencognas',
    'rencognasse',
    'rencognasses',
    'rencogne',
    'rencognent',
    'rencogner',
    'rencognera',
    'rencognerai',
    'rencognerais',
    'rencognerait',
    'rencogneras',
    'rencognerez',
    'rencogneriez',
    'rencognerons',
    'rencogneront',
    'rencognes',
    'rencognez',
    'rencogniez',
    'rencognions',
    'rencognons',
    'rencognâmes',
    'rencognât',
    'rencognâtes',
    'rencognèrent',
    'rencogné',
    'rencognée',
    'rencognées',
    'rencognés',
    'rencontra',
    'rencontrai',
    'rencontrais',
    'rencontrait',
    'rencontrant',
    'rencontras',
    'rencontrasse',
    'rencontre',
    'rencontrent',
    'rencontrer',
    'rencontrera',
    'rencontrerai',
    'rencontreras',
    'rencontrerez',
    'rencontres',
    'rencontrez',
    'rencontriez',
    'rencontrions',
    'rencontrons',
    'rencontrâmes',
    'rencontrât',
    'rencontrâtes',
    'rencontré',
    'rencontrée',
    'rencontrées',
    'rencontrés',
    'rend',
    'rendaient',
    'rendais',
    'rendait',
    'rendant',
    'rende',
    'rendement',
    'rendements',
    'rendent',
    'rendes',
    'rendez',
    'rendiez',
    'rendions',
    'rendirent',
    'rendis',
    'rendisse',
    'rendissent',
    'rendisses',
    'rendissiez',
    'rendissions',
    'rendit',
    'rendons',
    'rendormaient',
    'rendormais',
    'rendormait',
    'rendormant',
    'rendorme',
    'rendorment',
    'rendormes',
    'rendormez',
    'rendormi',
    'rendormie',
    'rendormies',
    'rendormiez',
    'rendormions',
    'rendormir',
    'rendormira',
    'rendormirai',
    'rendormirais',
    'rendormirait',
    'rendormiras',
    'rendormirent',
    'rendormirez',
    'rendormiriez',
    'rendormirons',
    'rendormiront',
    'rendormis',
    'rendormisse',
    'rendormisses',
    'rendormit',
    'rendormons',
    'rendormîmes',
    'rendormît',
    'rendormîtes',
    'rendors',
    'rendort',
    'rendossa',
    'rendossai',
    'rendossaient',
    'rendossais',
    'rendossait',
    'rendossant',
    'rendossas',
    'rendossasse',
    'rendossasses',
    'rendosse',
    'rendossent',
    'rendosser',
    'rendossera',
    'rendosserai',
    'rendosserais',
    'rendosserait',
    'rendosseras',
    'rendosserez',
    'rendosseriez',
    'rendosserons',
    'rendosseront',
    'rendosses',
    'rendossez',
    'rendossiez',
    'rendossions',
    'rendossons',
    'rendossâmes',
    'rendossât',
    'rendossâtes',
    'rendossèrent',
    'rendossé',
    'rendossée',
    'rendossées',
    'rendossés',
    'rendra',
    'rendrai',
    'rendraient',
    'rendrais',
    'rendrait',
    'rendras',
    'rendre',
    'rendrez',
    'rendriez',
    'rendrions',
    'rendrons',
    'rendront',
    'rends',
    'rendu',
    'rendue',
    'rendues',
    'rendus',
    'rendîmes',
    'rendît',
    'rendîtes',
    'reneige',
    'reneigea',
    'reneigeait',
    'reneiger',
    'reneigera',
    'reneigerait',
    'reneigeât',
    'renfaîta',
    'renfaîtai',
    'renfaîtaient',
    'renfaîtais',
    'renfaîtait',
    'renfaîtant',
    'renfaîtas',
    'renfaîtasse',
    'renfaîtasses',
    'renfaîte',
    'renfaîtent',
    'renfaîter',
    'renfaîtera',
    'renfaîterai',
    'renfaîterais',
    'renfaîterait',
    'renfaîteras',
    'renfaîterez',
    'renfaîteriez',
    'renfaîterons',
    'renfaîteront',
    'renfaîtes',
    'renfaîtez',
    'renfaîtiez',
    'renfaîtions',
    'renfaîtons',
    'renfaîtâmes',
    'renfaîtât',
    'renfaîtâtes',
    'renfaîtèrent',
    'renfaîté',
    'renfaîtée',
    'renfaîtées',
    'renfaîtés',
    'renferma',
    'renfermai',
    'renfermaient',
    'renfermais',
    'renfermait',
    'renfermant',
    'renfermas',
    'renfermasse',
    'renfermasses',
    'renferme',
    'renfermement',
    'renferment',
    'renfermer',
    'renfermera',
    'renfermerai',
    'renfermerais',
    'renfermerait',
    'renfermeras',
    'renfermerez',
    'renfermeriez',
    'renfermerons',
    'renfermeront',
    'renfermes',
    'renfermez',
    'renfermiez',
    'renfermions',
    'renfermons',
    'renfermâmes',
    'renfermât',
    'renfermâtes',
    'renfermèrent',
    'renfermé',
    'renfermée',
    'renfermées',
    'renfermés',
    'renfila',
    'renfilai',
    'renfilaient',
    'renfilais',
    'renfilait',
    'renfilant',
    'renfilas',
    'renfilasse',
    'renfilassent',
    'renfilasses',
    'renfilassiez',
    'renfile',
    'renfilent',
    'renfiler',
    'renfilera',
    'renfilerai',
    'renfilerais',
    'renfilerait',
    'renfileras',
    'renfilerez',
    'renfileriez',
    'renfilerions',
    'renfilerons',
    'renfileront',
    'renfiles',
    'renfilez',
    'renfiliez',
    'renfilions',
    'renfilons',
    'renfilâmes',
    'renfilât',
    'renfilâtes',
    'renfilèrent',
    'renfilé',
    'renfilée',
    'renfilées',
    'renfilés',
    'renfla',
    'renflai',
    'renflaient',
    'renflais',
    'renflait',
    'renflamma',
    'renflammai',
    'renflammais',
    'renflammait',
    'renflammant',
    'renflammas',
    'renflammasse',
    'renflamme',
    'renflamment',
    'renflammer',
    'renflammera',
    'renflammerai',
    'renflammeras',
    'renflammerez',
    'renflammes',
    'renflammez',
    'renflammiez',
    'renflammions',
    'renflammons',
    'renflammâmes',
    'renflammât',
    'renflammâtes',
    'renflammé',
    'renflammée',
    'renflammées',
    'renflammés',
    'renflant',
    'renflas',
    'renflasse',
    'renflassent',
    'renflasses',
    'renflassiez',
    'renflassions',
    'renfle',
    'renflement',
    'renflements',
    'renflent',
    'renfler',
    'renflera',
    'renflerai',
    'renfleraient',
    'renflerais',
    'renflerait',
    'renfleras',
    'renflerez',
    'renfleriez',
    'renflerions',
    'renflerons',
    'renfleront',
    'renfles',
    'renflez',
    'renfliez',
    'renflions',
    'renflons',
    'renfloua',
    'renflouage',
    'renflouages',
    'renflouai',
    'renflouaient',
    'renflouais',
    'renflouait',
    'renflouant',
    'renflouas',
    'renflouasse',
    'renflouasses',
    'renfloue',
    'renflouement',
    'renflouent',
    'renflouer',
    'renflouera',
    'renflouerai',
    'renflouerais',
    'renflouerait',
    'renfloueras',
    'renflouerez',
    'renfloueriez',
    'renflouerons',
    'renfloueront',
    'renfloues',
    'renflouez',
    'renflouiez',
    'renflouions',
    'renflouons',
    'renflouâmes',
    'renflouât',
    'renflouâtes',
    'renflouèrent',
    'renfloué',
    'renflouée',
    'renflouées',
    'renfloués',
    'renflâmes',
    'renflât',
    'renflâtes',
    'renflèrent',
    'renflé',
    'renflée',
    'renflées',
    'renflés',
    'renfonce',
    'renfoncement',
    'renfoncent',
    'renfoncer',
    'renfoncera',
    'renfoncerai',
    'renfoncerais',
    'renfoncerait',
    'renfonceras',
    'renfoncerez',
    'renfonceriez',
    'renfoncerons',
    'renfonceront',
    'renfonces',
    'renfoncez',
    'renfonciez',
    'renfoncions',
    'renfoncèrent',
    'renfoncé',
    'renfoncée',
    'renfoncées',
    'renfoncés',
    'renfonça',
    'renfonçai',
    'renfonçaient',
    'renfonçais',
    'renfonçait',
    'renfonçant',
    'renfonças',
    'renfonçasse',
    'renfonçasses',
    'renfonçons',
    'renfonçâmes',
    'renfonçât',
    'renfonçâtes',
    'renforce',
    'renforcement',
    'renforcent',
    'renforcer',
    'renforcera',
    'renforcerai',
    'renforcerais',
    'renforcerait',
    'renforceras',
    'renforcerez',
    'renforceriez',
    'renforcerons',
    'renforceront',
    'renforces',
    'renforcez',
    'renforciez',
    'renforcions',
    'renforcèrent',
    'renforcé',
    'renforcée',
    'renforcées',
    'renforcés',
    'renformi',
    'renformie',
    'renformies',
    'renformir',
    'renformira',
    'renformirai',
    'renformiras',
    'renformirât',
    'renformis',
    'renformissez',
    'renfort',
    'renforts',
    'renforça',
    'renforçai',
    'renforçaient',
    'renforçais',
    'renforçait',
    'renforçant',
    'renforças',
    'renforçasse',
    'renforçasses',
    'renforçons',
    'renforçâmes',
    'renforçât',
    'renforçâtes',
    'renfrogna',
    'renfrognai',
    'renfrognais',
    'renfrognait',
    'renfrognant',
    'renfrognas',
    'renfrognasse',
    'renfrogne',
    'renfrognent',
    'renfrogner',
    'renfrognera',
    'renfrognerai',
    'renfrogneras',
    'renfrognerez',
    'renfrognes',
    'renfrognez',
    'renfrogniez',
    'renfrognions',
    'renfrognons',
    'renfrognâmes',
    'renfrognât',
    'renfrognâtes',
    'renfrogné',
    'renfrognée',
    'renfrognées',
    'renfrognés',
    'rengage',
    'rengagea',
    'rengageai',
    'rengageaient',
    'rengageais',
    'rengageait',
    'rengageant',
    'rengageas',
    'rengageasse',
    'rengageasses',
    'rengagement',
    'rengagements',
    'rengagent',
    'rengageons',
    'rengager',
    'rengagera',
    'rengagerai',
    'rengagerais',
    'rengagerait',
    'rengageras',
    'rengagerez',
    'rengageriez',
    'rengagerions',
    'rengagerons',
    'rengageront',
    'rengages',
    'rengagez',
    'rengageâmes',
    'rengageât',
    'rengageâtes',
    'rengagiez',
    'rengagions',
    'rengagèrent',
    'rengagé',
    'rengagée',
    'rengagées',
    'rengagés',
    'rengaina',
    'rengainai',
    'rengainaient',
    'rengainais',
    'rengainait',
    'rengainant',
    'rengainas',
    'rengainasse',
    'rengainasses',
    'rengaine',
    'rengainent',
    'rengainer',
    'rengainera',
    'rengainerai',
    'rengainerais',
    'rengainerait',
    'rengaineras',
    'rengainerez',
    'rengaineriez',
    'rengainerons',
    'rengaineront',
    'rengaines',
    'rengainez',
    'rengainiez',
    'rengainions',
    'rengainons',
    'rengainâmes',
    'rengainât',
    'rengainâtes',
    'rengainèrent',
    'rengainé',
    'rengainée',
    'rengainées',
    'rengainés',
    'rengorge',
    'rengorgea',
    'rengorgeai',
    'rengorgeais',
    'rengorgeait',
    'rengorgeant',
    'rengorgeas',
    'rengorgeasse',
    'rengorgement',
    'rengorgent',
    'rengorgeons',
    'rengorger',
    'rengorgera',
    'rengorgerai',
    'rengorgerais',
    'rengorgerait',
    'rengorgeras',
    'rengorgerez',
    'rengorgeriez',
    'rengorgerons',
    'rengorgeront',
    'rengorges',
    'rengorgez',
    'rengorgeâmes',
    'rengorgeât',
    'rengorgeâtes',
    'rengorgiez',
    'rengorgions',
    'rengorgèrent',
    'rengorgé',
    'rengorgée',
    'rengorgées',
    'rengorgés',
    'rengracia',
    'rengraciai',
    'rengraciais',
    'rengraciait',
    'rengraciant',
    'rengracias',
    'rengraciasse',
    'rengracie',
    'rengracient',
    'rengracier',
    'rengraciera',
    'rengracierai',
    'rengracieras',
    'rengracierez',
    'rengracies',
    'rengraciez',
    'rengraciiez',
    'rengraciions',
    'rengracions',
    'rengraciâmes',
    'rengraciât',
    'rengraciâtes',
    'rengracié',
    'rengraissa',
    'rengraissai',
    'rengraissais',
    'rengraissait',
    'rengraissant',
    'rengraissas',
    'rengraisse',
    'rengraissent',
    'rengraisser',
    'rengraissera',
    'rengraisses',
    'rengraissez',
    'rengraissiez',
    'rengraissons',
    'rengraissât',
    'rengraissé',
    'rengrena',
    'rengrenai',
    'rengrenaient',
    'rengrenais',
    'rengrenait',
    'rengrenant',
    'rengrenas',
    'rengrenasse',
    'rengrenasses',
    'rengrener',
    'rengrenez',
    'rengreniez',
    'rengrenions',
    'rengrenons',
    'rengrenâmes',
    'rengrenât',
    'rengrenâtes',
    'rengrenèrent',
    'rengrené',
    'rengrenée',
    'rengrenées',
    'rengrenés',
    'rengrène',
    'rengrènent',
    'rengrènera',
    'rengrènerai',
    'rengrènerais',
    'rengrènerait',
    'rengrèneras',
    'rengrènerez',
    'rengrèneriez',
    'rengrènerons',
    'rengrèneront',
    'rengrènes',
    'rengréna',
    'rengrénai',
    'rengrénaient',
    'rengrénais',
    'rengrénait',
    'rengrénant',
    'rengrénas',
    'rengrénasse',
    'rengrénasses',
    'rengréner',
    'rengrénera',
    'rengrénerai',
    'rengrénerais',
    'rengrénerait',
    'rengréneras',
    'rengrénerez',
    'rengréneriez',
    'rengrénerons',
    'rengréneront',
    'rengrénez',
    'rengréniez',
    'rengrénions',
    'rengrénons',
    'rengrénâmes',
    'rengrénât',
    'rengrénâtes',
    'rengrénèrent',
    'rengréné',
    'rengrénée',
    'rengrénées',
    'rengrénés',
    'renia',
    'reniai',
    'reniaient',
    'reniais',
    'reniait',
    'reniant',
    'renias',
    'reniasse',
    'reniassent',
    'reniasses',
    'reniassiez',
    'reniassions',
    'renie',
    'reniement',
    'reniements',
    'renient',
    'renier',
    'reniera',
    'renierai',
    'renieraient',
    'renierais',
    'renierait',
    'renieras',
    'renierez',
    'renieriez',
    'renierions',
    'renierons',
    'renieront',
    'renies',
    'reniez',
    'renifla',
    'reniflai',
    'reniflaient',
    'reniflais',
    'reniflait',
    'reniflant',
    'reniflard',
    'reniflards',
    'reniflas',
    'reniflasse',
    'reniflassent',
    'reniflasses',
    'reniflassiez',
    'renifle',
    'reniflement',
    'reniflements',
    'reniflent',
    'renifler',
    'reniflera',
    'reniflerai',
    'reniflerais',
    'reniflerait',
    'renifleras',
    'reniflerez',
    'renifleriez',
    'reniflerions',
    'reniflerons',
    'renifleront',
    'renifles',
    'renifleur',
    'renifleurs',
    'renifleuse',
    'renifleuses',
    'reniflez',
    'renifliez',
    'reniflions',
    'reniflons',
    'reniflâmes',
    'reniflât',
    'reniflâtes',
    'reniflèrent',
    'reniflé',
    'reniflée',
    'reniflées',
    'reniflés',
    'reniiez',
    'reniions',
    'renions',
    'reniâmes',
    'reniât',
    'reniâtes',
    'renièrent',
    'renié',
    'reniée',
    'reniées',
    'reniés',
    'renne',
    'rennes',
    'renom',
    'renomma',
    'renommai',
    'renommaient',
    'renommais',
    'renommait',
    'renommant',
    'renommas',
    'renommasse',
    'renommassent',
    'renommasses',
    'renommassiez',
    'renomme',
    'renomment',
    'renommer',
    'renommera',
    'renommerai',
    'renommerais',
    'renommerait',
    'renommeras',
    'renommerez',
    'renommeriez',
    'renommerions',
    'renommerons',
    'renommeront',
    'renommes',
    'renommez',
    'renommiez',
    'renommions',
    'renommons',
    'renommâmes',
    'renommât',
    'renommâtes',
    'renommèrent',
    'renommé',
    'renommée',
    'renommées',
    'renommés',
    'renoms',
    'renonce',
    'renoncement',
    'renoncements',
    'renoncent',
    'renoncer',
    'renoncera',
    'renoncerai',
    'renoncerais',
    'renoncerait',
    'renonceras',
    'renoncerez',
    'renonceriez',
    'renoncerions',
    'renoncerons',
    'renonceront',
    'renonces',
    'renoncez',
    'renonciateur',
    'renonciation',
    'renonciez',
    'renoncions',
    'renoncule',
    'renoncules',
    'renoncèrent',
    'renoncé',
    'renoncée',
    'renoncées',
    'renoncés',
    'renonça',
    'renonçai',
    'renonçaient',
    'renonçais',
    'renonçait',
    'renonçant',
    'renonças',
    'renonçasse',
    'renonçassent',
    'renonçasses',
    'renonçassiez',
    'renonçons',
    'renonçâmes',
    'renonçât',
    'renonçâtes',
    'renoua',
    'renouai',
    'renouaient',
    'renouais',
    'renouait',
    'renouant',
    'renouas',
    'renouasse',
    'renouassent',
    'renouasses',
    'renouassiez',
    'renouassions',
    'renoue',
    'renouement',
    'renouements',
    'renouent',
    'renouer',
    'renouera',
    'renouerai',
    'renoueraient',
    'renouerais',
    'renouerait',
    'renoueras',
    'renouerez',
    'renoueriez',
    'renouerions',
    'renouerons',
    'renoueront',
    'renoues',
    'renouez',
    'renouiez',
    'renouions',
    'renouons',
    'renouveau',
    'renouveaux',
    'renouvela',
    'renouvelable',
    'renouvelai',
    'renouvelais',
    'renouvelait',
    'renouvelant',
    'renouvelante',
    'renouvelants',
    'renouvelas',
    'renouvelasse',
    'renouveler',
    'renouvelez',
    'renouveliez',
    'renouvelions',
    'renouvelle',
    'renouvellent',
    'renouvellera',
    'renouvelles',
    'renouvelons',
    'renouvelâmes',
    'renouvelât',
    'renouvelâtes',
    'renouvelé',
    'renouvelée',
    'renouvelées',
    'renouvelés',
    'renouâmes',
    'renouât',
    'renouâtes',
    'renouèrent',
    'renoué',
    'renouée',
    'renouées',
    'renoués',
    'renquilla',
    'renquillai',
    'renquillais',
    'renquillait',
    'renquillant',
    'renquillas',
    'renquillasse',
    'renquille',
    'renquillent',
    'renquiller',
    'renquillera',
    'renquillerai',
    'renquilleras',
    'renquillerez',
    'renquilles',
    'renquillez',
    'renquilliez',
    'renquillions',
    'renquillons',
    'renquillâmes',
    'renquillât',
    'renquillâtes',
    'renquillé',
    'renquillée',
    'renquillées',
    'renquillés',
    'renseigna',
    'renseignai',
    'renseignais',
    'renseignait',
    'renseignant',
    'renseignas',
    'renseignasse',
    'renseigne',
    'renseignent',
    'renseigner',
    'renseignera',
    'renseignerai',
    'renseigneras',
    'renseignerez',
    'renseignes',
    'renseignez',
    'renseigniez',
    'renseignions',
    'renseignons',
    'renseignâmes',
    'renseignât',
    'renseignâtes',
    'renseigné',
    'renseignée',
    'renseignées',
    'renseignés',
    'renta',
    'rentabilisa',
    'rentabilisai',
    'rentabilisas',
    'rentabilise',
    'rentabiliser',
    'rentabilises',
    'rentabilisez',
    'rentabilisât',
    'rentabilisé',
    'rentabilisée',
    'rentabilisés',
    'rentabilité',
    'rentabilités',
    'rentable',
    'rentables',
    'rentai',
    'rentaient',
    'rentais',
    'rentait',
    'rentama',
    'rentamai',
    'rentamaient',
    'rentamais',
    'rentamait',
    'rentamant',
    'rentamas',
    'rentamasse',
    'rentamassent',
    'rentamasses',
    'rentamassiez',
    'rentame',
    'rentament',
    'rentamer',
    'rentamera',
    'rentamerai',
    'rentamerais',
    'rentamerait',
    'rentameras',
    'rentamerez',
    'rentameriez',
    'rentamerions',
    'rentamerons',
    'rentameront',
    'rentames',
    'rentamez',
    'rentamiez',
    'rentamions',
    'rentamons',
    'rentamâmes',
    'rentamât',
    'rentamâtes',
    'rentamèrent',
    'rentamé',
    'rentamée',
    'rentamées',
    'rentamés',
    'rentant',
    'rentas',
    'rentasse',
    'rentassent',
    'rentasses',
    'rentassiez',
    'rentassions',
    'rente',
    'rentent',
    'renter',
    'rentera',
    'renterai',
    'renteraient',
    'renterais',
    'renterait',
    'renteras',
    'renterez',
    'renteriez',
    'renterions',
    'renterons',
    'renteront',
    'rentes',
    'rentez',
    'rentier',
    'rentiers',
    'rentiez',
    'rentions',
    'rentière',
    'rentières',
    'rentoila',
    'rentoilai',
    'rentoilaient',
    'rentoilais',
    'rentoilait',
    'rentoilant',
    'rentoilas',
    'rentoilasse',
    'rentoilasses',
    'rentoile',
    'rentoilent',
    'rentoiler',
    'rentoilera',
    'rentoilerai',
    'rentoilerais',
    'rentoilerait',
    'rentoileras',
    'rentoilerez',
    'rentoileriez',
    'rentoilerons',
    'rentoileront',
    'rentoiles',
    'rentoileur',
    'rentoileurs',
    'rentoileuse',
    'rentoileuses',
    'rentoilez',
    'rentoiliez',
    'rentoilions',
    'rentoilons',
    'rentoilâmes',
    'rentoilât',
    'rentoilâtes',
    'rentoilèrent',
    'rentoilé',
    'rentoilée',
    'rentoilées',
    'rentoilés',
    'rentons',
    'rentra',
    'rentrai',
    'rentraient',
    'rentraire',
    'rentrais',
    'rentrait',
    'rentrant',
    'rentrante',
    'rentrantes',
    'rentrants',
    'rentras',
    'rentrasse',
    'rentrassent',
    'rentrasses',
    'rentrassiez',
    'rentrassions',
    'rentrayer',
    'rentre',
    'rentrent',
    'rentrer',
    'rentrera',
    'rentrerai',
    'rentreraient',
    'rentrerais',
    'rentrerait',
    'rentreras',
    'rentrerez',
    'rentreriez',
    'rentrerions',
    'rentrerons',
    'rentreront',
    'rentres',
    'rentrez',
    'rentriez',
    'rentrions',
    'rentrons',
    'rentrouvert',
    'rentrouverte',
    'rentrouverts',
    'rentrouvrais',
    'rentrouvrait',
    'rentrouvrant',
    'rentrouvre',
    'rentrouvrent',
    'rentrouvres',
    'rentrouvrez',
    'rentrouvriez',
    'rentrouvrir',
    'rentrouvrira',
    'rentrouvris',
    'rentrouvrit',
    'rentrouvrons',
    'rentrouvru',
    'rentrouvrue',
    'rentrouvrues',
    'rentrouvrus',
    'rentrouvrît',
    'rentrâmes',
    'rentrât',
    'rentrâtes',
    'rentrèrent',
    'rentré',
    'rentrée',
    'rentrées',
    'rentrés',
    'rentâmes',
    'rentât',
    'rentâtes',
    'rentèrent',
    'renté',
    'rentée',
    'rentées',
    'rentés',
    'renveloppa',
    'renveloppai',
    'renveloppais',
    'renveloppait',
    'renveloppant',
    'renveloppas',
    'renveloppe',
    'renvelopper',
    'renveloppera',
    'renveloppez',
    'renveloppiez',
    'renveloppons',
    'renveloppât',
    'renveloppé',
    'renveloppée',
    'renveloppées',
    'renveloppés',
    'renvenima',
    'renvenimai',
    'renvenimais',
    'renvenimait',
    'renvenimant',
    'renvenimas',
    'renvenimasse',
    'renvenime',
    'renveniment',
    'renvenimer',
    'renvenimera',
    'renvenimerai',
    'renvenimeras',
    'renvenimerez',
    'renvenimes',
    'renvenimez',
    'renvenimiez',
    'renvenimions',
    'renvenimons',
    'renvenimâmes',
    'renvenimât',
    'renvenimâtes',
    'renvenimé',
    'renvenimée',
    'renvenimées',
    'renvenimés',
    'renverge',
    'renvergea',
    'renvergeai',
    'renvergeais',
    'renvergeait',
    'renvergeant',
    'renvergeas',
    'renvergeasse',
    'renvergent',
    'renvergeons',
    'renverger',
    'renvergera',
    'renvergerai',
    'renvergerais',
    'renvergerait',
    'renvergeras',
    'renvergerez',
    'renvergeriez',
    'renvergerons',
    'renvergeront',
    'renverges',
    'renvergez',
    'renvergeâmes',
    'renvergeât',
    'renvergeâtes',
    'renvergiez',
    'renvergions',
    'renvergèrent',
    'renvergé',
    'renvergée',
    'renvergées',
    'renvergés',
    'renverra',
    'renverrai',
    'renverraient',
    'renverrais',
    'renverrait',
    'renverras',
    'renverrez',
    'renverriez',
    'renverrions',
    'renverrons',
    'renverront',
    'renversa',
    'renversai',
    'renversaient',
    'renversais',
    'renversait',
    'renversant',
    'renversante',
    'renversantes',
    'renversants',
    'renversas',
    'renversasse',
    'renversasses',
    'renverse',
    'renversement',
    'renversent',
    'renverser',
    'renversera',
    'renverserai',
    'renverserais',
    'renverserait',
    'renverseras',
    'renverserez',
    'renverseriez',
    'renverserons',
    'renverseront',
    'renverses',
    'renversez',
    'renversiez',
    'renversions',
    'renversons',
    'renversâmes',
    'renversât',
    'renversâtes',
    'renversèrent',
    'renversé',
    'renversée',
    'renversées',
    'renversés',
    'renvia',
    'renviai',
    'renviaient',
    'renviais',
    'renviait',
    'renviant',
    'renvias',
    'renviasse',
    'renviassent',
    'renviasses',
    'renviassiez',
    'renviassions',
    'renvida',
    'renvidage',
    'renvidages',
    'renvidai',
    'renvidaient',
    'renvidais',
    'renvidait',
    'renvidant',
    'renvidas',
    'renvidasse',
    'renvidassent',
    'renvidasses',
    'renvidassiez',
    'renvide',
    'renvident',
    'renvider',
    'renvidera',
    'renviderai',
    'renviderais',
    'renviderait',
    'renvideras',
    'renviderez',
    'renvideriez',
    'renviderions',
    'renviderons',
    'renvideront',
    'renvides',
    'renvideur',
    'renvideurs',
    'renvidez',
    'renvidiez',
    'renvidions',
    'renvidons',
    'renvidâmes',
    'renvidât',
    'renvidâtes',
    'renvidèrent',
    'renvidé',
    'renvidée',
    'renvidées',
    'renvidés',
    'renvie',
    'renvient',
    'renvier',
    'renviera',
    'renvierai',
    'renvieraient',
    'renvierais',
    'renvierait',
    'renvieras',
    'renvierez',
    'renvieriez',
    'renvierions',
    'renvierons',
    'renvieront',
    'renvies',
    'renviez',
    'renviiez',
    'renviions',
    'renvions',
    'renviâmes',
    'renviât',
    'renviâtes',
    'renvièrent',
    'renvié',
    'renviée',
    'renviées',
    'renviés',
    'renvoi',
    'renvoie',
    'renvoient',
    'renvoies',
    'renvois',
    'renvoya',
    'renvoyai',
    'renvoyaient',
    'renvoyais',
    'renvoyait',
    'renvoyant',
    'renvoyas',
    'renvoyasse',
    'renvoyassent',
    'renvoyasses',
    'renvoyassiez',
    'renvoyer',
    'renvoyez',
    'renvoyiez',
    'renvoyions',
    'renvoyons',
    'renvoyâmes',
    'renvoyât',
    'renvoyâtes',
    'renvoyèrent',
    'renvoyé',
    'renvoyée',
    'renvoyées',
    'renvoyés',
    'renâcla',
    'renâclaient',
    'renâclais',
    'renâclait',
    'renâclant',
    'renâcle',
    'renâclent',
    'renâcler',
    'renâclera',
    'renâclerai',
    'renâclerais',
    'renâclerait',
    'renâcleras',
    'renâclerez',
    'renâcleriez',
    'renâclerions',
    'renâclerons',
    'renâcleront',
    'renâcles',
    'renâclez',
    'renâcliez',
    'renâclions',
    'renâclons',
    'renâclèrent',
    'renâclé',
    'rené',
    'renée',
    'renées',
    'renégat',
    'renégate',
    'renégates',
    'renégats',
    'renégocia',
    'renégociai',
    'renégociais',
    'renégociait',
    'renégociant',
    'renégocias',
    'renégociasse',
    'renégocie',
    'renégocient',
    'renégocier',
    'renégociera',
    'renégocierai',
    'renégocieras',
    'renégocierez',
    'renégocies',
    'renégociez',
    'renégociiez',
    'renégociions',
    'renégocions',
    'renégociâmes',
    'renégociât',
    'renégociâtes',
    'renégocié',
    'renégociée',
    'renégociées',
    'renégociés',
    'renés',
    'repaie',
    'repaient',
    'repaiera',
    'repaierai',
    'repaieraient',
    'repaierais',
    'repaierait',
    'repaieras',
    'repaierez',
    'repaieriez',
    'repaierions',
    'repaierons',
    'repaieront',
    'repaies',
    'repaira',
    'repairai',
    'repairaient',
    'repairais',
    'repairait',
    'repairant',
    'repairas',
    'repairasse',
    'repairassent',
    'repairasses',
    'repairassiez',
    'repaire',
    'repairent',
    'repairer',
    'repairera',
    'repairerai',
    'repairerais',
    'repairerait',
    'repaireras',
    'repairerez',
    'repaireriez',
    'repairerions',
    'repairerons',
    'repaireront',
    'repaires',
    'repairez',
    'repairiez',
    'repairions',
    'repairons',
    'repairâmes',
    'repairât',
    'repairâtes',
    'repairèrent',
    'repairé',
    'repais',
    'repaissaient',
    'repaissais',
    'repaissait',
    'repaissant',
    'repaisse',
    'repaissent',
    'repaisses',
    'repaissez',
    'repaissiez',
    'repaissions',
    'repaissons',
    'reparais',
    'reparaissais',
    'reparaissait',
    'reparaissant',
    'reparaisse',
    'reparaissent',
    'reparaisses',
    'reparaissez',
    'reparaissiez',
    'reparaissons',
    'reparaît',
    'reparaîtra',
    'reparaîtrai',
    'reparaîtrais',
    'reparaîtrait',
    'reparaîtras',
    'reparaître',
    'reparaîtrez',
    'reparaîtriez',
    'reparaîtrons',
    'reparaîtront',
    'reparla',
    'reparlai',
    'reparlaient',
    'reparlais',
    'reparlait',
    'reparlant',
    'reparlas',
    'reparlasse',
    'reparlassent',
    'reparlasses',
    'reparlassiez',
    'reparle',
    'reparlent',
    'reparler',
    'reparlera',
    'reparlerai',
    'reparlerais',
    'reparlerait',
    'reparleras',
    'reparlerez',
    'reparleriez',
    'reparlerions',
    'reparlerons',
    'reparleront',
    'reparles',
    'reparlez',
    'reparliez',
    'reparlions',
    'reparlons',
    'reparlâmes',
    'reparlât',
    'reparlâtes',
    'reparlèrent',
    'reparlé',
    'repars',
    'repart',
    'repartage',
    'repartagea',
    'repartageai',
    'repartageais',
    'repartageait',
    'repartageant',
    'repartageas',
    'repartagent',
    'repartageons',
    'repartager',
    'repartagera',
    'repartagerai',
    'repartageras',
    'repartagerez',
    'repartages',
    'repartagez',
    'repartageât',
    'repartagiez',
    'repartagions',
    'repartagé',
    'repartagée',
    'repartagées',
    'repartagés',
    'repartaient',
    'repartais',
    'repartait',
    'repartant',
    'reparte',
    'repartent',
    'repartes',
    'repartez',
    'reparti',
    'repartie',
    'reparties',
    'repartiez',
    'repartions',
    'repartir',
    'repartira',
    'repartirai',
    'repartirais',
    'repartirait',
    'repartiras',
    'repartirent',
    'repartirez',
    'repartiriez',
    'repartirions',
    'repartirons',
    'repartiront',
    'repartis',
    'repartisse',
    'repartissent',
    'repartisses',
    'repartissiez',
    'repartit',
    'repartons',
    'repartîmes',
    'repartît',
    'repartîtes',
    'reparu',
    'reparue',
    'reparues',
    'reparurent',
    'reparus',
    'reparusse',
    'reparussent',
    'reparusses',
    'reparussiez',
    'reparussions',
    'reparut',
    'reparûmes',
    'reparût',
    'reparûtes',
    'repas',
    'repassa',
    'repassage',
    'repassages',
    'repassai',
    'repassaient',
    'repassais',
    'repassait',
    'repassant',
    'repassas',
    'repassasse',
    'repassassent',
    'repassasses',
    'repassassiez',
    'repasse',
    'repassent',
    'repasser',
    'repassera',
    'repasserai',
    'repasserais',
    'repasserait',
    'repasseras',
    'repasserez',
    'repasseriez',
    'repasserions',
    'repasserons',
    'repasseront',
    'repasses',
    'repasseur',
    'repasseurs',
    'repasseuse',
    'repasseuses',
    'repassez',
    'repassiez',
    'repassions',
    'repassons',
    'repassâmes',
    'repassât',
    'repassâtes',
    'repassèrent',
    'repassé',
    'repassée',
    'repassées',
    'repassés',
    'repatina',
    'repatinai',
    'repatinaient',
    'repatinais',
    'repatinait',
    'repatinant',
    'repatinas',
    'repatinasse',
    'repatinasses',
    'repatine',
    'repatinent',
    'repatiner',
    'repatinera',
    'repatinerai',
    'repatinerais',
    'repatinerait',
    'repatineras',
    'repatinerez',
    'repatineriez',
    'repatinerons',
    'repatineront',
    'repatines',
    'repatinez',
    'repatiniez',
    'repatinions',
    'repatinons',
    'repatinâmes',
    'repatinât',
    'repatinâtes',
    'repatinèrent',
    'repatiné',
    'repatinée',
    'repatinées',
    'repatinés',
    'repava',
    'repavai',
    'repavaient',
    'repavais',
    'repavait',
    'repavant',
    'repavas',
    'repavasse',
    'repavassent',
    'repavasses',
    'repavassiez',
    'repavassions',
    'repave',
    'repavent',
    'repaver',
    'repavera',
    'repaverai',
    'repaveraient',
    'repaverais',
    'repaverait',
    'repaveras',
    'repaverez',
    'repaveriez',
    'repaverions',
    'repaverons',
    'repaveront',
    'repaves',
    'repavez',
    'repaviez',
    'repavions',
    'repavons',
    'repavâmes',
    'repavât',
    'repavâtes',
    'repavèrent',
    'repavé',
    'repavée',
    'repavées',
    'repavés',
    'repaya',
    'repayai',
    'repayaient',
    'repayais',
    'repayait',
    'repayant',
    'repayas',
    'repayasse',
    'repayassent',
    'repayasses',
    'repayassiez',
    'repayassions',
    'repaye',
    'repayent',
    'repayer',
    'repayera',
    'repayerai',
    'repayeraient',
    'repayerais',
    'repayerait',
    'repayeras',
    'repayerez',
    'repayeriez',
    'repayerions',
    'repayerons',
    'repayeront',
    'repayes',
    'repayez',
    'repayiez',
    'repayions',
    'repayons',
    'repayâmes',
    'repayât',
    'repayâtes',
    'repayèrent',
    'repayé',
    'repayée',
    'repayées',
    'repayés',
    'repaît',
    'repaîtra',
    'repaîtrai',
    'repaîtraient',
    'repaîtrais',
    'repaîtrait',
    'repaîtras',
    'repaître',
    'repaîtrez',
    'repaîtriez',
    'repaîtrions',
    'repaîtrons',
    'repaîtront',
    'repeigna',
    'repeignai',
    'repeignaient',
    'repeignais',
    'repeignait',
    'repeignant',
    'repeignas',
    'repeignasse',
    'repeignasses',
    'repeigne',
    'repeignent',
    'repeigner',
    'repeignera',
    'repeignerai',
    'repeignerais',
    'repeignerait',
    'repeigneras',
    'repeignerez',
    'repeigneriez',
    'repeignerons',
    'repeigneront',
    'repeignes',
    'repeignez',
    'repeigniez',
    'repeignions',
    'repeignirent',
    'repeignis',
    'repeignisse',
    'repeignisses',
    'repeignit',
    'repeignons',
    'repeignâmes',
    'repeignât',
    'repeignâtes',
    'repeignèrent',
    'repeigné',
    'repeignée',
    'repeignées',
    'repeignés',
    'repeignîmes',
    'repeignît',
    'repeignîtes',
    'repeindra',
    'repeindrai',
    'repeindrais',
    'repeindrait',
    'repeindras',
    'repeindre',
    'repeindrez',
    'repeindriez',
    'repeindrions',
    'repeindrons',
    'repeindront',
    'repeins',
    'repeint',
    'repeinte',
    'repeintes',
    'repeints',
    'repend',
    'rependaient',
    'rependais',
    'rependait',
    'rependant',
    'repende',
    'rependent',
    'rependes',
    'rependez',
    'rependiez',
    'rependions',
    'rependirent',
    'rependis',
    'rependisse',
    'rependissent',
    'rependisses',
    'rependissiez',
    'rependit',
    'rependons',
    'rependra',
    'rependrai',
    'rependraient',
    'rependrais',
    'rependrait',
    'rependras',
    'rependre',
    'rependrez',
    'rependriez',
    'rependrions',
    'rependrons',
    'rependront',
    'repends',
    'rependu',
    'rependue',
    'rependues',
    'rependus',
    'rependîmes',
    'rependît',
    'rependîtes',
    'repens',
    'repensa',
    'repensai',
    'repensaient',
    'repensais',
    'repensait',
    'repensant',
    'repensas',
    'repensasse',
    'repensassent',
    'repensasses',
    'repensassiez',
    'repense',
    'repensent',
    'repenser',
    'repensera',
    'repenserai',
    'repenserais',
    'repenserait',
    'repenseras',
    'repenserez',
    'repenseriez',
    'repenserions',
    'repenserons',
    'repenseront',
    'repenses',
    'repensez',
    'repensiez',
    'repensions',
    'repensons',
    'repensâmes',
    'repensât',
    'repensâtes',
    'repensèrent',
    'repensé',
    'repensée',
    'repensées',
    'repensés',
    'repent',
    'repentaient',
    'repentais',
    'repentait',
    'repentance',
    'repentances',
    'repentant',
    'repentante',
    'repentantes',
    'repentants',
    'repente',
    'repentent',
    'repentes',
    'repentez',
    'repenti',
    'repentie',
    'repenties',
    'repentiez',
    'repentions',
    'repentir',
    'repentira',
    'repentirai',
    'repentirais',
    'repentirait',
    'repentiras',
    'repentirent',
    'repentirez',
    'repentiriez',
    'repentirions',
    'repentirons',
    'repentiront',
    'repentirs',
    'repentis',
    'repentisse',
    'repentissent',
    'repentisses',
    'repentissiez',
    'repentit',
    'repentons',
    'repentîmes',
    'repentît',
    'repentîtes',
    'reperce',
    'repercent',
    'repercer',
    'repercera',
    'repercerai',
    'repercerais',
    'repercerait',
    'reperceras',
    'repercerez',
    'reperceriez',
    'repercerions',
    'repercerons',
    'reperceront',
    'reperces',
    'repercez',
    'reperciez',
    'repercions',
    'repercèrent',
    'repercé',
    'repercée',
    'repercées',
    'repercés',
    'reperd',
    'reperdaient',
    'reperdais',
    'reperdait',
    'reperdant',
    'reperde',
    'reperdent',
    'reperdes',
    'reperdez',
    'reperdiez',
    'reperdions',
    'reperdirent',
    'reperdis',
    'reperdisse',
    'reperdissent',
    'reperdisses',
    'reperdissiez',
    'reperdit',
    'reperdons',
    'reperdra',
    'reperdrai',
    'reperdraient',
    'reperdrais',
    'reperdrait',
    'reperdras',
    'reperdre',
    'reperdrez',
    'reperdriez',
    'reperdrions',
    'reperdrons',
    'reperdront',
    'reperds',
    'reperdu',
    'reperdue',
    'reperdues',
    'reperdus',
    'reperdîmes',
    'reperdît',
    'reperdîtes',
    'reperça',
    'reperçai',
    'reperçaient',
    'reperçais',
    'reperçait',
    'reperçant',
    'reperças',
    'reperçasse',
    'reperçassent',
    'reperçasses',
    'reperçassiez',
    'reperçons',
    'reperçâmes',
    'reperçât',
    'reperçâtes',
    'repeupla',
    'repeuplai',
    'repeuplaient',
    'repeuplais',
    'repeuplait',
    'repeuplant',
    'repeuplas',
    'repeuplasse',
    'repeuplasses',
    'repeuple',
    'repeuplement',
    'repeuplent',
    'repeupler',
    'repeuplera',
    'repeuplerai',
    'repeuplerais',
    'repeuplerait',
    'repeupleras',
    'repeuplerez',
    'repeupleriez',
    'repeuplerons',
    'repeupleront',
    'repeuples',
    'repeuplez',
    'repeupliez',
    'repeuplions',
    'repeuplons',
    'repeuplâmes',
    'repeuplât',
    'repeuplâtes',
    'repeuplèrent',
    'repeuplé',
    'repeuplée',
    'repeuplées',
    'repeuplés',
    'repic',
    'repince',
    'repincent',
    'repincer',
    'repincera',
    'repincerai',
    'repincerais',
    'repincerait',
    'repinceras',
    'repincerez',
    'repinceriez',
    'repincerions',
    'repincerons',
    'repinceront',
    'repinces',
    'repincez',
    'repinciez',
    'repincions',
    'repincèrent',
    'repincé',
    'repincée',
    'repincées',
    'repincés',
    'repinça',
    'repinçai',
    'repinçaient',
    'repinçais',
    'repinçait',
    'repinçant',
    'repinças',
    'repinçasse',
    'repinçassent',
    'repinçasses',
    'repinçassiez',
    'repinçons',
    'repinçâmes',
    'repinçât',
    'repinçâtes',
    'repiqua',
    'repiquage',
    'repiquages',
    'repiquai',
    'repiquaient',
    'repiquais',
    'repiquait',
    'repiquant',
    'repiquas',
    'repiquasse',
    'repiquassent',
    'repiquasses',
    'repiquassiez',
    'repique',
    'repiquent',
    'repiquer',
    'repiquera',
    'repiquerai',
    'repiquerais',
    'repiquerait',
    'repiqueras',
    'repiquerez',
    'repiqueriez',
    'repiquerions',
    'repiquerons',
    'repiqueront',
    'repiques',
    'repiquez',
    'repiquiez',
    'repiquions',
    'repiquons',
    'repiquâmes',
    'repiquât',
    'repiquâtes',
    'repiquèrent',
    'repiqué',
    'repiquée',
    'repiquées',
    'repiqués',
    'replace',
    'replacement',
    'replacements',
    'replacent',
    'replacer',
    'replacera',
    'replacerai',
    'replacerais',
    'replacerait',
    'replaceras',
    'replacerez',
    'replaceriez',
    'replacerions',
    'replacerons',
    'replaceront',
    'replaces',
    'replacez',
    'replaciez',
    'replacions',
    'replacèrent',
    'replacé',
    'replacée',
    'replacées',
    'replacés',
    'replanta',
    'replantai',
    'replantaient',
    'replantais',
    'replantait',
    'replantant',
    'replantas',
    'replantasse',
    'replantasses',
    'replante',
    'replantent',
    'replanter',
    'replantera',
    'replanterai',
    'replanterais',
    'replanterait',
    'replanteras',
    'replanterez',
    'replanteriez',
    'replanterons',
    'replanteront',
    'replantes',
    'replantez',
    'replantiez',
    'replantions',
    'replantons',
    'replantâmes',
    'replantât',
    'replantâtes',
    'replantèrent',
    'replanté',
    'replantée',
    'replantées',
    'replantés',
    'replat',
    'replats',
    'replaça',
    'replaçai',
    'replaçaient',
    'replaçais',
    'replaçait',
    'replaçant',
    'replaças',
    'replaçasse',
    'replaçassent',
    'replaçasses',
    'replaçassiez',
    'replaçons',
    'replaçâmes',
    'replaçât',
    'replaçâtes',
    'replet',
    'replets',
    'repleut',
    'repleuvaient',
    'repleuvait',
    'repleuve',
    'repleuvent',
    'repleuvoir',
    'repleuvra',
    'repleuvrait',
    'repleuvront',
    'repli',
    'replia',
    'repliable',
    'repliables',
    'repliai',
    'repliaient',
    'repliais',
    'repliait',
    'repliant',
    'replias',
    'repliasse',
    'repliassent',
    'repliasses',
    'repliassiez',
    'repliassions',
    'replie',
    'repliement',
    'repliements',
    'replient',
    'replier',
    'repliera',
    'replierai',
    'replieraient',
    'replierais',
    'replierait',
    'replieras',
    'replierez',
    'replieriez',
    'replierions',
    'replierons',
    'replieront',
    'replies',
    'repliez',
    'repliiez',
    'repliions',
    'replions',
    'replis',
    'replissa',
    'replissai',
    'replissaient',
    'replissais',
    'replissait',
    'replissant',
    'replissas',
    'replissasse',
    'replissasses',
    'replisse',
    'replissent',
    'replisser',
    'replissera',
    'replisserai',
    'replisserais',
    'replisserait',
    'replisseras',
    'replisserez',
    'replisseriez',
    'replisserons',
    'replisseront',
    'replisses',
    'replissez',
    'replissiez',
    'replissions',
    'replissons',
    'replissâmes',
    'replissât',
    'replissâtes',
    'replissèrent',
    'replissé',
    'replissée',
    'replissées',
    'replissés',
    'repliâmes',
    'repliât',
    'repliâtes',
    'replièrent',
    'replié',
    'repliée',
    'repliées',
    'repliés',
    'reploie',
    'reploient',
    'reploiera',
    'reploierai',
    'reploierais',
    'reploierait',
    'reploieras',
    'reploierez',
    'reploieriez',
    'reploierions',
    'reploierons',
    'reploieront',
    'reploies',
    'replonge',
    'replongea',
    'replongeai',
    'replongeais',
    'replongeait',
    'replongeant',
    'replongeas',
    'replongeasse',
    'replongent',
    'replongeons',
    'replonger',
    'replongera',
    'replongerai',
    'replongerais',
    'replongerait',
    'replongeras',
    'replongerez',
    'replongeriez',
    'replongerons',
    'replongeront',
    'replonges',
    'replongez',
    'replongeâmes',
    'replongeât',
    'replongeâtes',
    'replongiez',
    'replongions',
    'replongèrent',
    'replongé',
    'replongée',
    'replongées',
    'replongés',
    'reploya',
    'reployai',
    'reployaient',
    'reployais',
    'reployait',
    'reployant',
    'reployas',
    'reployasse',
    'reployassent',
    'reployasses',
    'reployassiez',
    'reployer',
    'reployez',
    'reployiez',
    'reployions',
    'reployons',
    'reployâmes',
    'reployât',
    'reployâtes',
    'reployèrent',
    'reployé',
    'reployée',
    'reployées',
    'reployés',
    'replu',
    'replurent',
    'replussent',
    'replut',
    'replâtra',
    'replâtrage',
    'replâtrages',
    'replâtrai',
    'replâtraient',
    'replâtrais',
    'replâtrait',
    'replâtrant',
    'replâtras',
    'replâtrasse',
    'replâtrasses',
    'replâtre',
    'replâtrent',
    'replâtrer',
    'replâtrera',
    'replâtrerai',
    'replâtrerais',
    'replâtrerait',
    'replâtreras',
    'replâtrerez',
    'replâtreriez',
    'replâtrerons',
    'replâtreront',
    'replâtres',
    'replâtrez',
    'replâtriez',
    'replâtrions',
    'replâtrons',
    'replâtrâmes',
    'replâtrât',
    'replâtrâtes',
    'replâtrèrent',
    'replâtré',
    'replâtrée',
    'replâtrées',
    'replâtrés',
    'replète',
    'replètes',
    'replût',
    'repoli',
    'repolie',
    'repolies',
    'repolir',
    'repolira',
    'repolirai',
    'repoliraient',
    'repolirais',
    'repolirait',
    'repoliras',
    'repolirent',
    'repolirez',
    'repoliriez',
    'repolirions',
    'repolirons',
    'repoliront',
    'repolis',
    'repolissais',
    'repolissait',
    'repolissant',
    'repolisse',
    'repolissent',
    'repolisses',
    'repolissez',
    'repolissiez',
    'repolissions',
    'repolissons',
    'repolit',
    'repolîmes',
    'repolît',
    'repolîtes',
    'repopulation',
    'report',
    'reporta',
    'reportage',
    'reportages',
    'reportai',
    'reportaient',
    'reportais',
    'reportait',
    'reportant',
    'reportas',
    'reportasse',
    'reportassent',
    'reportasses',
    'reportassiez',
    'reporte',
    'reportent',
    'reporter',
    'reportera',
    'reporterai',
    'reporterais',
    'reporterait',
    'reporteras',
    'reporterez',
    'reporteriez',
    'reporterions',
    'reporterons',
    'reporteront',
    'reporters',
    'reportes',
    'reporteur',
    'reporteurs',
    'reportez',
    'reportiez',
    'reportions',
    'reportons',
    'reportrice',
    'reportrices',
    'reports',
    'reportâmes',
    'reportât',
    'reportâtes',
    'reportèrent',
    'reporté',
    'reportée',
    'reportées',
    'reportés',
    'repos',
    'reposa',
    'reposai',
    'reposaient',
    'reposais',
    'reposait',
    'reposant',
    'reposante',
    'reposantes',
    'reposants',
    'reposas',
    'reposasse',
    'reposassent',
    'reposasses',
    'reposassiez',
    'reposassions',
    'repose',
    'reposent',
    'reposer',
    'reposera',
    'reposerai',
    'reposeraient',
    'reposerais',
    'reposerait',
    'reposeras',
    'reposerez',
    'reposeriez',
    'reposerions',
    'reposerons',
    'reposeront',
    'reposes',
    'reposez',
    'reposiez',
    'reposions',
    'repositionna',
    'repositionne',
    'repositionné',
    'reposoir',
    'reposoirs',
    'reposons',
    'reposâmes',
    'reposât',
    'reposâtes',
    'reposèrent',
    'reposé',
    'reposée',
    'reposées',
    'reposés',
    'repourvoir',
    'repoussa',
    'repoussage',
    'repoussages',
    'repoussai',
    'repoussaient',
    'repoussais',
    'repoussait',
    'repoussant',
    'repoussante',
    'repoussantes',
    'repoussants',
    'repoussas',
    'repoussasse',
    'repoussasses',
    'repousse',
    'repoussement',
    'repoussent',
    'repousser',
    'repoussera',
    'repousserai',
    'repousserais',
    'repousserait',
    'repousseras',
    'repousserez',
    'repousseriez',
    'repousserons',
    'repousseront',
    'repousses',
    'repoussez',
    'repoussiez',
    'repoussions',
    'repoussoir',
    'repoussoirs',
    'repoussons',
    'repoussâmes',
    'repoussât',
    'repoussâtes',
    'repoussèrent',
    'repoussé',
    'repoussée',
    'repoussées',
    'repoussés',
    'reprenaient',
    'reprenais',
    'reprenait',
    'reprenant',
    'reprend',
    'reprendra',
    'reprendrai',
    'reprendrais',
    'reprendrait',
    'reprendras',
    'reprendre',
    'reprendrez',
    'reprendriez',
    'reprendrions',
    'reprendrons',
    'reprendront',
    'reprends',
    'reprenez',
    'repreniez',
    'reprenions',
    'reprenne',
    'reprennent',
    'reprennes',
    'reprenons',
    'reprirent',
    'repris',
    'reprisa',
    'reprisage',
    'reprisages',
    'reprisai',
    'reprisaient',
    'reprisais',
    'reprisait',
    'reprisant',
    'reprisas',
    'reprisasse',
    'reprisassent',
    'reprisasses',
    'reprisassiez',
    'reprise',
    'reprisent',
    'repriser',
    'reprisera',
    'repriserai',
    'repriserais',
    'repriserait',
    'repriseras',
    'repriserez',
    'repriseriez',
    'repriserions',
    'repriserons',
    'repriseront',
    'reprises',
    'repriseuse',
    'repriseuses',
    'reprisez',
    'reprisiez',
    'reprisions',
    'reprisons',
    'reprisse',
    'reprissent',
    'reprisses',
    'reprissiez',
    'reprissions',
    'reprisâmes',
    'reprisât',
    'reprisâtes',
    'reprisèrent',
    'reprisé',
    'reprisée',
    'reprisées',
    'reprisés',
    'reprit',
    'reprocha',
    'reprochable',
    'reprochables',
    'reprochai',
    'reprochaient',
    'reprochais',
    'reprochait',
    'reprochant',
    'reprochas',
    'reprochasse',
    'reprochasses',
    'reproche',
    'reprochent',
    'reprocher',
    'reprochera',
    'reprocherai',
    'reprocherais',
    'reprocherait',
    'reprocheras',
    'reprocherez',
    'reprocheriez',
    'reprocherons',
    'reprocheront',
    'reproches',
    'reprochez',
    'reprochiez',
    'reprochions',
    'reprochons',
    'reprochâmes',
    'reprochât',
    'reprochâtes',
    'reprochèrent',
    'reproché',
    'reprochée',
    'reprochées',
    'reprochés',
    'reproducteur',
    'reproductif',
    'reproductifs',
    'reproduction',
    'reproductive',
    'reproduira',
    'reproduirai',
    'reproduirais',
    'reproduirait',
    'reproduiras',
    'reproduire',
    'reproduirez',
    'reproduiriez',
    'reproduirons',
    'reproduiront',
    'reproduis',
    'reproduisais',
    'reproduisait',
    'reproduisant',
    'reproduise',
    'reproduisent',
    'reproduises',
    'reproduisez',
    'reproduisiez',
    'reproduisis',
    'reproduisit',
    'reproduisons',
    'reproduisît',
    'reproduit',
    'reproduite',
    'reproduites',
    'reproduits',
    'reprogramma',
    'reprogrammai',
    'reprogrammas',
    'reprogramme',
    'reprogrammer',
    'reprogrammes',
    'reprogrammez',
    'reprogrammât',
    'reprogrammé',
    'reprogrammée',
    'reprogrammés',
    'reprographia',
    'reprographie',
    'reprographié',
    'reprouva',
    'reprouvai',
    'reprouvaient',
    'reprouvais',
    'reprouvait',
    'reprouvant',
    'reprouvas',
    'reprouvasse',
    'reprouvasses',
    'reprouve',
    'reprouvent',
    'reprouver',
    'reprouvera',
    'reprouverai',
    'reprouverais',
    'reprouverait',
    'reprouveras',
    'reprouverez',
    'reprouveriez',
    'reprouverons',
    'reprouveront',
    'reprouves',
    'reprouvez',
    'reprouviez',
    'reprouvions',
    'reprouvons',
    'reprouvâmes',
    'reprouvât',
    'reprouvâtes',
    'reprouvèrent',
    'reprouvé',
    'reprouvée',
    'reprouvées',
    'reprouvés',
    'représailles',
    'représenta',
    'représentai',
    'représentais',
    'représentait',
    'représentant',
    'représentas',
    'représente',
    'représentent',
    'représenter',
    'représentera',
    'représentes',
    'représentez',
    'représentiez',
    'représentons',
    'représentât',
    'représenté',
    'représentée',
    'représentées',
    'représentés',
    'reprîmes',
    'reprît',
    'reprîtes',
    'reps',
    'reptation',
    'reptations',
    'reptile',
    'reptiles',
    'repu',
    'repue',
    'repues',
    'repurent',
    'repus',
    'repusse',
    'repussent',
    'repusses',
    'repussiez',
    'repussions',
    'reput',
    'repère',
    'repèrent',
    'repères',
    'repéra',
    'repérable',
    'repérables',
    'repérage',
    'repérages',
    'repérai',
    'repéraient',
    'repérais',
    'repérait',
    'repérant',
    'repéras',
    'repérasse',
    'repérassent',
    'repérasses',
    'repérassiez',
    'repérassions',
    'repérer',
    'repérera',
    'repérerai',
    'repéreraient',
    'repérerais',
    'repérerait',
    'repéreras',
    'repérerez',
    'repéreriez',
    'repérerions',
    'repérerons',
    'repéreront',
    'repérez',
    'repériez',
    'repérions',
    'repérons',
    'repérâmes',
    'repérât',
    'repérâtes',
    'repérèrent',
    'repéré',
    'repérée',
    'repérées',
    'repérés',
    'repêcha',
    'repêchage',
    'repêchages',
    'repêchai',
    'repêchaient',
    'repêchais',
    'repêchait',
    'repêchant',
    'repêchas',
    'repêchasse',
    'repêchassent',
    'repêchasses',
    'repêchassiez',
    'repêche',
    'repêchent',
    'repêcher',
    'repêchera',
    'repêcherai',
    'repêcherais',
    'repêcherait',
    'repêcheras',
    'repêcherez',
    'repêcheriez',
    'repêcherions',
    'repêcherons',
    'repêcheront',
    'repêches',
    'repêchez',
    'repêchiez',
    'repêchions',
    'repêchons',
    'repêchâmes',
    'repêchât',
    'repêchâtes',
    'repêchèrent',
    'repêché',
    'repêchée',
    'repêchées',
    'repêchés',
    'repûmes',
    'repût',
    'repûtes',
    'requerra',
    'requerrai',
    'requerraient',
    'requerrais',
    'requerrait',
    'requerras',
    'requerrez',
    'requerriez',
    'requerrions',
    'requerrons',
    'requerront',
    'requiem',
    'requiems',
    'requiers',
    'requiert',
    'requin',
    'requinqua',
    'requinquai',
    'requinquais',
    'requinquait',
    'requinquant',
    'requinquas',
    'requinquasse',
    'requinque',
    'requinquent',
    'requinquer',
    'requinquera',
    'requinquerai',
    'requinqueras',
    'requinquerez',
    'requinques',
    'requinquez',
    'requinquiez',
    'requinquions',
    'requinquons',
    'requinquâmes',
    'requinquât',
    'requinquâtes',
    'requinqué',
    'requinquée',
    'requinquées',
    'requinqués',
    'requins',
    'requirent',
    'requis',
    'requise',
    'requises',
    'requisse',
    'requissent',
    'requisses',
    'requissiez',
    'requissions',
    'requit',
    'requitter',
    'requière',
    'requièrent',
    'requières',
    'requéraient',
    'requérais',
    'requérait',
    'requérant',
    'requérez',
    'requériez',
    'requérions',
    'requérir',
    'requérons',
    'requéru',
    'requérue',
    'requérues',
    'requérus',
    'requête',
    'requêter',
    'requêtes',
    'requîmes',
    'requît',
    'requîtes',
    'reroisa',
    'reroisai',
    'reroisas',
    'reroisasse',
    'reroisassent',
    'reroisasses',
    'reroisassiez',
    'reroisâmes',
    'reroisât',
    'reroisâtes',
    'reroisèrent',
    'resala',
    'resalai',
    'resalaient',
    'resalais',
    'resalait',
    'resalant',
    'resalas',
    'resalasse',
    'resalassent',
    'resalasses',
    'resalassiez',
    'resalassions',
    'resale',
    'resalent',
    'resaler',
    'resalera',
    'resalerai',
    'resaleraient',
    'resalerais',
    'resalerait',
    'resaleras',
    'resalerez',
    'resaleriez',
    'resalerions',
    'resalerons',
    'resaleront',
    'resales',
    'resalez',
    'resali',
    'resalie',
    'resalies',
    'resaliez',
    'resalions',
    'resalir',
    'resalira',
    'resalirai',
    'resaliraient',
    'resalirais',
    'resalirait',
    'resaliras',
    'resalirez',
    'resaliriez',
    'resalirions',
    'resalirons',
    'resaliront',
    'resalis',
    'resalissais',
    'resalissait',
    'resalissant',
    'resalissez',
    'resalissiez',
    'resalissions',
    'resalissons',
    'resalons',
    'resalua',
    'resaluai',
    'resaluaient',
    'resaluais',
    'resaluait',
    'resaluant',
    'resaluas',
    'resaluasse',
    'resaluassent',
    'resaluasses',
    'resaluassiez',
    'resalue',
    'resaluent',
    'resaluer',
    'resaluera',
    'resaluerai',
    'resaluerais',
    'resaluerait',
    'resalueras',
    'resaluerez',
    'resalueriez',
    'resaluerions',
    'resaluerons',
    'resalueront',
    'resalues',
    'resaluez',
    'resaluiez',
    'resaluions',
    'resaluons',
    'resaluâmes',
    'resaluât',
    'resaluâtes',
    'resaluèrent',
    'resalué',
    'resaluée',
    'resaluées',
    'resalués',
    'resalâmes',
    'resalât',
    'resalâtes',
    'resalèrent',
    'resalé',
    'resalée',
    'resalées',
    'resalés',
    'resarcelée',
    'resarcelées',
    'rescapé',
    'rescapée',
    'rescapées',
    'rescapés',
    'rescinda',
    'rescindable',
    'rescindables',
    'rescindai',
    'rescindaient',
    'rescindais',
    'rescindait',
    'rescindant',
    'rescindante',
    'rescindantes',
    'rescindants',
    'rescindas',
    'rescindasse',
    'rescindasses',
    'rescinde',
    'rescindent',
    'rescinder',
    'rescindera',
    'rescinderai',
    'rescinderais',
    'rescinderait',
    'rescinderas',
    'rescinderez',
    'rescinderiez',
    'rescinderons',
    'rescinderont',
    'rescindes',
    'rescindez',
    'rescindiez',
    'rescindions',
    'rescindons',
    'rescindâmes',
    'rescindât',
    'rescindâtes',
    'rescindèrent',
    'rescision',
    'rescisions',
    'rescisoire',
    'rescisoires',
    'rescousse',
    'rescousses',
    'rescription',
    'rescriptions',
    'rescrit',
    'rescrits',
    'resocialisa',
    'resocialisai',
    'resocialisas',
    'resocialise',
    'resocialiser',
    'resocialises',
    'resocialisez',
    'resocialisât',
    'resocialisé',
    'resocialisée',
    'resocialisés',
    'respect',
    'respecta',
    'respectable',
    'respectables',
    'respectai',
    'respectaient',
    'respectais',
    'respectait',
    'respectant',
    'respectas',
    'respectasse',
    'respectasses',
    'respecte',
    'respectent',
    'respecter',
    'respectera',
    'respecterai',
    'respecterais',
    'respecterait',
    'respecteras',
    'respecterez',
    'respecteriez',
    'respecterons',
    'respecteront',
    'respectes',
    'respectez',
    'respectiez',
    'respectif',
    'respectifs',
    'respections',
    'respective',
    'respectives',
    'respectons',
    'respects',
    'respectueuse',
    'respectueux',
    'respectâmes',
    'respectât',
    'respectâtes',
    'respectèrent',
    'respecté',
    'respectée',
    'respectées',
    'respectés',
    'respira',
    'respirable',
    'respirables',
    'respirai',
    'respiraient',
    'respirais',
    'respirait',
    'respirant',
    'respiras',
    'respirasse',
    'respirassent',
    'respirasses',
    'respirassiez',
    'respirateur',
    'respirateurs',
    'respiration',
    'respirations',
    'respiratoire',
    'respire',
    'respirent',
    'respirer',
    'respirera',
    'respirerai',
    'respirerais',
    'respirerait',
    'respireras',
    'respirerez',
    'respireriez',
    'respirerions',
    'respirerons',
    'respireront',
    'respires',
    'respirez',
    'respiriez',
    'respirions',
    'respirons',
    'respirâmes',
    'respirât',
    'respirâtes',
    'respirèrent',
    'respiré',
    'respirée',
    'respirées',
    'respirés',
    'resplendi',
    'resplendir',
    'resplendira',
    'resplendirai',
    'resplendiras',
    'resplendirez',
    'resplendis',
    'resplendisse',
    'resplendit',
    'resplendîmes',
    'resplendît',
    'resplendîtes',
    'responsable',
    'responsables',
    'resquilla',
    'resquillage',
    'resquillages',
    'resquillai',
    'resquillais',
    'resquillait',
    'resquillant',
    'resquillas',
    'resquillasse',
    'resquille',
    'resquillent',
    'resquiller',
    'resquillera',
    'resquillerai',
    'resquilleras',
    'resquillerez',
    'resquilles',
    'resquilleur',
    'resquilleurs',
    'resquilleuse',
    'resquillez',
    'resquilliez',
    'resquillions',
    'resquillons',
    'resquillâmes',
    'resquillât',
    'resquillâtes',
    'resquillé',
    'resquillée',
    'resquillées',
    'resquillés',
    'ressac',
    'ressacs',
    'ressaie',
    'ressaient',
    'ressaiera',
    'ressaierai',
    'ressaierais',
    'ressaierait',
    'ressaieras',
    'ressaierez',
    'ressaieriez',
    'ressaierions',
    'ressaierons',
    'ressaieront',
    'ressaies',
    'ressaigna',
    'ressaignai',
    'ressaignais',
    'ressaignait',
    'ressaignant',
    'ressaignas',
    'ressaignasse',
    'ressaigne',
    'ressaignent',
    'ressaigner',
    'ressaignera',
    'ressaignerai',
    'ressaigneras',
    'ressaignerez',
    'ressaignes',
    'ressaignez',
    'ressaigniez',
    'ressaignions',
    'ressaignons',
    'ressaignâmes',
    'ressaignât',
    'ressaignâtes',
    'ressaigné',
    'ressaignée',
    'ressaignées',
    'ressaignés',
    'ressaisi',
    'ressaisie',
    'ressaisies',
    'ressaisir',
    'ressaisira',
    'ressaisirai',
    'ressaisirais',
    'ressaisirait',
    'ressaisiras',
    'ressaisirent',
    'ressaisirez',
    'ressaisiriez',
    'ressaisirons',
    'ressaisiront',
    'ressaisis',
    'ressaisisse',
    'ressaisisses',
    'ressaisissez',
    'ressaisit',
    'ressaisîmes',
    'ressaisît',
    'ressaisîtes',
    'ressassa',
    'ressassai',
    'ressassaient',
    'ressassais',
    'ressassait',
    'ressassant',
    'ressassas',
    'ressassasse',
    'ressassasses',
    'ressasse',
    'ressassent',
    'ressasser',
    'ressassera',
    'ressasserai',
    'ressasserais',
    'ressasserait',
    'ressasseras',
    'ressasserez',
    'ressasseriez',
    'ressasserons',
    'ressasseront',
    'ressasses',
    'ressasseur',
    'ressasseurs',
    'ressassez',
    'ressassiez',
    'ressassions',
    'ressassons',
    'ressassâmes',
    'ressassât',
    'ressassâtes',
    'ressassèrent',
    'ressassé',
    'ressassée',
    'ressassées',
    'ressassés',
    'ressaut',
    'ressauta',
    'ressautai',
    'ressautaient',
    'ressautais',
    'ressautait',
    'ressautant',
    'ressautas',
    'ressautasse',
    'ressautasses',
    'ressaute',
    'ressautent',
    'ressauter',
    'ressautera',
    'ressauterai',
    'ressauterais',
    'ressauterait',
    'ressauteras',
    'ressauterez',
    'ressauteriez',
    'ressauterons',
    'ressauteront',
    'ressautes',
    'ressautez',
    'ressautiez',
    'ressautions',
    'ressautons',
    'ressauts',
    'ressautâmes',
    'ressautât',
    'ressautâtes',
    'ressautèrent',
    'ressauté',
    'ressautée',
    'ressautées',
    'ressautés',
    'ressaya',
    'ressayage',
    'ressayages',
    'ressayai',
    'ressayaient',
    'ressayais',
    'ressayait',
    'ressayant',
    'ressayas',
    'ressayasse',
    'ressayassent',
    'ressayasses',
    'ressayassiez',
    'ressaye',
    'ressayent',
    'ressayer',
    'ressayera',
    'ressayerai',
    'ressayerais',
    'ressayerait',
    'ressayeras',
    'ressayerez',
    'ressayeriez',
    'ressayerions',
    'ressayerons',
    'ressayeront',
    'ressayes',
    'ressayez',
    'ressayiez',
    'ressayions',
    'ressayons',
    'ressayâmes',
    'ressayât',
    'ressayâtes',
    'ressayèrent',
    'ressayé',
    'ressayée',
    'ressayées',
    'ressayés',
    'ressema',
    'ressemai',
    'ressemaient',
    'ressemais',
    'ressemait',
    'ressemant',
    'ressemas',
    'ressemasse',
    'ressemassent',
    'ressemasses',
    'ressemassiez',
    'ressembla',
    'ressemblai',
    'ressemblais',
    'ressemblait',
    'ressemblance',
    'ressemblant',
    'ressemblante',
    'ressemblants',
    'ressemblas',
    'ressemblasse',
    'ressemble',
    'ressemblent',
    'ressembler',
    'ressemblera',
    'ressemblerai',
    'ressembleras',
    'ressemblerez',
    'ressembles',
    'ressemblez',
    'ressembliez',
    'ressemblions',
    'ressemblons',
    'ressemblâmes',
    'ressemblât',
    'ressemblâtes',
    'ressemblé',
    'ressemela',
    'ressemelage',
    'ressemelages',
    'ressemelai',
    'ressemelais',
    'ressemelait',
    'ressemelant',
    'ressemelas',
    'ressemelasse',
    'ressemeler',
    'ressemelez',
    'ressemeliez',
    'ressemelions',
    'ressemelle',
    'ressemellent',
    'ressemellera',
    'ressemelles',
    'ressemelons',
    'ressemelâmes',
    'ressemelât',
    'ressemelâtes',
    'ressemelé',
    'ressemelée',
    'ressemelées',
    'ressemelés',
    'ressemer',
    'ressemez',
    'ressemiez',
    'ressemions',
    'ressemons',
    'ressemâmes',
    'ressemât',
    'ressemâtes',
    'ressemèrent',
    'ressemé',
    'ressemée',
    'ressemées',
    'ressemés',
    'ressens',
    'ressent',
    'ressentaient',
    'ressentais',
    'ressentait',
    'ressentant',
    'ressente',
    'ressentent',
    'ressentes',
    'ressentez',
    'ressenti',
    'ressentie',
    'ressenties',
    'ressentiez',
    'ressentiment',
    'ressentions',
    'ressentir',
    'ressentira',
    'ressentirai',
    'ressentirais',
    'ressentirait',
    'ressentiras',
    'ressentirent',
    'ressentirez',
    'ressentiriez',
    'ressentirons',
    'ressentiront',
    'ressentis',
    'ressentisse',
    'ressentisses',
    'ressentit',
    'ressentons',
    'ressentîmes',
    'ressentît',
    'ressentîtes',
    'resserra',
    'resserrai',
    'resserraient',
    'resserrais',
    'resserrait',
    'resserrant',
    'resserras',
    'resserrasse',
    'resserrasses',
    'resserre',
    'resserrement',
    'resserrent',
    'resserrer',
    'resserrera',
    'resserrerai',
    'resserrerais',
    'resserrerait',
    'resserreras',
    'resserrerez',
    'resserreriez',
    'resserrerons',
    'resserreront',
    'resserres',
    'resserrez',
    'resserriez',
    'resserrions',
    'resserrons',
    'resserrâmes',
    'resserrât',
    'resserrâtes',
    'resserrèrent',
    'resserré',
    'resserrée',
    'resserrées',
    'resserrés',
    'ressers',
    'ressert',
    'resservaient',
    'resservais',
    'resservait',
    'resservant',
    'resserve',
    'resservent',
    'resserves',
    'resservez',
    'resservi',
    'resservie',
    'resservies',
    'resserviez',
    'resservions',
    'resservir',
    'resservira',
    'resservirai',
    'resservirais',
    'resservirait',
    'resserviras',
    'resservirent',
    'resservirez',
    'resserviriez',
    'resservirons',
    'resserviront',
    'resservis',
    'resservisse',
    'resservisses',
    'resservit',
    'resservons',
    'resservîmes',
    'resservît',
    'resservîtes',
    'ressors',
    'ressort',
    'ressortaient',
    'ressortais',
    'ressortait',
    'ressortant',
    'ressorte',
    'ressortent',
    'ressortes',
    'ressortez',
    'ressorti',
    'ressortie',
    'ressorties',
    'ressortiez',
    'ressortions',
    'ressortir',
    'ressortira',
    'ressortirai',
    'ressortirais',
    'ressortirait',
    'ressortiras',
    'ressortirent',
    'ressortirez',
    'ressortiriez',
    'ressortirons',
    'ressortiront',
    'ressortis',
    'ressortisse',
    'ressortisses',
    'ressortissez',
    'ressortit',
    'ressortons',
    'ressorts',
    'ressortîmes',
    'ressortît',
    'ressortîtes',
    'ressouda',
    'ressoudai',
    'ressoudaient',
    'ressoudais',
    'ressoudait',
    'ressoudant',
    'ressoudas',
    'ressoudasse',
    'ressoudasses',
    'ressoude',
    'ressoudent',
    'ressouder',
    'ressoudera',
    'ressouderai',
    'ressouderais',
    'ressouderait',
    'ressouderas',
    'ressouderez',
    'ressouderiez',
    'ressouderons',
    'ressouderont',
    'ressoudes',
    'ressoudez',
    'ressoudiez',
    'ressoudions',
    'ressoudons',
    'ressoudâmes',
    'ressoudât',
    'ressoudâtes',
    'ressoudèrent',
    'ressoudé',
    'ressoudée',
    'ressoudées',
    'ressoudés',
    'ressource',
    'ressourcent',
    'ressourcer',
    'ressourcera',
    'ressourcerai',
    'ressourceras',
    'ressourcerez',
    'ressources',
    'ressourcez',
    'ressourciez',
    'ressourcions',
    'ressourcé',
    'ressourcée',
    'ressourcées',
    'ressourcés',
    'ressourça',
    'ressourçai',
    'ressourçais',
    'ressourçait',
    'ressourçant',
    'ressourças',
    'ressourçasse',
    'ressourçons',
    'ressourçâmes',
    'ressourçât',
    'ressourçâtes',
    'ressouvenais',
    'ressouvenait',
    'ressouvenant',
    'ressouvenez',
    'ressouveniez',
    'ressouvenir',
    'ressouvenons',
    'ressouvenu',
    'ressouvenue',
    'ressouvenues',
    'ressouvenus',
    'ressouvienne',
    'ressouviens',
    'ressouvient',
    'ressouvins',
    'ressouvinsse',
    'ressouvint',
    'ressouvînmes',
    'ressouvînt',
    'ressouvîntes',
    'ressua',
    'ressuai',
    'ressuaient',
    'ressuais',
    'ressuait',
    'ressuant',
    'ressuas',
    'ressuasse',
    'ressuassent',
    'ressuasses',
    'ressuassiez',
    'ressuassions',
    'ressue',
    'ressuent',
    'ressuer',
    'ressuera',
    'ressuerai',
    'ressueraient',
    'ressuerais',
    'ressuerait',
    'ressueras',
    'ressuerez',
    'ressueriez',
    'ressuerions',
    'ressuerons',
    'ressueront',
    'ressues',
    'ressuez',
    'ressui',
    'ressuie',
    'ressuient',
    'ressuiera',
    'ressuierai',
    'ressuierais',
    'ressuierait',
    'ressuieras',
    'ressuierez',
    'ressuieriez',
    'ressuierions',
    'ressuierons',
    'ressuieront',
    'ressuies',
    'ressuiez',
    'ressuions',
    'ressuis',
    'ressuons',
    'ressurgi',
    'ressurgir',
    'ressurgira',
    'ressurgirai',
    'ressurgirais',
    'ressurgirait',
    'ressurgiras',
    'ressurgirent',
    'ressurgirez',
    'ressurgiriez',
    'ressurgirons',
    'ressurgiront',
    'ressurgis',
    'ressurgisse',
    'ressurgisses',
    'ressurgissez',
    'ressurgit',
    'ressurgîmes',
    'ressurgît',
    'ressurgîtes',
    'ressuscita',
    'ressuscitai',
    'ressuscitais',
    'ressuscitait',
    'ressuscitant',
    'ressuscitas',
    'ressuscite',
    'ressuscitent',
    'ressusciter',
    'ressuscitera',
    'ressuscites',
    'ressuscitez',
    'ressuscitiez',
    'ressuscitons',
    'ressuscitât',
    'ressuscité',
    'ressuscitée',
    'ressuscitées',
    'ressuscités',
    'ressuya',
    'ressuyage',
    'ressuyages',
    'ressuyai',
    'ressuyaient',
    'ressuyais',
    'ressuyait',
    'ressuyant',
    'ressuyas',
    'ressuyasse',
    'ressuyassent',
    'ressuyasses',
    'ressuyassiez',
    'ressuyer',
    'ressuyez',
    'ressuyiez',
    'ressuyions',
    'ressuyons',
    'ressuyâmes',
    'ressuyât',
    'ressuyâtes',
    'ressuyèrent',
    'ressuyé',
    'ressuyée',
    'ressuyées',
    'ressuyés',
    'ressuâmes',
    'ressuât',
    'ressuâtes',
    'ressuèrent',
    'ressué',
    'ressème',
    'ressèment',
    'ressèmera',
    'ressèmerai',
    'ressèmerais',
    'ressèmerait',
    'ressèmeras',
    'ressèmerez',
    'ressèmeriez',
    'ressèmerions',
    'ressèmerons',
    'ressèmeront',
    'ressèmes',
    'resta',
    'restai',
    'restaient',
    'restais',
    'restait',
    'restant',
    'restante',
    'restantes',
    'restants',
    'restas',
    'restasse',
    'restassent',
    'restasses',
    'restassiez',
    'restassions',
    'restaura',
    'restaurai',
    'restauraient',
    'restaurais',
    'restaurait',
    'restaurant',
    'restaurante',
    'restaurantes',
    'restaurants',
    'restauras',
    'restaurasse',
    'restaurasses',
    'restaurateur',
    'restauration',
    'restaure',
    'restaurent',
    'restaurer',
    'restaurera',
    'restaurerai',
    'restaurerais',
    'restaurerait',
    'restaureras',
    'restaurerez',
    'restaureriez',
    'restaurerons',
    'restaureront',
    'restaures',
    'restaurez',
    'restauriez',
    'restaurions',
    'restaurons',
    'restaurâmes',
    'restaurât',
    'restaurâtes',
    'restaurèrent',
    'restauré',
    'restaurée',
    'restaurées',
    'restaurés',
    'reste',
    'restent',
    'rester',
    'restera',
    'resterai',
    'resteraient',
    'resterais',
    'resterait',
    'resteras',
    'resterez',
    'resteriez',
    'resterions',
    'resterons',
    'resteront',
    'restes',
    'restez',
    'restiez',
    'restions',
    'restitua',
    'restituable',
    'restituables',
    'restituai',
    'restituaient',
    'restituais',
    'restituait',
    'restituant',
    'restituas',
    'restituasse',
    'restituasses',
    'restitue',
    'restituent',
    'restituer',
    'restituera',
    'restituerai',
    'restituerais',
    'restituerait',
    'restitueras',
    'restituerez',
    'restitueriez',
    'restituerons',
    'restitueront',
    'restitues',
    'restituez',
    'restituiez',
    'restituions',
    'restituons',
    'restitution',
    'restitutions',
    'restituâmes',
    'restituât',
    'restituâtes',
    'restituèrent',
    'restitué',
    'restituée',
    'restituées',
    'restitués',
    'restons',
    'restoroute',
    'restoroutes',
    'restreignais',
    'restreignait',
    'restreignant',
    'restreigne',
    'restreignent',
    'restreignes',
    'restreignez',
    'restreigniez',
    'restreignis',
    'restreignit',
    'restreignons',
    'restreignît',
    'restreindra',
    'restreindrai',
    'restreindras',
    'restreindre',
    'restreindrez',
    'restreins',
    'restreint',
    'restreinte',
    'restreintes',
    'restreints',
    'restrictif',
    'restrictifs',
    'restriction',
    'restrictions',
    'restrictive',
    'restrictives',
    'restringent',
    'restringente',
    'restringents',
    'restructura',
    'restructurai',
    'restructuras',
    'restructure',
    'restructurer',
    'restructures',
    'restructurez',
    'restructurât',
    'restructuré',
    'restructurée',
    'restructurés',
    'restâmes',
    'restât',
    'restâtes',
    'restèrent',
    'resté',
    'restée',
    'restées',
    'restés',
    'resucée',
    'resucées',
    'resurchauffa',
    'resurchauffe',
    'resurchauffé',
    'resurgi',
    'resurgie',
    'resurgies',
    'resurgir',
    'resurgira',
    'resurgirai',
    'resurgirais',
    'resurgirait',
    'resurgiras',
    'resurgirent',
    'resurgirez',
    'resurgiriez',
    'resurgirions',
    'resurgirons',
    'resurgiront',
    'resurgis',
    'resurgissais',
    'resurgissait',
    'resurgissant',
    'resurgisse',
    'resurgissent',
    'resurgisses',
    'resurgissez',
    'resurgissiez',
    'resurgissons',
    'resurgit',
    'resurgîmes',
    'resurgît',
    'resurgîtes',
    'resèque',
    'resèquent',
    'resèques',
    'reséqua',
    'reséquai',
    'reséquaient',
    'reséquais',
    'reséquait',
    'reséquant',
    'reséquas',
    'reséquasse',
    'reséquassent',
    'reséquasses',
    'reséquassiez',
    'reséquer',
    'reséquera',
    'reséquerai',
    'reséquerais',
    'reséquerait',
    'reséqueras',
    'reséquerez',
    'reséqueriez',
    'reséquerions',
    'reséquerons',
    'reséqueront',
    'reséquez',
    'reséquiez',
    'reséquions',
    'reséquons',
    'reséquâmes',
    'reséquât',
    'reséquâtes',
    'reséquèrent',
    'reséqué',
    'reséquée',
    'reséquées',
    'reséqués',
    'retable',
    'retables',
    'retailla',
    'retaillai',
    'retaillaient',
    'retaillais',
    'retaillait',
    'retaillant',
    'retaillas',
    'retaillasse',
    'retaillasses',
    'retaille',
    'retaillent',
    'retailler',
    'retaillera',
    'retaillerai',
    'retaillerais',
    'retaillerait',
    'retailleras',
    'retaillerez',
    'retailleriez',
    'retaillerons',
    'retailleront',
    'retailles',
    'retaillez',
    'retailliez',
    'retaillions',
    'retaillons',
    'retaillâmes',
    'retaillât',
    'retaillâtes',
    'retaillèrent',
    'retaillé',
    'retaillée',
    'retaillées',
    'retaillés',
    'retapa',
    'retapai',
    'retapaient',
    'retapais',
    'retapait',
    'retapant',
    'retapas',
    'retapasse',
    'retapassent',
    'retapasses',
    'retapassiez',
    'retapassions',
    'retape',
    'retapent',
    'retaper',
    'retapera',
    'retaperai',
    'retaperaient',
    'retaperais',
    'retaperait',
    'retaperas',
    'retaperez',
    'retaperiez',
    'retaperions',
    'retaperons',
    'retaperont',
    'retapes',
    'retapez',
    'retapiez',
    'retapions',
    'retapissa',
    'retapissai',
    'retapissais',
    'retapissait',
    'retapissant',
    'retapissas',
    'retapissasse',
    'retapisse',
    'retapissent',
    'retapisser',
    'retapissera',
    'retapisserai',
    'retapisseras',
    'retapisserez',
    'retapisses',
    'retapissez',
    'retapissiez',
    'retapissions',
    'retapissons',
    'retapissâmes',
    'retapissât',
    'retapissâtes',
    'retapissé',
    'retapissée',
    'retapissées',
    'retapissés',
    'retapons',
    'retapâmes',
    'retapât',
    'retapâtes',
    'retapèrent',
    'retapé',
    'retapée',
    'retapées',
    'retapés',
    'retard',
    'retarda',
    'retardai',
    'retardaient',
    'retardais',
    'retardait',
    'retardant',
    'retardas',
    'retardasse',
    'retardassent',
    'retardasses',
    'retardassiez',
    'retardataire',
    'retardateur',
    'retardateurs',
    'retardatrice',
    'retarde',
    'retardement',
    'retardements',
    'retardent',
    'retarder',
    'retardera',
    'retarderai',
    'retarderais',
    'retarderait',
    'retarderas',
    'retarderez',
    'retarderiez',
    'retarderions',
    'retarderons',
    'retarderont',
    'retardes',
    'retardez',
    'retardiez',
    'retardions',
    'retardons',
    'retards',
    'retardâmes',
    'retardât',
    'retardâtes',
    'retardèrent',
    'retardé',
    'retardée',
    'retardées',
    'retardés',
    'reteignaient',
    'reteignais',
    'reteignait',
    'reteignant',
    'reteigne',
    'reteignent',
    'reteignes',
    'reteignez',
    'reteigniez',
    'reteignions',
    'reteignirent',
    'reteignis',
    'reteignisse',
    'reteignisses',
    'reteignit',
    'reteignons',
    'reteignîmes',
    'reteignît',
    'reteignîtes',
    'reteindra',
    'reteindrai',
    'reteindrais',
    'reteindrait',
    'reteindras',
    'reteindre',
    'reteindrez',
    'reteindriez',
    'reteindrions',
    'reteindrons',
    'reteindront',
    'reteins',
    'reteint',
    'reteinte',
    'reteintes',
    'reteints',
    'retenaient',
    'retenais',
    'retenait',
    'retenant',
    'retenante',
    'retenantes',
    'retenants',
    'retend',
    'retendaient',
    'retendais',
    'retendait',
    'retendant',
    'retende',
    'retendent',
    'retendes',
    'retendez',
    'retendiez',
    'retendions',
    'retendirent',
    'retendis',
    'retendisse',
    'retendissent',
    'retendisses',
    'retendissiez',
    'retendit',
    'retendons',
    'retendra',
    'retendrai',
    'retendraient',
    'retendrais',
    'retendrait',
    'retendras',
    'retendre',
    'retendrez',
    'retendriez',
    'retendrions',
    'retendrons',
    'retendront',
    'retends',
    'retendu',
    'retendue',
    'retendues',
    'retendus',
    'retendîmes',
    'retendît',
    'retendîtes',
    'retenez',
    'reteniez',
    'retenions',
    'retenir',
    'retenons',
    'retenta',
    'retentai',
    'retentaient',
    'retentais',
    'retentait',
    'retentant',
    'retentas',
    'retentasse',
    'retentassent',
    'retentasses',
    'retentassiez',
    'retente',
    'retentent',
    'retenter',
    'retentera',
    'retenterai',
    'retenterais',
    'retenterait',
    'retenteras',
    'retenterez',
    'retenteriez',
    'retenterions',
    'retenterons',
    'retenteront',
    'retentes',
    'retentez',
    'retenti',
    'retentiez',
    'retentions',
    'retentir',
    'retentira',
    'retentirai',
    'retentirais',
    'retentirait',
    'retentiras',
    'retentirent',
    'retentirez',
    'retentiriez',
    'retentirions',
    'retentirons',
    'retentiront',
    'retentis',
    'retentissais',
    'retentissait',
    'retentissant',
    'retentisse',
    'retentissent',
    'retentisses',
    'retentissez',
    'retentissiez',
    'retentissons',
    'retentit',
    'retentons',
    'retentâmes',
    'retentât',
    'retentâtes',
    'retentèrent',
    'retenté',
    'retentée',
    'retentées',
    'retentés',
    'retentîmes',
    'retentît',
    'retentîtes',
    'retenu',
    'retenue',
    'retenues',
    'retenus',
    'reterce',
    'retercent',
    'retercer',
    'retercera',
    'retercerai',
    'retercerais',
    'retercerait',
    'reterceras',
    'retercerez',
    'reterceriez',
    'retercerions',
    'retercerons',
    'reterceront',
    'reterces',
    'retercez',
    'reterciez',
    'retercions',
    'retercèrent',
    'retercé',
    'retercée',
    'retercées',
    'retercés',
    'retersa',
    'retersai',
    'retersaient',
    'retersais',
    'retersait',
    'retersant',
    'retersas',
    'retersasse',
    'retersassent',
    'retersasses',
    'retersassiez',
    'reterse',
    'retersent',
    'reterser',
    'retersera',
    'reterserai',
    'reterserais',
    'reterserait',
    'reterseras',
    'reterserez',
    'reterseriez',
    'reterserions',
    'reterserons',
    'reterseront',
    'reterses',
    'retersez',
    'retersiez',
    'retersions',
    'retersons',
    'retersâmes',
    'retersât',
    'retersâtes',
    'retersèrent',
    'retersé',
    'retersée',
    'retersées',
    'retersés',
    'reterça',
    'reterçai',
    'reterçaient',
    'reterçais',
    'reterçait',
    'reterçant',
    'reterças',
    'reterçasse',
    'reterçassent',
    'reterçasses',
    'reterçassiez',
    'reterçons',
    'reterçâmes',
    'reterçât',
    'reterçâtes',
    'retiendra',
    'retiendrai',
    'retiendrais',
    'retiendrait',
    'retiendras',
    'retiendrez',
    'retiendriez',
    'retiendrions',
    'retiendrons',
    'retiendront',
    'retienne',
    'retiennent',
    'retiennes',
    'retiens',
    'retient',
    'retinrent',
    'retins',
    'retinsse',
    'retinssent',
    'retinsses',
    'retinssiez',
    'retinssions',
    'retint',
    'retira',
    'retirage',
    'retirages',
    'retirai',
    'retiraient',
    'retirais',
    'retirait',
    'retirant',
    'retiras',
    'retirasse',
    'retirassent',
    'retirasses',
    'retirassiez',
    'retirassions',
    'retiration',
    'retirations',
    'retire',
    'retirement',
    'retirements',
    'retirent',
    'retirer',
    'retirera',
    'retirerai',
    'retireraient',
    'retirerais',
    'retirerait',
    'retireras',
    'retirerez',
    'retireriez',
    'retirerions',
    'retirerons',
    'retireront',
    'retires',
    'retirez',
    'retiriez',
    'retirions',
    'retirons',
    'retirâmes',
    'retirât',
    'retirâtes',
    'retirèrent',
    'retiré',
    'retirée',
    'retirées',
    'retirés',
    'retissa',
    'retissai',
    'retissaient',
    'retissais',
    'retissait',
    'retissant',
    'retissas',
    'retissasse',
    'retissassent',
    'retissasses',
    'retissassiez',
    'retisse',
    'retissent',
    'retisser',
    'retissera',
    'retisserai',
    'retisserais',
    'retisserait',
    'retisseras',
    'retisserez',
    'retisseriez',
    'retisserions',
    'retisserons',
    'retisseront',
    'retisses',
    'retissez',
    'retissiez',
    'retissions',
    'retissons',
    'retissâmes',
    'retissât',
    'retissâtes',
    'retissèrent',
    'retissé',
    'retissée',
    'retissées',
    'retissés',
    'retomba',
    'retombai',
    'retombaient',
    'retombais',
    'retombait',
    'retombant',
    'retombante',
    'retombantes',
    'retombants',
    'retombas',
    'retombasse',
    'retombassent',
    'retombasses',
    'retombassiez',
    'retombe',
    'retombement',
    'retombements',
    'retombent',
    'retomber',
    'retombera',
    'retomberai',
    'retomberais',
    'retomberait',
    'retomberas',
    'retomberez',
    'retomberiez',
    'retomberions',
    'retomberons',
    'retomberont',
    'retombes',
    'retombez',
    'retombiez',
    'retombions',
    'retombons',
    'retombâmes',
    'retombât',
    'retombâtes',
    'retombèrent',
    'retombé',
    'retombée',
    'retombées',
    'retombés',
    'retond',
    'retondaient',
    'retondais',
    'retondait',
    'retondant',
    'retonde',
    'retondent',
    'retondes',
    'retondez',
    'retondiez',
    'retondions',
    'retondirent',
    'retondis',
    'retondisse',
    'retondissent',
    'retondisses',
    'retondissiez',
    'retondit',
    'retondons',
    'retondra',
    'retondrai',
    'retondraient',
    'retondrais',
    'retondrait',
    'retondras',
    'retondre',
    'retondrez',
    'retondriez',
    'retondrions',
    'retondrons',
    'retondront',
    'retonds',
    'retondu',
    'retondue',
    'retondues',
    'retondus',
    'retondîmes',
    'retondît',
    'retondîtes',
    'retord',
    'retordage',
    'retordages',
    'retordaient',
    'retordais',
    'retordait',
    'retordant',
    'retorde',
    'retordement',
    'retordements',
    'retordent',
    'retordes',
    'retordeur',
    'retordeurs',
    'retordeuse',
    'retordeuses',
    'retordez',
    'retordiez',
    'retordions',
    'retordirent',
    'retordis',
    'retordisse',
    'retordissent',
    'retordisses',
    'retordissiez',
    'retordit',
    'retordons',
    'retordra',
    'retordrai',
    'retordraient',
    'retordrais',
    'retordrait',
    'retordras',
    'retordre',
    'retordrez',
    'retordriez',
    'retordrions',
    'retordrons',
    'retordront',
    'retords',
    'retordu',
    'retordue',
    'retordues',
    'retordus',
    'retordîmes',
    'retordît',
    'retordîtes',
    'retors',
    'retorse',
    'retorses',
    'retoucha',
    'retouchable',
    'retouchables',
    'retouchai',
    'retouchaient',
    'retouchais',
    'retouchait',
    'retouchant',
    'retouchas',
    'retouchasse',
    'retouchasses',
    'retouche',
    'retouchent',
    'retoucher',
    'retouchera',
    'retoucherai',
    'retoucherais',
    'retoucherait',
    'retoucheras',
    'retoucherez',
    'retoucheriez',
    'retoucherons',
    'retoucheront',
    'retouches',
    'retoucheur',
    'retoucheurs',
    'retoucheuse',
    'retoucheuses',
    'retouchez',
    'retouchiez',
    'retouchions',
    'retouchons',
    'retouchâmes',
    'retouchât',
    'retouchâtes',
    'retouchèrent',
    'retouché',
    'retouchée',
    'retouchées',
    'retouchés',
    'retour',
    'retourna',
    'retournage',
    'retournages',
    'retournai',
    'retournaient',
    'retournais',
    'retournait',
    'retournant',
    'retournas',
    'retournasse',
    'retournasses',
    'retourne',
    'retournement',
    'retournent',
    'retourner',
    'retournera',
    'retournerai',
    'retournerais',
    'retournerait',
    'retourneras',
    'retournerez',
    'retourneriez',
    'retournerons',
    'retourneront',
    'retournes',
    'retournez',
    'retourniez',
    'retournions',
    'retournons',
    'retournâmes',
    'retournât',
    'retournâtes',
    'retournèrent',
    'retourné',
    'retournée',
    'retournées',
    'retournés',
    'retours',
    'retrace',
    'retracent',
    'retracer',
    'retracera',
    'retracerai',
    'retracerais',
    'retracerait',
    'retraceras',
    'retracerez',
    'retraceriez',
    'retracerions',
    'retracerons',
    'retraceront',
    'retraces',
    'retracez',
    'retraciez',
    'retracions',
    'retracèrent',
    'retracé',
    'retracée',
    'retracées',
    'retracés',
    'retraduction',
    'retraduira',
    'retraduirai',
    'retraduirais',
    'retraduirait',
    'retraduiras',
    'retraduire',
    'retraduirez',
    'retraduiriez',
    'retraduirons',
    'retraduiront',
    'retraduis',
    'retraduisais',
    'retraduisait',
    'retraduisant',
    'retraduise',
    'retraduisent',
    'retraduises',
    'retraduisez',
    'retraduisiez',
    'retraduisis',
    'retraduisit',
    'retraduisons',
    'retraduisît',
    'retraduit',
    'retraduite',
    'retraduites',
    'retraduits',
    'retraie',
    'retraient',
    'retraies',
    'retraira',
    'retrairai',
    'retrairaient',
    'retrairais',
    'retrairait',
    'retrairas',
    'retraire',
    'retrairez',
    'retrairiez',
    'retrairions',
    'retrairons',
    'retrairont',
    'retrais',
    'retrait',
    'retraita',
    'retraitai',
    'retraitaient',
    'retraitais',
    'retraitait',
    'retraitant',
    'retraitante',
    'retraitantes',
    'retraitants',
    'retraitas',
    'retraitasse',
    'retraitasses',
    'retraite',
    'retraitement',
    'retraitent',
    'retraiter',
    'retraitera',
    'retraiterai',
    'retraiterais',
    'retraiterait',
    'retraiteras',
    'retraiterez',
    'retraiteriez',
    'retraiterons',
    'retraiteront',
    'retraites',
    'retraitez',
    'retraitiez',
    'retraitions',
    'retraitons',
    'retraits',
    'retraitâmes',
    'retraitât',
    'retraitâtes',
    'retraitèrent',
    'retraité',
    'retraitée',
    'retraitées',
    'retraités',
    'retrancha',
    'retranchai',
    'retranchais',
    'retranchait',
    'retranchant',
    'retranchas',
    'retranchasse',
    'retranche',
    'retranchent',
    'retrancher',
    'retranchera',
    'retrancherai',
    'retrancheras',
    'retrancherez',
    'retranches',
    'retranchez',
    'retranchiez',
    'retranchions',
    'retranchons',
    'retranchâmes',
    'retranchât',
    'retranchâtes',
    'retranché',
    'retranchée',
    'retranchées',
    'retranchés',
    'retranscrira',
    'retranscrire',
    'retranscris',
    'retranscrit',
    'retranscrite',
    'retranscrits',
    'retranscrive',
    'retransmet',
    'retransmets',
    'retransmette',
    'retransmis',
    'retransmise',
    'retransmises',
    'retransmisse',
    'retransmit',
    'retransmîmes',
    'retransmît',
    'retransmîtes',
    'retravailla',
    'retravaillai',
    'retravaillas',
    'retravaille',
    'retravailler',
    'retravailles',
    'retravaillez',
    'retravaillât',
    'retravaillé',
    'retravaillée',
    'retravaillés',
    'retraversa',
    'retraversai',
    'retraversais',
    'retraversait',
    'retraversant',
    'retraversas',
    'retraverse',
    'retraversent',
    'retraverser',
    'retraversera',
    'retraverses',
    'retraversez',
    'retraversiez',
    'retraversons',
    'retraversât',
    'retraversé',
    'retraversée',
    'retraversées',
    'retraversés',
    'retrayaient',
    'retrayais',
    'retrayait',
    'retrayant',
    'retrayante',
    'retrayantes',
    'retrayants',
    'retrayez',
    'retrayiez',
    'retrayions',
    'retrayons',
    'retraça',
    'retraçai',
    'retraçaient',
    'retraçais',
    'retraçait',
    'retraçant',
    'retraças',
    'retraçasse',
    'retraçassent',
    'retraçasses',
    'retraçassiez',
    'retraçons',
    'retraçâmes',
    'retraçât',
    'retraçâtes',
    'retreindre',
    'retrempa',
    'retrempai',
    'retrempaient',
    'retrempais',
    'retrempait',
    'retrempant',
    'retrempas',
    'retrempasse',
    'retrempasses',
    'retrempe',
    'retrempent',
    'retremper',
    'retrempera',
    'retremperai',
    'retremperais',
    'retremperait',
    'retremperas',
    'retremperez',
    'retremperiez',
    'retremperons',
    'retremperont',
    'retrempes',
    'retrempez',
    'retrempiez',
    'retrempions',
    'retrempons',
    'retrempâmes',
    'retrempât',
    'retrempâtes',
    'retrempèrent',
    'retrempé',
    'retrempée',
    'retrempées',
    'retrempés',
    'retriever',
    'retrievers',
    'retroussa',
    'retroussage',
    'retroussages',
    'retroussai',
    'retroussais',
    'retroussait',
    'retroussant',
    'retroussas',
    'retroussasse',
    'retrousse',
    'retroussent',
    'retrousser',
    'retroussera',
    'retrousserai',
    'retrousseras',
    'retrousserez',
    'retrousses',
    'retroussez',
    'retroussiez',
    'retroussions',
    'retroussis',
    'retroussons',
    'retroussâmes',
    'retroussât',
    'retroussâtes',
    'retroussé',
    'retroussée',
    'retroussées',
    'retroussés',
    'retrouva',
    'retrouvable',
    'retrouvables',
    'retrouvai',
    'retrouvaient',
    'retrouvais',
    'retrouvait',
    'retrouvant',
    'retrouvas',
    'retrouvasse',
    'retrouvasses',
    'retrouve',
    'retrouvent',
    'retrouver',
    'retrouvera',
    'retrouverai',
    'retrouverais',
    'retrouverait',
    'retrouveras',
    'retrouverez',
    'retrouveriez',
    'retrouverons',
    'retrouveront',
    'retrouves',
    'retrouvez',
    'retrouviez',
    'retrouvions',
    'retrouvons',
    'retrouvâmes',
    'retrouvât',
    'retrouvâtes',
    'retrouvèrent',
    'retrouvé',
    'retrouvée',
    'retrouvées',
    'retrouvés',
    'rets',
    'retuber',
    'retâta',
    'retâtai',
    'retâtaient',
    'retâtais',
    'retâtait',
    'retâtant',
    'retâtas',
    'retâtasse',
    'retâtassent',
    'retâtasses',
    'retâtassiez',
    'retâtassions',
    'retâte',
    'retâtent',
    'retâter',
    'retâtera',
    'retâterai',
    'retâteraient',
    'retâterais',
    'retâterait',
    'retâteras',
    'retâterez',
    'retâteriez',
    'retâterions',
    'retâterons',
    'retâteront',
    'retâtes',
    'retâtez',
    'retâtiez',
    'retâtions',
    'retâtons',
    'retâtâmes',
    'retâtât',
    'retâtâtes',
    'retâtèrent',
    'retâté',
    'retâtée',
    'retâtées',
    'retâtés',
    'retéléphoner',
    'retînmes',
    'retînt',
    'retîntes',
    'revaccina',
    'revaccinai',
    'revaccinais',
    'revaccinait',
    'revaccinant',
    'revaccinas',
    'revaccinasse',
    'revaccine',
    'revaccinent',
    'revacciner',
    'revaccinera',
    'revaccinerai',
    'revaccineras',
    'revaccinerez',
    'revaccines',
    'revaccinez',
    'revacciniez',
    'revaccinions',
    'revaccinons',
    'revaccinâmes',
    'revaccinât',
    'revaccinâtes',
    'revacciné',
    'revaccinée',
    'revaccinées',
    'revaccinés',
    'revaille',
    'revaillent',
    'revailles',
    'revalaient',
    'revalais',
    'revalait',
    'revalant',
    'revalent',
    'revalez',
    'revaliez',
    'revalions',
    'revaloir',
    'revalons',
    'revalorisa',
    'revalorisai',
    'revalorisais',
    'revalorisait',
    'revalorisant',
    'revalorisas',
    'revalorise',
    'revalorisent',
    'revaloriser',
    'revalorisera',
    'revalorises',
    'revalorisez',
    'revalorisiez',
    'revalorisons',
    'revalorisât',
    'revalorisé',
    'revalorisée',
    'revalorisées',
    'revalorisés',
    'revalu',
    'revalue',
    'revalues',
    'revalurent',
    'revalus',
    'revalusse',
    'revalussent',
    'revalusses',
    'revalussiez',
    'revalussions',
    'revalut',
    'revalûmes',
    'revalût',
    'revalûtes',
    'revancha',
    'revanchai',
    'revanchaient',
    'revanchais',
    'revanchait',
    'revanchant',
    'revanchard',
    'revancharde',
    'revanchardes',
    'revanchards',
    'revanchas',
    'revanchasse',
    'revanchasses',
    'revanche',
    'revanchent',
    'revancher',
    'revanchera',
    'revancherai',
    'revancherais',
    'revancherait',
    'revancheras',
    'revancherez',
    'revancheriez',
    'revancherons',
    'revancheront',
    'revanches',
    'revanchez',
    'revanchiez',
    'revanchions',
    'revanchisme',
    'revanchismes',
    'revanchons',
    'revanchâmes',
    'revanchât',
    'revanchâtes',
    'revanchèrent',
    'revanché',
    'revanchée',
    'revanchées',
    'revanchés',
    'revaudra',
    'revaudrai',
    'revaudraient',
    'revaudrais',
    'revaudrait',
    'revaudras',
    'revaudrez',
    'revaudriez',
    'revaudrions',
    'revaudrons',
    'revaudront',
    'revaut',
    'revaux',
    'revenaient',
    'revenais',
    'revenait',
    'revenant',
    'revenante',
    'revenantes',
    'revenants',
    'revend',
    'revendable',
    'revendables',
    'revendaient',
    'revendais',
    'revendait',
    'revendant',
    'revende',
    'revendent',
    'revendes',
    'revendeur',
    'revendeurs',
    'revendeuse',
    'revendeuses',
    'revendez',
    'revendicatif',
    'revendiez',
    'revendions',
    'revendiqua',
    'revendiquai',
    'revendiquais',
    'revendiquait',
    'revendiquant',
    'revendiquas',
    'revendique',
    'revendiquent',
    'revendiquer',
    'revendiquera',
    'revendiques',
    'revendiquez',
    'revendiquiez',
    'revendiquons',
    'revendiquât',
    'revendiqué',
    'revendiquée',
    'revendiquées',
    'revendiqués',
    'revendirent',
    'revendis',
    'revendisse',
    'revendissent',
    'revendisses',
    'revendissiez',
    'revendit',
    'revendons',
    'revendra',
    'revendrai',
    'revendraient',
    'revendrais',
    'revendrait',
    'revendras',
    'revendre',
    'revendrez',
    'revendriez',
    'revendrions',
    'revendrons',
    'revendront',
    'revends',
    'revendu',
    'revendue',
    'revendues',
    'revendus',
    'revendîmes',
    'revendît',
    'revendîtes',
    'revenez',
    'reveniez',
    'revenions',
    'revenir',
    'revenons',
    'revente',
    'reventes',
    'revenu',
    'revenue',
    'revenues',
    'revenus',
    'revercha',
    'reverchai',
    'reverchaient',
    'reverchais',
    'reverchait',
    'reverchant',
    'reverchas',
    'reverchasse',
    'reverchasses',
    'reverche',
    'reverchent',
    'revercher',
    'reverchera',
    'revercherai',
    'revercherais',
    'revercherait',
    'revercheras',
    'revercherez',
    'revercheriez',
    'revercherons',
    'revercheront',
    'reverches',
    'reverchez',
    'reverchiez',
    'reverchions',
    'reverchons',
    'reverchâmes',
    'reverchât',
    'reverchâtes',
    'reverchèrent',
    'reverché',
    'reverchée',
    'reverchées',
    'reverchés',
    'reverdi',
    'reverdie',
    'reverdies',
    'reverdir',
    'reverdira',
    'reverdirai',
    'reverdirais',
    'reverdirait',
    'reverdiras',
    'reverdirent',
    'reverdirez',
    'reverdiriez',
    'reverdirions',
    'reverdirons',
    'reverdiront',
    'reverdis',
    'reverdissais',
    'reverdissait',
    'reverdissant',
    'reverdisse',
    'reverdissent',
    'reverdisses',
    'reverdissez',
    'reverdissiez',
    'reverdissons',
    'reverdit',
    'reverdîmes',
    'reverdît',
    'reverdîtes',
    'reverni',
    'revernie',
    'revernies',
    'revernir',
    'revernira',
    'revernirai',
    'revernirais',
    'revernirait',
    'reverniras',
    'revernirent',
    'revernirez',
    'reverniriez',
    'revernirions',
    'revernirons',
    'reverniront',
    'revernis',
    'revernissais',
    'revernissait',
    'revernissant',
    'revernisse',
    'revernissent',
    'revernisses',
    'revernissez',
    'revernissiez',
    'revernissons',
    'revernit',
    'revernîmes',
    'revernît',
    'revernîtes',
    'reverra',
    'reverrai',
    'reverraient',
    'reverrais',
    'reverrait',
    'reverras',
    'reverrez',
    'reverriez',
    'reverrions',
    'reverrons',
    'reverront',
    'revers',
    'reversa',
    'reversai',
    'reversaient',
    'reversais',
    'reversait',
    'reversant',
    'reversas',
    'reversasse',
    'reversassent',
    'reversasses',
    'reversassiez',
    'reverse',
    'reversement',
    'reversements',
    'reversent',
    'reverser',
    'reversera',
    'reverserai',
    'reverserais',
    'reverserait',
    'reverseras',
    'reverserez',
    'reverseriez',
    'reverserions',
    'reverserons',
    'reverseront',
    'reverses',
    'reversez',
    'reversiez',
    'reversions',
    'reversons',
    'reversâmes',
    'reversât',
    'reversâtes',
    'reversèrent',
    'reversé',
    'reversée',
    'reversées',
    'reversés',
    'reveuille',
    'reveuillent',
    'reveuilles',
    'reveulent',
    'reveut',
    'reveux',
    'reviendra',
    'reviendrai',
    'reviendrais',
    'reviendrait',
    'reviendras',
    'reviendrez',
    'reviendriez',
    'reviendrions',
    'reviendrons',
    'reviendront',
    'revienne',
    'reviennent',
    'reviennes',
    'reviens',
    'revient',
    'revients',
    'revigora',
    'revigorai',
    'revigoraient',
    'revigorais',
    'revigorait',
    'revigorant',
    'revigoras',
    'revigorasse',
    'revigorasses',
    'revigoration',
    'revigore',
    'revigorent',
    'revigorer',
    'revigorera',
    'revigorerai',
    'revigorerais',
    'revigorerait',
    'revigoreras',
    'revigorerez',
    'revigoreriez',
    'revigorerons',
    'revigoreront',
    'revigores',
    'revigorez',
    'revigoriez',
    'revigorions',
    'revigorons',
    'revigorâmes',
    'revigorât',
    'revigorâtes',
    'revigorèrent',
    'revigoré',
    'revigorée',
    'revigorées',
    'revigorés',
    'revinrent',
    'revins',
    'revinsse',
    'revinssent',
    'revinsses',
    'revinssiez',
    'revinssions',
    'revint',
    'revira',
    'revirai',
    'reviraient',
    'revirais',
    'revirait',
    'revirant',
    'reviras',
    'revirasse',
    'revirassent',
    'revirasses',
    'revirassiez',
    'revirassions',
    'revire',
    'revirement',
    'revirements',
    'revirent',
    'revirer',
    'revirera',
    'revirerai',
    'revireraient',
    'revirerais',
    'revirerait',
    'revireras',
    'revirerez',
    'revireriez',
    'revirerions',
    'revirerons',
    'revireront',
    'revires',
    'revirez',
    'reviriez',
    'revirions',
    'revirons',
    'revirâmes',
    'revirât',
    'revirâtes',
    'revirèrent',
    'reviré',
    'revis',
    'revissa',
    'revissai',
    'revissaient',
    'revissais',
    'revissait',
    'revissant',
    'revissas',
    'revissasse',
    'revissassent',
    'revissasses',
    'revissassiez',
    'revisse',
    'revissent',
    'revisser',
    'revissera',
    'revisserai',
    'revisserais',
    'revisserait',
    'revisseras',
    'revisserez',
    'revisseriez',
    'revisserions',
    'revisserons',
    'revisseront',
    'revisses',
    'revissez',
    'revissiez',
    'revissions',
    'revissons',
    'revissâmes',
    'revissât',
    'revissâtes',
    'revissèrent',
    'revissé',
    'revissée',
    'revissées',
    'revissés',
    'revit',
    'revitalisa',
    'revitalisai',
    'revitalisais',
    'revitalisait',
    'revitalisant',
    'revitalisas',
    'revitalise',
    'revitalisent',
    'revitaliser',
    'revitalisera',
    'revitalises',
    'revitalisez',
    'revitalisiez',
    'revitalisons',
    'revitalisât',
    'revitalisé',
    'revitalisée',
    'revitalisées',
    'revitalisés',
    'revivaient',
    'revivais',
    'revivait',
    'revivant',
    'revive',
    'revivent',
    'revives',
    'revivez',
    'reviviez',
    'revivifia',
    'revivifiai',
    'revivifiais',
    'revivifiait',
    'revivifiant',
    'revivifiante',
    'revivifiants',
    'revivifias',
    'revivifiasse',
    'revivifie',
    'revivifient',
    'revivifier',
    'revivifiera',
    'revivifierai',
    'revivifieras',
    'revivifierez',
    'revivifies',
    'revivifiez',
    'revivifiiez',
    'revivifiions',
    'revivifions',
    'revivifiâmes',
    'revivifiât',
    'revivifiâtes',
    'revivifié',
    'revivifiée',
    'revivifiées',
    'revivifiés',
    'revivions',
    'reviviscence',
    'revivons',
    'revivra',
    'revivrai',
    'revivraient',
    'revivrais',
    'revivrait',
    'revivras',
    'revivre',
    'revivrez',
    'revivriez',
    'revivrions',
    'revivrons',
    'revivront',
    'revoici',
    'revoie',
    'revoient',
    'revoies',
    'revoilà',
    'revoir',
    'revoirs',
    'revois',
    'revoit',
    'revola',
    'revolai',
    'revolaient',
    'revolais',
    'revolait',
    'revolant',
    'revolas',
    'revolasse',
    'revolassent',
    'revolasses',
    'revolassiez',
    'revolassions',
    'revole',
    'revolent',
    'revoler',
    'revolera',
    'revolerai',
    'revoleraient',
    'revolerais',
    'revolerait',
    'revoleras',
    'revolerez',
    'revoleriez',
    'revolerions',
    'revolerons',
    'revoleront',
    'revoles',
    'revolez',
    'revoliez',
    'revolions',
    'revolons',
    'revolver',
    'revolvers',
    'revolâmes',
    'revolât',
    'revolâtes',
    'revolèrent',
    'revolé',
    'revota',
    'revotai',
    'revotaient',
    'revotais',
    'revotait',
    'revotant',
    'revotas',
    'revotasse',
    'revotassent',
    'revotasses',
    'revotassiez',
    'revotassions',
    'revote',
    'revotent',
    'revoter',
    'revotera',
    'revoterai',
    'revoteraient',
    'revoterais',
    'revoterait',
    'revoteras',
    'revoterez',
    'revoteriez',
    'revoterions',
    'revoterons',
    'revoteront',
    'revotes',
    'revotez',
    'revotiez',
    'revotions',
    'revotons',
    'revotâmes',
    'revotât',
    'revotâtes',
    'revotèrent',
    'revoté',
    'revotée',
    'revotées',
    'revotés',
    'revoudra',
    'revoudrai',
    'revoudraient',
    'revoudrais',
    'revoudrait',
    'revoudras',
    'revoudrez',
    'revoudriez',
    'revoudrions',
    'revoudrons',
    'revoudront',
    'revoulaient',
    'revoulais',
    'revoulait',
    'revoulant',
    'revoulez',
    'revouliez',
    'revoulions',
    'revouloir',
    'revoulons',
    'revoulu',
    'revoulue',
    'revoulues',
    'revoulurent',
    'revoulus',
    'revoulusse',
    'revoulussent',
    'revoulusses',
    'revoulussiez',
    'revoulut',
    'revoulûmes',
    'revoulût',
    'revoulûtes',
    'revoyaient',
    'revoyais',
    'revoyait',
    'revoyant',
    'revoyez',
    'revoyiez',
    'revoyions',
    'revoyons',
    'revoyure',
    'revoyures',
    'revu',
    'revue',
    'revues',
    'revus',
    'revécu',
    'revécue',
    'revécues',
    'revécurent',
    'revécus',
    'revécusse',
    'revécussent',
    'revécusses',
    'revécussiez',
    'revécussions',
    'revécut',
    'revécûmes',
    'revécût',
    'revécûtes',
    'revêche',
    'revêches',
    'revêt',
    'revêtaient',
    'revêtais',
    'revêtait',
    'revêtant',
    'revête',
    'revêtement',
    'revêtements',
    'revêtent',
    'revêtes',
    'revêtez',
    'revêtiez',
    'revêtions',
    'revêtir',
    'revêtira',
    'revêtirai',
    'revêtiraient',
    'revêtirais',
    'revêtirait',
    'revêtiras',
    'revêtirent',
    'revêtirez',
    'revêtiriez',
    'revêtirions',
    'revêtirons',
    'revêtiront',
    'revêtis',
    'revêtisse',
    'revêtissent',
    'revêtisses',
    'revêtissiez',
    'revêtissions',
    'revêtit',
    'revêtons',
    'revêts',
    'revêtu',
    'revêtue',
    'revêtues',
    'revêtus',
    'revêtîmes',
    'revêtît',
    'revêtîtes',
    'revîmes',
    'revînmes',
    'revînt',
    'revîntes',
    'revît',
    'revîtes',
    'rewriter',
    'rewriters',
    'rewriting',
    'rewritings',
    'reçois',
    'reçoit',
    'reçoive',
    'reçoivent',
    'reçoives',
    'reçu',
    'reçue',
    'reçues',
    'reçurent',
    'reçus',
    'reçusse',
    'reçussent',
    'reçusses',
    'reçussiez',
    'reçussions',
    'reçut',
    'reçûmes',
    'reçût',
    'reçûtes',
    'reître',
    'reîtres',
    'rhabdomancie',
    'rhabilla',
    'rhabillage',
    'rhabillages',
    'rhabillai',
    'rhabillaient',
    'rhabillais',
    'rhabillait',
    'rhabillant',
    'rhabillas',
    'rhabillasse',
    'rhabillasses',
    'rhabille',
    'rhabillement',
    'rhabillent',
    'rhabiller',
    'rhabillera',
    'rhabillerai',
    'rhabillerais',
    'rhabillerait',
    'rhabilleras',
    'rhabillerez',
    'rhabilleriez',
    'rhabillerons',
    'rhabilleront',
    'rhabilles',
    'rhabilleur',
    'rhabilleurs',
    'rhabilleuse',
    'rhabilleuses',
    'rhabillez',
    'rhabilliez',
    'rhabillions',
    'rhabillons',
    'rhabillâmes',
    'rhabillât',
    'rhabillâtes',
    'rhabillèrent',
    'rhabillé',
    'rhabillée',
    'rhabillées',
    'rhabillés',
    'rhapsode',
    'rhapsodes',
    'rhapsodie',
    'rhapsodies',
    'rhapsodique',
    'rhapsodiques',
    'rhinanthe',
    'rhinanthes',
    'rhingrave',
    'rhingraves',
    'rhinite',
    'rhinites',
    'rhinocéros',
    'rhinologie',
    'rhinologies',
    'rhinolophe',
    'rhinolophes',
    'rhinopharynx',
    'rhinoplastie',
    'rhizocarpé',
    'rhizocarpée',
    'rhizocarpées',
    'rhizocarpés',
    'rhizoctone',
    'rhizoctones',
    'rhizome',
    'rhizomes',
    'rhizophage',
    'rhizophages',
    'rhizophore',
    'rhizophores',
    'rhizosphère',
    'rhizosphères',
    'rhizostome',
    'rhizostomes',
    'rhizotome',
    'rhizotomes',
    'rhodamine',
    'rhodamines',
    'rhodanien',
    'rhodanienne',
    'rhodaniennes',
    'rhodaniens',
    'rhodinol',
    'rhodinols',
    'rhodite',
    'rhodites',
    'rhodium',
    'rhodiums',
    'rhodié',
    'rhodiée',
    'rhodiées',
    'rhodiés',
    'rhododendron',
    'rhodopsine',
    'rhodopsines',
    'rhodoïd',
    'rhombe',
    'rhombes',
    'rhombique',
    'rhombiques',
    'rhomboïdal',
    'rhomboïdale',
    'rhomboïdales',
    'rhomboïdaux',
    'rhomboïde',
    'rhomboïdes',
    'rhotacisme',
    'rhotacismes',
    'rhubarbe',
    'rhubarbes',
    'rhum',
    'rhuma',
    'rhumai',
    'rhumaient',
    'rhumais',
    'rhumait',
    'rhumant',
    'rhumas',
    'rhumasse',
    'rhumassent',
    'rhumasses',
    'rhumassiez',
    'rhumassions',
    'rhumatisant',
    'rhumatisante',
    'rhumatisants',
    'rhumatismal',
    'rhumatismale',
    'rhumatismaux',
    'rhumatisme',
    'rhumatismes',
    'rhumatologie',
    'rhumatologue',
    'rhumatoïde',
    'rhumatoïdes',
    'rhumb',
    'rhumbs',
    'rhume',
    'rhument',
    'rhumer',
    'rhumera',
    'rhumerai',
    'rhumeraient',
    'rhumerais',
    'rhumerait',
    'rhumeras',
    'rhumerez',
    'rhumerie',
    'rhumeries',
    'rhumeriez',
    'rhumerions',
    'rhumerons',
    'rhumeront',
    'rhumes',
    'rhumez',
    'rhumiez',
    'rhumions',
    'rhumons',
    'rhums',
    'rhumâmes',
    'rhumât',
    'rhumâtes',
    'rhumèrent',
    'rhumé',
    'rhumée',
    'rhumées',
    'rhumés',
    'rhynchite',
    'rhynchites',
    'rhynchonelle',
    'rhyolite',
    'rhyolites',
    'rhyolithe',
    'rhyolithes',
    'rhytidome',
    'rhytidomes',
    'rhénan',
    'rhénane',
    'rhénanes',
    'rhénans',
    'rhénium',
    'rhéniums',
    'rhéobase',
    'rhéobases',
    'rhéologie',
    'rhéologies',
    'rhéologique',
    'rhéologiques',
    'rhéologue',
    'rhéologues',
    'rhéomètre',
    'rhéomètres',
    'rhéophile',
    'rhéophiles',
    'rhéostat',
    'rhéostatique',
    'rhéostats',
    'rhés',
    'rhésus',
    'rhéteur',
    'rhéteurs',
    'rhétien',
    'rhétienne',
    'rhétiennes',
    'rhétiens',
    'rhétique',
    'rhétiques',
    'rhétoricien',
    'rhétoriciens',
    'rhétorique',
    'rhétoriques',
    'rhétoriqueur',
    'riaient',
    'riais',
    'riait',
    'rial',
    'rials',
    'riant',
    'riante',
    'riantes',
    'riants',
    'rias',
    'ribambelle',
    'ribambelles',
    'ribaud',
    'ribaude',
    'ribaudequin',
    'ribaudequins',
    'ribaudes',
    'ribauds',
    'ribla',
    'riblage',
    'riblages',
    'riblai',
    'riblaient',
    'riblais',
    'riblait',
    'riblant',
    'riblas',
    'riblasse',
    'riblassent',
    'riblasses',
    'riblassiez',
    'riblassions',
    'rible',
    'riblent',
    'ribler',
    'riblera',
    'riblerai',
    'ribleraient',
    'riblerais',
    'riblerait',
    'ribleras',
    'riblerez',
    'ribleriez',
    'riblerions',
    'riblerons',
    'ribleront',
    'ribles',
    'riblez',
    'ribliez',
    'riblions',
    'riblon',
    'riblons',
    'riblâmes',
    'riblât',
    'riblâtes',
    'riblèrent',
    'riblé',
    'riblée',
    'riblées',
    'riblés',
    'riboflavine',
    'riboflavines',
    'ribonucléase',
    'ribose',
    'riboses',
    'ribosome',
    'ribosomes',
    'ribote',
    'ribotes',
    'ribouis',
    'riboula',
    'riboulai',
    'riboulaient',
    'riboulais',
    'riboulait',
    'riboulant',
    'riboulas',
    'riboulasse',
    'riboulassent',
    'riboulasses',
    'riboulassiez',
    'ribouldingue',
    'riboule',
    'riboulent',
    'ribouler',
    'riboulera',
    'riboulerai',
    'riboulerais',
    'riboulerait',
    'ribouleras',
    'riboulerez',
    'ribouleriez',
    'riboulerions',
    'riboulerons',
    'ribouleront',
    'riboules',
    'riboulez',
    'ribouliez',
    'riboulions',
    'riboulons',
    'riboulâmes',
    'riboulât',
    'riboulâtes',
    'riboulèrent',
    'riboulé',
    'ricain',
    'ricaine',
    'ricaines',
    'ricains',
    'ricana',
    'ricanai',
    'ricanaient',
    'ricanais',
    'ricanait',
    'ricanant',
    'ricanas',
    'ricanasse',
    'ricanassent',
    'ricanasses',
    'ricanassiez',
    'ricanassions',
    'ricane',
    'ricanement',
    'ricanements',
    'ricanent',
    'ricaner',
    'ricanera',
    'ricanerai',
    'ricaneraient',
    'ricanerais',
    'ricanerait',
    'ricaneras',
    'ricanerez',
    'ricaneriez',
    'ricanerions',
    'ricanerons',
    'ricaneront',
    'ricanes',
    'ricaneur',
    'ricaneurs',
    'ricaneuse',
    'ricaneuses',
    'ricanez',
    'ricaniez',
    'ricanions',
    'ricanons',
    'ricanâmes',
    'ricanât',
    'ricanâtes',
    'ricanèrent',
    'ricané',
    'riccie',
    'riccies',
    'ricercare',
    'ricercari',
    'richard',
    'richarde',
    'richardes',
    'richards',
    'riche',
    'richelieu',
    'richelieus',
    'richement',
    'riches',
    'richesse',
    'richesses',
    'richissime',
    'richissimes',
    'ricin',
    'riciné',
    'ricinée',
    'ricinées',
    'ricinés',
    'rickettsie',
    'rickettsies',
    'rickettsiose',
    'ricocha',
    'ricochai',
    'ricochaient',
    'ricochais',
    'ricochait',
    'ricochant',
    'ricochas',
    'ricochasse',
    'ricochassent',
    'ricochasses',
    'ricochassiez',
    'ricoche',
    'ricochent',
    'ricocher',
    'ricochera',
    'ricocherai',
    'ricocherais',
    'ricocherait',
    'ricocheras',
    'ricocherez',
    'ricocheriez',
    'ricocherions',
    'ricocherons',
    'ricocheront',
    'ricoches',
    'ricochet',
    'ricochets',
    'ricochez',
    'ricochiez',
    'ricochions',
    'ricochons',
    'ricochâmes',
    'ricochât',
    'ricochâtes',
    'ricochèrent',
    'ricoché',
    'ricochée',
    'ricochées',
    'ricochés',
    'rictus',
    'rida',
    'ridage',
    'ridages',
    'ridai',
    'ridaient',
    'ridais',
    'ridait',
    'ridant',
    'ridas',
    'ridasse',
    'ridassent',
    'ridasses',
    'ridassiez',
    'ridassions',
    'ride',
    'rideau',
    'rideaux',
    'ridelle',
    'ridelles',
    'ridement',
    'ridements',
    'rident',
    'rider',
    'ridera',
    'riderai',
    'rideraient',
    'riderais',
    'riderait',
    'rideras',
    'riderez',
    'rideriez',
    'riderions',
    'riderons',
    'rideront',
    'rides',
    'ridez',
    'ridicule',
    'ridiculement',
    'ridicules',
    'ridiculisa',
    'ridiculisai',
    'ridiculisais',
    'ridiculisait',
    'ridiculisant',
    'ridiculisas',
    'ridiculise',
    'ridiculisent',
    'ridiculiser',
    'ridiculisera',
    'ridiculises',
    'ridiculisez',
    'ridiculisiez',
    'ridiculisons',
    'ridiculisât',
    'ridiculisé',
    'ridiculisée',
    'ridiculisées',
    'ridiculisés',
    'ridiez',
    'ridions',
    'ridoir',
    'ridoirs',
    'ridons',
    'ridule',
    'ridules',
    'ridâmes',
    'ridât',
    'ridâtes',
    'ridèrent',
    'ridé',
    'ridée',
    'ridées',
    'ridés',
    'riel',
    'riels',
    'rien',
    'riens',
    'rient',
    'ries',
    'riesling',
    'rieslings',
    'rieur',
    'rieurs',
    'rieuse',
    'rieuses',
    'riez',
    'riffauda',
    'riffaudai',
    'riffaudaient',
    'riffaudais',
    'riffaudait',
    'riffaudant',
    'riffaudas',
    'riffaudasse',
    'riffaudasses',
    'riffaude',
    'riffaudent',
    'riffauder',
    'riffaudera',
    'riffauderai',
    'riffauderais',
    'riffauderait',
    'riffauderas',
    'riffauderez',
    'riffauderiez',
    'riffauderons',
    'riffauderont',
    'riffaudes',
    'riffaudez',
    'riffaudiez',
    'riffaudions',
    'riffaudons',
    'riffaudâmes',
    'riffaudât',
    'riffaudâtes',
    'riffaudèrent',
    'riffaudé',
    'riffaudée',
    'riffaudées',
    'riffaudés',
    'riffle',
    'riffles',
    'rififi',
    'rififis',
    'rifla',
    'riflai',
    'riflaient',
    'riflais',
    'riflait',
    'riflant',
    'riflard',
    'riflards',
    'riflas',
    'riflasse',
    'riflassent',
    'riflasses',
    'riflassiez',
    'riflassions',
    'rifle',
    'riflent',
    'rifler',
    'riflera',
    'riflerai',
    'rifleraient',
    'riflerais',
    'riflerait',
    'rifleras',
    'riflerez',
    'rifleriez',
    'riflerions',
    'riflerons',
    'rifleront',
    'rifles',
    'riflette',
    'riflettes',
    'riflez',
    'rifliez',
    'riflions',
    'rifloir',
    'rifloirs',
    'riflons',
    'riflâmes',
    'riflât',
    'riflâtes',
    'riflèrent',
    'riflé',
    'riflée',
    'riflées',
    'riflés',
    'rift',
    'rifts',
    'rigaudon',
    'rigaudons',
    'rigide',
    'rigidement',
    'rigides',
    'rigidifia',
    'rigidifiai',
    'rigidifiais',
    'rigidifiait',
    'rigidifiant',
    'rigidifias',
    'rigidifiasse',
    'rigidifie',
    'rigidifient',
    'rigidifier',
    'rigidifiera',
    'rigidifierai',
    'rigidifieras',
    'rigidifierez',
    'rigidifies',
    'rigidifiez',
    'rigidifiiez',
    'rigidifiions',
    'rigidifions',
    'rigidifiâmes',
    'rigidifiât',
    'rigidifiâtes',
    'rigidifié',
    'rigidifiée',
    'rigidifiées',
    'rigidifiés',
    'rigidité',
    'rigidités',
    'rigodon',
    'rigodons',
    'rigola',
    'rigolade',
    'rigolades',
    'rigolage',
    'rigolages',
    'rigolai',
    'rigolaient',
    'rigolais',
    'rigolait',
    'rigolant',
    'rigolard',
    'rigolarde',
    'rigolardes',
    'rigolards',
    'rigolas',
    'rigolasse',
    'rigolassent',
    'rigolasses',
    'rigolassiez',
    'rigolassions',
    'rigole',
    'rigolent',
    'rigoler',
    'rigolera',
    'rigolerai',
    'rigoleraient',
    'rigolerais',
    'rigolerait',
    'rigoleras',
    'rigolerez',
    'rigoleriez',
    'rigolerions',
    'rigolerons',
    'rigoleront',
    'rigoles',
    'rigoleur',
    'rigoleurs',
    'rigoleuse',
    'rigoleuses',
    'rigolez',
    'rigoliez',
    'rigolions',
    'rigolo',
    'rigolons',
    'rigolos',
    'rigolote',
    'rigolotes',
    'rigolâmes',
    'rigolât',
    'rigolâtes',
    'rigolèrent',
    'rigolé',
    'rigorisme',
    'rigorismes',
    'rigoriste',
    'rigoristes',
    'rigotte',
    'rigottes',
    'rigoureuse',
    'rigoureuses',
    'rigoureux',
    'rigueur',
    'rigueurs',
    'riiez',
    'riions',
    'rikiki',
    'rillettes',
    'rillons',
    'rima',
    'rimai',
    'rimaient',
    'rimailla',
    'rimaillai',
    'rimaillaient',
    'rimaillais',
    'rimaillait',
    'rimaillant',
    'rimaillas',
    'rimaillasse',
    'rimaillasses',
    'rimaille',
    'rimaillent',
    'rimailler',
    'rimaillera',
    'rimaillerai',
    'rimaillerais',
    'rimaillerait',
    'rimailleras',
    'rimaillerez',
    'rimailleriez',
    'rimaillerons',
    'rimailleront',
    'rimailles',
    'rimailleur',
    'rimailleurs',
    'rimailleuse',
    'rimailleuses',
    'rimaillez',
    'rimailliez',
    'rimaillions',
    'rimaillons',
    'rimaillâmes',
    'rimaillât',
    'rimaillâtes',
    'rimaillèrent',
    'rimaillé',
    'rimais',
    'rimait',
    'rimant',
    'rimas',
    'rimasse',
    'rimassent',
    'rimasses',
    'rimassiez',
    'rimassions',
    'rimaye',
    'rimayes',
    'rime',
    'riment',
    'rimer',
    'rimera',
    'rimerai',
    'rimeraient',
    'rimerais',
    'rimerait',
    'rimeras',
    'rimerez',
    'rimeriez',
    'rimerions',
    'rimerons',
    'rimeront',
    'rimes',
    'rimeur',
    'rimeurs',
    'rimeuse',
    'rimeuses',
    'rimez',
    'rimiez',
    'rimions',
    'rimons',
    'rimâmes',
    'rimât',
    'rimâtes',
    'rimèrent',
    'rimé',
    'rimée',
    'rimées',
    'rimés',
    'rince',
    'rinceau',
    'rinceaux',
    'rincent',
    'rincer',
    'rincera',
    'rincerai',
    'rinceraient',
    'rincerais',
    'rincerait',
    'rinceras',
    'rincerez',
    'rinceriez',
    'rincerions',
    'rincerons',
    'rinceront',
    'rinces',
    'rincette',
    'rincettes',
    'rinceur',
    'rinceurs',
    'rinceuse',
    'rinceuses',
    'rincez',
    'rinciez',
    'rincions',
    'rincèrent',
    'rincé',
    'rincée',
    'rincées',
    'rincés',
    'rinforzando',
    'ring',
    'ringard',
    'ringarda',
    'ringardage',
    'ringardages',
    'ringardai',
    'ringardaient',
    'ringardais',
    'ringardait',
    'ringardant',
    'ringardas',
    'ringardasse',
    'ringardasses',
    'ringarde',
    'ringardent',
    'ringarder',
    'ringardera',
    'ringarderai',
    'ringarderais',
    'ringarderait',
    'ringarderas',
    'ringarderez',
    'ringarderiez',
    'ringarderons',
    'ringarderont',
    'ringardes',
    'ringardez',
    'ringardiez',
    'ringardions',
    'ringardons',
    'ringards',
    'ringardâmes',
    'ringardât',
    'ringardâtes',
    'ringardèrent',
    'ringardé',
    'ringardée',
    'ringardées',
    'ringardés',
    'rings',
    'rinça',
    'rinçage',
    'rinçages',
    'rinçai',
    'rinçaient',
    'rinçais',
    'rinçait',
    'rinçant',
    'rinças',
    'rinçasse',
    'rinçassent',
    'rinçasses',
    'rinçassiez',
    'rinçassions',
    'rinçons',
    'rinçure',
    'rinçures',
    'rinçâmes',
    'rinçât',
    'rinçâtes',
    'rions',
    'rioter',
    'ripa',
    'ripage',
    'ripages',
    'ripai',
    'ripaient',
    'ripailla',
    'ripaillai',
    'ripaillaient',
    'ripaillais',
    'ripaillait',
    'ripaillant',
    'ripaillas',
    'ripaillasse',
    'ripaillasses',
    'ripaille',
    'ripaillent',
    'ripailler',
    'ripaillera',
    'ripaillerai',
    'ripaillerais',
    'ripaillerait',
    'ripailleras',
    'ripaillerez',
    'ripailleriez',
    'ripaillerons',
    'ripailleront',
    'ripailles',
    'ripailleur',
    'ripailleurs',
    'ripailleuse',
    'ripailleuses',
    'ripaillez',
    'ripailliez',
    'ripaillions',
    'ripaillons',
    'ripaillâmes',
    'ripaillât',
    'ripaillâtes',
    'ripaillèrent',
    'ripaillé',
    'ripais',
    'ripait',
    'ripant',
    'ripas',
    'ripasse',
    'ripassent',
    'ripasses',
    'ripassiez',
    'ripassions',
    'ripaton',
    'ripatons',
    'ripe',
    'ripent',
    'riper',
    'ripera',
    'riperai',
    'riperaient',
    'riperais',
    'riperait',
    'riperas',
    'riperez',
    'riperiez',
    'riperions',
    'riperons',
    'riperont',
    'ripes',
    'ripez',
    'ripieno',
    'ripiez',
    'ripions',
    'ripolina',
    'ripolinai',
    'ripolinaient',
    'ripolinais',
    'ripolinait',
    'ripolinant',
    'ripolinas',
    'ripolinasse',
    'ripolinasses',
    'ripoline',
    'ripolinent',
    'ripoliner',
    'ripolinera',
    'ripolinerai',
    'ripolinerais',
    'ripolinerait',
    'ripolineras',
    'ripolinerez',
    'ripolineriez',
    'ripolinerons',
    'ripolineront',
    'ripolines',
    'ripolinez',
    'ripoliniez',
    'ripolinions',
    'ripolinons',
    'ripolinâmes',
    'ripolinât',
    'ripolinâtes',
    'ripolinèrent',
    'ripoliné',
    'ripolinée',
    'ripolinées',
    'ripolinés',
    'ripons',
    'riposta',
    'ripostai',
    'ripostaient',
    'ripostais',
    'ripostait',
    'ripostant',
    'ripostas',
    'ripostasse',
    'ripostassent',
    'ripostasses',
    'ripostassiez',
    'riposte',
    'ripostent',
    'riposter',
    'ripostera',
    'riposterai',
    'riposterais',
    'riposterait',
    'riposteras',
    'riposterez',
    'riposteriez',
    'riposterions',
    'riposterons',
    'riposteront',
    'ripostes',
    'ripostez',
    'ripostiez',
    'ripostions',
    'ripostons',
    'ripostâmes',
    'ripostât',
    'ripostâtes',
    'ripostèrent',
    'riposté',
    'ripostée',
    'ripostées',
    'ripostés',
    'ripper',
    'rippers',
    'ripuaire',
    'ripuaires',
    'ripâmes',
    'ripât',
    'ripâtes',
    'ripèrent',
    'ripé',
    'ripée',
    'ripées',
    'ripés',
    'riquiqui',
    'rira',
    'rirai',
    'riraient',
    'rirais',
    'rirait',
    'riras',
    'rire',
    'rirent',
    'rires',
    'rirez',
    'ririez',
    'ririons',
    'rirons',
    'riront',
    'risban',
    'risbans',
    'risberme',
    'risbermes',
    'riser',
    'risette',
    'risettes',
    'risible',
    'risiblement',
    'risibles',
    'risorius',
    'risotto',
    'risottos',
    'risqua',
    'risquai',
    'risquaient',
    'risquais',
    'risquait',
    'risquant',
    'risquas',
    'risquasse',
    'risquassent',
    'risquasses',
    'risquassiez',
    'risquassions',
    'risque',
    'risquent',
    'risquer',
    'risquera',
    'risquerai',
    'risqueraient',
    'risquerais',
    'risquerait',
    'risqueras',
    'risquerez',
    'risqueriez',
    'risquerions',
    'risquerons',
    'risqueront',
    'risques',
    'risquez',
    'risquiez',
    'risquions',
    'risquons',
    'risquâmes',
    'risquât',
    'risquâtes',
    'risquèrent',
    'risqué',
    'risquée',
    'risquées',
    'risqués',
    'risse',
    'rissent',
    'risses',
    'rissiez',
    'rissions',
    'rissola',
    'rissolai',
    'rissolaient',
    'rissolais',
    'rissolait',
    'rissolant',
    'rissolas',
    'rissolasse',
    'rissolassent',
    'rissolasses',
    'rissolassiez',
    'rissole',
    'rissolent',
    'rissoler',
    'rissolera',
    'rissolerai',
    'rissolerais',
    'rissolerait',
    'rissoleras',
    'rissolerez',
    'rissoleriez',
    'rissolerions',
    'rissolerons',
    'rissoleront',
    'rissoles',
    'rissolez',
    'rissoliez',
    'rissolions',
    'rissolons',
    'rissolâmes',
    'rissolât',
    'rissolâtes',
    'rissolèrent',
    'rissolé',
    'rissolée',
    'rissolées',
    'rissolés',
    'ristourna',
    'ristournai',
    'ristournais',
    'ristournait',
    'ristournant',
    'ristournas',
    'ristournasse',
    'ristourne',
    'ristournent',
    'ristourner',
    'ristournera',
    'ristournerai',
    'ristourneras',
    'ristournerez',
    'ristournes',
    'ristournez',
    'ristourniez',
    'ristournions',
    'ristournons',
    'ristournâmes',
    'ristournât',
    'ristournâtes',
    'ristourné',
    'ristournée',
    'ristournées',
    'ristournés',
    'risée',
    'risées',
    'rital',
    'ritals',
    'rite',
    'rites',
    'ritournelle',
    'ritournelles',
    'ritualisa',
    'ritualisai',
    'ritualisais',
    'ritualisait',
    'ritualisant',
    'ritualisas',
    'ritualisasse',
    'ritualise',
    'ritualisent',
    'ritualiser',
    'ritualisera',
    'ritualiserai',
    'ritualiseras',
    'ritualiserez',
    'ritualises',
    'ritualisez',
    'ritualisiez',
    'ritualisions',
    'ritualisme',
    'ritualismes',
    'ritualisons',
    'ritualiste',
    'ritualistes',
    'ritualisâmes',
    'ritualisât',
    'ritualisâtes',
    'ritualisé',
    'ritualisée',
    'ritualisées',
    'ritualisés',
    'rituel',
    'rituelle',
    'rituellement',
    'rituelles',
    'rituels',
    'riva',
    'rivage',
    'rivages',
    'rivai',
    'rivaient',
    'rivais',
    'rivait',
    'rival',
    'rivale',
    'rivales',
    'rivalisa',
    'rivalisai',
    'rivalisaient',
    'rivalisais',
    'rivalisait',
    'rivalisant',
    'rivalisas',
    'rivalisasse',
    'rivalisasses',
    'rivalise',
    'rivalisent',
    'rivaliser',
    'rivalisera',
    'rivaliserai',
    'rivaliserais',
    'rivaliserait',
    'rivaliseras',
    'rivaliserez',
    'rivaliseriez',
    'rivaliserons',
    'rivaliseront',
    'rivalises',
    'rivalisez',
    'rivalisiez',
    'rivalisions',
    'rivalisons',
    'rivalisâmes',
    'rivalisât',
    'rivalisâtes',
    'rivalisèrent',
    'rivalisé',
    'rivalité',
    'rivalités',
    'rivant',
    'rivas',
    'rivasse',
    'rivassent',
    'rivasses',
    'rivassiez',
    'rivassions',
    'rivaux',
    'rive',
    'rivelaine',
    'rivelaines',
    'rivent',
    'river',
    'rivera',
    'riverai',
    'riveraient',
    'riverain',
    'riveraine',
    'riveraines',
    'riveraineté',
    'riverainetés',
    'riverains',
    'riverais',
    'riverait',
    'riveras',
    'riverez',
    'riveriez',
    'riverions',
    'riverons',
    'riveront',
    'rives',
    'rivet',
    'riveta',
    'rivetage',
    'rivetages',
    'rivetai',
    'rivetaient',
    'rivetais',
    'rivetait',
    'rivetant',
    'rivetas',
    'rivetasse',
    'rivetassent',
    'rivetasses',
    'rivetassiez',
    'rivetassions',
    'riveter',
    'riveteuse',
    'riveteuses',
    'rivetez',
    'rivetiez',
    'rivetions',
    'rivetons',
    'rivets',
    'rivette',
    'rivettent',
    'rivettera',
    'rivetterai',
    'rivetterais',
    'rivetterait',
    'rivetteras',
    'rivetterez',
    'rivetteriez',
    'rivetterions',
    'rivetterons',
    'rivetteront',
    'rivettes',
    'rivetâmes',
    'rivetât',
    'rivetâtes',
    'rivetèrent',
    'riveté',
    'rivetée',
    'rivetées',
    'rivetés',
    'riveur',
    'riveurs',
    'riveuse',
    'riveuses',
    'rivez',
    'riviez',
    'rivions',
    'rivière',
    'rivières',
    'rivoir',
    'rivoirs',
    'rivons',
    'rivulair',
    'rivulairs',
    'rivure',
    'rivures',
    'rivâmes',
    'rivât',
    'rivâtes',
    'rivèrent',
    'rivé',
    'rivée',
    'rivées',
    'rivés',
    'rixdale',
    'rixdales',
    'rixe',
    'rixes',
    'rizerie',
    'rizeries',
    'riziculteur',
    'riziculteurs',
    'rizicultrice',
    'riziculture',
    'rizicultures',
    'rizière',
    'rizières',
    'roadster',
    'roadsters',
    'roba',
    'robage',
    'robages',
    'robai',
    'robaient',
    'robais',
    'robait',
    'robant',
    'robas',
    'robasse',
    'robassent',
    'robasses',
    'robassiez',
    'robassions',
    'robe',
    'robelage',
    'robelages',
    'robent',
    'rober',
    'robera',
    'roberai',
    'roberaient',
    'roberais',
    'roberait',
    'roberas',
    'roberez',
    'roberiez',
    'roberions',
    'roberons',
    'roberont',
    'robert',
    'roberts',
    'robes',
    'robez',
    'robiez',
    'robin',
    'robinet',
    'robinetier',
    'robinetiers',
    'robinets',
    'robinetterie',
    'robinier',
    'robiniers',
    'robins',
    'robions',
    'robons',
    'roboratif',
    'roboratifs',
    'roborative',
    'roboratives',
    'robot',
    'robotique',
    'robotiques',
    'robotisa',
    'robotisai',
    'robotisaient',
    'robotisais',
    'robotisait',
    'robotisant',
    'robotisas',
    'robotisasse',
    'robotisasses',
    'robotisation',
    'robotise',
    'robotisent',
    'robotiser',
    'robotisera',
    'robotiserai',
    'robotiserais',
    'robotiserait',
    'robotiseras',
    'robotiserez',
    'robotiseriez',
    'robotiserons',
    'robotiseront',
    'robotises',
    'robotisez',
    'robotisiez',
    'robotisions',
    'robotisons',
    'robotisâmes',
    'robotisât',
    'robotisâtes',
    'robotisèrent',
    'robotisé',
    'robotisée',
    'robotisées',
    'robotisés',
    'robots',
    'robs',
    'robuste',
    'robustement',
    'robustes',
    'robustesse',
    'robustesses',
    'robâmes',
    'robât',
    'robâtes',
    'robèrent',
    'robé',
    'robée',
    'robées',
    'robés',
    'rocade',
    'rocades',
    'rocaillage',
    'rocaillages',
    'rocaille',
    'rocailles',
    'rocailleur',
    'rocailleurs',
    'rocailleuse',
    'rocailleuses',
    'rocailleux',
    'rochage',
    'rochages',
    'rochassier',
    'rochassiers',
    'rochassière',
    'rochassières',
    'roche',
    'rocher',
    'rochers',
    'roches',
    'rochet',
    'rochets',
    'rocheuse',
    'rocheuses',
    'rocheux',
    'rochier',
    'rochiers',
    'rock',
    'rocker',
    'rockers',
    'rocket',
    'rockets',
    'rockeuse',
    'rockeuses',
    'rocks',
    'rococo',
    'rococos',
    'rocou',
    'rocoua',
    'rocouai',
    'rocouaient',
    'rocouais',
    'rocouait',
    'rocouant',
    'rocouas',
    'rocouasse',
    'rocouassent',
    'rocouasses',
    'rocouassiez',
    'rocouassions',
    'rocoue',
    'rocouent',
    'rocouer',
    'rocouera',
    'rocouerai',
    'rocoueraient',
    'rocouerais',
    'rocouerait',
    'rocoueras',
    'rocouerez',
    'rocoueriez',
    'rocouerions',
    'rocouerons',
    'rocoueront',
    'rocoues',
    'rocouez',
    'rocouiez',
    'rocouions',
    'rocouons',
    'rocous',
    'rocouyer',
    'rocouyers',
    'rocouâmes',
    'rocouât',
    'rocouâtes',
    'rocouèrent',
    'rocoué',
    'rocouée',
    'rocouées',
    'rocoués',
    'rocqua',
    'rocquai',
    'rocquaient',
    'rocquais',
    'rocquait',
    'rocquant',
    'rocquas',
    'rocquasse',
    'rocquassent',
    'rocquasses',
    'rocquassiez',
    'rocquassions',
    'rocque',
    'rocquent',
    'rocquer',
    'rocquera',
    'rocquerai',
    'rocqueraient',
    'rocquerais',
    'rocquerait',
    'rocqueras',
    'rocquerez',
    'rocqueriez',
    'rocquerions',
    'rocquerons',
    'rocqueront',
    'rocques',
    'rocquez',
    'rocquiez',
    'rocquions',
    'rocquons',
    'rocquâmes',
    'rocquât',
    'rocquâtes',
    'rocquèrent',
    'rocqué',
    'rocs',
    'roda',
    'rodage',
    'rodages',
    'rodai',
    'rodaient',
    'rodais',
    'rodait',
    'rodant',
    'rodas',
    'rodasse',
    'rodassent',
    'rodasses',
    'rodassiez',
    'rodassions',
    'rode',
    'rodent',
    'roder',
    'rodera',
    'roderai',
    'roderaient',
    'roderais',
    'roderait',
    'roderas',
    'roderez',
    'roderiez',
    'roderions',
    'roderons',
    'roderont',
    'rodes',
    'rodez',
    'rodiez',
    'rodions',
    'rodoir',
    'rodoirs',
    'rodomont',
    'rodomontade',
    'rodomontades',
    'rodomonts',
    'rodons',
    'rodâmes',
    'rodât',
    'rodâtes',
    'rodèrent',
    'rodé',
    'rodée',
    'rodées',
    'rodéo',
    'rodéos',
    'rodés',
    'roentgen',
    'roentgens',
    'rogations',
    'rogatoire',
    'rogatoires',
    'rogaton',
    'rogatons',
    'rogna',
    'rognage',
    'rognages',
    'rognai',
    'rognaient',
    'rognais',
    'rognait',
    'rognant',
    'rognas',
    'rognasse',
    'rognassent',
    'rognasses',
    'rognassiez',
    'rognassions',
    'rogne',
    'rognent',
    'rogner',
    'rognera',
    'rognerai',
    'rogneraient',
    'rognerais',
    'rognerait',
    'rogneras',
    'rognerez',
    'rogneriez',
    'rognerions',
    'rognerons',
    'rogneront',
    'rognes',
    'rogneur',
    'rogneurs',
    'rogneuse',
    'rogneuses',
    'rognez',
    'rogniez',
    'rognions',
    'rognon',
    'rognonna',
    'rognonnai',
    'rognonnaient',
    'rognonnais',
    'rognonnait',
    'rognonnant',
    'rognonnas',
    'rognonnasse',
    'rognonnasses',
    'rognonne',
    'rognonnent',
    'rognonner',
    'rognonnera',
    'rognonnerai',
    'rognonnerais',
    'rognonnerait',
    'rognonneras',
    'rognonnerez',
    'rognonneriez',
    'rognonnerons',
    'rognonneront',
    'rognonnes',
    'rognonnez',
    'rognonniez',
    'rognonnions',
    'rognonnons',
    'rognonnâmes',
    'rognonnât',
    'rognonnâtes',
    'rognonnèrent',
    'rognonné',
    'rognonnée',
    'rognonnées',
    'rognonnés',
    'rognons',
    'rognure',
    'rognures',
    'rognâmes',
    'rognât',
    'rognâtes',
    'rognèrent',
    'rogné',
    'rognée',
    'rognées',
    'rognés',
    'rogomme',
    'rogommes',
    'rogue',
    'rogues',
    'rogué',
    'roguée',
    'roguées',
    'rogués',
    'rohart',
    'roharts',
    'roide',
    'roides',
    'roideur',
    'roideurs',
    'roidi',
    'roidie',
    'roidies',
    'roidir',
    'roidira',
    'roidirai',
    'roidiraient',
    'roidirais',
    'roidirait',
    'roidiras',
    'roidirent',
    'roidirez',
    'roidiriez',
    'roidirions',
    'roidirons',
    'roidiront',
    'roidis',
    'roidissaient',
    'roidissais',
    'roidissait',
    'roidissant',
    'roidisse',
    'roidissent',
    'roidisses',
    'roidissez',
    'roidissiez',
    'roidissions',
    'roidissons',
    'roidit',
    'roidîmes',
    'roidît',
    'roidîtes',
    'rois',
    'roitelet',
    'roitelets',
    'roll',
    'rollier',
    'rolliers',
    'rollmops',
    'romain',
    'romaine',
    'romaines',
    'romains',
    'roman',
    'romance',
    'romancent',
    'romancer',
    'romancera',
    'romancerai',
    'romancerais',
    'romancerait',
    'romanceras',
    'romancerez',
    'romanceriez',
    'romancerions',
    'romancero',
    'romancerons',
    'romanceront',
    'romanceros',
    'romances',
    'romancez',
    'romanche',
    'romanches',
    'romancier',
    'romanciers',
    'romanciez',
    'romancions',
    'romancière',
    'romancières',
    'romancèrent',
    'romancé',
    'romancée',
    'romancées',
    'romancés',
    'romand',
    'romande',
    'romandes',
    'romands',
    'romane',
    'romanes',
    'romanesque',
    'romanesques',
    'romani',
    'romanichel',
    'romanichelle',
    'romanichels',
    'romanis',
    'romanisa',
    'romanisai',
    'romanisaient',
    'romanisais',
    'romanisait',
    'romanisant',
    'romanisas',
    'romanisasse',
    'romanisasses',
    'romanisation',
    'romanise',
    'romanisent',
    'romaniser',
    'romanisera',
    'romaniserai',
    'romaniserais',
    'romaniserait',
    'romaniseras',
    'romaniserez',
    'romaniseriez',
    'romaniserons',
    'romaniseront',
    'romanises',
    'romanisez',
    'romanisiez',
    'romanisions',
    'romanisons',
    'romaniste',
    'romanistes',
    'romanisâmes',
    'romanisât',
    'romanisâtes',
    'romanisèrent',
    'romanisé',
    'romanisée',
    'romanisées',
    'romanisés',
    'romanité',
    'romanités',
    'romano',
    'romanos',
    'romans',
    'romantique',
    'romantiques',
    'romantisme',
    'romantismes',
    'romança',
    'romançai',
    'romançaient',
    'romançais',
    'romançait',
    'romançant',
    'romanças',
    'romançasse',
    'romançassent',
    'romançasses',
    'romançassiez',
    'romançons',
    'romançâmes',
    'romançât',
    'romançâtes',
    'romarin',
    'romarins',
    'rombière',
    'rombières',
    'rompaient',
    'rompais',
    'rompait',
    'rompant',
    'rompe',
    'rompent',
    'rompes',
    'rompez',
    'rompiez',
    'rompions',
    'rompirent',
    'rompis',
    'rompisse',
    'rompissent',
    'rompisses',
    'rompissiez',
    'rompissions',
    'rompit',
    'rompons',
    'rompra',
    'romprai',
    'rompraient',
    'romprais',
    'romprait',
    'rompras',
    'rompre',
    'romprez',
    'rompriez',
    'romprions',
    'romprons',
    'rompront',
    'romps',
    'rompt',
    'rompu',
    'rompue',
    'rompues',
    'rompus',
    'rompîmes',
    'rompît',
    'rompîtes',
    'romsteck',
    'romstecks',
    'ronce',
    'ronceraie',
    'ronceraies',
    'ronces',
    'ronceuse',
    'ronceuses',
    'ronceux',
    'ronchon',
    'ronchonna',
    'ronchonnai',
    'ronchonnais',
    'ronchonnait',
    'ronchonnant',
    'ronchonnas',
    'ronchonnasse',
    'ronchonne',
    'ronchonneau',
    'ronchonneaux',
    'ronchonnent',
    'ronchonner',
    'ronchonnera',
    'ronchonnerai',
    'ronchonneras',
    'ronchonnerez',
    'ronchonnes',
    'ronchonneur',
    'ronchonneurs',
    'ronchonneuse',
    'ronchonnez',
    'ronchonniez',
    'ronchonnions',
    'ronchonnons',
    'ronchonnâmes',
    'ronchonnât',
    'ronchonnâtes',
    'ronchonné',
    'ronchons',
    'roncier',
    'ronciers',
    'roncière',
    'roncières',
    'rond',
    'rondache',
    'rondaches',
    'ronde',
    'rondeau',
    'rondeaux',
    'rondelet',
    'rondelets',
    'rondelette',
    'rondelettes',
    'rondelle',
    'rondelles',
    'rondement',
    'rondes',
    'rondeur',
    'rondeurs',
    'rondi',
    'rondie',
    'rondier',
    'rondiers',
    'rondies',
    'rondin',
    'rondins',
    'rondir',
    'rondira',
    'rondirai',
    'rondiraient',
    'rondirais',
    'rondirait',
    'rondiras',
    'rondirent',
    'rondirez',
    'rondiriez',
    'rondirions',
    'rondirons',
    'rondiront',
    'rondis',
    'rondissaient',
    'rondissais',
    'rondissait',
    'rondissant',
    'rondisse',
    'rondissent',
    'rondisses',
    'rondissez',
    'rondissiez',
    'rondissions',
    'rondissons',
    'rondit',
    'rondo',
    'rondos',
    'rondouillard',
    'ronds',
    'rondîmes',
    'rondît',
    'rondîtes',
    'ronfla',
    'ronflagua',
    'ronflaguai',
    'ronflaguais',
    'ronflaguait',
    'ronflaguant',
    'ronflaguas',
    'ronflaguasse',
    'ronflague',
    'ronflaguent',
    'ronflaguer',
    'ronflaguera',
    'ronflaguerai',
    'ronflagueras',
    'ronflaguerez',
    'ronflagues',
    'ronflaguez',
    'ronflaguiez',
    'ronflaguions',
    'ronflaguons',
    'ronflaguâmes',
    'ronflaguât',
    'ronflaguâtes',
    'ronflagué',
    'ronflai',
    'ronflaient',
    'ronflais',
    'ronflait',
    'ronflant',
    'ronflante',
    'ronflantes',
    'ronflants',
    'ronflas',
    'ronflasse',
    'ronflassent',
    'ronflasses',
    'ronflassiez',
    'ronflassions',
    'ronfle',
    'ronflement',
    'ronflements',
    'ronflent',
    'ronfler',
    'ronflera',
    'ronflerai',
    'ronfleraient',
    'ronflerais',
    'ronflerait',
    'ronfleras',
    'ronflerez',
    'ronfleriez',
    'ronflerions',
    'ronflerons',
    'ronfleront',
    'ronfles',
    'ronfleur',
    'ronfleurs',
    'ronfleuse',
    'ronfleuses',
    'ronflez',
    'ronfliez',
    'ronflions',
    'ronflons',
    'ronflâmes',
    'ronflât',
    'ronflâtes',
    'ronflèrent',
    'ronflé',
    'ronge',
    'rongea',
    'rongeai',
    'rongeaient',
    'rongeais',
    'rongeait',
    'rongeant',
    'rongeas',
    'rongeasse',
    'rongeassent',
    'rongeasses',
    'rongeassiez',
    'rongeassions',
    'rongement',
    'rongements',
    'rongent',
    'rongeons',
    'ronger',
    'rongera',
    'rongerai',
    'rongeraient',
    'rongerais',
    'rongerait',
    'rongeras',
    'rongerez',
    'rongeriez',
    'rongerions',
    'rongerons',
    'rongeront',
    'ronges',
    'rongeur',
    'rongeurs',
    'rongeuse',
    'rongeuses',
    'rongez',
    'rongeâmes',
    'rongeât',
    'rongeâtes',
    'rongiez',
    'rongions',
    'rongèrent',
    'rongé',
    'rongée',
    'rongées',
    'rongés',
    'ronron',
    'ronronna',
    'ronronnai',
    'ronronnaient',
    'ronronnais',
    'ronronnait',
    'ronronnant',
    'ronronnas',
    'ronronnasse',
    'ronronnasses',
    'ronronne',
    'ronronnement',
    'ronronnent',
    'ronronner',
    'ronronnera',
    'ronronnerai',
    'ronronnerais',
    'ronronnerait',
    'ronronneras',
    'ronronnerez',
    'ronronneriez',
    'ronronnerons',
    'ronronneront',
    'ronronnes',
    'ronronnez',
    'ronronniez',
    'ronronnions',
    'ronronnons',
    'ronronnâmes',
    'ronronnât',
    'ronronnâtes',
    'ronronnèrent',
    'ronronné',
    'ronronnée',
    'ronronnées',
    'ronronnés',
    'ronrons',
    'ronsardisa',
    'ronsardisai',
    'ronsardisais',
    'ronsardisait',
    'ronsardisant',
    'ronsardisas',
    'ronsardise',
    'ronsardisent',
    'ronsardiser',
    'ronsardisera',
    'ronsardises',
    'ronsardisez',
    'ronsardisiez',
    'ronsardisons',
    'ronsardisât',
    'ronsardisé',
    'ronéoter',
    'ronéotypa',
    'ronéotypai',
    'ronéotypais',
    'ronéotypait',
    'ronéotypant',
    'ronéotypas',
    'ronéotypasse',
    'ronéotype',
    'ronéotypent',
    'ronéotyper',
    'ronéotypera',
    'ronéotyperai',
    'ronéotyperas',
    'ronéotyperez',
    'ronéotypes',
    'ronéotypez',
    'ronéotypiez',
    'ronéotypions',
    'ronéotypons',
    'ronéotypâmes',
    'ronéotypât',
    'ronéotypâtes',
    'ronéotypé',
    'ronéotypée',
    'ronéotypées',
    'ronéotypés',
    'rookerie',
    'rookeries',
    'roqua',
    'roquai',
    'roquaient',
    'roquais',
    'roquait',
    'roquant',
    'roquas',
    'roquasse',
    'roquassent',
    'roquasses',
    'roquassiez',
    'roquassions',
    'roque',
    'roquefort',
    'roqueforts',
    'roquelaure',
    'roquelaures',
    'roquent',
    'roquentin',
    'roquentins',
    'roquer',
    'roquera',
    'roquerai',
    'roqueraient',
    'roquerais',
    'roquerait',
    'roqueras',
    'roquerez',
    'roquerie',
    'roqueries',
    'roqueriez',
    'roquerions',
    'roquerons',
    'roqueront',
    'roques',
    'roquet',
    'roquets',
    'roquette',
    'roquettes',
    'roquez',
    'roquiez',
    'roquions',
    'roquons',
    'roquâmes',
    'roquât',
    'roquâtes',
    'roquèrent',
    'roqué',
    'rorqual',
    'rorquals',
    'rosa',
    'rosace',
    'rosaces',
    'rosacé',
    'rosacée',
    'rosacées',
    'rosacés',
    'rosage',
    'rosages',
    'rosai',
    'rosaient',
    'rosaire',
    'rosaires',
    'rosais',
    'rosait',
    'rosalbin',
    'rosalbins',
    'rosaniline',
    'rosanilines',
    'rosant',
    'rosas',
    'rosasse',
    'rosassent',
    'rosasses',
    'rosassiez',
    'rosassions',
    'rosat',
    'rosbif',
    'rosbifs',
    'rose',
    'roseau',
    'roseaux',
    'roselet',
    'roselets',
    'roselier',
    'roseliers',
    'roselière',
    'roselières',
    'rosent',
    'roser',
    'rosera',
    'roserai',
    'roseraie',
    'roseraient',
    'roseraies',
    'roserais',
    'roserait',
    'roseras',
    'roserez',
    'roseriez',
    'roserions',
    'roserons',
    'roseront',
    'roses',
    'rosette',
    'rosettes',
    'rosez',
    'rosi',
    'rosicrucien',
    'rosicruciens',
    'rosie',
    'rosier',
    'rosiers',
    'rosies',
    'rosiez',
    'rosions',
    'rosir',
    'rosira',
    'rosirai',
    'rosiraient',
    'rosirais',
    'rosirait',
    'rosiras',
    'rosirent',
    'rosirez',
    'rosiriez',
    'rosirions',
    'rosirons',
    'rosiront',
    'rosis',
    'rosissaient',
    'rosissais',
    'rosissait',
    'rosissant',
    'rosisse',
    'rosissement',
    'rosissements',
    'rosissent',
    'rosisses',
    'rosissez',
    'rosissiez',
    'rosissions',
    'rosissons',
    'rosit',
    'rosière',
    'rosières',
    'rosiériste',
    'rosiéristes',
    'rosons',
    'rossa',
    'rossai',
    'rossaient',
    'rossais',
    'rossait',
    'rossant',
    'rossard',
    'rossards',
    'rossas',
    'rossasse',
    'rossassent',
    'rossasses',
    'rossassiez',
    'rossassions',
    'rosse',
    'rossent',
    'rosser',
    'rossera',
    'rosserai',
    'rosseraient',
    'rosserais',
    'rosserait',
    'rosseras',
    'rosserez',
    'rosserie',
    'rosseries',
    'rosseriez',
    'rosserions',
    'rosserons',
    'rosseront',
    'rosses',
    'rossez',
    'rossiez',
    'rossignol',
    'rossignols',
    'rossinante',
    'rossinantes',
    'rossions',
    'rossissant',
    'rossisse',
    'rossolis',
    'rossons',
    'rossâmes',
    'rossât',
    'rossâtes',
    'rossèrent',
    'rossé',
    'rossée',
    'rossées',
    'rossés',
    'rostral',
    'rostrale',
    'rostrales',
    'rostraux',
    'rostre',
    'rostres',
    'rosâmes',
    'rosât',
    'rosâtes',
    'rosâtre',
    'rosâtres',
    'rosèrent',
    'rosé',
    'rosée',
    'rosées',
    'roséole',
    'roséoles',
    'rosés',
    'rosîmes',
    'rosît',
    'rosîtes',
    'rota',
    'rotacé',
    'rotacée',
    'rotacées',
    'rotacés',
    'rotai',
    'rotaient',
    'rotais',
    'rotait',
    'rotang',
    'rotangs',
    'rotant',
    'rotarien',
    'rotariens',
    'rotary',
    'rotarys',
    'rotas',
    'rotasse',
    'rotassent',
    'rotasses',
    'rotassiez',
    'rotassions',
    'rotateur',
    'rotateurs',
    'rotatif',
    'rotatifs',
    'rotation',
    'rotationnel',
    'rotations',
    'rotative',
    'rotatives',
    'rotatoire',
    'rotatoires',
    'rotatrice',
    'rotatrices',
    'rote',
    'rotengle',
    'rotengles',
    'rotent',
    'roter',
    'rotera',
    'roterai',
    'roteraient',
    'roterais',
    'roterait',
    'roteras',
    'roterez',
    'roteriez',
    'roterions',
    'roterons',
    'roteront',
    'rotes',
    'rotez',
    'rotiez',
    'rotifère',
    'rotifères',
    'rotin',
    'rotins',
    'rotions',
    'rotogravure',
    'rotogravures',
    'rotonde',
    'rotondes',
    'rotondité',
    'rotondités',
    'rotons',
    'rotor',
    'rotors',
    'rotrouenge',
    'rotrouenges',
    'rotruenge',
    'rotruenges',
    'rots',
    'rotule',
    'rotules',
    'rotulien',
    'rotulienne',
    'rotuliennes',
    'rotuliens',
    'roture',
    'rotures',
    'roturier',
    'roturiers',
    'roturière',
    'roturières',
    'rotâmes',
    'rotât',
    'rotâtes',
    'rotèrent',
    'roté',
    'roténone',
    'roténones',
    'roua',
    'rouableS',
    'rouage',
    'rouages',
    'rouai',
    'rouaient',
    'rouais',
    'rouait',
    'rouan',
    'rouanne',
    'rouannes',
    'rouannette',
    'rouannettes',
    'rouans',
    'rouant',
    'rouas',
    'rouasse',
    'rouassent',
    'rouasses',
    'rouassiez',
    'rouassions',
    'roublard',
    'roublarde',
    'roublardes',
    'roublardise',
    'roublardises',
    'roublards',
    'rouble',
    'roubles',
    'rouchi',
    'roucoula',
    'roucoulade',
    'roucoulades',
    'roucoulai',
    'roucoulaient',
    'roucoulais',
    'roucoulait',
    'roucoulant',
    'roucoulante',
    'roucoulantes',
    'roucoulants',
    'roucoulas',
    'roucoulasse',
    'roucoulasses',
    'roucoule',
    'roucoulement',
    'roucoulent',
    'roucouler',
    'roucoulera',
    'roucoulerai',
    'roucoulerais',
    'roucoulerait',
    'roucouleras',
    'roucoulerez',
    'roucouleriez',
    'roucoulerons',
    'roucouleront',
    'roucoules',
    'roucoulez',
    'roucouliez',
    'roucoulions',
    'roucoulons',
    'roucoulâmes',
    'roucoulât',
    'roucoulâtes',
    'roucoulèrent',
    'roucoulé',
    'roucoulée',
    'roucoulées',
    'roucoulés',
    'roudoudou',
    'roudoudous',
    'roue',
    'rouelle',
    'rouelles',
    'rouennerie',
    'rouenneries',
    'rouent',
    'rouer',
    'rouera',
    'rouerai',
    'roueraient',
    'rouerais',
    'rouerait',
    'roueras',
    'rouerez',
    'rouerie',
    'roueries',
    'roueriez',
    'rouerions',
    'rouerons',
    'roueront',
    'roues',
    'rouet',
    'rouets',
    'rouette',
    'rouettes',
    'rouez',
    'rouf',
    'rouflaquette',
    'roufs',
    'rouge',
    'rougeaud',
    'rougeaude',
    'rougeaudes',
    'rougeauds',
    'rougeoie',
    'rougeoiement',
    'rougeoient',
    'rougeoiera',
    'rougeoierai',
    'rougeoierais',
    'rougeoierait',
    'rougeoieras',
    'rougeoierez',
    'rougeoieriez',
    'rougeoierons',
    'rougeoieront',
    'rougeoies',
    'rougeole',
    'rougeoles',
    'rougeoya',
    'rougeoyai',
    'rougeoyaient',
    'rougeoyais',
    'rougeoyait',
    'rougeoyant',
    'rougeoyante',
    'rougeoyantes',
    'rougeoyants',
    'rougeoyas',
    'rougeoyasse',
    'rougeoyasses',
    'rougeoyer',
    'rougeoyez',
    'rougeoyiez',
    'rougeoyions',
    'rougeoyons',
    'rougeoyâmes',
    'rougeoyât',
    'rougeoyâtes',
    'rougeoyèrent',
    'rougeoyé',
    'rougeoyée',
    'rougeoyées',
    'rougeoyés',
    'rouges',
    'rouget',
    'rougets',
    'rougeur',
    'rougeurs',
    'rougeâtre',
    'rougeâtres',
    'rougi',
    'rougie',
    'rougies',
    'rougir',
    'rougira',
    'rougirai',
    'rougiraient',
    'rougirais',
    'rougirait',
    'rougiras',
    'rougirent',
    'rougirez',
    'rougiriez',
    'rougirions',
    'rougirons',
    'rougiront',
    'rougis',
    'rougissaient',
    'rougissais',
    'rougissait',
    'rougissant',
    'rougissante',
    'rougissantes',
    'rougissants',
    'rougisse',
    'rougissement',
    'rougissent',
    'rougisses',
    'rougissez',
    'rougissiez',
    'rougissions',
    'rougissons',
    'rougit',
    'rougîmes',
    'rougît',
    'rougîtes',
    'roui',
    'rouie',
    'rouies',
    'rouiez',
    'rouilla',
    'rouillai',
    'rouillaient',
    'rouillais',
    'rouillait',
    'rouillant',
    'rouillas',
    'rouillasse',
    'rouillassent',
    'rouillasses',
    'rouillassiez',
    'rouille',
    'rouillent',
    'rouiller',
    'rouillera',
    'rouillerai',
    'rouillerais',
    'rouillerait',
    'rouilleras',
    'rouillerez',
    'rouilleriez',
    'rouillerions',
    'rouillerons',
    'rouilleront',
    'rouilles',
    'rouillez',
    'rouilliez',
    'rouillions',
    'rouillons',
    'rouillure',
    'rouillures',
    'rouillâmes',
    'rouillât',
    'rouillâtes',
    'rouillèrent',
    'rouillé',
    'rouillée',
    'rouillées',
    'rouillés',
    'rouions',
    'rouir',
    'rouira',
    'rouirai',
    'rouiraient',
    'rouirais',
    'rouirait',
    'rouiras',
    'rouirent',
    'rouirez',
    'rouiriez',
    'rouirions',
    'rouirons',
    'rouiront',
    'rouis',
    'rouissage',
    'rouissages',
    'rouissaient',
    'rouissais',
    'rouissait',
    'rouissant',
    'rouisse',
    'rouissent',
    'rouisses',
    'rouissez',
    'rouissiez',
    'rouissions',
    'rouissoir',
    'rouissoirs',
    'rouissons',
    'rouit',
    'roula',
    'roulade',
    'roulades',
    'roulage',
    'roulages',
    'roulai',
    'roulaient',
    'roulais',
    'roulait',
    'roulant',
    'roulante',
    'roulantes',
    'roulants',
    'roulas',
    'roulasse',
    'roulassent',
    'roulasses',
    'roulassiez',
    'roulassions',
    'roule',
    'rouleau',
    'rouleauté',
    'rouleautée',
    'rouleautées',
    'rouleautés',
    'rouleaux',
    'roulement',
    'roulements',
    'roulent',
    'rouler',
    'roulera',
    'roulerai',
    'rouleraient',
    'roulerais',
    'roulerait',
    'rouleras',
    'roulerez',
    'rouleriez',
    'roulerions',
    'roulerons',
    'rouleront',
    'roules',
    'roulette',
    'roulettes',
    'rouleur',
    'rouleurs',
    'roulez',
    'roulier',
    'rouliers',
    'rouliez',
    'roulions',
    'roulis',
    'rouloir',
    'rouloirs',
    'roulons',
    'roulotta',
    'roulottai',
    'roulottaient',
    'roulottais',
    'roulottait',
    'roulottant',
    'roulottas',
    'roulottasse',
    'roulottasses',
    'roulotte',
    'roulottent',
    'roulotter',
    'roulottera',
    'roulotterai',
    'roulotterais',
    'roulotterait',
    'roulotteras',
    'roulotterez',
    'roulotteriez',
    'roulotterons',
    'roulotteront',
    'roulottes',
    'roulottez',
    'roulottiez',
    'roulottions',
    'roulottons',
    'roulottâmes',
    'roulottât',
    'roulottâtes',
    'roulottèrent',
    'roulotté',
    'roulottée',
    'roulottées',
    'roulottés',
    'roulure',
    'roulures',
    'roulâmes',
    'roulât',
    'roulâtes',
    'roulèrent',
    'roulé',
    'roulée',
    'roulées',
    'roulés',
    'roumain',
    'roumaine',
    'roumaines',
    'roumains',
    'roumi',
    'roumis',
    'round',
    'rounds',
    'rouons',
    'roupettes',
    'roupie',
    'roupies',
    'roupilla',
    'roupillai',
    'roupillaient',
    'roupillais',
    'roupillait',
    'roupillant',
    'roupillas',
    'roupillasse',
    'roupillasses',
    'roupille',
    'roupillent',
    'roupiller',
    'roupillera',
    'roupillerai',
    'roupillerais',
    'roupillerait',
    'roupilleras',
    'roupillerez',
    'roupilleriez',
    'roupillerons',
    'roupilleront',
    'roupilles',
    'roupillez',
    'roupilliez',
    'roupillions',
    'roupillon',
    'roupillons',
    'roupillâmes',
    'roupillât',
    'roupillâtes',
    'roupillèrent',
    'roupillé',
    'rouquin',
    'rouquine',
    'rouquines',
    'rouquins',
    'rouscailla',
    'rouscaillai',
    'rouscaillais',
    'rouscaillait',
    'rouscaillant',
    'rouscaillas',
    'rouscaille',
    'rouscaillent',
    'rouscailler',
    'rouscaillera',
    'rouscailles',
    'rouscaillez',
    'rouscailliez',
    'rouscaillons',
    'rouscaillât',
    'rouscaillé',
    'rouspète',
    'rouspètent',
    'rouspètes',
    'rouspéta',
    'rouspétai',
    'rouspétaient',
    'rouspétais',
    'rouspétait',
    'rouspétance',
    'rouspétances',
    'rouspétant',
    'rouspétas',
    'rouspétasse',
    'rouspétasses',
    'rouspéter',
    'rouspétera',
    'rouspéterai',
    'rouspéterais',
    'rouspéterait',
    'rouspéteras',
    'rouspéterez',
    'rouspéteriez',
    'rouspéterons',
    'rouspéteront',
    'rouspéteur',
    'rouspéteurs',
    'rouspéteuse',
    'rouspéteuses',
    'rouspétez',
    'rouspétiez',
    'rouspétions',
    'rouspétons',
    'rouspétâmes',
    'rouspétât',
    'rouspétâtes',
    'rouspétèrent',
    'rouspété',
    'rousse',
    'rousseau',
    'rousseaux',
    'rousselet',
    'rousselets',
    'rousserolle',
    'rousserolles',
    'rousses',
    'roussette',
    'roussettes',
    'rousseur',
    'rousseurs',
    'roussi',
    'roussie',
    'roussies',
    'roussin',
    'roussins',
    'roussir',
    'roussira',
    'roussirai',
    'roussiraient',
    'roussirais',
    'roussirait',
    'roussiras',
    'roussirent',
    'roussirez',
    'roussiriez',
    'roussirions',
    'roussirons',
    'roussiront',
    'roussis',
    'roussissais',
    'roussissait',
    'roussissant',
    'roussisse',
    'roussissent',
    'roussisses',
    'roussissez',
    'roussissiez',
    'roussissions',
    'roussissons',
    'roussit',
    'roussâtre',
    'roussâtres',
    'roussîmes',
    'roussît',
    'roussîtes',
    'rousti',
    'roustie',
    'rousties',
    'roustir',
    'roustira',
    'roustirai',
    'roustiraient',
    'roustirais',
    'roustirait',
    'roustiras',
    'roustirent',
    'roustirez',
    'roustiriez',
    'roustirions',
    'roustirons',
    'roustiront',
    'roustis',
    'roustissais',
    'roustissait',
    'roustissant',
    'roustisse',
    'roustissent',
    'roustisses',
    'roustissez',
    'roustissiez',
    'roustissions',
    'roustissons',
    'roustit',
    'roustons',
    'roustîmes',
    'roustît',
    'roustîtes',
    'routa',
    'routage',
    'routages',
    'routai',
    'routaient',
    'routais',
    'routait',
    'routant',
    'routard',
    'routarde',
    'routardes',
    'routards',
    'routas',
    'routasse',
    'routassent',
    'routasses',
    'routassiez',
    'routassions',
    'route',
    'routent',
    'router',
    'routera',
    'routerai',
    'routeraient',
    'routerais',
    'routerait',
    'routeras',
    'routerez',
    'routeriez',
    'routerions',
    'routerons',
    'routeront',
    'routes',
    'routez',
    'routier',
    'routiers',
    'routiez',
    'routine',
    'routines',
    'routinier',
    'routiniers',
    'routinière',
    'routinières',
    'routions',
    'routière',
    'routières',
    'routons',
    'routâmes',
    'routât',
    'routâtes',
    'routèrent',
    'routé',
    'routée',
    'routées',
    'routés',
    'rouverain',
    'rouverains',
    'rouverin',
    'rouverins',
    'rouvert',
    'rouverte',
    'rouvertes',
    'rouverts',
    'rouvieux',
    'rouvraie',
    'rouvraient',
    'rouvraies',
    'rouvrais',
    'rouvrait',
    'rouvrant',
    'rouvre',
    'rouvrent',
    'rouvres',
    'rouvrez',
    'rouvriez',
    'rouvrions',
    'rouvrir',
    'rouvrira',
    'rouvrirai',
    'rouvriraient',
    'rouvrirais',
    'rouvrirait',
    'rouvriras',
    'rouvrirent',
    'rouvrirez',
    'rouvririez',
    'rouvririons',
    'rouvrirons',
    'rouvriront',
    'rouvris',
    'rouvrisse',
    'rouvrissent',
    'rouvrisses',
    'rouvrissiez',
    'rouvrissions',
    'rouvrit',
    'rouvrons',
    'rouvru',
    'rouvrue',
    'rouvrues',
    'rouvrus',
    'rouvrîmes',
    'rouvrît',
    'rouvrîtes',
    'roux',
    'rouâmes',
    'rouât',
    'rouâtes',
    'rouèrent',
    'roué',
    'rouée',
    'rouées',
    'roués',
    'rouîmes',
    'rouît',
    'rouîtes',
    'rowing',
    'rowings',
    'royal',
    'royale',
    'royalement',
    'royales',
    'royalisme',
    'royalismes',
    'royaliste',
    'royalistes',
    'royalties',
    'royaume',
    'royaumes',
    'royauté',
    'royautés',
    'royaux',
    'ruade',
    'ruades',
    'ruai',
    'ruaient',
    'ruais',
    'ruait',
    'ruant',
    'ruas',
    'ruasse',
    'ruassent',
    'ruasses',
    'ruassiez',
    'ruassions',
    'ruban',
    'rubana',
    'rubanai',
    'rubanaient',
    'rubanais',
    'rubanait',
    'rubanant',
    'rubanas',
    'rubanasse',
    'rubanassent',
    'rubanasses',
    'rubanassiez',
    'rubanassions',
    'rubane',
    'rubanent',
    'rubaner',
    'rubanera',
    'rubanerai',
    'rubaneraient',
    'rubanerais',
    'rubanerait',
    'rubaneras',
    'rubanerez',
    'rubanerie',
    'rubaneries',
    'rubaneriez',
    'rubanerions',
    'rubanerons',
    'rubaneront',
    'rubanes',
    'rubanez',
    'rubanier',
    'rubaniers',
    'rubaniez',
    'rubanions',
    'rubanière',
    'rubanières',
    'rubanons',
    'rubans',
    'rubanâmes',
    'rubanât',
    'rubanâtes',
    'rubanèrent',
    'rubané',
    'rubanée',
    'rubanées',
    'rubanés',
    'rubato',
    'rubellite',
    'rubellites',
    'rubescent',
    'rubescente',
    'rubescentes',
    'rubescents',
    'rubiacé',
    'rubiacée',
    'rubiacées',
    'rubiacés',
    'rubican',
    'rubicans',
    'rubicelle',
    'rubicelles',
    'rubicond',
    'rubiconde',
    'rubicondes',
    'rubiconds',
    'rubidium',
    'rubidiums',
    'rubiette',
    'rubiettes',
    'rubigineuse',
    'rubigineuses',
    'rubigineux',
    'rubis',
    'rubrique',
    'rubriques',
    'rubéfaction',
    'rubéfactions',
    'rubéfia',
    'rubéfiai',
    'rubéfiaient',
    'rubéfiais',
    'rubéfiait',
    'rubéfiant',
    'rubéfiante',
    'rubéfiantes',
    'rubéfiants',
    'rubéfias',
    'rubéfiasse',
    'rubéfiassent',
    'rubéfiasses',
    'rubéfiassiez',
    'rubéfie',
    'rubéfient',
    'rubéfier',
    'rubéfiera',
    'rubéfierai',
    'rubéfierais',
    'rubéfierait',
    'rubéfieras',
    'rubéfierez',
    'rubéfieriez',
    'rubéfierions',
    'rubéfierons',
    'rubéfieront',
    'rubéfies',
    'rubéfiez',
    'rubéfiiez',
    'rubéfiions',
    'rubéfions',
    'rubéfiâmes',
    'rubéfiât',
    'rubéfiâtes',
    'rubéfièrent',
    'rubéfié',
    'rubéfiée',
    'rubéfiées',
    'rubéfiés',
    'rubéole',
    'rubéoles',
    'rubéoleuse',
    'rubéoleuses',
    'rubéoleux',
    'rucha',
    'ruchai',
    'ruchaient',
    'ruchais',
    'ruchait',
    'ruchant',
    'ruchas',
    'ruchasse',
    'ruchassent',
    'ruchasses',
    'ruchassiez',
    'ruchassions',
    'ruche',
    'ruchent',
    'rucher',
    'ruchera',
    'rucherai',
    'rucheraient',
    'rucherais',
    'rucherait',
    'rucheras',
    'rucherez',
    'rucheriez',
    'rucherions',
    'rucherons',
    'rucheront',
    'ruchers',
    'ruches',
    'ruchez',
    'ruchiez',
    'ruchions',
    'ruchons',
    'ruchâmes',
    'ruchât',
    'ruchâtes',
    'ruchèrent',
    'ruché',
    'ruchée',
    'ruchées',
    'ruchés',
    'rudbeckie',
    'rudbeckies',
    'rude',
    'rudement',
    'rudenta',
    'rudentai',
    'rudentaient',
    'rudentais',
    'rudentait',
    'rudentant',
    'rudentas',
    'rudentasse',
    'rudentassent',
    'rudentasses',
    'rudentassiez',
    'rudente',
    'rudentent',
    'rudenter',
    'rudentera',
    'rudenterai',
    'rudenterais',
    'rudenterait',
    'rudenteras',
    'rudenterez',
    'rudenteriez',
    'rudenterions',
    'rudenterons',
    'rudenteront',
    'rudentes',
    'rudentez',
    'rudentiez',
    'rudentions',
    'rudentons',
    'rudenture',
    'rudentures',
    'rudentâmes',
    'rudentât',
    'rudentâtes',
    'rudentèrent',
    'rudenté',
    'rudentée',
    'rudentées',
    'rudentés',
    'rudes',
    'rudesse',
    'rudesses',
    'rudiment',
    'rudimentaire',
    'rudiments',
    'rudoie',
    'rudoiement',
    'rudoiements',
    'rudoient',
    'rudoiera',
    'rudoierai',
    'rudoieraient',
    'rudoierais',
    'rudoierait',
    'rudoieras',
    'rudoierez',
    'rudoieriez',
    'rudoierions',
    'rudoierons',
    'rudoieront',
    'rudoies',
    'rudoya',
    'rudoyai',
    'rudoyaient',
    'rudoyais',
    'rudoyait',
    'rudoyant',
    'rudoyas',
    'rudoyasse',
    'rudoyassent',
    'rudoyasses',
    'rudoyassiez',
    'rudoyassions',
    'rudoyer',
    'rudoyez',
    'rudoyiez',
    'rudoyions',
    'rudoyons',
    'rudoyâmes',
    'rudoyât',
    'rudoyâtes',
    'rudoyèrent',
    'rudoyé',
    'rudoyée',
    'rudoyées',
    'rudoyés',
    'rudéral',
    'rudérale',
    'rudérales',
    'rudération',
    'rudérations',
    'rudéraux',
    'ruelle',
    'ruelles',
    'ruent',
    'ruer',
    'ruera',
    'ruerai',
    'rueraient',
    'ruerais',
    'ruerait',
    'rueras',
    'ruerez',
    'rueriez',
    'ruerions',
    'ruerons',
    'rueront',
    'rues',
    'ruez',
    'ruffian',
    'ruffians',
    'rufian',
    'rufians',
    'rugby',
    'rugbyman',
    'rugbymen',
    'rugbys',
    'rugi',
    'rugination',
    'ruginations',
    'rugir',
    'rugira',
    'rugirai',
    'rugiraient',
    'rugirais',
    'rugirait',
    'rugiras',
    'rugirent',
    'rugirez',
    'rugiriez',
    'rugirions',
    'rugirons',
    'rugiront',
    'rugis',
    'rugissaient',
    'rugissais',
    'rugissait',
    'rugissant',
    'rugissante',
    'rugissantes',
    'rugissants',
    'rugisse',
    'rugissement',
    'rugissements',
    'rugissent',
    'rugisses',
    'rugissez',
    'rugissiez',
    'rugissions',
    'rugissons',
    'rugit',
    'rugosité',
    'rugosités',
    'rugueuse',
    'rugueuses',
    'rugueux',
    'rugîmes',
    'rugît',
    'rugîtes',
    'ruiez',
    'ruila',
    'ruilai',
    'ruilaient',
    'ruilais',
    'ruilait',
    'ruilant',
    'ruilas',
    'ruilasse',
    'ruilassent',
    'ruilasses',
    'ruilassiez',
    'ruilassions',
    'ruile',
    'ruilent',
    'ruiler',
    'ruilera',
    'ruilerai',
    'ruileraient',
    'ruilerais',
    'ruilerait',
    'ruileras',
    'ruilerez',
    'ruileriez',
    'ruilerions',
    'ruilerons',
    'ruileront',
    'ruiles',
    'ruilez',
    'ruiliez',
    'ruilions',
    'ruilons',
    'ruilâmes',
    'ruilât',
    'ruilâtes',
    'ruilèrent',
    'ruilé',
    'ruilée',
    'ruilées',
    'ruilés',
    'ruina',
    'ruinai',
    'ruinaient',
    'ruinais',
    'ruinait',
    'ruinant',
    'ruinas',
    'ruinasse',
    'ruinassent',
    'ruinasses',
    'ruinassiez',
    'ruinassions',
    'ruine',
    'ruinent',
    'ruiner',
    'ruinera',
    'ruinerai',
    'ruineraient',
    'ruinerais',
    'ruinerait',
    'ruineras',
    'ruinerez',
    'ruineriez',
    'ruinerions',
    'ruinerons',
    'ruineront',
    'ruines',
    'ruineuse',
    'ruineusement',
    'ruineuses',
    'ruineux',
    'ruinez',
    'ruiniez',
    'ruiniforme',
    'ruiniformes',
    'ruinions',
    'ruiniste',
    'ruinistes',
    'ruinons',
    'ruinure',
    'ruinures',
    'ruinâmes',
    'ruinât',
    'ruinâtes',
    'ruinèrent',
    'ruiné',
    'ruinée',
    'ruinées',
    'ruinés',
    'ruions',
    'ruisseau',
    'ruisseaux',
    'ruissela',
    'ruisselai',
    'ruisselaient',
    'ruisselais',
    'ruisselait',
    'ruisselant',
    'ruisselante',
    'ruisselantes',
    'ruisselants',
    'ruisselas',
    'ruisselasse',
    'ruisselasses',
    'ruisseler',
    'ruisselet',
    'ruisselets',
    'ruisselez',
    'ruisseliez',
    'ruisselions',
    'ruisselle',
    'ruissellent',
    'ruissellera',
    'ruissellerai',
    'ruisselleras',
    'ruissellerez',
    'ruisselles',
    'ruisselons',
    'ruisselâmes',
    'ruisselât',
    'ruisselâtes',
    'ruisselèrent',
    'ruisselé',
    'rumba',
    'rumbas',
    'rumen',
    'rumens',
    'rumeur',
    'rumeurs',
    'rumex',
    'rumina',
    'ruminai',
    'ruminaient',
    'ruminais',
    'ruminait',
    'ruminant',
    'ruminante',
    'ruminantes',
    'ruminants',
    'ruminas',
    'ruminasse',
    'ruminassent',
    'ruminasses',
    'ruminassiez',
    'ruminassions',
    'rumination',
    'ruminations',
    'rumine',
    'ruminent',
    'ruminer',
    'ruminera',
    'ruminerai',
    'rumineraient',
    'ruminerais',
    'ruminerait',
    'rumineras',
    'ruminerez',
    'rumineriez',
    'ruminerions',
    'ruminerons',
    'rumineront',
    'rumines',
    'ruminez',
    'ruminiez',
    'ruminions',
    'ruminons',
    'ruminâmes',
    'ruminât',
    'ruminâtes',
    'ruminèrent',
    'ruminé',
    'ruminée',
    'ruminées',
    'ruminés',
    'rumsteck',
    'rumstecks',
    'runabout',
    'runabouts',
    'ruolz',
    'ruons',
    'rupestre',
    'rupestres',
    'rupicole',
    'rupicoles',
    'rupin',
    'rupina',
    'rupinai',
    'rupinaient',
    'rupinais',
    'rupinait',
    'rupinant',
    'rupinas',
    'rupinasse',
    'rupinassent',
    'rupinasses',
    'rupinassiez',
    'rupinassions',
    'rupine',
    'rupinent',
    'rupiner',
    'rupinera',
    'rupinerai',
    'rupineraient',
    'rupinerais',
    'rupinerait',
    'rupineras',
    'rupinerez',
    'rupineriez',
    'rupinerions',
    'rupinerons',
    'rupineront',
    'rupines',
    'rupinez',
    'rupiniez',
    'rupinions',
    'rupinons',
    'rupins',
    'rupinâmes',
    'rupinât',
    'rupinâtes',
    'rupinèrent',
    'rupiné',
    'rupteur',
    'rupteurs',
    'rupture',
    'ruptures',
    'rural',
    'rurale',
    'rurales',
    'ruraux',
    'rusa',
    'rusai',
    'rusaient',
    'rusais',
    'rusait',
    'rusant',
    'rusas',
    'rusasse',
    'rusassent',
    'rusasses',
    'rusassiez',
    'rusassions',
    'ruse',
    'rusent',
    'ruser',
    'rusera',
    'ruserai',
    'ruseraient',
    'ruserais',
    'ruserait',
    'ruseras',
    'ruserez',
    'ruseriez',
    'ruserions',
    'ruserons',
    'ruseront',
    'ruses',
    'rusez',
    'rush',
    'rushes',
    'rushs',
    'rusiez',
    'rusions',
    'rusons',
    'russe',
    'russes',
    'russifia',
    'russifiai',
    'russifiaient',
    'russifiais',
    'russifiait',
    'russifiant',
    'russifias',
    'russifiasse',
    'russifiasses',
    'russifie',
    'russifient',
    'russifier',
    'russifiera',
    'russifierai',
    'russifierais',
    'russifierait',
    'russifieras',
    'russifierez',
    'russifieriez',
    'russifierons',
    'russifieront',
    'russifies',
    'russifiez',
    'russifiiez',
    'russifiions',
    'russifions',
    'russifiâmes',
    'russifiât',
    'russifiâtes',
    'russifièrent',
    'russifié',
    'russifiée',
    'russifiées',
    'russifiés',
    'russophile',
    'russophiles',
    'russule',
    'russules',
    'rustaud',
    'rustaude',
    'rustauderie',
    'rustauderies',
    'rustaudes',
    'rustauds',
    'rusticage',
    'rusticages',
    'rusticité',
    'rusticités',
    'rustine',
    'rustines',
    'rustiqua',
    'rustiquai',
    'rustiquaient',
    'rustiquais',
    'rustiquait',
    'rustiquant',
    'rustiquas',
    'rustiquasse',
    'rustiquasses',
    'rustique',
    'rustiquement',
    'rustiquent',
    'rustiquer',
    'rustiquera',
    'rustiquerai',
    'rustiquerais',
    'rustiquerait',
    'rustiqueras',
    'rustiquerez',
    'rustiqueriez',
    'rustiquerons',
    'rustiqueront',
    'rustiques',
    'rustiquez',
    'rustiquiez',
    'rustiquions',
    'rustiquons',
    'rustiquâmes',
    'rustiquât',
    'rustiquâtes',
    'rustiquèrent',
    'rustiqué',
    'rustiquée',
    'rustiquées',
    'rustiqués',
    'rustre',
    'rustres',
    'rusâmes',
    'rusât',
    'rusâtes',
    'rusèrent',
    'rusé',
    'rusée',
    'rusées',
    'rusés',
    'rutabaga',
    'rutabagas',
    'ruthénium',
    'ruthéniums',
    'rutila',
    'rutilai',
    'rutilaient',
    'rutilais',
    'rutilait',
    'rutilant',
    'rutilante',
    'rutilantes',
    'rutilants',
    'rutilas',
    'rutilasse',
    'rutilassent',
    'rutilasses',
    'rutilassiez',
    'rutilassions',
    'rutile',
    'rutilent',
    'rutiler',
    'rutilera',
    'rutilerai',
    'rutileraient',
    'rutilerais',
    'rutilerait',
    'rutileras',
    'rutilerez',
    'rutileriez',
    'rutilerions',
    'rutilerons',
    'rutileront',
    'rutiles',
    'rutilez',
    'rutiliez',
    'rutilions',
    'rutilons',
    'rutilâmes',
    'rutilât',
    'rutilâtes',
    'rutilèrent',
    'rutilé',
    'ruts',
    'ruâmes',
    'ruât',
    'ruâtes',
    'ruèrent',
    'ruée',
    'ruées',
    'rués',
    'rythma',
    'rythmai',
    'rythmaient',
    'rythmais',
    'rythmait',
    'rythmant',
    'rythmas',
    'rythmasse',
    'rythmassent',
    'rythmasses',
    'rythmassiez',
    'rythmassions',
    'rythme',
    'rythment',
    'rythmer',
    'rythmera',
    'rythmerai',
    'rythmeraient',
    'rythmerais',
    'rythmerait',
    'rythmeras',
    'rythmerez',
    'rythmeriez',
    'rythmerions',
    'rythmerons',
    'rythmeront',
    'rythmes',
    'rythmez',
    'rythmicien',
    'rythmiciens',
    'rythmicité',
    'rythmicités',
    'rythmiez',
    'rythmions',
    'rythmique',
    'rythmiques',
    'rythmons',
    'rythmâmes',
    'rythmât',
    'rythmâtes',
    'rythmèrent',
    'rythmé',
    'rythmée',
    'rythmées',
    'rythmés',
    'râbla',
    'râblai',
    'râblaient',
    'râblais',
    'râblait',
    'râblant',
    'râblas',
    'râblasse',
    'râblassent',
    'râblasses',
    'râblassiez',
    'râblassions',
    'râble',
    'râblent',
    'râbler',
    'râblera',
    'râblerai',
    'râbleraient',
    'râblerais',
    'râblerait',
    'râbleras',
    'râblerez',
    'râbleriez',
    'râblerions',
    'râblerons',
    'râbleront',
    'râbles',
    'râblez',
    'râbliez',
    'râblions',
    'râblons',
    'râblure',
    'râblures',
    'râblâmes',
    'râblât',
    'râblâtes',
    'râblèrent',
    'râblé',
    'râblée',
    'râblées',
    'râblés',
    'râla',
    'râlai',
    'râlaient',
    'râlais',
    'râlait',
    'râlant',
    'râlante',
    'râlantes',
    'râlants',
    'râlas',
    'râlasse',
    'râlassent',
    'râlasses',
    'râlassiez',
    'râlassions',
    'râle',
    'râlement',
    'râlements',
    'râlent',
    'râler',
    'râlera',
    'râlerai',
    'râleraient',
    'râlerais',
    'râlerait',
    'râleras',
    'râlerez',
    'râleriez',
    'râlerions',
    'râlerons',
    'râleront',
    'râles',
    'râleur',
    'râleurs',
    'râleuse',
    'râleuses',
    'râlez',
    'râliez',
    'râlions',
    'râlons',
    'râlâmes',
    'râlât',
    'râlâtes',
    'râlèrent',
    'râlé',
    'râpa',
    'râpage',
    'râpages',
    'râpai',
    'râpaient',
    'râpais',
    'râpait',
    'râpant',
    'râpas',
    'râpasse',
    'râpassent',
    'râpasses',
    'râpassiez',
    'râpassions',
    'râpe',
    'râpent',
    'râper',
    'râpera',
    'râperai',
    'râperaient',
    'râperais',
    'râperait',
    'râperas',
    'râperez',
    'râperie',
    'râperies',
    'râperiez',
    'râperions',
    'râperons',
    'râperont',
    'râpes',
    'râpeuse',
    'râpeuses',
    'râpeux',
    'râpez',
    'râpiez',
    'râpions',
    'râpons',
    'râpure',
    'râpures',
    'râpâmes',
    'râpât',
    'râpâtes',
    'râpèrent',
    'râpé',
    'râpée',
    'râpées',
    'râpés',
    'râteau',
    'râteaux',
    'râtela',
    'râtelage',
    'râtelages',
    'râtelai',
    'râtelaient',
    'râtelais',
    'râtelait',
    'râtelant',
    'râtelas',
    'râtelasse',
    'râtelassent',
    'râtelasses',
    'râtelassiez',
    'râtelassions',
    'râteler',
    'râteleur',
    'râteleurs',
    'râteleuse',
    'râteleuses',
    'râtelez',
    'râtelier',
    'râteliers',
    'râteliez',
    'râtelions',
    'râtelle',
    'râtellent',
    'râtellera',
    'râtellerai',
    'râtellerais',
    'râtellerait',
    'râtelleras',
    'râtellerez',
    'râtelleriez',
    'râtellerions',
    'râtellerons',
    'râtelleront',
    'râtelles',
    'râtelons',
    'râtelures',
    'râtelâmes',
    'râtelât',
    'râtelâtes',
    'râtelèrent',
    'râtelé',
    'râtelée',
    'râtelées',
    'râtelés',
    'règle',
    'règlement',
    'règlements',
    'règlent',
    'règles',
    'règne',
    'règnent',
    'règnes',
    'réabonna',
    'réabonnai',
    'réabonnaient',
    'réabonnais',
    'réabonnait',
    'réabonnant',
    'réabonnas',
    'réabonnasse',
    'réabonnasses',
    'réabonne',
    'réabonnement',
    'réabonnent',
    'réabonner',
    'réabonnera',
    'réabonnerai',
    'réabonnerais',
    'réabonnerait',
    'réabonneras',
    'réabonnerez',
    'réabonneriez',
    'réabonnerons',
    'réabonneront',
    'réabonnerât',
    'réabonnes',
    'réabonnez',
    'réabonniez',
    'réabonnions',
    'réabonnons',
    'réabonnâmes',
    'réabonnât',
    'réabonnâtes',
    'réabonnèrent',
    'réabonné',
    'réabonnée',
    'réabonnées',
    'réabonnés',
    'réabsorba',
    'réabsorbai',
    'réabsorbais',
    'réabsorbait',
    'réabsorbant',
    'réabsorbas',
    'réabsorbasse',
    'réabsorbe',
    'réabsorbent',
    'réabsorber',
    'réabsorbera',
    'réabsorberai',
    'réabsorberas',
    'réabsorberez',
    'réabsorbes',
    'réabsorbez',
    'réabsorbiez',
    'réabsorbions',
    'réabsorbons',
    'réabsorbâmes',
    'réabsorbât',
    'réabsorbâtes',
    'réabsorbé',
    'réabsorbée',
    'réabsorbées',
    'réabsorbés',
    'réabsorption',
    'réac',
    'réaccoutuma',
    'réaccoutumai',
    'réaccoutumas',
    'réaccoutume',
    'réaccoutumer',
    'réaccoutumes',
    'réaccoutumez',
    'réaccoutumât',
    'réaccoutumé',
    'réaccoutumée',
    'réaccoutumés',
    'réacquis',
    'réacquise',
    'réacquises',
    'réacquérant',
    'réacquérir',
    'réacs',
    'réacteur',
    'réacteurs',
    'réactif',
    'réactifs',
    'réaction',
    'réactionnel',
    'réactionnels',
    'réactions',
    'réactiva',
    'réactivai',
    'réactivaient',
    'réactivais',
    'réactivait',
    'réactivant',
    'réactivas',
    'réactivasse',
    'réactivasses',
    'réactivation',
    'réactive',
    'réactivent',
    'réactiver',
    'réactivera',
    'réactiverai',
    'réactiverais',
    'réactiverait',
    'réactiveras',
    'réactiverez',
    'réactiveriez',
    'réactiverons',
    'réactiveront',
    'réactives',
    'réactivez',
    'réactiviez',
    'réactivions',
    'réactivité',
    'réactivités',
    'réactivons',
    'réactivâmes',
    'réactivât',
    'réactivâtes',
    'réactivèrent',
    'réactivé',
    'réactivée',
    'réactivées',
    'réactivés',
    'réactrice',
    'réactrices',
    'réactualisa',
    'réactualisai',
    'réactualisas',
    'réactualise',
    'réactualiser',
    'réactualises',
    'réactualisez',
    'réactualisât',
    'réactualisé',
    'réactualisée',
    'réactualisés',
    'réadapta',
    'réadaptai',
    'réadaptaient',
    'réadaptais',
    'réadaptait',
    'réadaptant',
    'réadaptas',
    'réadaptasse',
    'réadaptasses',
    'réadaptation',
    'réadapte',
    'réadaptent',
    'réadapter',
    'réadaptera',
    'réadapterai',
    'réadapterais',
    'réadapterait',
    'réadapteras',
    'réadapterez',
    'réadapteriez',
    'réadapterons',
    'réadapteront',
    'réadaptes',
    'réadaptez',
    'réadaptiez',
    'réadaptions',
    'réadaptons',
    'réadaptâmes',
    'réadaptât',
    'réadaptâtes',
    'réadaptèrent',
    'réadapté',
    'réadaptée',
    'réadaptées',
    'réadaptés',
    'réadmet',
    'réadmets',
    'réadmettais',
    'réadmettait',
    'réadmettant',
    'réadmette',
    'réadmettent',
    'réadmettes',
    'réadmettez',
    'réadmettiez',
    'réadmettions',
    'réadmettons',
    'réadmettra',
    'réadmettrai',
    'réadmettrais',
    'réadmettrait',
    'réadmettras',
    'réadmettre',
    'réadmettrez',
    'réadmettriez',
    'réadmettrons',
    'réadmettront',
    'réadmirent',
    'réadmis',
    'réadmise',
    'réadmises',
    'réadmisse',
    'réadmissent',
    'réadmisses',
    'réadmissiez',
    'réadmission',
    'réadmissions',
    'réadmit',
    'réadmîmes',
    'réadmît',
    'réadmîtes',
    'réaffecta',
    'réaffectai',
    'réaffectais',
    'réaffectait',
    'réaffectant',
    'réaffectas',
    'réaffectasse',
    'réaffecte',
    'réaffectent',
    'réaffecter',
    'réaffectera',
    'réaffecterai',
    'réaffecteras',
    'réaffecterez',
    'réaffectes',
    'réaffectez',
    'réaffectiez',
    'réaffections',
    'réaffectons',
    'réaffectâmes',
    'réaffectât',
    'réaffectâtes',
    'réaffecté',
    'réaffectée',
    'réaffectées',
    'réaffectés',
    'réaffirma',
    'réaffirmai',
    'réaffirmais',
    'réaffirmait',
    'réaffirmant',
    'réaffirmas',
    'réaffirmasse',
    'réaffirme',
    'réaffirment',
    'réaffirmer',
    'réaffirmera',
    'réaffirmerai',
    'réaffirmeras',
    'réaffirmerez',
    'réaffirmes',
    'réaffirmez',
    'réaffirmiez',
    'réaffirmions',
    'réaffirmons',
    'réaffirmâmes',
    'réaffirmât',
    'réaffirmâtes',
    'réaffirmé',
    'réaffirmée',
    'réaffirmées',
    'réaffirmés',
    'réaffûta',
    'réaffûtai',
    'réaffûtaient',
    'réaffûtais',
    'réaffûtait',
    'réaffûtant',
    'réaffûtas',
    'réaffûtasse',
    'réaffûtasses',
    'réaffûte',
    'réaffûtent',
    'réaffûter',
    'réaffûtera',
    'réaffûterai',
    'réaffûterais',
    'réaffûterait',
    'réaffûteras',
    'réaffûterez',
    'réaffûteriez',
    'réaffûterons',
    'réaffûteront',
    'réaffûtes',
    'réaffûtez',
    'réaffûtiez',
    'réaffûtions',
    'réaffûtons',
    'réaffûtâmes',
    'réaffûtât',
    'réaffûtâtes',
    'réaffûtèrent',
    'réaffûté',
    'réaffûtée',
    'réaffûtées',
    'réaffûtés',
    'réagi',
    'réagir',
    'réagira',
    'réagirai',
    'réagiraient',
    'réagirais',
    'réagirait',
    'réagiras',
    'réagirent',
    'réagirez',
    'réagiriez',
    'réagirions',
    'réagirons',
    'réagiront',
    'réagis',
    'réagissaient',
    'réagissais',
    'réagissait',
    'réagissant',
    'réagisse',
    'réagissent',
    'réagisses',
    'réagissez',
    'réagissiez',
    'réagissions',
    'réagissons',
    'réagit',
    'réagîmes',
    'réagît',
    'réagîtes',
    'réai',
    'réaient',
    'réais',
    'réait',
    'réajusta',
    'réajustai',
    'réajustaient',
    'réajustais',
    'réajustait',
    'réajustant',
    'réajustas',
    'réajustasse',
    'réajustasses',
    'réajuste',
    'réajustement',
    'réajustent',
    'réajuster',
    'réajustera',
    'réajusterai',
    'réajusterais',
    'réajusterait',
    'réajusteras',
    'réajusterez',
    'réajusteriez',
    'réajusterons',
    'réajusteront',
    'réajustes',
    'réajustez',
    'réajustiez',
    'réajustions',
    'réajustons',
    'réajustâmes',
    'réajustât',
    'réajustâtes',
    'réajustèrent',
    'réajusté',
    'réajustée',
    'réajustées',
    'réajustés',
    'réal',
    'réale',
    'réales',
    'réalgar',
    'réalgars',
    'réaligna',
    'réalignai',
    'réalignaient',
    'réalignais',
    'réalignait',
    'réalignant',
    'réalignas',
    'réalignasse',
    'réalignasses',
    'réaligne',
    'réalignent',
    'réaligner',
    'réalignera',
    'réalignerai',
    'réalignerais',
    'réalignerait',
    'réaligneras',
    'réalignerez',
    'réaligneriez',
    'réalignerons',
    'réaligneront',
    'réalignes',
    'réalignez',
    'réaligniez',
    'réalignions',
    'réalignons',
    'réalignâmes',
    'réalignât',
    'réalignâtes',
    'réalignèrent',
    'réaligné',
    'réalignée',
    'réalignées',
    'réalignés',
    'réalisa',
    'réalisable',
    'réalisables',
    'réalisai',
    'réalisaient',
    'réalisais',
    'réalisait',
    'réalisant',
    'réalisas',
    'réalisasse',
    'réalisassent',
    'réalisasses',
    'réalisassiez',
    'réalisateur',
    'réalisateurs',
    'réalisation',
    'réalisations',
    'réalisatrice',
    'réalise',
    'réalisent',
    'réaliser',
    'réalisera',
    'réaliserai',
    'réaliserais',
    'réaliserait',
    'réaliseras',
    'réaliserez',
    'réaliseriez',
    'réaliserions',
    'réaliserons',
    'réaliseront',
    'réalises',
    'réalisez',
    'réalisiez',
    'réalisions',
    'réalisme',
    'réalismes',
    'réalisons',
    'réaliste',
    'réalistement',
    'réalistes',
    'réalisâmes',
    'réalisât',
    'réalisâtes',
    'réalisèrent',
    'réalisé',
    'réalisée',
    'réalisées',
    'réalisés',
    'réalité',
    'réalités',
    'réalèse',
    'réalèsent',
    'réalèses',
    'réalésa',
    'réalésai',
    'réalésaient',
    'réalésais',
    'réalésait',
    'réalésant',
    'réalésas',
    'réalésasse',
    'réalésassent',
    'réalésasses',
    'réalésassiez',
    'réaléser',
    'réalésera',
    'réaléserai',
    'réaléserais',
    'réaléserait',
    'réaléseras',
    'réaléserez',
    'réaléseriez',
    'réaléserions',
    'réaléserons',
    'réaléseront',
    'réalésez',
    'réalésiez',
    'réalésions',
    'réalésons',
    'réalésâmes',
    'réalésât',
    'réalésâtes',
    'réalésèrent',
    'réalésé',
    'réalésée',
    'réalésées',
    'réalésés',
    'réamorce',
    'réamorcent',
    'réamorcer',
    'réamorcera',
    'réamorcerai',
    'réamorcerais',
    'réamorcerait',
    'réamorceras',
    'réamorcerez',
    'réamorceriez',
    'réamorcerons',
    'réamorceront',
    'réamorces',
    'réamorcez',
    'réamorciez',
    'réamorcions',
    'réamorcèrent',
    'réamorcé',
    'réamorcée',
    'réamorcées',
    'réamorcés',
    'réamorça',
    'réamorçai',
    'réamorçaient',
    'réamorçais',
    'réamorçait',
    'réamorçant',
    'réamorças',
    'réamorçasse',
    'réamorçasses',
    'réamorçons',
    'réamorçâmes',
    'réamorçât',
    'réamorçâtes',
    'réaménage',
    'réaménagea',
    'réaménageai',
    'réaménageais',
    'réaménageait',
    'réaménageant',
    'réaménageas',
    'réaménagent',
    'réaménageons',
    'réaménager',
    'réaménagera',
    'réaménagerai',
    'réaménageras',
    'réaménagerez',
    'réaménages',
    'réaménagez',
    'réaménageât',
    'réaménagiez',
    'réaménagions',
    'réaménagé',
    'réaménagée',
    'réaménagées',
    'réaménagés',
    'réanima',
    'réanimai',
    'réanimaient',
    'réanimais',
    'réanimait',
    'réanimant',
    'réanimas',
    'réanimasse',
    'réanimassent',
    'réanimasses',
    'réanimassiez',
    'réanimation',
    'réanimations',
    'réanime',
    'réaniment',
    'réanimer',
    'réanimera',
    'réanimerai',
    'réanimerais',
    'réanimerait',
    'réanimeras',
    'réanimerez',
    'réanimeriez',
    'réanimerions',
    'réanimerons',
    'réanimeront',
    'réanimes',
    'réanimez',
    'réanimiez',
    'réanimions',
    'réanimons',
    'réanimâmes',
    'réanimât',
    'réanimâtes',
    'réanimèrent',
    'réanimé',
    'réanimée',
    'réanimées',
    'réanimés',
    'réant',
    'réapparais',
    'réapparaisse',
    'réapparaît',
    'réapparaîtra',
    'réapparaître',
    'réapparition',
    'réapparu',
    'réapparue',
    'réapparues',
    'réapparurent',
    'réapparus',
    'réapparusse',
    'réapparusses',
    'réapparut',
    'réapparûmes',
    'réapparût',
    'réapparûtes',
    'réapprenais',
    'réapprenait',
    'réapprenant',
    'réapprend',
    'réapprendas',
    'réapprendra',
    'réapprendrai',
    'réapprendras',
    'réapprendre',
    'réapprendrez',
    'réapprends',
    'réapprenez',
    'réappreniez',
    'réapprenions',
    'réapprenne',
    'réapprennent',
    'réapprennes',
    'réapprenons',
    'réapprirent',
    'réappris',
    'réapprise',
    'réapprises',
    'réapprisse',
    'réapprissent',
    'réapprisses',
    'réapprissiez',
    'réapprit',
    'réapprîmes',
    'réapprît',
    'réapprîtes',
    'réargenta',
    'réargentai',
    'réargentais',
    'réargentait',
    'réargentant',
    'réargentas',
    'réargentasse',
    'réargente',
    'réargentent',
    'réargenter',
    'réargentera',
    'réargenterai',
    'réargenteras',
    'réargenterez',
    'réargentes',
    'réargentez',
    'réargentiez',
    'réargentions',
    'réargentons',
    'réargentâmes',
    'réargentât',
    'réargentâtes',
    'réargenté',
    'réargentée',
    'réargentées',
    'réargentés',
    'réarma',
    'réarmai',
    'réarmaient',
    'réarmais',
    'réarmait',
    'réarmant',
    'réarmas',
    'réarmasse',
    'réarmassent',
    'réarmasses',
    'réarmassiez',
    'réarmassions',
    'réarme',
    'réarmement',
    'réarmements',
    'réarment',
    'réarmer',
    'réarmera',
    'réarmerai',
    'réarmeraient',
    'réarmerais',
    'réarmerait',
    'réarmeras',
    'réarmerez',
    'réarmeriez',
    'réarmerions',
    'réarmerons',
    'réarmeront',
    'réarmes',
    'réarmez',
    'réarmiez',
    'réarmions',
    'réarmons',
    'réarmâmes',
    'réarmât',
    'réarmâtes',
    'réarmèrent',
    'réarmé',
    'réarmée',
    'réarmées',
    'réarmés',
    'réarrange',
    'réarrangea',
    'réarrangeai',
    'réarrangeais',
    'réarrangeait',
    'réarrangeant',
    'réarrangeas',
    'réarrangent',
    'réarrangeons',
    'réarranger',
    'réarrangera',
    'réarrangerai',
    'réarrangeras',
    'réarrangerez',
    'réarranges',
    'réarrangez',
    'réarrangeât',
    'réarrangiez',
    'réarrangions',
    'réarrangé',
    'réarrangée',
    'réarrangées',
    'réarrangés',
    'réas',
    'réasse',
    'réassent',
    'réasses',
    'réassiez',
    'réassigna',
    'réassignai',
    'réassignais',
    'réassignait',
    'réassignant',
    'réassignas',
    'réassignasse',
    'réassigne',
    'réassignent',
    'réassigner',
    'réassignera',
    'réassignerai',
    'réassigneras',
    'réassignerez',
    'réassignes',
    'réassignez',
    'réassigniez',
    'réassignions',
    'réassignons',
    'réassignâmes',
    'réassignât',
    'réassignâtes',
    'réassigné',
    'réassignée',
    'réassignées',
    'réassignés',
    'réassions',
    'réassort',
    'réassorti',
    'réassortie',
    'réassorties',
    'réassortir',
    'réassortira',
    'réassortirai',
    'réassortiras',
    'réassortirez',
    'réassortis',
    'réassortisse',
    'réassortit',
    'réassorts',
    'réassortîmes',
    'réassortît',
    'réassortîtes',
    'réassura',
    'réassurai',
    'réassuraient',
    'réassurais',
    'réassurait',
    'réassurance',
    'réassurances',
    'réassurant',
    'réassuras',
    'réassurasse',
    'réassurasses',
    'réassure',
    'réassurent',
    'réassurer',
    'réassurera',
    'réassurerai',
    'réassurerais',
    'réassurerait',
    'réassureras',
    'réassurerez',
    'réassureriez',
    'réassurerons',
    'réassureront',
    'réassures',
    'réassurez',
    'réassuriez',
    'réassurions',
    'réassurons',
    'réassurâmes',
    'réassurât',
    'réassurâtes',
    'réassurèrent',
    'réassuré',
    'réassurée',
    'réassurées',
    'réassurés',
    'réaux',
    'rébarbatif',
    'rébarbatifs',
    'rébarbative',
    'rébarbatives',
    'rébellion',
    'rébellions',
    'rébus',
    'récalcitrant',
    'récapitula',
    'récapitulai',
    'récapitulais',
    'récapitulait',
    'récapitulant',
    'récapitulas',
    'récapitule',
    'récapitulent',
    'récapituler',
    'récapitulera',
    'récapitules',
    'récapitulez',
    'récapituliez',
    'récapitulons',
    'récapitulât',
    'récapitulé',
    'récapitulée',
    'récapitulées',
    'récapitulés',
    'récemment',
    'récent',
    'récente',
    'récentes',
    'récents',
    'réceptacle',
    'réceptacles',
    'récepteur',
    'récepteurs',
    'réceptif',
    'réceptifs',
    'réception',
    'réceptionna',
    'réceptionnai',
    'réceptionnas',
    'réceptionne',
    'réceptionner',
    'réceptionnes',
    'réceptionnez',
    'réceptionnât',
    'réceptionné',
    'réceptionnée',
    'réceptionnés',
    'réceptions',
    'réceptive',
    'réceptives',
    'réceptivité',
    'réceptivités',
    'réceptrice',
    'réceptrices',
    'récessif',
    'récessifs',
    'récession',
    'récessions',
    'récessive',
    'récessives',
    'réchampi',
    'réchampie',
    'réchampies',
    'réchampir',
    'réchampira',
    'réchampirai',
    'réchampirais',
    'réchampirait',
    'réchampiras',
    'réchampirent',
    'réchampirez',
    'réchampiriez',
    'réchampirons',
    'réchampiront',
    'réchampis',
    'réchampisse',
    'réchampisses',
    'réchampissez',
    'réchampit',
    'réchampîmes',
    'réchampît',
    'réchampîtes',
    'réchappa',
    'réchappai',
    'réchappaient',
    'réchappais',
    'réchappait',
    'réchappant',
    'réchappas',
    'réchappasse',
    'réchappasses',
    'réchappe',
    'réchappent',
    'réchapper',
    'réchappera',
    'réchapperai',
    'réchapperais',
    'réchapperait',
    'réchapperas',
    'réchapperez',
    'réchapperiez',
    'réchapperons',
    'réchapperont',
    'réchappes',
    'réchappez',
    'réchappiez',
    'réchappions',
    'réchappons',
    'réchappâmes',
    'réchappât',
    'réchappâtes',
    'réchappèrent',
    'réchappé',
    'réchaud',
    'réchauds',
    'réchauffa',
    'réchauffage',
    'réchauffages',
    'réchauffai',
    'réchauffais',
    'réchauffait',
    'réchauffant',
    'réchauffante',
    'réchauffants',
    'réchauffas',
    'réchauffasse',
    'réchauffe',
    'réchauffent',
    'réchauffer',
    'réchauffera',
    'réchaufferai',
    'réchaufferas',
    'réchaufferez',
    'réchauffes',
    'réchauffeur',
    'réchauffeurs',
    'réchauffez',
    'réchauffiez',
    'réchauffions',
    'réchauffons',
    'réchauffâmes',
    'réchauffât',
    'réchauffâtes',
    'réchauffé',
    'réchauffée',
    'réchauffées',
    'réchauffés',
    'récidiva',
    'récidivai',
    'récidivaient',
    'récidivais',
    'récidivait',
    'récidivant',
    'récidivante',
    'récidivantes',
    'récidivants',
    'récidivas',
    'récidivasse',
    'récidivasses',
    'récidive',
    'récidivent',
    'récidiver',
    'récidivera',
    'récidiverai',
    'récidiverais',
    'récidiverait',
    'récidiveras',
    'récidiverez',
    'récidiveriez',
    'récidiverons',
    'récidiveront',
    'récidives',
    'récidivez',
    'récidiviez',
    'récidivions',
    'récidivisme',
    'récidivismes',
    'récidiviste',
    'récidivistes',
    'récidivons',
    'récidivâmes',
    'récidivât',
    'récidivâtes',
    'récidivèrent',
    'récidivé',
    'récidivée',
    'récidivées',
    'récidivés',
    'récif',
    'récifal',
    'récifale',
    'récifales',
    'récifaux',
    'récifs',
    'récipient',
    'récipients',
    'réciprocité',
    'réciprocités',
    'réciproqua',
    'réciproquai',
    'réciproquais',
    'réciproquait',
    'réciproquant',
    'réciproquas',
    'réciproque',
    'réciproquent',
    'réciproquer',
    'réciproquera',
    'réciproques',
    'réciproquez',
    'réciproquiez',
    'réciproquons',
    'réciproquât',
    'réciproqué',
    'réciproquée',
    'réciproquées',
    'réciproqués',
    'récit',
    'récita',
    'récitai',
    'récitaient',
    'récitais',
    'récitait',
    'récital',
    'récitals',
    'récitant',
    'récitante',
    'récitantes',
    'récitants',
    'récitas',
    'récitasse',
    'récitassent',
    'récitasses',
    'récitassiez',
    'récitassions',
    'récitatif',
    'récitatifs',
    'récitation',
    'récitations',
    'récite',
    'récitent',
    'réciter',
    'récitera',
    'réciterai',
    'réciteraient',
    'réciterais',
    'réciterait',
    'réciteras',
    'réciterez',
    'réciteriez',
    'réciterions',
    'réciterons',
    'réciteront',
    'récites',
    'récitez',
    'récitiez',
    'récitions',
    'récitons',
    'récits',
    'récitâmes',
    'récitât',
    'récitâtes',
    'récitèrent',
    'récité',
    'récitée',
    'récitées',
    'récités',
    'réclama',
    'réclamai',
    'réclamaient',
    'réclamais',
    'réclamait',
    'réclamant',
    'réclamas',
    'réclamasse',
    'réclamassent',
    'réclamasses',
    'réclamassiez',
    'réclamation',
    'réclamations',
    'réclame',
    'réclament',
    'réclamer',
    'réclamera',
    'réclamerai',
    'réclamerais',
    'réclamerait',
    'réclameras',
    'réclamerez',
    'réclameriez',
    'réclamerions',
    'réclamerons',
    'réclameront',
    'réclames',
    'réclamez',
    'réclamiez',
    'réclamions',
    'réclamons',
    'réclamâmes',
    'réclamât',
    'réclamâtes',
    'réclamèrent',
    'réclamé',
    'réclamée',
    'réclamées',
    'réclamés',
    'réclina',
    'réclinai',
    'réclinaient',
    'réclinais',
    'réclinait',
    'réclinant',
    'réclinas',
    'réclinasse',
    'réclinassent',
    'réclinasses',
    'réclinassiez',
    'récline',
    'réclinent',
    'récliner',
    'réclinera',
    'réclinerai',
    'réclinerais',
    'réclinerait',
    'réclineras',
    'réclinerez',
    'réclineriez',
    'réclinerions',
    'réclinerons',
    'réclineront',
    'réclines',
    'réclinez',
    'récliniez',
    'réclinions',
    'réclinons',
    'réclinâmes',
    'réclinât',
    'réclinâtes',
    'réclinèrent',
    'récliné',
    'réclusion',
    'réclusions',
    'récognitif',
    'récognitifs',
    'récolement',
    'récolements',
    'récoler',
    'récollection',
    'récollet',
    'récollets',
    'récolta',
    'récoltai',
    'récoltaient',
    'récoltais',
    'récoltait',
    'récoltant',
    'récoltante',
    'récoltantes',
    'récoltants',
    'récoltas',
    'récoltasse',
    'récoltassent',
    'récoltasses',
    'récoltassiez',
    'récolte',
    'récoltent',
    'récolter',
    'récoltera',
    'récolterai',
    'récolterais',
    'récolterait',
    'récolteras',
    'récolterez',
    'récolteriez',
    'récolterions',
    'récolterons',
    'récolteront',
    'récoltes',
    'récolteur',
    'récolteurs',
    'récoltez',
    'récoltiez',
    'récoltions',
    'récoltons',
    'récoltâmes',
    'récoltât',
    'récoltâtes',
    'récoltèrent',
    'récolté',
    'récoltée',
    'récoltées',
    'récoltés',
    'récompensa',
    'récompensai',
    'récompensais',
    'récompensait',
    'récompensant',
    'récompensas',
    'récompense',
    'récompensent',
    'récompenser',
    'récompensera',
    'récompenses',
    'récompensez',
    'récompensiez',
    'récompensons',
    'récompensât',
    'récompensé',
    'récompensée',
    'récompensées',
    'récompensés',
    'réconcilia',
    'réconciliai',
    'réconciliais',
    'réconciliait',
    'réconciliant',
    'réconcilias',
    'réconcilie',
    'réconcilient',
    'réconcilier',
    'réconciliera',
    'réconcilies',
    'réconciliez',
    'réconciliiez',
    'réconcilions',
    'réconciliât',
    'réconcilié',
    'réconciliée',
    'réconciliées',
    'réconciliés',
    'réconfort',
    'réconforta',
    'réconfortai',
    'réconfortais',
    'réconfortait',
    'réconfortant',
    'réconfortas',
    'réconforte',
    'réconfortent',
    'réconforter',
    'réconfortera',
    'réconfortes',
    'réconfortez',
    'réconfortiez',
    'réconfortons',
    'réconforts',
    'réconfortât',
    'réconforté',
    'réconfortée',
    'réconfortées',
    'réconfortés',
    'récria',
    'récriai',
    'récriaient',
    'récriais',
    'récriait',
    'récriant',
    'récrias',
    'récriasse',
    'récriassent',
    'récriasses',
    'récriassiez',
    'récriassions',
    'récrie',
    'récrient',
    'récrier',
    'récriera',
    'récrierai',
    'récrieraient',
    'récrierais',
    'récrierait',
    'récrieras',
    'récrierez',
    'récrieriez',
    'récrierions',
    'récrierons',
    'récrieront',
    'récries',
    'récriez',
    'récriiez',
    'récriions',
    'récrimina',
    'récriminai',
    'récriminais',
    'récriminait',
    'récriminant',
    'récriminas',
    'récriminasse',
    'récrimine',
    'récriminent',
    'récriminer',
    'récriminera',
    'récriminerai',
    'récrimineras',
    'récriminerez',
    'récrimines',
    'récriminez',
    'récriminiez',
    'récriminions',
    'récriminons',
    'récriminâmes',
    'récriminât',
    'récriminâtes',
    'récriminé',
    'récrions',
    'récrira',
    'récrirai',
    'récriraient',
    'récrirais',
    'récrirait',
    'récriras',
    'récrire',
    'récrirez',
    'récririez',
    'récririons',
    'récrirons',
    'récriront',
    'récris',
    'récrit',
    'récrite',
    'récrites',
    'récrits',
    'récrivaient',
    'récrivais',
    'récrivait',
    'récrivant',
    'récrive',
    'récrivent',
    'récrives',
    'récrivez',
    'récriviez',
    'récrivions',
    'récrivirent',
    'récrivis',
    'récrivisse',
    'récrivissent',
    'récrivisses',
    'récrivissiez',
    'récrivit',
    'récrivons',
    'récrivîmes',
    'récrivît',
    'récrivîtes',
    'récriâmes',
    'récriât',
    'récriâtes',
    'récrièrent',
    'récrié',
    'récriée',
    'récriées',
    'récriés',
    'récréa',
    'récréai',
    'récréaient',
    'récréais',
    'récréait',
    'récréant',
    'récréas',
    'récréasse',
    'récréassent',
    'récréasses',
    'récréassiez',
    'récréassions',
    'récréatif',
    'récréatifs',
    'récréation',
    'récréations',
    'récréative',
    'récréatives',
    'récrée',
    'récréent',
    'récréer',
    'récréera',
    'récréerai',
    'récréeraient',
    'récréerais',
    'récréerait',
    'récréeras',
    'récréerez',
    'récréeriez',
    'récréerions',
    'récréerons',
    'récréeront',
    'récrées',
    'récréez',
    'récréiez',
    'récréions',
    'récréons',
    'récréâmes',
    'récréât',
    'récréâtes',
    'récréèrent',
    'récréé',
    'récréée',
    'récréées',
    'récréés',
    'récupère',
    'récupèrent',
    'récupères',
    'récupéra',
    'récupérable',
    'récupérables',
    'récupérai',
    'récupéraient',
    'récupérais',
    'récupérait',
    'récupérant',
    'récupéras',
    'récupérasse',
    'récupérasses',
    'récupérateur',
    'récupération',
    'récupérer',
    'récupérera',
    'récupérerai',
    'récupérerais',
    'récupérerait',
    'récupéreras',
    'récupérerez',
    'récupéreriez',
    'récupérerons',
    'récupéreront',
    'récupérez',
    'récupériez',
    'récupérions',
    'récupérons',
    'récupérâmes',
    'récupérât',
    'récupérâtes',
    'récupérèrent',
    'récupéré',
    'récupérée',
    'récupérées',
    'récupérés',
    'récura',
    'récurage',
    'récurages',
    'récurai',
    'récuraient',
    'récurais',
    'récurait',
    'récurant',
    'récuras',
    'récurasse',
    'récurassent',
    'récurasses',
    'récurassiez',
    'récurassions',
    'récure',
    'récurent',
    'récurer',
    'récurera',
    'récurerai',
    'récureraient',
    'récurerais',
    'récurerait',
    'récureras',
    'récurerez',
    'récureriez',
    'récurerions',
    'récurerons',
    'récureront',
    'récures',
    'récurez',
    'récuriez',
    'récurions',
    'récurons',
    'récurrence',
    'récurrences',
    'récurrent',
    'récurrente',
    'récurrentes',
    'récurrents',
    'récursif',
    'récursifs',
    'récursion',
    'récursions',
    'récursive',
    'récursives',
    'récursoire',
    'récursoires',
    'récurâmes',
    'récurât',
    'récurâtes',
    'récurèrent',
    'récuré',
    'récurée',
    'récurées',
    'récurés',
    'récusa',
    'récusable',
    'récusables',
    'récusai',
    'récusaient',
    'récusais',
    'récusait',
    'récusant',
    'récusas',
    'récusasse',
    'récusassent',
    'récusasses',
    'récusassiez',
    'récusassions',
    'récusation',
    'récusations',
    'récuse',
    'récusent',
    'récuser',
    'récusera',
    'récuserai',
    'récuseraient',
    'récuserais',
    'récuserait',
    'récuseras',
    'récuserez',
    'récuseriez',
    'récuserions',
    'récuserons',
    'récuseront',
    'récuses',
    'récusez',
    'récusiez',
    'récusions',
    'récusons',
    'récusâmes',
    'récusât',
    'récusâtes',
    'récusèrent',
    'récusé',
    'récusée',
    'récusées',
    'récusés',
    'récépissé',
    'récépissés',
    'rédacteur',
    'rédacteurs',
    'rédaction',
    'rédactionnel',
    'rédactions',
    'rédactrice',
    'rédactrices',
    'rédempteur',
    'rédempteurs',
    'rédemption',
    'rédemptions',
    'rédemptrice',
    'rédemptrices',
    'rédhibition',
    'rédhibitions',
    'rédhibitoire',
    'rédie',
    'rédies',
    'rédige',
    'rédigea',
    'rédigeai',
    'rédigeaient',
    'rédigeais',
    'rédigeait',
    'rédigeant',
    'rédigeas',
    'rédigeasse',
    'rédigeassent',
    'rédigeasses',
    'rédigeassiez',
    'rédigent',
    'rédigeons',
    'rédiger',
    'rédigera',
    'rédigerai',
    'rédigeraient',
    'rédigerais',
    'rédigerait',
    'rédigeras',
    'rédigerez',
    'rédigeriez',
    'rédigerions',
    'rédigerons',
    'rédigeront',
    'rédiges',
    'rédigez',
    'rédigeâmes',
    'rédigeât',
    'rédigeâtes',
    'rédigiez',
    'rédigions',
    'rédigèrent',
    'rédigé',
    'rédigée',
    'rédigées',
    'rédigés',
    'rédima',
    'rédimai',
    'rédimaient',
    'rédimais',
    'rédimait',
    'rédimant',
    'rédimas',
    'rédimasse',
    'rédimassent',
    'rédimasses',
    'rédimassiez',
    'rédimassions',
    'rédime',
    'rédiment',
    'rédimer',
    'rédimera',
    'rédimerai',
    'rédimeraient',
    'rédimerais',
    'rédimerait',
    'rédimeras',
    'rédimerez',
    'rédimeriez',
    'rédimerions',
    'rédimerons',
    'rédimeront',
    'rédimes',
    'rédimez',
    'rédimiez',
    'rédimions',
    'rédimons',
    'rédimâmes',
    'rédimât',
    'rédimâtes',
    'rédimèrent',
    'rédimé',
    'rédimée',
    'rédimées',
    'rédimés',
    'réductase',
    'réductases',
    'réducteur',
    'réducteurs',
    'réductible',
    'réductibles',
    'réduction',
    'réductions',
    'réductrice',
    'réductrices',
    'réduira',
    'réduirai',
    'réduiraient',
    'réduirais',
    'réduirait',
    'réduiras',
    'réduire',
    'réduirez',
    'réduiriez',
    'réduirions',
    'réduirons',
    'réduiront',
    'réduis',
    'réduisaient',
    'réduisais',
    'réduisait',
    'réduisant',
    'réduise',
    'réduisent',
    'réduises',
    'réduisez',
    'réduisiez',
    'réduisions',
    'réduisirent',
    'réduisis',
    'réduisisse',
    'réduisissent',
    'réduisisses',
    'réduisissiez',
    'réduisit',
    'réduisons',
    'réduisîmes',
    'réduisît',
    'réduisîtes',
    'réduit',
    'réduite',
    'réduites',
    'réduits',
    'réduplicatif',
    'réduve',
    'réduves',
    'réel',
    'réelle',
    'réellement',
    'réelles',
    'réels',
    'réembaucha',
    'réembauchai',
    'réembauchais',
    'réembauchait',
    'réembauchant',
    'réembauchas',
    'réembauche',
    'réembauchent',
    'réembaucher',
    'réembauchera',
    'réembauches',
    'réembauchez',
    'réembauchiez',
    'réembauchons',
    'réembauchât',
    'réembauché',
    'réembauchée',
    'réembauchées',
    'réembauchés',
    'réemploi',
    'réemploie',
    'réemploient',
    'réemploiera',
    'réemploierai',
    'réemploieras',
    'réemploierez',
    'réemploies',
    'réemplois',
    'réemploya',
    'réemployai',
    'réemployais',
    'réemployait',
    'réemployant',
    'réemployas',
    'réemployasse',
    'réemployer',
    'réemployez',
    'réemployiez',
    'réemployions',
    'réemployons',
    'réemployâmes',
    'réemployât',
    'réemployâtes',
    'réemployé',
    'réemployée',
    'réemployées',
    'réemployés',
    'réemprunta',
    'réempruntai',
    'réempruntais',
    'réempruntait',
    'réempruntant',
    'réempruntas',
    'réemprunte',
    'réempruntent',
    'réemprunter',
    'réempruntera',
    'réempruntes',
    'réempruntez',
    'réempruntiez',
    'réempruntons',
    'réempruntât',
    'réemprunté',
    'réempruntée',
    'réempruntées',
    'réempruntés',
    'réengage',
    'réengagea',
    'réengageai',
    'réengageais',
    'réengageait',
    'réengageant',
    'réengageas',
    'réengageasse',
    'réengagement',
    'réengagent',
    'réengageons',
    'réengager',
    'réengagera',
    'réengagerai',
    'réengagerais',
    'réengagerait',
    'réengageras',
    'réengagerez',
    'réengageriez',
    'réengagerons',
    'réengageront',
    'réengages',
    'réengagez',
    'réengageâmes',
    'réengageât',
    'réengageâtes',
    'réengagiez',
    'réengagions',
    'réengagèrent',
    'réengagé',
    'réengagée',
    'réengagées',
    'réengagés',
    'réenregistra',
    'réenregistre',
    'réenregistré',
    'réensemence',
    'réensemencer',
    'réensemences',
    'réensemencez',
    'réensemencé',
    'réensemencée',
    'réensemencés',
    'réensemença',
    'réensemençai',
    'réensemenças',
    'réensemençât',
    'réent',
    'réentendre',
    'réer',
    'réera',
    'réerai',
    'réeraient',
    'réerais',
    'réerait',
    'réeras',
    'réerez',
    'réeriez',
    'réerions',
    'réerons',
    'réeront',
    'rées',
    'réescompta',
    'réescomptai',
    'réescomptais',
    'réescomptait',
    'réescomptant',
    'réescomptas',
    'réescompte',
    'réescomptent',
    'réescompter',
    'réescomptera',
    'réescomptes',
    'réescompteur',
    'réescomptez',
    'réescomptiez',
    'réescomptons',
    'réescomptât',
    'réescompté',
    'réescomptée',
    'réescomptées',
    'réescomptés',
    'réessaie',
    'réessaient',
    'réessaiera',
    'réessaierai',
    'réessaierais',
    'réessaierait',
    'réessaieras',
    'réessaierez',
    'réessaieriez',
    'réessaierons',
    'réessaieront',
    'réessaies',
    'réessaya',
    'réessayage',
    'réessayages',
    'réessayai',
    'réessayaient',
    'réessayais',
    'réessayait',
    'réessayant',
    'réessayas',
    'réessayasse',
    'réessayasses',
    'réessaye',
    'réessayent',
    'réessayer',
    'réessayera',
    'réessayerai',
    'réessayerais',
    'réessayerait',
    'réessayeras',
    'réessayerez',
    'réessayeriez',
    'réessayerons',
    'réessayeront',
    'réessayes',
    'réessayez',
    'réessayiez',
    'réessayions',
    'réessayons',
    'réessayâmes',
    'réessayât',
    'réessayâtes',
    'réessayèrent',
    'réessayé',
    'réessayée',
    'réessayées',
    'réessayés',
    'réexamen',
    'réexamens',
    'réexamina',
    'réexaminai',
    'réexaminais',
    'réexaminait',
    'réexaminant',
    'réexaminas',
    'réexaminasse',
    'réexamine',
    'réexaminent',
    'réexaminer',
    'réexaminera',
    'réexaminerai',
    'réexamineras',
    'réexaminerez',
    'réexamines',
    'réexaminez',
    'réexaminiez',
    'réexaminions',
    'réexaminons',
    'réexaminâmes',
    'réexaminât',
    'réexaminâtes',
    'réexaminé',
    'réexaminée',
    'réexaminées',
    'réexaminés',
    'réexporta',
    'réexportai',
    'réexportais',
    'réexportait',
    'réexportant',
    'réexportas',
    'réexportasse',
    'réexporte',
    'réexportent',
    'réexporter',
    'réexportera',
    'réexporterai',
    'réexporteras',
    'réexporterez',
    'réexportes',
    'réexportez',
    'réexportiez',
    'réexportions',
    'réexportons',
    'réexportâmes',
    'réexportât',
    'réexportâtes',
    'réexporté',
    'réexportée',
    'réexportées',
    'réexportés',
    'réexpédia',
    'réexpédiai',
    'réexpédiais',
    'réexpédiait',
    'réexpédiant',
    'réexpédias',
    'réexpédiasse',
    'réexpédie',
    'réexpédient',
    'réexpédier',
    'réexpédiera',
    'réexpédierai',
    'réexpédieras',
    'réexpédierez',
    'réexpédies',
    'réexpédiez',
    'réexpédiiez',
    'réexpédiions',
    'réexpédions',
    'réexpédition',
    'réexpédiâmes',
    'réexpédiât',
    'réexpédiâtes',
    'réexpédié',
    'réexpédiée',
    'réexpédiées',
    'réexpédiés',
    'réez',
    'réfaction',
    'réfactions',
    'réfection',
    'réfections',
    'réfectoire',
    'réfectoires',
    'réflecteur',
    'réflecteurs',
    'réflectif',
    'réflectifs',
    'réflection',
    'réflections',
    'réflective',
    'réflectives',
    'réflectivité',
    'réflexe',
    'réflexes',
    'réflexible',
    'réflexibles',
    'réflexif',
    'réflexifs',
    'réflexion',
    'réflexions',
    'réflexive',
    'réflexives',
    'réflexivité',
    'réflexivités',
    'réflexogène',
    'réflexogènes',
    'réflexologie',
    'réfléchi',
    'réfléchie',
    'réfléchies',
    'réfléchir',
    'réfléchira',
    'réfléchirai',
    'réfléchirais',
    'réfléchirait',
    'réfléchiras',
    'réfléchirent',
    'réfléchirez',
    'réfléchiriez',
    'réfléchirons',
    'réfléchiront',
    'réfléchis',
    'réfléchisse',
    'réfléchisses',
    'réfléchissez',
    'réfléchit',
    'réfléchîmes',
    'réfléchît',
    'réfléchîtes',
    'réforma',
    'réformable',
    'réformables',
    'réformai',
    'réformaient',
    'réformais',
    'réformait',
    'réformant',
    'réformas',
    'réformasse',
    'réformassent',
    'réformasses',
    'réformassiez',
    'réformateur',
    'réformateurs',
    'réformatrice',
    'réforme',
    'réforment',
    'réformer',
    'réformera',
    'réformerai',
    'réformerais',
    'réformerait',
    'réformeras',
    'réformerez',
    'réformeriez',
    'réformerions',
    'réformerons',
    'réformeront',
    'réformes',
    'réformette',
    'réformettes',
    'réformez',
    'réformiez',
    'réformions',
    'réformisme',
    'réformismes',
    'réformiste',
    'réformistes',
    'réformons',
    'réformâmes',
    'réformât',
    'réformâtes',
    'réformèrent',
    'réformé',
    'réformée',
    'réformées',
    'réformés',
    'réfracta',
    'réfractai',
    'réfractaient',
    'réfractaire',
    'réfractaires',
    'réfractais',
    'réfractait',
    'réfractant',
    'réfractas',
    'réfractasse',
    'réfractasses',
    'réfracte',
    'réfractent',
    'réfracter',
    'réfractera',
    'réfracterai',
    'réfracterais',
    'réfracterait',
    'réfracteras',
    'réfracterez',
    'réfracteriez',
    'réfracterons',
    'réfracteront',
    'réfractes',
    'réfracteur',
    'réfracteurs',
    'réfractez',
    'réfractiez',
    'réfraction',
    'réfractions',
    'réfractons',
    'réfractrice',
    'réfractrices',
    'réfractâmes',
    'réfractât',
    'réfractâtes',
    'réfractèrent',
    'réfracté',
    'réfractée',
    'réfractées',
    'réfractés',
    'réfrangible',
    'réfrangibles',
    'réfrigère',
    'réfrigèrent',
    'réfrigères',
    'réfrigéra',
    'réfrigérai',
    'réfrigérais',
    'réfrigérait',
    'réfrigérant',
    'réfrigérante',
    'réfrigérants',
    'réfrigéras',
    'réfrigérasse',
    'réfrigérer',
    'réfrigérera',
    'réfrigérerai',
    'réfrigéreras',
    'réfrigérerez',
    'réfrigérez',
    'réfrigériez',
    'réfrigérions',
    'réfrigérons',
    'réfrigérâmes',
    'réfrigérât',
    'réfrigérâtes',
    'réfrigéré',
    'réfrigérée',
    'réfrigérées',
    'réfrigérés',
    'réfringence',
    'réfringences',
    'réfringent',
    'réfringente',
    'réfringentes',
    'réfringents',
    'réfrène',
    'réfrènent',
    'réfrènes',
    'réfréna',
    'réfrénai',
    'réfrénaient',
    'réfrénais',
    'réfrénait',
    'réfrénant',
    'réfrénas',
    'réfrénasse',
    'réfrénassent',
    'réfrénasses',
    'réfrénassiez',
    'réfréner',
    'réfrénera',
    'réfrénerai',
    'réfrénerais',
    'réfrénerait',
    'réfréneras',
    'réfrénerez',
    'réfréneriez',
    'réfrénerions',
    'réfrénerons',
    'réfréneront',
    'réfrénez',
    'réfréniez',
    'réfrénions',
    'réfrénons',
    'réfrénâmes',
    'réfrénât',
    'réfrénâtes',
    'réfrénèrent',
    'réfréné',
    'réfrénée',
    'réfrénées',
    'réfrénés',
    'réfugia',
    'réfugiai',
    'réfugiaient',
    'réfugiais',
    'réfugiait',
    'réfugiant',
    'réfugias',
    'réfugiasse',
    'réfugiassent',
    'réfugiasses',
    'réfugiassiez',
    'réfugie',
    'réfugient',
    'réfugier',
    'réfugiera',
    'réfugierai',
    'réfugierais',
    'réfugierait',
    'réfugieras',
    'réfugierez',
    'réfugieriez',
    'réfugierions',
    'réfugierons',
    'réfugieront',
    'réfugies',
    'réfugiez',
    'réfugiiez',
    'réfugiions',
    'réfugions',
    'réfugiâmes',
    'réfugiât',
    'réfugiâtes',
    'réfugièrent',
    'réfugié',
    'réfugiée',
    'réfugiées',
    'réfugiés',
    'réfuta',
    'réfutable',
    'réfutables',
    'réfutai',
    'réfutaient',
    'réfutais',
    'réfutait',
    'réfutant',
    'réfutas',
    'réfutasse',
    'réfutassent',
    'réfutasses',
    'réfutassiez',
    'réfutassions',
    'réfutation',
    'réfutations',
    'réfute',
    'réfutent',
    'réfuter',
    'réfutera',
    'réfuterai',
    'réfuteraient',
    'réfuterais',
    'réfuterait',
    'réfuteras',
    'réfuterez',
    'réfuteriez',
    'réfuterions',
    'réfuterons',
    'réfuteront',
    'réfutes',
    'réfutez',
    'réfutiez',
    'réfutions',
    'réfutons',
    'réfutâmes',
    'réfutât',
    'réfutâtes',
    'réfutèrent',
    'réfuté',
    'réfutée',
    'réfutées',
    'réfutés',
    'réfère',
    'réfèrent',
    'réfères',
    'référa',
    'référai',
    'référaient',
    'référais',
    'référait',
    'référant',
    'référas',
    'référasse',
    'référassent',
    'référasses',
    'référassiez',
    'référassions',
    'référence',
    'référencent',
    'référencer',
    'référencera',
    'référencerai',
    'référenceras',
    'référencerez',
    'références',
    'référencez',
    'référenciez',
    'référencions',
    'référencé',
    'référencée',
    'référencées',
    'référencés',
    'référendaire',
    'référendum',
    'référendums',
    'référent',
    'référentiel',
    'référentiels',
    'référents',
    'référença',
    'référençai',
    'référençais',
    'référençait',
    'référençant',
    'référenças',
    'référençasse',
    'référençons',
    'référençâmes',
    'référençât',
    'référençâtes',
    'référer',
    'référera',
    'référerai',
    'référeraient',
    'référerais',
    'référerait',
    'référeras',
    'référerez',
    'référeriez',
    'référerions',
    'référerons',
    'référeront',
    'référez',
    'référiez',
    'référions',
    'référons',
    'référâmes',
    'référât',
    'référâtes',
    'référèrent',
    'référé',
    'référée',
    'référées',
    'référés',
    'régal',
    'régala',
    'régalade',
    'régalades',
    'régalage',
    'régalages',
    'régalai',
    'régalaient',
    'régalais',
    'régalait',
    'régalant',
    'régalas',
    'régalasse',
    'régalassent',
    'régalasses',
    'régalassiez',
    'régalassions',
    'régale',
    'régalement',
    'régalements',
    'régalent',
    'régaler',
    'régalera',
    'régalerai',
    'régaleraient',
    'régalerais',
    'régalerait',
    'régaleras',
    'régalerez',
    'régaleriez',
    'régalerions',
    'régalerons',
    'régaleront',
    'régales',
    'régalez',
    'régalien',
    'régalienne',
    'régaliennes',
    'régaliens',
    'régaliez',
    'régalions',
    'régalons',
    'régals',
    'régalâmes',
    'régalât',
    'régalâtes',
    'régalèrent',
    'régalé',
    'régalée',
    'régalées',
    'régalés',
    'régata',
    'régatai',
    'régataient',
    'régatais',
    'régatait',
    'régatant',
    'régatas',
    'régatasse',
    'régatassent',
    'régatasses',
    'régatassiez',
    'régatassions',
    'régate',
    'régatent',
    'régater',
    'régatera',
    'régaterai',
    'régateraient',
    'régaterais',
    'régaterait',
    'régateras',
    'régaterez',
    'régateriez',
    'régaterions',
    'régaterons',
    'régateront',
    'régates',
    'régatez',
    'régatier',
    'régatiers',
    'régatiez',
    'régations',
    'régatière',
    'régatières',
    'régatons',
    'régatâmes',
    'régatât',
    'régatâtes',
    'régatèrent',
    'régaté',
    'régence',
    'régences',
    'régent',
    'régenta',
    'régentai',
    'régentaient',
    'régentais',
    'régentait',
    'régentant',
    'régentas',
    'régentasse',
    'régentassent',
    'régentasses',
    'régentassiez',
    'régente',
    'régentent',
    'régenter',
    'régentera',
    'régenterai',
    'régenterais',
    'régenterait',
    'régenteras',
    'régenterez',
    'régenteriez',
    'régenterions',
    'régenterons',
    'régenteront',
    'régentes',
    'régentez',
    'régentiez',
    'régentions',
    'régentons',
    'régents',
    'régentâmes',
    'régentât',
    'régentâtes',
    'régentèrent',
    'régenté',
    'régentée',
    'régentées',
    'régentés',
    'régi',
    'régicide',
    'régicides',
    'régie',
    'régies',
    'régime',
    'régiment',
    'régimentaire',
    'régiments',
    'régimes',
    'région',
    'régional',
    'régionale',
    'régionales',
    'régionalisa',
    'régionalisai',
    'régionalisas',
    'régionalise',
    'régionaliser',
    'régionalises',
    'régionalisez',
    'régionalisme',
    'régionaliste',
    'régionalisât',
    'régionalisé',
    'régionalisée',
    'régionalisés',
    'régionaux',
    'régions',
    'régir',
    'régira',
    'régirai',
    'régiraient',
    'régirais',
    'régirait',
    'régiras',
    'régirent',
    'régirez',
    'régiriez',
    'régirions',
    'régirons',
    'régiront',
    'régis',
    'régissaient',
    'régissais',
    'régissait',
    'régissant',
    'régisse',
    'régissent',
    'régisses',
    'régisseur',
    'régisseurs',
    'régisseuse',
    'régisseuses',
    'régissez',
    'régissiez',
    'régissions',
    'régissons',
    'régit',
    'régla',
    'réglable',
    'réglables',
    'réglage',
    'réglages',
    'réglai',
    'réglaient',
    'réglais',
    'réglait',
    'réglant',
    'réglas',
    'réglasse',
    'réglassent',
    'réglasses',
    'réglassiez',
    'réglassions',
    'réglementa',
    'réglementai',
    'réglementais',
    'réglementait',
    'réglementant',
    'réglementas',
    'réglemente',
    'réglementent',
    'réglementer',
    'réglementera',
    'réglementes',
    'réglementez',
    'réglementiez',
    'réglementons',
    'réglementât',
    'réglementé',
    'réglementée',
    'réglementées',
    'réglementés',
    'régler',
    'réglera',
    'réglerai',
    'régleraient',
    'réglerais',
    'réglerait',
    'régleras',
    'réglerez',
    'régleriez',
    'réglerions',
    'réglerons',
    'régleront',
    'réglet',
    'réglets',
    'réglette',
    'réglettes',
    'régleur',
    'régleurs',
    'régleuse',
    'régleuses',
    'réglez',
    'régliez',
    'réglions',
    'réglisse',
    'réglisses',
    'réglo',
    'régloir',
    'régloirs',
    'réglons',
    'réglure',
    'réglures',
    'réglâmes',
    'réglât',
    'réglâtes',
    'réglèrent',
    'réglé',
    'réglée',
    'réglées',
    'réglés',
    'régna',
    'régnai',
    'régnaient',
    'régnais',
    'régnait',
    'régnant',
    'régnante',
    'régnantes',
    'régnants',
    'régnas',
    'régnasse',
    'régnassent',
    'régnasses',
    'régnassiez',
    'régnassions',
    'régner',
    'régnera',
    'régnerai',
    'régneraient',
    'régnerais',
    'régnerait',
    'régneras',
    'régnerez',
    'régneriez',
    'régnerions',
    'régnerons',
    'régneront',
    'régnez',
    'régniez',
    'régnions',
    'régnons',
    'régnâmes',
    'régnât',
    'régnâtes',
    'régnèrent',
    'régné',
    'régressa',
    'régressai',
    'régressaient',
    'régressais',
    'régressait',
    'régressant',
    'régressas',
    'régressasse',
    'régressasses',
    'régresse',
    'régressent',
    'régresser',
    'régressera',
    'régresserai',
    'régresserais',
    'régresserait',
    'régresseras',
    'régresserez',
    'régresseriez',
    'régresserons',
    'régresseront',
    'régresses',
    'régressez',
    'régressiez',
    'régressif',
    'régressifs',
    'régression',
    'régressions',
    'régressive',
    'régressives',
    'régressons',
    'régressâmes',
    'régressât',
    'régressâtes',
    'régressèrent',
    'régressé',
    'régressée',
    'régressées',
    'régressés',
    'régularisa',
    'régularisai',
    'régularisais',
    'régularisait',
    'régularisant',
    'régularisas',
    'régularise',
    'régularisent',
    'régulariser',
    'régularisera',
    'régularises',
    'régularisez',
    'régularisiez',
    'régularisons',
    'régularisât',
    'régularisé',
    'régularisée',
    'régularisées',
    'régularisés',
    'régularité',
    'régularités',
    'régulateur',
    'régulateurs',
    'régulation',
    'régulations',
    'régulatrice',
    'régulatrices',
    'régule',
    'réguler',
    'régules',
    'régulier',
    'réguliers',
    'régulière',
    'régulières',
    'régulée',
    'régurgita',
    'régurgitai',
    'régurgitais',
    'régurgitait',
    'régurgitant',
    'régurgitas',
    'régurgitasse',
    'régurgite',
    'régurgitent',
    'régurgiter',
    'régurgitera',
    'régurgiterai',
    'régurgiteras',
    'régurgiterez',
    'régurgites',
    'régurgitez',
    'régurgitiez',
    'régurgitions',
    'régurgitons',
    'régurgitâmes',
    'régurgitât',
    'régurgitâtes',
    'régurgité',
    'régurgitée',
    'régurgitées',
    'régurgités',
    'régénère',
    'régénèrent',
    'régénères',
    'régénéra',
    'régénérai',
    'régénéraient',
    'régénérais',
    'régénérait',
    'régénérant',
    'régénéras',
    'régénérasse',
    'régénérasses',
    'régénérateur',
    'régénération',
    'régénérer',
    'régénérera',
    'régénérerai',
    'régénérerais',
    'régénérerait',
    'régénéreras',
    'régénérerez',
    'régénéreriez',
    'régénérerons',
    'régénéreront',
    'régénérez',
    'régénériez',
    'régénérions',
    'régénérons',
    'régénérâmes',
    'régénérât',
    'régénérâtes',
    'régénérèrent',
    'régénéré',
    'régénérée',
    'régénérées',
    'régénérés',
    'régîmes',
    'régît',
    'régîtes',
    'réhabilita',
    'réhabilitai',
    'réhabilitais',
    'réhabilitait',
    'réhabilitant',
    'réhabilitas',
    'réhabilite',
    'réhabilitent',
    'réhabiliter',
    'réhabilitera',
    'réhabilites',
    'réhabilitez',
    'réhabilitiez',
    'réhabilitons',
    'réhabilitât',
    'réhabilité',
    'réhabilitée',
    'réhabilitées',
    'réhabilités',
    'réhabitua',
    'réhabituai',
    'réhabituais',
    'réhabituait',
    'réhabituant',
    'réhabituas',
    'réhabituasse',
    'réhabitue',
    'réhabituent',
    'réhabituer',
    'réhabituera',
    'réhabituerai',
    'réhabitueras',
    'réhabituerez',
    'réhabitues',
    'réhabituez',
    'réhabituiez',
    'réhabituions',
    'réhabituons',
    'réhabituâmes',
    'réhabituât',
    'réhabituâtes',
    'réhabitué',
    'réhabituée',
    'réhabituées',
    'réhabitués',
    'réhydrata',
    'réhydratai',
    'réhydratais',
    'réhydratait',
    'réhydratant',
    'réhydratas',
    'réhydratasse',
    'réhydrate',
    'réhydratent',
    'réhydrater',
    'réhydratera',
    'réhydraterai',
    'réhydrateras',
    'réhydraterez',
    'réhydrates',
    'réhydratez',
    'réhydratiez',
    'réhydrations',
    'réhydratons',
    'réhydratâmes',
    'réhydratât',
    'réhydratâtes',
    'réhydraté',
    'réhydratée',
    'réhydratées',
    'réhydratés',
    'réiez',
    'réifia',
    'réifiai',
    'réifiaient',
    'réifiais',
    'réifiait',
    'réifiant',
    'réifias',
    'réifiasse',
    'réifiassent',
    'réifiasses',
    'réifiassiez',
    'réifiassions',
    'réification',
    'réifications',
    'réifie',
    'réifient',
    'réifier',
    'réifiera',
    'réifierai',
    'réifieraient',
    'réifierais',
    'réifierait',
    'réifieras',
    'réifierez',
    'réifieriez',
    'réifierions',
    'réifierons',
    'réifieront',
    'réifies',
    'réifiez',
    'réifiiez',
    'réifiions',
    'réifions',
    'réifiâmes',
    'réifiât',
    'réifiâtes',
    'réifièrent',
    'réifié',
    'réifiée',
    'réifiées',
    'réifiés',
    'réimplanta',
    'réimplantai',
    'réimplantais',
    'réimplantait',
    'réimplantant',
    'réimplantas',
    'réimplante',
    'réimplantent',
    'réimplanter',
    'réimplantera',
    'réimplantes',
    'réimplantez',
    'réimplantiez',
    'réimplantons',
    'réimplantât',
    'réimplanté',
    'réimplantée',
    'réimplantées',
    'réimplantés',
    'réimporta',
    'réimportai',
    'réimportais',
    'réimportait',
    'réimportant',
    'réimportas',
    'réimportasse',
    'réimporte',
    'réimportent',
    'réimporter',
    'réimportera',
    'réimporterai',
    'réimporteras',
    'réimporterez',
    'réimportes',
    'réimportez',
    'réimportiez',
    'réimportions',
    'réimportons',
    'réimportâmes',
    'réimportât',
    'réimportâtes',
    'réimporté',
    'réimportée',
    'réimportées',
    'réimportés',
    'réimposa',
    'réimposai',
    'réimposaient',
    'réimposais',
    'réimposait',
    'réimposant',
    'réimposas',
    'réimposasse',
    'réimposasses',
    'réimpose',
    'réimposent',
    'réimposer',
    'réimposera',
    'réimposerai',
    'réimposerais',
    'réimposerait',
    'réimposeras',
    'réimposerez',
    'réimposeriez',
    'réimposerons',
    'réimposeront',
    'réimposes',
    'réimposez',
    'réimposiez',
    'réimposions',
    'réimposition',
    'réimposons',
    'réimposâmes',
    'réimposât',
    'réimposâtes',
    'réimposèrent',
    'réimposé',
    'réimposée',
    'réimposées',
    'réimposés',
    'réimpression',
    'réimprima',
    'réimprimai',
    'réimprimais',
    'réimprimait',
    'réimprimant',
    'réimprimas',
    'réimprimasse',
    'réimprime',
    'réimpriment',
    'réimprimer',
    'réimprimera',
    'réimprimerai',
    'réimprimeras',
    'réimprimerez',
    'réimprimes',
    'réimprimez',
    'réimprimiez',
    'réimprimions',
    'réimprimons',
    'réimprimâmes',
    'réimprimât',
    'réimprimâtes',
    'réimprimé',
    'réimprimée',
    'réimprimées',
    'réimprimés',
    'réincarcère',
    'réincarcères',
    'réincarcéra',
    'réincarcérai',
    'réincarcéras',
    'réincarcérer',
    'réincarcérez',
    'réincarcérât',
    'réincarcéré',
    'réincarcérée',
    'réincarcérés',
    'réincarna',
    'réincarnai',
    'réincarnais',
    'réincarnait',
    'réincarnant',
    'réincarnas',
    'réincarnasse',
    'réincarne',
    'réincarnent',
    'réincarner',
    'réincarnera',
    'réincarnerai',
    'réincarneras',
    'réincarnerez',
    'réincarnes',
    'réincarnez',
    'réincarniez',
    'réincarnions',
    'réincarnons',
    'réincarnâmes',
    'réincarnât',
    'réincarnâtes',
    'réincarné',
    'réincarnée',
    'réincarnées',
    'réincarnés',
    'réincorpora',
    'réincorporai',
    'réincorporas',
    'réincorpore',
    'réincorporer',
    'réincorpores',
    'réincorporez',
    'réincorporât',
    'réincorporé',
    'réincorporée',
    'réincorporés',
    'réinfecta',
    'réinfectai',
    'réinfectais',
    'réinfectait',
    'réinfectant',
    'réinfectas',
    'réinfectasse',
    'réinfecte',
    'réinfectent',
    'réinfecter',
    'réinfectera',
    'réinfecterai',
    'réinfecteras',
    'réinfecterez',
    'réinfectes',
    'réinfectez',
    'réinfectiez',
    'réinfections',
    'réinfectons',
    'réinfectâmes',
    'réinfectât',
    'réinfectâtes',
    'réinfecté',
    'réinfectée',
    'réinfectées',
    'réinfectés',
    'réinitialisa',
    'réinitialise',
    'réinitialisé',
    'réinjecta',
    'réinjectai',
    'réinjectais',
    'réinjectait',
    'réinjectant',
    'réinjectas',
    'réinjectasse',
    'réinjecte',
    'réinjectent',
    'réinjecter',
    'réinjectera',
    'réinjecterai',
    'réinjecteras',
    'réinjecterez',
    'réinjectes',
    'réinjectez',
    'réinjectiez',
    'réinjections',
    'réinjectons',
    'réinjectâmes',
    'réinjectât',
    'réinjectâtes',
    'réinjecté',
    'réinjectée',
    'réinjectées',
    'réinjectés',
    'réinscrira',
    'réinscrirai',
    'réinscrirais',
    'réinscrirait',
    'réinscriras',
    'réinscrire',
    'réinscrirez',
    'réinscririez',
    'réinscrirons',
    'réinscriront',
    'réinscris',
    'réinscrit',
    'réinscrite',
    'réinscrites',
    'réinscrits',
    'réinscrivais',
    'réinscrivait',
    'réinscrivant',
    'réinscrive',
    'réinscrivent',
    'réinscrives',
    'réinscrivez',
    'réinscriviez',
    'réinscrivis',
    'réinscrivit',
    'réinscrivons',
    'réinscrivît',
    'réinsertion',
    'réinsertions',
    'réinstalla',
    'réinstallai',
    'réinstallais',
    'réinstallait',
    'réinstallant',
    'réinstallas',
    'réinstalle',
    'réinstallent',
    'réinstaller',
    'réinstallera',
    'réinstalles',
    'réinstallez',
    'réinstalliez',
    'réinstallons',
    'réinstallât',
    'réinstallé',
    'réinstallée',
    'réinstallées',
    'réinstallés',
    'réinsère',
    'réinsèrent',
    'réinsères',
    'réinséra',
    'réinsérai',
    'réinséraient',
    'réinsérais',
    'réinsérait',
    'réinsérant',
    'réinséras',
    'réinsérasse',
    'réinsérasses',
    'réinsérer',
    'réinsérera',
    'réinsérerai',
    'réinsérerais',
    'réinsérerait',
    'réinséreras',
    'réinsérerez',
    'réinséreriez',
    'réinsérerons',
    'réinséreront',
    'réinsérez',
    'réinsériez',
    'réinsérions',
    'réinsérons',
    'réinsérâmes',
    'réinsérât',
    'réinsérâtes',
    'réinsérèrent',
    'réinséré',
    'réinsérée',
    'réinsérées',
    'réinsérés',
    'réinterprète',
    'réinterpréta',
    'réinterprété',
    'réintroduira',
    'réintroduire',
    'réintroduis',
    'réintroduise',
    'réintroduit',
    'réintroduite',
    'réintroduits',
    'réintègre',
    'réintègrent',
    'réintègres',
    'réintégra',
    'réintégrable',
    'réintégrai',
    'réintégrais',
    'réintégrait',
    'réintégrant',
    'réintégras',
    'réintégrasse',
    'réintégrer',
    'réintégrera',
    'réintégrerai',
    'réintégreras',
    'réintégrerez',
    'réintégrez',
    'réintégriez',
    'réintégrions',
    'réintégrons',
    'réintégrâmes',
    'réintégrât',
    'réintégrâtes',
    'réintégré',
    'réintégrée',
    'réintégrées',
    'réintégrés',
    'réinventa',
    'réinventai',
    'réinventais',
    'réinventait',
    'réinventant',
    'réinventas',
    'réinventasse',
    'réinvente',
    'réinventent',
    'réinventer',
    'réinventera',
    'réinventerai',
    'réinventeras',
    'réinventerez',
    'réinventes',
    'réinventez',
    'réinventiez',
    'réinvention',
    'réinventions',
    'réinventons',
    'réinventâmes',
    'réinventât',
    'réinventâtes',
    'réinventé',
    'réinventée',
    'réinventées',
    'réinventés',
    'réinvesti',
    'réinvestie',
    'réinvesties',
    'réinvestir',
    'réinvestira',
    'réinvestirai',
    'réinvestiras',
    'réinvestirez',
    'réinvestis',
    'réinvestisse',
    'réinvestit',
    'réinvestîmes',
    'réinvestît',
    'réinvestîtes',
    'réinvita',
    'réinvitai',
    'réinvitaient',
    'réinvitais',
    'réinvitait',
    'réinvitant',
    'réinvitas',
    'réinvitasse',
    'réinvitasses',
    'réinvite',
    'réinvitent',
    'réinviter',
    'réinvitera',
    'réinviterai',
    'réinviterais',
    'réinviterait',
    'réinviteras',
    'réinviterez',
    'réinviteriez',
    'réinviterons',
    'réinviteront',
    'réinvites',
    'réinvitez',
    'réinvitiez',
    'réinvitions',
    'réinvitons',
    'réinvitâmes',
    'réinvitât',
    'réinvitâtes',
    'réinvitèrent',
    'réinvité',
    'réinvitée',
    'réinvitées',
    'réinvités',
    'réions',
    'réitère',
    'réitèrent',
    'réitères',
    'réitéra',
    'réitérai',
    'réitéraient',
    'réitérais',
    'réitérait',
    'réitérant',
    'réitéras',
    'réitérasse',
    'réitérassent',
    'réitérasses',
    'réitérassiez',
    'réitératif',
    'réitératifs',
    'réitération',
    'réitérations',
    'réitérative',
    'réitératives',
    'réitérer',
    'réitérera',
    'réitérerai',
    'réitérerais',
    'réitérerait',
    'réitéreras',
    'réitérerez',
    'réitéreriez',
    'réitérerions',
    'réitérerons',
    'réitéreront',
    'réitérez',
    'réitériez',
    'réitérions',
    'réitérons',
    'réitérâmes',
    'réitérât',
    'réitérâtes',
    'réitérèrent',
    'réitéré',
    'réitérée',
    'réitérées',
    'réitérés',
    'réjoui',
    'réjouie',
    'réjouies',
    'réjouir',
    'réjouira',
    'réjouirai',
    'réjouiraient',
    'réjouirais',
    'réjouirait',
    'réjouiras',
    'réjouirent',
    'réjouirez',
    'réjouiriez',
    'réjouirions',
    'réjouirons',
    'réjouiront',
    'réjouis',
    'réjouissais',
    'réjouissait',
    'réjouissance',
    'réjouissant',
    'réjouissante',
    'réjouissants',
    'réjouisse',
    'réjouissent',
    'réjouisses',
    'réjouissez',
    'réjouissiez',
    'réjouissions',
    'réjouissons',
    'réjouit',
    'réjouîmes',
    'réjouît',
    'réjouîtes',
    'rélargi',
    'rélargie',
    'rélargies',
    'rélargir',
    'rélargira',
    'rélargirai',
    'rélargirais',
    'rélargirait',
    'rélargiras',
    'rélargirent',
    'rélargirez',
    'rélargiriez',
    'rélargirions',
    'rélargirons',
    'rélargiront',
    'rélargis',
    'rélargissais',
    'rélargissait',
    'rélargissant',
    'rélargisse',
    'rélargissent',
    'rélargisses',
    'rélargissez',
    'rélargissiez',
    'rélargissons',
    'rélargit',
    'rélargîmes',
    'rélargît',
    'rélargîtes',
    'rémanence',
    'rémanences',
    'rémanent',
    'rémanentE',
    'rémanentES',
    'rémanents',
    'rémi',
    'rémige',
    'rémiges',
    'réminiscence',
    'rémissible',
    'rémissibles',
    'rémission',
    'rémissions',
    'rémittence',
    'rémittences',
    'rémittent',
    'rémittentE',
    'rémittentES',
    'rémittents',
    'rémiz',
    'rémora',
    'rémoras',
    'rémoulade',
    'rémoulades',
    'rémouleur',
    'rémouleurs',
    'rémunère',
    'rémunèrent',
    'rémunères',
    'rémunéra',
    'rémunérai',
    'rémunéraient',
    'rémunérais',
    'rémunérait',
    'rémunérant',
    'rémunéras',
    'rémunérasse',
    'rémunérasses',
    'rémunérateur',
    'rémunération',
    'rémunérer',
    'rémunérera',
    'rémunérerai',
    'rémunérerais',
    'rémunérerait',
    'rémunéreras',
    'rémunérerez',
    'rémunéreriez',
    'rémunérerons',
    'rémunéreront',
    'rémunérez',
    'rémunériez',
    'rémunérions',
    'rémunérons',
    'rémunérâmes',
    'rémunérât',
    'rémunérâtes',
    'rémunérèrent',
    'rémunéré',
    'rémunérée',
    'rémunérées',
    'rémunérés',
    'réméré',
    'rémérés',
    'rénal',
    'rénale',
    'rénales',
    'rénaux',
    'rénette',
    'rénettes',
    'réniforme',
    'réniformes',
    'rénitence',
    'rénitences',
    'rénova',
    'rénovai',
    'rénovaient',
    'rénovais',
    'rénovait',
    'rénovant',
    'rénovas',
    'rénovasse',
    'rénovassent',
    'rénovasses',
    'rénovassiez',
    'rénovassions',
    'rénovateur',
    'rénovateurs',
    'rénovation',
    'rénovations',
    'rénovatrice',
    'rénovatrices',
    'rénove',
    'rénovent',
    'rénover',
    'rénovera',
    'rénoverai',
    'rénoveraient',
    'rénoverais',
    'rénoverait',
    'rénoveras',
    'rénoverez',
    'rénoveriez',
    'rénoverions',
    'rénoverons',
    'rénoveront',
    'rénoves',
    'rénovez',
    'rénoviez',
    'rénovions',
    'rénovons',
    'rénovâmes',
    'rénovât',
    'rénovâtes',
    'rénovèrent',
    'rénové',
    'rénovée',
    'rénovées',
    'rénovés',
    'réoccupa',
    'réoccupai',
    'réoccupaient',
    'réoccupais',
    'réoccupait',
    'réoccupant',
    'réoccupas',
    'réoccupasse',
    'réoccupasses',
    'réoccupation',
    'réoccupe',
    'réoccupent',
    'réoccuper',
    'réoccupera',
    'réoccuperai',
    'réoccuperais',
    'réoccuperait',
    'réoccuperas',
    'réoccuperez',
    'réoccuperiez',
    'réoccuperons',
    'réoccuperont',
    'réoccupes',
    'réoccupez',
    'réoccupiez',
    'réoccupions',
    'réoccupons',
    'réoccupâmes',
    'réoccupât',
    'réoccupâtes',
    'réoccupèrent',
    'réoccupé',
    'réoccupée',
    'réoccupées',
    'réoccupés',
    'réons',
    'réopère',
    'réopèrent',
    'réopères',
    'réopéra',
    'réopérai',
    'réopéraient',
    'réopérais',
    'réopérait',
    'réopérant',
    'réopéras',
    'réopérasse',
    'réopérassent',
    'réopérasses',
    'réopérassiez',
    'réopérer',
    'réopérera',
    'réopérerai',
    'réopérerais',
    'réopérerait',
    'réopéreras',
    'réopérerez',
    'réopéreriez',
    'réopérerions',
    'réopérerons',
    'réopéreront',
    'réopérez',
    'réopériez',
    'réopérions',
    'réopérons',
    'réopérâmes',
    'réopérât',
    'réopérâtes',
    'réopérèrent',
    'réopéré',
    'réopérée',
    'réopérées',
    'réopérés',
    'réorchestra',
    'réorchestrai',
    'réorchestras',
    'réorchestre',
    'réorchestrer',
    'réorchestres',
    'réorchestrez',
    'réorchestrât',
    'réorchestré',
    'réorchestrée',
    'réorchestrés',
    'réordonna',
    'réordonnai',
    'réordonnais',
    'réordonnait',
    'réordonnance',
    'réordonnancé',
    'réordonnant',
    'réordonnança',
    'réordonnas',
    'réordonnasse',
    'réordonne',
    'réordonnent',
    'réordonner',
    'réordonnera',
    'réordonnerai',
    'réordonneras',
    'réordonnerez',
    'réordonnes',
    'réordonnez',
    'réordonniez',
    'réordonnions',
    'réordonnons',
    'réordonnâmes',
    'réordonnât',
    'réordonnâtes',
    'réordonné',
    'réordonnée',
    'réordonnées',
    'réordonnés',
    'réorganisa',
    'réorganisai',
    'réorganisais',
    'réorganisait',
    'réorganisant',
    'réorganisas',
    'réorganise',
    'réorganisent',
    'réorganiser',
    'réorganisera',
    'réorganises',
    'réorganisez',
    'réorganisiez',
    'réorganisons',
    'réorganisât',
    'réorganisé',
    'réorganisée',
    'réorganisées',
    'réorganisés',
    'réorienta',
    'réorientai',
    'réorientais',
    'réorientait',
    'réorientant',
    'réorientas',
    'réorientasse',
    'réoriente',
    'réorientent',
    'réorienter',
    'réorientera',
    'réorienterai',
    'réorienteras',
    'réorienterez',
    'réorientes',
    'réorientez',
    'réorientiez',
    'réorientions',
    'réorientons',
    'réorientâmes',
    'réorientât',
    'réorientâtes',
    'réorienté',
    'réorientée',
    'réorientées',
    'réorientés',
    'réouverture',
    'réouvertures',
    'répand',
    'répandaient',
    'répandais',
    'répandait',
    'répandant',
    'répande',
    'répandent',
    'répandes',
    'répandez',
    'répandiez',
    'répandions',
    'répandirent',
    'répandis',
    'répandisse',
    'répandissent',
    'répandisses',
    'répandissiez',
    'répandit',
    'répandons',
    'répandra',
    'répandrai',
    'répandraient',
    'répandrais',
    'répandrait',
    'répandras',
    'répandre',
    'répandrez',
    'répandriez',
    'répandrions',
    'répandrons',
    'répandront',
    'répands',
    'répandu',
    'répandue',
    'répandues',
    'répandus',
    'répandîmes',
    'répandît',
    'répandîtes',
    'répara',
    'réparable',
    'réparables',
    'réparai',
    'réparaient',
    'réparais',
    'réparait',
    'réparant',
    'réparas',
    'réparasse',
    'réparassent',
    'réparasses',
    'réparassiez',
    'réparassions',
    'réparateur',
    'réparateurs',
    'réparation',
    'réparations',
    'réparatrice',
    'réparatrices',
    'répare',
    'réparent',
    'réparer',
    'réparera',
    'réparerai',
    'répareraient',
    'réparerais',
    'réparerait',
    'répareras',
    'réparerez',
    'répareriez',
    'réparerions',
    'réparerons',
    'répareront',
    'répares',
    'réparez',
    'répariez',
    'réparions',
    'réparons',
    'répartement',
    'répartements',
    'réparti',
    'répartie',
    'réparties',
    'répartir',
    'répartira',
    'répartirai',
    'répartirais',
    'répartirait',
    'répartiras',
    'répartirent',
    'répartirez',
    'répartiriez',
    'répartirions',
    'répartirons',
    'répartiront',
    'répartis',
    'répartissais',
    'répartissait',
    'répartissant',
    'répartisse',
    'répartissent',
    'répartisses',
    'répartissez',
    'répartissiez',
    'répartissons',
    'répartit',
    'répartiteur',
    'répartiteurs',
    'répartition',
    'répartitions',
    'répartîmes',
    'répartît',
    'répartîtes',
    'réparâmes',
    'réparât',
    'réparâtes',
    'réparèrent',
    'réparé',
    'réparée',
    'réparées',
    'réparés',
    'répercussion',
    'répercuta',
    'répercutai',
    'répercutais',
    'répercutait',
    'répercutant',
    'répercutas',
    'répercutasse',
    'répercute',
    'répercutent',
    'répercuter',
    'répercutera',
    'répercuterai',
    'répercuteras',
    'répercuterez',
    'répercutes',
    'répercutez',
    'répercutiez',
    'répercutions',
    'répercutons',
    'répercutâmes',
    'répercutât',
    'répercutâtes',
    'répercuté',
    'répercutée',
    'répercutées',
    'répercutés',
    'répertoire',
    'répertoires',
    'répertoria',
    'répertoriai',
    'répertoriais',
    'répertoriait',
    'répertoriant',
    'répertorias',
    'répertorie',
    'répertorient',
    'répertorier',
    'répertoriera',
    'répertories',
    'répertoriez',
    'répertoriiez',
    'répertorions',
    'répertoriât',
    'répertorié',
    'répertoriée',
    'répertoriées',
    'répertoriés',
    'répit',
    'répits',
    'réplication',
    'réplications',
    'répliqua',
    'répliquai',
    'répliquaient',
    'répliquais',
    'répliquait',
    'répliquant',
    'répliquas',
    'répliquasse',
    'répliquasses',
    'réplique',
    'répliquent',
    'répliquer',
    'répliquera',
    'répliquerai',
    'répliquerais',
    'répliquerait',
    'répliqueras',
    'répliquerez',
    'répliqueriez',
    'répliquerons',
    'répliqueront',
    'répliques',
    'répliquez',
    'répliquiez',
    'répliquions',
    'répliquons',
    'répliquâmes',
    'répliquât',
    'répliquâtes',
    'répliquèrent',
    'répliqué',
    'répliquée',
    'répliquées',
    'répliqués',
    'réplétif',
    'réplétifs',
    'réplétion',
    'réplétions',
    'réplétive',
    'réplétives',
    'répond',
    'répondaient',
    'répondais',
    'répondait',
    'répondant',
    'répondante',
    'répondantes',
    'répondants',
    'réponde',
    'répondent',
    'répondes',
    'répondeur',
    'répondeurs',
    'répondeuse',
    'répondeuses',
    'répondez',
    'répondiez',
    'répondions',
    'répondirent',
    'répondis',
    'répondisse',
    'répondissent',
    'répondisses',
    'répondissiez',
    'répondit',
    'répondons',
    'répondra',
    'répondrai',
    'répondraient',
    'répondrais',
    'répondrait',
    'répondras',
    'répondre',
    'répondrez',
    'répondriez',
    'répondrions',
    'répondrons',
    'répondront',
    'réponds',
    'répondu',
    'répondue',
    'répondues',
    'répondus',
    'répondîmes',
    'répondît',
    'répondîtes',
    'réponse',
    'réponses',
    'répressible',
    'répressibles',
    'répressif',
    'répressifs',
    'répression',
    'répressions',
    'répressive',
    'répressives',
    'réprima',
    'réprimai',
    'réprimaient',
    'réprimais',
    'réprimait',
    'réprimanda',
    'réprimandai',
    'réprimandais',
    'réprimandait',
    'réprimandant',
    'réprimandas',
    'réprimande',
    'réprimandent',
    'réprimander',
    'réprimandera',
    'réprimandes',
    'réprimandez',
    'réprimandiez',
    'réprimandons',
    'réprimandât',
    'réprimandé',
    'réprimandée',
    'réprimandées',
    'réprimandés',
    'réprimant',
    'réprimas',
    'réprimasse',
    'réprimassent',
    'réprimasses',
    'réprimassiez',
    'réprime',
    'répriment',
    'réprimer',
    'réprimera',
    'réprimerai',
    'réprimerais',
    'réprimerait',
    'réprimeras',
    'réprimerez',
    'réprimeriez',
    'réprimerions',
    'réprimerons',
    'réprimeront',
    'réprimes',
    'réprimez',
    'réprimiez',
    'réprimions',
    'réprimons',
    'réprimâmes',
    'réprimât',
    'réprimâtes',
    'réprimèrent',
    'réprimé',
    'réprimée',
    'réprimées',
    'réprimés',
    'réprobateur',
    'réprobateurs',
    'réprobation',
    'réprobations',
    'réprobatrice',
    'réprouva',
    'réprouvai',
    'réprouvaient',
    'réprouvais',
    'réprouvait',
    'réprouvant',
    'réprouvas',
    'réprouvasse',
    'réprouvasses',
    'réprouve',
    'réprouvent',
    'réprouver',
    'réprouvera',
    'réprouverai',
    'réprouverais',
    'réprouverait',
    'réprouveras',
    'réprouverez',
    'réprouveriez',
    'réprouverons',
    'réprouveront',
    'réprouves',
    'réprouvez',
    'réprouviez',
    'réprouvions',
    'réprouvons',
    'réprouvâmes',
    'réprouvât',
    'réprouvâtes',
    'réprouvèrent',
    'réprouvé',
    'réprouvée',
    'réprouvées',
    'réprouvés',
    'répréhension',
    'républicain',
    'républicaine',
    'républicains',
    'république',
    'républiques',
    'répudia',
    'répudiai',
    'répudiaient',
    'répudiais',
    'répudiait',
    'répudiant',
    'répudias',
    'répudiasse',
    'répudiassent',
    'répudiasses',
    'répudiassiez',
    'répudiation',
    'répudiations',
    'répudie',
    'répudient',
    'répudier',
    'répudiera',
    'répudierai',
    'répudierais',
    'répudierait',
    'répudieras',
    'répudierez',
    'répudieriez',
    'répudierions',
    'répudierons',
    'répudieront',
    'répudies',
    'répudiez',
    'répudiiez',
    'répudiions',
    'répudions',
    'répudiâmes',
    'répudiât',
    'répudiâtes',
    'répudièrent',
    'répudié',
    'répudiée',
    'répudiées',
    'répudiés',
    'répugna',
    'répugnai',
    'répugnaient',
    'répugnais',
    'répugnait',
    'répugnance',
    'répugnances',
    'répugnant',
    'répugnante',
    'répugnantes',
    'répugnants',
    'répugnas',
    'répugnasse',
    'répugnassent',
    'répugnasses',
    'répugnassiez',
    'répugne',
    'répugnent',
    'répugner',
    'répugnera',
    'répugnerai',
    'répugnerais',
    'répugnerait',
    'répugneras',
    'répugnerez',
    'répugneriez',
    'répugnerions',
    'répugnerons',
    'répugneront',
    'répugnes',
    'répugnez',
    'répugniez',
    'répugnions',
    'répugnons',
    'répugnâmes',
    'répugnât',
    'répugnâtes',
    'répugnèrent',
    'répugné',
    'répulsion',
    'répulsions',
    'réputa',
    'réputai',
    'réputaient',
    'réputais',
    'réputait',
    'réputant',
    'réputas',
    'réputasse',
    'réputassent',
    'réputasses',
    'réputassiez',
    'réputassions',
    'réputation',
    'réputations',
    'répute',
    'réputent',
    'réputer',
    'réputera',
    'réputerai',
    'réputeraient',
    'réputerais',
    'réputerait',
    'réputeras',
    'réputerez',
    'réputeriez',
    'réputerions',
    'réputerons',
    'réputeront',
    'réputes',
    'réputez',
    'réputiez',
    'réputions',
    'réputons',
    'réputâmes',
    'réputât',
    'réputâtes',
    'réputèrent',
    'réputé',
    'réputée',
    'réputées',
    'réputés',
    'répète',
    'répètent',
    'répètes',
    'répéta',
    'répétabilité',
    'répétable',
    'répétables',
    'répétai',
    'répétaient',
    'répétais',
    'répétait',
    'répétant',
    'répétas',
    'répétasse',
    'répétassent',
    'répétasses',
    'répétassiez',
    'répétassions',
    'répéter',
    'répétera',
    'répéterai',
    'répéteraient',
    'répéterais',
    'répéterait',
    'répéteras',
    'répéterez',
    'répéteriez',
    'répéterions',
    'répéterons',
    'répéteront',
    'répéteur',
    'répéteurs',
    'répétez',
    'répétiez',
    'répétions',
    'répétiteur',
    'répétiteurs',
    'répétitif',
    'répétitifs',
    'répétition',
    'répétitions',
    'répétitive',
    'répétitives',
    'répétitorat',
    'répétitorats',
    'répétitrice',
    'répétitrices',
    'répétons',
    'répétâmes',
    'répétât',
    'répétâtes',
    'répétèrent',
    'répété',
    'répétée',
    'répétées',
    'répétés',
    'réquisit',
    'réquisition',
    'réquisitions',
    'réquisitoire',
    'réquisits',
    'réseau',
    'réseaux',
    'résection',
    'résections',
    'réserpine',
    'réserpines',
    'réserva',
    'réservai',
    'réservaient',
    'réservais',
    'réservait',
    'réservant',
    'réservas',
    'réservasse',
    'réservassent',
    'réservasses',
    'réservassiez',
    'réservataire',
    'réservation',
    'réservations',
    'réserve',
    'réservent',
    'réserver',
    'réservera',
    'réserverai',
    'réserverais',
    'réserverait',
    'réserveras',
    'réserverez',
    'réserveriez',
    'réserverions',
    'réserverons',
    'réserveront',
    'réserves',
    'réservez',
    'réserviez',
    'réservions',
    'réserviste',
    'réservistes',
    'réservoir',
    'réservoirs',
    'réservons',
    'réservâmes',
    'réservât',
    'réservâtes',
    'réservèrent',
    'réservé',
    'réservée',
    'réservées',
    'réservés',
    'résida',
    'résidai',
    'résidaient',
    'résidais',
    'résidait',
    'résidant',
    'résidante',
    'résidantes',
    'résidants',
    'résidas',
    'résidasse',
    'résidassent',
    'résidasses',
    'résidassiez',
    'résidassions',
    'réside',
    'résidence',
    'résidences',
    'résident',
    'résidente',
    'résidentes',
    'résidentiel',
    'résidentiels',
    'résidents',
    'résider',
    'résidera',
    'résiderai',
    'résideraient',
    'résiderais',
    'résiderait',
    'résideras',
    'résiderez',
    'résideriez',
    'résiderions',
    'résiderons',
    'résideront',
    'résides',
    'résidez',
    'résidiez',
    'résidions',
    'résidons',
    'résidu',
    'résiduaire',
    'résiduaires',
    'résiduel',
    'résiduelle',
    'résiduelles',
    'résiduels',
    'résidus',
    'résidâmes',
    'résidât',
    'résidâtes',
    'résidèrent',
    'résidé',
    'résigna',
    'résignai',
    'résignaient',
    'résignais',
    'résignait',
    'résignant',
    'résignas',
    'résignasse',
    'résignassent',
    'résignasses',
    'résignassiez',
    'résignataire',
    'résignation',
    'résignations',
    'résigne',
    'résignent',
    'résigner',
    'résignera',
    'résignerai',
    'résignerais',
    'résignerait',
    'résigneras',
    'résignerez',
    'résigneriez',
    'résignerions',
    'résignerons',
    'résigneront',
    'résignes',
    'résignez',
    'résigniez',
    'résignions',
    'résignons',
    'résignâmes',
    'résignât',
    'résignâtes',
    'résignèrent',
    'résigné',
    'résignée',
    'résignées',
    'résignés',
    'résilia',
    'résiliable',
    'résiliables',
    'résiliai',
    'résiliaient',
    'résiliais',
    'résiliait',
    'résiliant',
    'résilias',
    'résiliasse',
    'résiliassent',
    'résiliasses',
    'résiliassiez',
    'résiliation',
    'résiliations',
    'résilie',
    'résilience',
    'résiliences',
    'résilient',
    'résilier',
    'résiliera',
    'résilierai',
    'résilierais',
    'résilierait',
    'résilieras',
    'résilierez',
    'résilieriez',
    'résilierions',
    'résilierons',
    'résilieront',
    'résilies',
    'résiliez',
    'résiliiez',
    'résiliions',
    'résilions',
    'résiliâmes',
    'résiliât',
    'résiliâtes',
    'résilièrent',
    'résilié',
    'résiliée',
    'résiliées',
    'résiliés',
    'résille',
    'résilles',
    'résina',
    'résinai',
    'résinaient',
    'résinais',
    'résinait',
    'résinant',
    'résinas',
    'résinasse',
    'résinassent',
    'résinasses',
    'résinassiez',
    'résinassions',
    'résine',
    'résinent',
    'résiner',
    'résinera',
    'résinerai',
    'résineraient',
    'résinerais',
    'résinerait',
    'résineras',
    'résinerez',
    'résineriez',
    'résinerions',
    'résinerons',
    'résineront',
    'résines',
    'résineuse',
    'résineuses',
    'résineux',
    'résinez',
    'résinier',
    'résiniers',
    'résiniez',
    'résinifia',
    'résinifiai',
    'résinifiais',
    'résinifiait',
    'résinifiant',
    'résinifias',
    'résinifiasse',
    'résinifie',
    'résinifient',
    'résinifier',
    'résinifiera',
    'résinifierai',
    'résinifieras',
    'résinifierez',
    'résinifies',
    'résinifiez',
    'résinifiiez',
    'résinifiions',
    'résinifions',
    'résinifiâmes',
    'résinifiât',
    'résinifiâtes',
    'résinifié',
    'résinifiée',
    'résinifiées',
    'résinifiés',
    'résinifère',
    'résinifères',
    'résinions',
    'résinière',
    'résinières',
    'résinons',
    'résinâmes',
    'résinât',
    'résinâtes',
    'résinèrent',
    'résiné',
    'résinée',
    'résinées',
    'résinés',
    'résipiscence',
    'résista',
    'résistai',
    'résistaient',
    'résistais',
    'résistait',
    'résistance',
    'résistances',
    'résistant',
    'résistante',
    'résistantes',
    'résistants',
    'résistas',
    'résistasse',
    'résistassent',
    'résistasses',
    'résistassiez',
    'résiste',
    'résistent',
    'résister',
    'résistera',
    'résisterai',
    'résisterais',
    'résisterait',
    'résisteras',
    'résisterez',
    'résisteriez',
    'résisterions',
    'résisterons',
    'résisteront',
    'résistes',
    'résistez',
    'résistible',
    'résistibles',
    'résistiez',
    'résistions',
    'résistivité',
    'résistivités',
    'résistons',
    'résistâmes',
    'résistât',
    'résistâtes',
    'résistèrent',
    'résisté',
    'résistée',
    'résistées',
    'résistés',
    'résolu',
    'résolue',
    'résolues',
    'résolument',
    'résolurent',
    'résolus',
    'résolusse',
    'résolussent',
    'résolusses',
    'résolussiez',
    'résolussions',
    'résolut',
    'résolutif',
    'résolutifs',
    'résolution',
    'résolutions',
    'résolutive',
    'résolutives',
    'résolutoire',
    'résolutoires',
    'résolvaient',
    'résolvais',
    'résolvait',
    'résolvant',
    'résolvante',
    'résolvantes',
    'résolvants',
    'résolve',
    'résolvent',
    'résolves',
    'résolvez',
    'résolviez',
    'résolvions',
    'résolvons',
    'résolûmes',
    'résolût',
    'résolûtes',
    'résonance',
    'résonances',
    'résonant',
    'résonante',
    'résonantes',
    'résonants',
    'résonna',
    'résonnai',
    'résonnaient',
    'résonnais',
    'résonnait',
    'résonnant',
    'résonnante',
    'résonnantes',
    'résonnants',
    'résonnas',
    'résonnasse',
    'résonnassent',
    'résonnasses',
    'résonnassiez',
    'résonne',
    'résonnent',
    'résonner',
    'résonnera',
    'résonnerai',
    'résonnerais',
    'résonnerait',
    'résonneras',
    'résonnerez',
    'résonneriez',
    'résonnerions',
    'résonnerons',
    'résonneront',
    'résonnes',
    'résonnez',
    'résonniez',
    'résonnions',
    'résonnons',
    'résonnâmes',
    'résonnât',
    'résonnâtes',
    'résonnèrent',
    'résonné',
    'résorba',
    'résorbai',
    'résorbaient',
    'résorbais',
    'résorbait',
    'résorbant',
    'résorbas',
    'résorbasse',
    'résorbassent',
    'résorbasses',
    'résorbassiez',
    'résorbe',
    'résorbent',
    'résorber',
    'résorbera',
    'résorberai',
    'résorberais',
    'résorberait',
    'résorberas',
    'résorberez',
    'résorberiez',
    'résorberions',
    'résorberons',
    'résorberont',
    'résorbes',
    'résorbez',
    'résorbiez',
    'résorbions',
    'résorbons',
    'résorbâmes',
    'résorbât',
    'résorbâtes',
    'résorbèrent',
    'résorbé',
    'résorbée',
    'résorbées',
    'résorbés',
    'résorcine',
    'résorcines',
    'résorption',
    'résorptions',
    'résoud',
    'résoudra',
    'résoudrai',
    'résoudraient',
    'résoudrais',
    'résoudrait',
    'résoudras',
    'résoudre',
    'résoudrez',
    'résoudriez',
    'résoudrions',
    'résoudrons',
    'résoudront',
    'résous',
    'résout',
    'résoute',
    'résoutes',
    'résulats',
    'résulta',
    'résultaient',
    'résultait',
    'résultant',
    'résultante',
    'résultantes',
    'résultants',
    'résultat',
    'résultats',
    'résulte',
    'résultent',
    'résulter',
    'résultera',
    'résulterait',
    'résulteront',
    'résultât',
    'résultèrent',
    'résulté',
    'résultée',
    'résultées',
    'résultés',
    'résuma',
    'résumai',
    'résumaient',
    'résumais',
    'résumait',
    'résumant',
    'résumas',
    'résumasse',
    'résumassent',
    'résumasses',
    'résumassiez',
    'résumassions',
    'résume',
    'résument',
    'résumer',
    'résumera',
    'résumerai',
    'résumeraient',
    'résumerais',
    'résumerait',
    'résumeras',
    'résumerez',
    'résumeriez',
    'résumerions',
    'résumerons',
    'résumeront',
    'résumes',
    'résumez',
    'résumiez',
    'résumions',
    'résumons',
    'résumâmes',
    'résumât',
    'résumâtes',
    'résumèrent',
    'résumé',
    'résumée',
    'résumées',
    'résumés',
    'résurgence',
    'résurgences',
    'résurrection',
    'réséda',
    'résédas',
    'réséquer',
    'rétabli',
    'rétablie',
    'rétablies',
    'rétablir',
    'rétablira',
    'rétablirai',
    'rétablirais',
    'rétablirait',
    'rétabliras',
    'rétablirent',
    'rétablirez',
    'rétabliriez',
    'rétablirions',
    'rétablirons',
    'rétabliront',
    'rétablis',
    'rétablissais',
    'rétablissait',
    'rétablissant',
    'rétablisse',
    'rétablissent',
    'rétablisses',
    'rétablissez',
    'rétablissiez',
    'rétablissons',
    'rétablit',
    'rétablîmes',
    'rétablît',
    'rétablîtes',
    'rétama',
    'rétamage',
    'rétamages',
    'rétamai',
    'rétamaient',
    'rétamais',
    'rétamait',
    'rétamant',
    'rétamas',
    'rétamasse',
    'rétamassent',
    'rétamasses',
    'rétamassiez',
    'rétamassions',
    'rétame',
    'rétament',
    'rétamer',
    'rétamera',
    'rétamerai',
    'rétameraient',
    'rétamerais',
    'rétamerait',
    'rétameras',
    'rétamerez',
    'rétameriez',
    'rétamerions',
    'rétamerons',
    'rétameront',
    'rétames',
    'rétameur',
    'rétameurs',
    'rétamez',
    'rétamiez',
    'rétamions',
    'rétamons',
    'rétamâmes',
    'rétamât',
    'rétamâtes',
    'rétamèrent',
    'rétamé',
    'rétamée',
    'rétamées',
    'rétamés',
    'rétention',
    'rétentions',
    'rétiaire',
    'rétiaires',
    'réticence',
    'réticences',
    'réticent',
    'réticente',
    'réticentes',
    'réticents',
    'réticula',
    'réticulai',
    'réticulaient',
    'réticulaire',
    'réticulaires',
    'réticulais',
    'réticulait',
    'réticulant',
    'réticulas',
    'réticulasse',
    'réticulasses',
    'réticulation',
    'réticule',
    'réticulent',
    'réticuler',
    'réticulera',
    'réticulerai',
    'réticulerais',
    'réticulerait',
    'réticuleras',
    'réticulerez',
    'réticuleriez',
    'réticulerons',
    'réticuleront',
    'réticules',
    'réticulez',
    'réticuliez',
    'réticulions',
    'réticulons',
    'réticulum',
    'réticulums',
    'réticulâmes',
    'réticulât',
    'réticulâtes',
    'réticulèrent',
    'réticulé',
    'réticulée',
    'réticulées',
    'réticulés',
    'rétif',
    'rétifs',
    'rétine',
    'rétines',
    'rétinien',
    'rétinienne',
    'rétiniennes',
    'rétiniens',
    'rétinite',
    'rétinites',
    'rétive',
    'rétives',
    'rétivité',
    'rétivités',
    'rétorqua',
    'rétorquai',
    'rétorquaient',
    'rétorquais',
    'rétorquait',
    'rétorquant',
    'rétorquas',
    'rétorquasse',
    'rétorquasses',
    'rétorque',
    'rétorquent',
    'rétorquer',
    'rétorquera',
    'rétorquerai',
    'rétorquerais',
    'rétorquerait',
    'rétorqueras',
    'rétorquerez',
    'rétorqueriez',
    'rétorquerons',
    'rétorqueront',
    'rétorques',
    'rétorquez',
    'rétorquiez',
    'rétorquions',
    'rétorquons',
    'rétorquâmes',
    'rétorquât',
    'rétorquâtes',
    'rétorquèrent',
    'rétorqué',
    'rétorquée',
    'rétorquées',
    'rétorqués',
    'rétorsion',
    'rétorsions',
    'rétracta',
    'rétractai',
    'rétractaient',
    'rétractais',
    'rétractait',
    'rétractant',
    'rétractas',
    'rétractasse',
    'rétractasses',
    'rétractation',
    'rétracte',
    'rétractent',
    'rétracter',
    'rétractera',
    'rétracterai',
    'rétracterais',
    'rétracterait',
    'rétracteras',
    'rétracterez',
    'rétracteriez',
    'rétracterons',
    'rétracteront',
    'rétractes',
    'rétracteur',
    'rétracteurs',
    'rétractez',
    'rétractiez',
    'rétractile',
    'rétractiles',
    'rétractilité',
    'rétraction',
    'rétractions',
    'rétractons',
    'rétractrice',
    'rétractrices',
    'rétractâmes',
    'rétractât',
    'rétractâtes',
    'rétractèrent',
    'rétracté',
    'rétractée',
    'rétractées',
    'rétractés',
    'rétreindre',
    'rétribua',
    'rétribuai',
    'rétribuaient',
    'rétribuais',
    'rétribuait',
    'rétribuant',
    'rétribuas',
    'rétribuasse',
    'rétribuasses',
    'rétribue',
    'rétribuent',
    'rétribuer',
    'rétribuera',
    'rétribuerai',
    'rétribuerais',
    'rétribuerait',
    'rétribueras',
    'rétribuerez',
    'rétribueriez',
    'rétribuerons',
    'rétribueront',
    'rétribues',
    'rétribuez',
    'rétribuiez',
    'rétribuions',
    'rétribuons',
    'rétribution',
    'rétributions',
    'rétribuâmes',
    'rétribuât',
    'rétribuâtes',
    'rétribuèrent',
    'rétribué',
    'rétribuée',
    'rétribuées',
    'rétribués',
    'rétro',
    'rétroacte',
    'rétroactes',
    'rétroactif',
    'rétroactifs',
    'rétroaction',
    'rétroactions',
    'rétroactive',
    'rétroactives',
    'rétroagi',
    'rétroagir',
    'rétroagira',
    'rétroagirai',
    'rétroagirais',
    'rétroagirait',
    'rétroagiras',
    'rétroagirent',
    'rétroagirez',
    'rétroagiriez',
    'rétroagirons',
    'rétroagiront',
    'rétroagis',
    'rétroagisse',
    'rétroagisses',
    'rétroagissez',
    'rétroagit',
    'rétroagîmes',
    'rétroagît',
    'rétroagîtes',
    'rétrocession',
    'rétrocède',
    'rétrocèdent',
    'rétrocèdes',
    'rétrocéda',
    'rétrocédai',
    'rétrocédais',
    'rétrocédait',
    'rétrocédant',
    'rétrocédas',
    'rétrocédasse',
    'rétrocéder',
    'rétrocédera',
    'rétrocéderai',
    'rétrocéderas',
    'rétrocéderez',
    'rétrocédez',
    'rétrocédiez',
    'rétrocédions',
    'rétrocédons',
    'rétrocédâmes',
    'rétrocédât',
    'rétrocédâtes',
    'rétrocédé',
    'rétrocédée',
    'rétrocédées',
    'rétrocédés',
    'rétrofusée',
    'rétrofusées',
    'rétrograda',
    'rétrogradai',
    'rétrogradais',
    'rétrogradait',
    'rétrogradant',
    'rétrogradas',
    'rétrograde',
    'rétrogradent',
    'rétrograder',
    'rétrogradera',
    'rétrogrades',
    'rétrogradez',
    'rétrogradiez',
    'rétrogradons',
    'rétrogradât',
    'rétrogradé',
    'rétrogradée',
    'rétrogradées',
    'rétrogradés',
    'rétros',
    'rétrospectif',
    'rétroversion',
    'rétrovirus',
    'rétroviseur',
    'rétroviseurs',
    'rétréci',
    'rétrécie',
    'rétrécies',
    'rétrécir',
    'rétrécira',
    'rétrécirai',
    'rétrécirais',
    'rétrécirait',
    'rétréciras',
    'rétrécirent',
    'rétrécirez',
    'rétréciriez',
    'rétrécirions',
    'rétrécirons',
    'rétréciront',
    'rétrécis',
    'rétrécissais',
    'rétrécissait',
    'rétrécissant',
    'rétrécisse',
    'rétrécissent',
    'rétrécisses',
    'rétrécissez',
    'rétrécissiez',
    'rétrécissons',
    'rétrécit',
    'rétrécîmes',
    'rétrécît',
    'rétrécîtes',
    'réuni',
    'réunie',
    'réunies',
    'réunifia',
    'réunifiai',
    'réunifiaient',
    'réunifiais',
    'réunifiait',
    'réunifiant',
    'réunifias',
    'réunifiasse',
    'réunifiasses',
    'réunifie',
    'réunifient',
    'réunifier',
    'réunifiera',
    'réunifierai',
    'réunifierais',
    'réunifierait',
    'réunifieras',
    'réunifierez',
    'réunifieriez',
    'réunifierons',
    'réunifieront',
    'réunifies',
    'réunifiez',
    'réunifiiez',
    'réunifiions',
    'réunifions',
    'réunifiâmes',
    'réunifiât',
    'réunifiâtes',
    'réunifièrent',
    'réunifié',
    'réunifiée',
    'réunifiées',
    'réunifiés',
    'réunion',
    'réunions',
    'réunir',
    'réunira',
    'réunirai',
    'réuniraient',
    'réunirais',
    'réunirait',
    'réuniras',
    'réunirent',
    'réunirez',
    'réuniriez',
    'réunirions',
    'réunirons',
    'réuniront',
    'réunis',
    'réunissage',
    'réunissages',
    'réunissaient',
    'réunissais',
    'réunissait',
    'réunissant',
    'réunisse',
    'réunissent',
    'réunisses',
    'réunissez',
    'réunissiez',
    'réunissions',
    'réunissons',
    'réunit',
    'réunîmes',
    'réunît',
    'réunîtes',
    'réussi',
    'réussie',
    'réussies',
    'réussir',
    'réussira',
    'réussirai',
    'réussiraient',
    'réussirais',
    'réussirait',
    'réussiras',
    'réussirent',
    'réussirez',
    'réussiriez',
    'réussirions',
    'réussirons',
    'réussiront',
    'réussis',
    'réussissais',
    'réussissait',
    'réussissant',
    'réussisse',
    'réussissent',
    'réussisses',
    'réussissez',
    'réussissiez',
    'réussissions',
    'réussissons',
    'réussit',
    'réussite',
    'réussites',
    'réussîmes',
    'réussît',
    'réussîtes',
    'réutilisa',
    'réutilisable',
    'réutilisai',
    'réutilisais',
    'réutilisait',
    'réutilisant',
    'réutilisas',
    'réutilisasse',
    'réutilise',
    'réutilisent',
    'réutiliser',
    'réutilisera',
    'réutiliserai',
    'réutiliseras',
    'réutiliserez',
    'réutilises',
    'réutilisez',
    'réutilisiez',
    'réutilisions',
    'réutilisons',
    'réutilisâmes',
    'réutilisât',
    'réutilisâtes',
    'réutilisé',
    'réutilisée',
    'réutilisées',
    'réutilisés',
    'réveil',
    'réveilla',
    'réveillai',
    'réveillaient',
    'réveillais',
    'réveillait',
    'réveillant',
    'réveillas',
    'réveillasse',
    'réveillasses',
    'réveille',
    'réveillent',
    'réveiller',
    'réveillera',
    'réveillerai',
    'réveillerais',
    'réveillerait',
    'réveilleras',
    'réveillerez',
    'réveilleriez',
    'réveillerons',
    'réveilleront',
    'réveilles',
    'réveilleur',
    'réveilleurs',
    'réveilleuse',
    'réveilleuses',
    'réveillez',
    'réveilliez',
    'réveillions',
    'réveillon',
    'réveillonna',
    'réveillonnai',
    'réveillonnas',
    'réveillonne',
    'réveillonner',
    'réveillonnes',
    'réveillonnez',
    'réveillonnât',
    'réveillonné',
    'réveillons',
    'réveillâmes',
    'réveillât',
    'réveillâtes',
    'réveillèrent',
    'réveillé',
    'réveillée',
    'réveillées',
    'réveillés',
    'réveils',
    'réverbère',
    'réverbèrent',
    'réverbères',
    'réverbéra',
    'réverbérai',
    'réverbérais',
    'réverbérait',
    'réverbérant',
    'réverbérante',
    'réverbérants',
    'réverbéras',
    'réverbérasse',
    'réverbérer',
    'réverbérera',
    'réverbérerai',
    'réverbéreras',
    'réverbérerez',
    'réverbérez',
    'réverbériez',
    'réverbérions',
    'réverbérons',
    'réverbérâmes',
    'réverbérât',
    'réverbérâtes',
    'réverbéré',
    'réverbérée',
    'réverbérées',
    'réverbérés',
    'réversible',
    'réversibles',
    'réversion',
    'réversions',
    'révisa',
    'révisable',
    'révisables',
    'révisai',
    'révisaient',
    'révisais',
    'révisait',
    'révisant',
    'révisas',
    'révisasse',
    'révisassent',
    'révisasses',
    'révisassiez',
    'révisassions',
    'révise',
    'révisent',
    'réviser',
    'révisera',
    'réviserai',
    'réviseraient',
    'réviserais',
    'réviserait',
    'réviseras',
    'réviserez',
    'réviseriez',
    'réviserions',
    'réviserons',
    'réviseront',
    'révises',
    'réviseur',
    'réviseurs',
    'révisez',
    'révisiez',
    'révision',
    'révisions',
    'révisons',
    'révisâmes',
    'révisât',
    'révisâtes',
    'révisèrent',
    'révisé',
    'révisée',
    'révisées',
    'révisés',
    'révocable',
    'révocables',
    'révocation',
    'révocations',
    'révolta',
    'révoltai',
    'révoltaient',
    'révoltais',
    'révoltait',
    'révoltant',
    'révoltante',
    'révoltantes',
    'révoltants',
    'révoltas',
    'révoltasse',
    'révoltassent',
    'révoltasses',
    'révoltassiez',
    'révolte',
    'révoltent',
    'révolter',
    'révoltera',
    'révolterai',
    'révolterais',
    'révolterait',
    'révolteras',
    'révolterez',
    'révolteriez',
    'révolterions',
    'révolterons',
    'révolteront',
    'révoltes',
    'révoltez',
    'révoltiez',
    'révoltions',
    'révoltons',
    'révoltâmes',
    'révoltât',
    'révoltâtes',
    'révoltèrent',
    'révolté',
    'révoltée',
    'révoltées',
    'révoltés',
    'révolu',
    'révolue',
    'révolues',
    'révolus',
    'révolution',
    'révolutionna',
    'révolutionne',
    'révolutionné',
    'révolutions',
    'révolvérisa',
    'révolvérisai',
    'révolvérisas',
    'révolvérise',
    'révolvériser',
    'révolvérises',
    'révolvérisez',
    'révolvérisât',
    'révolvérisé',
    'révolvérisée',
    'révolvérisés',
    'révoqua',
    'révoquai',
    'révoquaient',
    'révoquais',
    'révoquait',
    'révoquant',
    'révoquante',
    'révoquantes',
    'révoquants',
    'révoquas',
    'révoquasse',
    'révoquassent',
    'révoquasses',
    'révoquassiez',
    'révoque',
    'révoquent',
    'révoquer',
    'révoquera',
    'révoquerai',
    'révoquerais',
    'révoquerait',
    'révoqueras',
    'révoquerez',
    'révoqueriez',
    'révoquerions',
    'révoquerons',
    'révoqueront',
    'révoques',
    'révoquez',
    'révoquiez',
    'révoquions',
    'révoquons',
    'révoquâmes',
    'révoquât',
    'révoquâtes',
    'révoquèrent',
    'révoqué',
    'révoquée',
    'révoquées',
    'révoqués',
    'révulsa',
    'révulsai',
    'révulsaient',
    'révulsais',
    'révulsait',
    'révulsant',
    'révulsas',
    'révulsasse',
    'révulsassent',
    'révulsasses',
    'révulsassiez',
    'révulse',
    'révulsent',
    'révulser',
    'révulsera',
    'révulserai',
    'révulserais',
    'révulserait',
    'révulseras',
    'révulserez',
    'révulseriez',
    'révulserions',
    'révulserons',
    'révulseront',
    'révulses',
    'révulsez',
    'révulsiez',
    'révulsif',
    'révulsifs',
    'révulsion',
    'révulsions',
    'révulsive',
    'révulsives',
    'révulsons',
    'révulsâmes',
    'révulsât',
    'révulsâtes',
    'révulsèrent',
    'révulsé',
    'révulsée',
    'révulsées',
    'révulsés',
    'révèle',
    'révèlent',
    'révèles',
    'révère',
    'révèrent',
    'révères',
    'révéla',
    'révélai',
    'révélaient',
    'révélais',
    'révélait',
    'révélant',
    'révélas',
    'révélasse',
    'révélassent',
    'révélasses',
    'révélassiez',
    'révélassions',
    'révélateur',
    'révélateurs',
    'révélation',
    'révélations',
    'révélatrice',
    'révélatrices',
    'révéler',
    'révélera',
    'révélerai',
    'révéleraient',
    'révélerais',
    'révélerait',
    'révéleras',
    'révélerez',
    'révéleriez',
    'révélerions',
    'révélerons',
    'révéleront',
    'révélez',
    'révéliez',
    'révélions',
    'révélons',
    'révélâmes',
    'révélât',
    'révélâtes',
    'révélèrent',
    'révélé',
    'révélée',
    'révélées',
    'révélés',
    'révéra',
    'révérai',
    'révéraient',
    'révérais',
    'révérait',
    'révérant',
    'révéras',
    'révérasse',
    'révérassent',
    'révérasses',
    'révérassiez',
    'révérassions',
    'révérence',
    'révérences',
    'révérencieux',
    'révérend',
    'révérende',
    'révérendes',
    'révérends',
    'révérer',
    'révérera',
    'révérerai',
    'révéreraient',
    'révérerais',
    'révérerait',
    'révéreras',
    'révérerez',
    'révéreriez',
    'révérerions',
    'révérerons',
    'révéreront',
    'révérez',
    'révériez',
    'révérions',
    'révérons',
    'révérâmes',
    'révérât',
    'révérâtes',
    'révérèrent',
    'révéré',
    'révérée',
    'révérées',
    'révérés',
    'réâmes',
    'réât',
    'réâtes',
    'réèrent',
    'réécouta',
    'réécoutai',
    'réécoutaient',
    'réécoutais',
    'réécoutait',
    'réécoutant',
    'réécoutas',
    'réécoutasse',
    'réécoutasses',
    'réécoute',
    'réécoutent',
    'réécouter',
    'réécoutera',
    'réécouterai',
    'réécouterais',
    'réécouterait',
    'réécouteras',
    'réécouterez',
    'réécouteriez',
    'réécouterons',
    'réécouteront',
    'réécoutes',
    'réécoutez',
    'réécoutiez',
    'réécoutions',
    'réécoutons',
    'réécoutâmes',
    'réécoutât',
    'réécoutâtes',
    'réécoutèrent',
    'réécouté',
    'réécoutée',
    'réécoutées',
    'réécoutés',
    'réécrira',
    'réécrirai',
    'réécriraient',
    'réécrirais',
    'réécrirait',
    'réécriras',
    'réécrire',
    'réécrirez',
    'réécririez',
    'réécririons',
    'réécrirons',
    'réécriront',
    'réécris',
    'réécrit',
    'réécrite',
    'réécrites',
    'réécrits',
    'réécriture',
    'réécritures',
    'réécrivaient',
    'réécrivais',
    'réécrivait',
    'réécrivant',
    'réécrive',
    'réécrivent',
    'réécrives',
    'réécrivez',
    'réécriviez',
    'réécrivions',
    'réécrivons',
    'réédifia',
    'réédifiai',
    'réédifiaient',
    'réédifiais',
    'réédifiait',
    'réédifiant',
    'réédifias',
    'réédifiasse',
    'réédifiasses',
    'réédifie',
    'réédifient',
    'réédifier',
    'réédifiera',
    'réédifierai',
    'réédifierais',
    'réédifierait',
    'réédifieras',
    'réédifierez',
    'réédifieriez',
    'réédifierons',
    'réédifieront',
    'réédifies',
    'réédifiez',
    'réédifiiez',
    'réédifiions',
    'réédifions',
    'réédifiâmes',
    'réédifiât',
    'réédifiâtes',
    'réédifièrent',
    'réédifié',
    'réédifiée',
    'réédifiées',
    'réédifiés',
    'réédita',
    'rééditai',
    'rééditaient',
    'rééditais',
    'rééditait',
    'rééditant',
    'rééditas',
    'rééditasse',
    'rééditassent',
    'rééditasses',
    'rééditassiez',
    'réédite',
    'rééditent',
    'rééditer',
    'rééditera',
    'rééditerai',
    'rééditerais',
    'rééditerait',
    'rééditeras',
    'rééditerez',
    'rééditeriez',
    'rééditerions',
    'rééditerons',
    'rééditeront',
    'réédites',
    'rééditez',
    'rééditiez',
    'réédition',
    'rééditions',
    'rééditons',
    'rééditâmes',
    'rééditât',
    'rééditâtes',
    'rééditèrent',
    'réédité',
    'rééditée',
    'rééditées',
    'réédités',
    'rééducation',
    'rééducations',
    'rééduqua',
    'rééduquai',
    'rééduquaient',
    'rééduquais',
    'rééduquait',
    'rééduquant',
    'rééduquas',
    'rééduquasse',
    'rééduquasses',
    'rééduque',
    'rééduquent',
    'rééduquer',
    'rééduquera',
    'rééduquerai',
    'rééduquerais',
    'rééduquerait',
    'rééduqueras',
    'rééduquerez',
    'rééduqueriez',
    'rééduquerons',
    'rééduqueront',
    'rééduques',
    'rééduquez',
    'rééduquiez',
    'rééduquions',
    'rééduquons',
    'rééduquâmes',
    'rééduquât',
    'rééduquâtes',
    'rééduquèrent',
    'rééduqué',
    'rééduquée',
    'rééduquées',
    'rééduqués',
    'réélection',
    'réélections',
    'rééligible',
    'rééligibles',
    'réélira',
    'réélirai',
    'rééliraient',
    'réélirais',
    'réélirait',
    'rééliras',
    'réélire',
    'réélirez',
    'rééliriez',
    'réélirions',
    'réélirons',
    'rééliront',
    'réélis',
    'réélisaient',
    'réélisais',
    'réélisait',
    'réélisant',
    'réélise',
    'réélisent',
    'réélises',
    'réélisez',
    'réélisiez',
    'réélisions',
    'réélisons',
    'réélit',
    'réélu',
    'réélue',
    'réélues',
    'réélurent',
    'réélus',
    'réélusse',
    'réélussent',
    'réélusses',
    'réélussiez',
    'réélussions',
    'réélut',
    'réélûmes',
    'réélût',
    'réélûtes',
    'réémetteur',
    'réémetteurs',
    'rééquilibra',
    'rééquilibrai',
    'rééquilibras',
    'rééquilibre',
    'rééquilibrer',
    'rééquilibres',
    'rééquilibrez',
    'rééquilibrât',
    'rééquilibré',
    'rééquilibrée',
    'rééquilibrés',
    'rééquipement',
    'réétudier',
    'réévalua',
    'réévaluai',
    'réévaluaient',
    'réévaluais',
    'réévaluait',
    'réévaluant',
    'réévaluas',
    'réévaluasse',
    'réévaluasses',
    'réévaluation',
    'réévalue',
    'réévaluent',
    'réévaluer',
    'réévaluera',
    'réévaluerai',
    'réévaluerais',
    'réévaluerait',
    'réévalueras',
    'réévaluerez',
    'réévalueriez',
    'réévaluerons',
    'réévalueront',
    'réévalues',
    'réévaluez',
    'réévaluiez',
    'réévaluions',
    'réévaluons',
    'réévaluâmes',
    'réévaluât',
    'réévaluâtes',
    'réévaluèrent',
    'réévalué',
    'réévaluée',
    'réévaluées',
    'réévalués',
    'rêche',
    'rêches',
    'rêne',
    'rênes',
    'rêva',
    'rêvai',
    'rêvaient',
    'rêvais',
    'rêvait',
    'rêvant',
    'rêvas',
    'rêvassa',
    'rêvassai',
    'rêvassaient',
    'rêvassais',
    'rêvassait',
    'rêvassant',
    'rêvassas',
    'rêvassasse',
    'rêvassassent',
    'rêvassasses',
    'rêvassassiez',
    'rêvasse',
    'rêvassent',
    'rêvasser',
    'rêvassera',
    'rêvasserai',
    'rêvasserais',
    'rêvasserait',
    'rêvasseras',
    'rêvasserez',
    'rêvasserie',
    'rêvasseries',
    'rêvasseriez',
    'rêvasserions',
    'rêvasserons',
    'rêvasseront',
    'rêvasses',
    'rêvasseur',
    'rêvasseurs',
    'rêvasseuse',
    'rêvasseuses',
    'rêvassez',
    'rêvassiez',
    'rêvassions',
    'rêvassons',
    'rêvassâmes',
    'rêvassât',
    'rêvassâtes',
    'rêvassèrent',
    'rêvassé',
    'rêvassée',
    'rêvassées',
    'rêvassés',
    'rêve',
    'rêvent',
    'rêver',
    'rêvera',
    'rêverai',
    'rêveraient',
    'rêverais',
    'rêverait',
    'rêveras',
    'rêverez',
    'rêverie',
    'rêveries',
    'rêveriez',
    'rêverions',
    'rêverons',
    'rêveront',
    'rêves',
    'rêveur',
    'rêveurs',
    'rêveuse',
    'rêveusement',
    'rêveuses',
    'rêvez',
    'rêviez',
    'rêvions',
    'rêvons',
    'rêvâmes',
    'rêvât',
    'rêvâtes',
    'rêvèrent',
    'rêvé',
    'rêvée',
    'rêvées',
    'rêvés',
    'rîmes',
    'rîtes',
    'rôda',
    'rôdai',
    'rôdaient',
    'rôdailla',
    'rôdaillai',
    'rôdaillaient',
    'rôdaillais',
    'rôdaillait',
    'rôdaillant',
    'rôdaillas',
    'rôdaillasse',
    'rôdaillasses',
    'rôdaille',
    'rôdaillent',
    'rôdailler',
    'rôdaillera',
    'rôdaillerai',
    'rôdaillerais',
    'rôdaillerait',
    'rôdailleras',
    'rôdaillerez',
    'rôdailleriez',
    'rôdaillerons',
    'rôdailleront',
    'rôdailles',
    'rôdaillez',
    'rôdailliez',
    'rôdaillions',
    'rôdaillons',
    'rôdaillâmes',
    'rôdaillât',
    'rôdaillâtes',
    'rôdaillèrent',
    'rôdaillé',
    'rôdais',
    'rôdait',
    'rôdant',
    'rôdas',
    'rôdasse',
    'rôdassent',
    'rôdasses',
    'rôdassiez',
    'rôdassions',
    'rôde',
    'rôdent',
    'rôder',
    'rôdera',
    'rôderai',
    'rôderaient',
    'rôderais',
    'rôderait',
    'rôderas',
    'rôderez',
    'rôderiez',
    'rôderions',
    'rôderons',
    'rôderont',
    'rôdes',
    'rôdeur',
    'rôdeurs',
    'rôdeuse',
    'rôdeuses',
    'rôdez',
    'rôdiez',
    'rôdions',
    'rôdons',
    'rôdâmes',
    'rôdât',
    'rôdâtes',
    'rôdèrent',
    'rôdé',
    'rôle',
    'rôles',
    'rôti',
    'rôtie',
    'rôties',
    'rôtir',
    'rôtira',
    'rôtirai',
    'rôtiraient',
    'rôtirais',
    'rôtirait',
    'rôtiras',
    'rôtirent',
    'rôtirez',
    'rôtiriez',
    'rôtirions',
    'rôtirons',
    'rôtiront',
    'rôtis',
    'rôtissage',
    'rôtissages',
    'rôtissaient',
    'rôtissais',
    'rôtissait',
    'rôtissant',
    'rôtisse',
    'rôtissent',
    'rôtisserie',
    'rôtisseries',
    'rôtisses',
    'rôtisseur',
    'rôtisseurs',
    'rôtisseuse',
    'rôtisseuses',
    'rôtissez',
    'rôtissiez',
    'rôtissions',
    'rôtissoire',
    'rôtissoires',
    'rôtissons',
    'rôtit',
    'rôts',
    'rôtîmes',
    'rôtît',
    'rôtîtes',
    'sabayon',
    'sabayons',
    'sabbat',
    'sabbathien',
    'sabbathienne',
    'sabbathiens',
    'sabbatique',
    'sabbatiques',
    'sabbats',
    'sabelle',
    'sabelles',
    'sabine',
    'sabines',
    'sabir',
    'sabirs',
    'sabla',
    'sablage',
    'sablages',
    'sablai',
    'sablaient',
    'sablais',
    'sablait',
    'sablant',
    'sablas',
    'sablasse',
    'sablassent',
    'sablasses',
    'sablassiez',
    'sablassions',
    'sable',
    'sablent',
    'sabler',
    'sablera',
    'sablerai',
    'sableraient',
    'sablerais',
    'sablerait',
    'sableras',
    'sablerez',
    'sablerie',
    'sableries',
    'sableriez',
    'sablerions',
    'sablerons',
    'sableront',
    'sables',
    'sableur',
    'sableurs',
    'sableuse',
    'sableuses',
    'sableux',
    'sablez',
    'sablier',
    'sabliers',
    'sabliez',
    'sablions',
    'sablière',
    'sablières',
    'sablon',
    'sablonna',
    'sablonnai',
    'sablonnaient',
    'sablonnais',
    'sablonnait',
    'sablonnant',
    'sablonnas',
    'sablonnasse',
    'sablonnasses',
    'sablonne',
    'sablonnent',
    'sablonner',
    'sablonnera',
    'sablonnerai',
    'sablonnerais',
    'sablonnerait',
    'sablonneras',
    'sablonnerez',
    'sablonneriez',
    'sablonnerons',
    'sablonneront',
    'sablonnes',
    'sablonneuse',
    'sablonneuses',
    'sablonneux',
    'sablonnez',
    'sablonniez',
    'sablonnions',
    'sablonnière',
    'sablonnières',
    'sablonnons',
    'sablonnâmes',
    'sablonnât',
    'sablonnâtes',
    'sablonnèrent',
    'sablonné',
    'sablonnée',
    'sablonnées',
    'sablonnés',
    'sablons',
    'sablâmes',
    'sablât',
    'sablâtes',
    'sablèrent',
    'sablé',
    'sablée',
    'sablées',
    'sablés',
    'sabord',
    'saborda',
    'sabordage',
    'sabordages',
    'sabordai',
    'sabordaient',
    'sabordais',
    'sabordait',
    'sabordant',
    'sabordas',
    'sabordasse',
    'sabordassent',
    'sabordasses',
    'sabordassiez',
    'saborde',
    'sabordement',
    'sabordements',
    'sabordent',
    'saborder',
    'sabordera',
    'saborderai',
    'saborderais',
    'saborderait',
    'saborderas',
    'saborderez',
    'saborderiez',
    'saborderions',
    'saborderons',
    'saborderont',
    'sabordes',
    'sabordez',
    'sabordiez',
    'sabordions',
    'sabordons',
    'sabords',
    'sabordâmes',
    'sabordât',
    'sabordâtes',
    'sabordèrent',
    'sabordé',
    'sabordée',
    'sabordées',
    'sabordés',
    'sabot',
    'sabota',
    'sabotage',
    'sabotages',
    'sabotai',
    'sabotaient',
    'sabotais',
    'sabotait',
    'sabotant',
    'sabotas',
    'sabotasse',
    'sabotassent',
    'sabotasses',
    'sabotassiez',
    'sabotassions',
    'sabote',
    'sabotent',
    'saboter',
    'sabotera',
    'saboterai',
    'saboteraient',
    'saboterais',
    'saboterait',
    'saboteras',
    'saboterez',
    'saboterie',
    'saboteries',
    'saboteriez',
    'saboterions',
    'saboterons',
    'saboteront',
    'sabotes',
    'saboteur',
    'saboteurs',
    'saboteuse',
    'saboteuses',
    'sabotez',
    'sabotier',
    'sabotiers',
    'sabotiez',
    'sabotions',
    'sabotière',
    'sabotières',
    'sabotons',
    'sabots',
    'sabotâmes',
    'sabotât',
    'sabotâtes',
    'sabotèrent',
    'saboté',
    'sabotée',
    'sabotées',
    'sabotés',
    'saboula',
    'saboulai',
    'saboulaient',
    'saboulais',
    'saboulait',
    'saboulant',
    'saboulas',
    'saboulasse',
    'saboulassent',
    'saboulasses',
    'saboulassiez',
    'saboule',
    'saboulent',
    'sabouler',
    'saboulera',
    'saboulerai',
    'saboulerais',
    'saboulerait',
    'sabouleras',
    'saboulerez',
    'sabouleriez',
    'saboulerions',
    'saboulerons',
    'sabouleront',
    'saboules',
    'saboulez',
    'sabouliez',
    'saboulions',
    'saboulons',
    'saboulâmes',
    'saboulât',
    'saboulâtes',
    'saboulèrent',
    'saboulé',
    'saboulée',
    'saboulées',
    'saboulés',
    'sabra',
    'sabrage',
    'sabrages',
    'sabraient',
    'sabrairent',
    'sabrais',
    'sabraisse',
    'sabraissent',
    'sabraisses',
    'sabraissiez',
    'sabraissions',
    'sabrait',
    'sabrant',
    'sabras',
    'sabraîmes',
    'sabraît',
    'sabraîtes',
    'sabre',
    'sabrent',
    'sabrer',
    'sabrera',
    'sabrerai',
    'sabreraient',
    'sabrerais',
    'sabrerait',
    'sabreras',
    'sabrerez',
    'sabreriez',
    'sabrerions',
    'sabrerons',
    'sabreront',
    'sabres',
    'sabretache',
    'sabretaches',
    'sabreur',
    'sabreurs',
    'sabreuse',
    'sabreuses',
    'sabrez',
    'sabriez',
    'sabrions',
    'sabrons',
    'sabrèrent',
    'sabré',
    'sabrée',
    'sabrées',
    'sabrés',
    'saburral',
    'saburrale',
    'saburrales',
    'saburraux',
    'saburre',
    'saburres',
    'sabéen',
    'sabéenne',
    'sabéennes',
    'sabéens',
    'sabéisme',
    'sabéismes',
    'sacagna',
    'sacagnai',
    'sacagnaient',
    'sacagnais',
    'sacagnait',
    'sacagnant',
    'sacagnas',
    'sacagnasse',
    'sacagnassent',
    'sacagnasses',
    'sacagnassiez',
    'sacagne',
    'sacagnent',
    'sacagner',
    'sacagnera',
    'sacagnerai',
    'sacagnerais',
    'sacagnerait',
    'sacagneras',
    'sacagnerez',
    'sacagneriez',
    'sacagnerions',
    'sacagnerons',
    'sacagneront',
    'sacagnes',
    'sacagnez',
    'sacagniez',
    'sacagnions',
    'sacagnons',
    'sacagnâmes',
    'sacagnât',
    'sacagnâtes',
    'sacagnèrent',
    'sacagné',
    'sacagnée',
    'sacagnées',
    'sacagnés',
    'saccada',
    'saccadai',
    'saccadaient',
    'saccadais',
    'saccadait',
    'saccadant',
    'saccadas',
    'saccadasse',
    'saccadassent',
    'saccadasses',
    'saccadassiez',
    'saccade',
    'saccadent',
    'saccader',
    'saccadera',
    'saccaderai',
    'saccaderais',
    'saccaderait',
    'saccaderas',
    'saccaderez',
    'saccaderiez',
    'saccaderions',
    'saccaderons',
    'saccaderont',
    'saccades',
    'saccadez',
    'saccadiez',
    'saccadions',
    'saccadons',
    'saccadâmes',
    'saccadât',
    'saccadâtes',
    'saccadèrent',
    'saccadé',
    'saccadée',
    'saccadées',
    'saccadés',
    'saccage',
    'saccagea',
    'saccageai',
    'saccageaient',
    'saccageais',
    'saccageait',
    'saccageant',
    'saccageas',
    'saccageasse',
    'saccageasses',
    'saccagement',
    'saccagements',
    'saccagent',
    'saccageons',
    'saccager',
    'saccagera',
    'saccagerai',
    'saccagerais',
    'saccagerait',
    'saccageras',
    'saccagerez',
    'saccageriez',
    'saccagerions',
    'saccagerons',
    'saccageront',
    'saccages',
    'saccageur',
    'saccageurs',
    'saccageuse',
    'saccageuses',
    'saccagez',
    'saccageâmes',
    'saccageât',
    'saccageâtes',
    'saccagiez',
    'saccagions',
    'saccagèrent',
    'saccagé',
    'saccagée',
    'saccagées',
    'saccagés',
    'saccharase',
    'saccharases',
    'saccharate',
    'saccharates',
    'sacchareuse',
    'sacchareuses',
    'sacchareux',
    'saccharidé',
    'saccharidés',
    'saccharifia',
    'saccharifiai',
    'saccharifias',
    'saccharifie',
    'saccharifier',
    'saccharifies',
    'saccharifiez',
    'saccharifiât',
    'saccharifié',
    'saccharifiée',
    'saccharifiés',
    'saccharifère',
    'saccharin',
    'saccharine',
    'saccharines',
    'saccharins',
    'saccharique',
    'sacchariques',
    'saccharolé',
    'saccharolés',
    'saccharose',
    'saccharoses',
    'saccharoïde',
    'saccharoïdes',
    'saccharure',
    'saccharures',
    'sacciforme',
    'sacciformes',
    'saccule',
    'saccules',
    'sacculiforme',
    'sacculine',
    'sacculines',
    'sacerdoce',
    'sacerdoces',
    'sacerdotal',
    'sacerdotale',
    'sacerdotales',
    'sacerdotaux',
    'sachant',
    'sache',
    'sachem',
    'sachems',
    'sachent',
    'saches',
    'sachet',
    'sachets',
    'sachez',
    'sachiez',
    'sachions',
    'sachons',
    'saclay',
    'sacoche',
    'sacoches',
    'sacolève',
    'sacolèves',
    'sacoléva',
    'sacolévas',
    'sacome',
    'sacomes',
    'sacqua',
    'sacquai',
    'sacquaient',
    'sacquais',
    'sacquait',
    'sacquant',
    'sacquas',
    'sacquasse',
    'sacquassent',
    'sacquasses',
    'sacquassiez',
    'sacquassions',
    'sacque',
    'sacquebute',
    'sacquebutes',
    'sacquent',
    'sacquer',
    'sacquera',
    'sacquerai',
    'sacqueraient',
    'sacquerais',
    'sacquerait',
    'sacqueras',
    'sacquerez',
    'sacqueriez',
    'sacquerions',
    'sacquerons',
    'sacqueront',
    'sacques',
    'sacquez',
    'sacquiez',
    'sacquions',
    'sacquons',
    'sacquâmes',
    'sacquât',
    'sacquâtes',
    'sacquèrent',
    'sacqué',
    'sacquée',
    'sacquées',
    'sacqués',
    'sacra',
    'sacrai',
    'sacraient',
    'sacrais',
    'sacrait',
    'sacral',
    'sacrale',
    'sacrales',
    'sacralisa',
    'sacralisai',
    'sacralisais',
    'sacralisait',
    'sacralisant',
    'sacralisas',
    'sacralisasse',
    'sacralise',
    'sacralisent',
    'sacraliser',
    'sacralisera',
    'sacraliserai',
    'sacraliseras',
    'sacraliserez',
    'sacralises',
    'sacralisez',
    'sacralisiez',
    'sacralisions',
    'sacralisons',
    'sacralisâmes',
    'sacralisât',
    'sacralisâtes',
    'sacralisé',
    'sacralisée',
    'sacralisées',
    'sacralisés',
    'sacramental',
    'sacramentaux',
    'sacramentel',
    'sacramentels',
    'sacrant',
    'sacras',
    'sacrasse',
    'sacrassent',
    'sacrasses',
    'sacrassiez',
    'sacrassions',
    'sacraux',
    'sacre',
    'sacrebleu',
    'sacredieu',
    'sacrement',
    'sacrements',
    'sacrent',
    'sacrer',
    'sacrera',
    'sacrerai',
    'sacreraient',
    'sacrerais',
    'sacrerait',
    'sacreras',
    'sacrerez',
    'sacreriez',
    'sacrerions',
    'sacrerons',
    'sacreront',
    'sacres',
    'sacret',
    'sacrets',
    'sacrez',
    'sacriez',
    'sacrifia',
    'sacrifiai',
    'sacrifiaient',
    'sacrifiais',
    'sacrifiait',
    'sacrifiant',
    'sacrifias',
    'sacrifiasse',
    'sacrifiasses',
    'sacrifice',
    'sacrifices',
    'sacrificiel',
    'sacrificiels',
    'sacrifie',
    'sacrifient',
    'sacrifier',
    'sacrifiera',
    'sacrifierai',
    'sacrifierais',
    'sacrifierait',
    'sacrifieras',
    'sacrifierez',
    'sacrifieriez',
    'sacrifierons',
    'sacrifieront',
    'sacrifies',
    'sacrifiez',
    'sacrifiiez',
    'sacrifiions',
    'sacrifions',
    'sacrifiâmes',
    'sacrifiât',
    'sacrifiâtes',
    'sacrifièrent',
    'sacrifié',
    'sacrifiée',
    'sacrifiées',
    'sacrifiés',
    'sacrilège',
    'sacrilèges',
    'sacrions',
    'sacripant',
    'sacripants',
    'sacristain',
    'sacristains',
    'sacristi',
    'sacristie',
    'sacristies',
    'sacristine',
    'sacristines',
    'sacrons',
    'sacrum',
    'sacrums',
    'sacrâmes',
    'sacrât',
    'sacrâtes',
    'sacrèrent',
    'sacré',
    'sacrée',
    'sacrées',
    'sacrément',
    'sacrés',
    'sacs',
    'sadique',
    'sadiquement',
    'sadiques',
    'sadisme',
    'sadismes',
    'saducéen',
    'saducéenne',
    'saducéennes',
    'saducéens',
    'safari',
    'safaris',
    'safran',
    'safrana',
    'safranai',
    'safranaient',
    'safranais',
    'safranait',
    'safranant',
    'safranas',
    'safranasse',
    'safranassent',
    'safranasses',
    'safranassiez',
    'safrane',
    'safranent',
    'safraner',
    'safranera',
    'safranerai',
    'safranerais',
    'safranerait',
    'safraneras',
    'safranerez',
    'safraneriez',
    'safranerions',
    'safranerons',
    'safraneront',
    'safranes',
    'safranez',
    'safraniez',
    'safranions',
    'safranière',
    'safranières',
    'safranons',
    'safrans',
    'safranâmes',
    'safranât',
    'safranâtes',
    'safranèrent',
    'safrané',
    'safranée',
    'safranées',
    'safranés',
    'safre',
    'safres',
    'saga',
    'sagace',
    'sagaces',
    'sagacité',
    'sagacités',
    'sagaie',
    'sagaies',
    'sagas',
    'sage',
    'sagement',
    'sages',
    'sagesse',
    'sagesses',
    'sagette',
    'sagettes',
    'sagittaire',
    'sagittaires',
    'sagittal',
    'sagittale',
    'sagittales',
    'sagittaux',
    'sagitté',
    'sagittée',
    'sagittées',
    'sagittés',
    'sagou',
    'sagouin',
    'sagouins',
    'sagous',
    'sagoutier',
    'sagoutiers',
    'sagum',
    'sagums',
    'saharien',
    'saharienne',
    'sahariennes',
    'sahariens',
    'sahel',
    'sahels',
    'sahélien',
    'sahélienne',
    'sahéliennes',
    'sahéliens',
    'saietter',
    'saigna',
    'saignai',
    'saignaient',
    'saignais',
    'saignait',
    'saignant',
    'saignante',
    'saignantes',
    'saignants',
    'saignas',
    'saignasse',
    'saignassent',
    'saignasses',
    'saignassiez',
    'saignassions',
    'saigne',
    'saignement',
    'saignements',
    'saignent',
    'saigner',
    'saignera',
    'saignerai',
    'saigneraient',
    'saignerais',
    'saignerait',
    'saigneras',
    'saignerez',
    'saigneriez',
    'saignerions',
    'saignerons',
    'saigneront',
    'saignes',
    'saigneur',
    'saigneurs',
    'saigneuse',
    'saigneuses',
    'saigneux',
    'saignez',
    'saigniez',
    'saignions',
    'saignoir',
    'saignoirs',
    'saignons',
    'saignâmes',
    'saignât',
    'saignâtes',
    'saignèrent',
    'saigné',
    'saignée',
    'saignées',
    'saignés',
    'saillaient',
    'saillais',
    'saillait',
    'saillant',
    'saillante',
    'saillantes',
    'saillants',
    'saille',
    'saillent',
    'saillera',
    'sailleraient',
    'saillerait',
    'sailleront',
    'sailles',
    'saillez',
    'sailli',
    'saillie',
    'saillies',
    'sailliez',
    'saillions',
    'saillir',
    'saillira',
    'saillirai',
    'sailliraient',
    'saillirais',
    'saillirait',
    'sailliras',
    'saillirent',
    'saillirez',
    'sailliriez',
    'saillirions',
    'saillirons',
    'sailliront',
    'saillis',
    'saillisse',
    'saillissent',
    'saillisses',
    'saillissiez',
    'saillissions',
    'saillit',
    'saillons',
    'saillîmes',
    'saillît',
    'saillîtes',
    'sain',
    'sainbois',
    'saindoux',
    'saine',
    'sainement',
    'saines',
    'sainfoin',
    'sainfoins',
    'sains',
    'saint',
    'sainte',
    'saintement',
    'saintes',
    'sainteté',
    'saintetés',
    'saints',
    'sais',
    'saisi',
    'saisie',
    'saisies',
    'saisine',
    'saisines',
    'saisir',
    'saisira',
    'saisirai',
    'saisiraient',
    'saisirais',
    'saisirait',
    'saisiras',
    'saisirent',
    'saisirez',
    'saisiriez',
    'saisirions',
    'saisirons',
    'saisiront',
    'saisis',
    'saisissable',
    'saisissables',
    'saisissaient',
    'saisissais',
    'saisissait',
    'saisissant',
    'saisissante',
    'saisissantes',
    'saisissants',
    'saisisse',
    'saisissement',
    'saisissent',
    'saisisses',
    'saisissez',
    'saisissiez',
    'saisissions',
    'saisissons',
    'saisit',
    'saison',
    'saisonna',
    'saisonnai',
    'saisonnaient',
    'saisonnais',
    'saisonnait',
    'saisonnant',
    'saisonnas',
    'saisonnasse',
    'saisonnasses',
    'saisonne',
    'saisonnent',
    'saisonner',
    'saisonnera',
    'saisonnerai',
    'saisonnerais',
    'saisonnerait',
    'saisonneras',
    'saisonnerez',
    'saisonneriez',
    'saisonnerons',
    'saisonneront',
    'saisonnes',
    'saisonnez',
    'saisonnier',
    'saisonniers',
    'saisonniez',
    'saisonnions',
    'saisonnière',
    'saisonnières',
    'saisonnons',
    'saisonnâmes',
    'saisonnât',
    'saisonnâtes',
    'saisonnèrent',
    'saisonné',
    'saisons',
    'saisîmes',
    'saisît',
    'saisîtes',
    'sait',
    'sajou',
    'sajous',
    'saki',
    'sakis',
    'saké',
    'sakés',
    'sala',
    'salace',
    'salaces',
    'salacité',
    'salacités',
    'salade',
    'saladero',
    'saladeros',
    'salades',
    'saladier',
    'saladiers',
    'salage',
    'salages',
    'salai',
    'salaient',
    'salaire',
    'salaires',
    'salais',
    'salaison',
    'salaisons',
    'salait',
    'salamalec',
    'salamalecs',
    'salamandre',
    'salamandres',
    'salami',
    'salamis',
    'salangane',
    'salanganes',
    'salant',
    'salants',
    'salaria',
    'salariai',
    'salariaient',
    'salariais',
    'salariait',
    'salarial',
    'salariale',
    'salariales',
    'salariant',
    'salarias',
    'salariasse',
    'salariassent',
    'salariasses',
    'salariassiez',
    'salariat',
    'salariats',
    'salariaux',
    'salarie',
    'salarient',
    'salarier',
    'salariera',
    'salarierai',
    'salarierais',
    'salarierait',
    'salarieras',
    'salarierez',
    'salarieriez',
    'salarierions',
    'salarierons',
    'salarieront',
    'salaries',
    'salariez',
    'salariiez',
    'salariions',
    'salarions',
    'salariâmes',
    'salariât',
    'salariâtes',
    'salarièrent',
    'salarié',
    'salariée',
    'salariées',
    'salariés',
    'salas',
    'salasse',
    'salassent',
    'salasses',
    'salassiez',
    'salassions',
    'salaud',
    'salauds',
    'sale',
    'salement',
    'salent',
    'salep',
    'saleps',
    'saler',
    'salera',
    'salerai',
    'saleraient',
    'salerais',
    'salerait',
    'saleras',
    'salerez',
    'saleriez',
    'salerions',
    'saleron',
    'salerons',
    'saleront',
    'sales',
    'saleté',
    'saletés',
    'saleur',
    'saleurs',
    'saleuse',
    'saleuses',
    'salez',
    'sali',
    'salicaire',
    'salicaires',
    'salicine',
    'salicines',
    'salicional',
    'salicionals',
    'salicole',
    'salicoles',
    'salicoque',
    'salicoques',
    'salicorne',
    'salicornes',
    'salicoside',
    'salicosides',
    'salicylate',
    'salicylates',
    'salicylique',
    'salicyliques',
    'salie',
    'salien',
    'salienne',
    'saliennes',
    'saliens',
    'salies',
    'saliez',
    'salifia',
    'salifiable',
    'salifiables',
    'salifiai',
    'salifiaient',
    'salifiais',
    'salifiait',
    'salifiant',
    'salifias',
    'salifiasse',
    'salifiassent',
    'salifiasses',
    'salifiassiez',
    'salification',
    'salifie',
    'salifient',
    'salifier',
    'salifiera',
    'salifierai',
    'salifierais',
    'salifierait',
    'salifieras',
    'salifierez',
    'salifieriez',
    'salifierions',
    'salifierons',
    'salifieront',
    'salifies',
    'salifiez',
    'salifiiez',
    'salifiions',
    'salifions',
    'salifiâmes',
    'salifiât',
    'salifiâtes',
    'salifièrent',
    'salifié',
    'salifiée',
    'salifiées',
    'salifiés',
    'salifère',
    'salifères',
    'saligaud',
    'saligaude',
    'saligaudes',
    'saligauds',
    'salignon',
    'salignons',
    'salin',
    'salinage',
    'salinages',
    'saline',
    'salines',
    'salinité',
    'salinités',
    'salinière',
    'salinières',
    'salins',
    'salions',
    'salique',
    'saliques',
    'salir',
    'salira',
    'salirai',
    'saliraient',
    'salirais',
    'salirait',
    'saliras',
    'salirent',
    'salirez',
    'saliriez',
    'salirions',
    'salirons',
    'saliront',
    'salis',
    'salissaient',
    'salissais',
    'salissait',
    'salissant',
    'salissante',
    'salissantes',
    'salissants',
    'salisse',
    'salissent',
    'salisses',
    'salissez',
    'salissiez',
    'salissions',
    'salisson',
    'salissons',
    'salissure',
    'salissures',
    'salit',
    'saliva',
    'salivai',
    'salivaient',
    'salivaire',
    'salivaires',
    'salivais',
    'salivait',
    'salivant',
    'salivas',
    'salivasse',
    'salivassent',
    'salivasses',
    'salivassiez',
    'salivassions',
    'salivation',
    'salivations',
    'salive',
    'salivent',
    'saliver',
    'salivera',
    'saliverai',
    'saliveraient',
    'saliverais',
    'saliverait',
    'saliveras',
    'saliverez',
    'saliveriez',
    'saliverions',
    'saliverons',
    'saliveront',
    'salives',
    'salivez',
    'saliviez',
    'salivions',
    'salivons',
    'salivâmes',
    'salivât',
    'salivâtes',
    'salivèrent',
    'salivé',
    'salivée',
    'salivées',
    'salivés',
    'salière',
    'salières',
    'salle',
    'salles',
    'salmis',
    'salmonelle',
    'salmonelles',
    'salmonellose',
    'saloir',
    'saloirs',
    'salol',
    'salols',
    'salon',
    'salonard',
    'salonarde',
    'salonardes',
    'salonards',
    'salonnard',
    'salonnarde',
    'salonnardes',
    'salonnards',
    'salonnier',
    'salonniers',
    'salonnière',
    'salonnières',
    'salons',
    'saloon',
    'saloons',
    'salop',
    'salopa',
    'salopai',
    'salopaient',
    'salopais',
    'salopait',
    'salopant',
    'salopard',
    'salopards',
    'salopas',
    'salopasse',
    'salopassent',
    'salopasses',
    'salopassiez',
    'salopassions',
    'salope',
    'salopent',
    'saloper',
    'salopera',
    'saloperai',
    'saloperaient',
    'saloperais',
    'saloperait',
    'saloperas',
    'saloperez',
    'saloperie',
    'saloperies',
    'saloperiez',
    'saloperions',
    'saloperons',
    'saloperont',
    'salopes',
    'salopette',
    'salopettes',
    'salopez',
    'salopiaud',
    'salopiauds',
    'salopiez',
    'salopions',
    'salopiot',
    'salopiots',
    'salopons',
    'salops',
    'salopâmes',
    'salopât',
    'salopâtes',
    'salopèrent',
    'salopé',
    'salopée',
    'salopées',
    'salopés',
    'salpicon',
    'salpicons',
    'salpingite',
    'salpingites',
    'salpêtra',
    'salpêtrage',
    'salpêtrages',
    'salpêtrai',
    'salpêtraient',
    'salpêtrais',
    'salpêtrait',
    'salpêtrant',
    'salpêtras',
    'salpêtrasse',
    'salpêtrasses',
    'salpêtre',
    'salpêtrent',
    'salpêtrer',
    'salpêtrera',
    'salpêtrerai',
    'salpêtrerais',
    'salpêtrerait',
    'salpêtreras',
    'salpêtrerez',
    'salpêtreriez',
    'salpêtrerons',
    'salpêtreront',
    'salpêtres',
    'salpêtreuse',
    'salpêtreuses',
    'salpêtreux',
    'salpêtrez',
    'salpêtriez',
    'salpêtrions',
    'salpêtrière',
    'salpêtrières',
    'salpêtrons',
    'salpêtrâmes',
    'salpêtrât',
    'salpêtrâtes',
    'salpêtrèrent',
    'salpêtré',
    'salpêtrée',
    'salpêtrées',
    'salpêtrés',
    'salsa',
    'salsas',
    'salse',
    'salses',
    'salsifis',
    'saltarelle',
    'saltarelles',
    'saltation',
    'saltations',
    'saltimbanque',
    'salua',
    'saluai',
    'saluaient',
    'saluais',
    'saluait',
    'saluant',
    'saluas',
    'saluasse',
    'saluassent',
    'saluasses',
    'saluassiez',
    'saluassions',
    'salubre',
    'salubres',
    'salubrité',
    'salue',
    'saluent',
    'saluer',
    'saluera',
    'saluerai',
    'salueraient',
    'saluerais',
    'saluerait',
    'salueras',
    'saluerez',
    'salueriez',
    'saluerions',
    'saluerons',
    'salueront',
    'salues',
    'saluez',
    'saluiez',
    'saluions',
    'saluons',
    'salure',
    'salures',
    'salut',
    'salutaire',
    'salutaires',
    'salutation',
    'salutations',
    'salutiste',
    'salutistes',
    'saluts',
    'saluâmes',
    'saluât',
    'saluâtes',
    'saluèrent',
    'salué',
    'saluée',
    'saluées',
    'salués',
    'salvateur',
    'salvateurs',
    'salvatrice',
    'salvatrices',
    'salve',
    'salves',
    'salâmes',
    'salât',
    'salâtes',
    'salèrent',
    'salé',
    'salée',
    'salées',
    'salés',
    'salésien',
    'salésienne',
    'salésiennes',
    'salésiens',
    'salîmes',
    'salît',
    'salîtes',
    'samare',
    'samares',
    'samaritain',
    'samaritaine',
    'samaritaines',
    'samaritains',
    'samarium',
    'samariums',
    'samba',
    'sambas',
    'samedi',
    'samedis',
    'samit',
    'samits',
    'samouraï',
    'samouraïs',
    'samovar',
    'samovars',
    'samoyède',
    'samoyèdes',
    'sampan',
    'sampang',
    'sampangs',
    'sampans',
    'sampi',
    'sampis',
    'sampot',
    'sampots',
    'samurai',
    'samurais',
    'sana',
    'sanas',
    'sanatorium',
    'sanatoriums',
    'sancerre',
    'sancerres',
    'sanctifia',
    'sanctifiai',
    'sanctifiais',
    'sanctifiait',
    'sanctifiant',
    'sanctifias',
    'sanctifiasse',
    'sanctifie',
    'sanctifient',
    'sanctifier',
    'sanctifiera',
    'sanctifierai',
    'sanctifieras',
    'sanctifierez',
    'sanctifies',
    'sanctifiez',
    'sanctifiiez',
    'sanctifiions',
    'sanctifions',
    'sanctifiâmes',
    'sanctifiât',
    'sanctifiâtes',
    'sanctifié',
    'sanctifiée',
    'sanctifiées',
    'sanctifiés',
    'sanction',
    'sanctionna',
    'sanctionnai',
    'sanctionnais',
    'sanctionnait',
    'sanctionnant',
    'sanctionnas',
    'sanctionne',
    'sanctionnent',
    'sanctionner',
    'sanctionnera',
    'sanctionnes',
    'sanctionnez',
    'sanctionniez',
    'sanctionnons',
    'sanctionnât',
    'sanctionné',
    'sanctionnée',
    'sanctionnées',
    'sanctionnés',
    'sanctions',
    'sanctuaire',
    'sanctuaires',
    'sanctuarisa',
    'sanctuarisai',
    'sanctuarisas',
    'sanctuarise',
    'sanctuariser',
    'sanctuarises',
    'sanctuarisez',
    'sanctuarisât',
    'sanctuarisé',
    'sanctuarisée',
    'sanctuarisés',
    'sanctus',
    'sandale',
    'sandales',
    'sandalette',
    'sandalettes',
    'sandaraque',
    'sandaraques',
    'sanderling',
    'sanderlings',
    'sandjak',
    'sandjaks',
    'sandre',
    'sandres',
    'sandwich',
    'sandwicha',
    'sandwichai',
    'sandwichais',
    'sandwichait',
    'sandwichant',
    'sandwichas',
    'sandwichasse',
    'sandwiche',
    'sandwichent',
    'sandwicher',
    'sandwichera',
    'sandwicherai',
    'sandwicheras',
    'sandwicherez',
    'sandwiches',
    'sandwichez',
    'sandwichiez',
    'sandwichions',
    'sandwichons',
    'sandwichs',
    'sandwichâmes',
    'sandwichât',
    'sandwichâtes',
    'sandwiché',
    'sandwichée',
    'sandwichées',
    'sandwichés',
    'sang',
    'sangla',
    'sanglai',
    'sanglaient',
    'sanglais',
    'sanglait',
    'sanglant',
    'sanglante',
    'sanglantes',
    'sanglants',
    'sanglas',
    'sanglasse',
    'sanglassent',
    'sanglasses',
    'sanglassiez',
    'sanglassions',
    'sangle',
    'sanglent',
    'sangler',
    'sanglera',
    'sanglerai',
    'sangleraient',
    'sanglerais',
    'sanglerait',
    'sangleras',
    'sanglerez',
    'sangleriez',
    'sanglerions',
    'sanglerons',
    'sangleront',
    'sangles',
    'sanglez',
    'sanglier',
    'sangliers',
    'sangliez',
    'sanglions',
    'sanglons',
    'sanglot',
    'sanglota',
    'sanglotai',
    'sanglotaient',
    'sanglotais',
    'sanglotait',
    'sanglotant',
    'sanglotante',
    'sanglotantes',
    'sanglotants',
    'sanglotas',
    'sanglotasse',
    'sanglotasses',
    'sanglote',
    'sanglotement',
    'sanglotent',
    'sangloter',
    'sanglotera',
    'sangloterai',
    'sangloterais',
    'sangloterait',
    'sangloteras',
    'sangloterez',
    'sangloteriez',
    'sangloterons',
    'sangloteront',
    'sanglotes',
    'sanglotez',
    'sanglotiez',
    'sanglotions',
    'sanglotons',
    'sanglots',
    'sanglotâmes',
    'sanglotât',
    'sanglotâtes',
    'sanglotèrent',
    'sangloté',
    'sanglotée',
    'sanglotées',
    'sanglotés',
    'sanglâmes',
    'sanglât',
    'sanglâtes',
    'sanglèrent',
    'sanglé',
    'sanglée',
    'sanglées',
    'sanglés',
    'sangria',
    'sangrias',
    'sangs',
    'sangsue',
    'sangsues',
    'sanguin',
    'sanguinaire',
    'sanguinaires',
    'sanguine',
    'sanguines',
    'sanguinolent',
    'sanguins',
    'sanhédrin',
    'sanhédrins',
    'sanicle',
    'sanicles',
    'sanie',
    'sanies',
    'sanieuse',
    'sanieuses',
    'sanieux',
    'sanitaire',
    'sanitaires',
    'sans',
    'sanscrit',
    'sanscrite',
    'sanscrites',
    'sanscritiste',
    'sanscrits',
    'sansevière',
    'sansevières',
    'sanskrit',
    'sanskritisme',
    'sanskritiste',
    'sanskrits',
    'sansonnet',
    'sansonnets',
    'santal',
    'santals',
    'santon',
    'santonna',
    'santonnai',
    'santonnaient',
    'santonnais',
    'santonnait',
    'santonnant',
    'santonnas',
    'santonnasse',
    'santonnasses',
    'santonne',
    'santonnent',
    'santonner',
    'santonnera',
    'santonnerai',
    'santonnerais',
    'santonnerait',
    'santonneras',
    'santonnerez',
    'santonneriez',
    'santonnerons',
    'santonneront',
    'santonnes',
    'santonnez',
    'santonniez',
    'santonnions',
    'santonnons',
    'santonnâmes',
    'santonnât',
    'santonnâtes',
    'santonnèrent',
    'santonné',
    'santonnée',
    'santonnées',
    'santonnés',
    'santons',
    'santé',
    'santés',
    'sanve',
    'sanves',
    'sanza',
    'sanzas',
    'saoudien',
    'saoudienne',
    'saoudiennes',
    'saoudiens',
    'saoudite',
    'saoudites',
    'saoul',
    'saoula',
    'saoulai',
    'saoulaient',
    'saoulais',
    'saoulait',
    'saoulant',
    'saoulas',
    'saoulasse',
    'saoulassent',
    'saoulasses',
    'saoulassiez',
    'saoulassions',
    'saoule',
    'saoulent',
    'saouler',
    'saoulera',
    'saoulerai',
    'saouleraient',
    'saoulerais',
    'saoulerait',
    'saouleras',
    'saoulerez',
    'saouleriez',
    'saoulerions',
    'saoulerons',
    'saouleront',
    'saoules',
    'saoulez',
    'saouliez',
    'saoulions',
    'saoulons',
    'saouls',
    'saoulâmes',
    'saoulât',
    'saoulâtes',
    'saoulèrent',
    'saoulé',
    'saoulée',
    'saoulées',
    'saoulés',
    'sapa',
    'sapai',
    'sapaient',
    'sapais',
    'sapait',
    'sapajou',
    'sapajous',
    'sapant',
    'sapas',
    'sapasse',
    'sapassent',
    'sapasses',
    'sapassiez',
    'sapassions',
    'sape',
    'sapement',
    'sapements',
    'sapent',
    'saper',
    'sapera',
    'saperai',
    'saperaient',
    'saperais',
    'saperait',
    'saperas',
    'saperde',
    'saperdes',
    'saperez',
    'saperiez',
    'saperions',
    'saperlotte',
    'saperons',
    'saperont',
    'sapes',
    'sapeur',
    'sapeurs',
    'sapez',
    'saphique',
    'saphiques',
    'saphir',
    'saphirs',
    'saphisme',
    'saphismes',
    'saphène',
    'saphènes',
    'sapide',
    'sapides',
    'sapidité',
    'sapidités',
    'sapience',
    'sapiences',
    'sapiential',
    'sapientiale',
    'sapientiales',
    'sapientiaux',
    'sapiez',
    'sapin',
    'sapine',
    'sapines',
    'sapinette',
    'sapinettes',
    'sapinière',
    'sapinières',
    'sapins',
    'sapions',
    'saponacé',
    'saponacée',
    'saponacées',
    'saponacés',
    'saponaire',
    'saponaires',
    'saponifia',
    'saponifiable',
    'saponifiai',
    'saponifiais',
    'saponifiait',
    'saponifiant',
    'saponifias',
    'saponifiasse',
    'saponifie',
    'saponifient',
    'saponifier',
    'saponifiera',
    'saponifierai',
    'saponifieras',
    'saponifierez',
    'saponifies',
    'saponifiez',
    'saponifiiez',
    'saponifiions',
    'saponifions',
    'saponifiâmes',
    'saponifiât',
    'saponifiâtes',
    'saponifié',
    'saponifiée',
    'saponifiées',
    'saponifiés',
    'saponine',
    'saponines',
    'sapons',
    'sapotier',
    'sapotiers',
    'sapristi',
    'saprophage',
    'saprophages',
    'saprophyte',
    'saprophytes',
    'sapâmes',
    'sapât',
    'sapâtes',
    'sapèque',
    'sapèques',
    'sapèrent',
    'sapé',
    'sapée',
    'sapées',
    'sapés',
    'saqua',
    'saquai',
    'saquaient',
    'saquais',
    'saquait',
    'saquant',
    'saquas',
    'saquasse',
    'saquassent',
    'saquasses',
    'saquassiez',
    'saquassions',
    'saque',
    'saquent',
    'saquer',
    'saquera',
    'saquerai',
    'saqueraient',
    'saquerais',
    'saquerait',
    'saqueras',
    'saquerez',
    'saqueriez',
    'saquerions',
    'saquerons',
    'saqueront',
    'saques',
    'saquez',
    'saquiez',
    'saquions',
    'saquons',
    'saquâmes',
    'saquât',
    'saquâtes',
    'saquèrent',
    'saqué',
    'saquée',
    'saquées',
    'saqués',
    'sarabande',
    'sarabandes',
    'sarbacane',
    'sarbacanes',
    'sarcasme',
    'sarcasmes',
    'sarcastique',
    'sarcastiques',
    'sarcelle',
    'sarcelles',
    'sarcla',
    'sarclage',
    'sarclages',
    'sarclai',
    'sarclaient',
    'sarclais',
    'sarclait',
    'sarclant',
    'sarclas',
    'sarclasse',
    'sarclassent',
    'sarclasses',
    'sarclassiez',
    'sarclassions',
    'sarcle',
    'sarclent',
    'sarcler',
    'sarclera',
    'sarclerai',
    'sarcleraient',
    'sarclerais',
    'sarclerait',
    'sarcleras',
    'sarclerez',
    'sarcleriez',
    'sarclerions',
    'sarclerons',
    'sarcleront',
    'sarcles',
    'sarcleur',
    'sarcleurs',
    'sarcleuse',
    'sarcleuses',
    'sarclez',
    'sarcliez',
    'sarclions',
    'sarcloir',
    'sarcloirs',
    'sarclons',
    'sarclâmes',
    'sarclât',
    'sarclâtes',
    'sarclèrent',
    'sarclé',
    'sarclée',
    'sarclées',
    'sarclés',
    'sarcocèle',
    'sarcocèles',
    'sarcomateuse',
    'sarcomateux',
    'sarcome',
    'sarcomes',
    'sarcophage',
    'sarcophages',
    'sarcoplasma',
    'sarcoplasmas',
    'sarcopte',
    'sarcoptes',
    'sarcoïde',
    'sarcoïdes',
    'sardane',
    'sardanes',
    'sarde',
    'sardes',
    'sardine',
    'sardinerie',
    'sardineries',
    'sardines',
    'sardinier',
    'sardiniers',
    'sardinière',
    'sardinières',
    'sardoine',
    'sardoines',
    'sardonique',
    'sardoniques',
    'sardonyx',
    'sargasse',
    'sargasses',
    'sari',
    'sarigue',
    'sarigues',
    'saris',
    'sarisse',
    'sarisses',
    'sarment',
    'sarmenta',
    'sarmentai',
    'sarmentaient',
    'sarmentais',
    'sarmentait',
    'sarmentant',
    'sarmentas',
    'sarmentasse',
    'sarmentasses',
    'sarmente',
    'sarmentent',
    'sarmenter',
    'sarmentera',
    'sarmenterai',
    'sarmenterais',
    'sarmenterait',
    'sarmenteras',
    'sarmenterez',
    'sarmenteriez',
    'sarmenterons',
    'sarmenteront',
    'sarmentes',
    'sarmenteuse',
    'sarmenteuses',
    'sarmenteux',
    'sarmentez',
    'sarmentiez',
    'sarmentions',
    'sarmentons',
    'sarments',
    'sarmentâmes',
    'sarmentât',
    'sarmentâtes',
    'sarmentèrent',
    'sarmenté',
    'sarong',
    'sarongs',
    'saros',
    'sarrancolin',
    'sarrancolins',
    'sarrasin',
    'sarrasine',
    'sarrasines',
    'sarrasins',
    'sarrau',
    'sarraus',
    'sarraux',
    'sarrette',
    'sarrettes',
    'sarriette',
    'sarriettes',
    'sassa',
    'sassafras',
    'sassai',
    'sassaient',
    'sassais',
    'sassait',
    'sassanide',
    'sassanides',
    'sassant',
    'sassas',
    'sassasse',
    'sassassent',
    'sassasses',
    'sassassiez',
    'sassassions',
    'sasse',
    'sassement',
    'sassements',
    'sassenage',
    'sassenages',
    'sassent',
    'sasser',
    'sassera',
    'sasserai',
    'sasseraient',
    'sasserais',
    'sasserait',
    'sasseras',
    'sasserez',
    'sasseriez',
    'sasserions',
    'sasserons',
    'sasseront',
    'sasses',
    'sasseur',
    'sasseurs',
    'sasseuse',
    'sasseuses',
    'sassez',
    'sassiez',
    'sassions',
    'sassons',
    'sassâmes',
    'sassât',
    'sassâtes',
    'sassèrent',
    'sassé',
    'sassée',
    'sassées',
    'sassés',
    'satana',
    'satanai',
    'satanaient',
    'satanais',
    'satanait',
    'satanant',
    'satanas',
    'satanasse',
    'satanassent',
    'satanasses',
    'satanassiez',
    'satanassions',
    'satane',
    'satanent',
    'sataner',
    'satanera',
    'satanerai',
    'sataneraient',
    'satanerais',
    'satanerait',
    'sataneras',
    'satanerez',
    'sataneriez',
    'satanerions',
    'satanerons',
    'sataneront',
    'satanes',
    'satanez',
    'sataniez',
    'satanions',
    'satanique',
    'sataniques',
    'satanisme',
    'satanismes',
    'satanons',
    'satanâmes',
    'satanât',
    'satanâtes',
    'satanèrent',
    'satané',
    'satanée',
    'satanées',
    'satanés',
    'satellisa',
    'satellisai',
    'satellisais',
    'satellisait',
    'satellisant',
    'satellisas',
    'satellisasse',
    'satellise',
    'satellisent',
    'satelliser',
    'satellisera',
    'satelliserai',
    'satelliseras',
    'satelliserez',
    'satellises',
    'satellisez',
    'satellisiez',
    'satellisions',
    'satellisons',
    'satellisâmes',
    'satellisât',
    'satellisâtes',
    'satellisé',
    'satellisée',
    'satellisées',
    'satellisés',
    'satellite',
    'satellites',
    'satin',
    'satina',
    'satinage',
    'satinages',
    'satinai',
    'satinaient',
    'satinais',
    'satinait',
    'satinant',
    'satinas',
    'satinasse',
    'satinassent',
    'satinasses',
    'satinassiez',
    'satinassions',
    'satine',
    'satinent',
    'satiner',
    'satinera',
    'satinerai',
    'satineraient',
    'satinerais',
    'satinerait',
    'satineras',
    'satinerez',
    'satineriez',
    'satinerions',
    'satinerons',
    'satineront',
    'satines',
    'satinette',
    'satinettes',
    'satineur',
    'satineurs',
    'satineuse',
    'satineuses',
    'satinez',
    'satiniez',
    'satinions',
    'satinons',
    'satins',
    'satinâmes',
    'satinât',
    'satinâtes',
    'satinèrent',
    'satiné',
    'satinée',
    'satinées',
    'satinés',
    'satire',
    'satires',
    'satirique',
    'satiriques',
    'satirisa',
    'satirisai',
    'satirisaient',
    'satirisais',
    'satirisait',
    'satirisant',
    'satirisas',
    'satirisasse',
    'satirisasses',
    'satirise',
    'satirisent',
    'satiriser',
    'satirisera',
    'satiriserai',
    'satiriserais',
    'satiriserait',
    'satiriseras',
    'satiriserez',
    'satiriseriez',
    'satiriserons',
    'satiriseront',
    'satirises',
    'satirisez',
    'satirisiez',
    'satirisions',
    'satirisons',
    'satirisâmes',
    'satirisât',
    'satirisâtes',
    'satirisèrent',
    'satirisé',
    'satirisée',
    'satirisées',
    'satirisés',
    'satisfaction',
    'satisfaire',
    'satisfais',
    'satisfaisais',
    'satisfaisait',
    'satisfaisant',
    'satisfaisiez',
    'satisfaisons',
    'satisfait',
    'satisfaite',
    'satisfaites',
    'satisfaits',
    'satisfasse',
    'satisfassent',
    'satisfasses',
    'satisfassiez',
    'satisfecit',
    'satisfera',
    'satisferai',
    'satisferais',
    'satisferait',
    'satisferas',
    'satisferez',
    'satisferiez',
    'satisferions',
    'satisferons',
    'satisferont',
    'satisfirent',
    'satisfis',
    'satisfisse',
    'satisfissent',
    'satisfisses',
    'satisfissiez',
    'satisfit',
    'satisfont',
    'satisfîmes',
    'satisfît',
    'satisfîtes',
    'satiété',
    'satiétés',
    'satonna',
    'satonnai',
    'satonnaient',
    'satonnais',
    'satonnait',
    'satonnant',
    'satonnas',
    'satonnasse',
    'satonnassent',
    'satonnasses',
    'satonnassiez',
    'satonne',
    'satonnent',
    'satonner',
    'satonnera',
    'satonnerai',
    'satonnerais',
    'satonnerait',
    'satonneras',
    'satonnerez',
    'satonneriez',
    'satonnerions',
    'satonnerons',
    'satonneront',
    'satonnes',
    'satonnez',
    'satonniez',
    'satonnions',
    'satonnons',
    'satonnâmes',
    'satonnât',
    'satonnâtes',
    'satonnèrent',
    'satonné',
    'satonnée',
    'satonnées',
    'satonnés',
    'satrape',
    'satrapes',
    'satrapie',
    'satrapies',
    'satura',
    'saturabilité',
    'saturable',
    'saturables',
    'saturai',
    'saturaient',
    'saturais',
    'saturait',
    'saturant',
    'saturante',
    'saturantes',
    'saturants',
    'saturas',
    'saturasse',
    'saturassent',
    'saturasses',
    'saturassiez',
    'saturassions',
    'saturateur',
    'saturateurs',
    'saturation',
    'saturations',
    'sature',
    'saturent',
    'saturer',
    'saturera',
    'saturerai',
    'satureraient',
    'saturerais',
    'saturerait',
    'satureras',
    'saturerez',
    'satureriez',
    'saturerions',
    'saturerons',
    'satureront',
    'satures',
    'saturez',
    'saturiez',
    'saturions',
    'saturnales',
    'saturne',
    'saturnes',
    'saturnie',
    'saturnien',
    'saturnienne',
    'saturniennes',
    'saturniens',
    'saturnies',
    'saturnin',
    'saturnine',
    'saturnines',
    'saturnins',
    'saturnisme',
    'saturnismes',
    'saturons',
    'saturâmes',
    'saturât',
    'saturâtes',
    'saturèrent',
    'saturé',
    'saturée',
    'saturées',
    'saturés',
    'satyre',
    'satyres',
    'satyriasis',
    'satyrique',
    'satyriques',
    'satyrisme',
    'satyrismes',
    'satî',
    'satîs',
    'sauce',
    'saucent',
    'saucer',
    'saucera',
    'saucerai',
    'sauceraient',
    'saucerais',
    'saucerait',
    'sauceras',
    'saucerez',
    'sauceriez',
    'saucerions',
    'saucerons',
    'sauceront',
    'sauces',
    'saucez',
    'saucier',
    'sauciers',
    'sauciez',
    'sauciflard',
    'sauciflards',
    'saucions',
    'saucisse',
    'saucisses',
    'saucisson',
    'saucissonna',
    'saucissonnai',
    'saucissonnas',
    'saucissonne',
    'saucissonner',
    'saucissonnes',
    'saucissonnez',
    'saucissonnât',
    'saucissonné',
    'saucissonnée',
    'saucissonnés',
    'saucissons',
    'saucière',
    'saucières',
    'saucèrent',
    'saucé',
    'saucée',
    'saucées',
    'saucés',
    'sauf',
    'saufs',
    'sauge',
    'sauges',
    'saugrenu',
    'saugrenue',
    'saugrenues',
    'saugrenus',
    'saulaie',
    'saulaies',
    'saule',
    'saules',
    'saulée',
    'saulées',
    'saumon',
    'saumoneau',
    'saumoneaux',
    'saumons',
    'saumoné',
    'saumonée',
    'saumonées',
    'saumonés',
    'saumura',
    'saumurage',
    'saumurages',
    'saumurai',
    'saumuraient',
    'saumurais',
    'saumurait',
    'saumurant',
    'saumuras',
    'saumurasse',
    'saumurassent',
    'saumurasses',
    'saumurassiez',
    'saumure',
    'saumurent',
    'saumurer',
    'saumurera',
    'saumurerai',
    'saumurerais',
    'saumurerait',
    'saumureras',
    'saumurerez',
    'saumureriez',
    'saumurerions',
    'saumurerons',
    'saumureront',
    'saumures',
    'saumurez',
    'saumuriez',
    'saumurions',
    'saumurons',
    'saumurâmes',
    'saumurât',
    'saumurâtes',
    'saumurèrent',
    'saumuré',
    'saumurée',
    'saumurées',
    'saumurés',
    'saumâtre',
    'saumâtres',
    'sauna',
    'saunage',
    'saunages',
    'saunai',
    'saunaient',
    'saunais',
    'saunait',
    'saunant',
    'saunas',
    'saunasse',
    'saunassent',
    'saunasses',
    'saunassiez',
    'saunassions',
    'saune',
    'saunent',
    'sauner',
    'saunera',
    'saunerai',
    'sauneraient',
    'saunerais',
    'saunerait',
    'sauneras',
    'saunerez',
    'sauneriez',
    'saunerions',
    'saunerons',
    'sauneront',
    'saunes',
    'saunez',
    'saunier',
    'sauniers',
    'sauniez',
    'saunions',
    'saunière',
    'saunières',
    'saunons',
    'saunâmes',
    'saunât',
    'saunâtes',
    'saunèrent',
    'sauné',
    'saupiquet',
    'saupiquets',
    'saupoudra',
    'saupoudrage',
    'saupoudrages',
    'saupoudrai',
    'saupoudrais',
    'saupoudrait',
    'saupoudrant',
    'saupoudras',
    'saupoudrasse',
    'saupoudre',
    'saupoudrent',
    'saupoudrer',
    'saupoudrera',
    'saupoudrerai',
    'saupoudreras',
    'saupoudrerez',
    'saupoudres',
    'saupoudreur',
    'saupoudreurs',
    'saupoudreuse',
    'saupoudrez',
    'saupoudriez',
    'saupoudrions',
    'saupoudroir',
    'saupoudroirs',
    'saupoudrons',
    'saupoudrâmes',
    'saupoudrât',
    'saupoudrâtes',
    'saupoudré',
    'saupoudrée',
    'saupoudrées',
    'saupoudrés',
    'saur',
    'saura',
    'saurai',
    'sauraient',
    'saurais',
    'saurait',
    'saurant',
    'sauras',
    'saurasse',
    'saurassent',
    'saurasses',
    'saurassiez',
    'saurassions',
    'saure',
    'saurent',
    'saurer',
    'saurera',
    'saurerai',
    'saureraient',
    'saurerais',
    'saurerait',
    'saureras',
    'saurerez',
    'saureriez',
    'saurerions',
    'saurerons',
    'saureront',
    'saures',
    'saurez',
    'sauri',
    'saurie',
    'saurien',
    'sauriens',
    'sauries',
    'sauriez',
    'saurin',
    'saurins',
    'saurions',
    'saurir',
    'saurira',
    'saurirai',
    'sauriraient',
    'saurirais',
    'saurirait',
    'sauriras',
    'saurirent',
    'saurirez',
    'sauririez',
    'sauririons',
    'saurirons',
    'sauriront',
    'sauris',
    'saurissage',
    'saurissages',
    'saurissaient',
    'saurissais',
    'saurissait',
    'saurissant',
    'saurisse',
    'saurissent',
    'saurisserie',
    'saurisseries',
    'saurisses',
    'saurisseur',
    'saurisseurs',
    'saurissez',
    'saurissiez',
    'saurissions',
    'saurissons',
    'saurit',
    'saurons',
    'sauront',
    'sauropsidés',
    'saurs',
    'saurâmes',
    'saurât',
    'saurâtes',
    'saurèrent',
    'sauré',
    'saurée',
    'saurées',
    'saurés',
    'saurîmes',
    'saurît',
    'saurîtes',
    'saussaie',
    'saussaies',
    'saut',
    'sauta',
    'sautai',
    'sautaient',
    'sautais',
    'sautait',
    'sautant',
    'sautas',
    'sautasse',
    'sautassent',
    'sautasses',
    'sautassiez',
    'sautassions',
    'saute',
    'sautelle',
    'sautelles',
    'sautent',
    'sauter',
    'sautera',
    'sauterai',
    'sauteraient',
    'sauterais',
    'sauterait',
    'sauteras',
    'sautereau',
    'sautereaux',
    'sauterelle',
    'sauterelles',
    'sauterez',
    'sauterie',
    'sauteries',
    'sauteriez',
    'sauterions',
    'sauternes',
    'sauterons',
    'sauteront',
    'sautes',
    'sauteur',
    'sauteurs',
    'sauteuse',
    'sauteuses',
    'sautez',
    'sautiez',
    'sautilla',
    'sautillai',
    'sautillaient',
    'sautillais',
    'sautillait',
    'sautillant',
    'sautillante',
    'sautillantes',
    'sautillants',
    'sautillas',
    'sautillasse',
    'sautillasses',
    'sautille',
    'sautillement',
    'sautillent',
    'sautiller',
    'sautillera',
    'sautillerai',
    'sautillerais',
    'sautillerait',
    'sautilleras',
    'sautillerez',
    'sautilleriez',
    'sautillerons',
    'sautilleront',
    'sautilles',
    'sautillez',
    'sautilliez',
    'sautillions',
    'sautillons',
    'sautillâmes',
    'sautillât',
    'sautillâtes',
    'sautillèrent',
    'sautillé',
    'sautillée',
    'sautillées',
    'sautillés',
    'sautions',
    'sautoir',
    'sautoirs',
    'sautons',
    'sauts',
    'sautâmes',
    'sautât',
    'sautâtes',
    'sautèrent',
    'sauté',
    'sautée',
    'sautées',
    'sautés',
    'sauva',
    'sauvage',
    'sauvagement',
    'sauvageon',
    'sauvageonne',
    'sauvageonnes',
    'sauvageons',
    'sauvagerie',
    'sauvageries',
    'sauvages',
    'sauvagin',
    'sauvagine',
    'sauvagines',
    'sauvagins',
    'sauvai',
    'sauvaient',
    'sauvais',
    'sauvait',
    'sauvant',
    'sauvas',
    'sauvasse',
    'sauvassent',
    'sauvasses',
    'sauvassiez',
    'sauvassions',
    'sauve',
    'sauvegarda',
    'sauvegardai',
    'sauvegardais',
    'sauvegardait',
    'sauvegardant',
    'sauvegardas',
    'sauvegarde',
    'sauvegardent',
    'sauvegarder',
    'sauvegardera',
    'sauvegardes',
    'sauvegardez',
    'sauvegardiez',
    'sauvegardons',
    'sauvegardât',
    'sauvegardé',
    'sauvegardée',
    'sauvegardées',
    'sauvegardés',
    'sauvent',
    'sauver',
    'sauvera',
    'sauverai',
    'sauveraient',
    'sauverais',
    'sauverait',
    'sauveras',
    'sauverez',
    'sauveriez',
    'sauverions',
    'sauverons',
    'sauveront',
    'sauves',
    'sauvetage',
    'sauvetages',
    'sauveteur',
    'sauveteurs',
    'sauvette',
    'sauveté',
    'sauvetés',
    'sauveur',
    'sauveurs',
    'sauvez',
    'sauviez',
    'sauvions',
    'sauvons',
    'sauvâmes',
    'sauvât',
    'sauvâtes',
    'sauvèrent',
    'sauvé',
    'sauvée',
    'sauvées',
    'sauvés',
    'sauça',
    'sauçai',
    'sauçaient',
    'sauçais',
    'sauçait',
    'sauçant',
    'sauças',
    'sauçasse',
    'sauçassent',
    'sauçasses',
    'sauçassiez',
    'sauçassions',
    'sauçons',
    'sauçâmes',
    'sauçât',
    'sauçâtes',
    'savaient',
    'savais',
    'savait',
    'savamment',
    'savane',
    'savanes',
    'savant',
    'savante',
    'savantes',
    'savants',
    'savarin',
    'savarins',
    'savart',
    'savarts',
    'savate',
    'savates',
    'savent',
    'savetier',
    'savetiers',
    'saveur',
    'saveurs',
    'savez',
    'saviez',
    'savions',
    'savoir',
    'savoirs',
    'savon',
    'savonna',
    'savonnage',
    'savonnages',
    'savonnai',
    'savonnaient',
    'savonnais',
    'savonnait',
    'savonnant',
    'savonnas',
    'savonnasse',
    'savonnassent',
    'savonnasses',
    'savonnassiez',
    'savonne',
    'savonnent',
    'savonner',
    'savonnera',
    'savonnerai',
    'savonnerais',
    'savonnerait',
    'savonneras',
    'savonnerez',
    'savonnerie',
    'savonneries',
    'savonneriez',
    'savonnerions',
    'savonnerons',
    'savonneront',
    'savonnes',
    'savonnette',
    'savonnettes',
    'savonneuse',
    'savonneuses',
    'savonneux',
    'savonnez',
    'savonnier',
    'savonniers',
    'savonniez',
    'savonnions',
    'savonnière',
    'savonnières',
    'savonnons',
    'savonnâmes',
    'savonnât',
    'savonnâtes',
    'savonnèrent',
    'savonné',
    'savonnée',
    'savonnées',
    'savonnés',
    'savons',
    'savoura',
    'savourai',
    'savouraient',
    'savourais',
    'savourait',
    'savourant',
    'savouras',
    'savourasse',
    'savourassent',
    'savourasses',
    'savourassiez',
    'savoure',
    'savourent',
    'savourer',
    'savourera',
    'savourerai',
    'savourerais',
    'savourerait',
    'savoureras',
    'savourerez',
    'savoureriez',
    'savourerions',
    'savourerons',
    'savoureront',
    'savoures',
    'savoureuse',
    'savoureuses',
    'savoureux',
    'savourez',
    'savouriez',
    'savourions',
    'savourons',
    'savourâmes',
    'savourât',
    'savourâtes',
    'savourèrent',
    'savouré',
    'savourée',
    'savourées',
    'savourés',
    'savoyard',
    'savoyarde',
    'savoyardes',
    'savoyards',
    'saxatile',
    'saxatiles',
    'saxe',
    'saxes',
    'saxhorn',
    'saxhorns',
    'saxicole',
    'saxicoles',
    'saxifrage',
    'saxifrages',
    'saxo',
    'saxon',
    'saxonne',
    'saxonnes',
    'saxons',
    'saxophone',
    'saxophones',
    'saxophoniste',
    'saxos',
    'saynète',
    'saynètes',
    'sayon',
    'sayons',
    'saïga',
    'saïgas',
    'saïmiri',
    'saïmiris',
    'saïs',
    'saïte',
    'saïtes',
    'sbire',
    'sbires',
    'scabieuse',
    'scabieuses',
    'scabieux',
    'scabreuse',
    'scabreuses',
    'scabreux',
    'scaferlati',
    'scaferlatis',
    'scalaire',
    'scalaires',
    'scalde',
    'scaldes',
    'scalp',
    'scalpa',
    'scalpai',
    'scalpaient',
    'scalpais',
    'scalpait',
    'scalpant',
    'scalpas',
    'scalpasse',
    'scalpassent',
    'scalpasses',
    'scalpassiez',
    'scalpassions',
    'scalpe',
    'scalpel',
    'scalpels',
    'scalpent',
    'scalper',
    'scalpera',
    'scalperai',
    'scalperaient',
    'scalperais',
    'scalperait',
    'scalperas',
    'scalperez',
    'scalperiez',
    'scalperions',
    'scalperons',
    'scalperont',
    'scalpes',
    'scalpez',
    'scalpiez',
    'scalpions',
    'scalpons',
    'scalps',
    'scalpâmes',
    'scalpât',
    'scalpâtes',
    'scalpèrent',
    'scalpé',
    'scalpée',
    'scalpées',
    'scalpés',
    'scalène',
    'scalènes',
    'scampi',
    'scanda',
    'scandai',
    'scandaient',
    'scandais',
    'scandait',
    'scandale',
    'scandales',
    'scandaleuse',
    'scandaleuses',
    'scandaleux',
    'scandalisa',
    'scandalisai',
    'scandalisais',
    'scandalisait',
    'scandalisant',
    'scandalisas',
    'scandalise',
    'scandalisent',
    'scandaliser',
    'scandalisera',
    'scandalises',
    'scandalisez',
    'scandalisiez',
    'scandalisons',
    'scandalisât',
    'scandalisé',
    'scandalisée',
    'scandalisées',
    'scandalisés',
    'scandant',
    'scandas',
    'scandasse',
    'scandassent',
    'scandasses',
    'scandassiez',
    'scandassions',
    'scande',
    'scandent',
    'scander',
    'scandera',
    'scanderai',
    'scanderaient',
    'scanderais',
    'scanderait',
    'scanderas',
    'scanderez',
    'scanderiez',
    'scanderions',
    'scanderons',
    'scanderont',
    'scandes',
    'scandez',
    'scandiez',
    'scandinave',
    'scandinaves',
    'scandions',
    'scandium',
    'scandiums',
    'scandons',
    'scandâmes',
    'scandât',
    'scandâtes',
    'scandèrent',
    'scandé',
    'scandée',
    'scandées',
    'scandés',
    'scanner',
    'scanners',
    'scansion',
    'scansions',
    'scaphandre',
    'scaphandres',
    'scaphandrier',
    'scaphite',
    'scaphites',
    'scaphoïde',
    'scaphoïdes',
    'scapulaire',
    'scapulaires',
    'scarabée',
    'scarabées',
    'scare',
    'scares',
    'scarieuse',
    'scarieuses',
    'scarieux',
    'scarifiage',
    'scarifiages',
    'scarifier',
    'scarlatine',
    'scarlatines',
    'scarole',
    'scaroles',
    'scat',
    'scatologie',
    'scatologies',
    'scatologique',
    'scatophile',
    'scatophiles',
    'scats',
    'sceau',
    'sceaux',
    'scella',
    'scellage',
    'scellages',
    'scellai',
    'scellaient',
    'scellais',
    'scellait',
    'scellant',
    'scellas',
    'scellasse',
    'scellassent',
    'scellasses',
    'scellassiez',
    'scellassions',
    'scelle',
    'scellement',
    'scellements',
    'scellent',
    'sceller',
    'scellera',
    'scellerai',
    'scelleraient',
    'scellerais',
    'scellerait',
    'scelleras',
    'scellerez',
    'scelleriez',
    'scellerions',
    'scellerons',
    'scelleront',
    'scelles',
    'scellez',
    'scelliez',
    'scellions',
    'scellons',
    'scellâmes',
    'scellât',
    'scellâtes',
    'scellèrent',
    'scellé',
    'scellée',
    'scellées',
    'scellés',
    'scepticisme',
    'scepticismes',
    'sceptique',
    'sceptiques',
    'sceptre',
    'sceptres',
    'schah',
    'schahs',
    'schako',
    'schakos',
    'schappe',
    'schappes',
    'schapska',
    'schapskas',
    'scheida',
    'scheidai',
    'scheidaient',
    'scheidais',
    'scheidait',
    'scheidant',
    'scheidas',
    'scheidasse',
    'scheidassent',
    'scheidasses',
    'scheidassiez',
    'scheide',
    'scheident',
    'scheider',
    'scheidera',
    'scheiderai',
    'scheiderais',
    'scheiderait',
    'scheideras',
    'scheiderez',
    'scheideriez',
    'scheiderions',
    'scheiderons',
    'scheideront',
    'scheides',
    'scheidez',
    'scheidiez',
    'scheidions',
    'scheidons',
    'scheidâmes',
    'scheidât',
    'scheidâtes',
    'scheidèrent',
    'scheidé',
    'scheidée',
    'scheidées',
    'scheidés',
    'scheik',
    'scheiks',
    'schelem',
    'schelems',
    'schelinguer',
    'scherries',
    'scherzo',
    'scherzos',
    'schismatique',
    'schisme',
    'schismes',
    'schiste',
    'schistes',
    'schisteuse',
    'schisteuses',
    'schisteux',
    'schistoïde',
    'schistoïdes',
    'schizogamie',
    'schizogamies',
    'schizogenèse',
    'schizophrène',
    'schizothymie',
    'schizoïde',
    'schizoïdes',
    'schizoïdie',
    'schizoïdies',
    'schlague',
    'schlagues',
    'schlamm',
    'schlamms',
    'schlass',
    'schleu',
    'schleus',
    'schlich',
    'schlichs',
    'schlinguer',
    'schlitta',
    'schlittage',
    'schlittages',
    'schlittai',
    'schlittaient',
    'schlittais',
    'schlittait',
    'schlittant',
    'schlittas',
    'schlittasse',
    'schlittasses',
    'schlitte',
    'schlittent',
    'schlitter',
    'schlittera',
    'schlitterai',
    'schlitterais',
    'schlitterait',
    'schlitteras',
    'schlitterez',
    'schlitteriez',
    'schlitterons',
    'schlitteront',
    'schlittes',
    'schlitteur',
    'schlitteurs',
    'schlittez',
    'schlittiez',
    'schlittions',
    'schlittons',
    'schlittâmes',
    'schlittât',
    'schlittâtes',
    'schlittèrent',
    'schlitté',
    'schlittée',
    'schlittées',
    'schlittés',
    'schnaps',
    'schnauzer',
    'schnauzers',
    'schnock',
    'schnocks',
    'schnoque',
    'schnoques',
    'schnorchel',
    'schnorchels',
    'schnorkel',
    'schnorkels',
    'schnouff',
    'schnouffs',
    'schofar',
    'schofars',
    'schooner',
    'schooners',
    'schorre',
    'schorres',
    'schupo',
    'schupos',
    'schuss',
    'schwarz',
    'schéma',
    'schémas',
    'schématique',
    'schématiques',
    'schématisa',
    'schématisai',
    'schématisais',
    'schématisait',
    'schématisant',
    'schématisas',
    'schématise',
    'schématisent',
    'schématiser',
    'schématisera',
    'schématises',
    'schématisez',
    'schématisiez',
    'schématisme',
    'schématismes',
    'schématisons',
    'schématisât',
    'schématisé',
    'schématisée',
    'schématisées',
    'schématisés',
    'schéol',
    'schéols',
    'scia',
    'sciable',
    'sciables',
    'sciage',
    'sciages',
    'sciai',
    'sciaient',
    'sciais',
    'sciait',
    'scialytique',
    'scialytiques',
    'sciant',
    'scias',
    'sciasse',
    'sciassent',
    'sciasses',
    'sciassiez',
    'sciassions',
    'sciatique',
    'sciatiques',
    'scie',
    'sciemment',
    'science',
    'sciences',
    'scient',
    'scientifique',
    'scientisme',
    'scientismes',
    'scientiste',
    'scientistes',
    'scientologie',
    'scientologue',
    'scier',
    'sciera',
    'scierai',
    'scieraient',
    'scierais',
    'scierait',
    'scieras',
    'scierez',
    'scierie',
    'scieries',
    'scieriez',
    'scierions',
    'scierons',
    'scieront',
    'scies',
    'scieur',
    'scieurs',
    'scieuse',
    'scieuses',
    'sciez',
    'sciiez',
    'sciions',
    'scille',
    'scilles',
    'scinda',
    'scindai',
    'scindaient',
    'scindais',
    'scindait',
    'scindant',
    'scindas',
    'scindasse',
    'scindassent',
    'scindasses',
    'scindassiez',
    'scindassions',
    'scinde',
    'scindent',
    'scinder',
    'scindera',
    'scinderai',
    'scinderaient',
    'scinderais',
    'scinderait',
    'scinderas',
    'scinderez',
    'scinderiez',
    'scinderions',
    'scinderons',
    'scinderont',
    'scindes',
    'scindez',
    'scindiez',
    'scindions',
    'scindons',
    'scindâmes',
    'scindât',
    'scindâtes',
    'scindèrent',
    'scindé',
    'scindée',
    'scindées',
    'scindés',
    'scintilla',
    'scintillai',
    'scintillais',
    'scintillait',
    'scintillant',
    'scintillante',
    'scintillants',
    'scintillas',
    'scintillasse',
    'scintille',
    'scintillent',
    'scintiller',
    'scintillera',
    'scintillerai',
    'scintilleras',
    'scintillerât',
    'scintilles',
    'scintillez',
    'scintilliez',
    'scintillions',
    'scintillons',
    'scintillâmes',
    'scintillât',
    'scintillâtes',
    'scintillé',
    'scion',
    'scions',
    'sciotta',
    'sciottai',
    'sciottaient',
    'sciottais',
    'sciottait',
    'sciottant',
    'sciottas',
    'sciottasse',
    'sciottassent',
    'sciottasses',
    'sciottassiez',
    'sciotte',
    'sciottent',
    'sciotter',
    'sciottera',
    'sciotterai',
    'sciotterais',
    'sciotterait',
    'sciotteras',
    'sciotterez',
    'sciotteriez',
    'sciotterions',
    'sciotterons',
    'sciotteront',
    'sciottes',
    'sciottez',
    'sciottiez',
    'sciottions',
    'sciottons',
    'sciottâmes',
    'sciottât',
    'sciottâtes',
    'sciottèrent',
    'sciotté',
    'sciottée',
    'sciottées',
    'sciottés',
    'scirpe',
    'scirpes',
    'scissile',
    'scissiles',
    'scission',
    'scissionna',
    'scissionnai',
    'scissionnais',
    'scissionnait',
    'scissionnant',
    'scissionnas',
    'scissionne',
    'scissionnent',
    'scissionner',
    'scissionnera',
    'scissionnes',
    'scissionnez',
    'scissionniez',
    'scissionnons',
    'scissionnât',
    'scissionné',
    'scissions',
    'scissipare',
    'scissipares',
    'scissiparité',
    'scissure',
    'scissures',
    'sciure',
    'sciures',
    'sciâmes',
    'sciât',
    'sciâtes',
    'sciène',
    'sciènes',
    'scièrent',
    'scié',
    'sciée',
    'sciées',
    'sciés',
    'scléranthe',
    'scléranthes',
    'scléreuse',
    'scléreuses',
    'scléreux',
    'sclérosa',
    'sclérosai',
    'sclérosaient',
    'sclérosais',
    'sclérosait',
    'sclérosant',
    'sclérosante',
    'sclérosantes',
    'sclérosants',
    'sclérosas',
    'sclérosasse',
    'sclérosasses',
    'sclérose',
    'sclérosent',
    'scléroser',
    'sclérosera',
    'scléroserai',
    'scléroserais',
    'scléroserait',
    'scléroseras',
    'scléroserez',
    'scléroseriez',
    'scléroserons',
    'scléroseront',
    'scléroses',
    'sclérosez',
    'sclérosiez',
    'sclérosions',
    'sclérosons',
    'sclérosâmes',
    'sclérosât',
    'sclérosâtes',
    'sclérosèrent',
    'sclérosé',
    'sclérosée',
    'sclérosées',
    'sclérosés',
    'sclérotique',
    'sclérotiques',
    'scolaire',
    'scolairement',
    'scolaires',
    'scolarisa',
    'scolarisai',
    'scolarisais',
    'scolarisait',
    'scolarisant',
    'scolarisas',
    'scolarisasse',
    'scolarise',
    'scolarisent',
    'scolariser',
    'scolarisera',
    'scolariserai',
    'scolariseras',
    'scolariserez',
    'scolarises',
    'scolarisez',
    'scolarisiez',
    'scolarisions',
    'scolarisons',
    'scolarisâmes',
    'scolarisât',
    'scolarisâtes',
    'scolarisé',
    'scolarisée',
    'scolarisées',
    'scolarisés',
    'scolarité',
    'scolarités',
    'scolasticat',
    'scolasticats',
    'scolastique',
    'scolastiques',
    'scolex',
    'scoliaste',
    'scoliastes',
    'scolie',
    'scolies',
    'scoliose',
    'scolioses',
    'scolopendre',
    'scolopendres',
    'scolyte',
    'scolytes',
    'sconse',
    'sconses',
    'scoop',
    'scoops',
    'scooter',
    'scooters',
    'scootériste',
    'scootéristes',
    'scopie',
    'scopies',
    'scopolamine',
    'scopolamines',
    'scorbut',
    'scorbutique',
    'scorbutiques',
    'scorbuts',
    'score',
    'scores',
    'scoriacé',
    'scoriacée',
    'scoriacées',
    'scoriacés',
    'scorie',
    'scories',
    'scorpion',
    'scorpions',
    'scorsonère',
    'scorsonères',
    'scotcha',
    'scotchai',
    'scotchaient',
    'scotchais',
    'scotchait',
    'scotchant',
    'scotchas',
    'scotchasse',
    'scotchassent',
    'scotchasses',
    'scotchassiez',
    'scotche',
    'scotchent',
    'scotcher',
    'scotchera',
    'scotcherai',
    'scotcherais',
    'scotcherait',
    'scotcheras',
    'scotcherez',
    'scotcheriez',
    'scotcherions',
    'scotcherons',
    'scotcheront',
    'scotches',
    'scotchez',
    'scotchiez',
    'scotchions',
    'scotchons',
    'scotchâmes',
    'scotchât',
    'scotchâtes',
    'scotchèrent',
    'scotché',
    'scotchée',
    'scotchées',
    'scotchés',
    'scotie',
    'scoties',
    'scotisme',
    'scotismes',
    'scotiste',
    'scotistes',
    'scotomisa',
    'scotomisai',
    'scotomisais',
    'scotomisait',
    'scotomisant',
    'scotomisas',
    'scotomisasse',
    'scotomise',
    'scotomisent',
    'scotomiser',
    'scotomisera',
    'scotomiserai',
    'scotomiseras',
    'scotomiserez',
    'scotomises',
    'scotomisez',
    'scotomisiez',
    'scotomisions',
    'scotomisons',
    'scotomisâmes',
    'scotomisât',
    'scotomisâtes',
    'scotomisé',
    'scotomisée',
    'scotomisées',
    'scotomisés',
    'scottish',
    'scottishs',
    'scoured',
    'scoureds',
    'scout',
    'scoute',
    'scoutes',
    'scoutisme',
    'scoutismes',
    'scouts',
    'scramasaxe',
    'scramasaxes',
    'scraper',
    'scrapers',
    'scratch',
    'scratcha',
    'scratchai',
    'scratchaient',
    'scratchais',
    'scratchait',
    'scratchant',
    'scratchas',
    'scratchasse',
    'scratchasses',
    'scratche',
    'scratchent',
    'scratcher',
    'scratchera',
    'scratcherai',
    'scratcherais',
    'scratcherait',
    'scratcheras',
    'scratcherez',
    'scratcheriez',
    'scratcherons',
    'scratcheront',
    'scratches',
    'scratchez',
    'scratchiez',
    'scratchions',
    'scratchons',
    'scratchs',
    'scratchâmes',
    'scratchât',
    'scratchâtes',
    'scratchèrent',
    'scratché',
    'scratchée',
    'scratchées',
    'scratchés',
    'scriban',
    'scribans',
    'scribe',
    'scribes',
    'scribouilla',
    'scribouillai',
    'scribouillas',
    'scribouille',
    'scribouiller',
    'scribouilles',
    'scribouillez',
    'scribouillât',
    'scribouillé',
    'scribouillée',
    'scribouillés',
    'script',
    'scripte',
    'scriptes',
    'scripteur',
    'scripteurs',
    'scripts',
    'scripturaire',
    'scriptural',
    'scripturale',
    'scripturales',
    'scripturaux',
    'scrofulaire',
    'scrofulaires',
    'scrofule',
    'scrofules',
    'scrofuleur',
    'scrofuleurs',
    'scrofuleuse',
    'scrofuleuses',
    'scrofuleux',
    'scrogneugneu',
    'scrubber',
    'scrubbers',
    'scrupule',
    'scrupules',
    'scrupuleuse',
    'scrupuleuses',
    'scrupuleux',
    'scruta',
    'scrutai',
    'scrutaient',
    'scrutais',
    'scrutait',
    'scrutant',
    'scrutas',
    'scrutasse',
    'scrutassent',
    'scrutasses',
    'scrutassiez',
    'scrutassions',
    'scrutateur',
    'scrutateurs',
    'scrutation',
    'scrutations',
    'scrutatrice',
    'scrutatrices',
    'scrute',
    'scrutent',
    'scruter',
    'scrutera',
    'scruterai',
    'scruteraient',
    'scruterais',
    'scruterait',
    'scruteras',
    'scruterez',
    'scruteriez',
    'scruterions',
    'scruterons',
    'scruteront',
    'scrutes',
    'scrutez',
    'scrutiez',
    'scrutin',
    'scrutins',
    'scrutions',
    'scrutons',
    'scrutâmes',
    'scrutât',
    'scrutâtes',
    'scrutèrent',
    'scruté',
    'scrutée',
    'scrutées',
    'scrutés',
    'scull',
    'sculls',
    'sculpta',
    'sculptai',
    'sculptaient',
    'sculptais',
    'sculptait',
    'sculptant',
    'sculptas',
    'sculptasse',
    'sculptassent',
    'sculptasses',
    'sculptassiez',
    'sculpte',
    'sculptent',
    'sculpter',
    'sculptera',
    'sculpterai',
    'sculpterais',
    'sculpterait',
    'sculpteras',
    'sculpterez',
    'sculpteriez',
    'sculpterions',
    'sculpterons',
    'sculpteront',
    'sculptes',
    'sculpteur',
    'sculpteurs',
    'sculptez',
    'sculptiez',
    'sculptions',
    'sculptons',
    'sculptural',
    'sculpturale',
    'sculpturales',
    'sculpturaux',
    'sculpture',
    'sculptures',
    'sculptâmes',
    'sculptât',
    'sculptâtes',
    'sculptèrent',
    'sculpté',
    'sculptée',
    'sculptées',
    'sculptés',
    'scuta',
    'scutellaire',
    'scutellaires',
    'scutum',
    'scutums',
    'scythe',
    'scythes',
    'scythique',
    'scythiques',
    'scène',
    'scènes',
    'scélérat',
    'scélérate',
    'scélérates',
    'scélératesse',
    'scélérats',
    'scénario',
    'scénarios',
    'scénariste',
    'scénaristes',
    'scénique',
    'scéniquement',
    'scéniques',
    'scénographie',
    'seau',
    'seaux',
    'sebka',
    'sebkas',
    'sebkha',
    'sebkhas',
    'second',
    'seconda',
    'secondai',
    'secondaient',
    'secondaire',
    'secondaires',
    'secondais',
    'secondait',
    'secondant',
    'secondarité',
    'secondarités',
    'secondas',
    'secondasse',
    'secondassent',
    'secondasses',
    'secondassiez',
    'seconde',
    'secondement',
    'secondent',
    'seconder',
    'secondera',
    'seconderai',
    'seconderais',
    'seconderait',
    'seconderas',
    'seconderez',
    'seconderiez',
    'seconderions',
    'seconderons',
    'seconderont',
    'secondes',
    'secondez',
    'secondiez',
    'secondions',
    'secondons',
    'seconds',
    'secondâmes',
    'secondât',
    'secondâtes',
    'secondèrent',
    'secondé',
    'secondée',
    'secondées',
    'secondés',
    'secoua',
    'secouai',
    'secouaient',
    'secouais',
    'secouait',
    'secouant',
    'secouas',
    'secouasse',
    'secouassent',
    'secouasses',
    'secouassiez',
    'secouassions',
    'secoue',
    'secouement',
    'secouements',
    'secouent',
    'secouer',
    'secouera',
    'secouerai',
    'secoueraient',
    'secouerais',
    'secouerait',
    'secoueras',
    'secouerez',
    'secoueriez',
    'secouerions',
    'secouerons',
    'secoueront',
    'secoues',
    'secoueur',
    'secoueurs',
    'secouez',
    'secouiez',
    'secouions',
    'secouons',
    'secourable',
    'secourables',
    'secouraient',
    'secourais',
    'secourait',
    'secourant',
    'secoure',
    'secourent',
    'secoures',
    'secoureur',
    'secoureurs',
    'secourez',
    'secouriez',
    'secourions',
    'secourir',
    'secourisme',
    'secourismes',
    'secouriste',
    'secouristes',
    'secourons',
    'secourra',
    'secourrai',
    'secourraient',
    'secourrais',
    'secourrait',
    'secourras',
    'secourrez',
    'secourriez',
    'secourrions',
    'secourrons',
    'secourront',
    'secours',
    'secourt',
    'secouru',
    'secourue',
    'secourues',
    'secoururent',
    'secourus',
    'secourusse',
    'secourussent',
    'secourusses',
    'secourussiez',
    'secourut',
    'secourûmes',
    'secourût',
    'secourûtes',
    'secousse',
    'secousses',
    'secouâmes',
    'secouât',
    'secouâtes',
    'secouèrent',
    'secoué',
    'secouée',
    'secouées',
    'secoués',
    'secret',
    'secrets',
    'secrète',
    'secrètement',
    'secrètes',
    'secrétage',
    'secrétages',
    'secrétaire',
    'secrétaires',
    'secrétariat',
    'secrétariats',
    'secréter',
    'secs',
    'sectaire',
    'sectaires',
    'sectarisme',
    'sectarismes',
    'sectateur',
    'sectateurs',
    'sectatrice',
    'sectatrices',
    'secte',
    'sectes',
    'secteur',
    'secteurs',
    'section',
    'sectionna',
    'sectionnai',
    'sectionnais',
    'sectionnait',
    'sectionnant',
    'sectionnas',
    'sectionnasse',
    'sectionne',
    'sectionnent',
    'sectionner',
    'sectionnera',
    'sectionnerai',
    'sectionneras',
    'sectionnerez',
    'sectionnes',
    'sectionneur',
    'sectionneurs',
    'sectionnez',
    'sectionniez',
    'sectionnions',
    'sectionnons',
    'sectionnâmes',
    'sectionnât',
    'sectionnâtes',
    'sectionné',
    'sectionnée',
    'sectionnées',
    'sectionnés',
    'sections',
    'sectoriel',
    'sectorielle',
    'sectorielles',
    'sectoriels',
    'sectorisa',
    'sectorisai',
    'sectorisais',
    'sectorisait',
    'sectorisant',
    'sectorisas',
    'sectorisasse',
    'sectorise',
    'sectorisent',
    'sectoriser',
    'sectorisera',
    'sectoriserai',
    'sectoriseras',
    'sectoriserez',
    'sectorises',
    'sectorisez',
    'sectorisiez',
    'sectorisions',
    'sectorisons',
    'sectorisâmes',
    'sectorisât',
    'sectorisâtes',
    'sectorisé',
    'sectorisée',
    'sectorisées',
    'sectorisés',
    'secundo',
    'segment',
    'segmenta',
    'segmentai',
    'segmentaient',
    'segmentais',
    'segmentait',
    'segmental',
    'segmentale',
    'segmentales',
    'segmentant',
    'segmentas',
    'segmentasse',
    'segmentasses',
    'segmentation',
    'segmentaux',
    'segmente',
    'segmentent',
    'segmenter',
    'segmentera',
    'segmenterai',
    'segmenterais',
    'segmenterait',
    'segmenteras',
    'segmenterez',
    'segmenteriez',
    'segmenterons',
    'segmenteront',
    'segmentes',
    'segmentez',
    'segmentiez',
    'segmentions',
    'segmentons',
    'segments',
    'segmentâmes',
    'segmentât',
    'segmentâtes',
    'segmentèrent',
    'segmenté',
    'segmentée',
    'segmentées',
    'segmentés',
    'seguia',
    'seguias',
    'seiche',
    'seiches',
    'seigle',
    'seigles',
    'seigneur',
    'seigneuriage',
    'seigneurial',
    'seigneuriale',
    'seigneuriaux',
    'seigneurie',
    'seigneuries',
    'seigneurs',
    'seille',
    'seilles',
    'seillon',
    'seillons',
    'seime',
    'seimes',
    'sein',
    'seine',
    'seines',
    'seing',
    'seings',
    'seins',
    'seize',
    'seizième',
    'seizièmement',
    'seizièmes',
    'seiziémisme',
    'seiziémismes',
    'self',
    'selfs',
    'sella',
    'sellai',
    'sellaient',
    'sellais',
    'sellait',
    'sellant',
    'sellas',
    'sellasse',
    'sellassent',
    'sellasses',
    'sellassiez',
    'sellassions',
    'selle',
    'sellent',
    'seller',
    'sellera',
    'sellerai',
    'selleraient',
    'sellerais',
    'sellerait',
    'selleras',
    'sellerez',
    'sellerie',
    'selleries',
    'selleriez',
    'sellerions',
    'sellerons',
    'selleront',
    'selles',
    'sellette',
    'sellettes',
    'sellez',
    'sellier',
    'selliers',
    'selliez',
    'sellions',
    'sellons',
    'sellâmes',
    'sellât',
    'sellâtes',
    'sellèrent',
    'sellé',
    'sellée',
    'sellées',
    'sellés',
    'selon',
    'sels',
    'seltz',
    'selve',
    'selves',
    'sema',
    'semai',
    'semaient',
    'semailles',
    'semaine',
    'semaines',
    'semainier',
    'semainiers',
    'semainière',
    'semainières',
    'semais',
    'semait',
    'semant',
    'semas',
    'semasse',
    'semassent',
    'semasses',
    'semassiez',
    'semassions',
    'sembla',
    'semblable',
    'semblables',
    'semblai',
    'semblaient',
    'semblais',
    'semblait',
    'semblant',
    'semblante',
    'semblantes',
    'semblants',
    'semblas',
    'semblasse',
    'semblassent',
    'semblasses',
    'semblassiez',
    'semblassions',
    'semble',
    'semblent',
    'sembler',
    'semblera',
    'semblerai',
    'sembleraient',
    'semblerais',
    'semblerait',
    'sembleras',
    'semblerez',
    'sembleriez',
    'semblerions',
    'semblerons',
    'sembleront',
    'sembles',
    'semblez',
    'sembliez',
    'semblions',
    'semblons',
    'semblâmes',
    'semblât',
    'semblâtes',
    'semblèrent',
    'semblé',
    'semelle',
    'semelles',
    'semence',
    'semences',
    'semer',
    'semestre',
    'semestres',
    'semestriel',
    'semestrielle',
    'semestriels',
    'semeur',
    'semeurs',
    'semeuse',
    'semeuses',
    'semez',
    'semiez',
    'semions',
    'semis',
    'semoir',
    'semoirs',
    'semonce',
    'semoncent',
    'semoncer',
    'semoncera',
    'semoncerai',
    'semoncerais',
    'semoncerait',
    'semonceras',
    'semoncerez',
    'semonceriez',
    'semoncerions',
    'semoncerons',
    'semonceront',
    'semonces',
    'semoncez',
    'semonciez',
    'semoncions',
    'semoncèrent',
    'semoncé',
    'semoncée',
    'semoncées',
    'semoncés',
    'semons',
    'semonça',
    'semonçai',
    'semonçaient',
    'semonçais',
    'semonçait',
    'semonçant',
    'semonças',
    'semonçasse',
    'semonçassent',
    'semonçasses',
    'semonçassiez',
    'semonçons',
    'semonçâmes',
    'semonçât',
    'semonçâtes',
    'semoule',
    'semoulerie',
    'semouleries',
    'semoules',
    'sempervivum',
    'sempiternel',
    'sempiternels',
    'semple',
    'semples',
    'semâmes',
    'semât',
    'semâtes',
    'semèrent',
    'semé',
    'semée',
    'semées',
    'semés',
    'senau',
    'senaux',
    'senestrorsum',
    'senior',
    'seniors',
    'senne',
    'sennes',
    'sens',
    'sensass',
    'sensation',
    'sensationnel',
    'sensations',
    'senseur',
    'senseurs',
    'sensibilisa',
    'sensibilisai',
    'sensibilisas',
    'sensibilise',
    'sensibiliser',
    'sensibilises',
    'sensibilisez',
    'sensibilisât',
    'sensibilisé',
    'sensibilisée',
    'sensibilisés',
    'sensibilité',
    'sensibilités',
    'sensible',
    'sensiblement',
    'sensiblerie',
    'sensibleries',
    'sensibles',
    'sensitif',
    'sensitifs',
    'sensitive',
    'sensitives',
    'sensoriel',
    'sensorielle',
    'sensorielles',
    'sensoriels',
    'sensualisme',
    'sensualismes',
    'sensualiste',
    'sensualistes',
    'sensualité',
    'sensualités',
    'sensuel',
    'sensuelle',
    'sensuelles',
    'sensuels',
    'sensé',
    'sensée',
    'sensées',
    'sensément',
    'sensés',
    'sent',
    'sentaient',
    'sentais',
    'sentait',
    'sentant',
    'sente',
    'sentence',
    'sentences',
    'sentencieuse',
    'sentencieux',
    'sentent',
    'sentes',
    'senteur',
    'senteurs',
    'sentez',
    'senti',
    'sentie',
    'sentier',
    'sentiers',
    'senties',
    'sentiez',
    'sentiment',
    'sentimental',
    'sentimentale',
    'sentimentaux',
    'sentiments',
    'sentine',
    'sentinelle',
    'sentinelles',
    'sentines',
    'sentions',
    'sentir',
    'sentira',
    'sentirai',
    'sentiraient',
    'sentirais',
    'sentirait',
    'sentiras',
    'sentirent',
    'sentirez',
    'sentiriez',
    'sentirions',
    'sentirons',
    'sentiront',
    'sentis',
    'sentisse',
    'sentissent',
    'sentisses',
    'sentissiez',
    'sentissions',
    'sentit',
    'sentons',
    'sentîmes',
    'sentît',
    'sentîtes',
    'seoir',
    'seps',
    'sept',
    'septain',
    'septains',
    'septante',
    'septembre',
    'septemvir',
    'septemvirs',
    'septennal',
    'septennale',
    'septennales',
    'septennalité',
    'septennat',
    'septennats',
    'septennaux',
    'septentrion',
    'septicité',
    'septicités',
    'septicémie',
    'septicémies',
    'septicémique',
    'septidi',
    'septidis',
    'septime',
    'septimes',
    'septimo',
    'septique',
    'septiques',
    'septième',
    'septièmement',
    'septièmes',
    'septmoncel',
    'septmoncels',
    'septuagésime',
    'septum',
    'septuor',
    'septuors',
    'septupla',
    'septuplai',
    'septuplaient',
    'septuplais',
    'septuplait',
    'septuplant',
    'septuplas',
    'septuplasse',
    'septuplasses',
    'septuple',
    'septuplent',
    'septupler',
    'septuplera',
    'septuplerai',
    'septuplerais',
    'septuplerait',
    'septupleras',
    'septuplerez',
    'septupleriez',
    'septuplerons',
    'septupleront',
    'septuples',
    'septuplez',
    'septupliez',
    'septuplions',
    'septuplons',
    'septuplâmes',
    'septuplât',
    'septuplâtes',
    'septuplèrent',
    'septuplé',
    'septuplée',
    'septuplées',
    'septuplés',
    'septénaire',
    'septénaires',
    'sequin',
    'sequins',
    'sera',
    'serai',
    'seraient',
    'serais',
    'serait',
    'seras',
    'serbe',
    'serbes',
    'serdeau',
    'serdeaus',
    'serein',
    'sereine',
    'sereinement',
    'sereines',
    'sereins',
    'serez',
    'serf',
    'serfouette',
    'serfouettes',
    'serfoui',
    'serfouie',
    'serfouies',
    'serfouir',
    'serfouira',
    'serfouirai',
    'serfouirais',
    'serfouirait',
    'serfouiras',
    'serfouirent',
    'serfouirez',
    'serfouiriez',
    'serfouirions',
    'serfouirons',
    'serfouiront',
    'serfouis',
    'serfouissage',
    'serfouissais',
    'serfouissait',
    'serfouissant',
    'serfouisse',
    'serfouissent',
    'serfouisses',
    'serfouissez',
    'serfouissiez',
    'serfouissons',
    'serfouit',
    'serfouîmes',
    'serfouît',
    'serfouîtes',
    'serfs',
    'serge',
    'sergent',
    'sergents',
    'serges',
    'sergette',
    'sergettes',
    'sergé',
    'sergés',
    'seriez',
    'serin',
    'serina',
    'serinai',
    'serinaient',
    'serinais',
    'serinait',
    'serinant',
    'serinas',
    'serinasse',
    'serinassent',
    'serinasses',
    'serinassiez',
    'serinassions',
    'serine',
    'serinent',
    'seriner',
    'serinera',
    'serinerai',
    'serineraient',
    'serinerais',
    'serinerait',
    'serineras',
    'serinerez',
    'serineriez',
    'serinerions',
    'serinerons',
    'serineront',
    'serines',
    'serinez',
    'seringa',
    'seringas',
    'seringat',
    'seringats',
    'seringua',
    'seringuai',
    'seringuaient',
    'seringuais',
    'seringuait',
    'seringuant',
    'seringuas',
    'seringuasse',
    'seringuasses',
    'seringue',
    'seringuent',
    'seringuer',
    'seringuera',
    'seringuerai',
    'seringuerais',
    'seringuerait',
    'seringueras',
    'seringuerez',
    'seringueriez',
    'seringuerons',
    'seringueront',
    'seringues',
    'seringuez',
    'seringuiez',
    'seringuions',
    'seringuons',
    'seringuâmes',
    'seringuât',
    'seringuâtes',
    'seringuèrent',
    'seringué',
    'seringuée',
    'seringuées',
    'seringués',
    'seriniez',
    'serinions',
    'serinons',
    'serins',
    'serinâmes',
    'serinât',
    'serinâtes',
    'serinèrent',
    'seriné',
    'serinée',
    'serinées',
    'serinés',
    'serions',
    'serment',
    'serments',
    'sermon',
    'sermonna',
    'sermonnai',
    'sermonnaient',
    'sermonnaire',
    'sermonnaires',
    'sermonnais',
    'sermonnait',
    'sermonnant',
    'sermonnas',
    'sermonnasse',
    'sermonnasses',
    'sermonne',
    'sermonnent',
    'sermonner',
    'sermonnera',
    'sermonnerai',
    'sermonnerais',
    'sermonnerait',
    'sermonneras',
    'sermonnerez',
    'sermonneriez',
    'sermonnerons',
    'sermonneront',
    'sermonnes',
    'sermonneur',
    'sermonneurs',
    'sermonneuse',
    'sermonneuses',
    'sermonnez',
    'sermonniez',
    'sermonnions',
    'sermonnons',
    'sermonnâmes',
    'sermonnât',
    'sermonnâtes',
    'sermonnèrent',
    'sermonné',
    'sermonnée',
    'sermonnées',
    'sermonnés',
    'sermons',
    'serons',
    'seront',
    'serpe',
    'serpent',
    'serpenta',
    'serpentai',
    'serpentaient',
    'serpentaire',
    'serpentaires',
    'serpentais',
    'serpentait',
    'serpentant',
    'serpentas',
    'serpentasse',
    'serpentasses',
    'serpente',
    'serpenteau',
    'serpenteaux',
    'serpentement',
    'serpentent',
    'serpenter',
    'serpentera',
    'serpenterai',
    'serpenterais',
    'serpenterait',
    'serpenteras',
    'serpenterez',
    'serpenteriez',
    'serpenterons',
    'serpenteront',
    'serpentes',
    'serpentez',
    'serpentiez',
    'serpentin',
    'serpentine',
    'serpentines',
    'serpentins',
    'serpentions',
    'serpentons',
    'serpents',
    'serpentâmes',
    'serpentât',
    'serpentâtes',
    'serpentèrent',
    'serpenté',
    'serpentée',
    'serpentées',
    'serpentés',
    'serpes',
    'serpette',
    'serpettes',
    'serpigineuse',
    'serpigineux',
    'serpillière',
    'serpillières',
    'serpolet',
    'serpolets',
    'serpule',
    'serpules',
    'serra',
    'serrage',
    'serrages',
    'serrai',
    'serraient',
    'serrais',
    'serrait',
    'serran',
    'serrans',
    'serrant',
    'serras',
    'serrasse',
    'serrassent',
    'serrasses',
    'serrassiez',
    'serrassions',
    'serrate',
    'serrates',
    'serratule',
    'serratules',
    'serre',
    'serrement',
    'serrements',
    'serrent',
    'serrer',
    'serrera',
    'serrerai',
    'serreraient',
    'serrerais',
    'serrerait',
    'serreras',
    'serrerez',
    'serreriez',
    'serrerions',
    'serrerons',
    'serreront',
    'serres',
    'serret',
    'serrez',
    'serriez',
    'serrions',
    'serrons',
    'serrure',
    'serrurerie',
    'serrureries',
    'serrures',
    'serrurier',
    'serruriers',
    'serrâmes',
    'serrât',
    'serrâtes',
    'serrèrent',
    'serré',
    'serrée',
    'serrées',
    'serrés',
    'sers',
    'sert',
    'serte',
    'sertes',
    'serti',
    'sertie',
    'serties',
    'sertir',
    'sertira',
    'sertirai',
    'sertiraient',
    'sertirais',
    'sertirait',
    'sertiras',
    'sertirent',
    'sertirez',
    'sertiriez',
    'sertirions',
    'sertirons',
    'sertiront',
    'sertis',
    'sertissage',
    'sertissages',
    'sertissaient',
    'sertissais',
    'sertissait',
    'sertissant',
    'sertisse',
    'sertissent',
    'sertisses',
    'sertisseur',
    'sertisseurs',
    'sertisseuse',
    'sertisseuses',
    'sertissez',
    'sertissiez',
    'sertissions',
    'sertissons',
    'sertissure',
    'sertissures',
    'sertit',
    'sertîmes',
    'sertît',
    'sertîtes',
    'servage',
    'servages',
    'servaient',
    'servais',
    'servait',
    'serval',
    'servals',
    'servant',
    'servante',
    'servantes',
    'servants',
    'serve',
    'servent',
    'serves',
    'serveur',
    'serveurs',
    'serveuse',
    'serveuses',
    'servez',
    'servi',
    'serviabilité',
    'serviable',
    'serviables',
    'service',
    'services',
    'servie',
    'servies',
    'serviette',
    'serviettes',
    'serviez',
    'servile',
    'servilement',
    'serviles',
    'servilité',
    'servilités',
    'servions',
    'servir',
    'servira',
    'servirai',
    'serviraient',
    'servirais',
    'servirait',
    'serviras',
    'servirent',
    'servirez',
    'serviriez',
    'servirions',
    'servirons',
    'serviront',
    'servis',
    'servisse',
    'servissent',
    'servisses',
    'servissiez',
    'servissions',
    'servit',
    'serviteur',
    'serviteurs',
    'servitude',
    'servitudes',
    'servofrein',
    'servofreins',
    'servomoteur',
    'servomoteurs',
    'servons',
    'servîmes',
    'servît',
    'servîtes',
    'sesbania',
    'sesbanias',
    'sesbanie',
    'sesbanies',
    'sesquialtère',
    'sesquioxyde',
    'sesquioxydes',
    'sessile',
    'sessiles',
    'session',
    'sessions',
    'sesterce',
    'sesterces',
    'setier',
    'setiers',
    'sets',
    'setter',
    'setters',
    'seuil',
    'seuils',
    'seul',
    'seule',
    'seulement',
    'seules',
    'seulet',
    'seulets',
    'seulette',
    'seulettes',
    'seuls',
    'sevra',
    'sevrage',
    'sevrages',
    'sevrai',
    'sevraient',
    'sevrais',
    'sevrait',
    'sevrant',
    'sevras',
    'sevrasse',
    'sevrassent',
    'sevrasses',
    'sevrassiez',
    'sevrassions',
    'sevre',
    'sevrent',
    'sevrer',
    'sevrera',
    'sevrerai',
    'sevreraient',
    'sevrerais',
    'sevrerait',
    'sevreras',
    'sevrerez',
    'sevreriez',
    'sevrerions',
    'sevrerons',
    'sevreront',
    'sevres',
    'sevrez',
    'sevriez',
    'sevrions',
    'sevrons',
    'sevrâmes',
    'sevrât',
    'sevrâtes',
    'sevrèrent',
    'sevré',
    'sevrée',
    'sevrées',
    'sevrés',
    'sexagénaire',
    'sexagénaires',
    'sexagésimal',
    'sexagésimale',
    'sexagésimaux',
    'sexagésime',
    'sexagésimes',
    'sexe',
    'sexes',
    'sexisme',
    'sexismes',
    'sexiste',
    'sexistes',
    'sexologie',
    'sexologies',
    'sexologue',
    'sexologues',
    'sexonomie',
    'sexonomies',
    'sextant',
    'sextants',
    'sexte',
    'sextes',
    'sextidi',
    'sextidis',
    'sextillion',
    'sextillions',
    'sextine',
    'sextines',
    'sexto',
    'sextolet',
    'sextolets',
    'sextupla',
    'sextuplai',
    'sextuplaient',
    'sextuplais',
    'sextuplait',
    'sextuplant',
    'sextuplas',
    'sextuplasse',
    'sextuplasses',
    'sextuple',
    'sextuplent',
    'sextupler',
    'sextuplera',
    'sextuplerai',
    'sextuplerais',
    'sextuplerait',
    'sextupleras',
    'sextuplerez',
    'sextupleriez',
    'sextuplerons',
    'sextupleront',
    'sextuples',
    'sextuplez',
    'sextupliez',
    'sextuplions',
    'sextuplons',
    'sextuplâmes',
    'sextuplât',
    'sextuplâtes',
    'sextuplèrent',
    'sextuplé',
    'sextuplée',
    'sextuplées',
    'sextuplés',
    'sexualisa',
    'sexualisai',
    'sexualisais',
    'sexualisait',
    'sexualisant',
    'sexualisas',
    'sexualisasse',
    'sexualise',
    'sexualisent',
    'sexualiser',
    'sexualisera',
    'sexualiserai',
    'sexualiseras',
    'sexualiserez',
    'sexualises',
    'sexualisez',
    'sexualisiez',
    'sexualisions',
    'sexualisme',
    'sexualismes',
    'sexualisons',
    'sexualisâmes',
    'sexualisât',
    'sexualisâtes',
    'sexualisé',
    'sexualisée',
    'sexualisées',
    'sexualisés',
    'sexualité',
    'sexualités',
    'sexuel',
    'sexuelle',
    'sexuellement',
    'sexuelles',
    'sexuels',
    'sexué',
    'sexuée',
    'sexuées',
    'sexués',
    'sexy',
    'seyaient',
    'seyait',
    'seyant',
    'seyante',
    'seyantes',
    'seyants',
    'sforzando',
    'sfumato',
    'sfumatos',
    'sgraffite',
    'sgraffites',
    'shah',
    'shahs',
    'shaker',
    'shakers',
    'shako',
    'shakos',
    'shampoing',
    'shampoings',
    'shampooiner',
    'shampooineur',
    'shampooing',
    'shampooingna',
    'shampooingne',
    'shampooingné',
    'shampooings',
    'shampouina',
    'shampouinai',
    'shampouinais',
    'shampouinait',
    'shampouinant',
    'shampouinas',
    'shampouine',
    'shampouinent',
    'shampouiner',
    'shampouinera',
    'shampouines',
    'shampouineur',
    'shampouinez',
    'shampouiniez',
    'shampouinons',
    'shampouinât',
    'shampouiné',
    'shampouinée',
    'shampouinées',
    'shampouinés',
    'shantoung',
    'shantoungs',
    'shantung',
    'shantungs',
    'sherry',
    'sherrys',
    'shetland',
    'shetlands',
    'shilling',
    'shillings',
    'shimmy',
    'shimmys',
    'shintoïsme',
    'shintoïsmes',
    'shintô',
    'shintôs',
    'shipchandler',
    'shocking',
    'shogoun',
    'shogouns',
    'shogun',
    'shoguns',
    'shoot',
    'shoota',
    'shootai',
    'shootaient',
    'shootais',
    'shootait',
    'shootant',
    'shootas',
    'shootasse',
    'shootassent',
    'shootasses',
    'shootassiez',
    'shootassions',
    'shoote',
    'shootent',
    'shooter',
    'shootera',
    'shooterai',
    'shooteraient',
    'shooterais',
    'shooterait',
    'shooteras',
    'shooterez',
    'shooteriez',
    'shooterions',
    'shooterons',
    'shooteront',
    'shootes',
    'shootez',
    'shootiez',
    'shootions',
    'shootons',
    'shoots',
    'shootâmes',
    'shootât',
    'shootâtes',
    'shootèrent',
    'shooté',
    'shootée',
    'shootées',
    'shootés',
    'shoping',
    'shopings',
    'shopping',
    'shoppings',
    'short',
    'shorts',
    'show',
    'shows',
    'shrapnel',
    'shrapnell',
    'shrapnells',
    'shrapnels',
    'shunt',
    'shunta',
    'shuntai',
    'shuntaient',
    'shuntais',
    'shuntait',
    'shuntant',
    'shuntas',
    'shuntasse',
    'shuntassent',
    'shuntasses',
    'shuntassiez',
    'shuntassions',
    'shunte',
    'shuntent',
    'shunter',
    'shuntera',
    'shunterai',
    'shunteraient',
    'shunterais',
    'shunterait',
    'shunteras',
    'shunterez',
    'shunteriez',
    'shunterions',
    'shunterons',
    'shunteront',
    'shuntes',
    'shuntez',
    'shuntiez',
    'shuntions',
    'shuntons',
    'shunts',
    'shuntâmes',
    'shuntât',
    'shuntâtes',
    'shuntèrent',
    'shunté',
    'shuntée',
    'shuntées',
    'shuntés',
    'shérif',
    'shérifs',
    'sial',
    'sialagogue',
    'sialagogues',
    'sialis',
    'sialorrhée',
    'sialorrhées',
    'siamois',
    'siamoise',
    'siamoises',
    'sibilant',
    'sibilante',
    'sibilantes',
    'sibilants',
    'sibylle',
    'sibylles',
    'sibyllin',
    'sibylline',
    'sibyllines',
    'sibyllins',
    'sibérien',
    'sibérienne',
    'sibériennes',
    'sibériens',
    'sicaire',
    'sicaires',
    'siccatif',
    'siccatifs',
    'siccative',
    'siccatives',
    'siccité',
    'siccités',
    'sicilien',
    'sicilienne',
    'siciliennes',
    'siciliens',
    'sicle',
    'sicles',
    'sidère',
    'sidèrent',
    'sidères',
    'sidéra',
    'sidérai',
    'sidéraient',
    'sidérais',
    'sidérait',
    'sidéral',
    'sidérale',
    'sidérales',
    'sidérant',
    'sidérante',
    'sidérantes',
    'sidérants',
    'sidéras',
    'sidérasse',
    'sidérassent',
    'sidérasses',
    'sidérassiez',
    'sidérassions',
    'sidéraux',
    'sidérer',
    'sidérera',
    'sidérerai',
    'sidéreraient',
    'sidérerais',
    'sidérerait',
    'sidéreras',
    'sidérerez',
    'sidéreriez',
    'sidérerions',
    'sidérerons',
    'sidéreront',
    'sidérez',
    'sidériez',
    'sidérions',
    'sidérite',
    'sidérites',
    'sidérons',
    'sidérose',
    'sidéroses',
    'sidérostat',
    'sidérostats',
    'sidéroxylon',
    'sidéroxylons',
    'sidérurgie',
    'sidérurgies',
    'sidérurgique',
    'sidérurgiste',
    'sidérâmes',
    'sidérât',
    'sidérâtes',
    'sidérèrent',
    'sidéré',
    'sidérée',
    'sidérées',
    'sidérés',
    'sied',
    'siemens',
    'sien',
    'sienne',
    'siennes',
    'siens',
    'sierra',
    'sierras',
    'sieste',
    'siestes',
    'sieur',
    'sieurs',
    'siffla',
    'sifflage',
    'sifflages',
    'sifflai',
    'sifflaient',
    'sifflais',
    'sifflait',
    'sifflant',
    'sifflante',
    'sifflantes',
    'sifflants',
    'sifflas',
    'sifflasse',
    'sifflassent',
    'sifflasses',
    'sifflassiez',
    'sifflassions',
    'siffle',
    'sifflement',
    'sifflements',
    'sifflent',
    'siffler',
    'sifflera',
    'sifflerai',
    'siffleraient',
    'sifflerais',
    'sifflerait',
    'siffleras',
    'sifflerez',
    'siffleriez',
    'sifflerions',
    'sifflerons',
    'siffleront',
    'siffles',
    'sifflet',
    'sifflets',
    'siffleur',
    'siffleurs',
    'siffleuse',
    'siffleuses',
    'sifflez',
    'siffliez',
    'sifflions',
    'sifflons',
    'sifflota',
    'sifflotai',
    'sifflotaient',
    'sifflotais',
    'sifflotait',
    'sifflotant',
    'sifflotas',
    'sifflotasse',
    'sifflotasses',
    'sifflote',
    'sifflotement',
    'sifflotent',
    'siffloter',
    'sifflotera',
    'siffloterai',
    'siffloterais',
    'siffloterait',
    'siffloteras',
    'siffloterez',
    'siffloteriez',
    'siffloterons',
    'siffloteront',
    'sifflotes',
    'sifflotez',
    'sifflotiez',
    'sifflotions',
    'sifflotons',
    'sifflotâmes',
    'sifflotât',
    'sifflotâtes',
    'sifflotèrent',
    'siffloté',
    'sifflotée',
    'sifflotées',
    'sifflotés',
    'sifflâmes',
    'sifflât',
    'sifflâtes',
    'sifflèrent',
    'sifflé',
    'sifflée',
    'sifflées',
    'sifflés',
    'sifilet',
    'sifilets',
    'sigillaire',
    'sigillaires',
    'sigillé',
    'sigillée',
    'sigillées',
    'sigillés',
    'sigisbée',
    'sigisbées',
    'siglaison',
    'siglaisons',
    'sigle',
    'sigles',
    'sigma',
    'sigmoïde',
    'sigmoïdes',
    'signa',
    'signai',
    'signaient',
    'signais',
    'signait',
    'signal',
    'signala',
    'signalai',
    'signalaient',
    'signalais',
    'signalait',
    'signalant',
    'signalas',
    'signalasse',
    'signalassent',
    'signalasses',
    'signalassiez',
    'signale',
    'signalement',
    'signalements',
    'signalent',
    'signaler',
    'signalera',
    'signalerai',
    'signalerais',
    'signalerait',
    'signaleras',
    'signalerez',
    'signaleriez',
    'signalerions',
    'signalerons',
    'signaleront',
    'signales',
    'signaleur',
    'signaleurs',
    'signalez',
    'signaliez',
    'signalions',
    'signalisa',
    'signalisai',
    'signalisais',
    'signalisait',
    'signalisant',
    'signalisas',
    'signalisasse',
    'signalise',
    'signalisent',
    'signaliser',
    'signalisera',
    'signaliserai',
    'signaliseras',
    'signaliserez',
    'signalises',
    'signalisez',
    'signalisiez',
    'signalisions',
    'signalisons',
    'signalisâmes',
    'signalisât',
    'signalisâtes',
    'signalisé',
    'signalisée',
    'signalisées',
    'signalisés',
    'signalons',
    'signalâmes',
    'signalât',
    'signalâtes',
    'signalèrent',
    'signalé',
    'signalée',
    'signalées',
    'signalés',
    'signalétique',
    'signant',
    'signas',
    'signasse',
    'signassent',
    'signasses',
    'signassiez',
    'signassions',
    'signataire',
    'signataires',
    'signature',
    'signatures',
    'signaux',
    'signe',
    'signent',
    'signer',
    'signera',
    'signerai',
    'signeraient',
    'signerais',
    'signerait',
    'signeras',
    'signerez',
    'signeriez',
    'signerions',
    'signerons',
    'signeront',
    'signes',
    'signet',
    'signets',
    'signez',
    'signiez',
    'signifia',
    'signifiai',
    'signifiaient',
    'signifiais',
    'signifiait',
    'signifiance',
    'signifiances',
    'signifiant',
    'signifiante',
    'signifiantes',
    'signifiants',
    'signifias',
    'signifiasse',
    'signifiasses',
    'significatif',
    'signifie',
    'signifient',
    'signifier',
    'signifiera',
    'signifierai',
    'signifierais',
    'signifierait',
    'signifieras',
    'signifierez',
    'signifieriez',
    'signifierons',
    'signifieront',
    'signifies',
    'signifiez',
    'signifiiez',
    'signifiions',
    'signifions',
    'signifiâmes',
    'signifiât',
    'signifiâtes',
    'signifièrent',
    'signifié',
    'signifiée',
    'signifiées',
    'signifiés',
    'signions',
    'signons',
    'signâmes',
    'signât',
    'signâtes',
    'signèrent',
    'signé',
    'signée',
    'signées',
    'signés',
    'silence',
    'silences',
    'silencieuse',
    'silencieuses',
    'silencieux',
    'silex',
    'silhouetta',
    'silhouettai',
    'silhouettais',
    'silhouettait',
    'silhouettant',
    'silhouettas',
    'silhouette',
    'silhouettent',
    'silhouetter',
    'silhouettera',
    'silhouettes',
    'silhouettez',
    'silhouettiez',
    'silhouettons',
    'silhouettât',
    'silhouetté',
    'silhouettée',
    'silhouettées',
    'silhouettés',
    'silicate',
    'silicates',
    'silicatisa',
    'silicatisai',
    'silicatisais',
    'silicatisait',
    'silicatisant',
    'silicatisas',
    'silicatise',
    'silicatisent',
    'silicatiser',
    'silicatisera',
    'silicatises',
    'silicatisez',
    'silicatisiez',
    'silicatisons',
    'silicatisât',
    'silicatisé',
    'silicatisée',
    'silicatisées',
    'silicatisés',
    'silice',
    'siliceuse',
    'siliceuses',
    'siliceux',
    'silicicole',
    'silicicoles',
    'silicique',
    'siliciques',
    'silicium',
    'siliciure',
    'siliciures',
    'silicona',
    'siliconai',
    'siliconaient',
    'siliconais',
    'siliconait',
    'siliconant',
    'siliconas',
    'siliconasse',
    'siliconasses',
    'silicone',
    'siliconent',
    'siliconer',
    'siliconera',
    'siliconerai',
    'siliconerais',
    'siliconerait',
    'siliconeras',
    'siliconerez',
    'siliconeriez',
    'siliconerons',
    'siliconeront',
    'silicones',
    'siliconez',
    'siliconiez',
    'siliconions',
    'siliconons',
    'siliconâmes',
    'siliconât',
    'siliconâtes',
    'siliconèrent',
    'siliconé',
    'siliconée',
    'siliconées',
    'siliconés',
    'silicose',
    'silicoses',
    'silicule',
    'silicules',
    'silionne',
    'silionnes',
    'silique',
    'siliques',
    'sillage',
    'sillages',
    'sillet',
    'sillets',
    'sillon',
    'sillonna',
    'sillonnai',
    'sillonnaient',
    'sillonnais',
    'sillonnait',
    'sillonnant',
    'sillonnas',
    'sillonnasse',
    'sillonnasses',
    'sillonne',
    'sillonnent',
    'sillonner',
    'sillonnera',
    'sillonnerai',
    'sillonnerais',
    'sillonnerait',
    'sillonneras',
    'sillonnerez',
    'sillonneriez',
    'sillonnerons',
    'sillonneront',
    'sillonnes',
    'sillonnez',
    'sillonniez',
    'sillonnions',
    'sillonnons',
    'sillonnâmes',
    'sillonnât',
    'sillonnâtes',
    'sillonnèrent',
    'sillonné',
    'sillonnée',
    'sillonnées',
    'sillonnés',
    'sillons',
    'silo',
    'silos',
    'silotage',
    'silotages',
    'silphe',
    'silphes',
    'sils',
    'silure',
    'silures',
    'silurien',
    'silurienne',
    'siluriennes',
    'siluriens',
    'silves',
    'silène',
    'silènes',
    'silésienne',
    'silésiennes',
    'sima',
    'simagrée',
    'simagrées',
    'simarre',
    'simarres',
    'simaruba',
    'simarubas',
    'simas',
    'simbleau',
    'simbleaux',
    'simien',
    'simienne',
    'simiennes',
    'simiens',
    'simiesque',
    'simiesques',
    'similaire',
    'similaires',
    'similarité',
    'similarités',
    'simili',
    'similicuir',
    'similicuirs',
    'similis',
    'similisa',
    'similisage',
    'similisages',
    'similisai',
    'similisaient',
    'similisais',
    'similisait',
    'similisant',
    'similisas',
    'similisasse',
    'similisasses',
    'similise',
    'similisent',
    'similiser',
    'similisera',
    'similiserai',
    'similiserais',
    'similiserait',
    'similiseras',
    'similiserez',
    'similiseriez',
    'similiserons',
    'similiseront',
    'similises',
    'similisez',
    'similisiez',
    'similisions',
    'similisons',
    'similiste',
    'similistes',
    'similisâmes',
    'similisât',
    'similisâtes',
    'similisèrent',
    'similisé',
    'similisée',
    'similisées',
    'similisés',
    'similitude',
    'similitudes',
    'similor',
    'similors',
    'simoniaque',
    'simoniaques',
    'simonie',
    'simonies',
    'simoun',
    'simouns',
    'simple',
    'simplement',
    'simples',
    'simplet',
    'simplets',
    'simplette',
    'simplettes',
    'simplexe',
    'simplexes',
    'simplicité',
    'simplicités',
    'simplifia',
    'simplifiable',
    'simplifiai',
    'simplifiais',
    'simplifiait',
    'simplifiant',
    'simplifias',
    'simplifiasse',
    'simplifie',
    'simplifient',
    'simplifier',
    'simplifiera',
    'simplifierai',
    'simplifieras',
    'simplifierez',
    'simplifies',
    'simplifiez',
    'simplifiiez',
    'simplifiions',
    'simplifions',
    'simplifiâmes',
    'simplifiât',
    'simplifiâtes',
    'simplifié',
    'simplifiée',
    'simplifiées',
    'simplifiés',
    'simplisme',
    'simplismes',
    'simpliste',
    'simplistes',
    'simula',
    'simulacre',
    'simulacres',
    'simulai',
    'simulaient',
    'simulais',
    'simulait',
    'simulant',
    'simulas',
    'simulasse',
    'simulassent',
    'simulasses',
    'simulassiez',
    'simulassions',
    'simulateur',
    'simulateurs',
    'simulation',
    'simulations',
    'simulatrice',
    'simulatrices',
    'simule',
    'simulent',
    'simuler',
    'simulera',
    'simulerai',
    'simuleraient',
    'simulerais',
    'simulerait',
    'simuleras',
    'simulerez',
    'simuleriez',
    'simulerions',
    'simulerons',
    'simuleront',
    'simules',
    'simulez',
    'simuliez',
    'simulions',
    'simulons',
    'simultané',
    'simultanée',
    'simultanées',
    'simultanéité',
    'simultanés',
    'simulâmes',
    'simulât',
    'simulâtes',
    'simulèrent',
    'simulé',
    'simulée',
    'simulées',
    'simulés',
    'sinanthrope',
    'sinanthropes',
    'sinapisme',
    'sinapismes',
    'sinapisé',
    'sinapisée',
    'sinapisées',
    'sinapisés',
    'sincipital',
    'sincipitale',
    'sincipitales',
    'sincipitaux',
    'sinciput',
    'sinciputs',
    'sincère',
    'sincèrement',
    'sincères',
    'sincérité',
    'sincérités',
    'singalette',
    'singalettes',
    'singe',
    'singea',
    'singeai',
    'singeaient',
    'singeais',
    'singeait',
    'singeant',
    'singeas',
    'singeasse',
    'singeassent',
    'singeasses',
    'singeassiez',
    'singeassions',
    'singent',
    'singeons',
    'singer',
    'singera',
    'singerai',
    'singeraient',
    'singerais',
    'singerait',
    'singeras',
    'singerez',
    'singerie',
    'singeries',
    'singeriez',
    'singerions',
    'singerons',
    'singeront',
    'singes',
    'singez',
    'singeâmes',
    'singeât',
    'singeâtes',
    'singiez',
    'singions',
    'single',
    'singles',
    'singletons',
    'singularisa',
    'singularisai',
    'singularisas',
    'singularise',
    'singulariser',
    'singularises',
    'singularisez',
    'singularisât',
    'singularisé',
    'singularisée',
    'singularisés',
    'singularité',
    'singularités',
    'singulier',
    'singuliers',
    'singulière',
    'singulières',
    'singèrent',
    'singé',
    'singée',
    'singées',
    'singés',
    'sinisa',
    'sinisai',
    'sinisaient',
    'sinisais',
    'sinisait',
    'sinisant',
    'sinisante',
    'sinisantes',
    'sinisants',
    'sinisas',
    'sinisasse',
    'sinisassent',
    'sinisasses',
    'sinisassiez',
    'sinisassions',
    'sinisation',
    'sinisations',
    'sinise',
    'sinisent',
    'siniser',
    'sinisera',
    'siniserai',
    'siniseraient',
    'siniserais',
    'siniserait',
    'siniseras',
    'siniserez',
    'siniseriez',
    'siniserions',
    'siniserons',
    'siniseront',
    'sinises',
    'sinisez',
    'sinisiez',
    'sinisions',
    'sinisons',
    'sinistre',
    'sinistrement',
    'sinistres',
    'sinistré',
    'sinistrée',
    'sinistrées',
    'sinistrés',
    'sinisâmes',
    'sinisât',
    'sinisâtes',
    'sinisèrent',
    'sinisé',
    'sinisée',
    'sinisées',
    'sinisés',
    'sinité',
    'sinités',
    'sinologie',
    'sinologies',
    'sinologue',
    'sinologues',
    'sinon',
    'sintérisa',
    'sintérisai',
    'sintérisais',
    'sintérisait',
    'sintérisant',
    'sintérisas',
    'sintérisasse',
    'sintérise',
    'sintérisent',
    'sintériser',
    'sintérisera',
    'sintériserai',
    'sintériseras',
    'sintériserez',
    'sintérises',
    'sintérisez',
    'sintérisiez',
    'sintérisions',
    'sintérisons',
    'sintérisâmes',
    'sintérisât',
    'sintérisâtes',
    'sintérisé',
    'sintérisée',
    'sintérisées',
    'sintérisés',
    'sinueuse',
    'sinueuses',
    'sinueux',
    'sinuosité',
    'sinuosités',
    'sinus',
    'sinusite',
    'sinusites',
    'sinusoïdal',
    'sinusoïdale',
    'sinusoïdales',
    'sinusoïdaux',
    'sinusoïde',
    'sinusoïdes',
    'sinécure',
    'sinécures',
    'sionisme',
    'sionismes',
    'sioniste',
    'sionistes',
    'sioux',
    'siphon',
    'siphonna',
    'siphonnai',
    'siphonnaient',
    'siphonnais',
    'siphonnait',
    'siphonnant',
    'siphonnas',
    'siphonnasse',
    'siphonnasses',
    'siphonne',
    'siphonnent',
    'siphonner',
    'siphonnera',
    'siphonnerai',
    'siphonnerais',
    'siphonnerait',
    'siphonneras',
    'siphonnerez',
    'siphonneriez',
    'siphonnerons',
    'siphonneront',
    'siphonnes',
    'siphonnez',
    'siphonniez',
    'siphonnions',
    'siphonnons',
    'siphonnâmes',
    'siphonnât',
    'siphonnâtes',
    'siphonnèrent',
    'siphonné',
    'siphonnée',
    'siphonnées',
    'siphonnés',
    'siphons',
    'siphoïde',
    'siphoïdes',
    'sirdar',
    'sirdars',
    'sire',
    'sires',
    'sirex',
    'sirli',
    'sirlis',
    'sirocco',
    'siroccos',
    'siroco',
    'sirocos',
    'sirop',
    'sirops',
    'sirota',
    'sirotai',
    'sirotaient',
    'sirotais',
    'sirotait',
    'sirotant',
    'sirotas',
    'sirotasse',
    'sirotassent',
    'sirotasses',
    'sirotassiez',
    'sirotassions',
    'sirote',
    'sirotent',
    'siroter',
    'sirotera',
    'siroterai',
    'siroteraient',
    'siroterais',
    'siroterait',
    'siroteras',
    'siroterez',
    'siroteriez',
    'siroterions',
    'siroterons',
    'siroteront',
    'sirotes',
    'sirotez',
    'sirotiez',
    'sirotions',
    'sirotons',
    'sirotâmes',
    'sirotât',
    'sirotâtes',
    'sirotèrent',
    'siroté',
    'sirotée',
    'sirotées',
    'sirotés',
    'sirs',
    'sirupeuse',
    'sirupeuses',
    'sirupeux',
    'sirvente',
    'sirventes',
    'sirventès',
    'sirène',
    'sirènes',
    'sisal',
    'sisals',
    'sise',
    'sises',
    'sismal',
    'sismale',
    'sismales',
    'sismaux',
    'sismicité',
    'sismicités',
    'sismique',
    'sismiques',
    'sismographe',
    'sismographes',
    'sismologie',
    'sismologies',
    'sistre',
    'sistres',
    'sisymbre',
    'sisymbres',
    'sitar',
    'sitars',
    'site',
    'sites',
    'sittelle',
    'sittelles',
    'situa',
    'situai',
    'situaient',
    'situais',
    'situait',
    'situant',
    'situas',
    'situasse',
    'situassent',
    'situasses',
    'situassiez',
    'situassions',
    'situation',
    'situations',
    'situe',
    'situent',
    'situer',
    'situera',
    'situerai',
    'situeraient',
    'situerais',
    'situerait',
    'situeras',
    'situerez',
    'situeriez',
    'situerions',
    'situerons',
    'situeront',
    'situes',
    'situez',
    'situiez',
    'situions',
    'situons',
    'situâmes',
    'situât',
    'situâtes',
    'situèrent',
    'situé',
    'située',
    'situées',
    'situés',
    'sitôt',
    'sium',
    'siums',
    'sixain',
    'sixains',
    'sixième',
    'sixièmement',
    'sixièmes',
    'sixte',
    'sixtes',
    'sizain',
    'sizains',
    'sizerin',
    'sizerins',
    'siècle',
    'siècles',
    'siège',
    'siègent',
    'sièges',
    'siée',
    'siéent',
    'siégea',
    'siégeai',
    'siégeaient',
    'siégeais',
    'siégeait',
    'siégeant',
    'siégeas',
    'siégeasse',
    'siégeassent',
    'siégeasses',
    'siégeassiez',
    'siégeassions',
    'siégeons',
    'siéger',
    'siégera',
    'siégerai',
    'siégeraient',
    'siégerais',
    'siégerait',
    'siégeras',
    'siégerez',
    'siégeriez',
    'siégerions',
    'siégerons',
    'siégeront',
    'siégez',
    'siégeâmes',
    'siégeât',
    'siégeâtes',
    'siégiez',
    'siégions',
    'siégèrent',
    'siégé',
    'siéra',
    'siéraient',
    'siérait',
    'siéront',
    'skate',
    'skateboard',
    'skateboards',
    'skates',
    'skating',
    'skatings',
    'sketch',
    'sketches',
    'sketchs',
    'skia',
    'skiable',
    'skiables',
    'skiai',
    'skiaient',
    'skiais',
    'skiait',
    'skiant',
    'skias',
    'skiascopie',
    'skiascopies',
    'skiasse',
    'skiassent',
    'skiasses',
    'skiassiez',
    'skiassions',
    'skie',
    'skient',
    'skier',
    'skiera',
    'skierai',
    'skieraient',
    'skierais',
    'skierait',
    'skieras',
    'skierez',
    'skieriez',
    'skierions',
    'skierons',
    'skieront',
    'skies',
    'skieur',
    'skieurs',
    'skieuse',
    'skieuses',
    'skiez',
    'skif',
    'skiff',
    'skiffs',
    'skifs',
    'skiiez',
    'skiions',
    'skions',
    'skipper',
    'skippers',
    'skis',
    'skiâmes',
    'skiât',
    'skiâtes',
    'skièrent',
    'skié',
    'skiée',
    'skiées',
    'skiés',
    'skunks',
    'slalom',
    'slaloma',
    'slalomai',
    'slalomaient',
    'slalomais',
    'slalomait',
    'slalomant',
    'slalomas',
    'slalomasse',
    'slalomassent',
    'slalomasses',
    'slalomassiez',
    'slalome',
    'slaloment',
    'slalomer',
    'slalomera',
    'slalomerai',
    'slalomerais',
    'slalomerait',
    'slalomeras',
    'slalomerez',
    'slalomeriez',
    'slalomerions',
    'slalomerons',
    'slalomeront',
    'slalomes',
    'slalomeur',
    'slalomeurs',
    'slalomeuse',
    'slalomeuses',
    'slalomez',
    'slalomiez',
    'slalomions',
    'slalomons',
    'slaloms',
    'slalomâmes',
    'slalomât',
    'slalomâtes',
    'slalomèrent',
    'slalomé',
    'slang',
    'slangs',
    'slave',
    'slaves',
    'slavisa',
    'slavisai',
    'slavisaient',
    'slavisais',
    'slavisait',
    'slavisant',
    'slavisants',
    'slavisas',
    'slavisasse',
    'slavisassent',
    'slavisasses',
    'slavisassiez',
    'slavise',
    'slavisent',
    'slaviser',
    'slavisera',
    'slaviserai',
    'slaviserais',
    'slaviserait',
    'slaviseras',
    'slaviserez',
    'slaviseriez',
    'slaviserions',
    'slaviserons',
    'slaviseront',
    'slavises',
    'slavisez',
    'slavisiez',
    'slavisions',
    'slavisons',
    'slaviste',
    'slavistes',
    'slavisâmes',
    'slavisât',
    'slavisâtes',
    'slavisèrent',
    'slavisé',
    'slavisée',
    'slavisées',
    'slavisés',
    'slavon',
    'slavophile',
    'slavophiles',
    'sleeping',
    'sleepings',
    'slip',
    'slips',
    'slogan',
    'slogans',
    'sloop',
    'sloops',
    'sloughi',
    'sloughis',
    'slovaque',
    'slovaques',
    'slovène',
    'slovènes',
    'slow',
    'slows',
    'smala',
    'smalas',
    'smalt',
    'smaltine',
    'smaltines',
    'smalts',
    'smaragdin',
    'smaragdine',
    'smaragdines',
    'smaragdins',
    'smaragdite',
    'smaragdites',
    'smart',
    'smash',
    'smasha',
    'smashai',
    'smashaient',
    'smashais',
    'smashait',
    'smashant',
    'smashas',
    'smashasse',
    'smashassent',
    'smashasses',
    'smashassiez',
    'smashassions',
    'smashe',
    'smashent',
    'smasher',
    'smashera',
    'smasherai',
    'smasheraient',
    'smasherais',
    'smasherait',
    'smasheras',
    'smasherez',
    'smasheriez',
    'smasherions',
    'smasherons',
    'smasheront',
    'smashes',
    'smashez',
    'smashiez',
    'smashions',
    'smashons',
    'smashs',
    'smashâmes',
    'smashât',
    'smashâtes',
    'smashèrent',
    'smashé',
    'smashée',
    'smashées',
    'smashés',
    'smectique',
    'smectiques',
    'smicard',
    'smicarde',
    'smicardes',
    'smicards',
    'smilax',
    'smilla',
    'smillage',
    'smillages',
    'smillai',
    'smillaient',
    'smillais',
    'smillait',
    'smillant',
    'smillas',
    'smillasse',
    'smillassent',
    'smillasses',
    'smillassiez',
    'smillassions',
    'smille',
    'smillent',
    'smiller',
    'smillera',
    'smillerai',
    'smilleraient',
    'smillerais',
    'smillerait',
    'smilleras',
    'smillerez',
    'smilleriez',
    'smillerions',
    'smillerons',
    'smilleront',
    'smilles',
    'smillez',
    'smilliez',
    'smillions',
    'smillons',
    'smillâmes',
    'smillât',
    'smillâtes',
    'smillèrent',
    'smillé',
    'smillée',
    'smillées',
    'smillés',
    'smithsonite',
    'smithsonites',
    'smocks',
    'smog',
    'smogs',
    'smoking',
    'smokings',
    'smolt',
    'smolts',
    'smorzando',
    'smurf',
    'smurfs',
    'snack',
    'snacks',
    'sniff',
    'sniffa',
    'sniffai',
    'sniffaient',
    'sniffais',
    'sniffait',
    'sniffant',
    'sniffas',
    'sniffasse',
    'sniffassent',
    'sniffasses',
    'sniffassiez',
    'sniffassions',
    'sniffe',
    'sniffent',
    'sniffer',
    'sniffera',
    'snifferai',
    'snifferaient',
    'snifferais',
    'snifferait',
    'snifferas',
    'snifferez',
    'snifferiez',
    'snifferions',
    'snifferons',
    'snifferont',
    'sniffes',
    'sniffez',
    'sniffiez',
    'sniffions',
    'sniffons',
    'sniffâmes',
    'sniffât',
    'sniffâtes',
    'sniffèrent',
    'sniffé',
    'sniffée',
    'sniffées',
    'sniffés',
    'snob',
    'snoba',
    'snobai',
    'snobaient',
    'snobais',
    'snobait',
    'snobant',
    'snobas',
    'snobasse',
    'snobassent',
    'snobasses',
    'snobassiez',
    'snobassions',
    'snobe',
    'snobent',
    'snober',
    'snobera',
    'snoberai',
    'snoberaient',
    'snoberais',
    'snoberait',
    'snoberas',
    'snoberez',
    'snoberiez',
    'snoberions',
    'snoberons',
    'snoberont',
    'snobes',
    'snobez',
    'snobiez',
    'snobinard',
    'snobinarde',
    'snobinardes',
    'snobinards',
    'snobions',
    'snobisme',
    'snobismes',
    'snobons',
    'snobs',
    'snobâmes',
    'snobât',
    'snobâtes',
    'snobèrent',
    'snobé',
    'snobée',
    'snobées',
    'snobés',
    'sobre',
    'sobrement',
    'sobres',
    'sobriquet',
    'sobriquets',
    'sobriété',
    'sobriétés',
    'sociabilité',
    'sociabilités',
    'sociable',
    'sociables',
    'social',
    'sociale',
    'socialement',
    'sociales',
    'socialisa',
    'socialisai',
    'socialisais',
    'socialisait',
    'socialisant',
    'socialisante',
    'socialisants',
    'socialisas',
    'socialisasse',
    'socialise',
    'socialisent',
    'socialiser',
    'socialisera',
    'socialiserai',
    'socialiseras',
    'socialiserez',
    'socialises',
    'socialisez',
    'socialisiez',
    'socialisions',
    'socialisme',
    'socialismes',
    'socialisons',
    'socialiste',
    'socialistes',
    'socialisâmes',
    'socialisât',
    'socialisâtes',
    'socialisé',
    'socialisée',
    'socialisées',
    'socialisés',
    'sociatrie',
    'sociatries',
    'sociaux',
    'socinianisme',
    'sociodrame',
    'sociodrames',
    'sociogramme',
    'sociogrammes',
    'sociologie',
    'sociologies',
    'sociologique',
    'sociologisme',
    'sociologue',
    'sociologues',
    'sociétaire',
    'sociétaires',
    'sociétariat',
    'sociétariats',
    'société',
    'sociétés',
    'socle',
    'socles',
    'socque',
    'socques',
    'socquette',
    'socquettes',
    'socratique',
    'socratiques',
    'socratisa',
    'socratisai',
    'socratisais',
    'socratisait',
    'socratisant',
    'socratisas',
    'socratisasse',
    'socratise',
    'socratisent',
    'socratiser',
    'socratisera',
    'socratiserai',
    'socratiseras',
    'socratiserez',
    'socratises',
    'socratisez',
    'socratisiez',
    'socratisions',
    'socratisons',
    'socratisâmes',
    'socratisât',
    'socratisâtes',
    'socratisé',
    'socs',
    'soda',
    'sodas',
    'sodique',
    'sodiques',
    'sodium',
    'sodoku',
    'sodokus',
    'sodomie',
    'sodomies',
    'sodomisa',
    'sodomisai',
    'sodomisaient',
    'sodomisais',
    'sodomisait',
    'sodomisant',
    'sodomisas',
    'sodomisasse',
    'sodomisasses',
    'sodomise',
    'sodomisent',
    'sodomiser',
    'sodomisera',
    'sodomiserai',
    'sodomiserais',
    'sodomiserait',
    'sodomiseras',
    'sodomiserez',
    'sodomiseriez',
    'sodomiserons',
    'sodomiseront',
    'sodomises',
    'sodomisez',
    'sodomisiez',
    'sodomisions',
    'sodomisons',
    'sodomisâmes',
    'sodomisât',
    'sodomisâtes',
    'sodomisèrent',
    'sodomisé',
    'sodomisée',
    'sodomisées',
    'sodomisés',
    'sodomite',
    'sodomites',
    'sodé',
    'sodée',
    'sodées',
    'sodés',
    'soeur',
    'soeurette',
    'soeurettes',
    'soeurs',
    'sofa',
    'sofas',
    'soffite',
    'soffites',
    'software',
    'softwares',
    'soie',
    'soient',
    'soierie',
    'soieries',
    'soies',
    'soif',
    'soiffard',
    'soiffarde',
    'soiffardes',
    'soiffards',
    'soifs',
    'soigna',
    'soignai',
    'soignaient',
    'soignais',
    'soignait',
    'soignant',
    'soignante',
    'soignantes',
    'soignants',
    'soignas',
    'soignasse',
    'soignassent',
    'soignasses',
    'soignassiez',
    'soignassions',
    'soigne',
    'soignent',
    'soigner',
    'soignera',
    'soignerai',
    'soigneraient',
    'soignerais',
    'soignerait',
    'soigneras',
    'soignerez',
    'soigneriez',
    'soignerions',
    'soignerons',
    'soigneront',
    'soignes',
    'soigneur',
    'soigneurs',
    'soigneuse',
    'soigneuses',
    'soigneux',
    'soignez',
    'soigniez',
    'soignions',
    'soignons',
    'soignâmes',
    'soignât',
    'soignâtes',
    'soignèrent',
    'soigné',
    'soignée',
    'soignées',
    'soignés',
    'soin',
    'soins',
    'soir',
    'soirs',
    'soirée',
    'soirées',
    'sois',
    'soit',
    'soixantaine',
    'soixantaines',
    'soixante',
    'soixantième',
    'soixantièmes',
    'soja',
    'sojas',
    'solaire',
    'solaires',
    'solarigraphe',
    'solarisa',
    'solarisai',
    'solarisaient',
    'solarisais',
    'solarisait',
    'solarisant',
    'solarisas',
    'solarisasse',
    'solarisasses',
    'solarise',
    'solarisent',
    'solariser',
    'solarisera',
    'solariserai',
    'solariserais',
    'solariserait',
    'solariseras',
    'solariserez',
    'solariseriez',
    'solariserons',
    'solariseront',
    'solarises',
    'solarisez',
    'solarisiez',
    'solarisions',
    'solarisons',
    'solarisâmes',
    'solarisât',
    'solarisâtes',
    'solarisèrent',
    'solarisé',
    'solarisée',
    'solarisées',
    'solarisés',
    'solarium',
    'solariums',
    'solda',
    'soldai',
    'soldaient',
    'soldais',
    'soldait',
    'soldanelle',
    'soldanelles',
    'soldant',
    'soldas',
    'soldasse',
    'soldassent',
    'soldasses',
    'soldassiez',
    'soldassions',
    'soldat',
    'soldate',
    'soldates',
    'soldatesque',
    'soldatesques',
    'soldats',
    'solde',
    'soldent',
    'solder',
    'soldera',
    'solderai',
    'solderaient',
    'solderais',
    'solderait',
    'solderas',
    'solderez',
    'solderiez',
    'solderions',
    'solderons',
    'solderont',
    'soldes',
    'soldeur',
    'soldeurs',
    'soldeuse',
    'soldeuses',
    'soldez',
    'soldiez',
    'soldions',
    'soldons',
    'soldâmes',
    'soldât',
    'soldâtes',
    'soldèrent',
    'soldé',
    'soldée',
    'soldées',
    'soldés',
    'sole',
    'soleil',
    'soleils',
    'solen',
    'solennel',
    'solennelle',
    'solennelles',
    'solennels',
    'solennisa',
    'solennisai',
    'solennisais',
    'solennisait',
    'solennisant',
    'solennisas',
    'solennisasse',
    'solennise',
    'solennisent',
    'solenniser',
    'solennisera',
    'solenniserai',
    'solenniseras',
    'solenniserez',
    'solennises',
    'solennisez',
    'solennisiez',
    'solennisions',
    'solennisons',
    'solennisâmes',
    'solennisât',
    'solennisâtes',
    'solennisé',
    'solennisée',
    'solennisées',
    'solennisés',
    'solennité',
    'solennités',
    'solens',
    'soleret',
    'solerets',
    'soles',
    'solex',
    'solfatare',
    'solfatares',
    'solfia',
    'solfiai',
    'solfiaient',
    'solfiais',
    'solfiait',
    'solfiant',
    'solfias',
    'solfiasse',
    'solfiassent',
    'solfiasses',
    'solfiassiez',
    'solfiassions',
    'solfie',
    'solfient',
    'solfier',
    'solfiera',
    'solfierai',
    'solfieraient',
    'solfierais',
    'solfierait',
    'solfieras',
    'solfierez',
    'solfieriez',
    'solfierions',
    'solfierons',
    'solfieront',
    'solfies',
    'solfiez',
    'solfiiez',
    'solfiions',
    'solfions',
    'solfiâmes',
    'solfiât',
    'solfiâtes',
    'solfièrent',
    'solfié',
    'solfiée',
    'solfiées',
    'solfiés',
    'solfège',
    'solfèges',
    'soli',
    'solidage',
    'solidages',
    'solidaire',
    'solidaires',
    'solidarisa',
    'solidarisai',
    'solidarisais',
    'solidarisait',
    'solidarisant',
    'solidarisas',
    'solidarise',
    'solidarisent',
    'solidariser',
    'solidarisera',
    'solidarises',
    'solidarisez',
    'solidarisiez',
    'solidarisons',
    'solidarisât',
    'solidarisé',
    'solidarisée',
    'solidarisées',
    'solidarisés',
    'solidarité',
    'solidarités',
    'solide',
    'solidement',
    'solides',
    'solidifia',
    'solidifiai',
    'solidifiais',
    'solidifiait',
    'solidifiant',
    'solidifias',
    'solidifiasse',
    'solidifie',
    'solidifient',
    'solidifier',
    'solidifiera',
    'solidifierai',
    'solidifieras',
    'solidifierez',
    'solidifies',
    'solidifiez',
    'solidifiiez',
    'solidifiions',
    'solidifions',
    'solidifiâmes',
    'solidifiât',
    'solidifiâtes',
    'solidifié',
    'solidifiée',
    'solidifiées',
    'solidifiés',
    'solidité',
    'solidités',
    'soliflua',
    'solifluai',
    'solifluaient',
    'solifluais',
    'solifluait',
    'solifluant',
    'solifluas',
    'solifluasse',
    'solifluasses',
    'soliflue',
    'solifluent',
    'solifluer',
    'solifluera',
    'solifluerai',
    'solifluerais',
    'solifluerait',
    'soliflueras',
    'solifluerez',
    'soliflueriez',
    'solifluerons',
    'soliflueront',
    'soliflues',
    'solifluez',
    'solifluiez',
    'solifluions',
    'solifluons',
    'solifluxion',
    'solifluxions',
    'solifluâmes',
    'solifluât',
    'solifluâtes',
    'solifluèrent',
    'soliflué',
    'soliloqua',
    'soliloquai',
    'soliloquais',
    'soliloquait',
    'soliloquant',
    'soliloquas',
    'soliloquasse',
    'soliloque',
    'soliloquent',
    'soliloquer',
    'soliloquera',
    'soliloquerai',
    'soliloqueras',
    'soliloquerez',
    'soliloques',
    'soliloquez',
    'soliloquiez',
    'soliloquions',
    'soliloquons',
    'soliloquâmes',
    'soliloquât',
    'soliloquâtes',
    'soliloqué',
    'solin',
    'solins',
    'solipsisme',
    'solipsismes',
    'solipède',
    'solipèdes',
    'soliste',
    'solistes',
    'solitaire',
    'solitaires',
    'solitude',
    'solitudes',
    'solive',
    'soliveau',
    'soliveaux',
    'solives',
    'sollicita',
    'sollicitai',
    'sollicitais',
    'sollicitait',
    'sollicitant',
    'sollicitas',
    'sollicitasse',
    'sollicite',
    'sollicitent',
    'solliciter',
    'sollicitera',
    'solliciterai',
    'solliciteras',
    'solliciterez',
    'sollicites',
    'solliciteur',
    'solliciteurs',
    'solliciteuse',
    'sollicitez',
    'sollicitiez',
    'sollicitions',
    'sollicitons',
    'sollicitude',
    'sollicitudes',
    'sollicitâmes',
    'sollicitât',
    'sollicitâtes',
    'sollicité',
    'sollicitée',
    'sollicitées',
    'sollicités',
    'solmisa',
    'solmisai',
    'solmisaient',
    'solmisais',
    'solmisait',
    'solmisant',
    'solmisas',
    'solmisasse',
    'solmisassent',
    'solmisasses',
    'solmisassiez',
    'solmisation',
    'solmisations',
    'solmise',
    'solmisent',
    'solmiser',
    'solmisera',
    'solmiserai',
    'solmiserais',
    'solmiserait',
    'solmiseras',
    'solmiserez',
    'solmiseriez',
    'solmiserions',
    'solmiserons',
    'solmiseront',
    'solmises',
    'solmisez',
    'solmisiez',
    'solmisions',
    'solmisons',
    'solmisâmes',
    'solmisât',
    'solmisâtes',
    'solmisèrent',
    'solmisé',
    'solmisée',
    'solmisées',
    'solmisés',
    'solo',
    'solos',
    'sols',
    'solstice',
    'solstices',
    'solsticial',
    'solsticiale',
    'solsticiales',
    'solsticiaux',
    'solubilisa',
    'solubilisai',
    'solubilisais',
    'solubilisait',
    'solubilisant',
    'solubilisas',
    'solubilise',
    'solubilisent',
    'solubiliser',
    'solubilisera',
    'solubilises',
    'solubilisez',
    'solubilisiez',
    'solubilisons',
    'solubilisât',
    'solubilisé',
    'solubilisée',
    'solubilisées',
    'solubilisés',
    'solubilité',
    'solubilités',
    'soluble',
    'solubles',
    'solution',
    'solutionna',
    'solutionnai',
    'solutionnais',
    'solutionnait',
    'solutionnant',
    'solutionnas',
    'solutionne',
    'solutionnent',
    'solutionner',
    'solutionnera',
    'solutionnes',
    'solutionnez',
    'solutionniez',
    'solutionnons',
    'solutionnât',
    'solutionné',
    'solutionnée',
    'solutionnées',
    'solutionnés',
    'solutions',
    'solutréen',
    'solutréenne',
    'solutréennes',
    'solutréens',
    'soluté',
    'solutés',
    'solvabilité',
    'solvabilités',
    'solvable',
    'solvables',
    'solvant',
    'solvants',
    'solveur',
    'soléaire',
    'soléaires',
    'solécisme',
    'solécismes',
    'solénoïdal',
    'solénoïdale',
    'solénoïdales',
    'solénoïdaux',
    'soma',
    'somas',
    'somation',
    'somations',
    'somatique',
    'somatiques',
    'somatisa',
    'somatisai',
    'somatisaient',
    'somatisais',
    'somatisait',
    'somatisant',
    'somatisas',
    'somatisasse',
    'somatisasses',
    'somatisation',
    'somatise',
    'somatisent',
    'somatiser',
    'somatisera',
    'somatiserai',
    'somatiserais',
    'somatiserait',
    'somatiseras',
    'somatiserez',
    'somatiseriez',
    'somatiserons',
    'somatiseront',
    'somatises',
    'somatisez',
    'somatisiez',
    'somatisions',
    'somatisons',
    'somatisâmes',
    'somatisât',
    'somatisâtes',
    'somatisèrent',
    'somatisé',
    'somatisée',
    'somatisées',
    'somatisés',
    'somato',
    'somatotrope',
    'somatotropes',
    'sombra',
    'sombrai',
    'sombraient',
    'sombrais',
    'sombrait',
    'sombrant',
    'sombras',
    'sombrasse',
    'sombrassent',
    'sombrasses',
    'sombrassiez',
    'sombrassions',
    'sombre',
    'sombrement',
    'sombrent',
    'sombrer',
    'sombrera',
    'sombrerai',
    'sombreraient',
    'sombrerais',
    'sombrerait',
    'sombreras',
    'sombrerez',
    'sombreriez',
    'sombrerions',
    'sombrero',
    'sombrerons',
    'sombreront',
    'sombreros',
    'sombres',
    'sombrez',
    'sombriez',
    'sombrions',
    'sombrons',
    'sombrâmes',
    'sombrât',
    'sombrâtes',
    'sombrèrent',
    'sombré',
    'somite',
    'somites',
    'somma',
    'sommai',
    'sommaient',
    'sommaire',
    'sommairement',
    'sommaires',
    'sommais',
    'sommait',
    'sommant',
    'sommants',
    'sommas',
    'sommasse',
    'sommassent',
    'sommasses',
    'sommassiez',
    'sommassions',
    'sommation',
    'sommations',
    'somme',
    'sommeil',
    'sommeilla',
    'sommeillai',
    'sommeillais',
    'sommeillait',
    'sommeillant',
    'sommeillas',
    'sommeillasse',
    'sommeille',
    'sommeillent',
    'sommeiller',
    'sommeillera',
    'sommeillerai',
    'sommeilleras',
    'sommeillerez',
    'sommeilles',
    'sommeilleuse',
    'sommeilleux',
    'sommeillez',
    'sommeilliez',
    'sommeillions',
    'sommeillons',
    'sommeillâmes',
    'sommeillât',
    'sommeillâtes',
    'sommeillé',
    'sommeils',
    'sommelier',
    'sommeliers',
    'sommelière',
    'sommelières',
    'sommellerie',
    'sommelleries',
    'somment',
    'sommer',
    'sommera',
    'sommerai',
    'sommeraient',
    'sommerais',
    'sommerait',
    'sommeras',
    'sommerez',
    'sommeriez',
    'sommerions',
    'sommerons',
    'sommeront',
    'sommes',
    'sommet',
    'sommets',
    'sommez',
    'sommier',
    'sommiers',
    'sommiez',
    'sommions',
    'sommital',
    'sommitale',
    'sommitales',
    'sommitaux',
    'sommité',
    'sommités',
    'sommons',
    'sommâmes',
    'sommât',
    'sommâtes',
    'sommèrent',
    'sommé',
    'sommée',
    'sommées',
    'sommés',
    'somnambule',
    'somnambules',
    'somnifère',
    'somnifères',
    'somnola',
    'somnolai',
    'somnolaient',
    'somnolais',
    'somnolait',
    'somnolant',
    'somnolante',
    'somnolantes',
    'somnolants',
    'somnolas',
    'somnolasse',
    'somnolassent',
    'somnolasses',
    'somnolassiez',
    'somnole',
    'somnolence',
    'somnolences',
    'somnolent',
    'somnolente',
    'somnolentes',
    'somnolents',
    'somnoler',
    'somnolera',
    'somnolerai',
    'somnolerais',
    'somnolerait',
    'somnoleras',
    'somnolerez',
    'somnoleriez',
    'somnolerions',
    'somnolerons',
    'somnoleront',
    'somnoles',
    'somnolez',
    'somnoliez',
    'somnolions',
    'somnolons',
    'somnolâmes',
    'somnolât',
    'somnolâtes',
    'somnolèrent',
    'somnolé',
    'somptuaire',
    'somptuaires',
    'somptueuse',
    'somptueuses',
    'somptueux',
    'somptuosité',
    'somptuosités',
    'sonagraphe',
    'sonagraphes',
    'sonar',
    'sonars',
    'sonate',
    'sonates',
    'sonatine',
    'sonatines',
    'sonda',
    'sondage',
    'sondages',
    'sondai',
    'sondaient',
    'sondais',
    'sondait',
    'sondant',
    'sondas',
    'sondasse',
    'sondassent',
    'sondasses',
    'sondassiez',
    'sondassions',
    'sonde',
    'sondent',
    'sonder',
    'sondera',
    'sonderai',
    'sonderaient',
    'sonderais',
    'sonderait',
    'sonderas',
    'sonderez',
    'sonderiez',
    'sonderions',
    'sonderons',
    'sonderont',
    'sondes',
    'sondeur',
    'sondeurs',
    'sondeuse',
    'sondeuses',
    'sondez',
    'sondiez',
    'sondions',
    'sondons',
    'sondâmes',
    'sondât',
    'sondâtes',
    'sondèrent',
    'sondé',
    'sondée',
    'sondées',
    'sondés',
    'songe',
    'songea',
    'songeai',
    'songeaient',
    'songeais',
    'songeait',
    'songeant',
    'songeas',
    'songeasse',
    'songeassent',
    'songeasses',
    'songeassiez',
    'songeassions',
    'songent',
    'songeons',
    'songer',
    'songera',
    'songerai',
    'songeraient',
    'songerais',
    'songerait',
    'songeras',
    'songerez',
    'songerie',
    'songeries',
    'songeriez',
    'songerions',
    'songerons',
    'songeront',
    'songes',
    'songeur',
    'songeurs',
    'songeuse',
    'songeuses',
    'songez',
    'songeâmes',
    'songeât',
    'songeâtes',
    'songiez',
    'songions',
    'songèrent',
    'songé',
    'songée',
    'songées',
    'songés',
    'sonique',
    'soniques',
    'sonna',
    'sonnai',
    'sonnaient',
    'sonnailla',
    'sonnaillai',
    'sonnaillais',
    'sonnaillait',
    'sonnaillant',
    'sonnaillas',
    'sonnaillasse',
    'sonnaille',
    'sonnaillent',
    'sonnailler',
    'sonnaillera',
    'sonnaillerai',
    'sonnailleras',
    'sonnaillerez',
    'sonnailles',
    'sonnaillez',
    'sonnailliez',
    'sonnaillions',
    'sonnaillons',
    'sonnaillâmes',
    'sonnaillât',
    'sonnaillâtes',
    'sonnaillé',
    'sonnaillée',
    'sonnaillées',
    'sonnaillés',
    'sonnais',
    'sonnait',
    'sonnant',
    'sonnante',
    'sonnantes',
    'sonnants',
    'sonnas',
    'sonnasse',
    'sonnassent',
    'sonnasses',
    'sonnassiez',
    'sonnassions',
    'sonne',
    'sonnent',
    'sonner',
    'sonnera',
    'sonnerai',
    'sonneraient',
    'sonnerais',
    'sonnerait',
    'sonneras',
    'sonnerez',
    'sonnerie',
    'sonneries',
    'sonneriez',
    'sonnerions',
    'sonnerons',
    'sonneront',
    'sonnes',
    'sonnet',
    'sonnets',
    'sonnette',
    'sonnettes',
    'sonneur',
    'sonneurs',
    'sonnez',
    'sonniez',
    'sonnions',
    'sonnons',
    'sonnâmes',
    'sonnât',
    'sonnâtes',
    'sonnèrent',
    'sonné',
    'sonnée',
    'sonnées',
    'sonnés',
    'sono',
    'sonomètre',
    'sonomètres',
    'sonore',
    'sonores',
    'sonorisa',
    'sonorisai',
    'sonorisaient',
    'sonorisais',
    'sonorisait',
    'sonorisant',
    'sonorisas',
    'sonorisasse',
    'sonorisasses',
    'sonorisation',
    'sonorise',
    'sonorisent',
    'sonoriser',
    'sonorisera',
    'sonoriserai',
    'sonoriserais',
    'sonoriserait',
    'sonoriseras',
    'sonoriserez',
    'sonoriseriez',
    'sonoriserons',
    'sonoriseront',
    'sonorises',
    'sonorisez',
    'sonorisiez',
    'sonorisions',
    'sonorisons',
    'sonorisâmes',
    'sonorisât',
    'sonorisâtes',
    'sonorisèrent',
    'sonorisé',
    'sonorisée',
    'sonorisées',
    'sonorisés',
    'sonorité',
    'sonorités',
    'sonos',
    'sonothèque',
    'sonothèques',
    'sons',
    'sont',
    'sophisme',
    'sophismes',
    'sophiste',
    'sophistes',
    'sophistiqua',
    'sophistiquai',
    'sophistiquas',
    'sophistique',
    'sophistiquer',
    'sophistiques',
    'sophistiquez',
    'sophistiquât',
    'sophistiqué',
    'sophistiquée',
    'sophistiqués',
    'sophora',
    'sophoras',
    'sophrologie',
    'sophrologies',
    'soporifique',
    'soporifiques',
    'soprani',
    'sopraniste',
    'sopranistes',
    'soprano',
    'sopranos',
    'sorbe',
    'sorbes',
    'sorbet',
    'sorbetière',
    'sorbetières',
    'sorbets',
    'sorbier',
    'sorbiers',
    'sorbitol',
    'sorbitols',
    'sorbonnard',
    'sorbonnarde',
    'sorbonnardes',
    'sorbonnards',
    'sorcellerie',
    'sorcelleries',
    'sorcier',
    'sorciers',
    'sorcière',
    'sorcières',
    'sordide',
    'sordidement',
    'sordides',
    'sordidité',
    'sordidités',
    'sore',
    'sores',
    'sorgho',
    'sorghos',
    'sorgua',
    'sorguai',
    'sorguaient',
    'sorguais',
    'sorguait',
    'sorguant',
    'sorguas',
    'sorguasse',
    'sorguassent',
    'sorguasses',
    'sorguassiez',
    'sorguassions',
    'sorgue',
    'sorguent',
    'sorguer',
    'sorguera',
    'sorguerai',
    'sorgueraient',
    'sorguerais',
    'sorguerait',
    'sorgueras',
    'sorguerez',
    'sorgueriez',
    'sorguerions',
    'sorguerons',
    'sorgueront',
    'sorgues',
    'sorguez',
    'sorguiez',
    'sorguions',
    'sorguons',
    'sorguâmes',
    'sorguât',
    'sorguâtes',
    'sorguèrent',
    'sorgué',
    'sornette',
    'sornettes',
    'sororal',
    'sororale',
    'sororales',
    'sororaux',
    'sors',
    'sort',
    'sortable',
    'sortables',
    'sortaient',
    'sortais',
    'sortait',
    'sortant',
    'sortante',
    'sortantes',
    'sortants',
    'sorte',
    'sortent',
    'sortes',
    'sortez',
    'sorti',
    'sortie',
    'sorties',
    'sortiez',
    'sortilège',
    'sortilèges',
    'sortions',
    'sortir',
    'sortira',
    'sortirai',
    'sortiraient',
    'sortirais',
    'sortirait',
    'sortiras',
    'sortirent',
    'sortirez',
    'sortiriez',
    'sortirions',
    'sortirons',
    'sortiront',
    'sortis',
    'sortisse',
    'sortissent',
    'sortisses',
    'sortissiez',
    'sortissions',
    'sortit',
    'sortons',
    'sorts',
    'sortîmes',
    'sortît',
    'sortîtes',
    'sosie',
    'sosies',
    'sostenuto',
    'sotch',
    'sotchs',
    'sotie',
    'soties',
    'sots',
    'sotte',
    'sottement',
    'sottes',
    'sottise',
    'sottises',
    'sottisier',
    'sottisiers',
    'souahéli',
    'soubassement',
    'soubresaut',
    'soubresauta',
    'soubresautai',
    'soubresautas',
    'soubresaute',
    'soubresauter',
    'soubresautes',
    'soubresautez',
    'soubresauts',
    'soubresautât',
    'soubresauté',
    'soubrette',
    'soubrettes',
    'soubreveste',
    'soubrevestes',
    'souche',
    'souches',
    'souchet',
    'soucheta',
    'souchetai',
    'souchetaient',
    'souchetais',
    'souchetait',
    'souchetant',
    'souchetas',
    'souchetasse',
    'souchetasses',
    'soucheter',
    'souchetez',
    'souchetiez',
    'souchetions',
    'souchetons',
    'souchets',
    'souchette',
    'souchettent',
    'souchettera',
    'souchetterai',
    'souchetteras',
    'souchetterez',
    'souchettes',
    'souchetâmes',
    'souchetât',
    'souchetâtes',
    'souchetèrent',
    'soucheté',
    'souchetée',
    'souchetées',
    'souchetés',
    'soucheva',
    'souchevai',
    'souchevaient',
    'souchevais',
    'souchevait',
    'souchevant',
    'souchevas',
    'souchevasse',
    'souchevasses',
    'souchever',
    'souchevez',
    'soucheviez',
    'souchevions',
    'souchevons',
    'souchevâmes',
    'souchevât',
    'souchevâtes',
    'souchevèrent',
    'souchevé',
    'souchevée',
    'souchevées',
    'souchevés',
    'souchève',
    'souchèvent',
    'souchèvera',
    'souchèverai',
    'souchèverais',
    'souchèverait',
    'souchèveras',
    'souchèverez',
    'souchèveriez',
    'souchèverons',
    'souchèveront',
    'souchèves',
    'souci',
    'soucia',
    'souciai',
    'souciaient',
    'souciais',
    'souciait',
    'souciant',
    'soucias',
    'souciasse',
    'souciassent',
    'souciasses',
    'souciassiez',
    'souciassions',
    'soucie',
    'soucient',
    'soucier',
    'souciera',
    'soucierai',
    'soucieraient',
    'soucierais',
    'soucierait',
    'soucieras',
    'soucierez',
    'soucieriez',
    'soucierions',
    'soucierons',
    'soucieront',
    'soucies',
    'soucieuse',
    'soucieuses',
    'soucieux',
    'souciez',
    'souciiez',
    'souciions',
    'soucions',
    'soucis',
    'souciâmes',
    'souciât',
    'souciâtes',
    'soucièrent',
    'soucié',
    'souciée',
    'souciées',
    'souciés',
    'soucoupe',
    'soucoupes',
    'souda',
    'soudable',
    'soudables',
    'soudage',
    'soudages',
    'soudai',
    'soudaient',
    'soudain',
    'soudaine',
    'soudainement',
    'soudaines',
    'soudaineté',
    'soudainetés',
    'soudains',
    'soudais',
    'soudait',
    'soudan',
    'soudanais',
    'soudanaise',
    'soudanaises',
    'soudans',
    'soudant',
    'soudante',
    'soudantes',
    'soudants',
    'soudard',
    'soudards',
    'soudas',
    'soudasse',
    'soudassent',
    'soudasses',
    'soudassiez',
    'soudassions',
    'soude',
    'soudent',
    'souder',
    'soudera',
    'souderai',
    'souderaient',
    'souderais',
    'souderait',
    'souderas',
    'souderez',
    'souderiez',
    'souderions',
    'souderons',
    'souderont',
    'soudes',
    'soudeur',
    'soudeurs',
    'soudeuse',
    'soudeuses',
    'soudez',
    'soudier',
    'soudiers',
    'soudiez',
    'soudions',
    'soudière',
    'soudières',
    'soudoie',
    'soudoient',
    'soudoiera',
    'soudoierai',
    'soudoierais',
    'soudoierait',
    'soudoieras',
    'soudoierez',
    'soudoieriez',
    'soudoierions',
    'soudoierons',
    'soudoieront',
    'soudoies',
    'soudons',
    'soudoya',
    'soudoyai',
    'soudoyaient',
    'soudoyais',
    'soudoyait',
    'soudoyant',
    'soudoyas',
    'soudoyasse',
    'soudoyassent',
    'soudoyasses',
    'soudoyassiez',
    'soudoyer',
    'soudoyez',
    'soudoyiez',
    'soudoyions',
    'soudoyons',
    'soudoyâmes',
    'soudoyât',
    'soudoyâtes',
    'soudoyèrent',
    'soudoyé',
    'soudoyée',
    'soudoyées',
    'soudoyés',
    'soudure',
    'soudures',
    'soudâmes',
    'soudât',
    'soudâtes',
    'soudèrent',
    'soudé',
    'soudée',
    'soudées',
    'soudés',
    'soue',
    'soues',
    'souffert',
    'soufferte',
    'souffertes',
    'soufferts',
    'souffla',
    'soufflage',
    'soufflages',
    'soufflai',
    'soufflaient',
    'soufflais',
    'soufflait',
    'soufflant',
    'soufflante',
    'soufflantes',
    'soufflants',
    'soufflard',
    'soufflards',
    'soufflas',
    'soufflasse',
    'soufflassent',
    'soufflasses',
    'soufflassiez',
    'souffle',
    'soufflement',
    'soufflements',
    'soufflent',
    'souffler',
    'soufflera',
    'soufflerai',
    'soufflerais',
    'soufflerait',
    'souffleras',
    'soufflerez',
    'soufflerie',
    'souffleries',
    'souffleriez',
    'soufflerions',
    'soufflerons',
    'souffleront',
    'souffles',
    'soufflet',
    'souffleta',
    'souffletai',
    'souffletais',
    'souffletait',
    'souffletant',
    'souffletas',
    'souffletasse',
    'souffleter',
    'souffletez',
    'souffletier',
    'souffletiers',
    'souffletiez',
    'souffletions',
    'souffletons',
    'soufflets',
    'soufflette',
    'soufflettent',
    'soufflettera',
    'soufflettes',
    'souffletâmes',
    'souffletât',
    'souffletâtes',
    'souffleté',
    'souffletée',
    'souffletées',
    'souffletés',
    'souffleur',
    'souffleurs',
    'souffleuse',
    'souffleuses',
    'soufflez',
    'souffliez',
    'soufflions',
    'soufflons',
    'soufflure',
    'soufflures',
    'soufflâmes',
    'soufflât',
    'soufflâtes',
    'soufflèrent',
    'soufflé',
    'soufflée',
    'soufflées',
    'soufflés',
    'souffraient',
    'souffrais',
    'souffrait',
    'souffrance',
    'souffrances',
    'souffrant',
    'souffrante',
    'souffrantes',
    'souffrants',
    'souffre',
    'souffrent',
    'souffres',
    'souffreteuse',
    'souffreteux',
    'souffrez',
    'souffriez',
    'souffrions',
    'souffrir',
    'souffrira',
    'souffrirai',
    'souffrirais',
    'souffrirait',
    'souffriras',
    'souffrirent',
    'souffrirez',
    'souffririez',
    'souffririons',
    'souffrirons',
    'souffriront',
    'souffris',
    'souffrisse',
    'souffrissent',
    'souffrisses',
    'souffrissiez',
    'souffrit',
    'souffrons',
    'souffrîmes',
    'souffrît',
    'souffrîtes',
    'soufisme',
    'soufismes',
    'soufra',
    'soufrage',
    'soufrages',
    'soufrai',
    'soufraient',
    'soufrais',
    'soufrait',
    'soufrant',
    'soufras',
    'soufrasse',
    'soufrassent',
    'soufrasses',
    'soufrassiez',
    'soufrassions',
    'soufre',
    'soufrent',
    'soufrer',
    'soufrera',
    'soufrerai',
    'soufreraient',
    'soufrerais',
    'soufrerait',
    'soufreras',
    'soufrerez',
    'soufreriez',
    'soufrerions',
    'soufrerons',
    'soufreront',
    'soufres',
    'soufreur',
    'soufreurs',
    'soufreuse',
    'soufreuses',
    'soufrez',
    'soufriez',
    'soufrions',
    'soufrière',
    'soufrières',
    'soufroir',
    'soufroirs',
    'soufrons',
    'soufrâmes',
    'soufrât',
    'soufrâtes',
    'soufrèrent',
    'soufré',
    'soufrée',
    'soufrées',
    'soufrés',
    'souhait',
    'souhaita',
    'souhaitable',
    'souhaitables',
    'souhaitai',
    'souhaitaient',
    'souhaitais',
    'souhaitait',
    'souhaitant',
    'souhaitas',
    'souhaitasse',
    'souhaitasses',
    'souhaite',
    'souhaitent',
    'souhaiter',
    'souhaitera',
    'souhaiterai',
    'souhaiterais',
    'souhaiterait',
    'souhaiteras',
    'souhaiterez',
    'souhaiteriez',
    'souhaiterons',
    'souhaiteront',
    'souhaites',
    'souhaitez',
    'souhaitiez',
    'souhaitions',
    'souhaitons',
    'souhaits',
    'souhaitâmes',
    'souhaitât',
    'souhaitâtes',
    'souhaitèrent',
    'souhaité',
    'souhaitée',
    'souhaitées',
    'souhaités',
    'souilla',
    'souillai',
    'souillaient',
    'souillais',
    'souillait',
    'souillant',
    'souillard',
    'souillarde',
    'souillardes',
    'souillards',
    'souillas',
    'souillasse',
    'souillassent',
    'souillasses',
    'souillassiez',
    'souille',
    'souillent',
    'souiller',
    'souillera',
    'souillerai',
    'souillerais',
    'souillerait',
    'souilleras',
    'souillerez',
    'souilleriez',
    'souillerions',
    'souillerons',
    'souilleront',
    'souilles',
    'souillez',
    'souilliez',
    'souillions',
    'souillon',
    'souillons',
    'souillure',
    'souillures',
    'souillâmes',
    'souillât',
    'souillâtes',
    'souillèrent',
    'souillé',
    'souillée',
    'souillées',
    'souillés',
    'souk',
    'souks',
    'soulage',
    'soulagea',
    'soulageai',
    'soulageaient',
    'soulageais',
    'soulageait',
    'soulageant',
    'soulageas',
    'soulageasse',
    'soulageasses',
    'soulagement',
    'soulagements',
    'soulagent',
    'soulageons',
    'soulager',
    'soulagera',
    'soulagerai',
    'soulagerais',
    'soulagerait',
    'soulageras',
    'soulagerez',
    'soulageriez',
    'soulagerions',
    'soulagerons',
    'soulageront',
    'soulages',
    'soulagez',
    'soulageâmes',
    'soulageât',
    'soulageâtes',
    'soulagiez',
    'soulagions',
    'soulagèrent',
    'soulagé',
    'soulagée',
    'soulagées',
    'soulagés',
    'soulane',
    'soulanes',
    'souleva',
    'soulevai',
    'soulevaient',
    'soulevais',
    'soulevait',
    'soulevant',
    'soulevas',
    'soulevasse',
    'soulevassent',
    'soulevasses',
    'soulevassiez',
    'soulever',
    'soulevez',
    'souleviez',
    'soulevions',
    'soulevons',
    'soulevâmes',
    'soulevât',
    'soulevâtes',
    'soulevèrent',
    'soulevé',
    'soulevée',
    'soulevées',
    'soulevés',
    'soulier',
    'souliers',
    'souligna',
    'soulignage',
    'soulignages',
    'soulignai',
    'soulignaient',
    'soulignais',
    'soulignait',
    'soulignant',
    'soulignas',
    'soulignasse',
    'soulignasses',
    'souligne',
    'soulignement',
    'soulignent',
    'souligner',
    'soulignera',
    'soulignerai',
    'soulignerais',
    'soulignerait',
    'souligneras',
    'soulignerez',
    'souligneriez',
    'soulignerons',
    'souligneront',
    'soulignes',
    'soulignez',
    'souligniez',
    'soulignions',
    'soulignons',
    'soulignâmes',
    'soulignât',
    'soulignâtes',
    'soulignèrent',
    'souligné',
    'soulignée',
    'soulignées',
    'soulignés',
    'soulte',
    'soultes',
    'soulève',
    'soulèvement',
    'soulèvements',
    'soulèvent',
    'soulèvera',
    'soulèverai',
    'soulèverais',
    'soulèverait',
    'soulèveras',
    'soulèverez',
    'soulèveriez',
    'soulèverions',
    'soulèverons',
    'soulèveront',
    'soulèves',
    'soumet',
    'soumets',
    'soumettaient',
    'soumettais',
    'soumettait',
    'soumettant',
    'soumette',
    'soumettent',
    'soumettes',
    'soumettez',
    'soumettiez',
    'soumettions',
    'soumettons',
    'soumettra',
    'soumettrai',
    'soumettrais',
    'soumettrait',
    'soumettras',
    'soumettre',
    'soumettrez',
    'soumettriez',
    'soumettrions',
    'soumettrons',
    'soumettront',
    'soumirent',
    'soumis',
    'soumise',
    'soumises',
    'soumisse',
    'soumissent',
    'soumisses',
    'soumissiez',
    'soumission',
    'soumissionna',
    'soumissionne',
    'soumissionné',
    'soumissions',
    'soumit',
    'soumîmes',
    'soumît',
    'soumîtes',
    'soupa',
    'soupai',
    'soupaient',
    'soupais',
    'soupait',
    'soupant',
    'soupape',
    'soupapes',
    'soupas',
    'soupasse',
    'soupassent',
    'soupasses',
    'soupassiez',
    'soupassions',
    'soupe',
    'soupent',
    'soupente',
    'soupentes',
    'souper',
    'soupera',
    'souperai',
    'souperaient',
    'souperais',
    'souperait',
    'souperas',
    'souperez',
    'souperiez',
    'souperions',
    'souperons',
    'souperont',
    'soupers',
    'soupes',
    'soupesa',
    'soupesai',
    'soupesaient',
    'soupesais',
    'soupesait',
    'soupesant',
    'soupesas',
    'soupesasse',
    'soupesassent',
    'soupesasses',
    'soupesassiez',
    'soupeser',
    'soupesez',
    'soupesiez',
    'soupesions',
    'soupesons',
    'soupesâmes',
    'soupesât',
    'soupesâtes',
    'soupesèrent',
    'soupesé',
    'soupesée',
    'soupesées',
    'soupesés',
    'soupeur',
    'soupeurs',
    'soupeuse',
    'soupeuses',
    'soupez',
    'soupiez',
    'soupions',
    'soupir',
    'soupira',
    'soupirai',
    'soupiraient',
    'soupirail',
    'soupirais',
    'soupirait',
    'soupirant',
    'soupirante',
    'soupirantes',
    'soupirants',
    'soupiras',
    'soupirasse',
    'soupirassent',
    'soupirasses',
    'soupirassiez',
    'soupiraux',
    'soupire',
    'soupirent',
    'soupirer',
    'soupirera',
    'soupirerai',
    'soupirerais',
    'soupirerait',
    'soupireras',
    'soupirerez',
    'soupireriez',
    'soupirerions',
    'soupirerons',
    'soupireront',
    'soupires',
    'soupirez',
    'soupiriez',
    'soupirions',
    'soupirons',
    'soupirs',
    'soupirâmes',
    'soupirât',
    'soupirâtes',
    'soupirèrent',
    'soupiré',
    'soupirée',
    'soupirées',
    'soupirés',
    'soupière',
    'soupières',
    'souple',
    'souplement',
    'souples',
    'souplesse',
    'souplesses',
    'soupons',
    'soupâmes',
    'soupât',
    'soupâtes',
    'soupçon',
    'soupçonna',
    'soupçonnable',
    'soupçonnai',
    'soupçonnais',
    'soupçonnait',
    'soupçonnant',
    'soupçonnas',
    'soupçonnasse',
    'soupçonne',
    'soupçonnent',
    'soupçonner',
    'soupçonnera',
    'soupçonnerai',
    'soupçonneras',
    'soupçonnerez',
    'soupçonnes',
    'soupçonneuse',
    'soupçonneux',
    'soupçonnez',
    'soupçonniez',
    'soupçonnions',
    'soupçonnons',
    'soupçonnâmes',
    'soupçonnât',
    'soupçonnâtes',
    'soupçonné',
    'soupçonnée',
    'soupçonnées',
    'soupçonnés',
    'soupçons',
    'soupèrent',
    'soupèse',
    'soupèsent',
    'soupèsera',
    'soupèserai',
    'soupèserais',
    'soupèserait',
    'soupèseras',
    'soupèserez',
    'soupèseriez',
    'soupèserions',
    'soupèserons',
    'soupèseront',
    'soupèses',
    'soupé',
    'souqua',
    'souquai',
    'souquaient',
    'souquais',
    'souquait',
    'souquant',
    'souquas',
    'souquasse',
    'souquassent',
    'souquasses',
    'souquassiez',
    'souquassions',
    'souque',
    'souquenille',
    'souquenilles',
    'souquent',
    'souquer',
    'souquera',
    'souquerai',
    'souqueraient',
    'souquerais',
    'souquerait',
    'souqueras',
    'souquerez',
    'souqueriez',
    'souquerions',
    'souquerons',
    'souqueront',
    'souques',
    'souquez',
    'souquiez',
    'souquions',
    'souquons',
    'souquâmes',
    'souquât',
    'souquâtes',
    'souquèrent',
    'souqué',
    'souquée',
    'souquées',
    'souqués',
    'sourate',
    'sourates',
    'source',
    'sources',
    'sourcier',
    'sourciers',
    'sourcil',
    'sourcilier',
    'sourciliers',
    'sourcilière',
    'sourcilières',
    'sourcilla',
    'sourcillai',
    'sourcillais',
    'sourcillait',
    'sourcillant',
    'sourcillas',
    'sourcillasse',
    'sourcille',
    'sourcillent',
    'sourciller',
    'sourcillera',
    'sourcillerai',
    'sourcilleras',
    'sourcillerez',
    'sourcilles',
    'sourcilleuse',
    'sourcilleux',
    'sourcillez',
    'sourcilliez',
    'sourcillions',
    'sourcillons',
    'sourcillâmes',
    'sourcillât',
    'sourcillâtes',
    'sourcillé',
    'sourcils',
    'sourcière',
    'sourcières',
    'sourd',
    'sourde',
    'sourdement',
    'sourdes',
    'sourdina',
    'sourdinai',
    'sourdinaient',
    'sourdinais',
    'sourdinait',
    'sourdinant',
    'sourdinas',
    'sourdinasse',
    'sourdinasses',
    'sourdine',
    'sourdinent',
    'sourdiner',
    'sourdinera',
    'sourdinerai',
    'sourdinerais',
    'sourdinerait',
    'sourdineras',
    'sourdinerez',
    'sourdineriez',
    'sourdinerons',
    'sourdineront',
    'sourdines',
    'sourdinez',
    'sourdingue',
    'sourdingues',
    'sourdiniez',
    'sourdinions',
    'sourdinons',
    'sourdinâmes',
    'sourdinât',
    'sourdinâtes',
    'sourdinèrent',
    'sourdiné',
    'sourdinée',
    'sourdinées',
    'sourdinés',
    'sourdre',
    'sourds',
    'souri',
    'souriaient',
    'souriais',
    'souriait',
    'souriant',
    'souriante',
    'souriantes',
    'souriants',
    'souriceau',
    'souriceaux',
    'souricière',
    'souricières',
    'sourie',
    'sourient',
    'souries',
    'souriez',
    'souriiez',
    'souriions',
    'sourions',
    'sourira',
    'sourirai',
    'souriraient',
    'sourirais',
    'sourirait',
    'souriras',
    'sourire',
    'sourirent',
    'sourires',
    'sourirez',
    'souririez',
    'souririons',
    'sourirons',
    'souriront',
    'souris',
    'sourisse',
    'sourissent',
    'sourisses',
    'sourissiez',
    'sourissions',
    'sourit',
    'sournois',
    'sournoise',
    'sournoiserie',
    'sournoises',
    'sourîmes',
    'sourît',
    'sourîtes',
    'sous',
    'souscripteur',
    'souscription',
    'souscrira',
    'souscrirai',
    'souscrirais',
    'souscrirait',
    'souscriras',
    'souscrire',
    'souscrirez',
    'souscririez',
    'souscririons',
    'souscrirons',
    'souscriront',
    'souscris',
    'souscrit',
    'souscrite',
    'souscrites',
    'souscrits',
    'souscrivais',
    'souscrivait',
    'souscrivant',
    'souscrive',
    'souscrivent',
    'souscrives',
    'souscrivez',
    'souscriviez',
    'souscrivions',
    'souscrivis',
    'souscrivisse',
    'souscrivit',
    'souscrivons',
    'souscrivîmes',
    'souscrivît',
    'souscrivîtes',
    'soussigné',
    'soussignée',
    'soussignées',
    'soussignés',
    'soustractif',
    'soustractifs',
    'soustraction',
    'soustractive',
    'soustraie',
    'soustraient',
    'soustraies',
    'soustraira',
    'soustrairai',
    'soustrairais',
    'soustrairait',
    'soustrairas',
    'soustraire',
    'soustrairez',
    'soustrairiez',
    'soustrairons',
    'soustrairont',
    'soustrais',
    'soustrait',
    'soustraite',
    'soustraites',
    'soustraits',
    'soustrayais',
    'soustrayait',
    'soustrayant',
    'soustrayez',
    'soustrayiez',
    'soustrayions',
    'soustrayons',
    'soutacha',
    'soutachai',
    'soutachaient',
    'soutachais',
    'soutachait',
    'soutachant',
    'soutachas',
    'soutachasse',
    'soutachasses',
    'soutache',
    'soutachent',
    'soutacher',
    'soutachera',
    'soutacherai',
    'soutacherais',
    'soutacherait',
    'soutacheras',
    'soutacherez',
    'soutacheriez',
    'soutacherons',
    'soutacheront',
    'soutaches',
    'soutachez',
    'soutachiez',
    'soutachions',
    'soutachons',
    'soutachâmes',
    'soutachât',
    'soutachâtes',
    'soutachèrent',
    'soutaché',
    'soutachée',
    'soutachées',
    'soutachés',
    'soutane',
    'soutanelle',
    'soutanelles',
    'soutanes',
    'soute',
    'soutenable',
    'soutenables',
    'soutenaient',
    'soutenais',
    'soutenait',
    'soutenance',
    'soutenances',
    'soutenant',
    'souteneur',
    'souteneurs',
    'soutenez',
    'souteniez',
    'soutenions',
    'soutenir',
    'soutenons',
    'soutenu',
    'soutenue',
    'soutenues',
    'soutenus',
    'souterrain',
    'souterraine',
    'souterraines',
    'souterrains',
    'soutes',
    'southwell',
    'soutien',
    'soutiendra',
    'soutiendrai',
    'soutiendrais',
    'soutiendrait',
    'soutiendras',
    'soutiendrez',
    'soutiendriez',
    'soutiendrons',
    'soutiendront',
    'soutienne',
    'soutiennent',
    'soutiennes',
    'soutiens',
    'soutient',
    'soutier',
    'soutiers',
    'soutinrent',
    'soutins',
    'soutinsse',
    'soutinssent',
    'soutinsses',
    'soutinssiez',
    'soutinssions',
    'soutint',
    'soutira',
    'soutirage',
    'soutirages',
    'soutirai',
    'soutiraient',
    'soutirais',
    'soutirait',
    'soutirant',
    'soutiras',
    'soutirasse',
    'soutirassent',
    'soutirasses',
    'soutirassiez',
    'soutire',
    'soutirent',
    'soutirer',
    'soutirera',
    'soutirerai',
    'soutirerais',
    'soutirerait',
    'soutireras',
    'soutirerez',
    'soutireriez',
    'soutirerions',
    'soutirerons',
    'soutireront',
    'soutires',
    'soutirez',
    'soutiriez',
    'soutirions',
    'soutirons',
    'soutirâmes',
    'soutirât',
    'soutirâtes',
    'soutirèrent',
    'soutiré',
    'soutirée',
    'soutirées',
    'soutirés',
    'soutènement',
    'soutènements',
    'soutînmes',
    'soutînt',
    'soutîntes',
    'souvenaient',
    'souvenais',
    'souvenait',
    'souvenance',
    'souvenances',
    'souvenant',
    'souvenez',
    'souveniez',
    'souvenions',
    'souvenir',
    'souvenirs',
    'souvenons',
    'souvent',
    'souvenu',
    'souvenue',
    'souvenues',
    'souvenus',
    'souverain',
    'souveraine',
    'souveraines',
    'souveraineté',
    'souverains',
    'souviendra',
    'souviendrai',
    'souviendrais',
    'souviendrait',
    'souviendras',
    'souviendrez',
    'souviendriez',
    'souviendrons',
    'souviendront',
    'souvienne',
    'souviennent',
    'souviennes',
    'souviens',
    'souvient',
    'souvinrent',
    'souvins',
    'souvinsse',
    'souvinssent',
    'souvinsses',
    'souvinssiez',
    'souvinssions',
    'souvint',
    'souvînmes',
    'souvînt',
    'souvîntes',
    'soviet',
    'soviets',
    'soviétique',
    'soviétiques',
    'soviétisa',
    'soviétisai',
    'soviétisais',
    'soviétisait',
    'soviétisant',
    'soviétisas',
    'soviétisasse',
    'soviétise',
    'soviétisent',
    'soviétiser',
    'soviétisera',
    'soviétiserai',
    'soviétiseras',
    'soviétiserez',
    'soviétises',
    'soviétisez',
    'soviétisiez',
    'soviétisions',
    'soviétisons',
    'soviétisâmes',
    'soviétisât',
    'soviétisâtes',
    'soviétisé',
    'soviétisée',
    'soviétisées',
    'soviétisés',
    'sovkhoze',
    'sovkhozes',
    'soya',
    'soyas',
    'soyer',
    'soyers',
    'soyeuse',
    'soyeuses',
    'soyeux',
    'soyez',
    'soyons',
    'soûl',
    'soûla',
    'soûlai',
    'soûlaient',
    'soûlais',
    'soûlait',
    'soûlant',
    'soûlante',
    'soûlantes',
    'soûlants',
    'soûlard',
    'soûlarde',
    'soûlardes',
    'soûlards',
    'soûlas',
    'soûlasse',
    'soûlassent',
    'soûlasses',
    'soûlassiez',
    'soûlassions',
    'soûlaud',
    'soûlaude',
    'soûlaudes',
    'soûlauds',
    'soûle',
    'soûlent',
    'soûler',
    'soûlera',
    'soûlerai',
    'soûleraient',
    'soûlerais',
    'soûlerait',
    'soûleras',
    'soûlerez',
    'soûlerie',
    'soûleries',
    'soûleriez',
    'soûlerions',
    'soûlerons',
    'soûleront',
    'soûles',
    'soûlez',
    'soûliez',
    'soûlions',
    'soûlographe',
    'soûlographes',
    'soûlographie',
    'soûlons',
    'soûlot',
    'soûlote',
    'soûlotes',
    'soûlots',
    'soûls',
    'soûlâmes',
    'soûlât',
    'soûlâtes',
    'soûlèrent',
    'soûlé',
    'soûlée',
    'soûlées',
    'soûlés',
    'spacieuse',
    'spacieuses',
    'spacieux',
    'spadassin',
    'spadassins',
    'spadice',
    'spadices',
    'spaghetti',
    'spaghettis',
    'spahi',
    'spahis',
    'spalax',
    'spallation',
    'spallations',
    'spalter',
    'spalters',
    'sparadrap',
    'sparadraps',
    'spardeck',
    'spardecks',
    'sparganier',
    'sparganiers',
    'spart',
    'spartakisme',
    'spartakismes',
    'spartakiste',
    'spartakistes',
    'sparte',
    'sparterie',
    'sparteries',
    'spartes',
    'spartiate',
    'spartiates',
    'sparts',
    'spartéine',
    'spartéines',
    'spasme',
    'spasmes',
    'spasmodique',
    'spasmodiques',
    'spatangue',
    'spatangues',
    'spath',
    'spathe',
    'spathes',
    'spathifia',
    'spathifiai',
    'spathifiais',
    'spathifiait',
    'spathifiant',
    'spathifias',
    'spathifiasse',
    'spathifie',
    'spathifient',
    'spathifier',
    'spathifiera',
    'spathifierai',
    'spathifieras',
    'spathifierez',
    'spathifies',
    'spathifiez',
    'spathifiiez',
    'spathifiions',
    'spathifions',
    'spathifiâmes',
    'spathifiât',
    'spathifiâtes',
    'spathifié',
    'spathifiée',
    'spathifiées',
    'spathifiés',
    'spathique',
    'spathiques',
    'spaths',
    'spatial',
    'spatiale',
    'spatiales',
    'spatialisa',
    'spatialisai',
    'spatialisais',
    'spatialisait',
    'spatialisant',
    'spatialisas',
    'spatialise',
    'spatialisent',
    'spatialiser',
    'spatialisera',
    'spatialises',
    'spatialisez',
    'spatialisiez',
    'spatialisons',
    'spatialisât',
    'spatialisé',
    'spatialisée',
    'spatialisées',
    'spatialisés',
    'spatialité',
    'spatialités',
    'spatiaux',
    'spationaute',
    'spationautes',
    'spatule',
    'spatules',
    'speaker',
    'speakerine',
    'speakerines',
    'speakers',
    'spectacle',
    'spectacles',
    'spectateur',
    'spectateurs',
    'spectatrice',
    'spectatrices',
    'spectral',
    'spectrale',
    'spectrales',
    'spectraux',
    'spectre',
    'spectres',
    'spectroscope',
    'speech',
    'speeches',
    'speechs',
    'speiss',
    'spencer',
    'spencers',
    'spergule',
    'spergules',
    'spermaceti',
    'spermacetis',
    'spermatide',
    'spermatides',
    'spermatie',
    'spermaties',
    'spermatique',
    'spermatiques',
    'spermatocyte',
    'sperme',
    'spermes',
    'spermicide',
    'spermicides',
    'spermogonie',
    'spermogonies',
    'spermogramme',
    'spermophile',
    'spermophiles',
    'sphacèle',
    'sphacèlent',
    'sphacèles',
    'sphacéla',
    'sphacélai',
    'sphacélaient',
    'sphacélais',
    'sphacélait',
    'sphacélant',
    'sphacélas',
    'sphacélasse',
    'sphacélasses',
    'sphacéler',
    'sphacélera',
    'sphacélerai',
    'sphacélerais',
    'sphacélerait',
    'sphacéleras',
    'sphacélerez',
    'sphacéleriez',
    'sphacélerons',
    'sphacéleront',
    'sphacélez',
    'sphacéliez',
    'sphacélions',
    'sphacélons',
    'sphacélâmes',
    'sphacélât',
    'sphacélâtes',
    'sphacélèrent',
    'sphacélé',
    'sphacélée',
    'sphacélées',
    'sphacélés',
    'sphaigne',
    'sphaignes',
    'sphex',
    'sphincter',
    'sphincters',
    'sphinctérien',
    'sphinx',
    'sphère',
    'sphères',
    'sphénoïdal',
    'sphénoïdale',
    'sphénoïdales',
    'sphénoïdaux',
    'sphénoïde',
    'sphénoïdes',
    'sphéricité',
    'sphéricités',
    'sphérique',
    'sphériques',
    'sphéromètre',
    'sphéromètres',
    'sphéroïdal',
    'sphéroïdale',
    'sphéroïdales',
    'sphéroïdaux',
    'sphéroïde',
    'sphéroïdes',
    'spider',
    'spiders',
    'spinal',
    'spinale',
    'spinales',
    'spinaux',
    'spinelle',
    'spinelles',
    'spinnaker',
    'spinnakers',
    'spinozisme',
    'spinozismes',
    'spinoziste',
    'spinozistes',
    'spiracle',
    'spiracles',
    'spiral',
    'spirale',
    'spirales',
    'spirant',
    'spirante',
    'spirantes',
    'spirants',
    'spiraux',
    'spire',
    'spires',
    'spirifer',
    'spirifers',
    'spirille',
    'spirilles',
    'spirillose',
    'spirilloses',
    'spiritain',
    'spiritains',
    'spirite',
    'spirites',
    'spiritisme',
    'spiritismes',
    'spiritiste',
    'spiritistes',
    'spiritual',
    'spiritualisa',
    'spiritualise',
    'spiritualisé',
    'spiritualité',
    'spirituals',
    'spirituel',
    'spirituelle',
    'spirituelles',
    'spirituels',
    'spiritueuse',
    'spiritueuses',
    'spiritueux',
    'spirochète',
    'spirochètes',
    'spirochétose',
    'spirographe',
    'spirographes',
    'spiromètre',
    'spiromètres',
    'spirorbe',
    'spirorbes',
    'spiroïdal',
    'spiroïdale',
    'spiroïdales',
    'spiroïdaux',
    'spirée',
    'spirées',
    'spitant',
    'spitante',
    'spitantes',
    'spitants',
    'spitta',
    'spittai',
    'spittaient',
    'spittais',
    'spittait',
    'spittant',
    'spittas',
    'spittasse',
    'spittassent',
    'spittasses',
    'spittassiez',
    'spittassions',
    'spitte',
    'spittent',
    'spitter',
    'spittera',
    'spitterai',
    'spitteraient',
    'spitterais',
    'spitterait',
    'spitteras',
    'spitterez',
    'spitteriez',
    'spitterions',
    'spitterons',
    'spitteront',
    'spittes',
    'spittez',
    'spittiez',
    'spittions',
    'spittons',
    'spittâmes',
    'spittât',
    'spittâtes',
    'spittèrent',
    'spitté',
    'spittée',
    'spittées',
    'spittés',
    'splanchnique',
    'spleen',
    'spleens',
    'spleenétique',
    'splendeur',
    'splendeurs',
    'splendide',
    'splendides',
    'splitta',
    'splittai',
    'splittaient',
    'splittais',
    'splittait',
    'splittant',
    'splittas',
    'splittasse',
    'splittassent',
    'splittasses',
    'splittassiez',
    'splitte',
    'splittent',
    'splitter',
    'splittera',
    'splitterai',
    'splitterais',
    'splitterait',
    'splitteras',
    'splitterez',
    'splitteriez',
    'splitterions',
    'splitterons',
    'splitteront',
    'splittes',
    'splittez',
    'splittiez',
    'splittions',
    'splittons',
    'splittâmes',
    'splittât',
    'splittâtes',
    'splittèrent',
    'splitté',
    'splittée',
    'splittées',
    'splittés',
    'spolia',
    'spoliai',
    'spoliaient',
    'spoliais',
    'spoliait',
    'spoliant',
    'spolias',
    'spoliasse',
    'spoliassent',
    'spoliasses',
    'spoliassiez',
    'spoliassions',
    'spoliateur',
    'spoliateurs',
    'spoliation',
    'spoliations',
    'spoliatrice',
    'spoliatrices',
    'spolie',
    'spolient',
    'spolier',
    'spoliera',
    'spolierai',
    'spolieraient',
    'spolierais',
    'spolierait',
    'spolieras',
    'spolierez',
    'spolieriez',
    'spolierions',
    'spolierons',
    'spolieront',
    'spolies',
    'spoliez',
    'spoliiez',
    'spoliions',
    'spolions',
    'spoliâmes',
    'spoliât',
    'spoliâtes',
    'spolièrent',
    'spolié',
    'spoliée',
    'spoliées',
    'spoliés',
    'spondée',
    'spondées',
    'spongieuse',
    'spongieuses',
    'spongieux',
    'spongille',
    'spongilles',
    'spongiosité',
    'spongiosités',
    'sponsor',
    'sponsorisa',
    'sponsorisai',
    'sponsorisais',
    'sponsorisait',
    'sponsorisant',
    'sponsorisas',
    'sponsorise',
    'sponsorisent',
    'sponsoriser',
    'sponsorisera',
    'sponsorises',
    'sponsorisez',
    'sponsorisiez',
    'sponsorisons',
    'sponsorisât',
    'sponsorisé',
    'sponsorisée',
    'sponsorisées',
    'sponsorisés',
    'sponsors',
    'spontanisme',
    'spontanismes',
    'spontané',
    'spontanée',
    'spontanées',
    'spontanéisme',
    'spontanéité',
    'spontanéités',
    'spontanément',
    'spontanés',
    'sporadicité',
    'sporadicités',
    'sporadique',
    'sporadiques',
    'sporange',
    'sporanges',
    'spore',
    'spores',
    'sporogone',
    'sporogones',
    'sporophyte',
    'sporophytes',
    'sporotriche',
    'sporotriches',
    'sport',
    'sportif',
    'sportifs',
    'sportive',
    'sportivement',
    'sportives',
    'sportivité',
    'sportivités',
    'sports',
    'sportsman',
    'sportsmen',
    'sportule',
    'sportules',
    'sporula',
    'sporulai',
    'sporulaient',
    'sporulais',
    'sporulait',
    'sporulant',
    'sporulas',
    'sporulasse',
    'sporulassent',
    'sporulasses',
    'sporulassiez',
    'sporule',
    'sporulent',
    'sporuler',
    'sporulera',
    'sporulerai',
    'sporulerais',
    'sporulerait',
    'sporuleras',
    'sporulerez',
    'sporuleriez',
    'sporulerions',
    'sporulerons',
    'sporuleront',
    'sporules',
    'sporulez',
    'sporuliez',
    'sporulions',
    'sporulons',
    'sporulâmes',
    'sporulât',
    'sporulâtes',
    'sporulèrent',
    'sporulé',
    'spot',
    'spots',
    'spoutnik',
    'spoutniks',
    'sprat',
    'sprats',
    'spray',
    'sprays',
    'sprint',
    'sprinta',
    'sprintai',
    'sprintaient',
    'sprintais',
    'sprintait',
    'sprintant',
    'sprintas',
    'sprintasse',
    'sprintassent',
    'sprintasses',
    'sprintassiez',
    'sprinte',
    'sprintent',
    'sprinter',
    'sprintera',
    'sprinterai',
    'sprinterais',
    'sprinterait',
    'sprinteras',
    'sprinterez',
    'sprinteriez',
    'sprinterions',
    'sprinterons',
    'sprinteront',
    'sprinters',
    'sprintes',
    'sprintez',
    'sprintiez',
    'sprintions',
    'sprintons',
    'sprints',
    'sprintâmes',
    'sprintât',
    'sprintâtes',
    'sprintèrent',
    'sprinté',
    'sprue',
    'sprues',
    'spumeuse',
    'spumeuses',
    'spumeux',
    'spumosité',
    'spumosités',
    'spécial',
    'spéciale',
    'spécialement',
    'spéciales',
    'spécialisa',
    'spécialisai',
    'spécialisais',
    'spécialisait',
    'spécialisant',
    'spécialisas',
    'spécialise',
    'spécialisent',
    'spécialiser',
    'spécialisera',
    'spécialises',
    'spécialisez',
    'spécialisiez',
    'spécialisons',
    'spécialiste',
    'spécialistes',
    'spécialisât',
    'spécialisé',
    'spécialisée',
    'spécialisées',
    'spécialisés',
    'spécialité',
    'spécialités',
    'spéciation',
    'spéciaux',
    'spécieuse',
    'spécieuses',
    'spécieux',
    'spécifia',
    'spécifiai',
    'spécifiaient',
    'spécifiais',
    'spécifiait',
    'spécifiant',
    'spécifias',
    'spécifiasse',
    'spécifiasses',
    'spécificité',
    'spécificités',
    'spécifie',
    'spécifient',
    'spécifier',
    'spécifiera',
    'spécifierai',
    'spécifierais',
    'spécifierait',
    'spécifieras',
    'spécifierez',
    'spécifieriez',
    'spécifierons',
    'spécifieront',
    'spécifies',
    'spécifiez',
    'spécifiiez',
    'spécifiions',
    'spécifions',
    'spécifique',
    'spécifiques',
    'spécifiâmes',
    'spécifiât',
    'spécifiâtes',
    'spécifièrent',
    'spécifié',
    'spécifiée',
    'spécifiées',
    'spécifiés',
    'spécimen',
    'spécimens',
    'spéciosité',
    'spéciosités',
    'spécula',
    'spéculai',
    'spéculaient',
    'spéculaire',
    'spéculaires',
    'spéculais',
    'spéculait',
    'spéculant',
    'spéculas',
    'spéculasse',
    'spéculassent',
    'spéculasses',
    'spéculassiez',
    'spéculateur',
    'spéculateurs',
    'spéculatif',
    'spéculatifs',
    'spéculation',
    'spéculations',
    'spéculative',
    'spéculatives',
    'spéculatrice',
    'spécule',
    'spéculent',
    'spéculer',
    'spéculera',
    'spéculerai',
    'spéculerais',
    'spéculerait',
    'spéculeras',
    'spéculerez',
    'spéculeriez',
    'spéculerions',
    'spéculerons',
    'spéculeront',
    'spécules',
    'spéculez',
    'spéculiez',
    'spéculions',
    'spéculons',
    'spéculum',
    'spéculums',
    'spéculâmes',
    'spéculât',
    'spéculâtes',
    'spéculèrent',
    'spéculé',
    'spéléologie',
    'spéléologies',
    'spéléologue',
    'spéléologues',
    'spéléonaute',
    'spéléonautes',
    'spéos',
    'squale',
    'squales',
    'squame',
    'squames',
    'squameuse',
    'squameuses',
    'squameux',
    'squamifère',
    'squamifères',
    'squamule',
    'squamules',
    'square',
    'squares',
    'squash',
    'squashs',
    'squat',
    'squatine',
    'squatines',
    'squats',
    'squatta',
    'squattai',
    'squattaient',
    'squattais',
    'squattait',
    'squattant',
    'squattas',
    'squattasse',
    'squattassent',
    'squattasses',
    'squattassiez',
    'squatte',
    'squattent',
    'squatter',
    'squattera',
    'squatterai',
    'squatterais',
    'squatterait',
    'squatteras',
    'squatterez',
    'squatteriez',
    'squatterions',
    'squatteriser',
    'squatterons',
    'squatteront',
    'squatters',
    'squattes',
    'squattez',
    'squattiez',
    'squattions',
    'squattons',
    'squattâmes',
    'squattât',
    'squattâtes',
    'squattèrent',
    'squatté',
    'squattée',
    'squattées',
    'squattérisa',
    'squattérisai',
    'squattérisas',
    'squattérise',
    'squattériser',
    'squattérises',
    'squattérisez',
    'squattérisât',
    'squattérisé',
    'squattérisée',
    'squattérisés',
    'squattés',
    'squaw',
    'squaws',
    'squelette',
    'squelettes',
    'squelettique',
    'squille',
    'squilles',
    'squirre',
    'squirres',
    'squirreuse',
    'squirreuses',
    'squirreux',
    'squirrhe',
    'squirrhes',
    'squirrheuse',
    'squirrheuses',
    'squirrheux',
    'stabilimètre',
    'stabilisa',
    'stabilisai',
    'stabilisais',
    'stabilisait',
    'stabilisant',
    'stabilisante',
    'stabilisants',
    'stabilisas',
    'stabilisasse',
    'stabilise',
    'stabilisent',
    'stabiliser',
    'stabilisera',
    'stabiliserai',
    'stabiliseras',
    'stabiliserez',
    'stabilises',
    'stabilisez',
    'stabilisiez',
    'stabilisions',
    'stabilisons',
    'stabilisâmes',
    'stabilisât',
    'stabilisâtes',
    'stabilisé',
    'stabilisée',
    'stabilisées',
    'stabilisés',
    'stabilité',
    'stabilités',
    'stable',
    'stables',
    'stabulation',
    'stabulations',
    'staccato',
    'staccatos',
    'stade',
    'stades',
    'stadhouder',
    'stadhouders',
    'stadia',
    'stadias',
    'staff',
    'staffa',
    'staffai',
    'staffaient',
    'staffais',
    'staffait',
    'staffant',
    'staffas',
    'staffasse',
    'staffassent',
    'staffasses',
    'staffassiez',
    'staffassions',
    'staffe',
    'staffent',
    'staffer',
    'staffera',
    'stafferai',
    'stafferaient',
    'stafferais',
    'stafferait',
    'stafferas',
    'stafferez',
    'stafferiez',
    'stafferions',
    'stafferons',
    'stafferont',
    'staffes',
    'staffeur',
    'staffeurs',
    'staffez',
    'staffiez',
    'staffions',
    'staffons',
    'staffs',
    'staffâmes',
    'staffât',
    'staffâtes',
    'staffèrent',
    'staffé',
    'staffée',
    'staffées',
    'staffés',
    'stage',
    'stages',
    'stagflation',
    'stagflations',
    'stagiaire',
    'stagiaires',
    'stagna',
    'stagnai',
    'stagnaient',
    'stagnais',
    'stagnait',
    'stagnant',
    'stagnante',
    'stagnantes',
    'stagnants',
    'stagnas',
    'stagnasse',
    'stagnassent',
    'stagnasses',
    'stagnassiez',
    'stagnassions',
    'stagnation',
    'stagnations',
    'stagne',
    'stagnent',
    'stagner',
    'stagnera',
    'stagnerai',
    'stagneraient',
    'stagnerais',
    'stagnerait',
    'stagneras',
    'stagnerez',
    'stagneriez',
    'stagnerions',
    'stagnerons',
    'stagneront',
    'stagnes',
    'stagnez',
    'stagniez',
    'stagnions',
    'stagnons',
    'stagnâmes',
    'stagnât',
    'stagnâtes',
    'stagnèrent',
    'stagné',
    'stakning',
    'staknings',
    'stalactite',
    'stalactites',
    'stalag',
    'stalagmite',
    'stalagmites',
    'stalags',
    'stalinien',
    'stalinienne',
    'staliniennes',
    'staliniens',
    'stalinisa',
    'stalinisai',
    'stalinisais',
    'stalinisait',
    'stalinisant',
    'stalinisas',
    'stalinisasse',
    'stalinise',
    'stalinisent',
    'staliniser',
    'stalinisera',
    'staliniserai',
    'staliniseras',
    'staliniserez',
    'stalinises',
    'stalinisez',
    'stalinisiez',
    'stalinisions',
    'stalinisme',
    'stalinismes',
    'stalinisons',
    'stalinisâmes',
    'stalinisât',
    'stalinisâtes',
    'stalinisé',
    'stalinisée',
    'stalinisées',
    'stalinisés',
    'stalle',
    'stalles',
    'staminal',
    'staminale',
    'staminales',
    'staminaux',
    'staminifère',
    'staminifères',
    'staminé',
    'staminée',
    'staminées',
    'staminés',
    'stance',
    'stances',
    'stand',
    'standard',
    'standardisa',
    'standardisai',
    'standardisas',
    'standardise',
    'standardiser',
    'standardises',
    'standardisez',
    'standardiste',
    'standardisât',
    'standardisé',
    'standardisée',
    'standardisés',
    'standards',
    'standing',
    'standings',
    'stands',
    'staphylin',
    'staphyline',
    'staphylines',
    'staphylins',
    'staphylome',
    'staphylomes',
    'star',
    'starets',
    'starie',
    'staries',
    'stariets',
    'starifia',
    'starifiai',
    'starifiaient',
    'starifiais',
    'starifiait',
    'starifiant',
    'starifias',
    'starifiasse',
    'starifiasses',
    'starifie',
    'starifient',
    'starifier',
    'starifiera',
    'starifierai',
    'starifierais',
    'starifierait',
    'starifieras',
    'starifierez',
    'starifieriez',
    'starifierons',
    'starifieront',
    'starifies',
    'starifiez',
    'starifiiez',
    'starifiions',
    'starifions',
    'starifiâmes',
    'starifiât',
    'starifiâtes',
    'starifièrent',
    'starifié',
    'starifiée',
    'starifiées',
    'starifiés',
    'starisa',
    'starisai',
    'starisaient',
    'starisais',
    'starisait',
    'starisant',
    'starisas',
    'starisasse',
    'starisassent',
    'starisasses',
    'starisassiez',
    'starise',
    'starisent',
    'stariser',
    'starisera',
    'stariserai',
    'stariserais',
    'stariserait',
    'stariseras',
    'stariserez',
    'stariseriez',
    'stariserions',
    'stariserons',
    'stariseront',
    'starises',
    'starisez',
    'starisiez',
    'starisions',
    'starisons',
    'starisâmes',
    'starisât',
    'starisâtes',
    'starisèrent',
    'starisé',
    'starisée',
    'starisées',
    'starisés',
    'starlette',
    'starlettes',
    'staroste',
    'starostes',
    'stars',
    'starter',
    'starters',
    'stase',
    'stases',
    'stathouder',
    'stathouders',
    'stathoudérat',
    'statice',
    'statices',
    'statif',
    'statifs',
    'station',
    'stationna',
    'stationnai',
    'stationnaire',
    'stationnais',
    'stationnait',
    'stationnant',
    'stationnas',
    'stationnasse',
    'stationne',
    'stationnent',
    'stationner',
    'stationnera',
    'stationnerai',
    'stationneras',
    'stationnerez',
    'stationnes',
    'stationnez',
    'stationniez',
    'stationnions',
    'stationnons',
    'stationnâmes',
    'stationnât',
    'stationnâtes',
    'stationné',
    'stationnée',
    'stationnées',
    'stationnés',
    'stations',
    'statique',
    'statiquement',
    'statiques',
    'statisticien',
    'statistique',
    'statistiques',
    'stative',
    'statives',
    'stator',
    'stators',
    'statthalter',
    'statthalters',
    'statu',
    'statua',
    'statuai',
    'statuaient',
    'statuaire',
    'statuaires',
    'statuais',
    'statuait',
    'statuant',
    'statuas',
    'statuasse',
    'statuassent',
    'statuasses',
    'statuassiez',
    'statuassions',
    'statue',
    'statuent',
    'statuer',
    'statuera',
    'statuerai',
    'statueraient',
    'statuerais',
    'statuerait',
    'statueras',
    'statuerez',
    'statueriez',
    'statuerions',
    'statuerons',
    'statueront',
    'statues',
    'statuette',
    'statuettes',
    'statuez',
    'statufia',
    'statufiai',
    'statufiaient',
    'statufiais',
    'statufiait',
    'statufiant',
    'statufias',
    'statufiasse',
    'statufiasses',
    'statufie',
    'statufient',
    'statufier',
    'statufiera',
    'statufierai',
    'statufierais',
    'statufierait',
    'statufieras',
    'statufierez',
    'statufieriez',
    'statufierons',
    'statufieront',
    'statufies',
    'statufiez',
    'statufiiez',
    'statufiions',
    'statufions',
    'statufiâmes',
    'statufiât',
    'statufiâtes',
    'statufièrent',
    'statufié',
    'statufiée',
    'statufiées',
    'statufiés',
    'statuiez',
    'statuions',
    'statuons',
    'stature',
    'statures',
    'statut',
    'statutaire',
    'statutaires',
    'statuts',
    'statuâmes',
    'statuât',
    'statuâtes',
    'statuèrent',
    'statué',
    'statuée',
    'statuées',
    'statués',
    'statère',
    'statères',
    'stawug',
    'stawugs',
    'stayer',
    'stayers',
    'steak',
    'steaks',
    'steamer',
    'steamers',
    'steeple',
    'steeples',
    'steinbock',
    'steinbocks',
    'stellage',
    'stellages',
    'stellaire',
    'stellaires',
    'stem',
    'stemm',
    'stemms',
    'stems',
    'stencil',
    'stenciliste',
    'stencilistes',
    'stencils',
    'stendhalien',
    'stendhaliens',
    'stentor',
    'stentors',
    'steppage',
    'steppages',
    'steppe',
    'stepper',
    'steppers',
    'steppes',
    'steppeur',
    'steppeurs',
    'steppique',
    'steppiques',
    'stercoraire',
    'stercoraires',
    'stercoral',
    'stercorale',
    'stercorales',
    'stercoraux',
    'sterlet',
    'sterlets',
    'sterling',
    'sternal',
    'sternale',
    'sternales',
    'sternaux',
    'sterne',
    'sternes',
    'sternum',
    'sternums',
    'sternutation',
    'stertoreuse',
    'stertoreuses',
    'stertoreux',
    'steward',
    'stewards',
    'sthène',
    'sthènes',
    'stibine',
    'stibines',
    'stibié',
    'stibiée',
    'stibiées',
    'stibiés',
    'stichomythie',
    'stick',
    'sticks',
    'stigmate',
    'stigmates',
    'stigmatique',
    'stigmatiques',
    'stigmatisa',
    'stigmatisai',
    'stigmatisais',
    'stigmatisait',
    'stigmatisant',
    'stigmatisas',
    'stigmatise',
    'stigmatisent',
    'stigmatiser',
    'stigmatisera',
    'stigmatises',
    'stigmatisez',
    'stigmatisiez',
    'stigmatisme',
    'stigmatismes',
    'stigmatisons',
    'stigmatisât',
    'stigmatisé',
    'stigmatisée',
    'stigmatisées',
    'stigmatisés',
    'stillation',
    'stillations',
    'stilligoutte',
    'stimugène',
    'stimugènes',
    'stimula',
    'stimulai',
    'stimulaient',
    'stimulais',
    'stimulait',
    'stimulant',
    'stimulante',
    'stimulantes',
    'stimulants',
    'stimulas',
    'stimulasse',
    'stimulassent',
    'stimulasses',
    'stimulassiez',
    'stimulateur',
    'stimulateurs',
    'stimulation',
    'stimulations',
    'stimulatrice',
    'stimule',
    'stimulent',
    'stimuler',
    'stimulera',
    'stimulerai',
    'stimulerais',
    'stimulerait',
    'stimuleras',
    'stimulerez',
    'stimuleriez',
    'stimulerions',
    'stimulerons',
    'stimuleront',
    'stimules',
    'stimulez',
    'stimuli',
    'stimuliez',
    'stimuline',
    'stimulines',
    'stimulions',
    'stimulons',
    'stimulus',
    'stimulâmes',
    'stimulât',
    'stimulâtes',
    'stimulèrent',
    'stimulé',
    'stimulée',
    'stimulées',
    'stimulés',
    'stipe',
    'stipendia',
    'stipendiai',
    'stipendiaire',
    'stipendiais',
    'stipendiait',
    'stipendiant',
    'stipendias',
    'stipendiasse',
    'stipendie',
    'stipendient',
    'stipendier',
    'stipendiera',
    'stipendierai',
    'stipendieras',
    'stipendierez',
    'stipendies',
    'stipendiez',
    'stipendiiez',
    'stipendiions',
    'stipendions',
    'stipendiâmes',
    'stipendiât',
    'stipendiâtes',
    'stipendié',
    'stipendiée',
    'stipendiées',
    'stipendiés',
    'stipes',
    'stipité',
    'stipitée',
    'stipitées',
    'stipités',
    'stiple',
    'stiples',
    'stipula',
    'stipulai',
    'stipulaient',
    'stipulaire',
    'stipulaires',
    'stipulais',
    'stipulait',
    'stipulant',
    'stipulas',
    'stipulasse',
    'stipulassent',
    'stipulasses',
    'stipulassiez',
    'stipulation',
    'stipulations',
    'stipule',
    'stipulent',
    'stipuler',
    'stipulera',
    'stipulerai',
    'stipulerais',
    'stipulerait',
    'stipuleras',
    'stipulerez',
    'stipuleriez',
    'stipulerions',
    'stipulerons',
    'stipuleront',
    'stipules',
    'stipulez',
    'stipuliez',
    'stipulions',
    'stipulons',
    'stipulâmes',
    'stipulât',
    'stipulâtes',
    'stipulèrent',
    'stipulé',
    'stipulée',
    'stipulées',
    'stipulés',
    'stochastique',
    'stock',
    'stocka',
    'stockage',
    'stockages',
    'stockai',
    'stockaient',
    'stockais',
    'stockait',
    'stockant',
    'stockas',
    'stockasse',
    'stockassent',
    'stockasses',
    'stockassiez',
    'stockassions',
    'stocke',
    'stockent',
    'stocker',
    'stockera',
    'stockerai',
    'stockeraient',
    'stockerais',
    'stockerait',
    'stockeras',
    'stockerez',
    'stockeriez',
    'stockerions',
    'stockerons',
    'stockeront',
    'stockes',
    'stockez',
    'stockfisch',
    'stockfischs',
    'stockiez',
    'stockions',
    'stockiste',
    'stockistes',
    'stockons',
    'stocks',
    'stockâmes',
    'stockât',
    'stockâtes',
    'stockèrent',
    'stocké',
    'stockée',
    'stockées',
    'stockés',
    'stoker',
    'stokers',
    'stolon',
    'stolonifère',
    'stolonifères',
    'stolons',
    'stomacal',
    'stomacale',
    'stomacales',
    'stomacaux',
    'stomachique',
    'stomachiques',
    'stomate',
    'stomates',
    'stomatite',
    'stomatites',
    'stomatologie',
    'stomatologue',
    'stomatoscope',
    'stomoxe',
    'stomoxes',
    'stop',
    'stoppa',
    'stoppage',
    'stoppages',
    'stoppai',
    'stoppaient',
    'stoppais',
    'stoppait',
    'stoppant',
    'stoppas',
    'stoppasse',
    'stoppassent',
    'stoppasses',
    'stoppassiez',
    'stoppassions',
    'stoppe',
    'stoppent',
    'stopper',
    'stoppera',
    'stopperai',
    'stopperaient',
    'stopperais',
    'stopperait',
    'stopperas',
    'stopperez',
    'stopperiez',
    'stopperions',
    'stopperons',
    'stopperont',
    'stoppes',
    'stoppeur',
    'stoppeurs',
    'stoppeuse',
    'stoppeuses',
    'stoppez',
    'stoppiez',
    'stoppions',
    'stoppons',
    'stoppâmes',
    'stoppât',
    'stoppâtes',
    'stoppèrent',
    'stoppé',
    'stoppée',
    'stoppées',
    'stoppés',
    'stops',
    'storax',
    'store',
    'stores',
    'storiste',
    'storistes',
    'stout',
    'stouts',
    'stoïcien',
    'stoïcienne',
    'stoïciennes',
    'stoïciens',
    'stoïcisme',
    'stoïcismes',
    'stoïque',
    'stoïquement',
    'stoïques',
    'strabique',
    'strabiques',
    'strabisme',
    'strabismes',
    'stradiot',
    'stradiots',
    'stradivarius',
    'stramoine',
    'stramoines',
    'stramonium',
    'stramoniums',
    'strangula',
    'strangulai',
    'strangulais',
    'strangulait',
    'strangulant',
    'strangulas',
    'strangulasse',
    'strangule',
    'strangulent',
    'stranguler',
    'strangulera',
    'strangulerai',
    'stranguleras',
    'strangulerez',
    'strangules',
    'strangulez',
    'stranguliez',
    'strangulions',
    'strangulons',
    'strangulâmes',
    'strangulât',
    'strangulâtes',
    'strangulé',
    'strangulée',
    'strangulées',
    'strangulés',
    'strapontin',
    'strapontins',
    'stras',
    'strass',
    'stratagème',
    'stratagèmes',
    'strate',
    'strates',
    'stratifia',
    'stratifiai',
    'stratifiais',
    'stratifiait',
    'stratifiant',
    'stratifias',
    'stratifiasse',
    'stratifie',
    'stratifient',
    'stratifier',
    'stratifiera',
    'stratifierai',
    'stratifieras',
    'stratifierez',
    'stratifies',
    'stratifiez',
    'stratifiiez',
    'stratifiions',
    'stratifions',
    'stratifiâmes',
    'stratifiât',
    'stratifiâtes',
    'stratifié',
    'stratifiée',
    'stratifiées',
    'stratifiés',
    'stratiome',
    'stratiomes',
    'stratiomys',
    'stratopause',
    'stratopauses',
    'stratosphère',
    'stratovision',
    'stratum',
    'stratums',
    'stratus',
    'stratège',
    'stratèges',
    'stratégie',
    'stratégies',
    'stratégique',
    'stratégiques',
    'streptocoque',
    'stress',
    'stressa',
    'stressai',
    'stressaient',
    'stressais',
    'stressait',
    'stressant',
    'stressante',
    'stressantes',
    'stressants',
    'stressas',
    'stressasse',
    'stressassent',
    'stressasses',
    'stressassiez',
    'stresse',
    'stressent',
    'stresser',
    'stressera',
    'stresserai',
    'stresserais',
    'stresserait',
    'stresseras',
    'stresserez',
    'stresseriez',
    'stresserions',
    'stresserons',
    'stresseront',
    'stresses',
    'stressez',
    'stressiez',
    'stressions',
    'stressons',
    'stressâmes',
    'stressât',
    'stressâtes',
    'stressèrent',
    'stressé',
    'stressée',
    'stressées',
    'stressés',
    'stretch',
    'strette',
    'strettes',
    'stria',
    'striai',
    'striaient',
    'striais',
    'striait',
    'striant',
    'strias',
    'striasse',
    'striassent',
    'striasses',
    'striassiez',
    'striassions',
    'striation',
    'striations',
    'strict',
    'stricte',
    'strictement',
    'strictes',
    'striction',
    'strictions',
    'stricts',
    'stridence',
    'stridences',
    'strident',
    'stridente',
    'stridentes',
    'stridents',
    'stridor',
    'stridors',
    'stridula',
    'stridulai',
    'stridulaient',
    'stridulais',
    'stridulait',
    'stridulant',
    'stridulante',
    'stridulantes',
    'stridulants',
    'stridulas',
    'stridulasse',
    'stridulasses',
    'stridulation',
    'stridule',
    'stridulent',
    'striduler',
    'stridulera',
    'stridulerai',
    'stridulerais',
    'stridulerait',
    'striduleras',
    'stridulerez',
    'striduleriez',
    'stridulerons',
    'striduleront',
    'stridules',
    'striduleuse',
    'striduleuses',
    'striduleux',
    'stridulez',
    'striduliez',
    'stridulions',
    'stridulons',
    'stridulâmes',
    'stridulât',
    'stridulâtes',
    'stridulèrent',
    'stridulé',
    'stridulée',
    'stridulées',
    'stridulés',
    'strie',
    'strient',
    'strier',
    'striera',
    'strierai',
    'strieraient',
    'strierais',
    'strierait',
    'strieras',
    'strierez',
    'strieriez',
    'strierions',
    'strierons',
    'strieront',
    'stries',
    'striez',
    'strige',
    'striges',
    'strigile',
    'strigiles',
    'striiez',
    'striions',
    'string',
    'strings',
    'strions',
    'strioscopie',
    'strioscopies',
    'stripage',
    'stripages',
    'strippa',
    'strippai',
    'strippaient',
    'strippais',
    'strippait',
    'strippant',
    'strippas',
    'strippasse',
    'strippassent',
    'strippasses',
    'strippassiez',
    'strippe',
    'strippent',
    'stripper',
    'strippera',
    'stripperai',
    'stripperais',
    'stripperait',
    'stripperas',
    'stripperez',
    'stripperiez',
    'stripperions',
    'stripperons',
    'stripperont',
    'strippes',
    'strippez',
    'strippiez',
    'stripping',
    'strippings',
    'strippions',
    'strippons',
    'strippâmes',
    'strippât',
    'strippâtes',
    'strippèrent',
    'strippé',
    'strippée',
    'strippées',
    'strippés',
    'striqua',
    'striquai',
    'striquaient',
    'striquais',
    'striquait',
    'striquant',
    'striquas',
    'striquasse',
    'striquassent',
    'striquasses',
    'striquassiez',
    'strique',
    'striquent',
    'striquer',
    'striquera',
    'striquerai',
    'striquerais',
    'striquerait',
    'striqueras',
    'striquerez',
    'striqueriez',
    'striquerions',
    'striquerons',
    'striqueront',
    'striques',
    'striquez',
    'striquiez',
    'striquions',
    'striquons',
    'striquâmes',
    'striquât',
    'striquâtes',
    'striquèrent',
    'striqué',
    'striquée',
    'striquées',
    'striqués',
    'striure',
    'striures',
    'strix',
    'striâmes',
    'striât',
    'striâtes',
    'strièrent',
    'strié',
    'striée',
    'striées',
    'striés',
    'strobile',
    'strobiles',
    'stroborama',
    'stroboramas',
    'stroboscope',
    'stroboscopes',
    'stroboscopie',
    'stroma',
    'stromas',
    'strombe',
    'strombes',
    'strombolien',
    'stromboliens',
    'strongle',
    'strongles',
    'strongyle',
    'strongyles',
    'strongylose',
    'strongyloses',
    'strontiane',
    'strontianes',
    'strontium',
    'strontiums',
    'strophante',
    'strophantes',
    'strophantine',
    'strophantus',
    'strophe',
    'strophes',
    'structura',
    'structurable',
    'structurai',
    'structurais',
    'structurait',
    'structural',
    'structurale',
    'structurales',
    'structurant',
    'structurante',
    'structurants',
    'structuras',
    'structurasse',
    'structuraux',
    'structure',
    'structurel',
    'structurelle',
    'structurels',
    'structurent',
    'structurer',
    'structurera',
    'structurerai',
    'structureras',
    'structurerez',
    'structures',
    'structurez',
    'structuriez',
    'structurions',
    'structurons',
    'structurâmes',
    'structurât',
    'structurâtes',
    'structuré',
    'structurée',
    'structurées',
    'structurés',
    'strume',
    'strumes',
    'strychnine',
    'strychnines',
    'stryge',
    'stryges',
    'stuc',
    'stucage',
    'stucages',
    'stucateur',
    'stucateurs',
    'stucs',
    'studette',
    'studettes',
    'studieuse',
    'studieuses',
    'studieux',
    'studio',
    'studios',
    'stupeur',
    'stupeurs',
    'stupide',
    'stupidement',
    'stupides',
    'stupidité',
    'stupidités',
    'stupre',
    'stupres',
    'stupéfaction',
    'stupéfaire',
    'stupéfait',
    'stupéfaite',
    'stupéfaites',
    'stupéfaits',
    'stupéfia',
    'stupéfiai',
    'stupéfiaient',
    'stupéfiais',
    'stupéfiait',
    'stupéfiant',
    'stupéfiante',
    'stupéfiantes',
    'stupéfiants',
    'stupéfias',
    'stupéfiasse',
    'stupéfiasses',
    'stupéfie',
    'stupéfient',
    'stupéfier',
    'stupéfiera',
    'stupéfierai',
    'stupéfierais',
    'stupéfierait',
    'stupéfieras',
    'stupéfierez',
    'stupéfieriez',
    'stupéfierons',
    'stupéfieront',
    'stupéfies',
    'stupéfiez',
    'stupéfiiez',
    'stupéfiions',
    'stupéfions',
    'stupéfiâmes',
    'stupéfiât',
    'stupéfiâtes',
    'stupéfièrent',
    'stupéfié',
    'stupéfiée',
    'stupéfiées',
    'stupéfiés',
    'stuqua',
    'stuquai',
    'stuquaient',
    'stuquais',
    'stuquait',
    'stuquant',
    'stuquas',
    'stuquasse',
    'stuquassent',
    'stuquasses',
    'stuquassiez',
    'stuquassions',
    'stuque',
    'stuquent',
    'stuquer',
    'stuquera',
    'stuquerai',
    'stuqueraient',
    'stuquerais',
    'stuquerait',
    'stuqueras',
    'stuquerez',
    'stuqueriez',
    'stuquerions',
    'stuquerons',
    'stuqueront',
    'stuques',
    'stuquez',
    'stuquiez',
    'stuquions',
    'stuquons',
    'stuquâmes',
    'stuquât',
    'stuquâtes',
    'stuquèrent',
    'stuqué',
    'stuquée',
    'stuquées',
    'stuqués',
    'styla',
    'stylai',
    'stylaient',
    'stylais',
    'stylait',
    'stylant',
    'stylas',
    'stylasse',
    'stylassent',
    'stylasses',
    'stylassiez',
    'stylassions',
    'style',
    'stylent',
    'styler',
    'stylera',
    'stylerai',
    'styleraient',
    'stylerais',
    'stylerait',
    'styleras',
    'stylerez',
    'styleriez',
    'stylerions',
    'stylerons',
    'styleront',
    'styles',
    'stylet',
    'stylets',
    'stylez',
    'styliez',
    'stylions',
    'stylisa',
    'stylisai',
    'stylisaient',
    'stylisais',
    'stylisait',
    'stylisant',
    'stylisas',
    'stylisasse',
    'stylisassent',
    'stylisasses',
    'stylisassiez',
    'stylisation',
    'stylisations',
    'stylise',
    'stylisent',
    'styliser',
    'stylisera',
    'styliserai',
    'styliserais',
    'styliserait',
    'styliseras',
    'styliserez',
    'styliseriez',
    'styliserions',
    'styliserons',
    'styliseront',
    'stylises',
    'stylisez',
    'stylisiez',
    'stylisions',
    'stylisme',
    'stylismes',
    'stylisons',
    'styliste',
    'stylistes',
    'stylisticien',
    'stylistique',
    'stylistiques',
    'stylisâmes',
    'stylisât',
    'stylisâtes',
    'stylisèrent',
    'stylisé',
    'stylisée',
    'stylisées',
    'stylisés',
    'stylite',
    'stylites',
    'stylo',
    'stylobate',
    'stylobates',
    'stylographe',
    'stylographes',
    'stylomine',
    'stylomines',
    'stylons',
    'stylos',
    'styloïde',
    'styloïdes',
    'stylâmes',
    'stylât',
    'stylâtes',
    'stylèrent',
    'stylé',
    'stylée',
    'stylées',
    'stylés',
    'styptique',
    'styptiques',
    'styrax',
    'styrolène',
    'styrolènes',
    'styrène',
    'styrènes',
    'stèle',
    'stèles',
    'stère',
    'stèrent',
    'stères',
    'stéarate',
    'stéarates',
    'stéarine',
    'stéarinerie',
    'stéarineries',
    'stéarines',
    'stéarinier',
    'stéariniers',
    'stéarique',
    'stéariques',
    'stéatite',
    'stéatites',
    'stéatopyge',
    'stéatopyges',
    'stéatose',
    'stéatoses',
    'stégomyie',
    'stégomyies',
    'stégosaure',
    'stégosaures',
    'sténo',
    'sténodactylo',
    'sténogramme',
    'sténogrammes',
    'sténographe',
    'sténographes',
    'sténographia',
    'sténographie',
    'sténographié',
    'sténopé',
    'sténopés',
    'sténos',
    'sténosage',
    'sténosages',
    'sténose',
    'sténoses',
    'sténotypa',
    'sténotypai',
    'sténotypais',
    'sténotypait',
    'sténotypant',
    'sténotypas',
    'sténotypasse',
    'sténotype',
    'sténotypent',
    'sténotyper',
    'sténotypera',
    'sténotyperai',
    'sténotyperas',
    'sténotyperez',
    'sténotypes',
    'sténotypez',
    'sténotypie',
    'sténotypies',
    'sténotypiez',
    'sténotypions',
    'sténotypiste',
    'sténotypons',
    'sténotypâmes',
    'sténotypât',
    'sténotypâtes',
    'sténotypé',
    'sténotypée',
    'sténotypées',
    'sténotypés',
    'stéphane',
    'stéra',
    'stéradian',
    'stéradians',
    'stérai',
    'stéraient',
    'stérais',
    'stérait',
    'stérant',
    'stéras',
    'stérasse',
    'stérassent',
    'stérasses',
    'stérassiez',
    'stérassions',
    'stérer',
    'stérera',
    'stérerai',
    'stéreraient',
    'stérerais',
    'stérerait',
    'stéreras',
    'stérerez',
    'stéreriez',
    'stérerions',
    'stérerons',
    'stéreront',
    'stérez',
    'stéride',
    'stérides',
    'stériez',
    'stérile',
    'stérilement',
    'stériles',
    'stérilet',
    'stérilets',
    'stérilisa',
    'stérilisai',
    'stérilisais',
    'stérilisait',
    'stérilisant',
    'stérilisante',
    'stérilisants',
    'stérilisas',
    'stérilisasse',
    'stérilise',
    'stérilisent',
    'stériliser',
    'stérilisera',
    'stériliserai',
    'stériliseras',
    'stériliserez',
    'stérilises',
    'stérilisez',
    'stérilisiez',
    'stérilisions',
    'stérilisons',
    'stériliste',
    'stérilistes',
    'stérilisâmes',
    'stérilisât',
    'stérilisâtes',
    'stérilisé',
    'stérilisée',
    'stérilisées',
    'stérilisés',
    'stérilité',
    'stérilités',
    'stérions',
    'stérique',
    'stériques',
    'stérol',
    'stérols',
    'stérons',
    'stéroïde',
    'stéroïdes',
    'stérâmes',
    'stérât',
    'stérâtes',
    'stérèrent',
    'stéré',
    'stérée',
    'stérées',
    'stéréo',
    'stéréobate',
    'stéréobates',
    'stéréochimie',
    'stéréoduc',
    'stéréoducs',
    'stéréognosie',
    'stéréogramme',
    'stéréométrie',
    'stéréophonie',
    'stéréos',
    'stéréoscope',
    'stéréoscopes',
    'stéréoscopie',
    'stéréotomie',
    'stéréotomies',
    'stéréotypa',
    'stéréotypai',
    'stéréotypais',
    'stéréotypait',
    'stéréotypant',
    'stéréotypas',
    'stéréotype',
    'stéréotypent',
    'stéréotyper',
    'stéréotypera',
    'stéréotypes',
    'stéréotypez',
    'stéréotypie',
    'stéréotypies',
    'stéréotypiez',
    'stéréotypons',
    'stéréotypât',
    'stéréotypé',
    'stéréotypée',
    'stéréotypées',
    'stéréotypés',
    'stérés',
    'stéthoscope',
    'stéthoscopes',
    'suage',
    'suages',
    'suai',
    'suaient',
    'suaire',
    'suaires',
    'suais',
    'suait',
    'suant',
    'suante',
    'suantes',
    'suants',
    'suas',
    'suasse',
    'suassent',
    'suasses',
    'suassiez',
    'suassions',
    'suave',
    'suavement',
    'suaves',
    'suavité',
    'suavités',
    'subaigu',
    'subaigue',
    'subaigues',
    'subaigus',
    'subalpin',
    'subalpine',
    'subalpines',
    'subalpins',
    'subalterne',
    'subalternes',
    'subaquatique',
    'subarctique',
    'subarctiques',
    'subatomique',
    'subatomiques',
    'subconscient',
    'subdivisa',
    'subdivisai',
    'subdivisais',
    'subdivisait',
    'subdivisant',
    'subdivisas',
    'subdivisasse',
    'subdivise',
    'subdivisent',
    'subdiviser',
    'subdivisera',
    'subdiviserai',
    'subdiviseras',
    'subdiviserez',
    'subdivises',
    'subdivisez',
    'subdivisiez',
    'subdivision',
    'subdivisions',
    'subdivisons',
    'subdivisâmes',
    'subdivisât',
    'subdivisâtes',
    'subdivisé',
    'subdivisée',
    'subdivisées',
    'subdivisés',
    'subduction',
    'subductions',
    'subdélègue',
    'subdélèguent',
    'subdélègues',
    'subdélégua',
    'subdéléguai',
    'subdéléguais',
    'subdéléguait',
    'subdéléguant',
    'subdéléguas',
    'subdéléguer',
    'subdéléguera',
    'subdéléguez',
    'subdéléguiez',
    'subdéléguons',
    'subdéléguât',
    'subdélégué',
    'subdéléguée',
    'subdéléguées',
    'subdélégués',
    'suber',
    'subers',
    'subfébrile',
    'subfébriles',
    'subi',
    'subie',
    'subies',
    'subintrant',
    'subintrante',
    'subintrantes',
    'subintrants',
    'subir',
    'subira',
    'subirai',
    'subiraient',
    'subirais',
    'subirait',
    'subiras',
    'subirent',
    'subirez',
    'subiriez',
    'subirions',
    'subirons',
    'subiront',
    'subis',
    'subissaient',
    'subissais',
    'subissait',
    'subissant',
    'subisse',
    'subissent',
    'subisses',
    'subissez',
    'subissiez',
    'subissions',
    'subissons',
    'subit',
    'subite',
    'subitement',
    'subites',
    'subito',
    'subits',
    'subjacent',
    'subjacente',
    'subjacentes',
    'subjacents',
    'subjectif',
    'subjectifs',
    'subjectile',
    'subjectiles',
    'subjective',
    'subjectives',
    'subjectivité',
    'subjonctif',
    'subjonctifs',
    'subjugua',
    'subjuguai',
    'subjuguaient',
    'subjuguais',
    'subjuguait',
    'subjuguant',
    'subjuguas',
    'subjuguasse',
    'subjuguasses',
    'subjugue',
    'subjuguent',
    'subjuguer',
    'subjuguera',
    'subjuguerai',
    'subjuguerais',
    'subjuguerait',
    'subjugueras',
    'subjuguerez',
    'subjugueriez',
    'subjuguerons',
    'subjugueront',
    'subjugues',
    'subjuguez',
    'subjuguiez',
    'subjuguions',
    'subjuguons',
    'subjuguâmes',
    'subjuguât',
    'subjuguâtes',
    'subjuguèrent',
    'subjugué',
    'subjuguée',
    'subjuguées',
    'subjugués',
    'sublima',
    'sublimai',
    'sublimaient',
    'sublimais',
    'sublimait',
    'sublimant',
    'sublimas',
    'sublimasse',
    'sublimassent',
    'sublimasses',
    'sublimassiez',
    'sublimation',
    'sublimations',
    'sublime',
    'sublimement',
    'subliment',
    'sublimer',
    'sublimera',
    'sublimerai',
    'sublimerais',
    'sublimerait',
    'sublimeras',
    'sublimerez',
    'sublimeriez',
    'sublimerions',
    'sublimerons',
    'sublimeront',
    'sublimes',
    'sublimez',
    'sublimiez',
    'subliminaire',
    'subliminal',
    'subliminale',
    'subliminales',
    'subliminaux',
    'sublimions',
    'sublimité',
    'sublimités',
    'sublimons',
    'sublimâmes',
    'sublimât',
    'sublimâtes',
    'sublimèrent',
    'sublimé',
    'sublimée',
    'sublimées',
    'sublimés',
    'sublingual',
    'sublinguale',
    'sublinguales',
    'sublinguaux',
    'sublunaire',
    'sublunaires',
    'submerge',
    'submergea',
    'submergeai',
    'submergeais',
    'submergeait',
    'submergeant',
    'submergeas',
    'submergeasse',
    'submergent',
    'submergeons',
    'submerger',
    'submergera',
    'submergerai',
    'submergerais',
    'submergerait',
    'submergeras',
    'submergerez',
    'submergeriez',
    'submergerons',
    'submergeront',
    'submerges',
    'submergez',
    'submergeâmes',
    'submergeât',
    'submergeâtes',
    'submergiez',
    'submergions',
    'submergèrent',
    'submergé',
    'submergée',
    'submergées',
    'submergés',
    'submersible',
    'submersibles',
    'submersion',
    'submersions',
    'subnarcose',
    'subnarcoses',
    'subodora',
    'subodorai',
    'subodoraient',
    'subodorais',
    'subodorait',
    'subodorant',
    'subodoras',
    'subodorasse',
    'subodorasses',
    'subodore',
    'subodorent',
    'subodorer',
    'subodorera',
    'subodorerai',
    'subodorerais',
    'subodorerait',
    'subodoreras',
    'subodorerez',
    'subodoreriez',
    'subodorerons',
    'subodoreront',
    'subodores',
    'subodorez',
    'subodoriez',
    'subodorions',
    'subodorons',
    'subodorâmes',
    'subodorât',
    'subodorâtes',
    'subodorèrent',
    'subodoré',
    'subodorée',
    'subodorées',
    'subodorés',
    'subordonna',
    'subordonnai',
    'subordonnais',
    'subordonnait',
    'subordonnant',
    'subordonnas',
    'subordonne',
    'subordonnent',
    'subordonner',
    'subordonnera',
    'subordonnes',
    'subordonnez',
    'subordonniez',
    'subordonnons',
    'subordonnât',
    'subordonné',
    'subordonnée',
    'subordonnées',
    'subordonnés',
    'suborna',
    'subornai',
    'subornaient',
    'subornais',
    'subornait',
    'subornant',
    'subornas',
    'subornasse',
    'subornassent',
    'subornasses',
    'subornassiez',
    'subornation',
    'subornations',
    'suborne',
    'subornent',
    'suborner',
    'subornera',
    'subornerai',
    'subornerais',
    'subornerait',
    'suborneras',
    'subornerez',
    'suborneriez',
    'subornerions',
    'subornerons',
    'suborneront',
    'subornes',
    'suborneur',
    'suborneurs',
    'suborneuse',
    'suborneuses',
    'subornez',
    'suborniez',
    'subornions',
    'subornons',
    'subornâmes',
    'subornât',
    'subornâtes',
    'subornèrent',
    'suborné',
    'subornée',
    'subornées',
    'subornés',
    'subreptice',
    'subreptices',
    'subreption',
    'subreptions',
    'subrogateur',
    'subrogateurs',
    'subrogatif',
    'subrogatifs',
    'subrogation',
    'subrogations',
    'subrogative',
    'subrogatives',
    'subrogatoire',
    'subroge',
    'subrogea',
    'subrogeai',
    'subrogeaient',
    'subrogeais',
    'subrogeait',
    'subrogeant',
    'subrogeas',
    'subrogeasse',
    'subrogeasses',
    'subrogent',
    'subrogeons',
    'subroger',
    'subrogera',
    'subrogerai',
    'subrogerais',
    'subrogerait',
    'subrogeras',
    'subrogerez',
    'subrogeriez',
    'subrogerions',
    'subrogerons',
    'subrogeront',
    'subroges',
    'subrogez',
    'subrogeâmes',
    'subrogeât',
    'subrogeâtes',
    'subrogiez',
    'subrogions',
    'subrogèrent',
    'subrogé',
    'subrogée',
    'subrogées',
    'subrogés',
    'subrécargue',
    'subrécargues',
    'subside',
    'subsidence',
    'subsides',
    'subsidiaire',
    'subsidiaires',
    'subsista',
    'subsistai',
    'subsistaient',
    'subsistais',
    'subsistait',
    'subsistance',
    'subsistances',
    'subsistant',
    'subsistante',
    'subsistantes',
    'subsistants',
    'subsistas',
    'subsistasse',
    'subsistasses',
    'subsiste',
    'subsistent',
    'subsister',
    'subsistera',
    'subsisterai',
    'subsisterais',
    'subsisterait',
    'subsisteras',
    'subsisterez',
    'subsisteriez',
    'subsisterons',
    'subsisteront',
    'subsistes',
    'subsistez',
    'subsistiez',
    'subsistions',
    'subsistons',
    'subsistâmes',
    'subsistât',
    'subsistâtes',
    'subsistèrent',
    'subsisté',
    'subsonique',
    'subsoniques',
    'substance',
    'substances',
    'substantiel',
    'substantiels',
    'substantif',
    'substantifs',
    'substantiva',
    'substantivai',
    'substantivas',
    'substantive',
    'substantiver',
    'substantives',
    'substantivez',
    'substantivât',
    'substantivé',
    'substantivée',
    'substantivés',
    'substitua',
    'substituai',
    'substituais',
    'substituait',
    'substituant',
    'substituas',
    'substituasse',
    'substitue',
    'substituent',
    'substituer',
    'substituera',
    'substituerai',
    'substitueras',
    'substituerez',
    'substitues',
    'substituez',
    'substituiez',
    'substituions',
    'substituons',
    'substitut',
    'substitutif',
    'substitutifs',
    'substitution',
    'substitutive',
    'substituts',
    'substituâmes',
    'substituât',
    'substituâtes',
    'substitué',
    'substituée',
    'substituées',
    'substitués',
    'substrat',
    'substrats',
    'substratum',
    'substratums',
    'subsumer',
    'subséquent',
    'subséquente',
    'subséquentes',
    'subséquents',
    'subterfuge',
    'subterfuges',
    'subtil',
    'subtile',
    'subtilement',
    'subtiles',
    'subtilisa',
    'subtilisai',
    'subtilisais',
    'subtilisait',
    'subtilisant',
    'subtilisas',
    'subtilisasse',
    'subtilise',
    'subtilisent',
    'subtiliser',
    'subtilisera',
    'subtiliserai',
    'subtiliseras',
    'subtiliserez',
    'subtilises',
    'subtilisez',
    'subtilisiez',
    'subtilisions',
    'subtilisons',
    'subtilisâmes',
    'subtilisât',
    'subtilisâtes',
    'subtilisé',
    'subtilisée',
    'subtilisées',
    'subtilisés',
    'subtilité',
    'subtilités',
    'subtils',
    'subtropical',
    'subtropicale',
    'subtropicaux',
    'subulé',
    'subulée',
    'subulées',
    'subulés',
    'suburbain',
    'suburbaine',
    'suburbaines',
    'suburbains',
    'suburbicaire',
    'subvenaient',
    'subvenais',
    'subvenait',
    'subvenant',
    'subvenez',
    'subveniez',
    'subvenions',
    'subvenir',
    'subvenons',
    'subvention',
    'subventionna',
    'subventionne',
    'subventionné',
    'subventions',
    'subvenu',
    'subvenue',
    'subvenues',
    'subvenus',
    'subversif',
    'subversifs',
    'subversion',
    'subversions',
    'subversive',
    'subversives',
    'subverti',
    'subvertie',
    'subverties',
    'subvertir',
    'subvertira',
    'subvertirai',
    'subvertirais',
    'subvertirait',
    'subvertiras',
    'subvertirent',
    'subvertirez',
    'subvertiriez',
    'subvertirons',
    'subvertiront',
    'subvertis',
    'subvertisse',
    'subvertisses',
    'subvertissez',
    'subvertit',
    'subvertîmes',
    'subvertît',
    'subvertîtes',
    'subviendra',
    'subviendrai',
    'subviendrais',
    'subviendrait',
    'subviendras',
    'subviendrez',
    'subviendriez',
    'subviendrons',
    'subviendront',
    'subvienne',
    'subviennent',
    'subviennes',
    'subviens',
    'subvient',
    'subvinrent',
    'subvins',
    'subvinsse',
    'subvinssent',
    'subvinsses',
    'subvinssiez',
    'subvinssions',
    'subvint',
    'subvînmes',
    'subvînt',
    'subvîntes',
    'subéreuse',
    'subéreuses',
    'subéreux',
    'subérine',
    'subérines',
    'subîmes',
    'subît',
    'subîtes',
    'succenturié',
    'succenturiée',
    'succenturiés',
    'successeur',
    'successeurs',
    'successible',
    'successibles',
    'successif',
    'successifs',
    'succession',
    'successions',
    'successive',
    'successives',
    'successoral',
    'successorale',
    'successoraux',
    'succin',
    'succinct',
    'succincte',
    'succinctes',
    'succincts',
    'succinique',
    'succiniques',
    'succins',
    'succion',
    'succions',
    'succomba',
    'succombai',
    'succombaient',
    'succombais',
    'succombait',
    'succombant',
    'succombas',
    'succombasse',
    'succombasses',
    'succombe',
    'succombent',
    'succomber',
    'succombera',
    'succomberai',
    'succomberais',
    'succomberait',
    'succomberas',
    'succomberez',
    'succomberiez',
    'succomberons',
    'succomberont',
    'succombes',
    'succombez',
    'succombiez',
    'succombions',
    'succombons',
    'succombâmes',
    'succombât',
    'succombâtes',
    'succombèrent',
    'succombé',
    'succube',
    'succubes',
    'succulence',
    'succulences',
    'succulent',
    'succulente',
    'succulentes',
    'succulents',
    'succursale',
    'succursales',
    'succède',
    'succèdent',
    'succèdes',
    'succès',
    'succéda',
    'succédai',
    'succédaient',
    'succédais',
    'succédait',
    'succédant',
    'succédané',
    'succédanée',
    'succédanées',
    'succédanés',
    'succédas',
    'succédasse',
    'succédassent',
    'succédasses',
    'succédassiez',
    'succéder',
    'succédera',
    'succéderai',
    'succéderais',
    'succéderait',
    'succéderas',
    'succéderez',
    'succéderiez',
    'succéderions',
    'succéderons',
    'succéderont',
    'succédez',
    'succédiez',
    'succédions',
    'succédons',
    'succédâmes',
    'succédât',
    'succédâtes',
    'succédèrent',
    'succédé',
    'succédée',
    'succédées',
    'succédés',
    'suce',
    'sucement',
    'sucements',
    'sucent',
    'sucer',
    'sucera',
    'sucerai',
    'suceraient',
    'sucerais',
    'sucerait',
    'suceras',
    'sucerez',
    'suceriez',
    'sucerions',
    'sucerons',
    'suceront',
    'suces',
    'sucette',
    'sucettes',
    'suceur',
    'suceurs',
    'suceuse',
    'suceuses',
    'sucez',
    'suciez',
    'sucions',
    'sucra',
    'sucrage',
    'sucrages',
    'sucrai',
    'sucraient',
    'sucrais',
    'sucrait',
    'sucrant',
    'sucrante',
    'sucrantes',
    'sucrants',
    'sucras',
    'sucrase',
    'sucrases',
    'sucrasse',
    'sucrassent',
    'sucrasses',
    'sucrassiez',
    'sucrassions',
    'sucrate',
    'sucrates',
    'sucre',
    'sucrent',
    'sucrer',
    'sucrera',
    'sucrerai',
    'sucreraient',
    'sucrerais',
    'sucrerait',
    'sucreras',
    'sucrerez',
    'sucrerie',
    'sucreries',
    'sucreriez',
    'sucrerions',
    'sucrerons',
    'sucreront',
    'sucres',
    'sucrez',
    'sucrier',
    'sucriers',
    'sucriez',
    'sucrin',
    'sucrins',
    'sucrions',
    'sucrière',
    'sucrières',
    'sucrons',
    'sucrâmes',
    'sucrât',
    'sucrâtes',
    'sucrèrent',
    'sucré',
    'sucrée',
    'sucrées',
    'sucrés',
    'sucs',
    'sucèrent',
    'sucé',
    'sucée',
    'sucées',
    'sucés',
    'sudation',
    'sudations',
    'sudatoire',
    'sudatoires',
    'sudiste',
    'sudistes',
    'sudoral',
    'sudorale',
    'sudorales',
    'sudoraux',
    'sudorifique',
    'sudorifiques',
    'sudorifère',
    'sudorifères',
    'sudoripare',
    'sudoripares',
    'suent',
    'suer',
    'suera',
    'suerai',
    'sueraient',
    'suerais',
    'suerait',
    'sueras',
    'suerez',
    'sueriez',
    'suerions',
    'suerons',
    'sueront',
    'sues',
    'suette',
    'suettes',
    'sueur',
    'sueurs',
    'suez',
    'suffi',
    'suffira',
    'suffirai',
    'suffiraient',
    'suffirais',
    'suffirait',
    'suffiras',
    'suffire',
    'suffirent',
    'suffirez',
    'suffiriez',
    'suffirions',
    'suffirons',
    'suffiront',
    'suffis',
    'suffisaient',
    'suffisais',
    'suffisait',
    'suffisamment',
    'suffisance',
    'suffisances',
    'suffisant',
    'suffisante',
    'suffisantes',
    'suffisants',
    'suffise',
    'suffisent',
    'suffises',
    'suffisez',
    'suffisiez',
    'suffisions',
    'suffisons',
    'suffisse',
    'suffissent',
    'suffisses',
    'suffissiez',
    'suffissions',
    'suffit',
    'suffite',
    'suffites',
    'suffits',
    'suffixa',
    'suffixai',
    'suffixaient',
    'suffixais',
    'suffixait',
    'suffixal',
    'suffixale',
    'suffixales',
    'suffixant',
    'suffixas',
    'suffixasse',
    'suffixassent',
    'suffixasses',
    'suffixassiez',
    'suffixation',
    'suffixations',
    'suffixaux',
    'suffixe',
    'suffixent',
    'suffixer',
    'suffixera',
    'suffixerai',
    'suffixerais',
    'suffixerait',
    'suffixeras',
    'suffixerez',
    'suffixeriez',
    'suffixerions',
    'suffixerons',
    'suffixeront',
    'suffixes',
    'suffixez',
    'suffixiez',
    'suffixions',
    'suffixons',
    'suffixâmes',
    'suffixât',
    'suffixâtes',
    'suffixèrent',
    'suffixé',
    'suffixée',
    'suffixées',
    'suffixés',
    'suffocant',
    'suffocante',
    'suffocantes',
    'suffocants',
    'suffocation',
    'suffocations',
    'suffoqua',
    'suffoquai',
    'suffoquaient',
    'suffoquais',
    'suffoquait',
    'suffoquant',
    'suffoquas',
    'suffoquasse',
    'suffoquasses',
    'suffoque',
    'suffoquent',
    'suffoquer',
    'suffoquera',
    'suffoquerai',
    'suffoquerais',
    'suffoquerait',
    'suffoqueras',
    'suffoquerez',
    'suffoqueriez',
    'suffoquerons',
    'suffoqueront',
    'suffoques',
    'suffoquez',
    'suffoquiez',
    'suffoquions',
    'suffoquons',
    'suffoquâmes',
    'suffoquât',
    'suffoquâtes',
    'suffoquèrent',
    'suffoqué',
    'suffoquée',
    'suffoquées',
    'suffoqués',
    'suffragant',
    'suffragante',
    'suffragantes',
    'suffragants',
    'suffrage',
    'suffrages',
    'suffragette',
    'suffragettes',
    'suffusion',
    'suffusions',
    'suffète',
    'suffètes',
    'suffîmes',
    'suffît',
    'suffîtes',
    'suggestible',
    'suggestibles',
    'suggestif',
    'suggestifs',
    'suggestion',
    'suggestionna',
    'suggestionne',
    'suggestionné',
    'suggestions',
    'suggestive',
    'suggestives',
    'suggère',
    'suggèrent',
    'suggères',
    'suggéra',
    'suggérai',
    'suggéraient',
    'suggérais',
    'suggérait',
    'suggérant',
    'suggéras',
    'suggérasse',
    'suggérassent',
    'suggérasses',
    'suggérassiez',
    'suggérer',
    'suggérera',
    'suggérerai',
    'suggérerais',
    'suggérerait',
    'suggéreras',
    'suggérerez',
    'suggéreriez',
    'suggérerions',
    'suggérerons',
    'suggéreront',
    'suggérez',
    'suggériez',
    'suggérions',
    'suggérons',
    'suggérâmes',
    'suggérât',
    'suggérâtes',
    'suggérèrent',
    'suggéré',
    'suggérée',
    'suggérées',
    'suggérés',
    'suicida',
    'suicidai',
    'suicidaient',
    'suicidaire',
    'suicidaires',
    'suicidais',
    'suicidait',
    'suicidant',
    'suicidas',
    'suicidasse',
    'suicidassent',
    'suicidasses',
    'suicidassiez',
    'suicide',
    'suicident',
    'suicider',
    'suicidera',
    'suiciderai',
    'suiciderais',
    'suiciderait',
    'suicideras',
    'suiciderez',
    'suicideriez',
    'suiciderions',
    'suiciderons',
    'suicideront',
    'suicides',
    'suicidez',
    'suicidiez',
    'suicidions',
    'suicidons',
    'suicidâmes',
    'suicidât',
    'suicidâtes',
    'suicidèrent',
    'suicidé',
    'suicidée',
    'suicidées',
    'suicidés',
    'suie',
    'suies',
    'suiez',
    'suif',
    'suifa',
    'suifai',
    'suifaient',
    'suifais',
    'suifait',
    'suifant',
    'suifas',
    'suifasse',
    'suifassent',
    'suifasses',
    'suifassiez',
    'suifassions',
    'suife',
    'suifent',
    'suifer',
    'suifera',
    'suiferai',
    'suiferaient',
    'suiferais',
    'suiferait',
    'suiferas',
    'suiferez',
    'suiferiez',
    'suiferions',
    'suiferons',
    'suiferont',
    'suifes',
    'suifez',
    'suiffa',
    'suiffai',
    'suiffaient',
    'suiffais',
    'suiffait',
    'suiffant',
    'suiffas',
    'suiffasse',
    'suiffassent',
    'suiffasses',
    'suiffassiez',
    'suiffassions',
    'suiffe',
    'suiffent',
    'suiffer',
    'suiffera',
    'suifferai',
    'suifferaient',
    'suifferais',
    'suifferait',
    'suifferas',
    'suifferez',
    'suifferiez',
    'suifferions',
    'suifferons',
    'suifferont',
    'suiffes',
    'suiffeuse',
    'suiffeuses',
    'suiffeux',
    'suiffez',
    'suiffiez',
    'suiffions',
    'suiffons',
    'suiffâmes',
    'suiffât',
    'suiffâtes',
    'suiffèrent',
    'suiffé',
    'suiffée',
    'suiffées',
    'suiffés',
    'suifiez',
    'suifions',
    'suifons',
    'suifs',
    'suifâmes',
    'suifât',
    'suifâtes',
    'suifèrent',
    'suifé',
    'suifée',
    'suifées',
    'suifés',
    'suint',
    'suinta',
    'suintai',
    'suintaient',
    'suintais',
    'suintait',
    'suintant',
    'suintante',
    'suintantes',
    'suintants',
    'suintas',
    'suintasse',
    'suintassent',
    'suintasses',
    'suintassiez',
    'suintassions',
    'suinte',
    'suintement',
    'suintements',
    'suintent',
    'suinter',
    'suintera',
    'suinterai',
    'suinteraient',
    'suinterais',
    'suinterait',
    'suinteras',
    'suinterez',
    'suinteriez',
    'suinterions',
    'suinterons',
    'suinteront',
    'suintes',
    'suintez',
    'suintiez',
    'suintions',
    'suintons',
    'suints',
    'suintâmes',
    'suintât',
    'suintâtes',
    'suintèrent',
    'suinté',
    'suintée',
    'suintées',
    'suintés',
    'suions',
    'suis',
    'suisse',
    'suisses',
    'suissesse',
    'suissesses',
    'suit',
    'suite',
    'suites',
    'suitée',
    'suitées',
    'suivaient',
    'suivais',
    'suivait',
    'suivant',
    'suivante',
    'suivantes',
    'suivants',
    'suive',
    'suivent',
    'suives',
    'suiveur',
    'suiveurs',
    'suiveuse',
    'suiveuses',
    'suivez',
    'suivi',
    'suivie',
    'suivies',
    'suiviez',
    'suivions',
    'suivirent',
    'suivis',
    'suivisme',
    'suivismes',
    'suivisse',
    'suivissent',
    'suivisses',
    'suivissiez',
    'suivissions',
    'suiviste',
    'suivistes',
    'suivit',
    'suivons',
    'suivra',
    'suivrai',
    'suivraient',
    'suivrais',
    'suivrait',
    'suivras',
    'suivre',
    'suivrez',
    'suivriez',
    'suivrions',
    'suivrons',
    'suivront',
    'suivîmes',
    'suivît',
    'suivîtes',
    'sujet',
    'sujets',
    'sujette',
    'sujettes',
    'sujétion',
    'sujétions',
    'sulcature',
    'sulcatures',
    'sulciforme',
    'sulciformes',
    'sulfamide',
    'sulfamides',
    'sulfata',
    'sulfatage',
    'sulfatages',
    'sulfatai',
    'sulfataient',
    'sulfatais',
    'sulfatait',
    'sulfatant',
    'sulfatas',
    'sulfatasse',
    'sulfatassent',
    'sulfatasses',
    'sulfatassiez',
    'sulfate',
    'sulfatent',
    'sulfater',
    'sulfatera',
    'sulfaterai',
    'sulfaterais',
    'sulfaterait',
    'sulfateras',
    'sulfaterez',
    'sulfateriez',
    'sulfaterions',
    'sulfaterons',
    'sulfateront',
    'sulfates',
    'sulfateur',
    'sulfateurs',
    'sulfateuse',
    'sulfateuses',
    'sulfatez',
    'sulfatiez',
    'sulfations',
    'sulfatons',
    'sulfatâmes',
    'sulfatât',
    'sulfatâtes',
    'sulfatèrent',
    'sulfaté',
    'sulfatée',
    'sulfatées',
    'sulfatés',
    'sulfita',
    'sulfitage',
    'sulfitages',
    'sulfitai',
    'sulfitaient',
    'sulfitais',
    'sulfitait',
    'sulfitant',
    'sulfitas',
    'sulfitasse',
    'sulfitassent',
    'sulfitasses',
    'sulfitassiez',
    'sulfite',
    'sulfitent',
    'sulfiter',
    'sulfitera',
    'sulfiterai',
    'sulfiterais',
    'sulfiterait',
    'sulfiteras',
    'sulfiterez',
    'sulfiteriez',
    'sulfiterions',
    'sulfiterons',
    'sulfiteront',
    'sulfites',
    'sulfitez',
    'sulfitiez',
    'sulfitions',
    'sulfitons',
    'sulfitâmes',
    'sulfitât',
    'sulfitâtes',
    'sulfitèrent',
    'sulfité',
    'sulfitée',
    'sulfitées',
    'sulfités',
    'sulfona',
    'sulfonai',
    'sulfonaient',
    'sulfonais',
    'sulfonait',
    'sulfonant',
    'sulfonas',
    'sulfonasse',
    'sulfonassent',
    'sulfonasses',
    'sulfonassiez',
    'sulfone',
    'sulfonent',
    'sulfoner',
    'sulfonera',
    'sulfonerai',
    'sulfonerais',
    'sulfonerait',
    'sulfoneras',
    'sulfonerez',
    'sulfoneriez',
    'sulfonerions',
    'sulfonerons',
    'sulfoneront',
    'sulfones',
    'sulfonez',
    'sulfoniez',
    'sulfonions',
    'sulfonons',
    'sulfonâmes',
    'sulfonât',
    'sulfonâtes',
    'sulfonèrent',
    'sulfoné',
    'sulfonée',
    'sulfonées',
    'sulfonés',
    'sulfosel',
    'sulfosels',
    'sulfovinique',
    'sulfura',
    'sulfurage',
    'sulfurages',
    'sulfurai',
    'sulfuraient',
    'sulfurais',
    'sulfurait',
    'sulfurant',
    'sulfuras',
    'sulfurasse',
    'sulfurassent',
    'sulfurasses',
    'sulfurassiez',
    'sulfuration',
    'sulfurations',
    'sulfure',
    'sulfurent',
    'sulfurer',
    'sulfurera',
    'sulfurerai',
    'sulfurerais',
    'sulfurerait',
    'sulfureras',
    'sulfurerez',
    'sulfureriez',
    'sulfurerions',
    'sulfurerons',
    'sulfureront',
    'sulfures',
    'sulfureuse',
    'sulfureuses',
    'sulfureux',
    'sulfurez',
    'sulfuriez',
    'sulfurions',
    'sulfurique',
    'sulfuriques',
    'sulfurisé',
    'sulfurisée',
    'sulfurisées',
    'sulfurisés',
    'sulfurons',
    'sulfurâmes',
    'sulfurât',
    'sulfurâtes',
    'sulfurèrent',
    'sulfuré',
    'sulfurée',
    'sulfurées',
    'sulfurés',
    'sulky',
    'sulkys',
    'sulpicien',
    'sulpicienne',
    'sulpiciennes',
    'sulpiciens',
    'sultan',
    'sultanat',
    'sultanats',
    'sultane',
    'sultanes',
    'sultans',
    'sumac',
    'sumacs',
    'summum',
    'summums',
    'sumos',
    'sumérien',
    'sumérienne',
    'sumériennes',
    'sumériens',
    'sunlight',
    'sunlights',
    'sunna',
    'sunnas',
    'sunnite',
    'sunnites',
    'suons',
    'super',
    'superbe',
    'superbement',
    'superbes',
    'superbombe',
    'superbombes',
    'supercarré',
    'supercarrés',
    'supercherie',
    'supercheries',
    'superciment',
    'superciments',
    'superficie',
    'superficiel',
    'superficiels',
    'superficies',
    'superfin',
    'superfine',
    'superfines',
    'superfini',
    'superfinie',
    'superfinies',
    'superfinir',
    'superfinira',
    'superfinirai',
    'superfiniras',
    'superfinirez',
    'superfinis',
    'superfinisse',
    'superfinit',
    'superfins',
    'superfinîmes',
    'superfinît',
    'superfinîtes',
    'superflu',
    'superflue',
    'superflues',
    'superfluide',
    'superfluides',
    'superfluité',
    'superfluités',
    'superflus',
    'supergrand',
    'supergrands',
    'superlatif',
    'superlatifs',
    'supermalloy',
    'supermalloys',
    'superman',
    'supermarché',
    'supermarchés',
    'supermen',
    'supernova',
    'supernovae',
    'superovarié',
    'superovariée',
    'superovariés',
    'superposa',
    'superposable',
    'superposai',
    'superposais',
    'superposait',
    'superposant',
    'superposas',
    'superposasse',
    'superpose',
    'superposent',
    'superposer',
    'superposera',
    'superposerai',
    'superposeras',
    'superposerez',
    'superposes',
    'superposez',
    'superposiez',
    'superposions',
    'superposons',
    'superposâmes',
    'superposât',
    'superposâtes',
    'superposé',
    'superposée',
    'superposées',
    'superposés',
    'superprofit',
    'superprofits',
    'superpréfet',
    'superpréfets',
    'supersonique',
    'superstar',
    'superstars',
    'superstition',
    'superstrat',
    'superstrats',
    'supertanker',
    'supertankers',
    'supervisa',
    'supervisai',
    'supervisais',
    'supervisait',
    'supervisant',
    'supervisas',
    'supervisasse',
    'supervise',
    'supervisent',
    'superviser',
    'supervisera',
    'superviserai',
    'superviseras',
    'superviserez',
    'supervises',
    'superviseur',
    'superviseurs',
    'superviseuse',
    'supervisez',
    'supervisiez',
    'supervision',
    'supervisions',
    'supervisons',
    'supervisâmes',
    'supervisât',
    'supervisâtes',
    'supervisé',
    'supervisée',
    'supervisées',
    'supervisés',
    'superwelter',
    'superwelters',
    'supin',
    'supinateur',
    'supinateurs',
    'supination',
    'supinations',
    'supins',
    'supplanta',
    'supplantai',
    'supplantais',
    'supplantait',
    'supplantant',
    'supplantas',
    'supplantasse',
    'supplante',
    'supplantent',
    'supplanter',
    'supplantera',
    'supplanterai',
    'supplanteras',
    'supplanterez',
    'supplantes',
    'supplantez',
    'supplantiez',
    'supplantions',
    'supplantons',
    'supplantâmes',
    'supplantât',
    'supplantâtes',
    'supplanté',
    'supplantée',
    'supplantées',
    'supplantés',
    'supplia',
    'suppliai',
    'suppliaient',
    'suppliais',
    'suppliait',
    'suppliant',
    'suppliante',
    'suppliantes',
    'suppliants',
    'supplias',
    'suppliasse',
    'suppliassent',
    'suppliasses',
    'suppliassiez',
    'supplication',
    'supplice',
    'supplices',
    'supplicia',
    'suppliciai',
    'suppliciais',
    'suppliciait',
    'suppliciant',
    'supplicias',
    'suppliciasse',
    'supplicie',
    'supplicient',
    'supplicier',
    'suppliciera',
    'supplicierai',
    'supplicieras',
    'supplicierez',
    'supplicies',
    'suppliciez',
    'suppliciiez',
    'suppliciions',
    'supplicions',
    'suppliciâmes',
    'suppliciât',
    'suppliciâtes',
    'supplicié',
    'suppliciée',
    'suppliciées',
    'suppliciés',
    'supplie',
    'supplient',
    'supplier',
    'suppliera',
    'supplierai',
    'supplierais',
    'supplierait',
    'supplieras',
    'supplierez',
    'supplieriez',
    'supplierions',
    'supplierons',
    'supplieront',
    'supplies',
    'suppliez',
    'suppliiez',
    'suppliions',
    'supplions',
    'supplique',
    'suppliques',
    'suppliâmes',
    'suppliât',
    'suppliâtes',
    'supplièrent',
    'supplié',
    'suppliée',
    'suppliées',
    'suppliés',
    'suppléa',
    'suppléai',
    'suppléaient',
    'suppléais',
    'suppléait',
    'suppléance',
    'suppléances',
    'suppléant',
    'suppléante',
    'suppléantes',
    'suppléants',
    'suppléas',
    'suppléasse',
    'suppléassent',
    'suppléasses',
    'suppléassiez',
    'supplée',
    'suppléent',
    'suppléer',
    'suppléera',
    'suppléerai',
    'suppléerais',
    'suppléerait',
    'suppléeras',
    'suppléerez',
    'suppléeriez',
    'suppléerions',
    'suppléerons',
    'suppléeront',
    'supplées',
    'suppléez',
    'suppléiez',
    'suppléions',
    'supplément',
    'supplémenta',
    'supplémentai',
    'supplémentas',
    'supplémente',
    'supplémenter',
    'supplémentes',
    'supplémentez',
    'suppléments',
    'supplémentât',
    'supplémenté',
    'supplémentée',
    'supplémentés',
    'suppléons',
    'supplétif',
    'supplétifs',
    'supplétive',
    'supplétives',
    'supplétoire',
    'supplétoires',
    'suppléâmes',
    'suppléât',
    'suppléâtes',
    'suppléèrent',
    'suppléé',
    'suppléée',
    'suppléées',
    'suppléés',
    'support',
    'supporta',
    'supportable',
    'supportables',
    'supportai',
    'supportaient',
    'supportais',
    'supportait',
    'supportant',
    'supportas',
    'supportasse',
    'supportasses',
    'supporte',
    'supportent',
    'supporter',
    'supportera',
    'supporterai',
    'supporterais',
    'supporterait',
    'supporteras',
    'supporterez',
    'supporteriez',
    'supporterons',
    'supporteront',
    'supporters',
    'supportes',
    'supportez',
    'supportiez',
    'supportions',
    'supportons',
    'supports',
    'supportâmes',
    'supportât',
    'supportâtes',
    'supportèrent',
    'supporté',
    'supportée',
    'supportées',
    'supportés',
    'supposa',
    'supposable',
    'supposables',
    'supposai',
    'supposaient',
    'supposais',
    'supposait',
    'supposant',
    'supposas',
    'supposasse',
    'supposassent',
    'supposasses',
    'supposassiez',
    'suppose',
    'supposent',
    'supposer',
    'supposera',
    'supposerai',
    'supposerais',
    'supposerait',
    'supposeras',
    'supposerez',
    'supposeriez',
    'supposerions',
    'supposerons',
    'supposeront',
    'supposes',
    'supposez',
    'supposiez',
    'supposions',
    'supposition',
    'suppositions',
    'suppositoire',
    'supposons',
    'supposâmes',
    'supposât',
    'supposâtes',
    'supposèrent',
    'supposé',
    'supposée',
    'supposées',
    'supposés',
    'suppression',
    'suppressions',
    'supprima',
    'supprimable',
    'supprimables',
    'supprimai',
    'supprimaient',
    'supprimais',
    'supprimait',
    'supprimant',
    'supprimas',
    'supprimasse',
    'supprimasses',
    'supprime',
    'suppriment',
    'supprimer',
    'supprimera',
    'supprimerai',
    'supprimerais',
    'supprimerait',
    'supprimeras',
    'supprimerez',
    'supprimeriez',
    'supprimerons',
    'supprimeront',
    'supprimes',
    'supprimez',
    'supprimiez',
    'supprimions',
    'supprimons',
    'supprimâmes',
    'supprimât',
    'supprimâtes',
    'supprimèrent',
    'supprimé',
    'supprimée',
    'supprimées',
    'supprimés',
    'suppura',
    'suppurai',
    'suppuraient',
    'suppurais',
    'suppurait',
    'suppurant',
    'suppurante',
    'suppurantes',
    'suppurants',
    'suppuras',
    'suppurasse',
    'suppurassent',
    'suppurasses',
    'suppurassiez',
    'suppuratif',
    'suppuratifs',
    'suppuration',
    'suppurations',
    'suppurative',
    'suppuratives',
    'suppure',
    'suppurent',
    'suppurer',
    'suppurera',
    'suppurerai',
    'suppurerais',
    'suppurerait',
    'suppureras',
    'suppurerez',
    'suppureriez',
    'suppurerions',
    'suppurerons',
    'suppureront',
    'suppures',
    'suppurez',
    'suppuriez',
    'suppurions',
    'suppurons',
    'suppurâmes',
    'suppurât',
    'suppurâtes',
    'suppurèrent',
    'suppuré',
    'supputa',
    'supputai',
    'supputaient',
    'supputais',
    'supputait',
    'supputant',
    'supputas',
    'supputasse',
    'supputassent',
    'supputasses',
    'supputassiez',
    'supputation',
    'supputations',
    'suppute',
    'supputent',
    'supputer',
    'supputera',
    'supputerai',
    'supputerais',
    'supputerait',
    'supputeras',
    'supputerez',
    'supputeriez',
    'supputerions',
    'supputerons',
    'supputeront',
    'supputes',
    'supputez',
    'supputiez',
    'supputions',
    'supputons',
    'supputâmes',
    'supputât',
    'supputâtes',
    'supputèrent',
    'supputé',
    'supputée',
    'supputées',
    'supputés',
    'suppôt',
    'suppôts',
    'supra',
    'suprématie',
    'suprématies',
    'suprême',
    'suprêmement',
    'suprêmes',
    'supère',
    'supères',
    'supérette',
    'supérettes',
    'supérieur',
    'supérieure',
    'supérieures',
    'supérieurs',
    'supériorité',
    'supériorités',
    'surabonda',
    'surabondai',
    'surabondais',
    'surabondait',
    'surabondance',
    'surabondant',
    'surabondante',
    'surabondants',
    'surabondas',
    'surabondasse',
    'surabonde',
    'surabondent',
    'surabonder',
    'surabondera',
    'surabonderai',
    'surabonderas',
    'surabonderez',
    'surabondes',
    'surabondez',
    'surabondiez',
    'surabondions',
    'surabondons',
    'surabondâmes',
    'surabondât',
    'surabondâtes',
    'surabondé',
    'suractivité',
    'suractivités',
    'suractivé',
    'suractivée',
    'suractivées',
    'suractivés',
    'surah',
    'surahs',
    'suraigu',
    'suraigus',
    'suraiguë',
    'suraiguës',
    'surajouta',
    'surajoutai',
    'surajoutais',
    'surajoutait',
    'surajoutant',
    'surajoutas',
    'surajoutasse',
    'surajoute',
    'surajoutent',
    'surajouter',
    'surajoutera',
    'surajouterai',
    'surajouteras',
    'surajouterez',
    'surajoutes',
    'surajoutez',
    'surajoutiez',
    'surajoutions',
    'surajoutons',
    'surajoutâmes',
    'surajoutât',
    'surajoutâtes',
    'surajouté',
    'surajoutée',
    'surajoutées',
    'surajoutés',
    'suralimenta',
    'suralimentai',
    'suralimentas',
    'suralimente',
    'suralimenter',
    'suralimentes',
    'suralimentez',
    'suralimentât',
    'suralimenté',
    'suralimentée',
    'suralimentés',
    'suranné',
    'surannée',
    'surannées',
    'surannés',
    'surarbitre',
    'surarbitres',
    'surarmement',
    'surarmements',
    'surarmer',
    'surate',
    'surates',
    'surbaissa',
    'surbaissai',
    'surbaissais',
    'surbaissait',
    'surbaissant',
    'surbaissas',
    'surbaissasse',
    'surbaisse',
    'surbaissent',
    'surbaisser',
    'surbaissera',
    'surbaisserai',
    'surbaisseras',
    'surbaisserez',
    'surbaisses',
    'surbaissez',
    'surbaissiez',
    'surbaissions',
    'surbaissons',
    'surbaissâmes',
    'surbaissât',
    'surbaissâtes',
    'surbaissé',
    'surbaissée',
    'surbaissées',
    'surbaissés',
    'surboum',
    'surboums',
    'surcapacité',
    'surcapacités',
    'surcharge',
    'surchargea',
    'surchargeai',
    'surchargeais',
    'surchargeait',
    'surchargeant',
    'surchargeas',
    'surchargent',
    'surchargeons',
    'surcharger',
    'surchargera',
    'surchargerai',
    'surchargeras',
    'surchargerez',
    'surcharges',
    'surchargez',
    'surchargeât',
    'surchargiez',
    'surchargions',
    'surchargé',
    'surchargée',
    'surchargées',
    'surchargés',
    'surchauffa',
    'surchauffai',
    'surchauffais',
    'surchauffait',
    'surchauffant',
    'surchauffas',
    'surchauffe',
    'surchauffent',
    'surchauffer',
    'surchauffera',
    'surchauffes',
    'surchauffeur',
    'surchauffez',
    'surchauffiez',
    'surchauffons',
    'surchauffât',
    'surchauffé',
    'surchauffée',
    'surchauffées',
    'surchauffés',
    'surchoix',
    'surclassa',
    'surclassai',
    'surclassais',
    'surclassait',
    'surclassant',
    'surclassas',
    'surclassasse',
    'surclasse',
    'surclassent',
    'surclasser',
    'surclassera',
    'surclasserai',
    'surclasseras',
    'surclasserez',
    'surclasses',
    'surclassez',
    'surclassiez',
    'surclassions',
    'surclassons',
    'surclassâmes',
    'surclassât',
    'surclassâtes',
    'surclassé',
    'surclassée',
    'surclassées',
    'surclassés',
    'surcomposé',
    'surcomposée',
    'surcomposées',
    'surcomposés',
    'surcomprima',
    'surcomprimai',
    'surcomprimas',
    'surcomprime',
    'surcomprimer',
    'surcomprimes',
    'surcomprimez',
    'surcomprimât',
    'surcomprimé',
    'surcomprimée',
    'surcomprimés',
    'surcontra',
    'surcontrai',
    'surcontrais',
    'surcontrait',
    'surcontrant',
    'surcontras',
    'surcontrasse',
    'surcontre',
    'surcontrent',
    'surcontrer',
    'surcontrera',
    'surcontrerai',
    'surcontreras',
    'surcontrerez',
    'surcontres',
    'surcontrez',
    'surcontriez',
    'surcontrions',
    'surcontrons',
    'surcontrâmes',
    'surcontrât',
    'surcontrâtes',
    'surcontré',
    'surcontrée',
    'surcontrées',
    'surcontrés',
    'surcoupa',
    'surcoupai',
    'surcoupaient',
    'surcoupais',
    'surcoupait',
    'surcoupant',
    'surcoupas',
    'surcoupasse',
    'surcoupasses',
    'surcoupe',
    'surcoupent',
    'surcouper',
    'surcoupera',
    'surcouperai',
    'surcouperais',
    'surcouperait',
    'surcouperas',
    'surcouperez',
    'surcouperiez',
    'surcouperons',
    'surcouperont',
    'surcoupes',
    'surcoupez',
    'surcoupiez',
    'surcoupions',
    'surcoupons',
    'surcoupâmes',
    'surcoupât',
    'surcoupâtes',
    'surcoupèrent',
    'surcoupé',
    'surcoupée',
    'surcoupées',
    'surcoupés',
    'surcroît',
    'surcroîts',
    'surdent',
    'surdents',
    'surdité',
    'surdités',
    'surdora',
    'surdorai',
    'surdoraient',
    'surdorais',
    'surdorait',
    'surdorant',
    'surdoras',
    'surdorasse',
    'surdorassent',
    'surdorasses',
    'surdorassiez',
    'surdore',
    'surdorent',
    'surdorer',
    'surdorera',
    'surdorerai',
    'surdorerais',
    'surdorerait',
    'surdoreras',
    'surdorerez',
    'surdoreriez',
    'surdorerions',
    'surdorerons',
    'surdoreront',
    'surdores',
    'surdorez',
    'surdoriez',
    'surdorions',
    'surdorons',
    'surdorâmes',
    'surdorât',
    'surdorâtes',
    'surdorèrent',
    'surdoré',
    'surdorée',
    'surdorées',
    'surdorés',
    'surdos',
    'surdosage',
    'surdosages',
    'surdoué',
    'surdouée',
    'surdouées',
    'surdoués',
    'surdéterminé',
    'surdéveloppé',
    'sure',
    'sureau',
    'sureaux',
    'suremploi',
    'suremplois',
    'surenchère',
    'surenchères',
    'surenchéri',
    'surenchérie',
    'surenchéries',
    'surenchérir',
    'surenchérira',
    'surenchéris',
    'surenchérit',
    'surenchérît',
    'surencombré',
    'surencombrée',
    'surencombrés',
    'surent',
    'surentraîna',
    'surentraînai',
    'surentraînas',
    'surentraîne',
    'surentraîner',
    'surentraînes',
    'surentraînez',
    'surentraînât',
    'surentraîné',
    'surentraînée',
    'surentraînés',
    'sures',
    'surestima',
    'surestimai',
    'surestimais',
    'surestimait',
    'surestimant',
    'surestimas',
    'surestimasse',
    'surestime',
    'surestiment',
    'surestimer',
    'surestimera',
    'surestimerai',
    'surestimeras',
    'surestimerez',
    'surestimes',
    'surestimez',
    'surestimiez',
    'surestimions',
    'surestimons',
    'surestimâmes',
    'surestimât',
    'surestimâtes',
    'surestimé',
    'surestimée',
    'surestimées',
    'surestimés',
    'suret',
    'surets',
    'surette',
    'surettes',
    'surexcita',
    'surexcitai',
    'surexcitais',
    'surexcitait',
    'surexcitant',
    'surexcitante',
    'surexcitants',
    'surexcitas',
    'surexcitasse',
    'surexcite',
    'surexcitent',
    'surexciter',
    'surexcitera',
    'surexciterai',
    'surexciteras',
    'surexciterez',
    'surexcites',
    'surexcitez',
    'surexcitiez',
    'surexcitions',
    'surexcitons',
    'surexcitâmes',
    'surexcitât',
    'surexcitâtes',
    'surexcité',
    'surexcitée',
    'surexcitées',
    'surexcités',
    'surexploita',
    'surexploitai',
    'surexploitas',
    'surexploite',
    'surexploiter',
    'surexploites',
    'surexploitez',
    'surexploitât',
    'surexploité',
    'surexploitée',
    'surexploités',
    'surexposa',
    'surexposai',
    'surexposais',
    'surexposait',
    'surexposant',
    'surexposas',
    'surexposasse',
    'surexpose',
    'surexposent',
    'surexposer',
    'surexposera',
    'surexposerai',
    'surexposeras',
    'surexposerez',
    'surexposes',
    'surexposez',
    'surexposiez',
    'surexposions',
    'surexposons',
    'surexposâmes',
    'surexposât',
    'surexposâtes',
    'surexposé',
    'surexposée',
    'surexposées',
    'surexposés',
    'surf',
    'surfa',
    'surface',
    'surfacent',
    'surfacer',
    'surfacera',
    'surfacerai',
    'surfacerais',
    'surfacerait',
    'surfaceras',
    'surfacerez',
    'surfaceriez',
    'surfacerions',
    'surfacerons',
    'surfaceront',
    'surfaces',
    'surfacez',
    'surfaciez',
    'surfacions',
    'surfacique',
    'surfaciques',
    'surfacèrent',
    'surfacé',
    'surfacée',
    'surfacées',
    'surfacés',
    'surfai',
    'surfaient',
    'surfaire',
    'surfais',
    'surfaisaient',
    'surfaisais',
    'surfaisait',
    'surfaisant',
    'surfaisiez',
    'surfaisions',
    'surfaisons',
    'surfait',
    'surfaite',
    'surfaites',
    'surfaits',
    'surfant',
    'surfas',
    'surfasse',
    'surfassent',
    'surfasses',
    'surfassiez',
    'surfassions',
    'surfaça',
    'surfaçai',
    'surfaçaient',
    'surfaçais',
    'surfaçait',
    'surfaçant',
    'surfaças',
    'surfaçasse',
    'surfaçassent',
    'surfaçasses',
    'surfaçassiez',
    'surfaçons',
    'surfaçâmes',
    'surfaçât',
    'surfaçâtes',
    'surfe',
    'surfent',
    'surfer',
    'surfera',
    'surferai',
    'surferaient',
    'surferais',
    'surferait',
    'surferas',
    'surferez',
    'surferiez',
    'surferions',
    'surferons',
    'surferont',
    'surfes',
    'surfez',
    'surfiez',
    'surfil',
    'surfila',
    'surfilage',
    'surfilages',
    'surfilai',
    'surfilaient',
    'surfilais',
    'surfilait',
    'surfilant',
    'surfilas',
    'surfilasse',
    'surfilassent',
    'surfilasses',
    'surfilassiez',
    'surfile',
    'surfilent',
    'surfiler',
    'surfilera',
    'surfilerai',
    'surfilerais',
    'surfilerait',
    'surfileras',
    'surfilerez',
    'surfileriez',
    'surfilerions',
    'surfilerons',
    'surfileront',
    'surfiles',
    'surfilez',
    'surfiliez',
    'surfilions',
    'surfilons',
    'surfils',
    'surfilâmes',
    'surfilât',
    'surfilâtes',
    'surfilèrent',
    'surfilé',
    'surfilée',
    'surfilées',
    'surfilés',
    'surfin',
    'surfine',
    'surfines',
    'surfins',
    'surfions',
    'surfirent',
    'surfis',
    'surfisse',
    'surfissent',
    'surfisses',
    'surfissiez',
    'surfissions',
    'surfit',
    'surfondu',
    'surfondue',
    'surfondues',
    'surfondus',
    'surfons',
    'surfont',
    'surfs',
    'surfusion',
    'surfusions',
    'surfâmes',
    'surfât',
    'surfâtes',
    'surfèrent',
    'surfé',
    'surfîmes',
    'surfît',
    'surfîtes',
    'surgela',
    'surgelai',
    'surgelaient',
    'surgelais',
    'surgelait',
    'surgelant',
    'surgelas',
    'surgelasse',
    'surgelassent',
    'surgelasses',
    'surgelassiez',
    'surgeler',
    'surgelez',
    'surgeliez',
    'surgelions',
    'surgelons',
    'surgelâmes',
    'surgelât',
    'surgelâtes',
    'surgelèrent',
    'surgelé',
    'surgelée',
    'surgelées',
    'surgelés',
    'surgeon',
    'surgeonna',
    'surgeonnai',
    'surgeonnais',
    'surgeonnait',
    'surgeonnant',
    'surgeonnas',
    'surgeonnasse',
    'surgeonne',
    'surgeonnent',
    'surgeonner',
    'surgeonnera',
    'surgeonnerai',
    'surgeonneras',
    'surgeonnerez',
    'surgeonnes',
    'surgeonnez',
    'surgeonniez',
    'surgeonnions',
    'surgeonnons',
    'surgeonnâmes',
    'surgeonnât',
    'surgeonnâtes',
    'surgeonné',
    'surgeons',
    'surgi',
    'surgie',
    'surgies',
    'surgir',
    'surgira',
    'surgirai',
    'surgiraient',
    'surgirais',
    'surgirait',
    'surgiras',
    'surgirent',
    'surgirez',
    'surgiriez',
    'surgirions',
    'surgirons',
    'surgiront',
    'surgis',
    'surgissaient',
    'surgissais',
    'surgissait',
    'surgissant',
    'surgisse',
    'surgissement',
    'surgissent',
    'surgisses',
    'surgissez',
    'surgissiez',
    'surgissions',
    'surgissons',
    'surgit',
    'surglace',
    'surglacent',
    'surglacer',
    'surglacera',
    'surglacerai',
    'surglacerais',
    'surglacerait',
    'surglaceras',
    'surglacerez',
    'surglaceriez',
    'surglacerons',
    'surglaceront',
    'surglaces',
    'surglacez',
    'surglaciez',
    'surglacions',
    'surglacèrent',
    'surglacé',
    'surglacée',
    'surglacées',
    'surglacés',
    'surglaça',
    'surglaçai',
    'surglaçaient',
    'surglaçais',
    'surglaçait',
    'surglaçant',
    'surglaças',
    'surglaçasse',
    'surglaçasses',
    'surglaçons',
    'surglaçâmes',
    'surglaçât',
    'surglaçâtes',
    'surgèle',
    'surgèlent',
    'surgèlera',
    'surgèlerai',
    'surgèlerais',
    'surgèlerait',
    'surgèleras',
    'surgèlerez',
    'surgèleriez',
    'surgèlerions',
    'surgèlerons',
    'surgèleront',
    'surgèles',
    'surgélateur',
    'surgélateurs',
    'surgélation',
    'surgélations',
    'surgîmes',
    'surgît',
    'surgîtes',
    'surhaussa',
    'surhaussai',
    'surhaussais',
    'surhaussait',
    'surhaussant',
    'surhaussas',
    'surhaussasse',
    'surhausse',
    'surhaussent',
    'surhausser',
    'surhaussera',
    'surhausserai',
    'surhausseras',
    'surhausserez',
    'surhausses',
    'surhaussez',
    'surhaussiez',
    'surhaussions',
    'surhaussons',
    'surhaussâmes',
    'surhaussât',
    'surhaussâtes',
    'surhaussé',
    'surhaussée',
    'surhaussées',
    'surhaussés',
    'surhomme',
    'surhommes',
    'surhumain',
    'surhumaine',
    'surhumaines',
    'surhumains',
    'surhumanité',
    'surhumanités',
    'suri',
    'suricate',
    'suricates',
    'surikate',
    'surikates',
    'surimposa',
    'surimposai',
    'surimposais',
    'surimposait',
    'surimposant',
    'surimposas',
    'surimposasse',
    'surimpose',
    'surimposent',
    'surimposer',
    'surimposera',
    'surimposerai',
    'surimposeras',
    'surimposerez',
    'surimposes',
    'surimposez',
    'surimposiez',
    'surimposions',
    'surimposons',
    'surimposâmes',
    'surimposât',
    'surimposâtes',
    'surimposé',
    'surimposée',
    'surimposées',
    'surimposés',
    'surin',
    'surina',
    'surinai',
    'surinaient',
    'surinais',
    'surinait',
    'surinant',
    'surinas',
    'surinasse',
    'surinassent',
    'surinasses',
    'surinassiez',
    'surinassions',
    'surine',
    'surinent',
    'suriner',
    'surinera',
    'surinerai',
    'surineraient',
    'surinerais',
    'surinerait',
    'surineras',
    'surinerez',
    'surineriez',
    'surinerions',
    'surinerons',
    'surineront',
    'surines',
    'surinez',
    'surinfection',
    'suriniez',
    'surinions',
    'surinons',
    'surins',
    'surintendant',
    'surintensité',
    'surinâmes',
    'surinât',
    'surinâtes',
    'surinèrent',
    'suriné',
    'surinée',
    'surinées',
    'surinés',
    'surir',
    'surira',
    'surirai',
    'suriraient',
    'surirais',
    'surirait',
    'suriras',
    'surirent',
    'surirez',
    'suririez',
    'suririons',
    'surirons',
    'suriront',
    'suris',
    'surissaient',
    'surissais',
    'surissait',
    'surissant',
    'surisse',
    'surissent',
    'surisses',
    'surissez',
    'surissiez',
    'surissions',
    'surissons',
    'surit',
    'surjala',
    'surjalai',
    'surjalaient',
    'surjalais',
    'surjalait',
    'surjalant',
    'surjalas',
    'surjalasse',
    'surjalassent',
    'surjalasses',
    'surjalassiez',
    'surjale',
    'surjalent',
    'surjaler',
    'surjalera',
    'surjalerai',
    'surjalerais',
    'surjalerait',
    'surjaleras',
    'surjalerez',
    'surjaleriez',
    'surjalerions',
    'surjalerons',
    'surjaleront',
    'surjales',
    'surjalez',
    'surjaliez',
    'surjalions',
    'surjalons',
    'surjalâmes',
    'surjalât',
    'surjalâtes',
    'surjalèrent',
    'surjalé',
    'surjet',
    'surjeta',
    'surjetai',
    'surjetaient',
    'surjetais',
    'surjetait',
    'surjetant',
    'surjetas',
    'surjetasse',
    'surjetassent',
    'surjetasses',
    'surjetassiez',
    'surjeter',
    'surjetez',
    'surjetiez',
    'surjetions',
    'surjetons',
    'surjets',
    'surjette',
    'surjettent',
    'surjettera',
    'surjetterai',
    'surjetterais',
    'surjetterait',
    'surjetteras',
    'surjetterez',
    'surjetteriez',
    'surjetterons',
    'surjetteront',
    'surjettes',
    'surjetâmes',
    'surjetât',
    'surjetâtes',
    'surjetèrent',
    'surjeté',
    'surjetée',
    'surjetées',
    'surjetés',
    'surlendemain',
    'surlia',
    'surliai',
    'surliaient',
    'surliais',
    'surliait',
    'surliant',
    'surlias',
    'surliasse',
    'surliassent',
    'surliasses',
    'surliassiez',
    'surliassions',
    'surlie',
    'surlient',
    'surlier',
    'surliera',
    'surlierai',
    'surlieraient',
    'surlierais',
    'surlierait',
    'surlieras',
    'surlierez',
    'surlieriez',
    'surlierions',
    'surlierons',
    'surlieront',
    'surlies',
    'surliez',
    'surliiez',
    'surliions',
    'surlions',
    'surliâmes',
    'surliât',
    'surliâtes',
    'surlièrent',
    'surlié',
    'surliée',
    'surliées',
    'surliés',
    'surlonge',
    'surlonges',
    'surloua',
    'surlouai',
    'surlouaient',
    'surlouais',
    'surlouait',
    'surlouant',
    'surlouas',
    'surlouasse',
    'surlouassent',
    'surlouasses',
    'surlouassiez',
    'surloue',
    'surlouent',
    'surlouer',
    'surlouera',
    'surlouerai',
    'surlouerais',
    'surlouerait',
    'surloueras',
    'surlouerez',
    'surloueriez',
    'surlouerions',
    'surlouerons',
    'surloueront',
    'surloues',
    'surlouez',
    'surlouiez',
    'surlouions',
    'surlouons',
    'surlouâmes',
    'surlouât',
    'surlouâtes',
    'surlouèrent',
    'surloué',
    'surlouée',
    'surlouées',
    'surloués',
    'surloyer',
    'surloyers',
    'surmena',
    'surmenage',
    'surmenages',
    'surmenai',
    'surmenaient',
    'surmenais',
    'surmenait',
    'surmenant',
    'surmenas',
    'surmenasse',
    'surmenassent',
    'surmenasses',
    'surmenassiez',
    'surmener',
    'surmenez',
    'surmeniez',
    'surmenions',
    'surmenons',
    'surmenâmes',
    'surmenât',
    'surmenâtes',
    'surmenèrent',
    'surmené',
    'surmenée',
    'surmenées',
    'surmenés',
    'surmoi',
    'surmonta',
    'surmontable',
    'surmontables',
    'surmontai',
    'surmontaient',
    'surmontais',
    'surmontait',
    'surmontant',
    'surmontas',
    'surmontasse',
    'surmontasses',
    'surmonte',
    'surmontent',
    'surmonter',
    'surmontera',
    'surmonterai',
    'surmonterais',
    'surmonterait',
    'surmonteras',
    'surmonterez',
    'surmonteriez',
    'surmonterons',
    'surmonteront',
    'surmontes',
    'surmontez',
    'surmontiez',
    'surmontions',
    'surmontoir',
    'surmontoirs',
    'surmontons',
    'surmontâmes',
    'surmontât',
    'surmontâtes',
    'surmontèrent',
    'surmonté',
    'surmontée',
    'surmontées',
    'surmontés',
    'surmortalité',
    'surmoula',
    'surmoulage',
    'surmoulages',
    'surmoulai',
    'surmoulaient',
    'surmoulais',
    'surmoulait',
    'surmoulant',
    'surmoulas',
    'surmoulasse',
    'surmoulasses',
    'surmoule',
    'surmoulent',
    'surmouler',
    'surmoulera',
    'surmoulerai',
    'surmoulerais',
    'surmoulerait',
    'surmouleras',
    'surmoulerez',
    'surmouleriez',
    'surmoulerons',
    'surmouleront',
    'surmoules',
    'surmoulez',
    'surmouliez',
    'surmoulions',
    'surmoulons',
    'surmoulâmes',
    'surmoulât',
    'surmoulâtes',
    'surmoulèrent',
    'surmoulé',
    'surmoulée',
    'surmoulées',
    'surmoulés',
    'surmulet',
    'surmulets',
    'surmulot',
    'surmulots',
    'surmultiplié',
    'surmène',
    'surmènent',
    'surmènera',
    'surmènerai',
    'surmènerais',
    'surmènerait',
    'surmèneras',
    'surmènerez',
    'surmèneriez',
    'surmènerions',
    'surmènerons',
    'surmèneront',
    'surmènes',
    'surnage',
    'surnagea',
    'surnageai',
    'surnageaient',
    'surnageais',
    'surnageait',
    'surnageant',
    'surnageas',
    'surnageasse',
    'surnageasses',
    'surnagent',
    'surnageons',
    'surnager',
    'surnagera',
    'surnagerai',
    'surnagerais',
    'surnagerait',
    'surnageras',
    'surnagerez',
    'surnageriez',
    'surnagerions',
    'surnagerons',
    'surnageront',
    'surnages',
    'surnagez',
    'surnageâmes',
    'surnageât',
    'surnageâtes',
    'surnagiez',
    'surnagions',
    'surnagèrent',
    'surnagé',
    'surnatalité',
    'surnatalités',
    'surnaturel',
    'surnaturelle',
    'surnaturels',
    'surnom',
    'surnombre',
    'surnombres',
    'surnomma',
    'surnommai',
    'surnommaient',
    'surnommais',
    'surnommait',
    'surnommant',
    'surnommas',
    'surnommasse',
    'surnommasses',
    'surnomme',
    'surnomment',
    'surnommer',
    'surnommera',
    'surnommerai',
    'surnommerais',
    'surnommerait',
    'surnommeras',
    'surnommerez',
    'surnommeriez',
    'surnommerons',
    'surnommeront',
    'surnommes',
    'surnommez',
    'surnommiez',
    'surnommions',
    'surnommons',
    'surnommâmes',
    'surnommât',
    'surnommâtes',
    'surnommèrent',
    'surnommé',
    'surnommée',
    'surnommées',
    'surnommés',
    'surnoms',
    'surnuméraire',
    'suroffre',
    'suroffres',
    'suros',
    'suroxyda',
    'suroxydai',
    'suroxydaient',
    'suroxydais',
    'suroxydait',
    'suroxydant',
    'suroxydas',
    'suroxydasse',
    'suroxydasses',
    'suroxyde',
    'suroxydent',
    'suroxyder',
    'suroxydera',
    'suroxyderai',
    'suroxyderais',
    'suroxyderait',
    'suroxyderas',
    'suroxyderez',
    'suroxyderiez',
    'suroxyderons',
    'suroxyderont',
    'suroxydes',
    'suroxydez',
    'suroxydiez',
    'suroxydions',
    'suroxydons',
    'suroxydâmes',
    'suroxydât',
    'suroxydâtes',
    'suroxydèrent',
    'suroxydé',
    'suroxydée',
    'suroxydées',
    'suroxydés',
    'suroxygéné',
    'suroxygénée',
    'suroxygénées',
    'suroxygénés',
    'suroît',
    'suroîts',
    'surpaie',
    'surpaient',
    'surpaiera',
    'surpaierai',
    'surpaierais',
    'surpaierait',
    'surpaieras',
    'surpaierez',
    'surpaieriez',
    'surpaierions',
    'surpaierons',
    'surpaieront',
    'surpaies',
    'surpassa',
    'surpassai',
    'surpassaient',
    'surpassais',
    'surpassait',
    'surpassant',
    'surpassas',
    'surpassasse',
    'surpassasses',
    'surpasse',
    'surpassement',
    'surpassent',
    'surpasser',
    'surpassera',
    'surpasserai',
    'surpasserais',
    'surpasserait',
    'surpasseras',
    'surpasserez',
    'surpasseriez',
    'surpasserons',
    'surpasseront',
    'surpasses',
    'surpassez',
    'surpassiez',
    'surpassions',
    'surpassons',
    'surpassâmes',
    'surpassât',
    'surpassâtes',
    'surpassèrent',
    'surpassé',
    'surpassée',
    'surpassées',
    'surpassés',
    'surpaya',
    'surpayai',
    'surpayaient',
    'surpayais',
    'surpayait',
    'surpayant',
    'surpayas',
    'surpayasse',
    'surpayassent',
    'surpayasses',
    'surpayassiez',
    'surpaye',
    'surpayent',
    'surpayer',
    'surpayera',
    'surpayerai',
    'surpayerais',
    'surpayerait',
    'surpayeras',
    'surpayerez',
    'surpayeriez',
    'surpayerions',
    'surpayerons',
    'surpayeront',
    'surpayes',
    'surpayez',
    'surpayiez',
    'surpayions',
    'surpayons',
    'surpayâmes',
    'surpayât',
    'surpayâtes',
    'surpayèrent',
    'surpayé',
    'surpayée',
    'surpayées',
    'surpayés',
    'surpeuplé',
    'surpeuplée',
    'surpeuplées',
    'surpeuplés',
    'surpiqua',
    'surpiquai',
    'surpiquaient',
    'surpiquais',
    'surpiquait',
    'surpiquant',
    'surpiquas',
    'surpiquasse',
    'surpiquasses',
    'surpique',
    'surpiquent',
    'surpiquer',
    'surpiquera',
    'surpiquerai',
    'surpiquerais',
    'surpiquerait',
    'surpiqueras',
    'surpiquerez',
    'surpiqueriez',
    'surpiquerons',
    'surpiqueront',
    'surpiques',
    'surpiquez',
    'surpiquiez',
    'surpiquions',
    'surpiquons',
    'surpiquâmes',
    'surpiquât',
    'surpiquâtes',
    'surpiquèrent',
    'surpiqué',
    'surpiquée',
    'surpiquées',
    'surpiqués',
    'surpiqûre',
    'surpiqûres',
    'surplace',
    'surplaces',
    'surplis',
    'surplomb',
    'surplomba',
    'surplombai',
    'surplombais',
    'surplombait',
    'surplombant',
    'surplombante',
    'surplombants',
    'surplombas',
    'surplombasse',
    'surplombe',
    'surplombent',
    'surplomber',
    'surplombera',
    'surplomberai',
    'surplomberas',
    'surplomberez',
    'surplombes',
    'surplombez',
    'surplombiez',
    'surplombions',
    'surplombons',
    'surplombs',
    'surplombâmes',
    'surplombât',
    'surplombâtes',
    'surplombé',
    'surplombée',
    'surplombées',
    'surplombés',
    'surplus',
    'surprenaient',
    'surprenais',
    'surprenait',
    'surprenant',
    'surprenante',
    'surprenantes',
    'surprenants',
    'surprend',
    'surprendra',
    'surprendrai',
    'surprendrais',
    'surprendrait',
    'surprendras',
    'surprendre',
    'surprendrez',
    'surprendriez',
    'surprendrons',
    'surprendront',
    'surprends',
    'surprenez',
    'surpreniez',
    'surprenions',
    'surprenne',
    'surprennent',
    'surprennes',
    'surprenons',
    'surpression',
    'surpressions',
    'surprime',
    'surprimes',
    'surprirent',
    'surpris',
    'surprise',
    'surprises',
    'surprisse',
    'surprissent',
    'surprisses',
    'surprissiez',
    'surprissions',
    'surprit',
    'surproduire',
    'surprotège',
    'surprotègent',
    'surprotèges',
    'surprotégea',
    'surprotégeai',
    'surprotégeas',
    'surprotéger',
    'surprotégera',
    'surprotégez',
    'surprotégeât',
    'surprotégiez',
    'surprotégé',
    'surprotégée',
    'surprotégées',
    'surprotégés',
    'surprîmes',
    'surprît',
    'surprîtes',
    'surpuissant',
    'surpuissante',
    'surpuissants',
    'surrection',
    'surrections',
    'surréalisme',
    'surréalismes',
    'surréaliste',
    'surréalistes',
    'surrénale',
    'surrénales',
    'surs',
    'sursalaire',
    'sursalaires',
    'sursatura',
    'sursaturai',
    'sursaturais',
    'sursaturait',
    'sursaturant',
    'sursaturas',
    'sursaturasse',
    'sursature',
    'sursaturent',
    'sursaturer',
    'sursaturera',
    'sursaturerai',
    'sursatureras',
    'sursaturerez',
    'sursatures',
    'sursaturez',
    'sursaturiez',
    'sursaturions',
    'sursaturons',
    'sursaturâmes',
    'sursaturât',
    'sursaturâtes',
    'sursaturé',
    'sursaturée',
    'sursaturées',
    'sursaturés',
    'sursaut',
    'sursauta',
    'sursautai',
    'sursautaient',
    'sursautais',
    'sursautait',
    'sursautant',
    'sursautas',
    'sursautasse',
    'sursautasses',
    'sursaute',
    'sursautent',
    'sursauter',
    'sursautera',
    'sursauterai',
    'sursauterais',
    'sursauterait',
    'sursauteras',
    'sursauterez',
    'sursauteriez',
    'sursauterons',
    'sursauteront',
    'sursautes',
    'sursautez',
    'sursautiez',
    'sursautions',
    'sursautons',
    'sursauts',
    'sursautâmes',
    'sursautât',
    'sursautâtes',
    'sursautèrent',
    'sursauté',
    'sursautée',
    'sursautées',
    'sursautés',
    'sursema',
    'sursemai',
    'sursemaient',
    'sursemais',
    'sursemait',
    'sursemant',
    'sursemas',
    'sursemasse',
    'sursemassent',
    'sursemasses',
    'sursemassiez',
    'sursemer',
    'sursemez',
    'sursemiez',
    'sursemions',
    'sursemons',
    'sursemâmes',
    'sursemât',
    'sursemâtes',
    'sursemèrent',
    'sursemé',
    'sursemée',
    'sursemées',
    'sursemés',
    'surseoir',
    'surseoira',
    'surseoirai',
    'surseoirais',
    'surseoirait',
    'surseoiras',
    'surseoirez',
    'surseoiriez',
    'surseoirions',
    'surseoirons',
    'surseoiront',
    'sursirent',
    'sursis',
    'sursise',
    'sursises',
    'sursisse',
    'sursissent',
    'sursisses',
    'sursissiez',
    'sursissions',
    'sursit',
    'sursitaire',
    'sursitaires',
    'sursoie',
    'sursoient',
    'sursoies',
    'sursois',
    'sursoit',
    'sursoyaient',
    'sursoyais',
    'sursoyait',
    'sursoyant',
    'sursoyez',
    'sursoyiez',
    'sursoyions',
    'sursoyons',
    'sursème',
    'sursèment',
    'sursèmera',
    'sursèmerai',
    'sursèmerais',
    'sursèmerait',
    'sursèmeras',
    'sursèmerez',
    'sursèmeriez',
    'sursèmerions',
    'sursèmerons',
    'sursèmeront',
    'sursèmes',
    'sursîmes',
    'sursît',
    'sursîtes',
    'surtaux',
    'surtaxa',
    'surtaxai',
    'surtaxaient',
    'surtaxais',
    'surtaxait',
    'surtaxant',
    'surtaxas',
    'surtaxasse',
    'surtaxassent',
    'surtaxasses',
    'surtaxassiez',
    'surtaxe',
    'surtaxent',
    'surtaxer',
    'surtaxera',
    'surtaxerai',
    'surtaxerais',
    'surtaxerait',
    'surtaxeras',
    'surtaxerez',
    'surtaxeriez',
    'surtaxerions',
    'surtaxerons',
    'surtaxeront',
    'surtaxes',
    'surtaxez',
    'surtaxiez',
    'surtaxions',
    'surtaxons',
    'surtaxâmes',
    'surtaxât',
    'surtaxâtes',
    'surtaxèrent',
    'surtaxé',
    'surtaxée',
    'surtaxées',
    'surtaxés',
    'surtension',
    'surtensions',
    'surtondre',
    'surtonte',
    'surtontes',
    'surtout',
    'surveilla',
    'surveillai',
    'surveillais',
    'surveillait',
    'surveillance',
    'surveillant',
    'surveillante',
    'surveillants',
    'surveillas',
    'surveillasse',
    'surveille',
    'surveillent',
    'surveiller',
    'surveillera',
    'surveillerai',
    'surveilleras',
    'surveillerez',
    'surveilles',
    'surveillez',
    'surveilliez',
    'surveillions',
    'surveillons',
    'surveillâmes',
    'surveillât',
    'surveillâtes',
    'surveillé',
    'surveillée',
    'surveillées',
    'surveillés',
    'survenaient',
    'survenais',
    'survenait',
    'survenance',
    'survenances',
    'survenant',
    'survenez',
    'surveniez',
    'survenions',
    'survenir',
    'survenons',
    'survente',
    'surventes',
    'survenu',
    'survenue',
    'survenues',
    'survenus',
    'survie',
    'surviendra',
    'surviendrai',
    'surviendrais',
    'surviendrait',
    'surviendras',
    'surviendrez',
    'surviendriez',
    'surviendrons',
    'surviendront',
    'survienne',
    'surviennent',
    'surviennes',
    'surviens',
    'survient',
    'survies',
    'survinrent',
    'survins',
    'survinsse',
    'survinssent',
    'survinsses',
    'survinssiez',
    'survinssions',
    'survint',
    'survira',
    'survirage',
    'survirages',
    'survirai',
    'surviraient',
    'survirais',
    'survirait',
    'survirant',
    'surviras',
    'survirasse',
    'survirassent',
    'survirasses',
    'survirassiez',
    'survire',
    'survirent',
    'survirer',
    'survirera',
    'survirerai',
    'survirerais',
    'survirerait',
    'survireras',
    'survirerez',
    'survireriez',
    'survirerions',
    'survirerons',
    'survireront',
    'survires',
    'survireur',
    'survireurs',
    'survireuse',
    'survireuses',
    'survirez',
    'surviriez',
    'survirions',
    'survirons',
    'survirâmes',
    'survirât',
    'survirâtes',
    'survirèrent',
    'surviré',
    'survis',
    'survit',
    'survivaient',
    'survivais',
    'survivait',
    'survivance',
    'survivances',
    'survivant',
    'survivante',
    'survivantes',
    'survivants',
    'survive',
    'survivent',
    'survives',
    'survivez',
    'surviviez',
    'survivions',
    'survivons',
    'survivra',
    'survivrai',
    'survivraient',
    'survivrais',
    'survivrait',
    'survivras',
    'survivre',
    'survivrez',
    'survivriez',
    'survivrions',
    'survivrons',
    'survivront',
    'survol',
    'survola',
    'survolai',
    'survolaient',
    'survolais',
    'survolait',
    'survolant',
    'survolas',
    'survolasse',
    'survolassent',
    'survolasses',
    'survolassiez',
    'survole',
    'survolent',
    'survoler',
    'survolera',
    'survolerai',
    'survolerais',
    'survolerait',
    'survoleras',
    'survolerez',
    'survoleriez',
    'survolerions',
    'survolerons',
    'survoleront',
    'survoles',
    'survolez',
    'survoliez',
    'survolions',
    'survolons',
    'survols',
    'survolta',
    'survoltage',
    'survoltages',
    'survoltai',
    'survoltaient',
    'survoltais',
    'survoltait',
    'survoltant',
    'survoltas',
    'survoltasse',
    'survoltasses',
    'survolte',
    'survoltent',
    'survolter',
    'survoltera',
    'survolterai',
    'survolterais',
    'survolterait',
    'survolteras',
    'survolterez',
    'survolteriez',
    'survolterons',
    'survolteront',
    'survoltes',
    'survolteur',
    'survolteurs',
    'survoltez',
    'survoltiez',
    'survoltions',
    'survoltons',
    'survoltâmes',
    'survoltât',
    'survoltâtes',
    'survoltèrent',
    'survolté',
    'survoltée',
    'survoltées',
    'survoltés',
    'survolâmes',
    'survolât',
    'survolâtes',
    'survolèrent',
    'survolé',
    'survolée',
    'survolées',
    'survolés',
    'survécu',
    'survécue',
    'survécues',
    'survécurent',
    'survécus',
    'survécusse',
    'survécussent',
    'survécusses',
    'survécussiez',
    'survécut',
    'survécûmes',
    'survécût',
    'survécûtes',
    'survêtement',
    'survêtements',
    'survînmes',
    'survînt',
    'survîntes',
    'surédifia',
    'surédifiai',
    'surédifiais',
    'surédifiait',
    'surédifiant',
    'surédifias',
    'surédifiasse',
    'surédifie',
    'surédifient',
    'surédifier',
    'surédifiera',
    'surédifierai',
    'surédifieras',
    'surédifierez',
    'surédifies',
    'surédifiez',
    'surédifiiez',
    'surédifiions',
    'surédifions',
    'surédifiâmes',
    'surédifiât',
    'surédifiâtes',
    'surédifié',
    'surédifiée',
    'surédifiées',
    'surédifiés',
    'suréleva',
    'surélevai',
    'surélevaient',
    'surélevais',
    'surélevait',
    'surélevant',
    'surélevas',
    'surélevasse',
    'surélevasses',
    'surélever',
    'surélevez',
    'suréleviez',
    'surélevions',
    'surélevons',
    'surélevâmes',
    'surélevât',
    'surélevâtes',
    'surélevèrent',
    'surélevé',
    'surélevée',
    'surélevées',
    'surélevés',
    'surélève',
    'surélèvent',
    'surélèvera',
    'surélèverai',
    'surélèverais',
    'surélèverait',
    'surélèveras',
    'surélèverez',
    'surélèveriez',
    'surélèverons',
    'surélèveront',
    'surélèves',
    'surélévation',
    'suréquipa',
    'suréquipai',
    'suréquipais',
    'suréquipait',
    'suréquipant',
    'suréquipas',
    'suréquipasse',
    'suréquipe',
    'suréquipent',
    'suréquiper',
    'suréquipera',
    'suréquiperai',
    'suréquiperas',
    'suréquiperez',
    'suréquipes',
    'suréquipez',
    'suréquipiez',
    'suréquipions',
    'suréquipons',
    'suréquipâmes',
    'suréquipât',
    'suréquipâtes',
    'suréquipé',
    'suréquipée',
    'suréquipées',
    'suréquipés',
    'surérogation',
    'surévalua',
    'surévaluai',
    'surévaluais',
    'surévaluait',
    'surévaluant',
    'surévaluas',
    'surévaluasse',
    'surévalue',
    'surévaluent',
    'surévaluer',
    'surévaluera',
    'surévaluerai',
    'surévalueras',
    'surévaluerez',
    'surévalues',
    'surévaluez',
    'surévaluiez',
    'surévaluions',
    'surévaluons',
    'surévaluâmes',
    'surévaluât',
    'surévaluâtes',
    'surévalué',
    'surévaluée',
    'surévaluées',
    'surévalués',
    'surîmes',
    'surît',
    'surîtes',
    'susceptible',
    'susceptibles',
    'suscita',
    'suscitai',
    'suscitaient',
    'suscitais',
    'suscitait',
    'suscitant',
    'suscitas',
    'suscitasse',
    'suscitassent',
    'suscitasses',
    'suscitassiez',
    'suscite',
    'suscitent',
    'susciter',
    'suscitera',
    'susciterai',
    'susciterais',
    'susciterait',
    'susciteras',
    'susciterez',
    'susciteriez',
    'susciterions',
    'susciterons',
    'susciteront',
    'suscites',
    'suscitez',
    'suscitiez',
    'suscitions',
    'suscitons',
    'suscitâmes',
    'suscitât',
    'suscitâtes',
    'suscitèrent',
    'suscité',
    'suscitée',
    'suscitées',
    'suscités',
    'suscription',
    'suscriptions',
    'susdit',
    'susdite',
    'susdites',
    'susdits',
    'sushi',
    'sushis',
    'susmentionné',
    'susnommé',
    'susnommée',
    'susnommées',
    'susnommés',
    'suspect',
    'suspecta',
    'suspectai',
    'suspectaient',
    'suspectais',
    'suspectait',
    'suspectant',
    'suspectas',
    'suspectasse',
    'suspectasses',
    'suspecte',
    'suspectent',
    'suspecter',
    'suspectera',
    'suspecterai',
    'suspecterais',
    'suspecterait',
    'suspecteras',
    'suspecterez',
    'suspecteriez',
    'suspecterons',
    'suspecteront',
    'suspectes',
    'suspectez',
    'suspectiez',
    'suspections',
    'suspectons',
    'suspects',
    'suspectâmes',
    'suspectât',
    'suspectâtes',
    'suspectèrent',
    'suspecté',
    'suspectée',
    'suspectées',
    'suspectés',
    'suspend',
    'suspendaient',
    'suspendais',
    'suspendait',
    'suspendant',
    'suspende',
    'suspendent',
    'suspendes',
    'suspendez',
    'suspendiez',
    'suspendions',
    'suspendirent',
    'suspendis',
    'suspendisse',
    'suspendisses',
    'suspendit',
    'suspendons',
    'suspendra',
    'suspendrai',
    'suspendrais',
    'suspendrait',
    'suspendras',
    'suspendre',
    'suspendrez',
    'suspendriez',
    'suspendrions',
    'suspendrons',
    'suspendront',
    'suspends',
    'suspendu',
    'suspendue',
    'suspendues',
    'suspendus',
    'suspendîmes',
    'suspendît',
    'suspendîtes',
    'suspens',
    'suspense',
    'suspenses',
    'suspenseur',
    'suspenseurs',
    'suspensif',
    'suspensifs',
    'suspension',
    'suspensions',
    'suspensive',
    'suspensives',
    'suspensoir',
    'suspensoirs',
    'suspente',
    'suspentes',
    'suspicieuse',
    'suspicieuses',
    'suspicieux',
    'suspicion',
    'suspicions',
    'susse',
    'sussent',
    'susses',
    'sussiez',
    'sussions',
    'sustenta',
    'sustentai',
    'sustentaient',
    'sustentais',
    'sustentait',
    'sustentant',
    'sustentas',
    'sustentasse',
    'sustentasses',
    'sustentateur',
    'sustentation',
    'sustente',
    'sustentent',
    'sustenter',
    'sustentera',
    'sustenterai',
    'sustenterais',
    'sustenterait',
    'sustenteras',
    'sustenterez',
    'sustenteriez',
    'sustenterons',
    'sustenteront',
    'sustentes',
    'sustentez',
    'sustentiez',
    'sustentions',
    'sustentons',
    'sustentâmes',
    'sustentât',
    'sustentâtes',
    'sustentèrent',
    'sustenté',
    'sustentée',
    'sustentées',
    'sustentés',
    'susurra',
    'susurrai',
    'susurraient',
    'susurrais',
    'susurrait',
    'susurrant',
    'susurrante',
    'susurrantes',
    'susurrants',
    'susurras',
    'susurrasse',
    'susurrassent',
    'susurrasses',
    'susurrassiez',
    'susurre',
    'susurrement',
    'susurrements',
    'susurrent',
    'susurrer',
    'susurrera',
    'susurrerai',
    'susurrerais',
    'susurrerait',
    'susurreras',
    'susurrerez',
    'susurreriez',
    'susurrerions',
    'susurrerons',
    'susurreront',
    'susurres',
    'susurrez',
    'susurriez',
    'susurrions',
    'susurrons',
    'susurrâmes',
    'susurrât',
    'susurrâtes',
    'susurrèrent',
    'susurré',
    'susurrée',
    'susurrées',
    'susurrés',
    'susvisé',
    'susvisée',
    'susvisées',
    'susvisés',
    'sutra',
    'sutras',
    'sutura',
    'suturai',
    'suturaient',
    'suturais',
    'suturait',
    'sutural',
    'suturale',
    'suturales',
    'suturant',
    'suturas',
    'suturasse',
    'suturassent',
    'suturasses',
    'suturassiez',
    'suturassions',
    'suturaux',
    'suture',
    'suturent',
    'suturer',
    'suturera',
    'suturerai',
    'sutureraient',
    'suturerais',
    'suturerait',
    'sutureras',
    'suturerez',
    'sutureriez',
    'suturerions',
    'suturerons',
    'sutureront',
    'sutures',
    'suturez',
    'suturiez',
    'suturions',
    'suturons',
    'suturâmes',
    'suturât',
    'suturâtes',
    'suturèrent',
    'suturé',
    'suturée',
    'suturées',
    'suturés',
    'suzerain',
    'suzeraine',
    'suzeraines',
    'suzeraineté',
    'suzerainetés',
    'suzerains',
    'suâmes',
    'suât',
    'suâtes',
    'suça',
    'suçai',
    'suçaient',
    'suçais',
    'suçait',
    'suçant',
    'suças',
    'suçasse',
    'suçassent',
    'suçasses',
    'suçassiez',
    'suçassions',
    'suçoir',
    'suçoirs',
    'suçon',
    'suçons',
    'suçota',
    'suçotai',
    'suçotaient',
    'suçotais',
    'suçotait',
    'suçotant',
    'suçotas',
    'suçotasse',
    'suçotassent',
    'suçotasses',
    'suçotassiez',
    'suçotassions',
    'suçote',
    'suçotent',
    'suçoter',
    'suçotera',
    'suçoterai',
    'suçoteraient',
    'suçoterais',
    'suçoterait',
    'suçoteras',
    'suçoterez',
    'suçoteriez',
    'suçoterions',
    'suçoterons',
    'suçoteront',
    'suçotes',
    'suçotez',
    'suçotiez',
    'suçotions',
    'suçotons',
    'suçotâmes',
    'suçotât',
    'suçotâtes',
    'suçotèrent',
    'suçoté',
    'suçotée',
    'suçotées',
    'suçotés',
    'suçâmes',
    'suçât',
    'suçâtes',
    'suède',
    'suèdes',
    'suèrent',
    'suédine',
    'suédines',
    'suédois',
    'suédoise',
    'suédoises',
    'suédé',
    'suédée',
    'suédées',
    'suédés',
    'suée',
    'suées',
    'sués',
    'svastika',
    'svastikas',
    'svelte',
    'sveltes',
    'sveltesse',
    'sveltesses',
    'swahili',
    'swahilie',
    'swahéli',
    'swahélie',
    'swap',
    'swaps',
    'swastika',
    'swastikas',
    'sweater',
    'sweaters',
    'sweepstake',
    'sweepstakes',
    'swing',
    'swings',
    'swingua',
    'swinguai',
    'swinguaient',
    'swinguais',
    'swinguait',
    'swinguant',
    'swinguas',
    'swinguasse',
    'swinguassent',
    'swinguasses',
    'swinguassiez',
    'swingue',
    'swinguent',
    'swinguer',
    'swinguera',
    'swinguerai',
    'swinguerais',
    'swinguerait',
    'swingueras',
    'swinguerez',
    'swingueriez',
    'swinguerions',
    'swinguerons',
    'swingueront',
    'swingues',
    'swinguez',
    'swinguiez',
    'swinguions',
    'swinguons',
    'swinguâmes',
    'swinguât',
    'swinguâtes',
    'swinguèrent',
    'swingué',
    'sybarite',
    'sybarites',
    'sybaritique',
    'sybaritiques',
    'sybaritisme',
    'sybaritismes',
    'sycomore',
    'sycomores',
    'sycophante',
    'sycophantes',
    'sycosis',
    'syllaba',
    'syllabai',
    'syllabaient',
    'syllabais',
    'syllabait',
    'syllabant',
    'syllabas',
    'syllabasse',
    'syllabassent',
    'syllabasses',
    'syllabassiez',
    'syllabation',
    'syllabations',
    'syllabe',
    'syllabent',
    'syllaber',
    'syllabera',
    'syllaberai',
    'syllaberais',
    'syllaberait',
    'syllaberas',
    'syllaberez',
    'syllaberiez',
    'syllaberions',
    'syllaberons',
    'syllaberont',
    'syllabes',
    'syllabez',
    'syllabiez',
    'syllabions',
    'syllabique',
    'syllabiques',
    'syllabisme',
    'syllabismes',
    'syllabons',
    'syllabus',
    'syllabâmes',
    'syllabât',
    'syllabâtes',
    'syllabèrent',
    'syllabé',
    'syllabée',
    'syllabées',
    'syllabés',
    'syllepse',
    'syllepses',
    'syllogisme',
    'syllogismes',
    'sylphe',
    'sylphes',
    'sylphide',
    'sylphides',
    'sylvain',
    'sylvains',
    'sylve',
    'sylves',
    'sylvestre',
    'sylvestres',
    'sylvicole',
    'sylvicoles',
    'sylviculteur',
    'sylviculture',
    'sylvinite',
    'sylvinites',
    'symbiose',
    'symbioses',
    'symbiote',
    'symbiotes',
    'symbiotique',
    'symbiotiques',
    'symbole',
    'symboles',
    'symbolique',
    'symboliques',
    'symbolisa',
    'symbolisai',
    'symbolisais',
    'symbolisait',
    'symbolisant',
    'symbolisas',
    'symbolisasse',
    'symbolise',
    'symbolisent',
    'symboliser',
    'symbolisera',
    'symboliserai',
    'symboliseras',
    'symboliserez',
    'symbolises',
    'symbolisez',
    'symbolisiez',
    'symbolisions',
    'symbolisme',
    'symbolismes',
    'symbolisons',
    'symboliste',
    'symbolistes',
    'symbolisâmes',
    'symbolisât',
    'symbolisâtes',
    'symbolisé',
    'symbolisée',
    'symbolisées',
    'symbolisés',
    'sympa',
    'sympathie',
    'sympathies',
    'sympathique',
    'sympathiques',
    'sympathisa',
    'sympathisai',
    'sympathisais',
    'sympathisait',
    'sympathisant',
    'sympathisas',
    'sympathise',
    'sympathisent',
    'sympathiser',
    'sympathisera',
    'sympathises',
    'sympathisez',
    'sympathisiez',
    'sympathisons',
    'sympathisât',
    'sympathisé',
    'symphonie',
    'symphonies',
    'symphonique',
    'symphoniques',
    'symphoniste',
    'symphonistes',
    'symphorine',
    'symphorines',
    'symphyse',
    'symphyses',
    'symposion',
    'symposions',
    'symposium',
    'symposiums',
    'symptôme',
    'symptômes',
    'symétrie',
    'symétries',
    'symétrique',
    'symétriques',
    'symétrisa',
    'symétrisai',
    'symétrisais',
    'symétrisait',
    'symétrisant',
    'symétrisas',
    'symétrisasse',
    'symétrise',
    'symétrisent',
    'symétriser',
    'symétrisera',
    'symétriserai',
    'symétriseras',
    'symétriserez',
    'symétrises',
    'symétrisez',
    'symétrisiez',
    'symétrisions',
    'symétrisons',
    'symétrisâmes',
    'symétrisât',
    'symétrisâtes',
    'symétrisé',
    'symétrisée',
    'symétrisées',
    'symétrisés',
    'synagogue',
    'synagogues',
    'synalèphe',
    'synalèphes',
    'synanthéré',
    'synanthérée',
    'synanthérées',
    'synanthérés',
    'synapse',
    'synapses',
    'synaptase',
    'synaptases',
    'synaptique',
    'synaptiques',
    'synarchie',
    'synarchies',
    'synarthrose',
    'synarthroses',
    'synchondrose',
    'synchrone',
    'synchrones',
    'synchronie',
    'synchronies',
    'synchronique',
    'synchronisa',
    'synchronisai',
    'synchronisas',
    'synchronise',
    'synchroniser',
    'synchronises',
    'synchronisez',
    'synchronisme',
    'synchronisât',
    'synchronisé',
    'synchronisée',
    'synchronisés',
    'synchrotron',
    'synchrotrons',
    'synclinal',
    'synclinale',
    'synclinales',
    'synclinaux',
    'syncopa',
    'syncopai',
    'syncopaient',
    'syncopais',
    'syncopait',
    'syncopal',
    'syncopale',
    'syncopales',
    'syncopant',
    'syncopas',
    'syncopasse',
    'syncopassent',
    'syncopasses',
    'syncopassiez',
    'syncopaux',
    'syncope',
    'syncopent',
    'syncoper',
    'syncopera',
    'syncoperai',
    'syncoperais',
    'syncoperait',
    'syncoperas',
    'syncoperez',
    'syncoperiez',
    'syncoperions',
    'syncoperons',
    'syncoperont',
    'syncopes',
    'syncopez',
    'syncopiez',
    'syncopions',
    'syncopons',
    'syncopâmes',
    'syncopât',
    'syncopâtes',
    'syncopèrent',
    'syncopé',
    'syncopée',
    'syncopées',
    'syncopés',
    'syncrétisme',
    'syncrétismes',
    'syndic',
    'syndical',
    'syndicale',
    'syndicales',
    'syndicalisa',
    'syndicalisai',
    'syndicalisas',
    'syndicalise',
    'syndicaliser',
    'syndicalises',
    'syndicalisez',
    'syndicalisme',
    'syndicaliste',
    'syndicalisât',
    'syndicalisé',
    'syndicalisée',
    'syndicalisés',
    'syndicat',
    'syndicataire',
    'syndicats',
    'syndicaux',
    'syndics',
    'syndiqua',
    'syndiquai',
    'syndiquaient',
    'syndiquais',
    'syndiquait',
    'syndiquant',
    'syndiquas',
    'syndiquasse',
    'syndiquasses',
    'syndique',
    'syndiquent',
    'syndiquer',
    'syndiquera',
    'syndiquerai',
    'syndiquerais',
    'syndiquerait',
    'syndiqueras',
    'syndiquerez',
    'syndiqueriez',
    'syndiquerons',
    'syndiqueront',
    'syndiques',
    'syndiquez',
    'syndiquiez',
    'syndiquions',
    'syndiquons',
    'syndiquâmes',
    'syndiquât',
    'syndiquâtes',
    'syndiquèrent',
    'syndiqué',
    'syndiquée',
    'syndiquées',
    'syndiqués',
    'syndrome',
    'syndromes',
    'synecdoque',
    'synecdoques',
    'synergie',
    'synergies',
    'synergique',
    'synergiques',
    'synesthésie',
    'synesthésies',
    'syngnathe',
    'syngnathes',
    'synodal',
    'synodale',
    'synodales',
    'synodaux',
    'synode',
    'synodes',
    'synodique',
    'synodiques',
    'synonyme',
    'synonymes',
    'synonymie',
    'synonymies',
    'synonymique',
    'synonymiques',
    'synopse',
    'synopses',
    'synopsie',
    'synopsies',
    'synopsis',
    'synoptique',
    'synoptiques',
    'synostose',
    'synostoses',
    'synovie',
    'synovies',
    'synovites',
    'syntacticien',
    'syntactique',
    'syntactiques',
    'syntagme',
    'syntagmes',
    'syntaxe',
    'syntaxes',
    'syntaxique',
    'syntaxiques',
    'synthèse',
    'synthèses',
    'synthétique',
    'synthétiques',
    'synthétisa',
    'synthétisai',
    'synthétisais',
    'synthétisait',
    'synthétisant',
    'synthétisas',
    'synthétise',
    'synthétisent',
    'synthétiser',
    'synthétisera',
    'synthétises',
    'synthétiseur',
    'synthétisez',
    'synthétisiez',
    'synthétisons',
    'synthétisât',
    'synthétisé',
    'synthétisée',
    'synthétisées',
    'synthétisés',
    'syntone',
    'syntones',
    'syntonie',
    'syntonies',
    'syntonisa',
    'syntonisai',
    'syntonisais',
    'syntonisait',
    'syntonisant',
    'syntonisas',
    'syntonisasse',
    'syntonise',
    'syntonisent',
    'syntoniser',
    'syntonisera',
    'syntoniserai',
    'syntoniseras',
    'syntoniserez',
    'syntonises',
    'syntonisez',
    'syntonisiez',
    'syntonisions',
    'syntonisons',
    'syntonisâmes',
    'syntonisât',
    'syntonisâtes',
    'syntonisé',
    'syntonisée',
    'syntonisées',
    'syntonisés',
    'synéchie',
    'synéchies',
    'synérèse',
    'synérèses',
    'syphilide',
    'syphilides',
    'syphilis',
    'syphilitique',
    'syriaque',
    'syriaques',
    'syrien',
    'syrienne',
    'syriennes',
    'syriens',
    'syringe',
    'syringes',
    'syrinx',
    'syrphe',
    'syrphes',
    'systyle',
    'systyles',
    'système',
    'systèmes',
    'systématique',
    'systématisa',
    'systématisai',
    'systématisas',
    'systématise',
    'systématiser',
    'systématises',
    'systématisez',
    'systématisât',
    'systématisé',
    'systématisée',
    'systématisés',
    'systémique',
    'systémiques',
    'syénite',
    'syénites',
    'sèche',
    'sèchement',
    'sèchent',
    'sèches',
    'sème',
    'sèment',
    'sèmera',
    'sèmerai',
    'sèmeraient',
    'sèmerais',
    'sèmerait',
    'sèmeras',
    'sèmerez',
    'sèmeriez',
    'sèmerions',
    'sèmerons',
    'sèmeront',
    'sèmes',
    'sève',
    'sèves',
    'sèvre',
    'sèvrent',
    'sèvrera',
    'sèvrerai',
    'sèvreraient',
    'sèvrerais',
    'sèvrerait',
    'sèvreras',
    'sèvrerez',
    'sèvreriez',
    'sèvrerions',
    'sèvrerons',
    'sèvreront',
    'sèvres',
    'séance',
    'séances',
    'séant',
    'séante',
    'séantes',
    'séants',
    'sébacé',
    'sébacée',
    'sébacées',
    'sébacés',
    'sébaste',
    'sébastes',
    'sébile',
    'sébiles',
    'séborrhée',
    'séborrhées',
    'sébum',
    'sébums',
    'sécable',
    'sécables',
    'sécant',
    'sécante',
    'sécantes',
    'sécants',
    'sécateur',
    'sécateurs',
    'sécession',
    'sécessions',
    'sécha',
    'séchage',
    'séchages',
    'séchai',
    'séchaient',
    'séchais',
    'séchait',
    'séchant',
    'séchas',
    'séchasse',
    'séchassent',
    'séchasses',
    'séchassiez',
    'séchassions',
    'sécher',
    'séchera',
    'sécherai',
    'sécheraient',
    'sécherais',
    'sécherait',
    'sécheras',
    'sécheresse',
    'sécheresses',
    'sécherez',
    'sécherie',
    'sécheries',
    'sécheriez',
    'sécherions',
    'sécherons',
    'sécheront',
    'sécheur',
    'sécheurs',
    'sécheuse',
    'sécheuses',
    'séchez',
    'séchiez',
    'séchions',
    'séchoir',
    'séchoirs',
    'séchons',
    'séchâmes',
    'séchât',
    'séchâtes',
    'séchèrent',
    'séché',
    'séchée',
    'séchées',
    'séchés',
    'sécrète',
    'sécrètent',
    'sécrètes',
    'sécréta',
    'sécrétai',
    'sécrétaient',
    'sécrétais',
    'sécrétait',
    'sécrétant',
    'sécrétas',
    'sécrétasse',
    'sécrétassent',
    'sécrétasses',
    'sécrétassiez',
    'sécréter',
    'sécrétera',
    'sécréterai',
    'sécréterais',
    'sécréterait',
    'sécréteras',
    'sécréterez',
    'sécréteriez',
    'sécréterions',
    'sécréterons',
    'sécréteront',
    'sécréteur',
    'sécréteurs',
    'sécréteuse',
    'sécréteuses',
    'sécrétez',
    'sécrétiez',
    'sécrétine',
    'sécrétines',
    'sécrétion',
    'sécrétions',
    'sécrétoire',
    'sécrétoires',
    'sécrétons',
    'sécrétâmes',
    'sécrétât',
    'sécrétâtes',
    'sécrétèrent',
    'sécrété',
    'sécrétée',
    'sécrétées',
    'sécrétés',
    'séculaire',
    'séculaires',
    'sécularisa',
    'sécularisai',
    'sécularisais',
    'sécularisait',
    'sécularisant',
    'sécularisas',
    'sécularise',
    'sécularisent',
    'séculariser',
    'sécularisera',
    'sécularises',
    'sécularisez',
    'sécularisiez',
    'sécularisons',
    'sécularisât',
    'sécularisé',
    'sécularisée',
    'sécularisées',
    'sécularisés',
    'séculier',
    'séculiers',
    'séculière',
    'séculières',
    'sécurisa',
    'sécurisai',
    'sécurisaient',
    'sécurisais',
    'sécurisait',
    'sécurisant',
    'sécurisante',
    'sécurisantes',
    'sécurisants',
    'sécurisas',
    'sécurisasse',
    'sécurisasses',
    'sécurisation',
    'sécurise',
    'sécurisent',
    'sécuriser',
    'sécurisera',
    'sécuriserai',
    'sécuriserais',
    'sécuriserait',
    'sécuriseras',
    'sécuriserez',
    'sécuriseriez',
    'sécuriserons',
    'sécuriseront',
    'sécurises',
    'sécurisez',
    'sécurisiez',
    'sécurisions',
    'sécurisons',
    'sécurisâmes',
    'sécurisât',
    'sécurisâtes',
    'sécurisèrent',
    'sécurisé',
    'sécurisée',
    'sécurisées',
    'sécurisés',
    'sécuritaire',
    'sécuritaires',
    'sécurité',
    'sécurités',
    'sédatif',
    'sédatifs',
    'sédative',
    'sédatives',
    'sédentaire',
    'sédentaires',
    'sédentarisa',
    'sédentarisai',
    'sédentarisas',
    'sédentarise',
    'sédentariser',
    'sédentarises',
    'sédentarisez',
    'sédentarisât',
    'sédentarisé',
    'sédentarisée',
    'sédentarisés',
    'sédentarité',
    'sédentarités',
    'sédiment',
    'sédimenta',
    'sédimentai',
    'sédimentaire',
    'sédimentais',
    'sédimentait',
    'sédimentant',
    'sédimentas',
    'sédimentasse',
    'sédimente',
    'sédimentent',
    'sédimenter',
    'sédimentera',
    'sédimenterai',
    'sédimenteras',
    'sédimenterez',
    'sédimentes',
    'sédimentez',
    'sédimentiez',
    'sédimentions',
    'sédimentons',
    'sédiments',
    'sédimentâmes',
    'sédimentât',
    'sédimentâtes',
    'sédimenté',
    'sédimentée',
    'sédimentées',
    'sédimentés',
    'séditieuse',
    'séditieuses',
    'séditieux',
    'sédition',
    'séditions',
    'séducteur',
    'séducteurs',
    'séduction',
    'séductions',
    'séductrice',
    'séductrices',
    'séduira',
    'séduirai',
    'séduiraient',
    'séduirais',
    'séduirait',
    'séduiras',
    'séduire',
    'séduirez',
    'séduiriez',
    'séduirions',
    'séduirons',
    'séduiront',
    'séduis',
    'séduisaient',
    'séduisais',
    'séduisait',
    'séduisant',
    'séduisante',
    'séduisantes',
    'séduisants',
    'séduise',
    'séduisent',
    'séduises',
    'séduisez',
    'séduisiez',
    'séduisions',
    'séduisirent',
    'séduisis',
    'séduisisse',
    'séduisissent',
    'séduisisses',
    'séduisissiez',
    'séduisit',
    'séduisons',
    'séduisîmes',
    'séduisît',
    'séduisîtes',
    'séduit',
    'séduite',
    'séduites',
    'séduits',
    'séfarade',
    'séfarades',
    'ségala',
    'ségalas',
    'ségrairie',
    'ségrairies',
    'ségrais',
    'ségrégatif',
    'ségrégatifs',
    'ségrégation',
    'ségrégations',
    'ségrégative',
    'ségrégatives',
    'ségrégée',
    'séguedille',
    'séguedilles',
    'séide',
    'séides',
    'séisme',
    'séismes',
    'séismicité',
    'séismicités',
    'séismique',
    'séismiques',
    'séismographe',
    'séjour',
    'séjourna',
    'séjournai',
    'séjournaient',
    'séjournais',
    'séjournait',
    'séjournant',
    'séjournas',
    'séjournasse',
    'séjournasses',
    'séjourne',
    'séjournent',
    'séjourner',
    'séjournera',
    'séjournerai',
    'séjournerais',
    'séjournerait',
    'séjourneras',
    'séjournerez',
    'séjourneriez',
    'séjournerons',
    'séjourneront',
    'séjournes',
    'séjournez',
    'séjourniez',
    'séjournions',
    'séjournons',
    'séjournâmes',
    'séjournât',
    'séjournâtes',
    'séjournèrent',
    'séjourné',
    'séjours',
    'sélacien',
    'sélaciens',
    'sélaginelle',
    'sélaginelles',
    'sélect',
    'sélecter',
    'sélecteur',
    'sélecteurs',
    'sélectif',
    'sélectifs',
    'sélection',
    'sélectionna',
    'sélectionnai',
    'sélectionnas',
    'sélectionne',
    'sélectionner',
    'sélectionnes',
    'sélectionnez',
    'sélectionnât',
    'sélectionné',
    'sélectionnée',
    'sélectionnés',
    'sélections',
    'sélective',
    'sélectives',
    'sélectivité',
    'sélectivités',
    'sélectrice',
    'sélectrices',
    'sélects',
    'séléniate',
    'séléniates',
    'sélénieux',
    'sélénique',
    'séléniques',
    'sélénite',
    'sélénites',
    'séléniteuse',
    'séléniteuses',
    'séléniteux',
    'sélénium',
    'séléniums',
    'séléniure',
    'séléniures',
    'sémanticien',
    'sémanticiens',
    'sémantique',
    'sémantiques',
    'sémantème',
    'sémantèmes',
    'sémaphore',
    'sémaphores',
    'sémaphorique',
    'sémasiologie',
    'sémillant',
    'sémillante',
    'sémillantes',
    'sémillants',
    'sémillon',
    'sémillons',
    'séminaire',
    'séminaires',
    'séminal',
    'séminale',
    'séminales',
    'séminariste',
    'séminaristes',
    'séminaux',
    'sémiologie',
    'sémiologies',
    'sémiologique',
    'sémioticien',
    'sémioticiens',
    'sémiotique',
    'sémiotiques',
    'sémite',
    'sémites',
    'sémitique',
    'sémitiques',
    'séméiologie',
    'séméiologies',
    'séméiotique',
    'séméiotiques',
    'sénat',
    'sénateur',
    'sénateurs',
    'sénatorial',
    'sénatoriale',
    'sénatoriales',
    'sénatoriaux',
    'sénats',
    'sénescence',
    'sénescences',
    'sénescent',
    'sénescente',
    'sénescentes',
    'sénescents',
    'sénestre',
    'sénestres',
    'sénevé',
    'sénevés',
    'sénile',
    'séniles',
    'sénilité',
    'sénilités',
    'séné',
    'sénéchal',
    'sénéchaussée',
    'sénéchaux',
    'sénégalais',
    'sénégalaise',
    'sénégalaises',
    'sénés',
    'sépale',
    'sépales',
    'sépaloïde',
    'sépaloïdes',
    'sépara',
    'séparable',
    'séparables',
    'séparai',
    'séparaient',
    'séparais',
    'séparait',
    'séparant',
    'séparante',
    'séparantes',
    'séparants',
    'séparas',
    'séparasse',
    'séparassent',
    'séparasses',
    'séparassiez',
    'séparassions',
    'séparateur',
    'séparateurs',
    'séparation',
    'séparations',
    'séparatisme',
    'séparatismes',
    'séparatiste',
    'séparatistes',
    'séparatrice',
    'séparatrices',
    'sépare',
    'séparent',
    'séparer',
    'séparera',
    'séparerai',
    'sépareraient',
    'séparerais',
    'séparerait',
    'sépareras',
    'séparerez',
    'sépareriez',
    'séparerions',
    'séparerons',
    'sépareront',
    'sépares',
    'séparez',
    'sépariez',
    'séparions',
    'séparons',
    'séparâmes',
    'séparât',
    'séparâtes',
    'séparèrent',
    'séparé',
    'séparée',
    'séparées',
    'séparément',
    'séparés',
    'sépia',
    'sépias',
    'sépulcral',
    'sépulcrale',
    'sépulcrales',
    'sépulcraux',
    'sépulcre',
    'sépulcres',
    'sépulture',
    'sépultures',
    'séquelle',
    'séquelles',
    'séquence',
    'séquences',
    'séquenceur',
    'séquenceurs',
    'séquentiel',
    'séquentielle',
    'séquentiels',
    'séquestra',
    'séquestrai',
    'séquestrais',
    'séquestrait',
    'séquestrant',
    'séquestras',
    'séquestrasse',
    'séquestre',
    'séquestrent',
    'séquestrer',
    'séquestrera',
    'séquestrerai',
    'séquestreras',
    'séquestrerez',
    'séquestres',
    'séquestrez',
    'séquestriez',
    'séquestrions',
    'séquestrons',
    'séquestrâmes',
    'séquestrât',
    'séquestrâtes',
    'séquestré',
    'séquestrée',
    'séquestrées',
    'séquestrés',
    'séquoia',
    'séquoias',
    'sérac',
    'séracs',
    'sérail',
    'sérails',
    'sérance',
    'sérancent',
    'sérancer',
    'sérancera',
    'sérancerai',
    'sérancerais',
    'sérancerait',
    'séranceras',
    'sérancerez',
    'séranceriez',
    'sérancerions',
    'sérancerons',
    'séranceront',
    'sérances',
    'sérancez',
    'séranciez',
    'sérancions',
    'sérancèrent',
    'sérancé',
    'sérancée',
    'sérancées',
    'sérancés',
    'sérança',
    'sérançai',
    'sérançaient',
    'sérançais',
    'sérançait',
    'sérançant',
    'séranças',
    'sérançasse',
    'sérançassent',
    'sérançasses',
    'sérançassiez',
    'sérançons',
    'sérançâmes',
    'sérançât',
    'sérançâtes',
    'séraphin',
    'séraphins',
    'séraphique',
    'séraphiques',
    'séreuse',
    'séreuses',
    'séreux',
    'séria',
    'sériai',
    'sériaient',
    'sériais',
    'sériait',
    'sérialisa',
    'sérialisai',
    'sérialisais',
    'sérialisait',
    'sérialisant',
    'sérialisas',
    'sérialisasse',
    'sérialise',
    'sérialisent',
    'sérialiser',
    'sérialisera',
    'sérialiserai',
    'sérialiseras',
    'sérialiserez',
    'sérialises',
    'sérialisez',
    'sérialisiez',
    'sérialisions',
    'sérialisons',
    'sérialisâmes',
    'sérialisât',
    'sérialisâtes',
    'sérialisé',
    'sérialisée',
    'sérialisées',
    'sérialisés',
    'sériant',
    'sérias',
    'sériasse',
    'sériassent',
    'sériasses',
    'sériassiez',
    'sériassions',
    'sériation',
    'sériations',
    'séricicole',
    'séricicoles',
    'séricigène',
    'séricigènes',
    'série',
    'sériel',
    'sérielle',
    'sérielles',
    'sériels',
    'sérient',
    'sérier',
    'sériera',
    'sérierai',
    'sérieraient',
    'sérierais',
    'sérierait',
    'sérieras',
    'sérierez',
    'sérieriez',
    'sérierions',
    'sérierons',
    'sérieront',
    'séries',
    'sérieuse',
    'sérieusement',
    'sérieuses',
    'sérieux',
    'sériez',
    'sérigraphie',
    'sérigraphies',
    'sériiez',
    'sériions',
    'sérine',
    'sérines',
    'sérions',
    'sérique',
    'sériques',
    'sériâmes',
    'sériât',
    'sériâtes',
    'sérièrent',
    'sérié',
    'sériée',
    'sériées',
    'sériés',
    'sérologie',
    'sérologies',
    'sérosité',
    'sérosités',
    'sérothérapie',
    'sérotonine',
    'sérotonines',
    'sérum',
    'sérums',
    'sérénade',
    'sérénades',
    'sérénissime',
    'sérénissimes',
    'sérénité',
    'sérénités',
    'sésame',
    'sésames',
    'sésamoïde',
    'sésamoïdes',
    'sétacé',
    'sétacée',
    'sétacées',
    'sétacés',
    'séton',
    'sétons',
    'sévi',
    'sévices',
    'sévir',
    'sévira',
    'sévirai',
    'séviraient',
    'sévirais',
    'sévirait',
    'séviras',
    'sévirent',
    'sévirez',
    'séviriez',
    'sévirions',
    'sévirons',
    'séviront',
    'sévis',
    'sévissaient',
    'sévissais',
    'sévissait',
    'sévissant',
    'sévisse',
    'sévissent',
    'sévisses',
    'sévissez',
    'sévissiez',
    'sévissions',
    'sévissons',
    'sévit',
    'sévère',
    'sévèrement',
    'sévères',
    'sévérité',
    'sévérités',
    'sévîmes',
    'sévît',
    'sévîtes',
    'sézigue',
    'sûmes',
    'sûre',
    'sûrement',
    'sûres',
    'sûreté',
    'sûretés',
    'sûrs',
    'sûtes',
    'soeur',
    'soeurs',
    'tabac',
    'tabacomanie',
    'tabacomanies',
    'tabacs',
    'tabaculteur',
    'tabaculteurs',
    'tabacultrice',
    'tabagie',
    'tabagies',
    'tabagique',
    'tabagiques',
    'tabagisme',
    'tabagismes',
    'tabar',
    'tabard',
    'tabards',
    'tabars',
    'tabassa',
    'tabassai',
    'tabassaient',
    'tabassais',
    'tabassait',
    'tabassant',
    'tabassas',
    'tabassasse',
    'tabassassent',
    'tabassasses',
    'tabassassiez',
    'tabasse',
    'tabassent',
    'tabasser',
    'tabassera',
    'tabasserai',
    'tabasserais',
    'tabasserait',
    'tabasseras',
    'tabasserez',
    'tabasseriez',
    'tabasserions',
    'tabasserons',
    'tabasseront',
    'tabasses',
    'tabassez',
    'tabassiez',
    'tabassions',
    'tabassons',
    'tabassâmes',
    'tabassât',
    'tabassâtes',
    'tabassèrent',
    'tabassé',
    'tabassée',
    'tabassées',
    'tabassés',
    'tabatière',
    'tabatières',
    'tabellaire',
    'tabellaires',
    'tabellion',
    'tabellions',
    'tabernacle',
    'tabernacles',
    'tabla',
    'tablai',
    'tablaient',
    'tablais',
    'tablait',
    'tablant',
    'tablar',
    'tablars',
    'tablas',
    'tablasse',
    'tablassent',
    'tablasses',
    'tablassiez',
    'tablassions',
    'tablature',
    'tablatures',
    'table',
    'tableau',
    'tableautin',
    'tableautins',
    'tableaux',
    'tablent',
    'tabler',
    'tablera',
    'tablerai',
    'tableraient',
    'tablerais',
    'tablerait',
    'tableras',
    'tablerez',
    'tableriez',
    'tablerions',
    'tablerons',
    'tableront',
    'tables',
    'tabletier',
    'tabletiers',
    'tabletière',
    'tabletières',
    'tablette',
    'tabletterie',
    'tabletteries',
    'tablettes',
    'tableur',
    'tableurs',
    'tablez',
    'tablier',
    'tabliers',
    'tabliez',
    'tablions',
    'tablons',
    'tabloïd',
    'tabloïds',
    'tablâmes',
    'tablât',
    'tablâtes',
    'tablèrent',
    'tablé',
    'tablée',
    'tablées',
    'tablés',
    'tabor',
    'tabors',
    'tabou',
    'taboue',
    'tabouer',
    'taboues',
    'tabouiser',
    'tabouret',
    'tabourets',
    'tabous',
    'taboué',
    'taboués',
    'tabula',
    'tabulai',
    'tabulaient',
    'tabulaire',
    'tabulaires',
    'tabulais',
    'tabulait',
    'tabulant',
    'tabulas',
    'tabulasse',
    'tabulassent',
    'tabulasses',
    'tabulassiez',
    'tabulassions',
    'tabulateur',
    'tabulateurs',
    'tabulatrice',
    'tabulatrices',
    'tabule',
    'tabulent',
    'tabuler',
    'tabulera',
    'tabulerai',
    'tabuleraient',
    'tabulerais',
    'tabulerait',
    'tabuleras',
    'tabulerez',
    'tabuleriez',
    'tabulerions',
    'tabulerons',
    'tabuleront',
    'tabules',
    'tabulez',
    'tabuliez',
    'tabulions',
    'tabulons',
    'tabulâmes',
    'tabulât',
    'tabulâtes',
    'tabulèrent',
    'tabulé',
    'tabulées',
    'tabulés',
    'tabès',
    'tabétique',
    'tabétiques',
    'tacca',
    'taccas',
    'tacet',
    'tacha',
    'tachai',
    'tachaient',
    'tachais',
    'tachait',
    'tachant',
    'tachas',
    'tachasse',
    'tachassent',
    'tachasses',
    'tachassiez',
    'tachassions',
    'tache',
    'tachent',
    'tacher',
    'tachera',
    'tacherai',
    'tacheraient',
    'tacherais',
    'tacherait',
    'tacheras',
    'tacherez',
    'tacheriez',
    'tacherions',
    'tacherons',
    'tacheront',
    'taches',
    'tacheta',
    'tachetai',
    'tachetaient',
    'tachetais',
    'tachetait',
    'tachetant',
    'tachetas',
    'tachetasse',
    'tachetassent',
    'tachetasses',
    'tachetassiez',
    'tacheter',
    'tachetez',
    'tachetiez',
    'tachetions',
    'tachetons',
    'tachette',
    'tachettent',
    'tachettera',
    'tachetterai',
    'tachetterais',
    'tachetterait',
    'tachetteras',
    'tachetterez',
    'tachetteriez',
    'tachetterons',
    'tachetteront',
    'tachettes',
    'tacheture',
    'tachetures',
    'tachetâmes',
    'tachetât',
    'tachetâtes',
    'tachetèrent',
    'tacheté',
    'tachetée',
    'tachetées',
    'tachetés',
    'tachez',
    'tachiez',
    'tachine',
    'tachines',
    'tachions',
    'tachisme',
    'tachismes',
    'tachiste',
    'tachistes',
    'tachons',
    'tachycardie',
    'tachycardies',
    'tachygenèse',
    'tachygenèses',
    'tachygraphe',
    'tachygraphes',
    'tachymètre',
    'tachymètres',
    'tachyon',
    'tachyons',
    'tachyphémie',
    'tachyphémies',
    'tachâmes',
    'tachât',
    'tachâtes',
    'tachèrent',
    'taché',
    'tachée',
    'tachées',
    'tachéographe',
    'tachéomètre',
    'tachéomètres',
    'tachéométrie',
    'tachés',
    'tacite',
    'tacitement',
    'tacites',
    'taciturne',
    'taciturnes',
    'taciturnité',
    'taciturnités',
    'tacon',
    'taconeos',
    'tacons',
    'tacot',
    'tacots',
    'tacs',
    'tact',
    'tacticien',
    'tacticienne',
    'tacticiennes',
    'tacticiens',
    'tactile',
    'tactiles',
    'tactique',
    'tactiquement',
    'tactiques',
    'tactisme',
    'tactismes',
    'tacts',
    'tadorne',
    'tadornes',
    'taenia',
    'taenias',
    'taffetas',
    'tafia',
    'tafias',
    'tagal',
    'tagette',
    'tagettes',
    'tagète',
    'tagètes',
    'tahitien',
    'tahitienne',
    'tahitiennes',
    'tahitiens',
    'taie',
    'taies',
    'tailla',
    'taillable',
    'taillables',
    'taillada',
    'tailladai',
    'tailladaient',
    'tailladais',
    'tailladait',
    'tailladant',
    'tailladas',
    'tailladasse',
    'tailladasses',
    'taillade',
    'tailladent',
    'taillader',
    'tailladera',
    'tailladerai',
    'tailladerais',
    'tailladerait',
    'tailladeras',
    'tailladerez',
    'tailladeriez',
    'tailladerons',
    'tailladeront',
    'taillades',
    'tailladez',
    'tailladiez',
    'tailladions',
    'tailladons',
    'tailladâmes',
    'tailladât',
    'tailladâtes',
    'tailladèrent',
    'tailladé',
    'tailladée',
    'tailladées',
    'tailladés',
    'taillage',
    'taillages',
    'taillai',
    'taillaient',
    'taillais',
    'taillait',
    'taillanderie',
    'taillandier',
    'taillandiers',
    'taillant',
    'taillas',
    'taillasse',
    'taillassent',
    'taillasses',
    'taillassiez',
    'taillassions',
    'taille',
    'taillent',
    'tailler',
    'taillera',
    'taillerai',
    'tailleraient',
    'taillerais',
    'taillerait',
    'tailleras',
    'taillerez',
    'taillerie',
    'tailleries',
    'tailleriez',
    'taillerions',
    'taillerons',
    'tailleront',
    'tailles',
    'tailleur',
    'tailleurs',
    'tailleuse',
    'tailleuses',
    'taillez',
    'tailliez',
    'taillions',
    'taillis',
    'tailloir',
    'tailloirs',
    'taillole',
    'tailloles',
    'taillons',
    'taillâmes',
    'taillât',
    'taillâtes',
    'taillèrent',
    'taillé',
    'taillée',
    'taillées',
    'taillés',
    'tain',
    'tains',
    'taira',
    'tairai',
    'tairaient',
    'tairais',
    'tairait',
    'tairas',
    'taire',
    'tairez',
    'tairiez',
    'tairions',
    'tairons',
    'tairont',
    'tais',
    'taisaient',
    'taisais',
    'taisait',
    'taisant',
    'taise',
    'taisent',
    'taises',
    'taiseuse',
    'taiseuses',
    'taiseux',
    'taisez',
    'taisiez',
    'taisions',
    'taisons',
    'tait',
    'tajine',
    'tajines',
    'tala',
    'talai',
    'talaient',
    'talais',
    'talait',
    'talant',
    'talas',
    'talasse',
    'talassent',
    'talasses',
    'talassiez',
    'talassions',
    'talc',
    'talcs',
    'tale',
    'talent',
    'talents',
    'talentueuse',
    'talentueuses',
    'talentueux',
    'taler',
    'talera',
    'talerai',
    'taleraient',
    'talerais',
    'talerait',
    'taleras',
    'talerez',
    'taleriez',
    'talerions',
    'talerons',
    'taleront',
    'tales',
    'taleth',
    'taleths',
    'talez',
    'taliez',
    'talion',
    'talions',
    'talisman',
    'talismanique',
    'talismans',
    'talitre',
    'talitres',
    'talla',
    'tallage',
    'tallages',
    'tallai',
    'tallaient',
    'tallais',
    'tallait',
    'tallant',
    'tallas',
    'tallasse',
    'tallassent',
    'tallasses',
    'tallassiez',
    'tallassions',
    'talle',
    'tallent',
    'taller',
    'tallera',
    'tallerai',
    'talleraient',
    'tallerais',
    'tallerait',
    'talleras',
    'tallerez',
    'talleriez',
    'tallerions',
    'tallerons',
    'talleront',
    'talles',
    'talleth',
    'talleths',
    'tallez',
    'talliez',
    'tallions',
    'tallipot',
    'tallipots',
    'tallons',
    'tallâmes',
    'tallât',
    'tallâtes',
    'tallèrent',
    'tallé',
    'talmouse',
    'talmouses',
    'talmud',
    'talmudique',
    'talmudiques',
    'talmudiste',
    'talmudistes',
    'talmuds',
    'talocha',
    'talochai',
    'talochaient',
    'talochais',
    'talochait',
    'talochant',
    'talochas',
    'talochasse',
    'talochassent',
    'talochasses',
    'talochassiez',
    'taloche',
    'talochent',
    'talocher',
    'talochera',
    'talocherai',
    'talocherais',
    'talocherait',
    'talocheras',
    'talocherez',
    'talocheriez',
    'talocherions',
    'talocherons',
    'talocheront',
    'taloches',
    'talochez',
    'talochiez',
    'talochions',
    'talochons',
    'talochâmes',
    'talochât',
    'talochâtes',
    'talochèrent',
    'taloché',
    'talochée',
    'talochées',
    'talochés',
    'talon',
    'talonna',
    'talonnage',
    'talonnages',
    'talonnai',
    'talonnaient',
    'talonnais',
    'talonnait',
    'talonnant',
    'talonnas',
    'talonnasse',
    'talonnassent',
    'talonnasses',
    'talonnassiez',
    'talonne',
    'talonnement',
    'talonnements',
    'talonnent',
    'talonner',
    'talonnera',
    'talonnerai',
    'talonnerais',
    'talonnerait',
    'talonneras',
    'talonnerez',
    'talonneriez',
    'talonnerions',
    'talonnerons',
    'talonneront',
    'talonnes',
    'talonnette',
    'talonnettes',
    'talonneur',
    'talonneurs',
    'talonnez',
    'talonniez',
    'talonnions',
    'talonnière',
    'talonnières',
    'talonnons',
    'talonnâmes',
    'talonnât',
    'talonnâtes',
    'talonnèrent',
    'talonné',
    'talonnée',
    'talonnées',
    'talonnés',
    'talons',
    'talpack',
    'talpacks',
    'talqua',
    'talquai',
    'talquaient',
    'talquais',
    'talquait',
    'talquant',
    'talquas',
    'talquasse',
    'talquassent',
    'talquasses',
    'talquassiez',
    'talquassions',
    'talque',
    'talquent',
    'talquer',
    'talquera',
    'talquerai',
    'talqueraient',
    'talquerais',
    'talquerait',
    'talqueras',
    'talquerez',
    'talqueriez',
    'talquerions',
    'talquerons',
    'talqueront',
    'talques',
    'talqueuse',
    'talqueuses',
    'talqueux',
    'talquez',
    'talquiez',
    'talquions',
    'talquons',
    'talquâmes',
    'talquât',
    'talquâtes',
    'talquèrent',
    'talqué',
    'talquée',
    'talquées',
    'talqués',
    'talure',
    'talures',
    'talus',
    'talweg',
    'talwegs',
    'talâmes',
    'talât',
    'talâtes',
    'talèrent',
    'talé',
    'talée',
    'talées',
    'talés',
    'tamandua',
    'tamanduas',
    'tamanoir',
    'tamanoirs',
    'tamarin',
    'tamarinier',
    'tamariniers',
    'tamarins',
    'tamaris',
    'tamarix',
    'tambouille',
    'tambouilles',
    'tambour',
    'tambourin',
    'tambourina',
    'tambourinage',
    'tambourinai',
    'tambourinais',
    'tambourinait',
    'tambourinant',
    'tambourinas',
    'tambourine',
    'tambourinent',
    'tambouriner',
    'tambourinera',
    'tambourines',
    'tambourineur',
    'tambourinez',
    'tambouriniez',
    'tambourinons',
    'tambourins',
    'tambourinât',
    'tambouriné',
    'tambourinée',
    'tambourinées',
    'tambourinés',
    'tambours',
    'tamia',
    'tamias',
    'tamier',
    'tamiers',
    'tamil',
    'tamils',
    'tamis',
    'tamisa',
    'tamisage',
    'tamisages',
    'tamisai',
    'tamisaient',
    'tamisais',
    'tamisait',
    'tamisant',
    'tamisante',
    'tamisantes',
    'tamisants',
    'tamisas',
    'tamisasse',
    'tamisassent',
    'tamisasses',
    'tamisassiez',
    'tamisassions',
    'tamise',
    'tamisent',
    'tamiser',
    'tamisera',
    'tamiserai',
    'tamiseraient',
    'tamiserais',
    'tamiserait',
    'tamiseras',
    'tamiserez',
    'tamiserie',
    'tamiseries',
    'tamiseriez',
    'tamiserions',
    'tamiserons',
    'tamiseront',
    'tamises',
    'tamiseur',
    'tamiseurs',
    'tamiseuse',
    'tamiseuses',
    'tamisez',
    'tamisier',
    'tamisiers',
    'tamisiez',
    'tamisions',
    'tamisière',
    'tamisières',
    'tamisons',
    'tamisâmes',
    'tamisât',
    'tamisâtes',
    'tamisèrent',
    'tamisé',
    'tamisée',
    'tamisées',
    'tamisés',
    'tamoul',
    'tamoule',
    'tamoules',
    'tamouls',
    'tampico',
    'tampicos',
    'tampon',
    'tamponna',
    'tamponnade',
    'tamponnades',
    'tamponnai',
    'tamponnaient',
    'tamponnais',
    'tamponnait',
    'tamponnant',
    'tamponnas',
    'tamponnasse',
    'tamponnasses',
    'tamponne',
    'tamponnement',
    'tamponnent',
    'tamponner',
    'tamponnera',
    'tamponnerai',
    'tamponnerais',
    'tamponnerait',
    'tamponneras',
    'tamponnerez',
    'tamponneriez',
    'tamponnerons',
    'tamponneront',
    'tamponnes',
    'tamponneur',
    'tamponneurs',
    'tamponneuse',
    'tamponneuses',
    'tamponnez',
    'tamponniez',
    'tamponnions',
    'tamponnoir',
    'tamponnoirs',
    'tamponnons',
    'tamponnâmes',
    'tamponnât',
    'tamponnâtes',
    'tamponnèrent',
    'tamponné',
    'tamponnée',
    'tamponnées',
    'tamponnés',
    'tampons',
    'tanagra',
    'tanagras',
    'tanaisie',
    'tanaisies',
    'tance',
    'tancent',
    'tancer',
    'tancera',
    'tancerai',
    'tanceraient',
    'tancerais',
    'tancerait',
    'tanceras',
    'tancerez',
    'tanceriez',
    'tancerions',
    'tancerons',
    'tanceront',
    'tances',
    'tancez',
    'tanche',
    'tanches',
    'tanciez',
    'tancions',
    'tancèrent',
    'tancé',
    'tancée',
    'tancées',
    'tancés',
    'tandem',
    'tandems',
    'tandis',
    'tangage',
    'tangages',
    'tangara',
    'tangaras',
    'tangence',
    'tangences',
    'tangent',
    'tangente',
    'tangentes',
    'tangentielle',
    'tangents',
    'tangibilité',
    'tangibilités',
    'tangible',
    'tangiblement',
    'tangibles',
    'tango',
    'tangon',
    'tangons',
    'tangos',
    'tangua',
    'tanguai',
    'tanguaient',
    'tanguais',
    'tanguait',
    'tanguant',
    'tanguas',
    'tanguasse',
    'tanguassent',
    'tanguasses',
    'tanguassiez',
    'tanguassions',
    'tangue',
    'tanguent',
    'tanguer',
    'tanguera',
    'tanguerai',
    'tangueraient',
    'tanguerais',
    'tanguerait',
    'tangueras',
    'tanguerez',
    'tangueriez',
    'tanguerions',
    'tanguerons',
    'tangueront',
    'tangues',
    'tanguez',
    'tanguiez',
    'tanguions',
    'tanguière',
    'tanguières',
    'tanguons',
    'tanguâmes',
    'tanguât',
    'tanguâtes',
    'tanguèrent',
    'tangué',
    'tanin',
    'tanins',
    'tanisa',
    'tanisage',
    'tanisages',
    'tanisai',
    'tanisaient',
    'tanisais',
    'tanisait',
    'tanisant',
    'tanisas',
    'tanisasse',
    'tanisassent',
    'tanisasses',
    'tanisassiez',
    'tanisassions',
    'tanise',
    'tanisent',
    'taniser',
    'tanisera',
    'taniserai',
    'taniseraient',
    'taniserais',
    'taniserait',
    'taniseras',
    'taniserez',
    'taniseriez',
    'taniserions',
    'taniserons',
    'taniseront',
    'tanises',
    'tanisez',
    'tanisiez',
    'tanisions',
    'tanisons',
    'tanisâmes',
    'tanisât',
    'tanisâtes',
    'tanisèrent',
    'tanisé',
    'tanisée',
    'tanisées',
    'tanisés',
    'tanière',
    'tanières',
    'tank',
    'tanker',
    'tankers',
    'tankiste',
    'tankistes',
    'tanks',
    'tanna',
    'tannage',
    'tannages',
    'tannai',
    'tannaient',
    'tannais',
    'tannait',
    'tannant',
    'tannas',
    'tannasse',
    'tannassent',
    'tannasses',
    'tannassiez',
    'tannassions',
    'tanne',
    'tannent',
    'tanner',
    'tannera',
    'tannerai',
    'tanneraient',
    'tannerais',
    'tannerait',
    'tanneras',
    'tannerez',
    'tannerie',
    'tanneries',
    'tanneriez',
    'tannerions',
    'tannerons',
    'tanneront',
    'tannes',
    'tanneur',
    'tanneurs',
    'tanneuse',
    'tanneuses',
    'tannez',
    'tanniez',
    'tannin',
    'tannins',
    'tannions',
    'tannique',
    'tanniques',
    'tannisa',
    'tannisai',
    'tannisaient',
    'tannisais',
    'tannisait',
    'tannisant',
    'tannisas',
    'tannisasse',
    'tannisassent',
    'tannisasses',
    'tannisassiez',
    'tannise',
    'tannisent',
    'tanniser',
    'tannisera',
    'tanniserai',
    'tanniserais',
    'tanniserait',
    'tanniseras',
    'tanniserez',
    'tanniseriez',
    'tanniserions',
    'tanniserons',
    'tanniseront',
    'tannises',
    'tannisez',
    'tannisiez',
    'tannisions',
    'tannisons',
    'tannisâmes',
    'tannisât',
    'tannisâtes',
    'tannisèrent',
    'tannisé',
    'tannisée',
    'tannisées',
    'tannisés',
    'tannons',
    'tannâmes',
    'tannât',
    'tannâtes',
    'tannèrent',
    'tanné',
    'tannée',
    'tannées',
    'tannés',
    'tanrec',
    'tanrecs',
    'tans',
    'tant',
    'tantale',
    'tantales',
    'tante',
    'tantes',
    'tantine',
    'tantines',
    'tantinet',
    'tantinets',
    'tantième',
    'tantièmes',
    'tantrisme',
    'tantrismes',
    'tantôt',
    'tança',
    'tançai',
    'tançaient',
    'tançais',
    'tançait',
    'tançant',
    'tanças',
    'tançasse',
    'tançassent',
    'tançasses',
    'tançassiez',
    'tançassions',
    'tançons',
    'tançâmes',
    'tançât',
    'tançâtes',
    'taon',
    'taons',
    'taoïsme',
    'taoïsmes',
    'taoïste',
    'taoïstes',
    'tapa',
    'tapage',
    'tapagea',
    'tapageai',
    'tapageaient',
    'tapageais',
    'tapageait',
    'tapageant',
    'tapageas',
    'tapageasse',
    'tapageassent',
    'tapageasses',
    'tapageassiez',
    'tapagent',
    'tapageons',
    'tapager',
    'tapagera',
    'tapagerai',
    'tapageraient',
    'tapagerais',
    'tapagerait',
    'tapageras',
    'tapagerez',
    'tapageriez',
    'tapagerions',
    'tapagerons',
    'tapageront',
    'tapages',
    'tapageur',
    'tapageurs',
    'tapageuse',
    'tapageuses',
    'tapagez',
    'tapageâmes',
    'tapageât',
    'tapageâtes',
    'tapagiez',
    'tapagions',
    'tapagèrent',
    'tapagé',
    'tapai',
    'tapaient',
    'tapais',
    'tapait',
    'tapant',
    'tapante',
    'tapantes',
    'tapants',
    'tapas',
    'tapasse',
    'tapassent',
    'tapasses',
    'tapassiez',
    'tapassions',
    'tape',
    'tapecul',
    'tapeculs',
    'tapement',
    'tapements',
    'tapenade',
    'tapenades',
    'tapent',
    'taper',
    'tapera',
    'taperai',
    'taperaient',
    'taperais',
    'taperait',
    'taperas',
    'taperez',
    'taperiez',
    'taperions',
    'taperons',
    'taperont',
    'tapes',
    'tapette',
    'tapettes',
    'tapeur',
    'tapeurs',
    'tapeuse',
    'tapeuses',
    'tapez',
    'taphophilie',
    'taphophilies',
    'tapi',
    'tapie',
    'tapies',
    'tapiez',
    'tapin',
    'tapina',
    'tapinai',
    'tapinaient',
    'tapinais',
    'tapinait',
    'tapinant',
    'tapinas',
    'tapinasse',
    'tapinassent',
    'tapinasses',
    'tapinassiez',
    'tapinassions',
    'tapine',
    'tapinent',
    'tapiner',
    'tapinera',
    'tapinerai',
    'tapineraient',
    'tapinerais',
    'tapinerait',
    'tapineras',
    'tapinerez',
    'tapineriez',
    'tapinerions',
    'tapinerons',
    'tapineront',
    'tapines',
    'tapinez',
    'tapiniez',
    'tapinions',
    'tapinois',
    'tapinons',
    'tapins',
    'tapinâmes',
    'tapinât',
    'tapinâtes',
    'tapinèrent',
    'tapiné',
    'tapioca',
    'tapiocas',
    'tapions',
    'tapir',
    'tapira',
    'tapirai',
    'tapiraient',
    'tapirais',
    'tapirait',
    'tapiras',
    'tapirent',
    'tapirez',
    'tapiriez',
    'tapirions',
    'tapirons',
    'tapiront',
    'tapirs',
    'tapis',
    'tapissa',
    'tapissai',
    'tapissaient',
    'tapissais',
    'tapissait',
    'tapissant',
    'tapissas',
    'tapissasse',
    'tapissassent',
    'tapissasses',
    'tapissassiez',
    'tapisse',
    'tapissent',
    'tapisser',
    'tapissera',
    'tapisserai',
    'tapisserais',
    'tapisserait',
    'tapisseras',
    'tapisserez',
    'tapisserie',
    'tapisseries',
    'tapisseriez',
    'tapisserions',
    'tapisserons',
    'tapisseront',
    'tapisses',
    'tapissez',
    'tapissier',
    'tapissiers',
    'tapissiez',
    'tapissions',
    'tapissière',
    'tapissières',
    'tapissons',
    'tapissâmes',
    'tapissât',
    'tapissâtes',
    'tapissèrent',
    'tapissé',
    'tapissée',
    'tapissées',
    'tapissés',
    'tapit',
    'tapon',
    'taponna',
    'taponnai',
    'taponnaient',
    'taponnais',
    'taponnait',
    'taponnant',
    'taponnas',
    'taponnasse',
    'taponnassent',
    'taponnasses',
    'taponnassiez',
    'taponne',
    'taponnent',
    'taponner',
    'taponnera',
    'taponnerai',
    'taponnerais',
    'taponnerait',
    'taponneras',
    'taponnerez',
    'taponneriez',
    'taponnerions',
    'taponnerons',
    'taponneront',
    'taponnes',
    'taponnez',
    'taponniez',
    'taponnions',
    'taponnons',
    'taponnâmes',
    'taponnât',
    'taponnâtes',
    'taponnèrent',
    'taponné',
    'taponnée',
    'taponnées',
    'taponnés',
    'tapons',
    'tapota',
    'tapotage',
    'tapotages',
    'tapotai',
    'tapotaient',
    'tapotais',
    'tapotait',
    'tapotant',
    'tapotante',
    'tapotantes',
    'tapotants',
    'tapotas',
    'tapotasse',
    'tapotassent',
    'tapotasses',
    'tapotassiez',
    'tapotassions',
    'tapote',
    'tapotement',
    'tapotements',
    'tapotent',
    'tapoter',
    'tapotera',
    'tapoterai',
    'tapoteraient',
    'tapoterais',
    'tapoterait',
    'tapoteras',
    'tapoterez',
    'tapoteriez',
    'tapoterions',
    'tapoterons',
    'tapoteront',
    'tapotes',
    'tapotez',
    'tapotiez',
    'tapotions',
    'tapotons',
    'tapotâmes',
    'tapotât',
    'tapotâtes',
    'tapotèrent',
    'tapoté',
    'tapotée',
    'tapotées',
    'tapotés',
    'tapâmes',
    'tapât',
    'tapâtes',
    'tapèrent',
    'tapé',
    'tapée',
    'tapées',
    'tapés',
    'tapîmes',
    'tapît',
    'tapîtes',
    'taqua',
    'taquai',
    'taquaient',
    'taquais',
    'taquait',
    'taquant',
    'taquas',
    'taquasse',
    'taquassent',
    'taquasses',
    'taquassiez',
    'taquassions',
    'taque',
    'taquent',
    'taquer',
    'taquera',
    'taquerai',
    'taqueraient',
    'taquerais',
    'taquerait',
    'taqueras',
    'taquerez',
    'taqueriez',
    'taquerions',
    'taquerons',
    'taqueront',
    'taques',
    'taquet',
    'taquets',
    'taquez',
    'taquiez',
    'taquin',
    'taquina',
    'taquinai',
    'taquinaient',
    'taquinais',
    'taquinait',
    'taquinant',
    'taquinante',
    'taquinantes',
    'taquinants',
    'taquinas',
    'taquinasse',
    'taquinassent',
    'taquinasses',
    'taquinassiez',
    'taquine',
    'taquinent',
    'taquiner',
    'taquinera',
    'taquinerai',
    'taquinerais',
    'taquinerait',
    'taquineras',
    'taquinerez',
    'taquinerie',
    'taquineries',
    'taquineriez',
    'taquinerions',
    'taquinerons',
    'taquineront',
    'taquines',
    'taquinez',
    'taquiniez',
    'taquinions',
    'taquinons',
    'taquins',
    'taquinâmes',
    'taquinât',
    'taquinâtes',
    'taquinèrent',
    'taquiné',
    'taquinée',
    'taquinées',
    'taquinés',
    'taquions',
    'taquoir',
    'taquoirs',
    'taquons',
    'taquâmes',
    'taquât',
    'taquâtes',
    'taquèrent',
    'taqué',
    'taquée',
    'taquées',
    'taqués',
    'tara',
    'tarabiscot',
    'tarabiscota',
    'tarabiscotai',
    'tarabiscotas',
    'tarabiscote',
    'tarabiscoter',
    'tarabiscotes',
    'tarabiscotez',
    'tarabiscots',
    'tarabiscotât',
    'tarabiscoté',
    'tarabiscotée',
    'tarabiscotés',
    'tarabusta',
    'tarabustai',
    'tarabustais',
    'tarabustait',
    'tarabustant',
    'tarabustas',
    'tarabustasse',
    'tarabuste',
    'tarabustent',
    'tarabuster',
    'tarabustera',
    'tarabusterai',
    'tarabusteras',
    'tarabusterez',
    'tarabustes',
    'tarabustez',
    'tarabustiez',
    'tarabustions',
    'tarabustons',
    'tarabustâmes',
    'tarabustât',
    'tarabustâtes',
    'tarabusté',
    'tarabustée',
    'tarabustées',
    'tarabustés',
    'tarage',
    'tarages',
    'tarai',
    'taraient',
    'tarais',
    'tarait',
    'tarama',
    'taramas',
    'tarant',
    'tararage',
    'tararages',
    'tarare',
    'tarares',
    'taras',
    'tarasque',
    'tarasques',
    'tarasse',
    'tarassent',
    'tarasses',
    'tarassiez',
    'tarassions',
    'taratata',
    'taraud',
    'tarauda',
    'taraudage',
    'taraudages',
    'taraudai',
    'taraudaient',
    'taraudais',
    'taraudait',
    'taraudant',
    'taraudas',
    'taraudasse',
    'taraudassent',
    'taraudasses',
    'taraudassiez',
    'taraude',
    'taraudent',
    'tarauder',
    'taraudera',
    'tarauderai',
    'tarauderais',
    'tarauderait',
    'tarauderas',
    'tarauderez',
    'tarauderiez',
    'tarauderions',
    'tarauderons',
    'tarauderont',
    'taraudes',
    'taraudeur',
    'taraudeurs',
    'taraudeuse',
    'taraudeuses',
    'taraudez',
    'taraudiez',
    'taraudions',
    'taraudons',
    'tarauds',
    'taraudâmes',
    'taraudât',
    'taraudâtes',
    'taraudèrent',
    'taraudé',
    'taraudée',
    'taraudées',
    'taraudés',
    'taravelle',
    'taravelles',
    'tarbouch',
    'tarbouche',
    'tarbouches',
    'tarbouchs',
    'tard',
    'tarda',
    'tardai',
    'tardaient',
    'tardais',
    'tardait',
    'tardant',
    'tardas',
    'tardasse',
    'tardassent',
    'tardasses',
    'tardassiez',
    'tardassions',
    'tarde',
    'tardent',
    'tarder',
    'tardera',
    'tarderai',
    'tarderaient',
    'tarderais',
    'tarderait',
    'tarderas',
    'tarderez',
    'tarderiez',
    'tarderions',
    'tarderons',
    'tarderont',
    'tardes',
    'tardez',
    'tardiez',
    'tardif',
    'tardifs',
    'tardigrade',
    'tardigrades',
    'tardillon',
    'tardillonne',
    'tardillonnes',
    'tardillons',
    'tardions',
    'tardive',
    'tardivement',
    'tardives',
    'tardiveté',
    'tardivetés',
    'tardons',
    'tardâmes',
    'tardât',
    'tardâtes',
    'tardèrent',
    'tardé',
    'tare',
    'tarent',
    'tarente',
    'tarentelle',
    'tarentelles',
    'tarentes',
    'tarentule',
    'tarentules',
    'tarer',
    'tarera',
    'tarerai',
    'tareraient',
    'tarerais',
    'tarerait',
    'tareras',
    'tarerez',
    'tareriez',
    'tarerions',
    'tarerons',
    'tareront',
    'tares',
    'taret',
    'tarets',
    'tarez',
    'targe',
    'targes',
    'targette',
    'targettes',
    'targua',
    'targuai',
    'targuaient',
    'targuais',
    'targuait',
    'targuant',
    'targuas',
    'targuasse',
    'targuassent',
    'targuasses',
    'targuassiez',
    'targuassions',
    'targue',
    'targuent',
    'targuer',
    'targuera',
    'targuerai',
    'targueraient',
    'targuerais',
    'targuerait',
    'targueras',
    'targuerez',
    'targueriez',
    'targuerions',
    'targuerons',
    'targueront',
    'targues',
    'targuez',
    'targui',
    'targuie',
    'targuiez',
    'targuions',
    'targuons',
    'targuâmes',
    'targuât',
    'targuâtes',
    'targuèrent',
    'targué',
    'targuée',
    'targuées',
    'targués',
    'tari',
    'taricheute',
    'taricheutes',
    'tarie',
    'taries',
    'tariez',
    'tarif',
    'tarifa',
    'tarifai',
    'tarifaient',
    'tarifaire',
    'tarifaires',
    'tarifais',
    'tarifait',
    'tarifant',
    'tarifante',
    'tarifantes',
    'tarifants',
    'tarifas',
    'tarifasse',
    'tarifassent',
    'tarifasses',
    'tarifassiez',
    'tarifassions',
    'tarife',
    'tarifent',
    'tarifer',
    'tarifera',
    'tariferai',
    'tariferaient',
    'tariferais',
    'tariferait',
    'tariferas',
    'tariferez',
    'tariferiez',
    'tariferions',
    'tariferons',
    'tariferont',
    'tarifes',
    'tarifez',
    'tarifia',
    'tarifiai',
    'tarifiaient',
    'tarifiais',
    'tarifiait',
    'tarifiant',
    'tarifias',
    'tarifiasse',
    'tarifiassent',
    'tarifiasses',
    'tarifiassiez',
    'tarification',
    'tarifie',
    'tarifient',
    'tarifier',
    'tarifiera',
    'tarifierai',
    'tarifierais',
    'tarifierait',
    'tarifieras',
    'tarifierez',
    'tarifieriez',
    'tarifierions',
    'tarifierons',
    'tarifieront',
    'tarifies',
    'tarifiez',
    'tarifiiez',
    'tarifiions',
    'tarifions',
    'tarifiâmes',
    'tarifiât',
    'tarifiâtes',
    'tarifièrent',
    'tarifié',
    'tarifiée',
    'tarifiées',
    'tarifiés',
    'tarifons',
    'tarifs',
    'tarifâmes',
    'tarifât',
    'tarifâtes',
    'tarifèrent',
    'tarifé',
    'tarifée',
    'tarifées',
    'tarifés',
    'tarin',
    'tarins',
    'tarions',
    'tarir',
    'tarira',
    'tarirai',
    'tariraient',
    'tarirais',
    'tarirait',
    'tariras',
    'tarirent',
    'tarirez',
    'taririez',
    'taririons',
    'tarirons',
    'tariront',
    'taris',
    'tarissable',
    'tarissables',
    'tarissaient',
    'tarissais',
    'tarissait',
    'tarissant',
    'tarisse',
    'tarissement',
    'tarissements',
    'tarissent',
    'tarisses',
    'tarissez',
    'tarissiez',
    'tarissions',
    'tarissons',
    'tarit',
    'tarière',
    'tarières',
    'tarlatane',
    'tarlatanes',
    'tarmacadam',
    'tarmacadams',
    'tarons',
    'tarot',
    'tarots',
    'taroté',
    'tarotée',
    'tarotées',
    'tarotés',
    'tarpan',
    'tarpans',
    'tarpon',
    'tarpons',
    'tarsal',
    'tarsale',
    'tarsales',
    'tarsaux',
    'tarse',
    'tarsectomie',
    'tarsectomies',
    'tarses',
    'tarsien',
    'tarsienne',
    'tarsiennes',
    'tarsiens',
    'tarsier',
    'tarsiers',
    'tartan',
    'tartane',
    'tartanes',
    'tartans',
    'tartare',
    'tartares',
    'tartarin',
    'tartarins',
    'tarte',
    'tartelette',
    'tartelettes',
    'tartes',
    'tarti',
    'tartignolle',
    'tartignolles',
    'tartina',
    'tartinai',
    'tartinaient',
    'tartinais',
    'tartinait',
    'tartinant',
    'tartinas',
    'tartinasse',
    'tartinassent',
    'tartinasses',
    'tartinassiez',
    'tartine',
    'tartinent',
    'tartiner',
    'tartinera',
    'tartinerai',
    'tartinerais',
    'tartinerait',
    'tartineras',
    'tartinerez',
    'tartineriez',
    'tartinerions',
    'tartinerons',
    'tartineront',
    'tartines',
    'tartinez',
    'tartiniez',
    'tartinions',
    'tartinons',
    'tartinâmes',
    'tartinât',
    'tartinâtes',
    'tartinèrent',
    'tartiné',
    'tartinée',
    'tartinées',
    'tartinés',
    'tartir',
    'tartira',
    'tartirai',
    'tartiraient',
    'tartirais',
    'tartirait',
    'tartiras',
    'tartirent',
    'tartirez',
    'tartiriez',
    'tartirions',
    'tartirons',
    'tartiront',
    'tartis',
    'tartissaient',
    'tartissais',
    'tartissait',
    'tartissant',
    'tartisse',
    'tartissent',
    'tartisses',
    'tartissez',
    'tartissiez',
    'tartissions',
    'tartissons',
    'tartit',
    'tartrate',
    'tartrates',
    'tartre',
    'tartres',
    'tartreuse',
    'tartreuses',
    'tartreux',
    'tartrique',
    'tartriques',
    'tartufe',
    'tartuferie',
    'tartuferies',
    'tartufes',
    'tartuffe',
    'tartufferie',
    'tartufferies',
    'tartuffes',
    'tartîmes',
    'tartît',
    'tartîtes',
    'tarzan',
    'tarzans',
    'tarâmes',
    'tarât',
    'tarâtes',
    'tarèrent',
    'taré',
    'tarée',
    'tarées',
    'tarés',
    'tarîmes',
    'tarît',
    'tarîtes',
    'tassa',
    'tassage',
    'tassages',
    'tassai',
    'tassaient',
    'tassais',
    'tassait',
    'tassant',
    'tassas',
    'tassasse',
    'tassassent',
    'tassasses',
    'tassassiez',
    'tassassions',
    'tasse',
    'tasseau',
    'tasseaux',
    'tassement',
    'tassements',
    'tassent',
    'tasser',
    'tassera',
    'tasserai',
    'tasseraient',
    'tasserais',
    'tasserait',
    'tasseras',
    'tasserez',
    'tasseriez',
    'tasserions',
    'tasserons',
    'tasseront',
    'tasses',
    'tassette',
    'tassettes',
    'tassez',
    'tassiez',
    'tassili',
    'tassilis',
    'tassions',
    'tassons',
    'tassâmes',
    'tassât',
    'tassâtes',
    'tassèrent',
    'tassé',
    'tassée',
    'tassées',
    'tassés',
    'tata',
    'tatami',
    'tatamis',
    'tatane',
    'tatanes',
    'tatare',
    'tatares',
    'tatas',
    'tatillon',
    'tatillonna',
    'tatillonnai',
    'tatillonnais',
    'tatillonnait',
    'tatillonnant',
    'tatillonnas',
    'tatillonne',
    'tatillonnent',
    'tatillonner',
    'tatillonnera',
    'tatillonnes',
    'tatillonnez',
    'tatillonniez',
    'tatillonnons',
    'tatillonnât',
    'tatillonné',
    'tatillons',
    'tatou',
    'tatoua',
    'tatouage',
    'tatouages',
    'tatouai',
    'tatouaient',
    'tatouais',
    'tatouait',
    'tatouant',
    'tatouas',
    'tatouasse',
    'tatouassent',
    'tatouasses',
    'tatouassiez',
    'tatouassions',
    'tatoue',
    'tatouent',
    'tatouer',
    'tatouera',
    'tatouerai',
    'tatoueraient',
    'tatouerais',
    'tatouerait',
    'tatoueras',
    'tatouerez',
    'tatoueriez',
    'tatouerions',
    'tatouerons',
    'tatoueront',
    'tatoues',
    'tatoueur',
    'tatoueurs',
    'tatouez',
    'tatouiez',
    'tatouions',
    'tatouons',
    'tatous',
    'tatouâmes',
    'tatouât',
    'tatouâtes',
    'tatouèrent',
    'tatoué',
    'tatouée',
    'tatouées',
    'tatoués',
    'taudis',
    'taulard',
    'taularde',
    'taulardes',
    'taulards',
    'taule',
    'taules',
    'taulier',
    'tauliers',
    'taulière',
    'taulières',
    'taupe',
    'taupes',
    'taupier',
    'taupiers',
    'taupin',
    'taupinière',
    'taupinières',
    'taupins',
    'taupière',
    'taupières',
    'taupé',
    'taupée',
    'taupées',
    'taupés',
    'taure',
    'taureau',
    'taureaux',
    'taures',
    'taurillon',
    'taurillons',
    'taurin',
    'taurine',
    'taurines',
    'taurins',
    'taurobole',
    'tauroboles',
    'tauromachie',
    'tauromachies',
    'tautochrone',
    'tautochrones',
    'tautologie',
    'tautologies',
    'tautologue',
    'tautologues',
    'tautomère',
    'tautomères',
    'tautomérie',
    'tautoméries',
    'taux',
    'tauzin',
    'tauzins',
    'tavaïolle',
    'tavaïolles',
    'tavela',
    'tavelai',
    'tavelaient',
    'tavelais',
    'tavelait',
    'tavelant',
    'tavelas',
    'tavelasse',
    'tavelassent',
    'tavelasses',
    'tavelassiez',
    'tavelassions',
    'taveler',
    'tavelez',
    'taveliez',
    'tavelions',
    'tavella',
    'tavellai',
    'tavellaient',
    'tavellais',
    'tavellait',
    'tavellant',
    'tavellas',
    'tavellasse',
    'tavellassent',
    'tavellasses',
    'tavellassiez',
    'tavelle',
    'tavellent',
    'taveller',
    'tavellera',
    'tavellerai',
    'tavellerais',
    'tavellerait',
    'tavelleras',
    'tavellerez',
    'tavelleriez',
    'tavellerions',
    'tavellerons',
    'tavelleront',
    'tavelles',
    'tavellez',
    'tavelliez',
    'tavellions',
    'tavellons',
    'tavellâmes',
    'tavellât',
    'tavellâtes',
    'tavellèrent',
    'tavellé',
    'tavellée',
    'tavellées',
    'tavellés',
    'tavelons',
    'tavelure',
    'tavelures',
    'tavelâmes',
    'tavelât',
    'tavelâtes',
    'tavelèrent',
    'tavelé',
    'tavelée',
    'tavelées',
    'tavelés',
    'taverne',
    'tavernes',
    'tavernier',
    'taverniers',
    'tavernière',
    'tavernières',
    'tavillon',
    'tavillons',
    'taxa',
    'taxable',
    'taxables',
    'taxai',
    'taxaient',
    'taxais',
    'taxait',
    'taxant',
    'taxas',
    'taxasse',
    'taxassent',
    'taxasses',
    'taxassiez',
    'taxassions',
    'taxateur',
    'taxateurs',
    'taxatif',
    'taxatifs',
    'taxation',
    'taxations',
    'taxative',
    'taxatives',
    'taxe',
    'taxent',
    'taxer',
    'taxera',
    'taxerai',
    'taxeraient',
    'taxerais',
    'taxerait',
    'taxeras',
    'taxerez',
    'taxeriez',
    'taxerions',
    'taxerons',
    'taxeront',
    'taxes',
    'taxez',
    'taxi',
    'taxidermie',
    'taxidermies',
    'taxidermiste',
    'taxie',
    'taxies',
    'taxiez',
    'taximètre',
    'taximètres',
    'taxinomie',
    'taxinomies',
    'taxinomique',
    'taxinomiques',
    'taxinomiste',
    'taxinomistes',
    'taxions',
    'taxis',
    'taxiway',
    'taxiways',
    'taxodium',
    'taxodiums',
    'taxon',
    'taxonomie',
    'taxonomies',
    'taxonomique',
    'taxonomiques',
    'taxonomiste',
    'taxonomistes',
    'taxons',
    'taxâmes',
    'taxât',
    'taxâtes',
    'taxèrent',
    'taxé',
    'taxée',
    'taxées',
    'taxés',
    'taylorisa',
    'taylorisai',
    'taylorisais',
    'taylorisait',
    'taylorisant',
    'taylorisas',
    'taylorisasse',
    'taylorise',
    'taylorisent',
    'tayloriser',
    'taylorisera',
    'tayloriserai',
    'tayloriseras',
    'tayloriserez',
    'taylorises',
    'taylorisez',
    'taylorisiez',
    'taylorisions',
    'taylorisme',
    'taylorismes',
    'taylorisons',
    'taylorisâmes',
    'taylorisât',
    'taylorisâtes',
    'taylorisé',
    'taylorisée',
    'taylorisées',
    'taylorisés',
    'taïaut',
    'taïga',
    'taïgas',
    'taôisme',
    'taôismes',
    'taôiste',
    'taôistes',
    'tchador',
    'tchadors',
    'tchao',
    'tcharchaf',
    'tcharchafs',
    'tchernoziom',
    'tchernozioms',
    'tchitola',
    'tchitolas',
    'tchèque',
    'tchèques',
    'tchérémisse',
    'technicien',
    'technicienne',
    'techniciens',
    'technicisa',
    'technicisai',
    'technicisais',
    'technicisait',
    'technicisant',
    'technicisas',
    'technicise',
    'technicisent',
    'techniciser',
    'technicisera',
    'technicises',
    'technicisez',
    'technicisiez',
    'technicisons',
    'technicisât',
    'technicisé',
    'technicisée',
    'technicisées',
    'technicisés',
    'technicité',
    'technicités',
    'technique',
    'techniques',
    'technisa',
    'technisai',
    'technisaient',
    'technisais',
    'technisait',
    'technisant',
    'technisas',
    'technisasse',
    'technisasses',
    'technise',
    'technisent',
    'techniser',
    'technisera',
    'techniserai',
    'techniserais',
    'techniserait',
    'techniseras',
    'techniserez',
    'techniseriez',
    'techniserons',
    'techniseront',
    'technises',
    'technisez',
    'technisiez',
    'technisions',
    'technisons',
    'technisâmes',
    'technisât',
    'technisâtes',
    'technisèrent',
    'technisé',
    'technisée',
    'technisées',
    'technisés',
    'technocrate',
    'technocrates',
    'technocratie',
    'technologie',
    'technologies',
    'technologue',
    'technologues',
    'technophile',
    'technophiles',
    'teck',
    'teckel',
    'teckels',
    'tecks',
    'tectonique',
    'tectoniques',
    'tectrice',
    'tectrices',
    'tees',
    'teignaient',
    'teignais',
    'teignait',
    'teignant',
    'teigne',
    'teignent',
    'teignes',
    'teigneuse',
    'teigneuses',
    'teigneux',
    'teignez',
    'teigniez',
    'teignions',
    'teignirent',
    'teignis',
    'teignisse',
    'teignissent',
    'teignisses',
    'teignissiez',
    'teignissions',
    'teignit',
    'teignons',
    'teignîmes',
    'teignît',
    'teignîtes',
    'teilla',
    'teillage',
    'teillages',
    'teillai',
    'teillaient',
    'teillais',
    'teillait',
    'teillant',
    'teillas',
    'teillasse',
    'teillassent',
    'teillasses',
    'teillassiez',
    'teillassions',
    'teille',
    'teillent',
    'teiller',
    'teillera',
    'teillerai',
    'teilleraient',
    'teillerais',
    'teillerait',
    'teilleras',
    'teillerez',
    'teilleriez',
    'teillerions',
    'teillerons',
    'teilleront',
    'teilles',
    'teilleur',
    'teilleurs',
    'teilleuse',
    'teilleuses',
    'teillez',
    'teilliez',
    'teillions',
    'teillons',
    'teillâmes',
    'teillât',
    'teillâtes',
    'teillèrent',
    'teillé',
    'teillée',
    'teillées',
    'teillés',
    'teindra',
    'teindrai',
    'teindraient',
    'teindrais',
    'teindrait',
    'teindras',
    'teindre',
    'teindrez',
    'teindriez',
    'teindrions',
    'teindrons',
    'teindront',
    'teins',
    'teint',
    'teinta',
    'teintai',
    'teintaient',
    'teintais',
    'teintait',
    'teintant',
    'teintas',
    'teintasse',
    'teintassent',
    'teintasses',
    'teintassiez',
    'teintassions',
    'teinte',
    'teintent',
    'teinter',
    'teintera',
    'teinterai',
    'teinteraient',
    'teinterais',
    'teinterait',
    'teinteras',
    'teinterez',
    'teinteriez',
    'teinterions',
    'teinterons',
    'teinteront',
    'teintes',
    'teintez',
    'teintiez',
    'teintions',
    'teintons',
    'teints',
    'teinture',
    'teinturerie',
    'teintureries',
    'teintures',
    'teinturier',
    'teinturiers',
    'teinturière',
    'teinturières',
    'teintâmes',
    'teintât',
    'teintâtes',
    'teintèrent',
    'teinté',
    'teintée',
    'teintées',
    'teintés',
    'teks',
    'tell',
    'telle',
    'tellement',
    'telles',
    'tellière',
    'tellières',
    'tells',
    'tellurate',
    'tellurates',
    'tellure',
    'tellures',
    'tellureuse',
    'tellureuses',
    'tellureux',
    'tellurien',
    'tellurienne',
    'telluriennes',
    'telluriens',
    'tellurique',
    'telluriques',
    'tellurisme',
    'tellurismes',
    'tellurure',
    'tellurures',
    'tels',
    'telson',
    'telsons',
    'tempe',
    'tempes',
    'temple',
    'temples',
    'templier',
    'templiers',
    'tempo',
    'temporaire',
    'temporaires',
    'temporal',
    'temporale',
    'temporales',
    'temporalité',
    'temporalités',
    'temporaux',
    'temporel',
    'temporelle',
    'temporelles',
    'temporels',
    'temporisa',
    'temporisai',
    'temporisais',
    'temporisait',
    'temporisant',
    'temporisante',
    'temporisants',
    'temporisas',
    'temporisasse',
    'temporise',
    'temporisent',
    'temporiser',
    'temporisera',
    'temporiserai',
    'temporiseras',
    'temporiserez',
    'temporises',
    'temporisez',
    'temporisiez',
    'temporisions',
    'temporisons',
    'temporisâmes',
    'temporisât',
    'temporisâtes',
    'temporisé',
    'tempos',
    'temps',
    'tempère',
    'tempèrent',
    'tempères',
    'tempéra',
    'tempérai',
    'tempéraient',
    'tempérais',
    'tempérait',
    'tempérament',
    'tempéraments',
    'tempérance',
    'tempérances',
    'tempérant',
    'tempérante',
    'tempérantes',
    'tempérants',
    'tempéras',
    'tempérasse',
    'tempérassent',
    'tempérasses',
    'tempérassiez',
    'température',
    'températures',
    'tempérer',
    'tempérera',
    'tempérerai',
    'tempérerais',
    'tempérerait',
    'tempéreras',
    'tempérerez',
    'tempéreriez',
    'tempérerions',
    'tempérerons',
    'tempéreront',
    'tempérez',
    'tempériez',
    'tempérions',
    'tempérons',
    'tempérâmes',
    'tempérât',
    'tempérâtes',
    'tempérèrent',
    'tempéré',
    'tempérée',
    'tempérées',
    'tempérés',
    'tempétueuse',
    'tempétueuses',
    'tempétueux',
    'tempêta',
    'tempêtai',
    'tempêtaient',
    'tempêtais',
    'tempêtait',
    'tempêtant',
    'tempêtas',
    'tempêtasse',
    'tempêtassent',
    'tempêtasses',
    'tempêtassiez',
    'tempête',
    'tempêtent',
    'tempêter',
    'tempêtera',
    'tempêterai',
    'tempêterais',
    'tempêterait',
    'tempêteras',
    'tempêterez',
    'tempêteriez',
    'tempêterions',
    'tempêterons',
    'tempêteront',
    'tempêtes',
    'tempêtez',
    'tempêtiez',
    'tempêtions',
    'tempêtons',
    'tempêtâmes',
    'tempêtât',
    'tempêtâtes',
    'tempêtèrent',
    'tempêté',
    'tenable',
    'tenables',
    'tenace',
    'tenacement',
    'tenaces',
    'tenaient',
    'tenailla',
    'tenaillai',
    'tenaillaient',
    'tenaillais',
    'tenaillait',
    'tenaillant',
    'tenaillas',
    'tenaillasse',
    'tenaillasses',
    'tenaille',
    'tenaillement',
    'tenaillent',
    'tenailler',
    'tenaillera',
    'tenaillerai',
    'tenaillerais',
    'tenaillerait',
    'tenailleras',
    'tenaillerez',
    'tenailleriez',
    'tenaillerons',
    'tenailleront',
    'tenailles',
    'tenaillez',
    'tenailliez',
    'tenaillions',
    'tenaillons',
    'tenaillâmes',
    'tenaillât',
    'tenaillâtes',
    'tenaillèrent',
    'tenaillé',
    'tenaillée',
    'tenaillées',
    'tenaillés',
    'tenais',
    'tenait',
    'tenancier',
    'tenanciers',
    'tenancière',
    'tenancières',
    'tenant',
    'tenante',
    'tenantes',
    'tenants',
    'tend',
    'tendaient',
    'tendais',
    'tendait',
    'tendance',
    'tendances',
    'tendanciel',
    'tendancielle',
    'tendanciels',
    'tendancieuse',
    'tendancieux',
    'tendant',
    'tende',
    'tendelle',
    'tendelles',
    'tendent',
    'tender',
    'tenderie',
    'tenderies',
    'tenders',
    'tendes',
    'tendeur',
    'tendeurs',
    'tendeuse',
    'tendeuses',
    'tendez',
    'tendiez',
    'tendineuse',
    'tendineuses',
    'tendineux',
    'tendinite',
    'tendinites',
    'tendions',
    'tendirent',
    'tendis',
    'tendisse',
    'tendissent',
    'tendisses',
    'tendissiez',
    'tendissions',
    'tendit',
    'tendoir',
    'tendoirs',
    'tendon',
    'tendons',
    'tendra',
    'tendrai',
    'tendraient',
    'tendrais',
    'tendrait',
    'tendras',
    'tendre',
    'tendrement',
    'tendres',
    'tendresse',
    'tendresses',
    'tendreté',
    'tendretés',
    'tendrez',
    'tendriez',
    'tendrions',
    'tendron',
    'tendrons',
    'tendront',
    'tends',
    'tendu',
    'tendue',
    'tendues',
    'tendus',
    'tendîmes',
    'tendît',
    'tendîtes',
    'teneur',
    'teneurmètre',
    'teneurmètres',
    'teneurs',
    'teneuse',
    'teneuses',
    'tenez',
    'teniez',
    'tenions',
    'tenir',
    'tennis',
    'tennisman',
    'tennismen',
    'tennistique',
    'tennistiques',
    'tenon',
    'tenonna',
    'tenonnai',
    'tenonnaient',
    'tenonnais',
    'tenonnait',
    'tenonnant',
    'tenonnas',
    'tenonnasse',
    'tenonnassent',
    'tenonnasses',
    'tenonnassiez',
    'tenonne',
    'tenonnent',
    'tenonner',
    'tenonnera',
    'tenonnerai',
    'tenonnerais',
    'tenonnerait',
    'tenonneras',
    'tenonnerez',
    'tenonneriez',
    'tenonnerions',
    'tenonnerons',
    'tenonneront',
    'tenonnes',
    'tenonneuse',
    'tenonneuses',
    'tenonnez',
    'tenonniez',
    'tenonnions',
    'tenonnons',
    'tenonnâmes',
    'tenonnât',
    'tenonnâtes',
    'tenonnèrent',
    'tenonné',
    'tenonnée',
    'tenonnées',
    'tenonnés',
    'tenons',
    'tenrec',
    'tenrecs',
    'tenseur',
    'tenseurs',
    'tensioactif',
    'tensioactifs',
    'tensioactive',
    'tensiomètre',
    'tensiomètres',
    'tension',
    'tensions',
    'tenson',
    'tensons',
    'tensoriel',
    'tenta',
    'tentaculaire',
    'tentacule',
    'tentacules',
    'tentai',
    'tentaient',
    'tentais',
    'tentait',
    'tentant',
    'tentante',
    'tentantes',
    'tentants',
    'tentas',
    'tentasse',
    'tentassent',
    'tentasses',
    'tentassiez',
    'tentassions',
    'tentateur',
    'tentateurs',
    'tentation',
    'tentations',
    'tentative',
    'tentatives',
    'tentatrice',
    'tentatrices',
    'tente',
    'tentent',
    'tenter',
    'tentera',
    'tenterai',
    'tenteraient',
    'tenterais',
    'tenterait',
    'tenteras',
    'tenterez',
    'tenteriez',
    'tenterions',
    'tenterons',
    'tenteront',
    'tentes',
    'tentez',
    'tenthrède',
    'tenthrèdes',
    'tentiez',
    'tentions',
    'tentons',
    'tenture',
    'tentures',
    'tentâmes',
    'tentât',
    'tentâtes',
    'tentèrent',
    'tenté',
    'tentée',
    'tentées',
    'tentés',
    'tenu',
    'tenue',
    'tenues',
    'tenure',
    'tenures',
    'tenus',
    'tenuto',
    'tepidarium',
    'tepidariums',
    'tequila',
    'tequilas',
    'terbine',
    'terbines',
    'terbium',
    'terbiums',
    'terce',
    'tercent',
    'tercer',
    'tercera',
    'tercerai',
    'terceraient',
    'tercerais',
    'tercerait',
    'terceras',
    'tercerez',
    'terceriez',
    'tercerions',
    'tercerons',
    'terceront',
    'terces',
    'tercet',
    'tercets',
    'tercez',
    'terciez',
    'tercions',
    'tercèrent',
    'tercé',
    'tercée',
    'tercées',
    'tercés',
    'terebellum',
    'terebellums',
    'tergiversa',
    'tergiversai',
    'tergiversais',
    'tergiversait',
    'tergiversant',
    'tergiversas',
    'tergiverse',
    'tergiversent',
    'tergiverser',
    'tergiversera',
    'tergiverses',
    'tergiversez',
    'tergiversiez',
    'tergiversons',
    'tergiversât',
    'tergiversé',
    'termaillage',
    'termaillages',
    'terme',
    'termes',
    'termina',
    'terminai',
    'terminaient',
    'terminais',
    'terminaison',
    'terminaisons',
    'terminait',
    'terminal',
    'terminale',
    'terminales',
    'terminant',
    'terminas',
    'terminasse',
    'terminassent',
    'terminasses',
    'terminassiez',
    'terminaux',
    'termine',
    'terminent',
    'terminer',
    'terminera',
    'terminerai',
    'terminerais',
    'terminerait',
    'termineras',
    'terminerez',
    'termineriez',
    'terminerions',
    'terminerons',
    'termineront',
    'termines',
    'terminez',
    'terminiez',
    'terminions',
    'terminologie',
    'terminologue',
    'terminons',
    'terminus',
    'terminâmes',
    'terminât',
    'terminâtes',
    'terminèrent',
    'terminé',
    'terminée',
    'terminées',
    'terminés',
    'termite',
    'termites',
    'termitière',
    'termitières',
    'ternaire',
    'ternaires',
    'terne',
    'ternes',
    'terni',
    'ternie',
    'ternies',
    'ternir',
    'ternira',
    'ternirai',
    'terniraient',
    'ternirais',
    'ternirait',
    'terniras',
    'ternirent',
    'ternirez',
    'terniriez',
    'ternirions',
    'ternirons',
    'terniront',
    'ternis',
    'ternissaient',
    'ternissais',
    'ternissait',
    'ternissant',
    'ternissante',
    'ternissantes',
    'ternissants',
    'ternisse',
    'ternissement',
    'ternissent',
    'ternisses',
    'ternissez',
    'ternissiez',
    'ternissions',
    'ternissons',
    'ternissure',
    'ternissures',
    'ternit',
    'ternîmes',
    'ternît',
    'ternîtes',
    'terpine',
    'terpines',
    'terpinol',
    'terpinols',
    'terpinéol',
    'terpinéols',
    'terpène',
    'terpènes',
    'terpénique',
    'terpéniques',
    'terra',
    'terrafungine',
    'terrage',
    'terrages',
    'terrai',
    'terraient',
    'terrain',
    'terrains',
    'terrais',
    'terrait',
    'terramare',
    'terramares',
    'terrant',
    'terraplane',
    'terraplanes',
    'terraqué',
    'terraquée',
    'terraquées',
    'terraqués',
    'terrarium',
    'terrariums',
    'terras',
    'terrassa',
    'terrassai',
    'terrassaient',
    'terrassais',
    'terrassait',
    'terrassant',
    'terrassas',
    'terrassasse',
    'terrassasses',
    'terrasse',
    'terrassement',
    'terrassent',
    'terrasser',
    'terrassera',
    'terrasserai',
    'terrasserais',
    'terrasserait',
    'terrasseras',
    'terrasserez',
    'terrasseriez',
    'terrasserons',
    'terrasseront',
    'terrasses',
    'terrassez',
    'terrassier',
    'terrassiers',
    'terrassiez',
    'terrassions',
    'terrassons',
    'terrassâmes',
    'terrassât',
    'terrassâtes',
    'terrassèrent',
    'terrassé',
    'terrassée',
    'terrassées',
    'terrassés',
    'terre',
    'terreau',
    'terreauta',
    'terreautage',
    'terreautages',
    'terreautai',
    'terreautais',
    'terreautait',
    'terreautant',
    'terreautas',
    'terreautasse',
    'terreaute',
    'terreautent',
    'terreauter',
    'terreautera',
    'terreauterai',
    'terreauteras',
    'terreauterez',
    'terreautes',
    'terreautez',
    'terreautiez',
    'terreautions',
    'terreautons',
    'terreautâmes',
    'terreautât',
    'terreautâtes',
    'terreauté',
    'terreautée',
    'terreautées',
    'terreautés',
    'terreaux',
    'terrent',
    'terrer',
    'terrera',
    'terrerai',
    'terreraient',
    'terrerais',
    'terrerait',
    'terreras',
    'terrerez',
    'terreriez',
    'terrerions',
    'terrerons',
    'terreront',
    'terres',
    'terrestre',
    'terrestres',
    'terreur',
    'terreurs',
    'terreuse',
    'terreuses',
    'terreux',
    'terrez',
    'terri',
    'terrible',
    'terriblement',
    'terribles',
    'terricole',
    'terricoles',
    'terrien',
    'terrienne',
    'terriennes',
    'terriens',
    'terrier',
    'terriers',
    'terriez',
    'terrifia',
    'terrifiai',
    'terrifiaient',
    'terrifiais',
    'terrifiait',
    'terrifiant',
    'terrifiante',
    'terrifiantes',
    'terrifiants',
    'terrifias',
    'terrifiasse',
    'terrifiasses',
    'terrifie',
    'terrifient',
    'terrifier',
    'terrifiera',
    'terrifierai',
    'terrifierais',
    'terrifierait',
    'terrifieras',
    'terrifierez',
    'terrifieriez',
    'terrifierons',
    'terrifieront',
    'terrifies',
    'terrifiez',
    'terrifiiez',
    'terrifiions',
    'terrifions',
    'terrifiâmes',
    'terrifiât',
    'terrifiâtes',
    'terrifièrent',
    'terrifié',
    'terrifiée',
    'terrifiées',
    'terrifiés',
    'terrigène',
    'terrigènes',
    'terril',
    'terrils',
    'terrine',
    'terrines',
    'terrions',
    'terrir',
    'terrira',
    'terrirai',
    'terriraient',
    'terrirais',
    'terrirait',
    'terriras',
    'terrirent',
    'terrirez',
    'terririez',
    'terririons',
    'terrirons',
    'terriront',
    'terris',
    'terrissaient',
    'terrissais',
    'terrissait',
    'terrissant',
    'terrisse',
    'terrissent',
    'terrisses',
    'terrissez',
    'terrissiez',
    'terrissions',
    'terrissons',
    'territ',
    'territoire',
    'territoires',
    'territorial',
    'territoriale',
    'territoriaux',
    'terroir',
    'terroirs',
    'terrons',
    'terrorisa',
    'terrorisai',
    'terrorisais',
    'terrorisait',
    'terrorisant',
    'terrorisante',
    'terrorisants',
    'terrorisas',
    'terrorisasse',
    'terrorise',
    'terrorisent',
    'terroriser',
    'terrorisera',
    'terroriserai',
    'terroriseras',
    'terroriserez',
    'terrorises',
    'terrorisez',
    'terrorisiez',
    'terrorisions',
    'terrorisme',
    'terrorismes',
    'terrorisons',
    'terroriste',
    'terroristes',
    'terrorisâmes',
    'terrorisât',
    'terrorisâtes',
    'terrorisé',
    'terrorisée',
    'terrorisées',
    'terrorisés',
    'terrâmes',
    'terrât',
    'terrâtes',
    'terrèrent',
    'terré',
    'terrée',
    'terrées',
    'terrés',
    'terrîmes',
    'terrît',
    'terrîtes',
    'tersa',
    'tersai',
    'tersaient',
    'tersais',
    'tersait',
    'tersant',
    'tersas',
    'tersasse',
    'tersassent',
    'tersasses',
    'tersassiez',
    'tersassions',
    'terse',
    'tersent',
    'terser',
    'tersera',
    'terserai',
    'terseraient',
    'terserais',
    'terserait',
    'terseras',
    'terserez',
    'terseriez',
    'terserions',
    'terserons',
    'terseront',
    'terses',
    'tersez',
    'tersiez',
    'tersions',
    'tersons',
    'tersâmes',
    'tersât',
    'tersâtes',
    'tersèrent',
    'tersé',
    'tersée',
    'tersées',
    'tersés',
    'tertiaire',
    'tertiaires',
    'tertio',
    'tertre',
    'tertres',
    'terzetto',
    'terzettos',
    'terça',
    'terçai',
    'terçaient',
    'terçais',
    'terçait',
    'terçant',
    'terças',
    'terçasse',
    'terçassent',
    'terçasses',
    'terçassiez',
    'terçassions',
    'terçons',
    'terçâmes',
    'terçât',
    'terçâtes',
    'tessiture',
    'tessitures',
    'tesson',
    'tessons',
    'test',
    'testa',
    'testabilité',
    'testabilités',
    'testable',
    'testables',
    'testacelle',
    'testacelles',
    'testacé',
    'testacée',
    'testacées',
    'testacés',
    'testage',
    'testages',
    'testai',
    'testaient',
    'testais',
    'testait',
    'testament',
    'testaments',
    'testant',
    'testas',
    'testasse',
    'testassent',
    'testasses',
    'testassiez',
    'testassions',
    'testateur',
    'testateurs',
    'testatrice',
    'testatrices',
    'teste',
    'testent',
    'tester',
    'testera',
    'testerai',
    'testeraient',
    'testerais',
    'testerait',
    'testeras',
    'testerez',
    'testeriez',
    'testerions',
    'testerons',
    'testeront',
    'testes',
    'testeur',
    'testeurs',
    'testez',
    'testiculaire',
    'testicule',
    'testicules',
    'testiez',
    'testimonial',
    'testimoniale',
    'testimoniaux',
    'testions',
    'testologie',
    'testologies',
    'teston',
    'testons',
    'testostérone',
    'tests',
    'testâmes',
    'testât',
    'testâtes',
    'testèrent',
    'testé',
    'testée',
    'testées',
    'testés',
    'tette',
    'tettes',
    'teuton',
    'teutonique',
    'teutoniques',
    'teutonne',
    'teutonnes',
    'teutons',
    'texan',
    'texane',
    'texanes',
    'texans',
    'texte',
    'textes',
    'textile',
    'textiles',
    'textuel',
    'textuelle',
    'textuelles',
    'textuels',
    'textura',
    'texturai',
    'texturaient',
    'texturais',
    'texturait',
    'texturant',
    'texturas',
    'texturasse',
    'texturassent',
    'texturasses',
    'texturassiez',
    'texture',
    'texturent',
    'texturer',
    'texturera',
    'texturerai',
    'texturerais',
    'texturerait',
    'textureras',
    'texturerez',
    'textureriez',
    'texturerions',
    'texturerons',
    'textureront',
    'textures',
    'texturez',
    'texturiez',
    'texturions',
    'texturisa',
    'texturisai',
    'texturisais',
    'texturisait',
    'texturisant',
    'texturisas',
    'texturisasse',
    'texturise',
    'texturisent',
    'texturiser',
    'texturisera',
    'texturiserai',
    'texturiseras',
    'texturiserez',
    'texturises',
    'texturisez',
    'texturisiez',
    'texturisions',
    'texturisons',
    'texturisâmes',
    'texturisât',
    'texturisâtes',
    'texturisé',
    'texturisée',
    'texturisées',
    'texturisés',
    'texturons',
    'texturâmes',
    'texturât',
    'texturâtes',
    'texturèrent',
    'texturé',
    'texturée',
    'texturées',
    'texturés',
    'thalamique',
    'thalamiques',
    'thalamus',
    'thalassémie',
    'thalassémies',
    'thaler',
    'thalers',
    'thalidomide',
    'thalidomides',
    'thalle',
    'thalles',
    'thallium',
    'thalliums',
    'thalweg',
    'thalwegs',
    'thanatologie',
    'thaumaturge',
    'thaumaturges',
    'thaïe',
    'thaïes',
    'thaïlandais',
    'thaïlandaise',
    'thermal',
    'thermale',
    'thermales',
    'thermalisme',
    'thermalismes',
    'thermaux',
    'thermes',
    'thermidor',
    'thermie',
    'thermies',
    'thermique',
    'thermiques',
    'thermisteur',
    'thermisteurs',
    'thermistor',
    'thermistors',
    'thermite',
    'thermites',
    'thermo',
    'thermochimie',
    'thermocouple',
    'thermogène',
    'thermogènes',
    'thermolabile',
    'thermolyse',
    'thermolyses',
    'thermomètre',
    'thermomètres',
    'thermométrie',
    'thermopompe',
    'thermopompes',
    'thermos',
    'thermoscope',
    'thermoscopes',
    'thermosiphon',
    'thermosphère',
    'thermostable',
    'thermostat',
    'thermostats',
    'thesmothète',
    'thesmothètes',
    'thiamine',
    'thiamines',
    'thibaude',
    'thibaudes',
    'thioalcool',
    'thioalcools',
    'thomiste',
    'thomistes',
    'thon',
    'thonaire',
    'thonaires',
    'thonier',
    'thoniers',
    'thons',
    'thora',
    'thoracentèse',
    'thoracique',
    'thoraciques',
    'thoras',
    'thorax',
    'thorine',
    'thorines',
    'thorite',
    'thorites',
    'thorium',
    'thoriums',
    'thoron',
    'thorons',
    'thridace',
    'thridaces',
    'thriller',
    'thrillers',
    'thrips',
    'thrombine',
    'thrombines',
    'thrombocyte',
    'thrombocytes',
    'thrombose',
    'thromboses',
    'thrombus',
    'thrène',
    'thrènes',
    'thréonine',
    'thréonines',
    'thulium',
    'thuliums',
    'thune',
    'thunes',
    'thuriféraire',
    'thuya',
    'thuyas',
    'thylacine',
    'thylacines',
    'thym',
    'thymie',
    'thymies',
    'thymine',
    'thymines',
    'thymique',
    'thymiques',
    'thymol',
    'thymols',
    'thyms',
    'thymus',
    'thyratron',
    'thyratrons',
    'thyristor',
    'thyristors',
    'thyroxine',
    'thyroxines',
    'thyroïde',
    'thyroïdes',
    'thyroïdien',
    'thyroïdienne',
    'thyroïdiens',
    'thyroïdisme',
    'thyroïdismes',
    'thyroïdite',
    'thyroïdites',
    'thyrse',
    'thyrses',
    'thyréotrope',
    'thyréotropes',
    'thème',
    'thèmes',
    'thèque',
    'thèques',
    'thèse',
    'thèses',
    'théatin',
    'théatins',
    'thébain',
    'thébaine',
    'thébaines',
    'thébains',
    'thébaïde',
    'thébaïdes',
    'thébaïne',
    'thébaïnes',
    'thébaïque',
    'thébaïques',
    'thébaïsme',
    'thébaïsmes',
    'théier',
    'théiers',
    'théine',
    'théines',
    'théisme',
    'théismes',
    'théiste',
    'théistes',
    'théière',
    'théières',
    'thématique',
    'thématiques',
    'thématisa',
    'thématisai',
    'thématisais',
    'thématisait',
    'thématisant',
    'thématisas',
    'thématisasse',
    'thématise',
    'thématisent',
    'thématiser',
    'thématisera',
    'thématiserai',
    'thématiseras',
    'thématiserez',
    'thématises',
    'thématisez',
    'thématisiez',
    'thématisions',
    'thématisme',
    'thématismes',
    'thématisons',
    'thématisâmes',
    'thématisât',
    'thématisâtes',
    'thématisé',
    'thématisée',
    'thématisées',
    'thématisés',
    'thénar',
    'thénars',
    'théobromine',
    'théobromines',
    'théocratie',
    'théocraties',
    'théocratique',
    'théodicée',
    'théodicées',
    'théodolite',
    'théodolites',
    'théogonie',
    'théogonies',
    'théogonique',
    'théogoniques',
    'théologal',
    'théologale',
    'théologales',
    'théologaux',
    'théologie',
    'théologien',
    'théologienne',
    'théologiens',
    'théologies',
    'théologique',
    'théologiques',
    'théophylline',
    'théorbe',
    'théorbes',
    'théoricien',
    'théoricienne',
    'théoriciens',
    'théorie',
    'théories',
    'théorique',
    'théoriques',
    'théorisa',
    'théorisai',
    'théorisaient',
    'théorisais',
    'théorisait',
    'théorisant',
    'théorisas',
    'théorisasse',
    'théorisasses',
    'théorisation',
    'théorise',
    'théorisent',
    'théoriser',
    'théorisera',
    'théoriserai',
    'théoriserais',
    'théoriserait',
    'théoriseras',
    'théoriserez',
    'théoriseriez',
    'théoriserons',
    'théoriseront',
    'théorises',
    'théorisez',
    'théorisiez',
    'théorisions',
    'théorisons',
    'théorisâmes',
    'théorisât',
    'théorisâtes',
    'théorisèrent',
    'théorisé',
    'théorisée',
    'théorisées',
    'théorisés',
    'théorème',
    'théorèmes',
    'théorétique',
    'théorétiques',
    'théosophe',
    'théosophes',
    'théosophie',
    'théosophies',
    'thérapeute',
    'thérapeutes',
    'thérapie',
    'thérapies',
    'thériaque',
    'thériaques',
    'théridion',
    'théridions',
    'thés',
    'thésard',
    'thésarde',
    'thésardes',
    'thésards',
    'thésaurisa',
    'thésaurisai',
    'thésaurisais',
    'thésaurisait',
    'thésaurisant',
    'thésaurisas',
    'thésaurise',
    'thésaurisent',
    'thésauriser',
    'thésaurisera',
    'thésaurises',
    'thésauriseur',
    'thésaurisez',
    'thésaurisiez',
    'thésaurisons',
    'thésaurisât',
    'thésaurisé',
    'thésaurisée',
    'thésaurisées',
    'thésaurisés',
    'thésaurus',
    'thétique',
    'thétiques',
    'théurgie',
    'théurgies',
    'théurgique',
    'théurgiques',
    'théâtral',
    'théâtrale',
    'théâtrales',
    'théâtralisa',
    'théâtralisai',
    'théâtralisas',
    'théâtralise',
    'théâtraliser',
    'théâtralises',
    'théâtralisez',
    'théâtralisme',
    'théâtralisât',
    'théâtralisé',
    'théâtralisée',
    'théâtralisés',
    'théâtralité',
    'théâtralités',
    'théâtraux',
    'théâtre',
    'théâtres',
    'thêta',
    'tian',
    'tians',
    'tiare',
    'tiares',
    'tibia',
    'tibial',
    'tibiale',
    'tibiales',
    'tibias',
    'tibiaux',
    'tibétain',
    'tibétaine',
    'tibétaines',
    'tibétains',
    'ticket',
    'tickets',
    'tics',
    'tictaqua',
    'tictaquai',
    'tictaquaient',
    'tictaquais',
    'tictaquait',
    'tictaquant',
    'tictaquas',
    'tictaquasse',
    'tictaquasses',
    'tictaque',
    'tictaquent',
    'tictaquer',
    'tictaquera',
    'tictaquerai',
    'tictaquerais',
    'tictaquerait',
    'tictaqueras',
    'tictaquerez',
    'tictaqueriez',
    'tictaquerons',
    'tictaqueront',
    'tictaques',
    'tictaquez',
    'tictaquiez',
    'tictaquions',
    'tictaquons',
    'tictaquâmes',
    'tictaquât',
    'tictaquâtes',
    'tictaquèrent',
    'tictaqué',
    'tien',
    'tiendra',
    'tiendrai',
    'tiendraient',
    'tiendrais',
    'tiendrait',
    'tiendras',
    'tiendrez',
    'tiendriez',
    'tiendrions',
    'tiendrons',
    'tiendront',
    'tienne',
    'tiennent',
    'tiennes',
    'tiens',
    'tient',
    'tierce',
    'tiercelet',
    'tiercelets',
    'tiercent',
    'tiercer',
    'tiercera',
    'tiercerai',
    'tierceraient',
    'tiercerais',
    'tiercerait',
    'tierceras',
    'tiercerez',
    'tierceriez',
    'tiercerions',
    'tierceron',
    'tiercerons',
    'tierceront',
    'tierces',
    'tiercez',
    'tierciez',
    'tiercions',
    'tiercèrent',
    'tiercé',
    'tiercée',
    'tiercées',
    'tiercés',
    'tiers',
    'tierça',
    'tierçai',
    'tierçaient',
    'tierçais',
    'tierçait',
    'tierçant',
    'tierças',
    'tierçasse',
    'tierçassent',
    'tierçasses',
    'tierçassiez',
    'tierçassions',
    'tierçons',
    'tierçâmes',
    'tierçât',
    'tierçâtes',
    'tiffe',
    'tiffes',
    'tifs',
    'tige',
    'tigelle',
    'tigelles',
    'tiges',
    'tigette',
    'tigettes',
    'tiglon',
    'tiglons',
    'tignasse',
    'tignasses',
    'tigra',
    'tigrai',
    'tigraient',
    'tigrais',
    'tigrait',
    'tigrant',
    'tigras',
    'tigrasse',
    'tigrassent',
    'tigrasses',
    'tigrassiez',
    'tigrassions',
    'tigre',
    'tigrent',
    'tigrer',
    'tigrera',
    'tigrerai',
    'tigreraient',
    'tigrerais',
    'tigrerait',
    'tigreras',
    'tigrerez',
    'tigreriez',
    'tigrerions',
    'tigrerons',
    'tigreront',
    'tigres',
    'tigresse',
    'tigresses',
    'tigrez',
    'tigridie',
    'tigridies',
    'tigriez',
    'tigrions',
    'tigron',
    'tigrons',
    'tigrâmes',
    'tigrât',
    'tigrâtes',
    'tigrèrent',
    'tigré',
    'tigrée',
    'tigrées',
    'tigrés',
    'tilbury',
    'tilburys',
    'tilde',
    'tildes',
    'tilla',
    'tillac',
    'tillacs',
    'tillage',
    'tillages',
    'tillai',
    'tillaient',
    'tillais',
    'tillait',
    'tillandsie',
    'tillandsies',
    'tillant',
    'tillas',
    'tillasse',
    'tillassent',
    'tillasses',
    'tillassiez',
    'tillassions',
    'tille',
    'tillent',
    'tiller',
    'tillera',
    'tillerai',
    'tilleraient',
    'tillerais',
    'tillerait',
    'tilleras',
    'tillerez',
    'tilleriez',
    'tillerions',
    'tillerons',
    'tilleront',
    'tilles',
    'tilleul',
    'tilleuls',
    'tillez',
    'tilliez',
    'tillions',
    'tillons',
    'tillâmes',
    'tillât',
    'tillâtes',
    'tillèrent',
    'tillé',
    'tillée',
    'tillées',
    'tillés',
    'tilt',
    'tilts',
    'timbale',
    'timbales',
    'timbalier',
    'timbaliers',
    'timbra',
    'timbrage',
    'timbrages',
    'timbrai',
    'timbraient',
    'timbrais',
    'timbrait',
    'timbrant',
    'timbras',
    'timbrasse',
    'timbrassent',
    'timbrasses',
    'timbrassiez',
    'timbrassions',
    'timbre',
    'timbrent',
    'timbrer',
    'timbrera',
    'timbrerai',
    'timbreraient',
    'timbrerais',
    'timbrerait',
    'timbreras',
    'timbrerez',
    'timbreriez',
    'timbrerions',
    'timbrerons',
    'timbreront',
    'timbres',
    'timbrez',
    'timbriez',
    'timbrions',
    'timbrons',
    'timbrâmes',
    'timbrât',
    'timbrâtes',
    'timbrèrent',
    'timbré',
    'timbrée',
    'timbrées',
    'timbrés',
    'timide',
    'timidement',
    'timides',
    'timidité',
    'timidités',
    'timing',
    'timings',
    'timon',
    'timonerie',
    'timoneries',
    'timonier',
    'timoniers',
    'timonière',
    'timonières',
    'timons',
    'timoré',
    'timorée',
    'timorées',
    'timorés',
    'tinamou',
    'tinamous',
    'tincal',
    'tincals',
    'tinctorial',
    'tinctoriale',
    'tinctoriales',
    'tinctoriaux',
    'tinette',
    'tinettes',
    'tinrent',
    'tins',
    'tinsse',
    'tinssent',
    'tinsses',
    'tinssiez',
    'tinssions',
    'tint',
    'tinta',
    'tintai',
    'tintaient',
    'tintais',
    'tintait',
    'tintamarre',
    'tintamarres',
    'tintant',
    'tintante',
    'tintantes',
    'tintants',
    'tintas',
    'tintasse',
    'tintassent',
    'tintasses',
    'tintassiez',
    'tintassions',
    'tinte',
    'tintement',
    'tintements',
    'tintent',
    'tinter',
    'tintera',
    'tinterai',
    'tinteraient',
    'tinterais',
    'tinterait',
    'tinteras',
    'tinterez',
    'tinteriez',
    'tinterions',
    'tinterons',
    'tinteront',
    'tintes',
    'tintez',
    'tintiez',
    'tintin',
    'tintinnabula',
    'tintinnabule',
    'tintinnabulé',
    'tintins',
    'tintions',
    'tintons',
    'tintouin',
    'tintouins',
    'tintâmes',
    'tintât',
    'tintâtes',
    'tintèrent',
    'tinté',
    'tintée',
    'tintées',
    'tintés',
    'tipule',
    'tipules',
    'tiqua',
    'tiquai',
    'tiquaient',
    'tiquais',
    'tiquait',
    'tiquant',
    'tiquas',
    'tiquasse',
    'tiquassent',
    'tiquasses',
    'tiquassiez',
    'tiquassions',
    'tique',
    'tiquent',
    'tiquer',
    'tiquera',
    'tiquerai',
    'tiqueraient',
    'tiquerais',
    'tiquerait',
    'tiqueras',
    'tiquerez',
    'tiqueriez',
    'tiquerions',
    'tiquerons',
    'tiqueront',
    'tiques',
    'tiqueture',
    'tiquetures',
    'tiqueté',
    'tiquetée',
    'tiquetées',
    'tiquetés',
    'tiqueur',
    'tiqueurs',
    'tiqueuse',
    'tiqueuses',
    'tiquez',
    'tiquiez',
    'tiquions',
    'tiquons',
    'tiquâmes',
    'tiquât',
    'tiquâtes',
    'tiquèrent',
    'tiqué',
    'tira',
    'tirade',
    'tirades',
    'tirage',
    'tirages',
    'tirai',
    'tiraient',
    'tirailla',
    'tiraillai',
    'tiraillaient',
    'tiraillais',
    'tiraillait',
    'tiraillant',
    'tiraillante',
    'tiraillantes',
    'tiraillants',
    'tiraillas',
    'tiraillasse',
    'tiraillasses',
    'tiraille',
    'tiraillement',
    'tiraillent',
    'tirailler',
    'tiraillera',
    'tiraillerai',
    'tiraillerais',
    'tiraillerait',
    'tirailleras',
    'tiraillerez',
    'tiraillerie',
    'tirailleries',
    'tirailleriez',
    'tiraillerons',
    'tirailleront',
    'tirailles',
    'tirailleur',
    'tirailleurs',
    'tiraillez',
    'tirailliez',
    'tiraillions',
    'tiraillons',
    'tiraillâmes',
    'tiraillât',
    'tiraillâtes',
    'tiraillèrent',
    'tiraillé',
    'tiraillée',
    'tiraillées',
    'tiraillés',
    'tirais',
    'tirait',
    'tirant',
    'tirants',
    'tiras',
    'tirasse',
    'tirassent',
    'tirasses',
    'tirassiez',
    'tirassions',
    'tire',
    'tirelire',
    'tirelires',
    'tirent',
    'tirer',
    'tirera',
    'tirerai',
    'tireraient',
    'tirerais',
    'tirerait',
    'tireras',
    'tirerez',
    'tireriez',
    'tirerions',
    'tirerons',
    'tireront',
    'tires',
    'tiret',
    'tiretaine',
    'tiretaines',
    'tirets',
    'tirette',
    'tirettes',
    'tireur',
    'tireurs',
    'tireuse',
    'tireuses',
    'tirez',
    'tiriez',
    'tirions',
    'tiroir',
    'tiroirs',
    'tirons',
    'tirs',
    'tirâmes',
    'tirât',
    'tirâtes',
    'tirèrent',
    'tiré',
    'tirée',
    'tirées',
    'tirés',
    'tisa',
    'tisai',
    'tisaient',
    'tisais',
    'tisait',
    'tisane',
    'tisanes',
    'tisant',
    'tisas',
    'tisasse',
    'tisassent',
    'tisasses',
    'tisassiez',
    'tisassions',
    'tise',
    'tisent',
    'tiser',
    'tisera',
    'tiserai',
    'tiseraient',
    'tiserais',
    'tiserait',
    'tiseras',
    'tiserez',
    'tiseriez',
    'tiserions',
    'tiserons',
    'tiseront',
    'tises',
    'tisez',
    'tisiez',
    'tisions',
    'tison',
    'tisonna',
    'tisonnai',
    'tisonnaient',
    'tisonnais',
    'tisonnait',
    'tisonnant',
    'tisonnas',
    'tisonnasse',
    'tisonnassent',
    'tisonnasses',
    'tisonnassiez',
    'tisonne',
    'tisonnent',
    'tisonner',
    'tisonnera',
    'tisonnerai',
    'tisonnerais',
    'tisonnerait',
    'tisonneras',
    'tisonnerez',
    'tisonneriez',
    'tisonnerions',
    'tisonnerons',
    'tisonneront',
    'tisonnes',
    'tisonnez',
    'tisonnier',
    'tisonniers',
    'tisonniez',
    'tisonnions',
    'tisonnons',
    'tisonnâmes',
    'tisonnât',
    'tisonnâtes',
    'tisonnèrent',
    'tisonné',
    'tisonnée',
    'tisonnées',
    'tisonnés',
    'tisons',
    'tissa',
    'tissage',
    'tissages',
    'tissai',
    'tissaient',
    'tissais',
    'tissait',
    'tissant',
    'tissas',
    'tissasse',
    'tissassent',
    'tissasses',
    'tissassiez',
    'tissassions',
    'tisse',
    'tissent',
    'tisser',
    'tissera',
    'tisserai',
    'tisseraient',
    'tisserais',
    'tisserait',
    'tisserand',
    'tisserande',
    'tisserandes',
    'tisserands',
    'tisseras',
    'tisserez',
    'tisseriez',
    'tisserin',
    'tisserins',
    'tisserions',
    'tisserons',
    'tisseront',
    'tisses',
    'tisseur',
    'tisseurs',
    'tisseuse',
    'tisseuses',
    'tissez',
    'tissiez',
    'tissions',
    'tissons',
    'tissu',
    'tissulaire',
    'tissulaires',
    'tissure',
    'tissures',
    'tissus',
    'tissâmes',
    'tissât',
    'tissâtes',
    'tissèrent',
    'tissé',
    'tissée',
    'tissées',
    'tissés',
    'tisâmes',
    'tisât',
    'tisâtes',
    'tisèrent',
    'tisé',
    'tisée',
    'tisées',
    'tisés',
    'titan',
    'titane',
    'titanes',
    'titanesque',
    'titanesques',
    'titanique',
    'titaniques',
    'titans',
    'titi',
    'titilla',
    'titillai',
    'titillaient',
    'titillais',
    'titillait',
    'titillant',
    'titillas',
    'titillasse',
    'titillassent',
    'titillasses',
    'titillassiez',
    'titillation',
    'titillations',
    'titille',
    'titillent',
    'titiller',
    'titillera',
    'titillerai',
    'titillerais',
    'titillerait',
    'titilleras',
    'titillerez',
    'titilleriez',
    'titillerions',
    'titillerons',
    'titilleront',
    'titilles',
    'titillez',
    'titilliez',
    'titillions',
    'titillons',
    'titillâmes',
    'titillât',
    'titillâtes',
    'titillèrent',
    'titillé',
    'titillée',
    'titillées',
    'titillés',
    'titis',
    'titra',
    'titrage',
    'titrages',
    'titrai',
    'titraient',
    'titrais',
    'titrait',
    'titrant',
    'titras',
    'titrasse',
    'titrassent',
    'titrasses',
    'titrassiez',
    'titrassions',
    'titre',
    'titrent',
    'titrer',
    'titrera',
    'titrerai',
    'titreraient',
    'titrerais',
    'titrerait',
    'titreras',
    'titrerez',
    'titreriez',
    'titrerions',
    'titrerons',
    'titreront',
    'titres',
    'titrez',
    'titriez',
    'titrions',
    'titrons',
    'titrâmes',
    'titrât',
    'titrâtes',
    'titrèrent',
    'titré',
    'titrée',
    'titrées',
    'titrés',
    'tituba',
    'titubai',
    'titubaient',
    'titubais',
    'titubait',
    'titubant',
    'titubante',
    'titubantes',
    'titubants',
    'titubas',
    'titubasse',
    'titubassent',
    'titubasses',
    'titubassiez',
    'titubassions',
    'titubation',
    'titubations',
    'titube',
    'titubent',
    'tituber',
    'titubera',
    'tituberai',
    'tituberaient',
    'tituberais',
    'tituberait',
    'tituberas',
    'tituberez',
    'tituberiez',
    'tituberions',
    'tituberons',
    'tituberont',
    'titubes',
    'titubez',
    'titubiez',
    'titubions',
    'titubons',
    'titubâmes',
    'titubât',
    'titubâtes',
    'titubèrent',
    'titubé',
    'titulaire',
    'titulaires',
    'titularisa',
    'titularisai',
    'titularisais',
    'titularisait',
    'titularisant',
    'titularisas',
    'titularise',
    'titularisent',
    'titulariser',
    'titularisera',
    'titularises',
    'titularisez',
    'titularisiez',
    'titularisons',
    'titularisât',
    'titularisé',
    'titularisée',
    'titularisées',
    'titularisés',
    'tiède',
    'tièdement',
    'tièdes',
    'tiédasse',
    'tiédasses',
    'tiédeur',
    'tiédeurs',
    'tiédi',
    'tiédie',
    'tiédies',
    'tiédir',
    'tiédira',
    'tiédirai',
    'tiédiraient',
    'tiédirais',
    'tiédirait',
    'tiédiras',
    'tiédirent',
    'tiédirez',
    'tiédiriez',
    'tiédirions',
    'tiédirons',
    'tiédiront',
    'tiédis',
    'tiédissaient',
    'tiédissais',
    'tiédissait',
    'tiédissant',
    'tiédissante',
    'tiédissantes',
    'tiédissants',
    'tiédisse',
    'tiédissement',
    'tiédissent',
    'tiédisses',
    'tiédissez',
    'tiédissiez',
    'tiédissions',
    'tiédissons',
    'tiédit',
    'tiédîmes',
    'tiédît',
    'tiédîtes',
    'tmèse',
    'tmèses',
    'toast',
    'toasta',
    'toastai',
    'toastaient',
    'toastais',
    'toastait',
    'toastant',
    'toastas',
    'toastasse',
    'toastassent',
    'toastasses',
    'toastassiez',
    'toastassions',
    'toaste',
    'toastent',
    'toaster',
    'toastera',
    'toasterai',
    'toasteraient',
    'toasterais',
    'toasterait',
    'toasteras',
    'toasterez',
    'toasteriez',
    'toasterions',
    'toasterons',
    'toasteront',
    'toasters',
    'toastes',
    'toasteur',
    'toasteurs',
    'toastez',
    'toastiez',
    'toastions',
    'toastons',
    'toasts',
    'toastâmes',
    'toastât',
    'toastâtes',
    'toastèrent',
    'toasté',
    'toastée',
    'toastées',
    'toastés',
    'toboggan',
    'toboggans',
    'tocade',
    'tocades',
    'tocante',
    'tocantes',
    'tocard',
    'tocarde',
    'tocardes',
    'tocards',
    'toccata',
    'toccatas',
    'tocs',
    'tocsin',
    'tocsins',
    'toge',
    'toges',
    'togolaiss',
    'toila',
    'toilai',
    'toilaient',
    'toilais',
    'toilait',
    'toilant',
    'toilas',
    'toilasse',
    'toilassent',
    'toilasses',
    'toilassiez',
    'toilassions',
    'toile',
    'toilent',
    'toiler',
    'toilera',
    'toilerai',
    'toileraient',
    'toilerais',
    'toilerait',
    'toileras',
    'toilerez',
    'toilerie',
    'toileries',
    'toileriez',
    'toilerions',
    'toilerons',
    'toileront',
    'toiles',
    'toiletta',
    'toilettage',
    'toilettages',
    'toilettai',
    'toilettaient',
    'toilettais',
    'toilettait',
    'toilettant',
    'toilettas',
    'toilettasse',
    'toilettasses',
    'toilette',
    'toilettent',
    'toiletter',
    'toilettera',
    'toiletterai',
    'toiletterais',
    'toiletterait',
    'toiletteras',
    'toiletterez',
    'toiletteriez',
    'toiletterons',
    'toiletteront',
    'toilettes',
    'toilettez',
    'toilettiez',
    'toilettions',
    'toilettons',
    'toilettâmes',
    'toilettât',
    'toilettâtes',
    'toilettèrent',
    'toiletté',
    'toilettée',
    'toilettées',
    'toilettés',
    'toilez',
    'toiliez',
    'toilions',
    'toilons',
    'toilâmes',
    'toilât',
    'toilâtes',
    'toilèrent',
    'toilé',
    'toilée',
    'toilées',
    'toilés',
    'toisa',
    'toisai',
    'toisaient',
    'toisais',
    'toisait',
    'toisant',
    'toisas',
    'toisasse',
    'toisassent',
    'toisasses',
    'toisassiez',
    'toisassions',
    'toise',
    'toisent',
    'toiser',
    'toisera',
    'toiserai',
    'toiseraient',
    'toiserais',
    'toiserait',
    'toiseras',
    'toiserez',
    'toiseriez',
    'toiserions',
    'toiserons',
    'toiseront',
    'toises',
    'toisez',
    'toisiez',
    'toisions',
    'toison',
    'toisons',
    'toisâmes',
    'toisât',
    'toisâtes',
    'toisèrent',
    'toisé',
    'toisée',
    'toisées',
    'toisés',
    'toit',
    'toits',
    'toiture',
    'toitures',
    'tokai',
    'tokais',
    'tokay',
    'tokays',
    'tokharien',
    'tokharienne',
    'tokhariennes',
    'tokhariens',
    'tolet',
    'tolets',
    'tolite',
    'tolites',
    'tollé',
    'tollés',
    'tolu',
    'toluidine',
    'toluidines',
    'toluol',
    'toluols',
    'tolus',
    'toluène',
    'toluènes',
    'tolère',
    'tolèrent',
    'tolères',
    'toléra',
    'tolérable',
    'tolérables',
    'tolérai',
    'toléraient',
    'tolérais',
    'tolérait',
    'tolérance',
    'tolérances',
    'tolérant',
    'tolérante',
    'tolérantes',
    'tolérantisme',
    'tolérants',
    'toléras',
    'tolérasse',
    'tolérassent',
    'tolérasses',
    'tolérassiez',
    'tolérassions',
    'tolérer',
    'tolérera',
    'tolérerai',
    'toléreraient',
    'tolérerais',
    'tolérerait',
    'toléreras',
    'tolérerez',
    'toléreriez',
    'tolérerions',
    'tolérerons',
    'toléreront',
    'tolérez',
    'tolériez',
    'tolérions',
    'tolérons',
    'tolérâmes',
    'tolérât',
    'tolérâtes',
    'tolérèrent',
    'toléré',
    'tolérée',
    'tolérées',
    'tolérés',
    'toma',
    'tomahawk',
    'tomahawks',
    'tomai',
    'tomaient',
    'tomais',
    'tomaison',
    'tomaisons',
    'tomait',
    'tomant',
    'tomas',
    'tomasse',
    'tomassent',
    'tomasses',
    'tomassiez',
    'tomassions',
    'tomate',
    'tomates',
    'tomba',
    'tombac',
    'tombacs',
    'tombai',
    'tombaient',
    'tombais',
    'tombait',
    'tombal',
    'tombale',
    'tombales',
    'tombant',
    'tombante',
    'tombantes',
    'tombants',
    'tombas',
    'tombasse',
    'tombassent',
    'tombasses',
    'tombassiez',
    'tombassions',
    'tombaux',
    'tombe',
    'tombeau',
    'tombeaux',
    'tombelle',
    'tombelles',
    'tombent',
    'tomber',
    'tombera',
    'tomberai',
    'tomberaient',
    'tomberais',
    'tomberait',
    'tomberas',
    'tombereau',
    'tombereaux',
    'tomberez',
    'tomberiez',
    'tomberions',
    'tomberons',
    'tomberont',
    'tombes',
    'tombeur',
    'tombeurs',
    'tombez',
    'tombiez',
    'tombions',
    'tombola',
    'tombolas',
    'tombons',
    'tombâmes',
    'tombât',
    'tombâtes',
    'tombèrent',
    'tombé',
    'tombée',
    'tombées',
    'tombés',
    'tome',
    'toment',
    'tomenteuse',
    'tomenteuses',
    'tomenteux',
    'tomer',
    'tomera',
    'tomerai',
    'tomeraient',
    'tomerais',
    'tomerait',
    'tomeras',
    'tomerez',
    'tomeriez',
    'tomerions',
    'tomerons',
    'tomeront',
    'tomes',
    'tomette',
    'tomettes',
    'tomez',
    'tomiez',
    'tomions',
    'tomme',
    'tommes',
    'tommette',
    'tommettes',
    'tommies',
    'tommy',
    'tomons',
    'tomâmes',
    'tomât',
    'tomâtes',
    'tomèrent',
    'tomé',
    'tomée',
    'tomées',
    'tomés',
    'tonal',
    'tonale',
    'tonales',
    'tonalité',
    'tonalités',
    'tonals',
    'tond',
    'tondage',
    'tondages',
    'tondaient',
    'tondais',
    'tondaison',
    'tondaisons',
    'tondait',
    'tondant',
    'tonde',
    'tondent',
    'tondes',
    'tondeur',
    'tondeurs',
    'tondeuse',
    'tondeuses',
    'tondez',
    'tondiez',
    'tondions',
    'tondirent',
    'tondis',
    'tondisse',
    'tondissent',
    'tondisses',
    'tondissiez',
    'tondissions',
    'tondit',
    'tondons',
    'tondra',
    'tondrai',
    'tondraient',
    'tondrais',
    'tondrait',
    'tondras',
    'tondre',
    'tondrez',
    'tondriez',
    'tondrions',
    'tondrons',
    'tondront',
    'tonds',
    'tondu',
    'tondue',
    'tondues',
    'tondus',
    'tondîmes',
    'tondît',
    'tondîtes',
    'tonicité',
    'tonicités',
    'tonie',
    'tonies',
    'tonifia',
    'tonifiai',
    'tonifiaient',
    'tonifiais',
    'tonifiait',
    'tonifiant',
    'tonifiante',
    'tonifiantes',
    'tonifiants',
    'tonifias',
    'tonifiasse',
    'tonifiassent',
    'tonifiasses',
    'tonifiassiez',
    'tonifie',
    'tonifient',
    'tonifier',
    'tonifiera',
    'tonifierai',
    'tonifierais',
    'tonifierait',
    'tonifieras',
    'tonifierez',
    'tonifieriez',
    'tonifierions',
    'tonifierons',
    'tonifieront',
    'tonifies',
    'tonifiez',
    'tonifiiez',
    'tonifiions',
    'tonifions',
    'tonifiâmes',
    'tonifiât',
    'tonifiâtes',
    'tonifièrent',
    'tonifié',
    'tonifiée',
    'tonifiées',
    'tonifiés',
    'tonique',
    'toniques',
    'tonitrua',
    'tonitruai',
    'tonitruaient',
    'tonitruais',
    'tonitruait',
    'tonitruant',
    'tonitruante',
    'tonitruantes',
    'tonitruants',
    'tonitruas',
    'tonitruasse',
    'tonitruasses',
    'tonitrue',
    'tonitruent',
    'tonitruer',
    'tonitruera',
    'tonitruerai',
    'tonitruerais',
    'tonitruerait',
    'tonitrueras',
    'tonitruerez',
    'tonitrueriez',
    'tonitruerons',
    'tonitrueront',
    'tonitrues',
    'tonitruez',
    'tonitruiez',
    'tonitruions',
    'tonitruons',
    'tonitruâmes',
    'tonitruât',
    'tonitruâtes',
    'tonitruèrent',
    'tonitrué',
    'tonka',
    'tonkas',
    'tonna',
    'tonnage',
    'tonnages',
    'tonnaient',
    'tonnais',
    'tonnait',
    'tonnant',
    'tonnante',
    'tonnantes',
    'tonnants',
    'tonne',
    'tonneau',
    'tonneaux',
    'tonnelage',
    'tonnelages',
    'tonnelet',
    'tonnelets',
    'tonnelier',
    'tonneliers',
    'tonnelle',
    'tonnellerie',
    'tonnelleries',
    'tonnelles',
    'tonnent',
    'tonner',
    'tonnera',
    'tonnerai',
    'tonneraient',
    'tonnerais',
    'tonnerait',
    'tonneras',
    'tonnerez',
    'tonneriez',
    'tonnerions',
    'tonnerons',
    'tonneront',
    'tonnerre',
    'tonnerres',
    'tonnes',
    'tonnez',
    'tonniez',
    'tonnions',
    'tonnons',
    'tonnèrent',
    'tonné',
    'tonométrie',
    'tonométries',
    'tons',
    'tonsura',
    'tonsurai',
    'tonsuraient',
    'tonsurais',
    'tonsurait',
    'tonsurant',
    'tonsuras',
    'tonsurasse',
    'tonsurassent',
    'tonsurasses',
    'tonsurassiez',
    'tonsure',
    'tonsurent',
    'tonsurer',
    'tonsurera',
    'tonsurerai',
    'tonsurerais',
    'tonsurerait',
    'tonsureras',
    'tonsurerez',
    'tonsureriez',
    'tonsurerions',
    'tonsurerons',
    'tonsureront',
    'tonsures',
    'tonsurez',
    'tonsuriez',
    'tonsurions',
    'tonsurons',
    'tonsurâmes',
    'tonsurât',
    'tonsurâtes',
    'tonsurèrent',
    'tonsuré',
    'tonsurée',
    'tonsurées',
    'tonsurés',
    'tonte',
    'tontes',
    'tontina',
    'tontinai',
    'tontinaient',
    'tontinais',
    'tontinait',
    'tontinant',
    'tontinas',
    'tontinasse',
    'tontinassent',
    'tontinasses',
    'tontinassiez',
    'tontine',
    'tontinent',
    'tontiner',
    'tontinera',
    'tontinerai',
    'tontinerais',
    'tontinerait',
    'tontineras',
    'tontinerez',
    'tontineriez',
    'tontinerions',
    'tontinerons',
    'tontineront',
    'tontines',
    'tontinez',
    'tontiniez',
    'tontinions',
    'tontinons',
    'tontinâmes',
    'tontinât',
    'tontinâtes',
    'tontinèrent',
    'tontiné',
    'tontinée',
    'tontinées',
    'tontinés',
    'tontisse',
    'tontisses',
    'tonton',
    'tontons',
    'tonture',
    'tontures',
    'tonus',
    'topa',
    'topai',
    'topaient',
    'topais',
    'topait',
    'topant',
    'topas',
    'topasse',
    'topassent',
    'topasses',
    'topassiez',
    'topassions',
    'topaze',
    'topazes',
    'tope',
    'topent',
    'toper',
    'topera',
    'toperai',
    'toperaient',
    'toperais',
    'toperait',
    'toperas',
    'toperez',
    'toperiez',
    'toperions',
    'toperons',
    'toperont',
    'topes',
    'topette',
    'topettes',
    'topez',
    'tophus',
    'topicalisa',
    'topicalisai',
    'topicalisais',
    'topicalisait',
    'topicalisant',
    'topicalisas',
    'topicalise',
    'topicalisent',
    'topicaliser',
    'topicalisera',
    'topicalises',
    'topicalisez',
    'topicalisiez',
    'topicalisons',
    'topicalisât',
    'topicalisé',
    'topicalisée',
    'topicalisées',
    'topicalisés',
    'topiez',
    'topinambour',
    'topinambours',
    'topions',
    'topique',
    'topiques',
    'topo',
    'topographe',
    'topographes',
    'topographie',
    'topographies',
    'topologie',
    'topologies',
    'topons',
    'toponyme',
    'toponymes',
    'toponymie',
    'toponymies',
    'toponymique',
    'toponymiques',
    'topos',
    'tops',
    'topâmes',
    'topât',
    'topâtes',
    'topèrent',
    'topé',
    'toqua',
    'toquade',
    'toquades',
    'toquai',
    'toquaient',
    'toquais',
    'toquait',
    'toquant',
    'toquante',
    'toquantes',
    'toquard',
    'toquards',
    'toquas',
    'toquasse',
    'toquassent',
    'toquasses',
    'toquassiez',
    'toquassions',
    'toque',
    'toquent',
    'toquer',
    'toquera',
    'toquerai',
    'toqueraient',
    'toquerais',
    'toquerait',
    'toqueras',
    'toquerez',
    'toqueriez',
    'toquerions',
    'toquerons',
    'toqueront',
    'toques',
    'toquet',
    'toquets',
    'toquez',
    'toquiez',
    'toquions',
    'toquons',
    'toquâmes',
    'toquât',
    'toquâtes',
    'toquèrent',
    'toqué',
    'toquée',
    'toquées',
    'toqués',
    'torah',
    'torahs',
    'torcha',
    'torchai',
    'torchaient',
    'torchais',
    'torchait',
    'torchant',
    'torchas',
    'torchasse',
    'torchassent',
    'torchasses',
    'torchassiez',
    'torchassions',
    'torche',
    'torchent',
    'torcher',
    'torchera',
    'torcherai',
    'torcheraient',
    'torcherais',
    'torcherait',
    'torcheras',
    'torcherez',
    'torcheriez',
    'torcherions',
    'torcherons',
    'torcheront',
    'torches',
    'torchez',
    'torchiez',
    'torchions',
    'torchis',
    'torchon',
    'torchonna',
    'torchonnai',
    'torchonnais',
    'torchonnait',
    'torchonnant',
    'torchonnas',
    'torchonnasse',
    'torchonne',
    'torchonnent',
    'torchonner',
    'torchonnera',
    'torchonnerai',
    'torchonneras',
    'torchonnerez',
    'torchonnes',
    'torchonnez',
    'torchonniez',
    'torchonnions',
    'torchonnons',
    'torchonnâmes',
    'torchonnât',
    'torchonnâtes',
    'torchonné',
    'torchonnée',
    'torchonnées',
    'torchonnés',
    'torchons',
    'torchâmes',
    'torchât',
    'torchâtes',
    'torchère',
    'torchèrent',
    'torchères',
    'torché',
    'torchée',
    'torchées',
    'torchés',
    'torcol',
    'torcols',
    'tord',
    'tordage',
    'tordages',
    'tordaient',
    'tordais',
    'tordait',
    'tordant',
    'tordante',
    'tordantes',
    'tordants',
    'torde',
    'tordent',
    'tordes',
    'tordeur',
    'tordeurs',
    'tordeuse',
    'tordeuses',
    'tordez',
    'tordiez',
    'tordions',
    'tordirent',
    'tordis',
    'tordisse',
    'tordissent',
    'tordisses',
    'tordissiez',
    'tordissions',
    'tordit',
    'tordoir',
    'tordoirs',
    'tordons',
    'tordra',
    'tordrai',
    'tordraient',
    'tordrais',
    'tordrait',
    'tordras',
    'tordre',
    'tordrez',
    'tordriez',
    'tordrions',
    'tordrons',
    'tordront',
    'tords',
    'tordu',
    'tordue',
    'tordues',
    'tordus',
    'tordîmes',
    'tordît',
    'tordîtes',
    'torero',
    'toreros',
    'toreutique',
    'toreutiques',
    'torgnole',
    'torgnoles',
    'tories',
    'torii',
    'toril',
    'torils',
    'tormentille',
    'tormentilles',
    'tornade',
    'tornades',
    'toron',
    'toronna',
    'toronnai',
    'toronnaient',
    'toronnais',
    'toronnait',
    'toronnant',
    'toronnas',
    'toronnasse',
    'toronnassent',
    'toronnasses',
    'toronnassiez',
    'toronne',
    'toronnent',
    'toronner',
    'toronnera',
    'toronnerai',
    'toronnerais',
    'toronnerait',
    'toronneras',
    'toronnerez',
    'toronneriez',
    'toronnerions',
    'toronnerons',
    'toronneront',
    'toronnes',
    'toronneuse',
    'toronneuses',
    'toronnez',
    'toronniez',
    'toronnions',
    'toronnons',
    'toronnâmes',
    'toronnât',
    'toronnâtes',
    'toronnèrent',
    'toronné',
    'torons',
    'torpeur',
    'torpeurs',
    'torpide',
    'torpides',
    'torpilla',
    'torpillage',
    'torpillages',
    'torpillai',
    'torpillaient',
    'torpillais',
    'torpillait',
    'torpillant',
    'torpillas',
    'torpillasse',
    'torpillasses',
    'torpille',
    'torpillent',
    'torpiller',
    'torpillera',
    'torpillerai',
    'torpillerais',
    'torpillerait',
    'torpilleras',
    'torpillerez',
    'torpillerie',
    'torpilleries',
    'torpilleriez',
    'torpillerons',
    'torpilleront',
    'torpilles',
    'torpilleur',
    'torpilleurs',
    'torpillez',
    'torpilliez',
    'torpillions',
    'torpillons',
    'torpillâmes',
    'torpillât',
    'torpillâtes',
    'torpillèrent',
    'torpillé',
    'torpillée',
    'torpillées',
    'torpillés',
    'torpédo',
    'torpédos',
    'torque',
    'torques',
    'torrent',
    'torrentiel',
    'torrentielle',
    'torrentiels',
    'torrents',
    'torrentueuse',
    'torrentueux',
    'torride',
    'torrides',
    'torréfacteur',
    'torréfaction',
    'torréfia',
    'torréfiai',
    'torréfiaient',
    'torréfiais',
    'torréfiait',
    'torréfiant',
    'torréfias',
    'torréfiasse',
    'torréfiasses',
    'torréfie',
    'torréfient',
    'torréfier',
    'torréfiera',
    'torréfierai',
    'torréfierais',
    'torréfierait',
    'torréfieras',
    'torréfierez',
    'torréfieriez',
    'torréfierons',
    'torréfieront',
    'torréfies',
    'torréfiez',
    'torréfiiez',
    'torréfiions',
    'torréfions',
    'torréfiâmes',
    'torréfiât',
    'torréfiâtes',
    'torréfièrent',
    'torréfié',
    'torréfiée',
    'torréfiées',
    'torréfiés',
    'tors',
    'torsada',
    'torsadai',
    'torsadaient',
    'torsadais',
    'torsadait',
    'torsadant',
    'torsadante',
    'torsadantes',
    'torsadants',
    'torsadas',
    'torsadasse',
    'torsadassent',
    'torsadasses',
    'torsadassiez',
    'torsade',
    'torsadent',
    'torsader',
    'torsadera',
    'torsaderai',
    'torsaderais',
    'torsaderait',
    'torsaderas',
    'torsaderez',
    'torsaderiez',
    'torsaderions',
    'torsaderons',
    'torsaderont',
    'torsades',
    'torsadez',
    'torsadiez',
    'torsadions',
    'torsadons',
    'torsadâmes',
    'torsadât',
    'torsadâtes',
    'torsadèrent',
    'torsadé',
    'torsadée',
    'torsadées',
    'torsadés',
    'torse',
    'torses',
    'torseur',
    'torseurs',
    'torsion',
    'torsions',
    'tort',
    'torticolis',
    'tortil',
    'tortilla',
    'tortillage',
    'tortillages',
    'tortillai',
    'tortillaient',
    'tortillais',
    'tortillait',
    'tortillant',
    'tortillard',
    'tortillards',
    'tortillas',
    'tortillasse',
    'tortillasses',
    'tortille',
    'tortillement',
    'tortillent',
    'tortiller',
    'tortillera',
    'tortillerai',
    'tortillerais',
    'tortillerait',
    'tortilleras',
    'tortillerez',
    'tortilleriez',
    'tortillerons',
    'tortilleront',
    'tortilles',
    'tortillez',
    'tortilliez',
    'tortillions',
    'tortillon',
    'tortillons',
    'tortillâmes',
    'tortillât',
    'tortillâtes',
    'tortillèrent',
    'tortillé',
    'tortillée',
    'tortillées',
    'tortillés',
    'tortils',
    'tortionnaire',
    'tortis',
    'tortora',
    'tortorai',
    'tortoraient',
    'tortorais',
    'tortorait',
    'tortorant',
    'tortoras',
    'tortorasse',
    'tortorassent',
    'tortorasses',
    'tortorassiez',
    'tortore',
    'tortorent',
    'tortorer',
    'tortorera',
    'tortorerai',
    'tortorerais',
    'tortorerait',
    'tortoreras',
    'tortorerez',
    'tortoreriez',
    'tortorerions',
    'tortorerons',
    'tortoreront',
    'tortores',
    'tortorez',
    'tortoriez',
    'tortorions',
    'tortorons',
    'tortorâmes',
    'tortorât',
    'tortorâtes',
    'tortorèrent',
    'tortoré',
    'tortorée',
    'tortorées',
    'tortorés',
    'torts',
    'tortue',
    'tortues',
    'tortueuse',
    'tortueuses',
    'tortueux',
    'tortura',
    'torturai',
    'torturaient',
    'torturais',
    'torturait',
    'torturant',
    'torturante',
    'torturantes',
    'torturants',
    'torturas',
    'torturasse',
    'torturassent',
    'torturasses',
    'torturassiez',
    'torture',
    'torturent',
    'torturer',
    'torturera',
    'torturerai',
    'torturerais',
    'torturerait',
    'tortureras',
    'torturerez',
    'tortureriez',
    'torturerions',
    'torturerons',
    'tortureront',
    'tortures',
    'torturez',
    'torturiez',
    'torturions',
    'torturons',
    'torturâmes',
    'torturât',
    'torturâtes',
    'torturèrent',
    'torturé',
    'torturée',
    'torturées',
    'torturés',
    'torve',
    'torves',
    'tory',
    'torysme',
    'torysmes',
    'toréa',
    'toréador',
    'toréadors',
    'toréai',
    'toréaient',
    'toréais',
    'toréait',
    'toréant',
    'toréas',
    'toréasse',
    'toréassent',
    'toréasses',
    'toréassiez',
    'toréassions',
    'torée',
    'toréent',
    'toréer',
    'toréera',
    'toréerai',
    'toréeraient',
    'toréerais',
    'toréerait',
    'toréeras',
    'toréerez',
    'toréeriez',
    'toréerions',
    'toréerons',
    'toréeront',
    'torées',
    'toréez',
    'toréiez',
    'toréions',
    'toréons',
    'toréâmes',
    'toréât',
    'toréâtes',
    'toréèrent',
    'toréé',
    'toscan',
    'toscane',
    'toscanes',
    'toscans',
    'tosser',
    'total',
    'totale',
    'totalement',
    'totales',
    'totalisa',
    'totalisai',
    'totalisaient',
    'totalisais',
    'totalisait',
    'totalisant',
    'totalisas',
    'totalisasse',
    'totalisasses',
    'totalisateur',
    'totalisation',
    'totalise',
    'totalisent',
    'totaliser',
    'totalisera',
    'totaliserai',
    'totaliserais',
    'totaliserait',
    'totaliseras',
    'totaliserez',
    'totaliseriez',
    'totaliserons',
    'totaliseront',
    'totalises',
    'totaliseur',
    'totaliseurs',
    'totalisez',
    'totalisiez',
    'totalisions',
    'totalisons',
    'totalisâmes',
    'totalisât',
    'totalisâtes',
    'totalisèrent',
    'totalisé',
    'totalisée',
    'totalisées',
    'totalisés',
    'totalitaire',
    'totalitaires',
    'totalité',
    'totalités',
    'totaux',
    'totem',
    'totems',
    'toto',
    'toton',
    'totons',
    'totos',
    'totémique',
    'totémiques',
    'totémisme',
    'totémismes',
    'toua',
    'touage',
    'touages',
    'touai',
    'touaient',
    'touaille',
    'touailles',
    'touais',
    'touait',
    'touant',
    'touareg',
    'touaregs',
    'touarègue',
    'touarègues',
    'touas',
    'touasse',
    'touassent',
    'touasses',
    'touassiez',
    'touassions',
    'toubib',
    'toubibs',
    'toucan',
    'toucans',
    'toucha',
    'touchai',
    'touchaient',
    'touchais',
    'touchait',
    'touchant',
    'touchante',
    'touchantes',
    'touchants',
    'touchas',
    'touchasse',
    'touchassent',
    'touchasses',
    'touchassiez',
    'touchassions',
    'touchau',
    'touchaux',
    'touche',
    'touchent',
    'toucher',
    'touchera',
    'toucherai',
    'toucheraient',
    'toucherais',
    'toucherait',
    'toucheras',
    'toucherez',
    'toucheriez',
    'toucherions',
    'toucherons',
    'toucheront',
    'touches',
    'touchette',
    'touchettes',
    'toucheur',
    'toucheurs',
    'touchez',
    'touchiez',
    'touchions',
    'touchons',
    'touchâmes',
    'touchât',
    'touchâtes',
    'touchèrent',
    'touché',
    'touchée',
    'touchées',
    'touchés',
    'toue',
    'touent',
    'touer',
    'touera',
    'touerai',
    'toueraient',
    'touerais',
    'touerait',
    'toueras',
    'touerez',
    'toueriez',
    'touerions',
    'touerons',
    'toueront',
    'toues',
    'toueur',
    'toueurs',
    'touez',
    'touffe',
    'touffes',
    'touffeur',
    'touffeurs',
    'touffu',
    'touffue',
    'touffues',
    'touffus',
    'touiez',
    'touilla',
    'touillage',
    'touillages',
    'touillai',
    'touillaient',
    'touillais',
    'touillait',
    'touillant',
    'touillas',
    'touillasse',
    'touillassent',
    'touillasses',
    'touillassiez',
    'touille',
    'touillent',
    'touiller',
    'touillera',
    'touillerai',
    'touillerais',
    'touillerait',
    'touilleras',
    'touillerez',
    'touilleriez',
    'touillerions',
    'touillerons',
    'touilleront',
    'touilles',
    'touillez',
    'touilliez',
    'touillions',
    'touillons',
    'touillâmes',
    'touillât',
    'touillâtes',
    'touillèrent',
    'touillé',
    'touillée',
    'touillées',
    'touillés',
    'touions',
    'toujours',
    'touloupe',
    'touloupes',
    'toundra',
    'toundras',
    'toungouze',
    'touons',
    'toupet',
    'toupets',
    'toupie',
    'toupies',
    'toupilla',
    'toupillai',
    'toupillaient',
    'toupillais',
    'toupillait',
    'toupillant',
    'toupillas',
    'toupillasse',
    'toupillasses',
    'toupille',
    'toupillent',
    'toupiller',
    'toupillera',
    'toupillerai',
    'toupillerais',
    'toupillerait',
    'toupilleras',
    'toupillerez',
    'toupilleriez',
    'toupillerons',
    'toupilleront',
    'toupilles',
    'toupilleur',
    'toupilleurs',
    'toupilleuse',
    'toupilleuses',
    'toupillez',
    'toupilliez',
    'toupillions',
    'toupillon',
    'toupillons',
    'toupillâmes',
    'toupillât',
    'toupillâtes',
    'toupillèrent',
    'toupillé',
    'toupillée',
    'toupillées',
    'toupillés',
    'toupiner',
    'touque',
    'touques',
    'tour',
    'touraillage',
    'touraillages',
    'touraille',
    'tourailles',
    'touranien',
    'touranienne',
    'touraniennes',
    'touraniens',
    'tourba',
    'tourbai',
    'tourbaient',
    'tourbais',
    'tourbait',
    'tourbant',
    'tourbas',
    'tourbasse',
    'tourbassent',
    'tourbasses',
    'tourbassiez',
    'tourbassions',
    'tourbe',
    'tourbent',
    'tourber',
    'tourbera',
    'tourberai',
    'tourberaient',
    'tourberais',
    'tourberait',
    'tourberas',
    'tourberez',
    'tourberiez',
    'tourberions',
    'tourberons',
    'tourberont',
    'tourbes',
    'tourbeuse',
    'tourbeuses',
    'tourbeux',
    'tourbez',
    'tourbier',
    'tourbiers',
    'tourbiez',
    'tourbillon',
    'tourbillonna',
    'tourbillonne',
    'tourbillonné',
    'tourbillons',
    'tourbions',
    'tourbière',
    'tourbières',
    'tourbons',
    'tourbâmes',
    'tourbât',
    'tourbâtes',
    'tourbèrent',
    'tourbé',
    'tourd',
    'tourdille',
    'tourdilles',
    'tourds',
    'tourelle',
    'tourelles',
    'touret',
    'tourets',
    'tourie',
    'tourier',
    'touriers',
    'touries',
    'tourillon',
    'tourillonna',
    'tourillonnai',
    'tourillonnas',
    'tourillonne',
    'tourillonner',
    'tourillonnes',
    'tourillonnez',
    'tourillonnât',
    'tourillonné',
    'tourillons',
    'tourisme',
    'tourismes',
    'touriste',
    'touristes',
    'touristique',
    'touristiques',
    'tourière',
    'tourières',
    'tourmaline',
    'tourmalines',
    'tourment',
    'tourmenta',
    'tourmentai',
    'tourmentais',
    'tourmentait',
    'tourmentant',
    'tourmentas',
    'tourmentasse',
    'tourmente',
    'tourmentent',
    'tourmenter',
    'tourmentera',
    'tourmenterai',
    'tourmenteras',
    'tourmenterez',
    'tourmentes',
    'tourmenteur',
    'tourmenteurs',
    'tourmenteuse',
    'tourmentez',
    'tourmentiez',
    'tourmentin',
    'tourmentins',
    'tourmentions',
    'tourmentons',
    'tourments',
    'tourmentâmes',
    'tourmentât',
    'tourmentâtes',
    'tourmenté',
    'tourmentée',
    'tourmentées',
    'tourmentés',
    'tourna',
    'tournage',
    'tournages',
    'tournai',
    'tournaient',
    'tournailla',
    'tournaillai',
    'tournaillais',
    'tournaillait',
    'tournaillant',
    'tournaillas',
    'tournaille',
    'tournaillent',
    'tournailler',
    'tournaillera',
    'tournailles',
    'tournaillez',
    'tournailliez',
    'tournaillons',
    'tournaillât',
    'tournaillé',
    'tournais',
    'tournait',
    'tournant',
    'tournante',
    'tournantes',
    'tournants',
    'tournas',
    'tournassa',
    'tournassai',
    'tournassais',
    'tournassait',
    'tournassant',
    'tournassas',
    'tournassasse',
    'tournasse',
    'tournassent',
    'tournasser',
    'tournassera',
    'tournasserai',
    'tournasseras',
    'tournasserez',
    'tournasses',
    'tournassez',
    'tournassiez',
    'tournassions',
    'tournassons',
    'tournassâmes',
    'tournassât',
    'tournassâtes',
    'tournassé',
    'tournassée',
    'tournassées',
    'tournassés',
    'tourne',
    'tourneboula',
    'tourneboulai',
    'tourneboulas',
    'tourneboule',
    'tournebouler',
    'tourneboules',
    'tourneboulez',
    'tourneboulât',
    'tourneboulé',
    'tourneboulée',
    'tourneboulés',
    'tournebride',
    'tournebrides',
    'tournebroche',
    'tournedos',
    'tournemain',
    'tournent',
    'tourner',
    'tournera',
    'tournerai',
    'tourneraient',
    'tournerais',
    'tournerait',
    'tourneras',
    'tournerez',
    'tourneriez',
    'tournerions',
    'tournerons',
    'tourneront',
    'tournes',
    'tournesol',
    'tournesols',
    'tournette',
    'tournettes',
    'tourneur',
    'tourneurs',
    'tourneuse',
    'tourneuses',
    'tournevis',
    'tournez',
    'tournicota',
    'tournicotai',
    'tournicotais',
    'tournicotait',
    'tournicotant',
    'tournicotas',
    'tournicote',
    'tournicotent',
    'tournicoter',
    'tournicotera',
    'tournicotes',
    'tournicotez',
    'tournicotiez',
    'tournicotons',
    'tournicotât',
    'tournicoté',
    'tournicotée',
    'tournicotées',
    'tournicotés',
    'tourniez',
    'tournilla',
    'tournillai',
    'tournillais',
    'tournillait',
    'tournillant',
    'tournillas',
    'tournillasse',
    'tournille',
    'tournillent',
    'tourniller',
    'tournillera',
    'tournillerai',
    'tournilleras',
    'tournillerez',
    'tournilles',
    'tournillez',
    'tournilliez',
    'tournillions',
    'tournillons',
    'tournillâmes',
    'tournillât',
    'tournillâtes',
    'tournillé',
    'tourniole',
    'tournioles',
    'tournions',
    'tourniqua',
    'tourniquai',
    'tourniquais',
    'tourniquait',
    'tourniquant',
    'tourniquas',
    'tourniquasse',
    'tournique',
    'tourniquent',
    'tourniquer',
    'tourniquera',
    'tourniquerai',
    'tourniqueras',
    'tourniquerez',
    'tourniques',
    'tourniquet',
    'tourniquets',
    'tourniquez',
    'tourniquiez',
    'tourniquions',
    'tourniquons',
    'tourniquâmes',
    'tourniquât',
    'tourniquâtes',
    'tourniqué',
    'tournis',
    'tournisse',
    'tournisses',
    'tournoi',
    'tournoie',
    'tournoiement',
    'tournoient',
    'tournoiera',
    'tournoierai',
    'tournoierais',
    'tournoierait',
    'tournoieras',
    'tournoierez',
    'tournoieriez',
    'tournoierons',
    'tournoieront',
    'tournoies',
    'tournois',
    'tournons',
    'tournoya',
    'tournoyai',
    'tournoyaient',
    'tournoyais',
    'tournoyait',
    'tournoyant',
    'tournoyas',
    'tournoyasse',
    'tournoyasses',
    'tournoyer',
    'tournoyez',
    'tournoyiez',
    'tournoyions',
    'tournoyons',
    'tournoyâmes',
    'tournoyât',
    'tournoyâtes',
    'tournoyèrent',
    'tournoyé',
    'tournure',
    'tournures',
    'tournâmes',
    'tournât',
    'tournâtes',
    'tournèrent',
    'tourné',
    'tournée',
    'tournées',
    'tournés',
    'touron',
    'tourons',
    'tours',
    'tourte',
    'tourteau',
    'tourteaux',
    'tourtereau',
    'tourtereaux',
    'tourterelle',
    'tourterelles',
    'tourtes',
    'tourtière',
    'tourtières',
    'tous',
    'touselle',
    'touselles',
    'toussa',
    'toussai',
    'toussaient',
    'toussailla',
    'toussaillai',
    'toussaillais',
    'toussaillait',
    'toussaillant',
    'toussaillas',
    'toussaille',
    'toussaillent',
    'toussailler',
    'toussaillera',
    'toussailles',
    'toussaillez',
    'toussailliez',
    'toussaillons',
    'toussaillât',
    'toussaillé',
    'toussais',
    'toussait',
    'toussant',
    'toussas',
    'toussasse',
    'toussassent',
    'toussasses',
    'toussassiez',
    'toussassions',
    'tousse',
    'toussent',
    'tousser',
    'toussera',
    'tousserai',
    'tousseraient',
    'tousserais',
    'tousserait',
    'tousseras',
    'tousserez',
    'tousserie',
    'tousseries',
    'tousseriez',
    'tousserions',
    'tousserons',
    'tousseront',
    'tousses',
    'tousseur',
    'tousseurs',
    'tousseuse',
    'tousseuses',
    'toussez',
    'toussiez',
    'toussions',
    'toussons',
    'toussota',
    'toussotai',
    'toussotaient',
    'toussotais',
    'toussotait',
    'toussotant',
    'toussotas',
    'toussotasse',
    'toussotasses',
    'toussote',
    'toussotement',
    'toussotent',
    'toussoter',
    'toussotera',
    'toussoterai',
    'toussoterais',
    'toussoterait',
    'toussoteras',
    'toussoterez',
    'toussoteriez',
    'toussoterons',
    'toussoteront',
    'toussotes',
    'toussotez',
    'toussotiez',
    'toussotions',
    'toussotons',
    'toussotâmes',
    'toussotât',
    'toussotâtes',
    'toussotèrent',
    'toussoté',
    'toussâmes',
    'toussât',
    'toussâtes',
    'toussèrent',
    'toussé',
    'tout',
    'toute',
    'toutefois',
    'toutes',
    'toutim',
    'toutime',
    'toutimes',
    'toutims',
    'toutou',
    'toutous',
    'touts',
    'toux',
    'touâmes',
    'touât',
    'touâtes',
    'touèrent',
    'toué',
    'touée',
    'touées',
    'toués',
    'toxicité',
    'toxicités',
    'toxicodermie',
    'toxicologie',
    'toxicologies',
    'toxicologue',
    'toxicologues',
    'toxicomane',
    'toxicomanes',
    'toxicomanie',
    'toxicomanies',
    'toxicose',
    'toxicoses',
    'toxine',
    'toxines',
    'toxique',
    'toxiques',
    'toxoplasme',
    'toxoplasmes',
    'toxoplasmose',
    'toxémie',
    'toxémies',
    'trabe',
    'trabes',
    'traboula',
    'traboulai',
    'traboulaient',
    'traboulais',
    'traboulait',
    'traboulant',
    'traboulas',
    'traboulasse',
    'traboulasses',
    'traboule',
    'traboulent',
    'trabouler',
    'traboulera',
    'traboulerai',
    'traboulerais',
    'traboulerait',
    'trabouleras',
    'traboulerez',
    'trabouleriez',
    'traboulerons',
    'trabouleront',
    'traboules',
    'traboulez',
    'trabouliez',
    'traboulions',
    'traboulons',
    'traboulâmes',
    'traboulât',
    'traboulâtes',
    'traboulèrent',
    'traboulé',
    'trabée',
    'trabées',
    'trac',
    'tracana',
    'tracanai',
    'tracanaient',
    'tracanais',
    'tracanait',
    'tracanant',
    'tracanas',
    'tracanasse',
    'tracanassent',
    'tracanasses',
    'tracanassiez',
    'tracane',
    'tracanent',
    'tracaner',
    'tracanera',
    'tracanerai',
    'tracanerais',
    'tracanerait',
    'tracaneras',
    'tracanerez',
    'tracaneriez',
    'tracanerions',
    'tracanerons',
    'tracaneront',
    'tracanes',
    'tracanez',
    'tracaniez',
    'tracanions',
    'tracanons',
    'tracanâmes',
    'tracanât',
    'tracanâtes',
    'tracanèrent',
    'tracané',
    'tracanée',
    'tracanées',
    'tracanés',
    'tracas',
    'tracassa',
    'tracassai',
    'tracassaient',
    'tracassais',
    'tracassait',
    'tracassant',
    'tracassas',
    'tracassasse',
    'tracassasses',
    'tracasse',
    'tracassent',
    'tracasser',
    'tracassera',
    'tracasserai',
    'tracasserais',
    'tracasserait',
    'tracasseras',
    'tracasserez',
    'tracasserie',
    'tracasseries',
    'tracasseriez',
    'tracasserons',
    'tracasseront',
    'tracasses',
    'tracassez',
    'tracassier',
    'tracassiers',
    'tracassiez',
    'tracassin',
    'tracassins',
    'tracassions',
    'tracassière',
    'tracassières',
    'tracassons',
    'tracassâmes',
    'tracassât',
    'tracassâtes',
    'tracassèrent',
    'tracassé',
    'tracassée',
    'tracassées',
    'tracassés',
    'trace',
    'tracement',
    'tracements',
    'tracent',
    'tracer',
    'tracera',
    'tracerai',
    'traceraient',
    'tracerais',
    'tracerait',
    'traceras',
    'traceret',
    'tracerets',
    'tracerez',
    'traceriez',
    'tracerions',
    'tracerons',
    'traceront',
    'traces',
    'traceur',
    'traceurs',
    'traceuse',
    'traceuses',
    'tracez',
    'trachome',
    'trachomes',
    'trachyte',
    'trachytes',
    'trachéal',
    'trachéale',
    'trachéales',
    'trachéaux',
    'trachée',
    'trachéen',
    'trachéenne',
    'trachéennes',
    'trachéens',
    'trachées',
    'trachéide',
    'trachéides',
    'trachéite',
    'trachéites',
    'trachéotomie',
    'traciez',
    'tracions',
    'tracs',
    'tract',
    'tracta',
    'tractable',
    'tractables',
    'tractai',
    'tractaient',
    'tractais',
    'tractait',
    'tractant',
    'tractas',
    'tractasse',
    'tractassent',
    'tractasses',
    'tractassiez',
    'tractassions',
    'tractation',
    'tractations',
    'tracte',
    'tractent',
    'tracter',
    'tractera',
    'tracterai',
    'tracteraient',
    'tracterais',
    'tracterait',
    'tracteras',
    'tracterez',
    'tracteriez',
    'tracterions',
    'tracterons',
    'tracteront',
    'tractes',
    'tracteur',
    'tracteurs',
    'tractez',
    'tractiez',
    'tractif',
    'tractifs',
    'traction',
    'tractions',
    'tractive',
    'tractives',
    'tractons',
    'tractoriste',
    'tractoristes',
    'tractrice',
    'tractrices',
    'tracts',
    'tractus',
    'tractâmes',
    'tractât',
    'tractâtes',
    'tractèrent',
    'tracté',
    'tractée',
    'tractées',
    'tractés',
    'tracèrent',
    'tracé',
    'tracée',
    'tracées',
    'tracés',
    'tradescantia',
    'traditeur',
    'traditeurs',
    'tradition',
    'traditionnel',
    'traditions',
    'traducteur',
    'traducteurs',
    'traduction',
    'traductions',
    'traductrice',
    'traductrices',
    'traduira',
    'traduirai',
    'traduiraient',
    'traduirais',
    'traduirait',
    'traduiras',
    'traduire',
    'traduirez',
    'traduiriez',
    'traduirions',
    'traduirons',
    'traduiront',
    'traduis',
    'traduisaient',
    'traduisais',
    'traduisait',
    'traduisant',
    'traduise',
    'traduisent',
    'traduises',
    'traduisez',
    'traduisible',
    'traduisibles',
    'traduisiez',
    'traduisions',
    'traduisirent',
    'traduisis',
    'traduisisse',
    'traduisisses',
    'traduisit',
    'traduisons',
    'traduisîmes',
    'traduisît',
    'traduisîtes',
    'traduit',
    'traduite',
    'traduites',
    'traduits',
    'trafic',
    'traficota',
    'traficotai',
    'traficotais',
    'traficotait',
    'traficotant',
    'traficotas',
    'traficotasse',
    'traficote',
    'traficotent',
    'traficoter',
    'traficotera',
    'traficoterai',
    'traficoteras',
    'traficoterez',
    'traficotes',
    'traficotez',
    'traficotiez',
    'traficotions',
    'traficotons',
    'traficotâmes',
    'traficotât',
    'traficotâtes',
    'traficoté',
    'traficotée',
    'traficotées',
    'traficotés',
    'trafics',
    'trafiqua',
    'trafiquai',
    'trafiquaient',
    'trafiquais',
    'trafiquait',
    'trafiquant',
    'trafiquante',
    'trafiquantes',
    'trafiquants',
    'trafiquas',
    'trafique',
    'trafiquent',
    'trafiquer',
    'trafiquera',
    'trafiquerai',
    'trafiquerais',
    'trafiquerait',
    'trafiqueras',
    'trafiquerez',
    'trafiqueriez',
    'trafiquerons',
    'trafiqueront',
    'trafiques',
    'trafiqueur',
    'trafiqueurs',
    'trafiqueuse',
    'trafiqueuses',
    'trafiquez',
    'trafiquiez',
    'trafiquions',
    'trafiquons',
    'trafiquont',
    'trafiquèrent',
    'trafiqué',
    'trafiquée',
    'trafiquées',
    'trafiqués',
    'tragique',
    'tragiquement',
    'tragiques',
    'tragédie',
    'tragédien',
    'tragédienne',
    'tragédiennes',
    'tragédiens',
    'tragédies',
    'trahi',
    'trahie',
    'trahies',
    'trahir',
    'trahira',
    'trahirai',
    'trahiraient',
    'trahirais',
    'trahirait',
    'trahiras',
    'trahirent',
    'trahirez',
    'trahiriez',
    'trahirions',
    'trahirons',
    'trahiront',
    'trahis',
    'trahison',
    'trahisons',
    'trahissaient',
    'trahissais',
    'trahissait',
    'trahissant',
    'trahisse',
    'trahissent',
    'trahisses',
    'trahissez',
    'trahissiez',
    'trahissions',
    'trahissons',
    'trahit',
    'trahîmes',
    'trahît',
    'trahîtes',
    'traie',
    'traient',
    'traies',
    'traille',
    'trailles',
    'train',
    'trainglot',
    'trainglots',
    'training',
    'trainings',
    'trains',
    'traintrain',
    'traira',
    'trairai',
    'trairaient',
    'trairais',
    'trairait',
    'trairas',
    'traire',
    'trairez',
    'trairiez',
    'trairions',
    'trairons',
    'trairont',
    'trais',
    'trait',
    'traita',
    'traitable',
    'traitables',
    'traitai',
    'traitaient',
    'traitais',
    'traitait',
    'traitant',
    'traitante',
    'traitantes',
    'traitants',
    'traitas',
    'traitasse',
    'traitassent',
    'traitasses',
    'traitassiez',
    'traitassions',
    'traite',
    'traitement',
    'traitements',
    'traitent',
    'traiter',
    'traitera',
    'traiterai',
    'traiteraient',
    'traiterais',
    'traiterait',
    'traiteras',
    'traiterez',
    'traiteriez',
    'traiterions',
    'traiterons',
    'traiteront',
    'traites',
    'traiteur',
    'traiteurs',
    'traitez',
    'traitiez',
    'traitions',
    'traitons',
    'traits',
    'traitâmes',
    'traitât',
    'traitâtes',
    'traitèrent',
    'traité',
    'traitée',
    'traitées',
    'traités',
    'trajectoire',
    'trajectoires',
    'trajet',
    'trajets',
    'tralala',
    'tralalas',
    'tram',
    'trama',
    'tramai',
    'tramaient',
    'tramail',
    'tramails',
    'tramais',
    'tramait',
    'tramant',
    'tramas',
    'tramasse',
    'tramassent',
    'tramasses',
    'tramassiez',
    'tramassions',
    'trame',
    'trament',
    'tramer',
    'tramera',
    'tramerai',
    'trameraient',
    'tramerais',
    'tramerait',
    'trameras',
    'tramerez',
    'trameriez',
    'tramerions',
    'tramerons',
    'trameront',
    'trames',
    'tramez',
    'tramiez',
    'traminot',
    'traminots',
    'tramions',
    'tramons',
    'tramontane',
    'tramontanes',
    'trampoline',
    'trampolines',
    'trams',
    'tramway',
    'tramways',
    'tramâmes',
    'tramât',
    'tramâtes',
    'tramèrent',
    'tramé',
    'tramée',
    'tramées',
    'tramés',
    'trancha',
    'tranchage',
    'tranchages',
    'tranchai',
    'tranchaient',
    'tranchais',
    'tranchait',
    'tranchant',
    'tranchante',
    'tranchantes',
    'tranchants',
    'tranchas',
    'tranchasse',
    'tranchassent',
    'tranchasses',
    'tranchassiez',
    'tranche',
    'tranchefila',
    'tranchefilai',
    'tranchefilas',
    'tranchefile',
    'tranchefiler',
    'tranchefiles',
    'tranchefilez',
    'tranchefilât',
    'tranchefilé',
    'tranchefilée',
    'tranchefilés',
    'tranchent',
    'trancher',
    'tranchera',
    'trancherai',
    'trancherais',
    'trancherait',
    'trancheras',
    'trancherez',
    'trancheriez',
    'trancherions',
    'trancherons',
    'trancheront',
    'tranches',
    'tranchet',
    'tranchets',
    'trancheur',
    'trancheurs',
    'trancheuse',
    'trancheuses',
    'tranchez',
    'tranchiez',
    'tranchions',
    'tranchoir',
    'tranchoirs',
    'tranchons',
    'tranchâmes',
    'tranchât',
    'tranchâtes',
    'tranchèrent',
    'tranché',
    'tranchée',
    'tranchées',
    'tranchés',
    'tranquille',
    'tranquilles',
    'tranquillisa',
    'tranquillise',
    'tranquillisé',
    'tranquillité',
    'transaction',
    'transactions',
    'transalpin',
    'transalpine',
    'transalpines',
    'transalpins',
    'transandin',
    'transandine',
    'transandines',
    'transandins',
    'transat',
    'transats',
    'transbahuta',
    'transbahutai',
    'transbahutas',
    'transbahute',
    'transbahuter',
    'transbahutes',
    'transbahutez',
    'transbahutât',
    'transbahuté',
    'transbahutée',
    'transbahutés',
    'transborda',
    'transbordai',
    'transbordais',
    'transbordait',
    'transbordant',
    'transbordas',
    'transborde',
    'transbordent',
    'transborder',
    'transbordera',
    'transbordes',
    'transbordeur',
    'transbordez',
    'transbordiez',
    'transbordons',
    'transbordât',
    'transbordé',
    'transbordée',
    'transbordées',
    'transbordés',
    'transcaspien',
    'transcenda',
    'transcendai',
    'transcendais',
    'transcendait',
    'transcendant',
    'transcendas',
    'transcende',
    'transcendent',
    'transcender',
    'transcendera',
    'transcendes',
    'transcendez',
    'transcendiez',
    'transcendons',
    'transcendât',
    'transcendé',
    'transcendée',
    'transcendées',
    'transcendés',
    'transcoda',
    'transcodage',
    'transcodages',
    'transcodai',
    'transcodais',
    'transcodait',
    'transcodant',
    'transcodas',
    'transcodasse',
    'transcode',
    'transcodent',
    'transcoder',
    'transcodera',
    'transcoderai',
    'transcoderas',
    'transcoderez',
    'transcodes',
    'transcodeur',
    'transcodeurs',
    'transcodez',
    'transcodiez',
    'transcodions',
    'transcodons',
    'transcodâmes',
    'transcodât',
    'transcodâtes',
    'transcodé',
    'transcodée',
    'transcodées',
    'transcodés',
    'transcrira',
    'transcrirai',
    'transcrirais',
    'transcrirait',
    'transcriras',
    'transcrire',
    'transcrirez',
    'transcririez',
    'transcrirons',
    'transcriront',
    'transcris',
    'transcrit',
    'transcrite',
    'transcrites',
    'transcrits',
    'transcrivais',
    'transcrivait',
    'transcrivant',
    'transcrive',
    'transcrivent',
    'transcrives',
    'transcrivez',
    'transcriviez',
    'transcrivis',
    'transcrivit',
    'transcrivons',
    'transcrivît',
    'transducteur',
    'transduction',
    'transe',
    'transept',
    'transepts',
    'transes',
    'transfert',
    'transferts',
    'transfigura',
    'transfigurai',
    'transfiguras',
    'transfigure',
    'transfigurer',
    'transfigures',
    'transfigurez',
    'transfigurât',
    'transfiguré',
    'transfigurée',
    'transfigurés',
    'transfila',
    'transfilai',
    'transfilais',
    'transfilait',
    'transfilant',
    'transfilas',
    'transfilasse',
    'transfile',
    'transfilent',
    'transfiler',
    'transfilera',
    'transfilerai',
    'transfileras',
    'transfilerez',
    'transfiles',
    'transfilez',
    'transfiliez',
    'transfilions',
    'transfilons',
    'transfilâmes',
    'transfilât',
    'transfilâtes',
    'transfilé',
    'transfilée',
    'transfilées',
    'transfilés',
    'transfini',
    'transfinie',
    'transfinies',
    'transfinis',
    'transfixion',
    'transfixions',
    'transfo',
    'transforma',
    'transformai',
    'transformais',
    'transformait',
    'transformant',
    'transformas',
    'transforme',
    'transforment',
    'transformer',
    'transformera',
    'transformes',
    'transformez',
    'transformiez',
    'transformons',
    'transformât',
    'transformé',
    'transformée',
    'transformées',
    'transformés',
    'transfos',
    'transfuge',
    'transfuges',
    'transfusa',
    'transfusai',
    'transfusais',
    'transfusait',
    'transfusant',
    'transfusas',
    'transfusasse',
    'transfuse',
    'transfusent',
    'transfuser',
    'transfusera',
    'transfuserai',
    'transfuseras',
    'transfuserez',
    'transfuses',
    'transfusez',
    'transfusiez',
    'transfusion',
    'transfusions',
    'transfusons',
    'transfusâmes',
    'transfusât',
    'transfusâtes',
    'transfusé',
    'transfusée',
    'transfusées',
    'transfusés',
    'transfère',
    'transfèrent',
    'transfères',
    'transféra',
    'transférable',
    'transférai',
    'transférais',
    'transférait',
    'transférant',
    'transféras',
    'transférase',
    'transférasse',
    'transférent',
    'transférer',
    'transférera',
    'transférerai',
    'transféreras',
    'transférerez',
    'transférez',
    'transfériez',
    'transférions',
    'transférons',
    'transférâmes',
    'transférât',
    'transférâtes',
    'transféré',
    'transférée',
    'transférées',
    'transférés',
    'transgressa',
    'transgressai',
    'transgressas',
    'transgresse',
    'transgresser',
    'transgresses',
    'transgressez',
    'transgressât',
    'transgressé',
    'transgressée',
    'transgressés',
    'transhuma',
    'transhumai',
    'transhumais',
    'transhumait',
    'transhumance',
    'transhumant',
    'transhumante',
    'transhumants',
    'transhumas',
    'transhumasse',
    'transhume',
    'transhument',
    'transhumer',
    'transhumera',
    'transhumerai',
    'transhumeras',
    'transhumerez',
    'transhumes',
    'transhumez',
    'transhumiez',
    'transhumions',
    'transhumons',
    'transhumâmes',
    'transhumât',
    'transhumâtes',
    'transhumé',
    'transhumée',
    'transhumées',
    'transhumés',
    'transi',
    'transie',
    'transies',
    'transige',
    'transigea',
    'transigeai',
    'transigeais',
    'transigeait',
    'transigeant',
    'transigeante',
    'transigeants',
    'transigeas',
    'transigeasse',
    'transigent',
    'transigeons',
    'transiger',
    'transigera',
    'transigerai',
    'transigerais',
    'transigerait',
    'transigeras',
    'transigerez',
    'transigeriez',
    'transigerons',
    'transigeront',
    'transiges',
    'transigez',
    'transigeâmes',
    'transigeât',
    'transigeâtes',
    'transigiez',
    'transigions',
    'transigèrent',
    'transigé',
    'transir',
    'transira',
    'transirai',
    'transiraient',
    'transirais',
    'transirait',
    'transiras',
    'transirent',
    'transirez',
    'transiriez',
    'transirions',
    'transirons',
    'transiront',
    'transis',
    'transissais',
    'transissait',
    'transissant',
    'transisse',
    'transissent',
    'transisses',
    'transissez',
    'transissiez',
    'transissions',
    'transissons',
    'transistor',
    'transistors',
    'transit',
    'transita',
    'transitai',
    'transitaient',
    'transitaire',
    'transitaires',
    'transitais',
    'transitait',
    'transitant',
    'transitas',
    'transitasse',
    'transitasses',
    'transite',
    'transitent',
    'transiter',
    'transitera',
    'transiterai',
    'transiterais',
    'transiterait',
    'transiteras',
    'transiterez',
    'transiteriez',
    'transiterons',
    'transiteront',
    'transites',
    'transitez',
    'transitiez',
    'transitif',
    'transitifs',
    'transition',
    'transitions',
    'transitive',
    'transitives',
    'transitivité',
    'transitoire',
    'transitoires',
    'transitons',
    'transits',
    'transitâmes',
    'transitât',
    'transitâtes',
    'transitèrent',
    'transité',
    'transitée',
    'transitées',
    'transités',
    'translata',
    'translatai',
    'translatais',
    'translatait',
    'translatant',
    'translatas',
    'translatasse',
    'translate',
    'translatent',
    'translater',
    'translatera',
    'translaterai',
    'translateras',
    'translaterez',
    'translates',
    'translatez',
    'translatiez',
    'translatif',
    'translatifs',
    'translation',
    'translations',
    'translative',
    'translatives',
    'translatons',
    'translatâmes',
    'translatât',
    'translatâtes',
    'translaté',
    'translatée',
    'translatées',
    'translatés',
    'translittère',
    'translittéra',
    'translittéré',
    'translitère',
    'translitères',
    'translitéra',
    'translitérai',
    'translitéras',
    'translitérer',
    'translitérez',
    'translitérât',
    'translitéré',
    'translitérée',
    'translitérés',
    'translucide',
    'translucides',
    'transmet',
    'transmets',
    'transmettais',
    'transmettait',
    'transmettant',
    'transmette',
    'transmettent',
    'transmettes',
    'transmetteur',
    'transmettez',
    'transmettiez',
    'transmettons',
    'transmettra',
    'transmettrai',
    'transmettras',
    'transmettre',
    'transmettrez',
    'transmigra',
    'transmigrai',
    'transmigrais',
    'transmigrait',
    'transmigrant',
    'transmigras',
    'transmigre',
    'transmigrent',
    'transmigrer',
    'transmigrera',
    'transmigres',
    'transmigrez',
    'transmigriez',
    'transmigrons',
    'transmigrât',
    'transmigré',
    'transmirent',
    'transmis',
    'transmise',
    'transmises',
    'transmisse',
    'transmissent',
    'transmisses',
    'transmissiez',
    'transmission',
    'transmit',
    'transmua',
    'transmuable',
    'transmuables',
    'transmuai',
    'transmuaient',
    'transmuais',
    'transmuait',
    'transmuant',
    'transmuas',
    'transmuasse',
    'transmuasses',
    'transmue',
    'transmuent',
    'transmuer',
    'transmuera',
    'transmuerai',
    'transmuerais',
    'transmuerait',
    'transmueras',
    'transmuerez',
    'transmueriez',
    'transmuerons',
    'transmueront',
    'transmues',
    'transmuez',
    'transmuiez',
    'transmuions',
    'transmuons',
    'transmuta',
    'transmutable',
    'transmutai',
    'transmutais',
    'transmutait',
    'transmutant',
    'transmutas',
    'transmutasse',
    'transmute',
    'transmutent',
    'transmuter',
    'transmutera',
    'transmuterai',
    'transmuteras',
    'transmuterez',
    'transmutes',
    'transmutez',
    'transmutiez',
    'transmutions',
    'transmutons',
    'transmutâmes',
    'transmutât',
    'transmutâtes',
    'transmuté',
    'transmutée',
    'transmutées',
    'transmutés',
    'transmuâmes',
    'transmuât',
    'transmuâtes',
    'transmuèrent',
    'transmué',
    'transmuée',
    'transmuées',
    'transmués',
    'transmîmes',
    'transmît',
    'transmîtes',
    'transparais',
    'transparaît',
    'transparence',
    'transparent',
    'transparente',
    'transparents',
    'transparu',
    'transparue',
    'transparues',
    'transparus',
    'transparusse',
    'transparut',
    'transparûmes',
    'transparût',
    'transparûtes',
    'transperce',
    'transpercent',
    'transpercer',
    'transpercera',
    'transperces',
    'transpercez',
    'transperciez',
    'transpercé',
    'transpercée',
    'transpercées',
    'transpercés',
    'transperça',
    'transperçai',
    'transperçais',
    'transperçait',
    'transperçant',
    'transperças',
    'transperçons',
    'transperçât',
    'transpira',
    'transpirai',
    'transpirais',
    'transpirait',
    'transpirant',
    'transpirante',
    'transpirants',
    'transpiras',
    'transpirasse',
    'transpire',
    'transpirent',
    'transpirer',
    'transpirera',
    'transpirerai',
    'transpireras',
    'transpirerez',
    'transpires',
    'transpirez',
    'transpiriez',
    'transpirions',
    'transpirons',
    'transpirâmes',
    'transpirât',
    'transpirâtes',
    'transpiré',
    'transpirée',
    'transpirées',
    'transpirés',
    'transplant',
    'transplanta',
    'transplantai',
    'transplantas',
    'transplante',
    'transplanter',
    'transplantes',
    'transplantez',
    'transplants',
    'transplantât',
    'transplanté',
    'transplantée',
    'transplantés',
    'transpolaire',
    'transport',
    'transporta',
    'transportai',
    'transportais',
    'transportait',
    'transportant',
    'transportas',
    'transporte',
    'transportent',
    'transporter',
    'transportera',
    'transportes',
    'transporteur',
    'transportez',
    'transportiez',
    'transportons',
    'transports',
    'transportât',
    'transporté',
    'transportée',
    'transportées',
    'transportés',
    'transposa',
    'transposable',
    'transposai',
    'transposais',
    'transposait',
    'transposant',
    'transposas',
    'transposasse',
    'transpose',
    'transposent',
    'transposer',
    'transposera',
    'transposerai',
    'transposeras',
    'transposerez',
    'transposes',
    'transposez',
    'transposiez',
    'transposions',
    'transposons',
    'transposâmes',
    'transposât',
    'transposâtes',
    'transposé',
    'transposée',
    'transposées',
    'transposés',
    'transsexuel',
    'transsexuels',
    'transsonique',
    'transsuda',
    'transsudai',
    'transsudais',
    'transsudait',
    'transsudant',
    'transsudas',
    'transsudasse',
    'transsudat',
    'transsudats',
    'transsude',
    'transsudent',
    'transsuder',
    'transsudera',
    'transsuderai',
    'transsuderas',
    'transsuderez',
    'transsudes',
    'transsudez',
    'transsudiez',
    'transsudions',
    'transsudons',
    'transsudâmes',
    'transsudât',
    'transsudâtes',
    'transsudé',
    'transsudée',
    'transsudées',
    'transsudés',
    'transvasa',
    'transvasai',
    'transvasais',
    'transvasait',
    'transvasant',
    'transvasas',
    'transvasasse',
    'transvase',
    'transvasent',
    'transvaser',
    'transvasera',
    'transvaserai',
    'transvaseras',
    'transvaserez',
    'transvases',
    'transvasez',
    'transvasiez',
    'transvasions',
    'transvasons',
    'transvasâmes',
    'transvasât',
    'transvasâtes',
    'transvasé',
    'transvasée',
    'transvasées',
    'transvasés',
    'transversal',
    'transversale',
    'transversaux',
    'transvida',
    'transvidai',
    'transvidais',
    'transvidait',
    'transvidant',
    'transvidas',
    'transvidasse',
    'transvide',
    'transvident',
    'transvider',
    'transvidera',
    'transviderai',
    'transvideras',
    'transviderez',
    'transvides',
    'transvidez',
    'transvidiez',
    'transvidions',
    'transvidons',
    'transvidâmes',
    'transvidât',
    'transvidâtes',
    'transvidé',
    'transvidée',
    'transvidées',
    'transvidés',
    'transylvain',
    'transylvaine',
    'transylvains',
    'transîmes',
    'transît',
    'transîtes',
    'trantran',
    'trantrans',
    'trappe',
    'trappes',
    'trappeur',
    'trappeurs',
    'trappillon',
    'trappillons',
    'trappiste',
    'trappistes',
    'trappistine',
    'trappistines',
    'trapu',
    'trapue',
    'trapues',
    'trapus',
    'trapèze',
    'trapèzes',
    'trapéziste',
    'trapézistes',
    'trapézoïdal',
    'trapézoïdale',
    'trapézoïdaux',
    'trapézoïde',
    'trapézoïdes',
    'traqua',
    'traquai',
    'traquaient',
    'traquais',
    'traquait',
    'traquant',
    'traquas',
    'traquasse',
    'traquassent',
    'traquasses',
    'traquassiez',
    'traquassions',
    'traque',
    'traquenard',
    'traquenards',
    'traquent',
    'traquer',
    'traquera',
    'traquerai',
    'traqueraient',
    'traquerais',
    'traquerait',
    'traqueras',
    'traquerez',
    'traqueriez',
    'traquerions',
    'traquerons',
    'traqueront',
    'traques',
    'traquet',
    'traquets',
    'traqueur',
    'traqueurs',
    'traqueuse',
    'traqueuses',
    'traquez',
    'traquiez',
    'traquions',
    'traquons',
    'traquâmes',
    'traquât',
    'traquâtes',
    'traquèrent',
    'traqué',
    'traquée',
    'traquées',
    'traqués',
    'trattoria',
    'trattorias',
    'trauma',
    'traumas',
    'traumatique',
    'traumatiques',
    'traumatisa',
    'traumatisai',
    'traumatisais',
    'traumatisait',
    'traumatisant',
    'traumatisas',
    'traumatise',
    'traumatisent',
    'traumatiser',
    'traumatisera',
    'traumatises',
    'traumatisez',
    'traumatisiez',
    'traumatisme',
    'traumatismes',
    'traumatisons',
    'traumatisât',
    'traumatisé',
    'traumatisée',
    'traumatisées',
    'traumatisés',
    'travail',
    'travailla',
    'travaillai',
    'travaillais',
    'travaillait',
    'travaillant',
    'travaillas',
    'travaillasse',
    'travaille',
    'travaillent',
    'travailler',
    'travaillera',
    'travaillerai',
    'travailleras',
    'travaillerez',
    'travailles',
    'travailleur',
    'travailleurs',
    'travailleuse',
    'travaillez',
    'travailliez',
    'travaillions',
    'travaillisme',
    'travailliste',
    'travaillons',
    'travailloter',
    'travaillâmes',
    'travaillât',
    'travaillâtes',
    'travaillé',
    'travaillée',
    'travaillées',
    'travaillés',
    'travails',
    'travaux',
    'travelage',
    'travelages',
    'traveling',
    'travelings',
    'travelling',
    'travellings',
    'travelo',
    'travelos',
    'travers',
    'traversa',
    'traversable',
    'traversables',
    'traversai',
    'traversaient',
    'traversais',
    'traversait',
    'traversant',
    'traversante',
    'traversantes',
    'traversants',
    'traversas',
    'traversasse',
    'traversasses',
    'traverse',
    'traversent',
    'traverser',
    'traversera',
    'traverserai',
    'traverserais',
    'traverserait',
    'traverseras',
    'traverserez',
    'traverseriez',
    'traverserons',
    'traverseront',
    'traverses',
    'traversez',
    'traversier',
    'traversiers',
    'traversiez',
    'traversin',
    'traversins',
    'traversions',
    'traversière',
    'traversières',
    'traversons',
    'traversâmes',
    'traversât',
    'traversâtes',
    'traversèrent',
    'traversé',
    'traversée',
    'traversées',
    'traversés',
    'travesti',
    'travestie',
    'travesties',
    'travestir',
    'travestira',
    'travestirai',
    'travestirais',
    'travestirait',
    'travestiras',
    'travestirent',
    'travestirez',
    'travestiriez',
    'travestirons',
    'travestiront',
    'travestis',
    'travestisme',
    'travestismes',
    'travestisse',
    'travestisses',
    'travestissez',
    'travestit',
    'travestîmes',
    'travestît',
    'travestîtes',
    'travée',
    'travées',
    'trayaient',
    'trayais',
    'trayait',
    'trayant',
    'trayeur',
    'trayeurs',
    'trayeuse',
    'trayeuses',
    'trayez',
    'trayiez',
    'trayions',
    'trayon',
    'trayons',
    'traça',
    'traçabilité',
    'traçage',
    'traçages',
    'traçai',
    'traçaient',
    'traçais',
    'traçait',
    'traçant',
    'traças',
    'traçasse',
    'traçassent',
    'traçasses',
    'traçassiez',
    'traçassions',
    'traçons',
    'traçâmes',
    'traçât',
    'traçâtes',
    'traîna',
    'traînage',
    'traînages',
    'traînai',
    'traînaient',
    'traînailla',
    'traînaillai',
    'traînaillais',
    'traînaillait',
    'traînaillant',
    'traînaillas',
    'traînaille',
    'traînaillent',
    'traînailler',
    'traînaillera',
    'traînailles',
    'traînaillez',
    'traînailliez',
    'traînaillons',
    'traînaillât',
    'traînaillé',
    'traînaillée',
    'traînaillées',
    'traînaillés',
    'traînais',
    'traînait',
    'traînant',
    'traînante',
    'traînantes',
    'traînants',
    'traînard',
    'traînarde',
    'traînardes',
    'traînards',
    'traînas',
    'traînassa',
    'traînassai',
    'traînassais',
    'traînassait',
    'traînassant',
    'traînassas',
    'traînassasse',
    'traînasse',
    'traînassent',
    'traînasser',
    'traînassera',
    'traînasserai',
    'traînasseras',
    'traînasserez',
    'traînasses',
    'traînassez',
    'traînassiez',
    'traînassions',
    'traînassons',
    'traînassâmes',
    'traînassât',
    'traînassâtes',
    'traînassé',
    'traînassée',
    'traînassées',
    'traînassés',
    'traîne',
    'traîneau',
    'traîneaux',
    'traînement',
    'traînements',
    'traînent',
    'traîner',
    'traînera',
    'traînerai',
    'traîneraient',
    'traînerais',
    'traînerait',
    'traîneras',
    'traînerez',
    'traîneriez',
    'traînerions',
    'traînerons',
    'traîneront',
    'traînes',
    'traîneur',
    'traîneurs',
    'traîneuse',
    'traîneuses',
    'traînez',
    'traîniez',
    'traînions',
    'traînons',
    'traînâmes',
    'traînât',
    'traînâtes',
    'traînèrent',
    'traîné',
    'traînée',
    'traînées',
    'traînés',
    'traître',
    'traîtres',
    'traîtresse',
    'traîtresses',
    'traîtrise',
    'traîtrises',
    'treillage',
    'treillagea',
    'treillageai',
    'treillageais',
    'treillageait',
    'treillageant',
    'treillageas',
    'treillagent',
    'treillageons',
    'treillager',
    'treillagera',
    'treillagerai',
    'treillageras',
    'treillagerez',
    'treillages',
    'treillageur',
    'treillageurs',
    'treillagez',
    'treillageât',
    'treillagiez',
    'treillagions',
    'treillagiste',
    'treillagé',
    'treillagée',
    'treillagées',
    'treillagés',
    'treille',
    'treilles',
    'treillis',
    'treillissa',
    'treillissai',
    'treillissais',
    'treillissait',
    'treillissant',
    'treillissas',
    'treillisse',
    'treillissent',
    'treillisser',
    'treillissera',
    'treillisses',
    'treillissez',
    'treillissiez',
    'treillissons',
    'treillissât',
    'treillissé',
    'treillissée',
    'treillissées',
    'treillissés',
    'treize',
    'treiziste',
    'treizistes',
    'treizième',
    'treizièmes',
    'trekking',
    'trekkings',
    'trembla',
    'tremblai',
    'tremblaient',
    'tremblais',
    'tremblait',
    'tremblant',
    'tremblante',
    'tremblantes',
    'tremblants',
    'tremblas',
    'tremblasse',
    'tremblassent',
    'tremblasses',
    'tremblassiez',
    'tremble',
    'tremblement',
    'tremblements',
    'tremblent',
    'trembler',
    'tremblera',
    'tremblerai',
    'tremblerais',
    'tremblerait',
    'trembleras',
    'tremblerez',
    'trembleriez',
    'tremblerions',
    'tremblerons',
    'trembleront',
    'trembles',
    'trembleur',
    'trembleurs',
    'trembleuse',
    'trembleuses',
    'tremblez',
    'trembliez',
    'tremblions',
    'tremblons',
    'tremblota',
    'tremblotai',
    'tremblotais',
    'tremblotait',
    'tremblotant',
    'tremblotante',
    'tremblotants',
    'tremblotas',
    'tremblotasse',
    'tremblote',
    'tremblotent',
    'trembloter',
    'tremblotera',
    'trembloterai',
    'trembloteras',
    'trembloterez',
    'tremblotes',
    'tremblotez',
    'tremblotiez',
    'tremblotions',
    'tremblotons',
    'tremblotâmes',
    'tremblotât',
    'tremblotâtes',
    'trembloté',
    'tremblâmes',
    'tremblât',
    'tremblâtes',
    'tremblèrent',
    'tremblé',
    'tremblée',
    'tremblées',
    'tremblés',
    'trempa',
    'trempage',
    'trempages',
    'trempai',
    'trempaient',
    'trempais',
    'trempait',
    'trempant',
    'trempas',
    'trempasse',
    'trempassent',
    'trempasses',
    'trempassiez',
    'trempassions',
    'trempe',
    'trempent',
    'tremper',
    'trempera',
    'tremperai',
    'tremperaient',
    'tremperais',
    'tremperait',
    'tremperas',
    'tremperez',
    'tremperiez',
    'tremperions',
    'tremperons',
    'tremperont',
    'trempes',
    'trempette',
    'trempettes',
    'trempez',
    'trempiez',
    'trempions',
    'tremplin',
    'tremplins',
    'trempons',
    'trempâmes',
    'trempât',
    'trempâtes',
    'trempèrent',
    'trempé',
    'trempée',
    'trempées',
    'trempés',
    'trentain',
    'trentaine',
    'trentaines',
    'trentains',
    'trente',
    'trentenaire',
    'trentenaires',
    'trentième',
    'trentièmes',
    'tresca',
    'trescheur',
    'trescheurs',
    'tressa',
    'tressage',
    'tressages',
    'tressai',
    'tressaient',
    'tressaillais',
    'tressaillait',
    'tressaillant',
    'tressaille',
    'tressaillent',
    'tressailles',
    'tressaillez',
    'tressailli',
    'tressaillie',
    'tressaillies',
    'tressailliez',
    'tressaillir',
    'tressaillira',
    'tressaillis',
    'tressaillit',
    'tressaillons',
    'tressaillît',
    'tressais',
    'tressait',
    'tressant',
    'tressas',
    'tressasse',
    'tressassent',
    'tressasses',
    'tressassiez',
    'tressassions',
    'tressauta',
    'tressautai',
    'tressautais',
    'tressautait',
    'tressautant',
    'tressautas',
    'tressautasse',
    'tressaute',
    'tressautent',
    'tressauter',
    'tressautera',
    'tressauterai',
    'tressauteras',
    'tressauterez',
    'tressautes',
    'tressautez',
    'tressautiez',
    'tressautions',
    'tressautons',
    'tressautâmes',
    'tressautât',
    'tressautâtes',
    'tressauté',
    'tresse',
    'tressent',
    'tresser',
    'tressera',
    'tresserai',
    'tresseraient',
    'tresserais',
    'tresserait',
    'tresseras',
    'tresserez',
    'tresseriez',
    'tresserions',
    'tresserons',
    'tresseront',
    'tresses',
    'tressez',
    'tressiez',
    'tressions',
    'tressons',
    'tressâmes',
    'tressât',
    'tressâtes',
    'tressèrent',
    'tressé',
    'tressée',
    'tressées',
    'tressés',
    'treuil',
    'treuilla',
    'treuillage',
    'treuillages',
    'treuillai',
    'treuillaient',
    'treuillais',
    'treuillait',
    'treuillant',
    'treuillas',
    'treuillasse',
    'treuillasses',
    'treuille',
    'treuillent',
    'treuiller',
    'treuillera',
    'treuillerai',
    'treuillerais',
    'treuillerait',
    'treuilleras',
    'treuillerez',
    'treuilleriez',
    'treuillerons',
    'treuilleront',
    'treuilles',
    'treuillez',
    'treuilliez',
    'treuillions',
    'treuillons',
    'treuillâmes',
    'treuillât',
    'treuillâtes',
    'treuillèrent',
    'treuillé',
    'treuillée',
    'treuillées',
    'treuillés',
    'treuils',
    'tria',
    'triacide',
    'triacides',
    'triade',
    'triades',
    'triage',
    'triages',
    'triai',
    'triaient',
    'triaire',
    'triaires',
    'triais',
    'triait',
    'trial',
    'trialcool',
    'trialcools',
    'trials',
    'triandrie',
    'triandries',
    'triangle',
    'triangles',
    'triangula',
    'triangulai',
    'triangulaire',
    'triangulais',
    'triangulait',
    'triangulant',
    'triangulas',
    'triangulasse',
    'triangule',
    'triangulent',
    'trianguler',
    'triangulera',
    'triangulerai',
    'trianguleras',
    'triangulerez',
    'triangules',
    'triangulez',
    'trianguliez',
    'triangulions',
    'triangulons',
    'triangulâmes',
    'triangulât',
    'triangulâtes',
    'triangulé',
    'triangulée',
    'triangulées',
    'triangulés',
    'triant',
    'trias',
    'triasique',
    'triasiques',
    'triasse',
    'triassent',
    'triasses',
    'triassiez',
    'triassions',
    'triathlon',
    'triathlons',
    'triatomique',
    'triatomiques',
    'tribade',
    'tribades',
    'tribal',
    'tribale',
    'tribales',
    'tribalisme',
    'tribalismes',
    'triballa',
    'triballai',
    'triballaient',
    'triballais',
    'triballait',
    'triballant',
    'triballas',
    'triballasse',
    'triballasses',
    'triballe',
    'triballent',
    'triballer',
    'triballera',
    'triballerai',
    'triballerais',
    'triballerait',
    'triballeras',
    'triballerez',
    'triballeriez',
    'triballerons',
    'triballeront',
    'triballes',
    'triballez',
    'triballiez',
    'triballions',
    'triballons',
    'triballâmes',
    'triballât',
    'triballâtes',
    'triballèrent',
    'triballé',
    'triballée',
    'triballées',
    'triballés',
    'tribart',
    'tribarts',
    'tribasique',
    'tribasiques',
    'tribaux',
    'tribologie',
    'tribologies',
    'tribomètre',
    'tribomètres',
    'tribométrie',
    'tribométries',
    'tribord',
    'tribordais',
    'tribords',
    'triboulet',
    'triboulets',
    'tribu',
    'tribulation',
    'tribulations',
    'tribun',
    'tribunal',
    'tribunat',
    'tribunats',
    'tribunaux',
    'tribune',
    'tribunes',
    'tribunitien',
    'tribunitiens',
    'tribuns',
    'tribus',
    'tribut',
    'tributaire',
    'tributaires',
    'tributs',
    'tricennal',
    'tricennale',
    'tricennales',
    'tricennaux',
    'triceps',
    'tricercle',
    'tricha',
    'trichai',
    'trichaient',
    'trichais',
    'trichait',
    'trichant',
    'trichas',
    'trichasse',
    'trichassent',
    'trichasses',
    'trichassiez',
    'trichassions',
    'triche',
    'trichent',
    'tricher',
    'trichera',
    'tricherai',
    'tricheraient',
    'tricherais',
    'tricherait',
    'tricheras',
    'tricherez',
    'tricherie',
    'tricheries',
    'tricheriez',
    'tricherions',
    'tricherons',
    'tricheront',
    'triches',
    'tricheur',
    'tricheurs',
    'tricheuse',
    'tricheuses',
    'trichez',
    'trichiasis',
    'trichiez',
    'trichineuse',
    'trichineuses',
    'trichineux',
    'trichinose',
    'trichinoses',
    'trichiné',
    'trichinée',
    'trichinées',
    'trichinés',
    'trichions',
    'trichite',
    'trichites',
    'tricholome',
    'tricholomes',
    'trichoma',
    'trichomas',
    'trichome',
    'trichomes',
    'trichomonas',
    'trichons',
    'trichophyton',
    'trichrome',
    'trichromes',
    'trichromie',
    'trichromies',
    'trichâmes',
    'trichât',
    'trichâtes',
    'trichèrent',
    'triché',
    'triclinique',
    'tricliniques',
    'triclinium',
    'tricliniums',
    'tricoises',
    'tricolore',
    'tricolores',
    'tricorne',
    'tricornes',
    'tricot',
    'tricota',
    'tricotage',
    'tricotages',
    'tricotai',
    'tricotaient',
    'tricotais',
    'tricotait',
    'tricotant',
    'tricotas',
    'tricotasse',
    'tricotassent',
    'tricotasses',
    'tricotassiez',
    'tricote',
    'tricotent',
    'tricoter',
    'tricotera',
    'tricoterai',
    'tricoterais',
    'tricoterait',
    'tricoteras',
    'tricoterez',
    'tricoteriez',
    'tricoterions',
    'tricoterons',
    'tricoteront',
    'tricotes',
    'tricotets',
    'tricoteur',
    'tricoteurs',
    'tricoteuse',
    'tricoteuses',
    'tricotez',
    'tricotiez',
    'tricotions',
    'tricotons',
    'tricots',
    'tricotâmes',
    'tricotât',
    'tricotâtes',
    'tricotèrent',
    'tricoté',
    'tricotée',
    'tricotées',
    'tricotés',
    'tricouni',
    'tricounis',
    'tricourant',
    'trictrac',
    'trictracs',
    'tricuspide',
    'tricuspides',
    'tricycle',
    'tricycles',
    'tricéphale',
    'tricéphales',
    'tricératops',
    'tridacne',
    'tridacnes',
    'tridactyle',
    'tridactyles',
    'trident',
    'tridents',
    'tridenté',
    'tridentée',
    'tridentées',
    'tridentés',
    'tridi',
    'tridis',
    'trie',
    'triennal',
    'triennale',
    'triennales',
    'triennaux',
    'trient',
    'trier',
    'triera',
    'trierai',
    'trieraient',
    'trierais',
    'trierait',
    'trieras',
    'trierez',
    'trieriez',
    'trierions',
    'trierons',
    'trieront',
    'tries',
    'trieur',
    'trieurs',
    'trieuse',
    'trieuses',
    'triez',
    'trifide',
    'trifides',
    'trifoliolé',
    'trifoliolée',
    'trifoliolées',
    'trifoliolés',
    'triforium',
    'triforiums',
    'trifouilla',
    'trifouillai',
    'trifouillais',
    'trifouillait',
    'trifouillant',
    'trifouillas',
    'trifouille',
    'trifouillent',
    'trifouiller',
    'trifouillera',
    'trifouilles',
    'trifouillez',
    'trifouilliez',
    'trifouillons',
    'trifouillât',
    'trifouillé',
    'trifouillée',
    'trifouillées',
    'trifouillés',
    'trigle',
    'trigles',
    'triglyph',
    'triglyphs',
    'trigone',
    'trigonelle',
    'trigonelles',
    'trigones',
    'trigéminé',
    'trigéminée',
    'trigéminées',
    'trigéminés',
    'triiez',
    'triions',
    'trijumeau',
    'trijumeaux',
    'trilatéral',
    'trilatérale',
    'trilatérales',
    'trilatéraux',
    'trilingue',
    'trilingues',
    'trilitère',
    'trilitères',
    'trilla',
    'trillai',
    'trillaient',
    'trillais',
    'trillait',
    'trillant',
    'trillas',
    'trillasse',
    'trillassent',
    'trillasses',
    'trillassiez',
    'trillassions',
    'trille',
    'trillent',
    'triller',
    'trillera',
    'trillerai',
    'trilleraient',
    'trillerais',
    'trillerait',
    'trilleras',
    'trillerez',
    'trilleriez',
    'trillerions',
    'trillerons',
    'trilleront',
    'trilles',
    'trillez',
    'trilliez',
    'trillion',
    'trillions',
    'trillons',
    'trillâmes',
    'trillât',
    'trillâtes',
    'trillèrent',
    'trillé',
    'trilobé',
    'trilobée',
    'trilobées',
    'trilobés',
    'triloculaire',
    'trilogie',
    'trilogies',
    'trima',
    'trimai',
    'trimaient',
    'trimais',
    'trimait',
    'trimant',
    'trimaran',
    'trimarans',
    'trimard',
    'trimarda',
    'trimardai',
    'trimardaient',
    'trimardais',
    'trimardait',
    'trimardant',
    'trimardas',
    'trimardasse',
    'trimardasses',
    'trimarde',
    'trimardent',
    'trimarder',
    'trimardera',
    'trimarderai',
    'trimarderais',
    'trimarderait',
    'trimarderas',
    'trimarderez',
    'trimarderiez',
    'trimarderons',
    'trimarderont',
    'trimardes',
    'trimardeur',
    'trimardeurs',
    'trimardez',
    'trimardiez',
    'trimardions',
    'trimardons',
    'trimards',
    'trimardâmes',
    'trimardât',
    'trimardâtes',
    'trimardèrent',
    'trimardé',
    'trimas',
    'trimasse',
    'trimassent',
    'trimasses',
    'trimassiez',
    'trimassions',
    'trimbala',
    'trimbalage',
    'trimbalages',
    'trimbalai',
    'trimbalaient',
    'trimbalais',
    'trimbalait',
    'trimbalant',
    'trimbalas',
    'trimbalasse',
    'trimbalasses',
    'trimbale',
    'trimbalement',
    'trimbalent',
    'trimbaler',
    'trimbalera',
    'trimbalerai',
    'trimbalerais',
    'trimbalerait',
    'trimbaleras',
    'trimbalerez',
    'trimbaleriez',
    'trimbalerons',
    'trimbaleront',
    'trimbales',
    'trimbalez',
    'trimbaliez',
    'trimbalions',
    'trimballa',
    'trimballage',
    'trimballages',
    'trimballai',
    'trimballais',
    'trimballait',
    'trimballant',
    'trimballas',
    'trimballasse',
    'trimballe',
    'trimballent',
    'trimballer',
    'trimballera',
    'trimballerai',
    'trimballeras',
    'trimballerez',
    'trimballes',
    'trimballez',
    'trimballiez',
    'trimballions',
    'trimballons',
    'trimballâmes',
    'trimballât',
    'trimballâtes',
    'trimballé',
    'trimballée',
    'trimballées',
    'trimballés',
    'trimbalons',
    'trimbalâmes',
    'trimbalât',
    'trimbalâtes',
    'trimbalèrent',
    'trimbalé',
    'trimbalée',
    'trimbalées',
    'trimbalés',
    'trime',
    'triment',
    'trimer',
    'trimera',
    'trimerai',
    'trimeraient',
    'trimerais',
    'trimerait',
    'trimeras',
    'trimerez',
    'trimeriez',
    'trimerions',
    'trimerons',
    'trimeront',
    'trimes',
    'trimestre',
    'trimestres',
    'trimestriel',
    'trimestriels',
    'trimez',
    'trimiez',
    'trimions',
    'trimons',
    'trimoteur',
    'trimoteurs',
    'trimâmes',
    'trimât',
    'trimâtes',
    'trimère',
    'trimèrent',
    'trimères',
    'trimètre',
    'trimètres',
    'trimé',
    'trimée',
    'trimées',
    'trimés',
    'trin',
    'trine',
    'trinervé',
    'trinervée',
    'trinervées',
    'trinervés',
    'trines',
    'tringla',
    'tringlai',
    'tringlaient',
    'tringlais',
    'tringlait',
    'tringlant',
    'tringlas',
    'tringlasse',
    'tringlassent',
    'tringlasses',
    'tringlassiez',
    'tringle',
    'tringlent',
    'tringler',
    'tringlera',
    'tringlerai',
    'tringlerais',
    'tringlerait',
    'tringleras',
    'tringlerez',
    'tringleriez',
    'tringlerions',
    'tringlerons',
    'tringleront',
    'tringles',
    'tringlez',
    'tringliez',
    'tringlions',
    'tringlons',
    'tringlot',
    'tringlots',
    'tringlâmes',
    'tringlât',
    'tringlâtes',
    'tringlèrent',
    'tringlé',
    'tringlée',
    'tringlées',
    'tringlés',
    'trinitaire',
    'trinitaires',
    'trinité',
    'trinités',
    'trinqua',
    'trinquai',
    'trinquaient',
    'trinquais',
    'trinquait',
    'trinquant',
    'trinquas',
    'trinquasse',
    'trinquassent',
    'trinquasses',
    'trinquassiez',
    'trinque',
    'trinquent',
    'trinquer',
    'trinquera',
    'trinquerai',
    'trinquerais',
    'trinquerait',
    'trinqueras',
    'trinquerez',
    'trinqueriez',
    'trinquerions',
    'trinquerons',
    'trinqueront',
    'trinques',
    'trinquette',
    'trinquettes',
    'trinqueur',
    'trinqueurs',
    'trinquez',
    'trinquiez',
    'trinquions',
    'trinquons',
    'trinquâmes',
    'trinquât',
    'trinquâtes',
    'trinquèrent',
    'trinqué',
    'trinquée',
    'trinquées',
    'trinqués',
    'trins',
    'trio',
    'triode',
    'triodes',
    'triol',
    'triolet',
    'triolets',
    'triols',
    'triompha',
    'triomphai',
    'triomphaient',
    'triomphais',
    'triomphait',
    'triomphal',
    'triomphale',
    'triomphales',
    'triomphant',
    'triomphante',
    'triomphantes',
    'triomphants',
    'triomphas',
    'triomphasse',
    'triomphasses',
    'triomphateur',
    'triomphaux',
    'triomphe',
    'triomphent',
    'triompher',
    'triomphera',
    'triompherai',
    'triompherais',
    'triompherait',
    'triompheras',
    'triompherez',
    'triompheriez',
    'triompherons',
    'triompheront',
    'triomphes',
    'triomphez',
    'triomphiez',
    'triomphions',
    'triomphons',
    'triomphâmes',
    'triomphât',
    'triomphâtes',
    'triomphèrent',
    'triomphé',
    'trions',
    'trionyx',
    'trios',
    'trip',
    'tripaille',
    'tripailles',
    'tripale',
    'tripales',
    'tripang',
    'tripangs',
    'triparti',
    'tripartie',
    'triparties',
    'tripartis',
    'tripartisme',
    'tripartismes',
    'tripartite',
    'tripartites',
    'tripartition',
    'tripatouilla',
    'tripatouille',
    'tripatouillé',
    'tripe',
    'triperie',
    'triperies',
    'tripes',
    'tripette',
    'tripettes',
    'triphasé',
    'triphasée',
    'triphasées',
    'triphasés',
    'tripier',
    'tripiers',
    'tripière',
    'tripières',
    'tripla',
    'triplace',
    'triplaces',
    'triplai',
    'triplaient',
    'triplais',
    'triplait',
    'triplant',
    'triplas',
    'triplasse',
    'triplassent',
    'triplasses',
    'triplassiez',
    'triplassions',
    'triple',
    'triplement',
    'triplements',
    'triplent',
    'tripler',
    'triplera',
    'triplerai',
    'tripleraient',
    'triplerais',
    'triplerait',
    'tripleras',
    'triplerez',
    'tripleriez',
    'triplerions',
    'triplerons',
    'tripleront',
    'triples',
    'triplet',
    'triplets',
    'triplette',
    'triplettes',
    'triplez',
    'triplicata',
    'triplicatas',
    'tripliez',
    'triplions',
    'triplons',
    'triploïde',
    'triploïdes',
    'triploïdie',
    'triploïdies',
    'triplure',
    'triplures',
    'triplâmes',
    'triplât',
    'triplâtes',
    'triplèrent',
    'triplé',
    'triplée',
    'triplées',
    'triplés',
    'tripodie',
    'tripodies',
    'tripoli',
    'tripolis',
    'triporteur',
    'triporteurs',
    'tripot',
    'tripota',
    'tripotage',
    'tripotages',
    'tripotai',
    'tripotaient',
    'tripotais',
    'tripotait',
    'tripotant',
    'tripotas',
    'tripotasse',
    'tripotassent',
    'tripotasses',
    'tripotassiez',
    'tripote',
    'tripotent',
    'tripoter',
    'tripotera',
    'tripoterai',
    'tripoterais',
    'tripoterait',
    'tripoteras',
    'tripoterez',
    'tripoteriez',
    'tripoterions',
    'tripoterons',
    'tripoteront',
    'tripotes',
    'tripoteur',
    'tripoteurs',
    'tripoteuse',
    'tripoteuses',
    'tripotez',
    'tripotiez',
    'tripotions',
    'tripotons',
    'tripots',
    'tripotâmes',
    'tripotât',
    'tripotâtes',
    'tripotèrent',
    'tripoté',
    'tripotée',
    'tripotées',
    'tripotés',
    'tripous',
    'tripoux',
    'trips',
    'triptyque',
    'triptyques',
    'triqua',
    'triquai',
    'triquaient',
    'triquais',
    'triquait',
    'triquant',
    'triquas',
    'triquasse',
    'triquassent',
    'triquasses',
    'triquassiez',
    'triquassions',
    'trique',
    'triqueballe',
    'triqueballes',
    'triquent',
    'triquer',
    'triquera',
    'triquerai',
    'triqueraient',
    'triquerais',
    'triquerait',
    'triqueras',
    'triquerez',
    'triqueriez',
    'triquerions',
    'triquerons',
    'triqueront',
    'triques',
    'triquet',
    'triquets',
    'triquez',
    'triquiez',
    'triquions',
    'triquons',
    'triquâmes',
    'triquât',
    'triquâtes',
    'triquèrent',
    'triqué',
    'triquée',
    'triquées',
    'triqués',
    'trirectangle',
    'trirègne',
    'trirègnes',
    'trirème',
    'trirèmes',
    'tris',
    'trisannuel',
    'trisannuelle',
    'trisannuels',
    'trisaïeule',
    'trisaïeules',
    'trisecteur',
    'trisecteurs',
    'trisection',
    'trisections',
    'trisectrice',
    'trisectrices',
    'trisme',
    'trismes',
    'trismus',
    'trismégiste',
    'trismégistes',
    'trisoc',
    'trisocs',
    'trisomie',
    'trisomies',
    'trisomique',
    'trisomiques',
    'trissa',
    'trissai',
    'trissaient',
    'trissais',
    'trissait',
    'trissant',
    'trissas',
    'trissasse',
    'trissassent',
    'trissasses',
    'trissassiez',
    'trissassions',
    'trisse',
    'trissent',
    'trisser',
    'trissera',
    'trisserai',
    'trisseraient',
    'trisserais',
    'trisserait',
    'trisseras',
    'trisserez',
    'trisseriez',
    'trisserions',
    'trisserons',
    'trisseront',
    'trisses',
    'trissez',
    'trissiez',
    'trissions',
    'trissons',
    'trissâmes',
    'trissât',
    'trissâtes',
    'trissèrent',
    'trissé',
    'trissée',
    'trissées',
    'trissés',
    'triste',
    'tristement',
    'tristes',
    'tristesse',
    'tristesses',
    'tristounet',
    'tristounets',
    'tristounette',
    'trisyllabe',
    'trisyllabes',
    'trisèque',
    'trisèquent',
    'trisèques',
    'triséqua',
    'triséquai',
    'triséquaient',
    'triséquais',
    'triséquait',
    'triséquant',
    'triséquas',
    'triséquasse',
    'triséquasses',
    'triséquer',
    'triséquera',
    'triséquerai',
    'triséquerais',
    'triséquerait',
    'triséqueras',
    'triséquerez',
    'triséqueriez',
    'triséquerons',
    'triséqueront',
    'triséquez',
    'triséquiez',
    'triséquions',
    'triséquons',
    'triséquâmes',
    'triséquât',
    'triséquâtes',
    'triséquèrent',
    'triséqué',
    'triséquée',
    'triséquées',
    'triséqués',
    'triticale',
    'triticales',
    'tritium',
    'tritiums',
    'triton',
    'tritons',
    'tritura',
    'triturable',
    'triturables',
    'triturai',
    'trituraient',
    'triturais',
    'triturait',
    'triturant',
    'trituras',
    'triturasse',
    'triturassent',
    'triturasses',
    'triturassiez',
    'triturateur',
    'triturateurs',
    'trituration',
    'triturations',
    'triture',
    'triturent',
    'triturer',
    'triturera',
    'triturerai',
    'triturerais',
    'triturerait',
    'tritureras',
    'triturerez',
    'tritureriez',
    'triturerions',
    'triturerons',
    'tritureront',
    'tritures',
    'triturez',
    'trituriez',
    'triturions',
    'triturons',
    'triturâmes',
    'triturât',
    'triturâtes',
    'triturèrent',
    'trituré',
    'triturée',
    'triturées',
    'triturés',
    'triumvir',
    'triumviral',
    'triumvirale',
    'triumvirales',
    'triumvirat',
    'triumvirats',
    'triumviraux',
    'triumvirs',
    'trivalent',
    'trivalente',
    'trivalentes',
    'trivalents',
    'trivalve',
    'trivalves',
    'trivial',
    'triviale',
    'triviales',
    'trivialité',
    'trivialités',
    'triviaux',
    'triâmes',
    'triât',
    'triâtes',
    'trièdre',
    'trièdres',
    'trière',
    'trièrent',
    'trières',
    'trié',
    'triée',
    'triées',
    'triérarque',
    'triérarques',
    'triés',
    'troc',
    'trocart',
    'trocarts',
    'trochanter',
    'trochanters',
    'trochaïque',
    'trochaïques',
    'troche',
    'troches',
    'trochet',
    'trochets',
    'trochile',
    'trochiles',
    'trochin',
    'trochins',
    'trochiter',
    'trochiters',
    'trochlée',
    'trochlées',
    'trochure',
    'trochures',
    'trochée',
    'trochées',
    'trocs',
    'troglobie',
    'troglobies',
    'troglodyte',
    'troglodytes',
    'trogne',
    'trognes',
    'trognon',
    'trognons',
    'trois',
    'troisième',
    'troisièmes',
    'troll',
    'trolley',
    'trolleybus',
    'trolleys',
    'trolls',
    'trombe',
    'trombes',
    'trombidion',
    'trombidions',
    'trombidiose',
    'trombidioses',
    'trombine',
    'trombines',
    'tromblon',
    'tromblons',
    'trombone',
    'trombones',
    'tromboniste',
    'trombonistes',
    'trommel',
    'trommels',
    'trompa',
    'trompai',
    'trompaient',
    'trompais',
    'trompait',
    'trompant',
    'trompas',
    'trompasse',
    'trompassent',
    'trompasses',
    'trompassiez',
    'trompassions',
    'trompe',
    'trompent',
    'tromper',
    'trompera',
    'tromperai',
    'tromperaient',
    'tromperais',
    'tromperait',
    'tromperas',
    'tromperez',
    'tromperie',
    'tromperies',
    'tromperiez',
    'tromperions',
    'tromperons',
    'tromperont',
    'trompes',
    'trompeta',
    'trompetai',
    'trompetaient',
    'trompetais',
    'trompetait',
    'trompetant',
    'trompetas',
    'trompetasse',
    'trompetasses',
    'trompeter',
    'trompetez',
    'trompetiez',
    'trompetions',
    'trompetons',
    'trompette',
    'trompettent',
    'trompettera',
    'trompetterai',
    'trompetteras',
    'trompetterez',
    'trompettes',
    'trompettiste',
    'trompetâmes',
    'trompetât',
    'trompetâtes',
    'trompetèrent',
    'trompeté',
    'trompetée',
    'trompetées',
    'trompetés',
    'trompeur',
    'trompeurs',
    'trompeuse',
    'trompeuses',
    'trompez',
    'trompiez',
    'trompillon',
    'trompillons',
    'trompions',
    'trompons',
    'trompâmes',
    'trompât',
    'trompâtes',
    'trompèrent',
    'trompé',
    'trompée',
    'trompées',
    'trompés',
    'tronc',
    'troncature',
    'troncatures',
    'tronche',
    'tronches',
    'tronchet',
    'tronchets',
    'troncs',
    'tronculaire',
    'tronculaires',
    'tronqua',
    'tronquai',
    'tronquaient',
    'tronquais',
    'tronquait',
    'tronquant',
    'tronquas',
    'tronquasse',
    'tronquassent',
    'tronquasses',
    'tronquassiez',
    'tronque',
    'tronquent',
    'tronquer',
    'tronquera',
    'tronquerai',
    'tronquerais',
    'tronquerait',
    'tronqueras',
    'tronquerez',
    'tronqueriez',
    'tronquerions',
    'tronquerons',
    'tronqueront',
    'tronques',
    'tronquez',
    'tronquiez',
    'tronquions',
    'tronquons',
    'tronquâmes',
    'tronquât',
    'tronquâtes',
    'tronquèrent',
    'tronqué',
    'tronquée',
    'tronquées',
    'tronqués',
    'tronçon',
    'tronçonna',
    'tronçonnage',
    'tronçonnages',
    'tronçonnai',
    'tronçonnais',
    'tronçonnait',
    'tronçonnant',
    'tronçonnas',
    'tronçonnasse',
    'tronçonne',
    'tronçonnent',
    'tronçonner',
    'tronçonnera',
    'tronçonnerai',
    'tronçonneras',
    'tronçonnerez',
    'tronçonnes',
    'tronçonneur',
    'tronçonneurs',
    'tronçonneuse',
    'tronçonnez',
    'tronçonniez',
    'tronçonnions',
    'tronçonnons',
    'tronçonnâmes',
    'tronçonnât',
    'tronçonnâtes',
    'tronçonné',
    'tronçonnée',
    'tronçonnées',
    'tronçonnés',
    'tronçons',
    'trop',
    'trope',
    'tropes',
    'trophique',
    'trophiques',
    'trophoblaste',
    'trophée',
    'trophées',
    'tropical',
    'tropicale',
    'tropicales',
    'tropicalisa',
    'tropicalisai',
    'tropicalisas',
    'tropicalise',
    'tropicaliser',
    'tropicalises',
    'tropicalisez',
    'tropicalisât',
    'tropicalisé',
    'tropicalisée',
    'tropicalisés',
    'tropicaux',
    'tropique',
    'tropiques',
    'tropisme',
    'tropismes',
    'tropopause',
    'tropopauses',
    'troposphère',
    'troposphères',
    'troqua',
    'troquai',
    'troquaient',
    'troquais',
    'troquait',
    'troquant',
    'troquas',
    'troquasse',
    'troquassent',
    'troquasses',
    'troquassiez',
    'troquassions',
    'troque',
    'troquent',
    'troquer',
    'troquera',
    'troquerai',
    'troqueraient',
    'troquerais',
    'troquerait',
    'troqueras',
    'troquerez',
    'troqueriez',
    'troquerions',
    'troquerons',
    'troqueront',
    'troques',
    'troquet',
    'troquets',
    'troqueur',
    'troqueurs',
    'troqueuse',
    'troqueuses',
    'troquez',
    'troquiez',
    'troquions',
    'troquons',
    'troquâmes',
    'troquât',
    'troquâtes',
    'troquèrent',
    'troqué',
    'troquée',
    'troquées',
    'troqués',
    'trot',
    'trots',
    'trotskisme',
    'trotskismes',
    'trotskiste',
    'trotskistes',
    'trotskyste',
    'trotskystes',
    'trotta',
    'trottai',
    'trottaient',
    'trottais',
    'trottait',
    'trottant',
    'trottante',
    'trottantes',
    'trottants',
    'trottas',
    'trottasse',
    'trottassent',
    'trottasses',
    'trottassiez',
    'trottassions',
    'trotte',
    'trottent',
    'trotter',
    'trottera',
    'trotterai',
    'trotteraient',
    'trotterais',
    'trotterait',
    'trotteras',
    'trotterez',
    'trotteriez',
    'trotterions',
    'trotterons',
    'trotteront',
    'trottes',
    'trotteur',
    'trotteurs',
    'trotteuse',
    'trotteuses',
    'trottez',
    'trottiez',
    'trottin',
    'trottina',
    'trottinai',
    'trottinaient',
    'trottinais',
    'trottinait',
    'trottinant',
    'trottinante',
    'trottinantes',
    'trottinants',
    'trottinas',
    'trottinasse',
    'trottinasses',
    'trottine',
    'trottinement',
    'trottinent',
    'trottiner',
    'trottinera',
    'trottinerai',
    'trottinerais',
    'trottinerait',
    'trottineras',
    'trottinerez',
    'trottineriez',
    'trottinerons',
    'trottineront',
    'trottines',
    'trottinette',
    'trottinettes',
    'trottinez',
    'trottiniez',
    'trottinions',
    'trottinons',
    'trottins',
    'trottinâmes',
    'trottinât',
    'trottinâtes',
    'trottinèrent',
    'trottiné',
    'trottions',
    'trottoir',
    'trottoirs',
    'trottons',
    'trottâmes',
    'trottât',
    'trottâtes',
    'trottèrent',
    'trotté',
    'trottée',
    'trottées',
    'trottés',
    'trou',
    'troua',
    'trouai',
    'trouaient',
    'trouais',
    'trouait',
    'trouant',
    'trouas',
    'trouasse',
    'trouassent',
    'trouasses',
    'trouassiez',
    'trouassions',
    'troubade',
    'troubades',
    'troubadour',
    'troubadours',
    'troubla',
    'troublai',
    'troublaient',
    'troublais',
    'troublait',
    'troublant',
    'troublante',
    'troublantes',
    'troublants',
    'troublas',
    'troublasse',
    'troublassent',
    'troublasses',
    'troublassiez',
    'trouble',
    'troubleau',
    'troubleaux',
    'troublent',
    'troubler',
    'troublera',
    'troublerai',
    'troublerais',
    'troublerait',
    'troubleras',
    'troublerez',
    'troubleriez',
    'troublerions',
    'troublerons',
    'troubleront',
    'troubles',
    'troublez',
    'troubliez',
    'troublions',
    'troublons',
    'troublâmes',
    'troublât',
    'troublâtes',
    'troublèrent',
    'troublé',
    'troublée',
    'troublées',
    'troublés',
    'troue',
    'trouent',
    'trouer',
    'trouera',
    'trouerai',
    'troueraient',
    'trouerais',
    'trouerait',
    'troueras',
    'trouerez',
    'troueriez',
    'trouerions',
    'trouerons',
    'troueront',
    'troues',
    'trouez',
    'troufignon',
    'troufignons',
    'troufion',
    'troufions',
    'trouiez',
    'trouillard',
    'trouillarde',
    'trouillardes',
    'trouillards',
    'trouille',
    'trouilles',
    'trouions',
    'trouons',
    'troupe',
    'troupeau',
    'troupeaux',
    'troupes',
    'troupiale',
    'troupiales',
    'troupier',
    'troupiers',
    'trous',
    'troussa',
    'troussage',
    'troussages',
    'troussai',
    'troussaient',
    'troussais',
    'troussait',
    'troussant',
    'troussas',
    'troussasse',
    'troussassent',
    'troussasses',
    'troussassiez',
    'trousse',
    'trousseau',
    'trousseaux',
    'troussent',
    'troussequin',
    'troussequina',
    'troussequine',
    'troussequins',
    'troussequiné',
    'trousser',
    'troussera',
    'trousserai',
    'trousserais',
    'trousserait',
    'trousseras',
    'trousserez',
    'trousseriez',
    'trousserions',
    'trousserons',
    'trousseront',
    'trousses',
    'trousseur',
    'trousseurs',
    'troussez',
    'troussiez',
    'troussions',
    'troussons',
    'troussâmes',
    'troussât',
    'troussâtes',
    'troussèrent',
    'troussé',
    'troussée',
    'troussées',
    'troussés',
    'trouva',
    'trouvable',
    'trouvables',
    'trouvai',
    'trouvaient',
    'trouvaille',
    'trouvailles',
    'trouvais',
    'trouvait',
    'trouvant',
    'trouvas',
    'trouvasse',
    'trouvassent',
    'trouvasses',
    'trouvassiez',
    'trouvassions',
    'trouve',
    'trouvent',
    'trouver',
    'trouvera',
    'trouverai',
    'trouveraient',
    'trouverais',
    'trouverait',
    'trouveras',
    'trouverez',
    'trouveriez',
    'trouverions',
    'trouverons',
    'trouveront',
    'trouves',
    'trouveur',
    'trouveurs',
    'trouveuse',
    'trouveuses',
    'trouvez',
    'trouviez',
    'trouvions',
    'trouvons',
    'trouvâmes',
    'trouvât',
    'trouvâtes',
    'trouvère',
    'trouvèrent',
    'trouvères',
    'trouvé',
    'trouvée',
    'trouvées',
    'trouvés',
    'trouâmes',
    'trouât',
    'trouâtes',
    'trouèrent',
    'troué',
    'trouée',
    'trouées',
    'troués',
    'troyen',
    'troyenne',
    'troyennes',
    'troyens',
    'troène',
    'troènes',
    'troïka',
    'troïkas',
    'truand',
    'truanda',
    'truandai',
    'truandaient',
    'truandais',
    'truandait',
    'truandant',
    'truandas',
    'truandasse',
    'truandassent',
    'truandasses',
    'truandassiez',
    'truande',
    'truandent',
    'truander',
    'truandera',
    'truanderai',
    'truanderais',
    'truanderait',
    'truanderas',
    'truanderez',
    'truanderie',
    'truanderies',
    'truanderiez',
    'truanderions',
    'truanderons',
    'truanderont',
    'truandes',
    'truandez',
    'truandiez',
    'truandions',
    'truandons',
    'truands',
    'truandâmes',
    'truandât',
    'truandâtes',
    'truandèrent',
    'truandé',
    'truandée',
    'truandées',
    'truandés',
    'truble',
    'trubles',
    'trublion',
    'trublions',
    'truc',
    'trucage',
    'trucages',
    'truchement',
    'truchements',
    'trucida',
    'trucidai',
    'trucidaient',
    'trucidais',
    'trucidait',
    'trucidant',
    'trucidas',
    'trucidasse',
    'trucidassent',
    'trucidasses',
    'trucidassiez',
    'trucide',
    'trucident',
    'trucider',
    'trucidera',
    'truciderai',
    'truciderais',
    'truciderait',
    'trucideras',
    'truciderez',
    'trucideriez',
    'truciderions',
    'truciderons',
    'trucideront',
    'trucides',
    'trucidez',
    'trucidiez',
    'trucidions',
    'trucidons',
    'trucidâmes',
    'trucidât',
    'trucidâtes',
    'trucidèrent',
    'trucidé',
    'trucidée',
    'trucidées',
    'trucidés',
    'trucmuche',
    'trucmuches',
    'trucs',
    'truculence',
    'truculences',
    'truculent',
    'truculente',
    'truculentes',
    'truculents',
    'trudgeon',
    'trudgeons',
    'truelle',
    'truelles',
    'truellée',
    'truellées',
    'truffa',
    'truffai',
    'truffaient',
    'truffais',
    'truffait',
    'truffant',
    'truffas',
    'truffasse',
    'truffassent',
    'truffasses',
    'truffassiez',
    'truffassions',
    'truffe',
    'truffent',
    'truffer',
    'truffera',
    'trufferai',
    'trufferaient',
    'trufferais',
    'trufferait',
    'trufferas',
    'trufferez',
    'trufferiez',
    'trufferions',
    'trufferons',
    'trufferont',
    'truffes',
    'truffez',
    'truffier',
    'truffiers',
    'truffiez',
    'truffions',
    'truffière',
    'truffières',
    'truffons',
    'truffâmes',
    'truffât',
    'truffâtes',
    'truffèrent',
    'truffé',
    'truffée',
    'truffées',
    'truffés',
    'truie',
    'truies',
    'truisme',
    'truismes',
    'truite',
    'truites',
    'truité',
    'truitée',
    'truitées',
    'truités',
    'trulli',
    'trullo',
    'trumeau',
    'trumeaux',
    'truqua',
    'truquage',
    'truquages',
    'truquai',
    'truquaient',
    'truquais',
    'truquait',
    'truquant',
    'truquas',
    'truquasse',
    'truquassent',
    'truquasses',
    'truquassiez',
    'truquassions',
    'truque',
    'truquent',
    'truquer',
    'truquera',
    'truquerai',
    'truqueraient',
    'truquerais',
    'truquerait',
    'truqueras',
    'truquerez',
    'truqueriez',
    'truquerions',
    'truquerons',
    'truqueront',
    'truques',
    'truqueur',
    'truqueurs',
    'truqueuse',
    'truqueuses',
    'truquez',
    'truquiez',
    'truquions',
    'truquiste',
    'truquistes',
    'truquons',
    'truquâmes',
    'truquât',
    'truquâtes',
    'truquèrent',
    'truqué',
    'truquée',
    'truquées',
    'truqués',
    'trusquin',
    'trusquina',
    'trusquinai',
    'trusquinais',
    'trusquinait',
    'trusquinant',
    'trusquinas',
    'trusquinasse',
    'trusquine',
    'trusquinent',
    'trusquiner',
    'trusquinera',
    'trusquinerai',
    'trusquineras',
    'trusquinerez',
    'trusquines',
    'trusquinez',
    'trusquiniez',
    'trusquinions',
    'trusquinons',
    'trusquins',
    'trusquinâmes',
    'trusquinât',
    'trusquinâtes',
    'trusquiné',
    'trusquinée',
    'trusquinées',
    'trusquinés',
    'trust',
    'trusta',
    'trustai',
    'trustaient',
    'trustais',
    'trustait',
    'trustant',
    'trustas',
    'trustasse',
    'trustassent',
    'trustasses',
    'trustassiez',
    'trustassions',
    'truste',
    'trustent',
    'truster',
    'trustera',
    'trusterai',
    'trusteraient',
    'trusterais',
    'trusterait',
    'trusteras',
    'trusterez',
    'trusteriez',
    'trusterions',
    'trusterons',
    'trusteront',
    'trustes',
    'trusteur',
    'trusteurs',
    'trustez',
    'trustiez',
    'trustions',
    'trustons',
    'trusts',
    'trustâmes',
    'trustât',
    'trustâtes',
    'trustèrent',
    'trusté',
    'trustée',
    'trustées',
    'trustés',
    'trypanosome',
    'trypanosomes',
    'trypsine',
    'trypsines',
    'trypsinogène',
    'tryptophane',
    'tryptophanes',
    'trèfle',
    'trèfles',
    'très',
    'trébucha',
    'trébuchai',
    'trébuchaient',
    'trébuchais',
    'trébuchait',
    'trébuchant',
    'trébuchante',
    'trébuchantes',
    'trébuchants',
    'trébuchas',
    'trébuchasse',
    'trébuchasses',
    'trébuche',
    'trébuchement',
    'trébuchent',
    'trébucher',
    'trébuchera',
    'trébucherai',
    'trébucherais',
    'trébucherait',
    'trébucheras',
    'trébucherez',
    'trébucheriez',
    'trébucherons',
    'trébucheront',
    'trébuches',
    'trébuchet',
    'trébuchets',
    'trébuchez',
    'trébuchiez',
    'trébuchions',
    'trébuchons',
    'trébuchâmes',
    'trébuchât',
    'trébuchâtes',
    'trébuchèrent',
    'trébuché',
    'trébuchée',
    'trébuchées',
    'trébuchés',
    'tréfila',
    'tréfilage',
    'tréfilages',
    'tréfilai',
    'tréfilaient',
    'tréfilais',
    'tréfilait',
    'tréfilant',
    'tréfilas',
    'tréfilasse',
    'tréfilassent',
    'tréfilasses',
    'tréfilassiez',
    'tréfile',
    'tréfilent',
    'tréfiler',
    'tréfilera',
    'tréfilerai',
    'tréfilerais',
    'tréfilerait',
    'tréfileras',
    'tréfilerez',
    'tréfilerie',
    'tréfileries',
    'tréfileriez',
    'tréfilerions',
    'tréfilerons',
    'tréfileront',
    'tréfiles',
    'tréfileur',
    'tréfileurs',
    'tréfileuse',
    'tréfileuses',
    'tréfilez',
    'tréfiliez',
    'tréfilions',
    'tréfilons',
    'tréfilâmes',
    'tréfilât',
    'tréfilâtes',
    'tréfilèrent',
    'tréfilé',
    'tréfilée',
    'tréfilées',
    'tréfilés',
    'tréflière',
    'tréflières',
    'tréflé',
    'tréflée',
    'tréflées',
    'tréflés',
    'tréfonds',
    'tréhalose',
    'tréhaloses',
    'trélingage',
    'trélingages',
    'tréma',
    'trémail',
    'trémails',
    'trémas',
    'trémata',
    'trématage',
    'trématages',
    'trématai',
    'trémataient',
    'trématais',
    'trématait',
    'trématant',
    'trématas',
    'trématasse',
    'trématassent',
    'trématasses',
    'trématassiez',
    'trémate',
    'trématent',
    'trémater',
    'trématera',
    'trématerai',
    'trématerais',
    'trématerait',
    'trémateras',
    'trématerez',
    'trémateriez',
    'trématerions',
    'trématerons',
    'trémateront',
    'trémates',
    'trématez',
    'trématiez',
    'trémations',
    'trématons',
    'trématâmes',
    'trématât',
    'trématâtes',
    'trématèrent',
    'trématé',
    'trémelle',
    'trémelles',
    'trémie',
    'trémies',
    'trémière',
    'trémières',
    'trémolo',
    'trémolos',
    'trémoussa',
    'trémoussai',
    'trémoussais',
    'trémoussait',
    'trémoussant',
    'trémoussas',
    'trémoussasse',
    'trémousse',
    'trémoussent',
    'trémousser',
    'trémoussera',
    'trémousserai',
    'trémousseras',
    'trémousserez',
    'trémousses',
    'trémoussez',
    'trémoussiez',
    'trémoussions',
    'trémoussons',
    'trémoussâmes',
    'trémoussât',
    'trémoussâtes',
    'trémoussé',
    'trémula',
    'trémulai',
    'trémulaient',
    'trémulais',
    'trémulait',
    'trémulant',
    'trémulas',
    'trémulasse',
    'trémulassent',
    'trémulasses',
    'trémulassiez',
    'trémulation',
    'trémulations',
    'trémule',
    'trémulent',
    'trémuler',
    'trémulera',
    'trémulerai',
    'trémulerais',
    'trémulerait',
    'trémuleras',
    'trémulerez',
    'trémuleriez',
    'trémulerions',
    'trémulerons',
    'trémuleront',
    'trémules',
    'trémulez',
    'trémuliez',
    'trémulions',
    'trémulons',
    'trémulâmes',
    'trémulât',
    'trémulâtes',
    'trémulèrent',
    'trémulé',
    'trémulée',
    'trémulées',
    'trémulés',
    'trépan',
    'trépana',
    'trépanai',
    'trépanaient',
    'trépanais',
    'trépanait',
    'trépanant',
    'trépanas',
    'trépanasse',
    'trépanassent',
    'trépanasses',
    'trépanassiez',
    'trépanation',
    'trépanations',
    'trépane',
    'trépanent',
    'trépaner',
    'trépanera',
    'trépanerai',
    'trépanerais',
    'trépanerait',
    'trépaneras',
    'trépanerez',
    'trépaneriez',
    'trépanerions',
    'trépanerons',
    'trépaneront',
    'trépanes',
    'trépanez',
    'trépang',
    'trépangs',
    'trépaniez',
    'trépanions',
    'trépanons',
    'trépans',
    'trépanâmes',
    'trépanât',
    'trépanâtes',
    'trépanèrent',
    'trépané',
    'trépanée',
    'trépanées',
    'trépanés',
    'trépas',
    'trépassa',
    'trépassai',
    'trépassaient',
    'trépassais',
    'trépassait',
    'trépassant',
    'trépassas',
    'trépasse',
    'trépassent',
    'trépasser',
    'trépassera',
    'trépasserai',
    'trépasserais',
    'trépasserait',
    'trépasseras',
    'trépasserez',
    'trépasseriez',
    'trépasserons',
    'trépasseront',
    'trépasses',
    'trépassez',
    'trépassiez',
    'trépassions',
    'trépassons',
    'trépassont',
    'trépassé',
    'trépassée',
    'trépassées',
    'trépassés',
    'tréphocyte',
    'tréphocytes',
    'tréphone',
    'tréphones',
    'trépida',
    'trépidai',
    'trépidaient',
    'trépidais',
    'trépidait',
    'trépidant',
    'trépidante',
    'trépidantes',
    'trépidants',
    'trépidas',
    'trépidasse',
    'trépidassent',
    'trépidasses',
    'trépidassiez',
    'trépidation',
    'trépidations',
    'trépide',
    'trépident',
    'trépider',
    'trépidera',
    'trépiderai',
    'trépiderais',
    'trépiderait',
    'trépideras',
    'trépiderez',
    'trépideriez',
    'trépiderions',
    'trépiderons',
    'trépideront',
    'trépides',
    'trépidez',
    'trépidiez',
    'trépidions',
    'trépidons',
    'trépidâmes',
    'trépidât',
    'trépidâtes',
    'trépidèrent',
    'trépidé',
    'trépidée',
    'trépidées',
    'trépidés',
    'trépied',
    'trépieds',
    'trépigna',
    'trépignai',
    'trépignaient',
    'trépignais',
    'trépignait',
    'trépignant',
    'trépignas',
    'trépignasse',
    'trépignasses',
    'trépigne',
    'trépignement',
    'trépignent',
    'trépigner',
    'trépignera',
    'trépignerai',
    'trépignerais',
    'trépignerait',
    'trépigneras',
    'trépignerez',
    'trépigneriez',
    'trépignerons',
    'trépigneront',
    'trépignes',
    'trépigneuse',
    'trépigneuses',
    'trépignez',
    'trépigniez',
    'trépignions',
    'trépignons',
    'trépignâmes',
    'trépignât',
    'trépignâtes',
    'trépignèrent',
    'trépigné',
    'trépignée',
    'trépignées',
    'trépignés',
    'trépointe',
    'trépointes',
    'tréponème',
    'tréponèmes',
    'trésaille',
    'trésailles',
    'trésor',
    'trésorerie',
    'trésoreries',
    'trésorier',
    'trésoriers',
    'trésorière',
    'trésorières',
    'trésors',
    'tréteau',
    'tréteaux',
    'trévira',
    'trévirai',
    'tréviraient',
    'trévirais',
    'trévirait',
    'trévirant',
    'tréviras',
    'trévirasse',
    'trévirassent',
    'trévirasses',
    'trévirassiez',
    'trévire',
    'trévirent',
    'trévirer',
    'trévirera',
    'trévirerai',
    'trévirerais',
    'trévirerait',
    'trévireras',
    'trévirerez',
    'trévireriez',
    'trévirerions',
    'trévirerons',
    'trévireront',
    'trévires',
    'trévirez',
    'tréviriez',
    'trévirions',
    'trévirons',
    'trévirâmes',
    'trévirât',
    'trévirâtes',
    'trévirèrent',
    'tréviré',
    'trévirée',
    'trévirées',
    'trévirés',
    'trêve',
    'trêves',
    'trôna',
    'trônai',
    'trônaient',
    'trônais',
    'trônait',
    'trônant',
    'trônas',
    'trônasse',
    'trônassent',
    'trônasses',
    'trônassiez',
    'trônassions',
    'trône',
    'trônent',
    'trôner',
    'trônera',
    'trônerai',
    'trôneraient',
    'trônerais',
    'trônerait',
    'trôneras',
    'trônerez',
    'trôneriez',
    'trônerions',
    'trônerons',
    'trôneront',
    'trônes',
    'trônez',
    'trôniez',
    'trônions',
    'trônons',
    'trônâmes',
    'trônât',
    'trônâtes',
    'trônèrent',
    'trôné',
    'tsar',
    'tsarine',
    'tsarines',
    'tsarisme',
    'tsarismes',
    'tsariste',
    'tsaristes',
    'tsars',
    'tsarévitch',
    'tsarévitchs',
    'tsigane',
    'tsiganes',
    'tsunami',
    'tsunamis',
    'tuable',
    'tuables',
    'tuage',
    'tuages',
    'tuai',
    'tuaient',
    'tuais',
    'tuait',
    'tuant',
    'tuante',
    'tuantes',
    'tuants',
    'tuas',
    'tuasse',
    'tuassent',
    'tuasses',
    'tuassiez',
    'tuassions',
    'tuba',
    'tubage',
    'tubages',
    'tubai',
    'tubaient',
    'tubaire',
    'tubaires',
    'tubais',
    'tubait',
    'tubant',
    'tubard',
    'tubarde',
    'tubardes',
    'tubards',
    'tubas',
    'tubasse',
    'tubassent',
    'tubasses',
    'tubassiez',
    'tubassions',
    'tube',
    'tubent',
    'tuber',
    'tubera',
    'tuberai',
    'tuberaient',
    'tuberais',
    'tuberait',
    'tuberas',
    'tubercule',
    'tubercules',
    'tuberculeuse',
    'tuberculeux',
    'tuberculide',
    'tuberculides',
    'tuberculina',
    'tuberculinai',
    'tuberculinas',
    'tuberculine',
    'tuberculiner',
    'tuberculines',
    'tuberculinez',
    'tuberculinât',
    'tuberculiné',
    'tuberculinée',
    'tuberculinés',
    'tuberculisa',
    'tuberculisai',
    'tuberculisas',
    'tuberculise',
    'tuberculiser',
    'tuberculises',
    'tuberculisez',
    'tuberculisât',
    'tuberculisé',
    'tuberculisée',
    'tuberculisés',
    'tuberculose',
    'tuberculoses',
    'tuberez',
    'tuberiez',
    'tuberions',
    'tuberons',
    'tuberont',
    'tubes',
    'tubez',
    'tubicole',
    'tubicoles',
    'tubiez',
    'tubifex',
    'tubions',
    'tubipore',
    'tubipores',
    'tubiste',
    'tubistes',
    'tubons',
    'tubs',
    'tubulaire',
    'tubulaires',
    'tubuleuse',
    'tubuleuses',
    'tubuleux',
    'tubuliflore',
    'tubuliflores',
    'tubulure',
    'tubulures',
    'tubulé',
    'tubulée',
    'tubulées',
    'tubulés',
    'tubâmes',
    'tubât',
    'tubâtes',
    'tubèrent',
    'tubé',
    'tubée',
    'tubées',
    'tubéracé',
    'tubéracée',
    'tubéracées',
    'tubéracés',
    'tubéreuse',
    'tubéreuses',
    'tubéreux',
    'tubériforme',
    'tubériformes',
    'tubérisation',
    'tubérisé',
    'tubérisée',
    'tubérisées',
    'tubérisés',
    'tubérosité',
    'tubérosités',
    'tubés',
    'tudesque',
    'tudesques',
    'tudieu',
    'tuent',
    'tuer',
    'tuera',
    'tuerai',
    'tueraient',
    'tuerais',
    'tuerait',
    'tueras',
    'tuerez',
    'tuerie',
    'tueries',
    'tueriez',
    'tuerions',
    'tuerons',
    'tueront',
    'tues',
    'tueur',
    'tueurs',
    'tueuse',
    'tueuses',
    'tuez',
    'tufeau',
    'tufeaux',
    'tuffeau',
    'tuffeaux',
    'tufier',
    'tufiers',
    'tufière',
    'tufières',
    'tufs',
    'tuiez',
    'tuila',
    'tuilai',
    'tuilaient',
    'tuilais',
    'tuilait',
    'tuilant',
    'tuilas',
    'tuilasse',
    'tuilassent',
    'tuilasses',
    'tuilassiez',
    'tuilassions',
    'tuile',
    'tuileau',
    'tuileaux',
    'tuilent',
    'tuiler',
    'tuilera',
    'tuilerai',
    'tuileraient',
    'tuilerais',
    'tuilerait',
    'tuileras',
    'tuilerez',
    'tuilerie',
    'tuileries',
    'tuileriez',
    'tuilerions',
    'tuilerons',
    'tuileront',
    'tuiles',
    'tuilette',
    'tuilettes',
    'tuilez',
    'tuilier',
    'tuiliers',
    'tuiliez',
    'tuilions',
    'tuilière',
    'tuilières',
    'tuilons',
    'tuilâmes',
    'tuilât',
    'tuilâtes',
    'tuilèrent',
    'tuilé',
    'tuilée',
    'tuilées',
    'tuilés',
    'tuions',
    'tularémie',
    'tularémies',
    'tulipe',
    'tulipes',
    'tulipier',
    'tulipiers',
    'tulle',
    'tullerie',
    'tulleries',
    'tulles',
    'tullier',
    'tulliers',
    'tulliste',
    'tullistes',
    'tullière',
    'tullières',
    'tumescence',
    'tumescences',
    'tumescent',
    'tumescente',
    'tumescentes',
    'tumescents',
    'tumeur',
    'tumeurs',
    'tumoral',
    'tumorale',
    'tumorales',
    'tumoraux',
    'tumulaire',
    'tumulaires',
    'tumulte',
    'tumultes',
    'tumultueuse',
    'tumultueuses',
    'tumultueux',
    'tumulus',
    'tuméfaction',
    'tuméfactions',
    'tuméfia',
    'tuméfiai',
    'tuméfiaient',
    'tuméfiais',
    'tuméfiait',
    'tuméfiant',
    'tuméfias',
    'tuméfiasse',
    'tuméfiassent',
    'tuméfiasses',
    'tuméfiassiez',
    'tuméfie',
    'tuméfient',
    'tuméfier',
    'tuméfiera',
    'tuméfierai',
    'tuméfierais',
    'tuméfierait',
    'tuméfieras',
    'tuméfierez',
    'tuméfieriez',
    'tuméfierions',
    'tuméfierons',
    'tuméfieront',
    'tuméfies',
    'tuméfiez',
    'tuméfiiez',
    'tuméfiions',
    'tuméfions',
    'tuméfiâmes',
    'tuméfiât',
    'tuméfiâtes',
    'tuméfièrent',
    'tuméfié',
    'tuméfiée',
    'tuméfiées',
    'tuméfiés',
    'tune',
    'tuner',
    'tuners',
    'tunes',
    'tungar',
    'tungars',
    'tungstate',
    'tungstates',
    'tungstique',
    'tungstiques',
    'tungstène',
    'tungstènes',
    'tunicelle',
    'tunicelles',
    'tuniciers',
    'tunique',
    'tuniques',
    'tuniqué',
    'tuniquée',
    'tuniquées',
    'tuniqués',
    'tunisien',
    'tunisienne',
    'tunisiennes',
    'tunisiens',
    'tunnel',
    'tunnelier',
    'tunneliers',
    'tunnels',
    'tuons',
    'tupaja',
    'tupajas',
    'tupi',
    'tupinambis',
    'tuque',
    'tuques',
    'turban',
    'turbans',
    'turbe',
    'turbeh',
    'turbehs',
    'turbes',
    'turbide',
    'turbides',
    'turbidité',
    'turbidités',
    'turbin',
    'turbina',
    'turbinage',
    'turbinages',
    'turbinai',
    'turbinaient',
    'turbinais',
    'turbinait',
    'turbinant',
    'turbinas',
    'turbinasse',
    'turbinassent',
    'turbinasses',
    'turbinassiez',
    'turbine',
    'turbinelle',
    'turbinelles',
    'turbinent',
    'turbiner',
    'turbinera',
    'turbinerai',
    'turbinerais',
    'turbinerait',
    'turbineras',
    'turbinerez',
    'turbineriez',
    'turbinerions',
    'turbinerons',
    'turbineront',
    'turbines',
    'turbinez',
    'turbiniez',
    'turbinions',
    'turbinons',
    'turbins',
    'turbinâmes',
    'turbinât',
    'turbinâtes',
    'turbinèrent',
    'turbiné',
    'turbinée',
    'turbinées',
    'turbinés',
    'turbith',
    'turbiths',
    'turbofiltre',
    'turbofiltres',
    'turbomachine',
    'turbomoteur',
    'turbomoteurs',
    'turbopompe',
    'turbopompes',
    'turbot',
    'turbotin',
    'turbotins',
    'turbotière',
    'turbotières',
    'turbotrain',
    'turbotrains',
    'turbots',
    'turbulence',
    'turbulences',
    'turbulent',
    'turbulente',
    'turbulentes',
    'turbulents',
    'turbé',
    'turbés',
    'turc',
    'turcique',
    'turciques',
    'turco',
    'turcos',
    'turcs',
    'turent',
    'turf',
    'turfiste',
    'turfistes',
    'turfs',
    'turgescence',
    'turgescences',
    'turgescent',
    'turgescente',
    'turgescentes',
    'turgescents',
    'turgide',
    'turgides',
    'turion',
    'turions',
    'turkmène',
    'turlupina',
    'turlupinai',
    'turlupinais',
    'turlupinait',
    'turlupinant',
    'turlupinas',
    'turlupinasse',
    'turlupine',
    'turlupinent',
    'turlupiner',
    'turlupinera',
    'turlupinerai',
    'turlupineras',
    'turlupinerez',
    'turlupines',
    'turlupinez',
    'turlupiniez',
    'turlupinions',
    'turlupinons',
    'turlupinâmes',
    'turlupinât',
    'turlupinâtes',
    'turlupiné',
    'turlupinée',
    'turlupinées',
    'turlupinés',
    'turlurette',
    'turlurettes',
    'turlutaine',
    'turlutaines',
    'turlutte',
    'turluttes',
    'turlututu',
    'turne',
    'turnep',
    'turneps',
    'turnes',
    'turonien',
    'turonienne',
    'turoniennes',
    'turoniens',
    'turpide',
    'turpidement',
    'turpides',
    'turpitude',
    'turpitudes',
    'turque',
    'turquerie',
    'turqueries',
    'turques',
    'turquette',
    'turquettes',
    'turquin',
    'turquins',
    'turquoise',
    'turquoises',
    'turriculé',
    'turriculée',
    'turriculées',
    'turriculés',
    'turritelle',
    'turritelles',
    'tussah',
    'tussahs',
    'tusse',
    'tussent',
    'tusses',
    'tussiez',
    'tussilage',
    'tussilages',
    'tussions',
    'tussor',
    'tussore',
    'tussores',
    'tussors',
    'tutelle',
    'tutelles',
    'tuteur',
    'tuteura',
    'tuteurage',
    'tuteurages',
    'tuteurai',
    'tuteuraient',
    'tuteurais',
    'tuteurait',
    'tuteurant',
    'tuteuras',
    'tuteurasse',
    'tuteurassent',
    'tuteurasses',
    'tuteurassiez',
    'tuteure',
    'tuteurent',
    'tuteurer',
    'tuteurera',
    'tuteurerai',
    'tuteurerais',
    'tuteurerait',
    'tuteureras',
    'tuteurerez',
    'tuteureriez',
    'tuteurerions',
    'tuteurerons',
    'tuteureront',
    'tuteures',
    'tuteurez',
    'tuteuriez',
    'tuteurions',
    'tuteurons',
    'tuteurs',
    'tuteurâmes',
    'tuteurât',
    'tuteurâtes',
    'tuteurèrent',
    'tuteuré',
    'tuteurée',
    'tuteurées',
    'tuteurés',
    'tuthie',
    'tuthies',
    'tutie',
    'tuties',
    'tutoie',
    'tutoiement',
    'tutoiements',
    'tutoient',
    'tutoiera',
    'tutoierai',
    'tutoieraient',
    'tutoierais',
    'tutoierait',
    'tutoieras',
    'tutoierez',
    'tutoieriez',
    'tutoierions',
    'tutoierons',
    'tutoieront',
    'tutoies',
    'tutoya',
    'tutoyai',
    'tutoyaient',
    'tutoyais',
    'tutoyait',
    'tutoyant',
    'tutoyas',
    'tutoyasse',
    'tutoyassent',
    'tutoyasses',
    'tutoyassiez',
    'tutoyassions',
    'tutoyer',
    'tutoyeur',
    'tutoyeurs',
    'tutoyeuse',
    'tutoyeuses',
    'tutoyez',
    'tutoyiez',
    'tutoyions',
    'tutoyons',
    'tutoyâmes',
    'tutoyât',
    'tutoyâtes',
    'tutoyèrent',
    'tutoyé',
    'tutoyée',
    'tutoyées',
    'tutoyés',
    'tutrice',
    'tutrices',
    'tutti',
    'tutu',
    'tutus',
    'tutélaire',
    'tutélaires',
    'tuyau',
    'tuyauta',
    'tuyautage',
    'tuyautages',
    'tuyautai',
    'tuyautaient',
    'tuyautais',
    'tuyautait',
    'tuyautant',
    'tuyautas',
    'tuyautasse',
    'tuyautassent',
    'tuyautasses',
    'tuyautassiez',
    'tuyaute',
    'tuyautent',
    'tuyauter',
    'tuyautera',
    'tuyauterai',
    'tuyauterais',
    'tuyauterait',
    'tuyauteras',
    'tuyauterez',
    'tuyauterie',
    'tuyauteries',
    'tuyauteriez',
    'tuyauterions',
    'tuyauterons',
    'tuyauteront',
    'tuyautes',
    'tuyauteur',
    'tuyauteurs',
    'tuyauteuse',
    'tuyauteuses',
    'tuyautez',
    'tuyautiez',
    'tuyautions',
    'tuyautons',
    'tuyautâmes',
    'tuyautât',
    'tuyautâtes',
    'tuyautèrent',
    'tuyauté',
    'tuyautée',
    'tuyautées',
    'tuyautés',
    'tuyaux',
    'tuyère',
    'tuyères',
    'tuâmes',
    'tuât',
    'tuâtes',
    'tuèrent',
    'tuée',
    'tuées',
    'tués',
    'tweed',
    'tweeds',
    'twist',
    'twista',
    'twistai',
    'twistaient',
    'twistais',
    'twistait',
    'twistant',
    'twistas',
    'twistasse',
    'twistassent',
    'twistasses',
    'twistassiez',
    'twistassions',
    'twiste',
    'twistent',
    'twister',
    'twistera',
    'twisterai',
    'twisteraient',
    'twisterais',
    'twisterait',
    'twisteras',
    'twisterez',
    'twisteriez',
    'twisterions',
    'twisterons',
    'twisteront',
    'twistes',
    'twistez',
    'twistiez',
    'twistions',
    'twistons',
    'twists',
    'twistâmes',
    'twistât',
    'twistâtes',
    'twistèrent',
    'twisté',
    'tylenchus',
    'tympan',
    'tympanal',
    'tympanaux',
    'tympanique',
    'tympaniques',
    'tympanisa',
    'tympanisai',
    'tympanisais',
    'tympanisait',
    'tympanisant',
    'tympanisas',
    'tympanisasse',
    'tympanise',
    'tympanisent',
    'tympaniser',
    'tympanisera',
    'tympaniserai',
    'tympaniseras',
    'tympaniserez',
    'tympanises',
    'tympanisez',
    'tympanisiez',
    'tympanisions',
    'tympanisme',
    'tympanismes',
    'tympanisons',
    'tympanisâmes',
    'tympanisât',
    'tympanisâtes',
    'tympanisé',
    'tympanisée',
    'tympanisées',
    'tympanisés',
    'tympanon',
    'tympanons',
    'tympans',
    'typa',
    'typai',
    'typaient',
    'typais',
    'typait',
    'typant',
    'typas',
    'typasse',
    'typassent',
    'typasses',
    'typassiez',
    'typassions',
    'type',
    'typent',
    'typer',
    'typera',
    'typerai',
    'typeraient',
    'typerais',
    'typerait',
    'typeras',
    'typerez',
    'typeriez',
    'typerions',
    'typerons',
    'typeront',
    'types',
    'typez',
    'typha',
    'typhas',
    'typhique',
    'typhiques',
    'typhlite',
    'typhlites',
    'typhomycine',
    'typhomycines',
    'typhon',
    'typhons',
    'typhose',
    'typhoses',
    'typhoïde',
    'typhoïdes',
    'typhoïdique',
    'typhoïdiques',
    'typhus',
    'typiez',
    'typions',
    'typique',
    'typiquement',
    'typiques',
    'typisa',
    'typisai',
    'typisaient',
    'typisais',
    'typisait',
    'typisant',
    'typisas',
    'typisasse',
    'typisassent',
    'typisasses',
    'typisassiez',
    'typisassions',
    'typise',
    'typisent',
    'typiser',
    'typisera',
    'typiserai',
    'typiseraient',
    'typiserais',
    'typiserait',
    'typiseras',
    'typiserez',
    'typiseriez',
    'typiserions',
    'typiserons',
    'typiseront',
    'typises',
    'typisez',
    'typisiez',
    'typisions',
    'typisons',
    'typisâmes',
    'typisât',
    'typisâtes',
    'typisèrent',
    'typisé',
    'typisée',
    'typisées',
    'typisés',
    'typo',
    'typochromie',
    'typochromies',
    'typographe',
    'typographes',
    'typographie',
    'typographies',
    'typologie',
    'typologies',
    'typologique',
    'typologiques',
    'typomètre',
    'typomètres',
    'typon',
    'typons',
    'typos',
    'typtologie',
    'typtologies',
    'typâmes',
    'typât',
    'typâtes',
    'typèrent',
    'typé',
    'typée',
    'typées',
    'typés',
    'tyran',
    'tyranneau',
    'tyranneaux',
    'tyrannicide',
    'tyrannicides',
    'tyrannie',
    'tyrannies',
    'tyrannique',
    'tyranniques',
    'tyrannisa',
    'tyrannisai',
    'tyrannisais',
    'tyrannisait',
    'tyrannisant',
    'tyrannisante',
    'tyrannisants',
    'tyrannisas',
    'tyrannisasse',
    'tyrannise',
    'tyrannisent',
    'tyranniser',
    'tyrannisera',
    'tyranniserai',
    'tyranniseras',
    'tyranniserez',
    'tyrannises',
    'tyrannisez',
    'tyrannisiez',
    'tyrannisions',
    'tyrannisons',
    'tyrannisâmes',
    'tyrannisât',
    'tyrannisâtes',
    'tyrannisé',
    'tyrannisée',
    'tyrannisées',
    'tyrannisés',
    'tyrannosaure',
    'tyrans',
    'tyrolien',
    'tyrolienne',
    'tyroliennes',
    'tyroliens',
    'tyrosine',
    'tyrosines',
    'tzar',
    'tzarine',
    'tzarines',
    'tzars',
    'tzigane',
    'tziganes',
    'tâcha',
    'tâchai',
    'tâchaient',
    'tâchais',
    'tâchait',
    'tâchant',
    'tâchante',
    'tâchantes',
    'tâchants',
    'tâchas',
    'tâchasse',
    'tâchassent',
    'tâchasses',
    'tâchassiez',
    'tâchassions',
    'tâche',
    'tâchent',
    'tâcher',
    'tâchera',
    'tâcherai',
    'tâcheraient',
    'tâcherais',
    'tâcherait',
    'tâcheras',
    'tâcherez',
    'tâcheriez',
    'tâcherions',
    'tâcheron',
    'tâcherons',
    'tâcheront',
    'tâches',
    'tâchez',
    'tâchiez',
    'tâchions',
    'tâchons',
    'tâchâmes',
    'tâchât',
    'tâchâtes',
    'tâchèrent',
    'tâché',
    'tâchée',
    'tâchées',
    'tâchés',
    'tâta',
    'tâtai',
    'tâtaient',
    'tâtais',
    'tâtait',
    'tâtant',
    'tâtas',
    'tâtasse',
    'tâtassent',
    'tâtasses',
    'tâtassiez',
    'tâtassions',
    'tâte',
    'tâtent',
    'tâter',
    'tâtera',
    'tâterai',
    'tâteraient',
    'tâterais',
    'tâterait',
    'tâteras',
    'tâterez',
    'tâteriez',
    'tâterions',
    'tâterons',
    'tâteront',
    'tâtes',
    'tâteur',
    'tâteurs',
    'tâtez',
    'tâtiez',
    'tâtions',
    'tâtonna',
    'tâtonnai',
    'tâtonnaient',
    'tâtonnais',
    'tâtonnait',
    'tâtonnant',
    'tâtonnante',
    'tâtonnantes',
    'tâtonnants',
    'tâtonnas',
    'tâtonnasse',
    'tâtonnassent',
    'tâtonnasses',
    'tâtonnassiez',
    'tâtonne',
    'tâtonnement',
    'tâtonnements',
    'tâtonnent',
    'tâtonner',
    'tâtonnera',
    'tâtonnerai',
    'tâtonnerais',
    'tâtonnerait',
    'tâtonneras',
    'tâtonnerez',
    'tâtonneriez',
    'tâtonnerions',
    'tâtonnerons',
    'tâtonneront',
    'tâtonnes',
    'tâtonnez',
    'tâtonniez',
    'tâtonnions',
    'tâtonnons',
    'tâtonnâmes',
    'tâtonnât',
    'tâtonnâtes',
    'tâtonnèrent',
    'tâtonné',
    'tâtons',
    'tâtâmes',
    'tâtât',
    'tâtâtes',
    'tâtèrent',
    'tâté',
    'tâtée',
    'tâtées',
    'tâtés',
    'tænia',
    'tænias',
    'tènement',
    'tènements',
    'tète',
    'tètent',
    'tètes',
    'tégument',
    'tégumentaire',
    'téguments',
    'tégénaire',
    'tégénaires',
    'télamon',
    'télamons',
    'télencéphale',
    'télescopa',
    'télescopage',
    'télescopages',
    'télescopai',
    'télescopais',
    'télescopait',
    'télescopant',
    'télescopas',
    'télescopasse',
    'télescope',
    'télescopent',
    'télescoper',
    'télescopera',
    'télescoperai',
    'télescoperas',
    'télescoperez',
    'télescopes',
    'télescopez',
    'télescopiez',
    'télescopions',
    'télescopique',
    'télescopons',
    'télescopâmes',
    'télescopât',
    'télescopâtes',
    'télescopé',
    'télescopée',
    'télescopées',
    'télescopés',
    'télesthésie',
    'télesthésies',
    'télex',
    'télexa',
    'télexai',
    'télexaient',
    'télexais',
    'télexait',
    'télexant',
    'télexas',
    'télexasse',
    'télexassent',
    'télexasses',
    'télexassiez',
    'télexassions',
    'télexe',
    'télexent',
    'télexer',
    'télexera',
    'télexerai',
    'télexeraient',
    'télexerais',
    'télexerait',
    'télexeras',
    'télexerez',
    'télexeriez',
    'télexerions',
    'télexerons',
    'télexeront',
    'télexes',
    'télexez',
    'télexiez',
    'télexions',
    'télexiste',
    'télexistes',
    'télexons',
    'télexâmes',
    'télexât',
    'télexâtes',
    'télexèrent',
    'télexé',
    'télexée',
    'télexées',
    'télexés',
    'télolécithe',
    'télolécithes',
    'télophase',
    'télophases',
    'télé',
    'télébenne',
    'télébennes',
    'télécabine',
    'télécabines',
    'télécinéma',
    'télécinémas',
    'télécommanda',
    'télécommande',
    'télécommandé',
    'télécopia',
    'télécopiai',
    'télécopiais',
    'télécopiait',
    'télécopiant',
    'télécopias',
    'télécopiasse',
    'télécopie',
    'télécopient',
    'télécopier',
    'télécopiera',
    'télécopierai',
    'télécopieras',
    'télécopierez',
    'télécopies',
    'télécopieur',
    'télécopieurs',
    'télécopiez',
    'télécopiiez',
    'télécopiions',
    'télécopions',
    'télécopiâmes',
    'télécopiât',
    'télécopiâtes',
    'télécopié',
    'télécopiée',
    'télécopiées',
    'télécopiés',
    'télédiffusa',
    'télédiffusai',
    'télédiffusas',
    'télédiffuse',
    'télédiffuser',
    'télédiffuses',
    'télédiffusez',
    'télédiffusât',
    'télédiffusé',
    'télédiffusée',
    'télédiffusés',
    'téléfilm',
    'téléfilms',
    'téléférique',
    'téléfériques',
    'téléga',
    'télégas',
    'télégestion',
    'télégestions',
    'télégramme',
    'télégrammes',
    'télégraphe',
    'télégraphes',
    'télégraphia',
    'télégraphiai',
    'télégraphias',
    'télégraphie',
    'télégraphier',
    'télégraphies',
    'télégraphiez',
    'télégraphiât',
    'télégraphié',
    'télégraphiée',
    'télégraphiés',
    'téléguida',
    'téléguidage',
    'téléguidages',
    'téléguidai',
    'téléguidais',
    'téléguidait',
    'téléguidant',
    'téléguidas',
    'téléguidasse',
    'téléguide',
    'téléguident',
    'téléguider',
    'téléguidera',
    'téléguiderai',
    'téléguideras',
    'téléguiderez',
    'téléguides',
    'téléguidez',
    'téléguidiez',
    'téléguidions',
    'téléguidons',
    'téléguidâmes',
    'téléguidât',
    'téléguidâtes',
    'téléguidé',
    'téléguidée',
    'téléguidées',
    'téléguidés',
    'télégénique',
    'télégéniques',
    'télékinésie',
    'télékinésies',
    'télémark',
    'télémarks',
    'télématique',
    'télématiques',
    'télémesure',
    'télémesures',
    'télémètre',
    'télémètrent',
    'télémètres',
    'télémétra',
    'télémétrai',
    'télémétrais',
    'télémétrait',
    'télémétrant',
    'télémétras',
    'télémétrasse',
    'télémétrer',
    'télémétrera',
    'télémétrerai',
    'télémétreras',
    'télémétrerez',
    'télémétreur',
    'télémétreurs',
    'télémétrez',
    'télémétrie',
    'télémétries',
    'télémétriez',
    'télémétrions',
    'télémétrique',
    'télémétrons',
    'télémétrâmes',
    'télémétrât',
    'télémétrâtes',
    'télémétré',
    'télémétrée',
    'télémétrées',
    'télémétrés',
    'téléobjectif',
    'téléologie',
    'téléologies',
    'téléologique',
    'téléonomie',
    'téléonomies',
    'téléosaure',
    'téléosaures',
    'téléostéen',
    'téléostéens',
    'télépathe',
    'télépathes',
    'télépathie',
    'télépathies',
    'télépathique',
    'téléphona',
    'téléphonage',
    'téléphonages',
    'téléphonai',
    'téléphonais',
    'téléphonait',
    'téléphonant',
    'téléphonas',
    'téléphonasse',
    'téléphone',
    'téléphonent',
    'téléphoner',
    'téléphonera',
    'téléphonerai',
    'téléphoneras',
    'téléphonerez',
    'téléphones',
    'téléphonez',
    'téléphonie',
    'téléphonies',
    'téléphoniez',
    'téléphonions',
    'téléphonique',
    'téléphoniste',
    'téléphonons',
    'téléphonâmes',
    'téléphonât',
    'téléphonâtes',
    'téléphoné',
    'téléphonée',
    'téléphonées',
    'téléphonés',
    'téléphérage',
    'téléphérages',
    'téléphérique',
    'télépointage',
    'téléradio',
    'téléradios',
    'télés',
    'téléscaphe',
    'téléscaphes',
    'télésiège',
    'télésièges',
    'téléski',
    'téléskis',
    'télétexte',
    'télétextes',
    'téléthèque',
    'téléthèques',
    'télétoxique',
    'télétoxiques',
    'télétravail',
    'télétravails',
    'télétype',
    'télétypes',
    'télévisa',
    'télévisai',
    'télévisaient',
    'télévisais',
    'télévisait',
    'télévisant',
    'télévisas',
    'télévisasse',
    'télévisasses',
    'télévise',
    'télévisent',
    'téléviser',
    'télévisera',
    'téléviserai',
    'téléviserais',
    'téléviserait',
    'téléviseras',
    'téléviserez',
    'téléviseriez',
    'téléviserons',
    'téléviseront',
    'télévises',
    'téléviseur',
    'téléviseurs',
    'télévisez',
    'télévisiez',
    'télévision',
    'télévisions',
    'télévisons',
    'télévisuel',
    'télévisuelle',
    'télévisuels',
    'télévisâmes',
    'télévisât',
    'télévisâtes',
    'télévisèrent',
    'télévisé',
    'télévisée',
    'télévisées',
    'télévisés',
    'témoigna',
    'témoignage',
    'témoignages',
    'témoignai',
    'témoignaient',
    'témoignais',
    'témoignait',
    'témoignant',
    'témoignas',
    'témoignasse',
    'témoignasses',
    'témoigne',
    'témoignent',
    'témoigner',
    'témoignera',
    'témoignerai',
    'témoignerais',
    'témoignerait',
    'témoigneras',
    'témoignerez',
    'témoigneriez',
    'témoignerons',
    'témoigneront',
    'témoignes',
    'témoignez',
    'témoigniez',
    'témoignions',
    'témoignons',
    'témoignâmes',
    'témoignât',
    'témoignâtes',
    'témoignèrent',
    'témoigné',
    'témoignée',
    'témoignées',
    'témoignés',
    'témoin',
    'témoins',
    'téméraire',
    'téméraires',
    'témérité',
    'témérités',
    'ténacité',
    'ténacités',
    'ténesme',
    'ténesmes',
    'ténia',
    'ténias',
    'ténifuge',
    'ténifuges',
    'ténor',
    'ténorino',
    'ténorinos',
    'ténorisa',
    'ténorisai',
    'ténorisaient',
    'ténorisais',
    'ténorisait',
    'ténorisant',
    'ténorisas',
    'ténorisasse',
    'ténorisasses',
    'ténorise',
    'ténorisent',
    'ténoriser',
    'ténorisera',
    'ténoriserai',
    'ténoriserais',
    'ténoriserait',
    'ténoriseras',
    'ténoriserez',
    'ténoriseriez',
    'ténoriserons',
    'ténoriseront',
    'ténorises',
    'ténorisez',
    'ténorisiez',
    'ténorisions',
    'ténorisons',
    'ténorisâmes',
    'ténorisât',
    'ténorisâtes',
    'ténorisèrent',
    'ténorisé',
    'ténorite',
    'ténorites',
    'ténors',
    'ténotomie',
    'ténotomies',
    'ténu',
    'ténue',
    'ténues',
    'ténuité',
    'ténuités',
    'ténus',
    'ténèbres',
    'ténébreuse',
    'ténébreuses',
    'ténébreux',
    'ténébrion',
    'ténébrions',
    'téorbe',
    'téorbes',
    'tératogenèse',
    'tératogène',
    'tératogènes',
    'tératogénie',
    'tératogénies',
    'tératologie',
    'tératologies',
    'tératologue',
    'tératologues',
    'térébelle',
    'térébelles',
    'térébenthine',
    'térébinthe',
    'térébinthes',
    'térébique',
    'térébiques',
    'térébrant',
    'térébrante',
    'térébrantes',
    'térébrants',
    'térébratule',
    'térébratules',
    'téta',
    'tétai',
    'tétaient',
    'tétais',
    'tétait',
    'tétanie',
    'tétanies',
    'tétanique',
    'tétaniques',
    'tétanisa',
    'tétanisai',
    'tétanisaient',
    'tétanisais',
    'tétanisait',
    'tétanisant',
    'tétanisante',
    'tétanisantes',
    'tétanisants',
    'tétanisas',
    'tétanisasse',
    'tétanisasses',
    'tétanisation',
    'tétanise',
    'tétanisent',
    'tétaniser',
    'tétanisera',
    'tétaniserai',
    'tétaniserais',
    'tétaniserait',
    'tétaniseras',
    'tétaniserez',
    'tétaniseriez',
    'tétaniserons',
    'tétaniseront',
    'tétanises',
    'tétanisez',
    'tétanisiez',
    'tétanisions',
    'tétanisme',
    'tétanismes',
    'tétanisons',
    'tétanisâmes',
    'tétanisât',
    'tétanisâtes',
    'tétanisèrent',
    'tétanisé',
    'tétanisée',
    'tétanisées',
    'tétanisés',
    'tétanos',
    'tétant',
    'tétas',
    'tétasse',
    'tétassent',
    'tétasses',
    'tétassiez',
    'tétassions',
    'téter',
    'tétera',
    'téterai',
    'téteraient',
    'téterais',
    'téterait',
    'téteras',
    'téterelle',
    'téterelles',
    'téterez',
    'téteriez',
    'téterions',
    'téterons',
    'téteront',
    'tétez',
    'tétiez',
    'tétin',
    'tétine',
    'tétines',
    'tétins',
    'tétions',
    'téton',
    'tétonnière',
    'tétonnières',
    'tétons',
    'tétra',
    'tétracorde',
    'tétracordes',
    'tétracycline',
    'tétradactyle',
    'tétrade',
    'tétrades',
    'tétragone',
    'tétragones',
    'tétralogie',
    'tétralogies',
    'tétramère',
    'tétramères',
    'tétramètre',
    'tétramètres',
    'tétraphonie',
    'tétraphonies',
    'tétraploïde',
    'tétraploïdes',
    'tétraploïdie',
    'tétraplégie',
    'tétraplégies',
    'tétrapode',
    'tétrapodes',
    'tétraptère',
    'tétraptères',
    'tétrarchat',
    'tétrarchats',
    'tétrarchie',
    'tétrarchies',
    'tétrarque',
    'tétrarques',
    'tétras',
    'tétrastyle',
    'tétrastyles',
    'tétrasyllabe',
    'tétratomique',
    'tétrodon',
    'tétrodons',
    'tétâmes',
    'tétât',
    'tétâtes',
    'tétèrent',
    'tété',
    'tétée',
    'tétées',
    'tétés',
    'têtard',
    'têtards',
    'tête',
    'têteau',
    'têteaux',
    'têtes',
    'têtière',
    'têtières',
    'têtu',
    'têtue',
    'têtues',
    'têtus',
    'tînmes',
    'tînt',
    'tîntes',
    'tôle',
    'tôlerie',
    'tôleries',
    'tôles',
    'tôlier',
    'tôliers',
    'tôlière',
    'tôlières',
    'tôlée',
    'tôlées',
    'tûmes',
    'tûtes',
    'ubac',
    'ubacs',
    'ubicuité',
    'ubicuités',
    'ubiquité',
    'ubiquités',
    'ubuesque',
    'ubuesques',
    'ukase',
    'ukases',
    'ukrainien',
    'ukrainienne',
    'ukrainiennes',
    'ukrainiens',
    'ulcère',
    'ulcèrent',
    'ulcères',
    'ulcéra',
    'ulcérai',
    'ulcéraient',
    'ulcérais',
    'ulcérait',
    'ulcérant',
    'ulcéras',
    'ulcérasse',
    'ulcérassent',
    'ulcérasses',
    'ulcérassiez',
    'ulcérassions',
    'ulcératif',
    'ulcératifs',
    'ulcération',
    'ulcérations',
    'ulcérative',
    'ulcératives',
    'ulcérer',
    'ulcérera',
    'ulcérerai',
    'ulcéreraient',
    'ulcérerais',
    'ulcérerait',
    'ulcéreras',
    'ulcérerez',
    'ulcéreriez',
    'ulcérerions',
    'ulcérerons',
    'ulcéreront',
    'ulcéreuse',
    'ulcéreuses',
    'ulcéreux',
    'ulcérez',
    'ulcériez',
    'ulcérions',
    'ulcérons',
    'ulcéroïde',
    'ulcéroïdes',
    'ulcérâmes',
    'ulcérât',
    'ulcérâtes',
    'ulcérèrent',
    'ulcéré',
    'ulcérée',
    'ulcérées',
    'ulcérés',
    'uliginaire',
    'uliginaires',
    'ulmaire',
    'ulmaires',
    'ulnaire',
    'ulnaires',
    'ultimatum',
    'ultimatums',
    'ultime',
    'ultimement',
    'ultimes',
    'ultimo',
    'ultra',
    'ultracourt',
    'ultracourte',
    'ultracourtes',
    'ultracourts',
    'ultrafiltre',
    'ultrafiltres',
    'ultramoderne',
    'ultramontain',
    'ultras',
    'ultrason',
    'ultrasonique',
    'ultrasonores',
    'ultrasons',
    'ultraviolet',
    'ultraviolets',
    'ultérieur',
    'ultérieure',
    'ultérieures',
    'ultérieurs',
    'ulula',
    'ululai',
    'ululaient',
    'ululais',
    'ululait',
    'ululant',
    'ululas',
    'ululasse',
    'ululassent',
    'ululasses',
    'ululassiez',
    'ululassions',
    'ulule',
    'ululement',
    'ululements',
    'ululent',
    'ululer',
    'ululera',
    'ululerai',
    'ululeraient',
    'ululerais',
    'ululerait',
    'ululeras',
    'ululerez',
    'ululeriez',
    'ululerions',
    'ululerons',
    'ululeront',
    'ulules',
    'ululez',
    'ululiez',
    'ululions',
    'ululons',
    'ululâmes',
    'ululât',
    'ululâtes',
    'ululèrent',
    'ululé',
    'ulve',
    'ulves',
    'uléma',
    'ulémas',
    'unanime',
    'unanimement',
    'unanimes',
    'unanimisme',
    'unanimismes',
    'unanimiste',
    'unanimistes',
    'unanimité',
    'unanimités',
    'unau',
    'unaus',
    'unciforme',
    'unciformes',
    'unciné',
    'uncinée',
    'uncinées',
    'uncinés',
    'underground',
    'unes',
    'unguifère',
    'unguifères',
    'unguis',
    'unguéal',
    'unguéale',
    'unguéales',
    'unguéaux',
    'uniate',
    'uniates',
    'uniaxe',
    'uniaxes',
    'unicaule',
    'unicaules',
    'unicité',
    'unicités',
    'unicolore',
    'unicolores',
    'unicorne',
    'unicornes',
    'unie',
    'unies',
    'unifia',
    'unifiai',
    'unifiaient',
    'unifiais',
    'unifiait',
    'unifiant',
    'unifias',
    'unifiasse',
    'unifiassent',
    'unifiasses',
    'unifiassiez',
    'unifiassions',
    'unificateur',
    'unificateurs',
    'unification',
    'unifications',
    'unificatrice',
    'unifie',
    'unifient',
    'unifier',
    'unifiera',
    'unifierai',
    'unifieraient',
    'unifierais',
    'unifierait',
    'unifieras',
    'unifierez',
    'unifieriez',
    'unifierions',
    'unifierons',
    'unifieront',
    'unifies',
    'unifiez',
    'unifiiez',
    'unifiions',
    'unifilaire',
    'unifilaires',
    'unifions',
    'unifiâmes',
    'unifiât',
    'unifiâtes',
    'unifièrent',
    'unifié',
    'unifiée',
    'unifiées',
    'unifiés',
    'uniflore',
    'uniflores',
    'unifolié',
    'unifoliée',
    'unifoliées',
    'unifoliés',
    'uniforme',
    'uniformes',
    'uniformisa',
    'uniformisai',
    'uniformisais',
    'uniformisait',
    'uniformisant',
    'uniformisas',
    'uniformise',
    'uniformisent',
    'uniformiser',
    'uniformisera',
    'uniformises',
    'uniformisez',
    'uniformisiez',
    'uniformisons',
    'uniformisât',
    'uniformisé',
    'uniformisée',
    'uniformisées',
    'uniformisés',
    'uniformité',
    'uniformités',
    'uniformément',
    'unijambiste',
    'unijambistes',
    'unilatéral',
    'unilatérale',
    'unilatérales',
    'unilatéraux',
    'unilingue',
    'unilingues',
    'unilinéaire',
    'unilinéaires',
    'unilobé',
    'unilobée',
    'unilobées',
    'unilobés',
    'uniloculaire',
    'uniment',
    'uninominal',
    'uninominale',
    'uninominales',
    'uninominaux',
    'union',
    'unions',
    'unipare',
    'unipares',
    'unique',
    'uniquement',
    'uniques',
    'unir',
    'unira',
    'unirai',
    'uniraient',
    'unirais',
    'unirait',
    'uniras',
    'unirent',
    'unirez',
    'uniriez',
    'unirions',
    'unirons',
    'uniront',
    'unis',
    'unisexe',
    'unisexes',
    'unisexualité',
    'unisexué',
    'unisexuée',
    'unisexuées',
    'unisexués',
    'unissaient',
    'unissais',
    'unissait',
    'unissant',
    'unisse',
    'unissent',
    'unisses',
    'unissez',
    'unissiez',
    'unissions',
    'unisson',
    'unissons',
    'unit',
    'unitaire',
    'unitaires',
    'unitarien',
    'unitarienne',
    'unitariennes',
    'unitariens',
    'unitarisme',
    'unitarismes',
    'unitif',
    'unitifs',
    'unitive',
    'unitives',
    'unité',
    'unités',
    'univalve',
    'univalves',
    'univers',
    'universalisa',
    'universalise',
    'universalisé',
    'universalité',
    'universaux',
    'universel',
    'universelle',
    'universelles',
    'universels',
    'université',
    'universités',
    'univitellin',
    'univitelline',
    'univitellins',
    'univocité',
    'univocités',
    'univoque',
    'univoques',
    'unième',
    'unièmement',
    'unièmes',
    'unîmes',
    'unît',
    'unîtes',
    'upas',
    'uppercut',
    'uppercuts',
    'upsilon',
    'upérisation',
    'upérisations',
    'upériser',
    'uracile',
    'uraciles',
    'uraeus',
    'uranate',
    'uranates',
    'urane',
    'uranes',
    'uranie',
    'uranies',
    'uranifère',
    'uranifères',
    'uraninite',
    'uraninites',
    'uranique',
    'uraniques',
    'uranisme',
    'uranismes',
    'uranium',
    'uraniums',
    'uranographie',
    'uranoplastie',
    'uranoscope',
    'uranoscopes',
    'uranyle',
    'uranyles',
    'urate',
    'urates',
    'urbain',
    'urbaine',
    'urbaines',
    'urbains',
    'urbanisa',
    'urbanisai',
    'urbanisaient',
    'urbanisais',
    'urbanisait',
    'urbanisant',
    'urbanisas',
    'urbanisasse',
    'urbanisasses',
    'urbanisation',
    'urbanise',
    'urbanisent',
    'urbaniser',
    'urbanisera',
    'urbaniserai',
    'urbaniserais',
    'urbaniserait',
    'urbaniseras',
    'urbaniserez',
    'urbaniseriez',
    'urbaniserons',
    'urbaniseront',
    'urbanises',
    'urbanisez',
    'urbanisiez',
    'urbanisions',
    'urbanisme',
    'urbanismes',
    'urbanisons',
    'urbaniste',
    'urbanistes',
    'urbanistique',
    'urbanisâmes',
    'urbanisât',
    'urbanisâtes',
    'urbanisèrent',
    'urbanisé',
    'urbanisée',
    'urbanisées',
    'urbanisés',
    'urbanité',
    'urbanités',
    'urcéolé',
    'urcéolée',
    'urcéolées',
    'urcéolés',
    'ures',
    'uretère',
    'uretères',
    'urge',
    'urgea',
    'urgeaient',
    'urgeait',
    'urgeant',
    'urgence',
    'urgences',
    'urgent',
    'urgente',
    'urgentes',
    'urgents',
    'urger',
    'urgera',
    'urgeraient',
    'urgerait',
    'urgeront',
    'urgeât',
    'urgèrent',
    'urgé',
    'urgée',
    'urgées',
    'urgés',
    'uricémie',
    'uricémies',
    'urina',
    'urinai',
    'urinaient',
    'urinaire',
    'urinaires',
    'urinais',
    'urinait',
    'urinal',
    'urinant',
    'urinas',
    'urinasse',
    'urinassent',
    'urinasses',
    'urinassiez',
    'urinassions',
    'urinaux',
    'urine',
    'urinent',
    'uriner',
    'urinera',
    'urinerai',
    'urineraient',
    'urinerais',
    'urinerait',
    'urineras',
    'urinerez',
    'urineriez',
    'urinerions',
    'urinerons',
    'urineront',
    'urines',
    'urineuse',
    'urineuses',
    'urineux',
    'urinez',
    'uriniez',
    'urinifère',
    'urinifères',
    'urinions',
    'urinoir',
    'urinoirs',
    'urinons',
    'urinâmes',
    'urinât',
    'urinâtes',
    'urinèrent',
    'uriné',
    'urique',
    'uriques',
    'urlcolor',
    'urne',
    'urnes',
    'urobiline',
    'urobilines',
    'urobilinurie',
    'urochrome',
    'urochromes',
    'urographie',
    'urographies',
    'urolagnie',
    'urolagnies',
    'urologie',
    'urologies',
    'urologue',
    'urologues',
    'uromètre',
    'uromètres',
    'uropode',
    'uropodes',
    'uropygial',
    'uropygiale',
    'uropygiales',
    'uropygiaux',
    'uropygien',
    'uropygienne',
    'uropygiennes',
    'uropygiens',
    'ursuline',
    'ursulines',
    'urticaire',
    'urticaires',
    'urticant',
    'urticante',
    'urticantes',
    'urticants',
    'urtication',
    'urtications',
    'urubu',
    'urubus',
    'uruguayen',
    'uruguayenne',
    'uruguayennes',
    'uruguayens',
    'urus',
    'urètre',
    'urètres',
    'urédospore',
    'urédospores',
    'urée',
    'urées',
    'uréide',
    'uréides',
    'urémie',
    'urémies',
    'urémique',
    'urémiques',
    'uréthanne',
    'uréthannes',
    'urétral',
    'urétrale',
    'urétrales',
    'urétraux',
    'urétrite',
    'urétrites',
    'urétéral',
    'urétérale',
    'urétérales',
    'urétéraux',
    'urétérite',
    'urétérites',
    'usage',
    'usager',
    'usagers',
    'usages',
    'usagé',
    'usagée',
    'usagées',
    'usagés',
    'usai',
    'usaient',
    'usais',
    'usait',
    'usant',
    'usante',
    'usantes',
    'usants',
    'usas',
    'usasse',
    'usassent',
    'usasses',
    'usassiez',
    'usassions',
    'usent',
    'user',
    'usera',
    'userai',
    'useraient',
    'userais',
    'userait',
    'useras',
    'userez',
    'useriez',
    'userions',
    'userons',
    'useront',
    'uses',
    'usez',
    'usiez',
    'usina',
    'usinage',
    'usinages',
    'usinai',
    'usinaient',
    'usinais',
    'usinait',
    'usinant',
    'usinas',
    'usinasse',
    'usinassent',
    'usinasses',
    'usinassiez',
    'usinassions',
    'usine',
    'usinent',
    'usiner',
    'usinera',
    'usinerai',
    'usineraient',
    'usinerais',
    'usinerait',
    'usineras',
    'usinerez',
    'usineriez',
    'usinerions',
    'usinerons',
    'usineront',
    'usines',
    'usinez',
    'usinier',
    'usiniers',
    'usiniez',
    'usinions',
    'usinière',
    'usinières',
    'usinons',
    'usinâmes',
    'usinât',
    'usinâtes',
    'usinèrent',
    'usiné',
    'usinée',
    'usinées',
    'usinés',
    'usions',
    'usité',
    'usitée',
    'usitées',
    'usités',
    'usnée',
    'usnées',
    'usons',
    'ustensile',
    'ustensiles',
    'usucapion',
    'usucapions',
    'usuel',
    'usuelle',
    'usuellement',
    'usuelles',
    'usuels',
    'usufruit',
    'usufruitier',
    'usufruitiers',
    'usufruitière',
    'usufruits',
    'usuraire',
    'usuraires',
    'usure',
    'usures',
    'usurier',
    'usuriers',
    'usurière',
    'usurières',
    'usurpa',
    'usurpai',
    'usurpaient',
    'usurpais',
    'usurpait',
    'usurpant',
    'usurpas',
    'usurpasse',
    'usurpassent',
    'usurpasses',
    'usurpassiez',
    'usurpassions',
    'usurpateur',
    'usurpateurs',
    'usurpation',
    'usurpations',
    'usurpatoire',
    'usurpatoires',
    'usurpatrice',
    'usurpatrices',
    'usurpe',
    'usurpent',
    'usurper',
    'usurpera',
    'usurperai',
    'usurperaient',
    'usurperais',
    'usurperait',
    'usurperas',
    'usurperez',
    'usurperiez',
    'usurperions',
    'usurperons',
    'usurperont',
    'usurpes',
    'usurpez',
    'usurpiez',
    'usurpions',
    'usurpons',
    'usurpâmes',
    'usurpât',
    'usurpâtes',
    'usurpèrent',
    'usurpé',
    'usurpée',
    'usurpées',
    'usurpés',
    'usâmes',
    'usât',
    'usâtes',
    'usèrent',
    'usée',
    'usées',
    'usés',
    'utile',
    'utilement',
    'utiles',
    'utilisa',
    'utilisable',
    'utilisables',
    'utilisai',
    'utilisaient',
    'utilisais',
    'utilisait',
    'utilisant',
    'utilisas',
    'utilisasse',
    'utilisassent',
    'utilisasses',
    'utilisassiez',
    'utilisateur',
    'utilisateurs',
    'utilisation',
    'utilisations',
    'utilisatrice',
    'utilise',
    'utilisent',
    'utiliser',
    'utilisera',
    'utiliserai',
    'utiliserais',
    'utiliserait',
    'utiliseras',
    'utiliserez',
    'utiliseriez',
    'utiliserions',
    'utiliserons',
    'utiliseront',
    'utilises',
    'utilisez',
    'utilisiez',
    'utilisions',
    'utilisons',
    'utilisâmes',
    'utilisât',
    'utilisâtes',
    'utilisèrent',
    'utilisé',
    'utilisée',
    'utilisées',
    'utilisés',
    'utilitaire',
    'utilitaires',
    'utilitarisme',
    'utilitariste',
    'utilité',
    'utilités',
    'utopie',
    'utopies',
    'utopique',
    'utopiques',
    'utopiste',
    'utopistes',
    'utriculaire',
    'utriculaires',
    'utricule',
    'utricules',
    'utriculeuse',
    'utriculeuses',
    'utriculeux',
    'utérin',
    'utérine',
    'utérines',
    'utérins',
    'utérus',
    'uval',
    'uvale',
    'uvales',
    'uvaux',
    'uvula',
    'uvulaire',
    'uvulaires',
    'uvulas',
    'uvule',
    'uvules',
    'uvée',
    'uvées',
    'uvéite',
    'uvéites',
    'uxorilocal',
    'uxorilocale',
    'uxorilocales',
    'uxorilocaux',
    'vacance',
    'vacances',
    'vacancier',
    'vacanciers',
    'vacancière',
    'vacancières',
    'vacant',
    'vacante',
    'vacantes',
    'vacants',
    'vacarme',
    'vacarmes',
    'vacataire',
    'vacataires',
    'vacation',
    'vacations',
    'vaccaire',
    'vaccaires',
    'vaccin',
    'vaccina',
    'vaccinable',
    'vaccinables',
    'vaccinai',
    'vaccinaient',
    'vaccinais',
    'vaccinait',
    'vaccinal',
    'vaccinale',
    'vaccinales',
    'vaccinant',
    'vaccinas',
    'vaccinasse',
    'vaccinassent',
    'vaccinasses',
    'vaccinassiez',
    'vaccinateur',
    'vaccinateurs',
    'vaccination',
    'vaccinations',
    'vaccinatrice',
    'vaccinaux',
    'vaccine',
    'vaccinelle',
    'vaccinelles',
    'vaccinent',
    'vacciner',
    'vaccinera',
    'vaccinerai',
    'vaccinerais',
    'vaccinerait',
    'vaccineras',
    'vaccinerez',
    'vaccineriez',
    'vaccinerions',
    'vaccinerons',
    'vaccineront',
    'vaccines',
    'vaccinez',
    'vaccinide',
    'vaccinides',
    'vaccinier',
    'vacciniers',
    'vacciniez',
    'vaccinifère',
    'vaccinifères',
    'vaccinions',
    'vaccinogène',
    'vaccinogènes',
    'vaccinons',
    'vaccinostyle',
    'vaccinoïde',
    'vaccinoïdes',
    'vaccins',
    'vaccinâmes',
    'vaccinât',
    'vaccinâtes',
    'vaccinèrent',
    'vacciné',
    'vaccinée',
    'vaccinées',
    'vaccinés',
    'vachard',
    'vacharde',
    'vachardes',
    'vachards',
    'vache',
    'vachement',
    'vacher',
    'vacherie',
    'vacheries',
    'vacherin',
    'vacherins',
    'vachers',
    'vaches',
    'vachette',
    'vachettes',
    'vachère',
    'vachères',
    'vacilla',
    'vacillai',
    'vacillaient',
    'vacillais',
    'vacillait',
    'vacillant',
    'vacillante',
    'vacillantes',
    'vacillants',
    'vacillas',
    'vacillasse',
    'vacillassent',
    'vacillasses',
    'vacillassiez',
    'vacillation',
    'vacillations',
    'vacille',
    'vacillement',
    'vacillements',
    'vacillent',
    'vaciller',
    'vacillera',
    'vacillerai',
    'vacillerais',
    'vacillerait',
    'vacilleras',
    'vacillerez',
    'vacilleriez',
    'vacillerions',
    'vacillerons',
    'vacilleront',
    'vacilles',
    'vacillez',
    'vacilliez',
    'vacillions',
    'vacillons',
    'vacillâmes',
    'vacillât',
    'vacillâtes',
    'vacillèrent',
    'vacillé',
    'vacive',
    'vacives',
    'vacuité',
    'vacuités',
    'vacuolaire',
    'vacuolaires',
    'vacuole',
    'vacuoles',
    'vacuolisa',
    'vacuolisai',
    'vacuolisais',
    'vacuolisait',
    'vacuolisant',
    'vacuolisas',
    'vacuolisasse',
    'vacuolise',
    'vacuolisent',
    'vacuoliser',
    'vacuolisera',
    'vacuoliserai',
    'vacuoliseras',
    'vacuoliserez',
    'vacuolises',
    'vacuolisez',
    'vacuolisiez',
    'vacuolisions',
    'vacuolisons',
    'vacuolisâmes',
    'vacuolisât',
    'vacuolisâtes',
    'vacuolisé',
    'vacuolisée',
    'vacuolisées',
    'vacuolisés',
    'vacuome',
    'vacuomes',
    'vacuum',
    'vadrouilla',
    'vadrouillai',
    'vadrouillais',
    'vadrouillait',
    'vadrouillant',
    'vadrouillas',
    'vadrouille',
    'vadrouillent',
    'vadrouiller',
    'vadrouillera',
    'vadrouilles',
    'vadrouillez',
    'vadrouilliez',
    'vadrouillons',
    'vadrouillât',
    'vadrouillé',
    'vadrouillée',
    'vadrouillées',
    'vadrouillés',
    'vagabond',
    'vagabonda',
    'vagabondage',
    'vagabondages',
    'vagabondai',
    'vagabondais',
    'vagabondait',
    'vagabondant',
    'vagabondas',
    'vagabondasse',
    'vagabonde',
    'vagabondent',
    'vagabonder',
    'vagabondera',
    'vagabonderai',
    'vagabonderas',
    'vagabonderez',
    'vagabondes',
    'vagabondez',
    'vagabondiez',
    'vagabondions',
    'vagabondons',
    'vagabonds',
    'vagabondâmes',
    'vagabondât',
    'vagabondâtes',
    'vagabondé',
    'vagabondée',
    'vagabondées',
    'vagabondés',
    'vagi',
    'vagin',
    'vaginal',
    'vaginale',
    'vaginales',
    'vaginaux',
    'vaginisme',
    'vaginismes',
    'vaginite',
    'vaginites',
    'vagins',
    'vagir',
    'vagira',
    'vagirai',
    'vagiraient',
    'vagirais',
    'vagirait',
    'vagiras',
    'vagirez',
    'vagiriez',
    'vagirions',
    'vagirons',
    'vagiront',
    'vagis',
    'vagissaient',
    'vagissais',
    'vagissait',
    'vagissant',
    'vagissante',
    'vagissantes',
    'vagissants',
    'vagisse',
    'vagissement',
    'vagissements',
    'vagissent',
    'vagisses',
    'vagissez',
    'vagissiez',
    'vagissions',
    'vagissons',
    'vagit',
    'vagolytique',
    'vagolytiques',
    'vagotonie',
    'vagotonies',
    'vagotonique',
    'vagotoniques',
    'vagua',
    'vaguai',
    'vaguaient',
    'vaguais',
    'vaguait',
    'vaguant',
    'vaguas',
    'vaguasse',
    'vaguassent',
    'vaguasses',
    'vaguassiez',
    'vaguassions',
    'vague',
    'vaguelette',
    'vaguelettes',
    'vaguement',
    'vaguemestre',
    'vaguemestres',
    'vaguent',
    'vaguer',
    'vaguera',
    'vaguerai',
    'vagueraient',
    'vaguerais',
    'vaguerait',
    'vagueras',
    'vaguerez',
    'vagueriez',
    'vaguerions',
    'vaguerons',
    'vagueront',
    'vagues',
    'vaguez',
    'vaguiez',
    'vaguions',
    'vaguons',
    'vaguâmes',
    'vaguât',
    'vaguâtes',
    'vaguèrent',
    'vagué',
    'vahiné',
    'vahinés',
    'vaigrage',
    'vaigrages',
    'vaigre',
    'vaigres',
    'vaillamment',
    'vaillance',
    'vaillances',
    'vaillant',
    'vaillante',
    'vaillantes',
    'vaillantie',
    'vaillanties',
    'vaillants',
    'vaille',
    'vaillent',
    'vailles',
    'vain',
    'vainc',
    'vaincra',
    'vaincrai',
    'vaincraient',
    'vaincrais',
    'vaincrait',
    'vaincras',
    'vaincre',
    'vaincrez',
    'vaincriez',
    'vaincrions',
    'vaincrons',
    'vaincront',
    'vaincs',
    'vaincu',
    'vaincue',
    'vaincues',
    'vaincus',
    'vaine',
    'vainement',
    'vaines',
    'vainquaient',
    'vainquais',
    'vainquait',
    'vainquant',
    'vainque',
    'vainquent',
    'vainques',
    'vainqueur',
    'vainqueurs',
    'vainquez',
    'vainquiez',
    'vainquions',
    'vainquirent',
    'vainquis',
    'vainquisse',
    'vainquissent',
    'vainquisses',
    'vainquissiez',
    'vainquit',
    'vainquons',
    'vainquîmes',
    'vainquît',
    'vainquîtes',
    'vains',
    'vair',
    'vairon',
    'vaironna',
    'vaironnai',
    'vaironnaient',
    'vaironnais',
    'vaironnait',
    'vaironnant',
    'vaironnas',
    'vaironnasse',
    'vaironnasses',
    'vaironne',
    'vaironnent',
    'vaironner',
    'vaironnera',
    'vaironnerai',
    'vaironnerais',
    'vaironnerait',
    'vaironneras',
    'vaironnerez',
    'vaironneriez',
    'vaironnerons',
    'vaironneront',
    'vaironnes',
    'vaironnez',
    'vaironniez',
    'vaironnions',
    'vaironnons',
    'vaironnâmes',
    'vaironnât',
    'vaironnâtes',
    'vaironnèrent',
    'vaironné',
    'vairons',
    'vairs',
    'vairé',
    'vairée',
    'vairées',
    'vairés',
    'vais',
    'vaisseau',
    'vaisseaux',
    'vaisselier',
    'vaisseliers',
    'vaisselle',
    'vaisselles',
    'valable',
    'valablement',
    'valables',
    'valaient',
    'valais',
    'valait',
    'valant',
    'valdingua',
    'valdinguai',
    'valdinguais',
    'valdinguait',
    'valdinguant',
    'valdinguas',
    'valdinguasse',
    'valdingue',
    'valdinguent',
    'valdinguer',
    'valdinguera',
    'valdinguerai',
    'valdingueras',
    'valdinguerez',
    'valdingues',
    'valdinguez',
    'valdinguiez',
    'valdinguions',
    'valdinguons',
    'valdinguâmes',
    'valdinguât',
    'valdinguâtes',
    'valdingué',
    'valence',
    'valences',
    'valenciennes',
    'valent',
    'valentinite',
    'valentinites',
    'valet',
    'valeta',
    'valetai',
    'valetaient',
    'valetaille',
    'valetailles',
    'valetais',
    'valetait',
    'valetant',
    'valetas',
    'valetasse',
    'valetassent',
    'valetasses',
    'valetassiez',
    'valetassions',
    'valeter',
    'valetera',
    'valeterai',
    'valeteraient',
    'valeterais',
    'valeterait',
    'valeteras',
    'valeterez',
    'valeteriez',
    'valeterions',
    'valeterons',
    'valeteront',
    'valetez',
    'valetiez',
    'valetions',
    'valetons',
    'valets',
    'valette',
    'valettent',
    'valettes',
    'valetâmes',
    'valetât',
    'valetâtes',
    'valetèrent',
    'valeté',
    'valeur',
    'valeureuse',
    'valeureuses',
    'valeureux',
    'valeurs',
    'valez',
    'valgus',
    'valida',
    'validai',
    'validaient',
    'validais',
    'validait',
    'validant',
    'validas',
    'validasse',
    'validassent',
    'validasses',
    'validassiez',
    'validassions',
    'validation',
    'validations',
    'valide',
    'validement',
    'valident',
    'valider',
    'validera',
    'validerai',
    'valideraient',
    'validerais',
    'validerait',
    'valideras',
    'validerez',
    'valideriez',
    'validerions',
    'validerons',
    'valideront',
    'valides',
    'validez',
    'validiez',
    'validions',
    'validité',
    'validités',
    'validons',
    'validâmes',
    'validât',
    'validâtes',
    'validèrent',
    'validé',
    'validée',
    'validées',
    'validés',
    'valiez',
    'valine',
    'valines',
    'valions',
    'valisa',
    'valisai',
    'valisaient',
    'valisais',
    'valisait',
    'valisant',
    'valisas',
    'valisasse',
    'valisassent',
    'valisasses',
    'valisassiez',
    'valisassions',
    'valise',
    'valisent',
    'valiser',
    'valisera',
    'valiserai',
    'valiseraient',
    'valiserais',
    'valiserait',
    'valiseras',
    'valiserez',
    'valiseriez',
    'valiserions',
    'valiserons',
    'valiseront',
    'valises',
    'valisez',
    'valisiez',
    'valisions',
    'valisons',
    'valisâmes',
    'valisât',
    'valisâtes',
    'valisèrent',
    'valisé',
    'valisée',
    'valisées',
    'valisés',
    'valkyrie',
    'valkyries',
    'valleuse',
    'valleuses',
    'vallisnérie',
    'vallisnéries',
    'vallon',
    'vallonna',
    'vallonnai',
    'vallonnaient',
    'vallonnais',
    'vallonnait',
    'vallonnant',
    'vallonnas',
    'vallonnasse',
    'vallonnasses',
    'vallonne',
    'vallonnement',
    'vallonnent',
    'vallonner',
    'vallonnera',
    'vallonnerai',
    'vallonnerais',
    'vallonnerait',
    'vallonneras',
    'vallonnerez',
    'vallonneriez',
    'vallonnerons',
    'vallonneront',
    'vallonnes',
    'vallonnez',
    'vallonniez',
    'vallonnions',
    'vallonnons',
    'vallonnâmes',
    'vallonnât',
    'vallonnâtes',
    'vallonnèrent',
    'vallonné',
    'vallonnée',
    'vallonnées',
    'vallonnés',
    'vallons',
    'vallée',
    'vallées',
    'valoche',
    'valoches',
    'valoir',
    'valons',
    'valorisa',
    'valorisai',
    'valorisaient',
    'valorisais',
    'valorisait',
    'valorisant',
    'valorisante',
    'valorisantes',
    'valorisants',
    'valorisas',
    'valorisasse',
    'valorisasses',
    'valorisation',
    'valorise',
    'valorisent',
    'valoriser',
    'valorisera',
    'valoriserai',
    'valoriserais',
    'valoriserait',
    'valoriseras',
    'valoriserez',
    'valoriseriez',
    'valoriserons',
    'valoriseront',
    'valorises',
    'valorisez',
    'valorisiez',
    'valorisions',
    'valorisons',
    'valorisâmes',
    'valorisât',
    'valorisâtes',
    'valorisèrent',
    'valorisé',
    'valorisée',
    'valorisées',
    'valorisés',
    'valousa',
    'valousai',
    'valousaient',
    'valousais',
    'valousait',
    'valousant',
    'valousas',
    'valousasse',
    'valousassent',
    'valousasses',
    'valousassiez',
    'valouse',
    'valousent',
    'valouser',
    'valousera',
    'valouserai',
    'valouserais',
    'valouserait',
    'valouseras',
    'valouserez',
    'valouseriez',
    'valouserions',
    'valouserons',
    'valouseront',
    'valouses',
    'valousez',
    'valousiez',
    'valousions',
    'valousons',
    'valousâmes',
    'valousât',
    'valousâtes',
    'valousèrent',
    'valousé',
    'valousée',
    'valousées',
    'valousés',
    'vals',
    'valsa',
    'valsai',
    'valsaient',
    'valsais',
    'valsait',
    'valsant',
    'valsas',
    'valsasse',
    'valsassent',
    'valsasses',
    'valsassiez',
    'valsassions',
    'valse',
    'valsent',
    'valser',
    'valsera',
    'valserai',
    'valseraient',
    'valserais',
    'valserait',
    'valseras',
    'valserez',
    'valseriez',
    'valserions',
    'valserons',
    'valseront',
    'valses',
    'valseur',
    'valseurs',
    'valseuse',
    'valseuses',
    'valsez',
    'valsiez',
    'valsions',
    'valsons',
    'valsâmes',
    'valsât',
    'valsâtes',
    'valsèrent',
    'valsé',
    'valsée',
    'valsées',
    'valsés',
    'valu',
    'value',
    'values',
    'valurent',
    'valus',
    'valusse',
    'valussent',
    'valusses',
    'valussiez',
    'valussions',
    'valut',
    'valvaire',
    'valvaires',
    'valve',
    'valves',
    'valvulaire',
    'valvulaires',
    'valvule',
    'valvules',
    'valvé',
    'valvée',
    'valvées',
    'valvés',
    'valériane',
    'valérianelle',
    'valérianes',
    'valérianique',
    'valûmes',
    'valût',
    'valûtes',
    'vamp',
    'vampa',
    'vampai',
    'vampaient',
    'vampais',
    'vampait',
    'vampant',
    'vampas',
    'vampasse',
    'vampassent',
    'vampasses',
    'vampassiez',
    'vampassions',
    'vampe',
    'vampent',
    'vamper',
    'vampera',
    'vamperai',
    'vamperaient',
    'vamperais',
    'vamperait',
    'vamperas',
    'vamperez',
    'vamperiez',
    'vamperions',
    'vamperons',
    'vamperont',
    'vampes',
    'vampez',
    'vampiez',
    'vampions',
    'vampire',
    'vampires',
    'vampirique',
    'vampiriques',
    'vampirisa',
    'vampirisai',
    'vampirisais',
    'vampirisait',
    'vampirisant',
    'vampirisas',
    'vampirisasse',
    'vampirise',
    'vampirisent',
    'vampiriser',
    'vampirisera',
    'vampiriserai',
    'vampiriseras',
    'vampiriserez',
    'vampirises',
    'vampirisez',
    'vampirisiez',
    'vampirisions',
    'vampirisme',
    'vampirismes',
    'vampirisons',
    'vampirisâmes',
    'vampirisât',
    'vampirisâtes',
    'vampirisé',
    'vampirisée',
    'vampirisées',
    'vampirisés',
    'vampons',
    'vamps',
    'vampâmes',
    'vampât',
    'vampâtes',
    'vampèrent',
    'vampé',
    'vampée',
    'vampées',
    'vampés',
    'vanadinite',
    'vanadinites',
    'vanadique',
    'vanadiques',
    'vanadium',
    'vanadiums',
    'vanda',
    'vandale',
    'vandales',
    'vandalisa',
    'vandalisai',
    'vandalisais',
    'vandalisait',
    'vandalisant',
    'vandalisas',
    'vandalisasse',
    'vandalise',
    'vandalisent',
    'vandaliser',
    'vandalisera',
    'vandaliserai',
    'vandaliseras',
    'vandaliserez',
    'vandalises',
    'vandalisez',
    'vandalisiez',
    'vandalisions',
    'vandalisme',
    'vandalismes',
    'vandalisons',
    'vandalisâmes',
    'vandalisât',
    'vandalisâtes',
    'vandalisé',
    'vandalisée',
    'vandalisées',
    'vandalisés',
    'vandas',
    'vandoise',
    'vandoises',
    'vanesse',
    'vanesses',
    'vanille',
    'vanilles',
    'vanillier',
    'vanilliers',
    'vanilline',
    'vanillines',
    'vanillisme',
    'vanillismes',
    'vanillon',
    'vanillons',
    'vanillé',
    'vanillée',
    'vanillées',
    'vanillés',
    'vaniteuse',
    'vaniteuses',
    'vaniteux',
    'vanité',
    'vanités',
    'vanna',
    'vannage',
    'vannages',
    'vannai',
    'vannaient',
    'vannais',
    'vannait',
    'vannant',
    'vannas',
    'vannasse',
    'vannassent',
    'vannasses',
    'vannassiez',
    'vannassions',
    'vanne',
    'vanneau',
    'vanneaux',
    'vannelle',
    'vannelles',
    'vannent',
    'vanner',
    'vannera',
    'vannerai',
    'vanneraient',
    'vannerais',
    'vannerait',
    'vanneras',
    'vannerez',
    'vannerie',
    'vanneries',
    'vanneriez',
    'vannerions',
    'vannerons',
    'vanneront',
    'vannes',
    'vanneur',
    'vanneurs',
    'vanneuse',
    'vanneuses',
    'vannez',
    'vannier',
    'vanniers',
    'vanniez',
    'vannions',
    'vannière',
    'vannières',
    'vannons',
    'vannure',
    'vannures',
    'vannâmes',
    'vannât',
    'vannâtes',
    'vannèrent',
    'vanné',
    'vannée',
    'vannées',
    'vannés',
    'vans',
    'vanta',
    'vantai',
    'vantaient',
    'vantail',
    'vantais',
    'vantait',
    'vantant',
    'vantard',
    'vantarde',
    'vantardes',
    'vantardise',
    'vantardises',
    'vantards',
    'vantas',
    'vantasse',
    'vantassent',
    'vantasses',
    'vantassiez',
    'vantassions',
    'vantaux',
    'vante',
    'vantent',
    'vanter',
    'vantera',
    'vanterai',
    'vanteraient',
    'vanterais',
    'vanterait',
    'vanteras',
    'vanterez',
    'vanterie',
    'vanteries',
    'vanteriez',
    'vanterions',
    'vanterons',
    'vanteront',
    'vantes',
    'vantez',
    'vantiez',
    'vantions',
    'vantons',
    'vantâmes',
    'vantât',
    'vantâtes',
    'vantèrent',
    'vanté',
    'vantée',
    'vantées',
    'vantés',
    'vape',
    'vapes',
    'vapeur',
    'vapeurs',
    'vaporeuse',
    'vaporeuses',
    'vaporeux',
    'vaporisa',
    'vaporisage',
    'vaporisages',
    'vaporisai',
    'vaporisaient',
    'vaporisais',
    'vaporisait',
    'vaporisant',
    'vaporisas',
    'vaporisasse',
    'vaporisasses',
    'vaporisateur',
    'vaporisation',
    'vaporise',
    'vaporisent',
    'vaporiser',
    'vaporisera',
    'vaporiserai',
    'vaporiserais',
    'vaporiserait',
    'vaporiseras',
    'vaporiserez',
    'vaporiseriez',
    'vaporiserons',
    'vaporiseront',
    'vaporises',
    'vaporisez',
    'vaporisiez',
    'vaporisions',
    'vaporisons',
    'vaporisâmes',
    'vaporisât',
    'vaporisâtes',
    'vaporisèrent',
    'vaporisé',
    'vaporisée',
    'vaporisées',
    'vaporisés',
    'vaqua',
    'vaquai',
    'vaquaient',
    'vaquais',
    'vaquait',
    'vaquant',
    'vaquas',
    'vaquasse',
    'vaquassent',
    'vaquasses',
    'vaquassiez',
    'vaquassions',
    'vaque',
    'vaquent',
    'vaquer',
    'vaquera',
    'vaquerai',
    'vaqueraient',
    'vaquerais',
    'vaquerait',
    'vaqueras',
    'vaquerez',
    'vaqueriez',
    'vaquerions',
    'vaquerons',
    'vaqueront',
    'vaques',
    'vaquez',
    'vaquiez',
    'vaquions',
    'vaquons',
    'vaquâmes',
    'vaquât',
    'vaquâtes',
    'vaquèrent',
    'vaqué',
    'varaigne',
    'varaignes',
    'varan',
    'varangue',
    'varangues',
    'varans',
    'varappa',
    'varappai',
    'varappaient',
    'varappais',
    'varappait',
    'varappant',
    'varappas',
    'varappasse',
    'varappassent',
    'varappasses',
    'varappassiez',
    'varappe',
    'varappent',
    'varapper',
    'varappera',
    'varapperai',
    'varapperais',
    'varapperait',
    'varapperas',
    'varapperez',
    'varapperiez',
    'varapperions',
    'varapperons',
    'varapperont',
    'varappes',
    'varappeur',
    'varappeurs',
    'varappeuse',
    'varappeuses',
    'varappez',
    'varappiez',
    'varappions',
    'varappons',
    'varappâmes',
    'varappât',
    'varappâtes',
    'varappèrent',
    'varappé',
    'varech',
    'varechs',
    'vareuse',
    'vareuses',
    'varheure',
    'varheures',
    'varia',
    'variabilité',
    'variabilités',
    'variable',
    'variablement',
    'variables',
    'variai',
    'variaient',
    'variais',
    'variait',
    'variance',
    'variances',
    'variant',
    'variante',
    'variantes',
    'variants',
    'varias',
    'variasse',
    'variassent',
    'variasses',
    'variassiez',
    'variassions',
    'variateur',
    'variateurs',
    'variation',
    'variations',
    'varice',
    'varicelle',
    'varicelles',
    'varices',
    'varicocèle',
    'varicocèles',
    'varie',
    'varient',
    'varier',
    'variera',
    'varierai',
    'varieraient',
    'varierais',
    'varierait',
    'varieras',
    'varierez',
    'varieriez',
    'varierions',
    'varierons',
    'varieront',
    'varies',
    'variez',
    'variiez',
    'variions',
    'variole',
    'varioles',
    'varioleuse',
    'varioleuses',
    'varioleux',
    'variolique',
    'varioliques',
    'variolé',
    'variolée',
    'variolées',
    'variolés',
    'varions',
    'variorum',
    'variqueuse',
    'variqueuses',
    'variqueux',
    'variâmes',
    'variât',
    'variâtes',
    'varièrent',
    'varié',
    'variée',
    'variées',
    'variés',
    'variétal',
    'variétale',
    'variétales',
    'variétaux',
    'variété',
    'variétés',
    'varlet',
    'varlets',
    'varlopa',
    'varlopai',
    'varlopaient',
    'varlopais',
    'varlopait',
    'varlopant',
    'varlopas',
    'varlopasse',
    'varlopassent',
    'varlopasses',
    'varlopassiez',
    'varlope',
    'varlopent',
    'varloper',
    'varlopera',
    'varloperai',
    'varloperais',
    'varloperait',
    'varloperas',
    'varloperez',
    'varloperiez',
    'varloperions',
    'varloperons',
    'varloperont',
    'varlopes',
    'varlopez',
    'varlopiez',
    'varlopions',
    'varlopons',
    'varlopâmes',
    'varlopât',
    'varlopâtes',
    'varlopèrent',
    'varlopé',
    'varlopée',
    'varlopées',
    'varlopés',
    'varron',
    'varrons',
    'vars',
    'varus',
    'varve',
    'varves',
    'vasard',
    'vasarde',
    'vasardes',
    'vasards',
    'vasculaire',
    'vasculaires',
    'vascularisé',
    'vascularisée',
    'vascularisés',
    'vase',
    'vasectomie',
    'vasectomies',
    'vasectomiser',
    'vaselina',
    'vaselinai',
    'vaselinaient',
    'vaselinais',
    'vaselinait',
    'vaselinant',
    'vaselinas',
    'vaselinasse',
    'vaselinasses',
    'vaseline',
    'vaselinent',
    'vaseliner',
    'vaselinera',
    'vaselinerai',
    'vaselinerais',
    'vaselinerait',
    'vaselineras',
    'vaselinerez',
    'vaselineriez',
    'vaselinerons',
    'vaselineront',
    'vaselines',
    'vaselinez',
    'vaseliniez',
    'vaselinions',
    'vaselinons',
    'vaselinâmes',
    'vaselinât',
    'vaselinâtes',
    'vaselinèrent',
    'vaseliné',
    'vaselinée',
    'vaselinées',
    'vaselinés',
    'vases',
    'vaseuse',
    'vaseuses',
    'vaseux',
    'vasistas',
    'vasière',
    'vasières',
    'vasomoteur',
    'vasomoteurs',
    'vasomotrice',
    'vasomotrices',
    'vasouilla',
    'vasouillai',
    'vasouillais',
    'vasouillait',
    'vasouillant',
    'vasouillard',
    'vasouillarde',
    'vasouillards',
    'vasouillas',
    'vasouillasse',
    'vasouille',
    'vasouillent',
    'vasouiller',
    'vasouillera',
    'vasouillerai',
    'vasouilleras',
    'vasouillerez',
    'vasouilles',
    'vasouillez',
    'vasouilliez',
    'vasouillions',
    'vasouillons',
    'vasouillâmes',
    'vasouillât',
    'vasouillâtes',
    'vasouillé',
    'vasque',
    'vasques',
    'vassal',
    'vassale',
    'vassales',
    'vassalisa',
    'vassalisai',
    'vassalisais',
    'vassalisait',
    'vassalisant',
    'vassalisas',
    'vassalisasse',
    'vassalise',
    'vassalisent',
    'vassaliser',
    'vassalisera',
    'vassaliserai',
    'vassaliseras',
    'vassaliserez',
    'vassalises',
    'vassalisez',
    'vassalisiez',
    'vassalisions',
    'vassalisons',
    'vassalisâmes',
    'vassalisât',
    'vassalisâtes',
    'vassalisé',
    'vassalisée',
    'vassalisées',
    'vassalisés',
    'vassalité',
    'vassalités',
    'vassaux',
    'vassiveau',
    'vassiveaux',
    'vaste',
    'vastement',
    'vastes',
    'vaticane',
    'vaticanes',
    'vaticina',
    'vaticinai',
    'vaticinaient',
    'vaticinais',
    'vaticinait',
    'vaticinant',
    'vaticinas',
    'vaticinasse',
    'vaticinasses',
    'vaticinateur',
    'vaticination',
    'vaticine',
    'vaticinent',
    'vaticiner',
    'vaticinera',
    'vaticinerai',
    'vaticinerais',
    'vaticinerait',
    'vaticineras',
    'vaticinerez',
    'vaticineriez',
    'vaticinerons',
    'vaticineront',
    'vaticines',
    'vaticinez',
    'vaticiniez',
    'vaticinions',
    'vaticinons',
    'vaticinâmes',
    'vaticinât',
    'vaticinâtes',
    'vaticinèrent',
    'vaticiné',
    'vauchérie',
    'vauchéries',
    'vauclusien',
    'vauclusienne',
    'vauclusiens',
    'vaudeville',
    'vaudevilles',
    'vaudois',
    'vaudoise',
    'vaudoises',
    'vaudou',
    'vaudoue',
    'vaudoues',
    'vaudous',
    'vaudra',
    'vaudrai',
    'vaudraient',
    'vaudrais',
    'vaudrait',
    'vaudras',
    'vaudrez',
    'vaudriez',
    'vaudrions',
    'vaudrons',
    'vaudront',
    'vaurien',
    'vaurienne',
    'vauriennes',
    'vauriens',
    'vaut',
    'vautour',
    'vautours',
    'vautra',
    'vautrai',
    'vautraient',
    'vautrais',
    'vautrait',
    'vautrant',
    'vautras',
    'vautrasse',
    'vautrassent',
    'vautrasses',
    'vautrassiez',
    'vautrassions',
    'vautre',
    'vautrent',
    'vautrer',
    'vautrera',
    'vautrerai',
    'vautreraient',
    'vautrerais',
    'vautrerait',
    'vautreras',
    'vautrerez',
    'vautreriez',
    'vautrerions',
    'vautrerons',
    'vautreront',
    'vautres',
    'vautrez',
    'vautriez',
    'vautrions',
    'vautrons',
    'vautrâmes',
    'vautrât',
    'vautrâtes',
    'vautrèrent',
    'vautré',
    'vautrée',
    'vautrées',
    'vautrés',
    'vaux',
    'vavasseur',
    'vavasseurs',
    'veau',
    'veaux',
    'vecteur',
    'vecteurs',
    'vectoriel',
    'vectorielle',
    'vectorielles',
    'vectoriels',
    'vedettariat',
    'vedettariats',
    'vedette',
    'vedettes',
    'veilla',
    'veillai',
    'veillaient',
    'veillais',
    'veillait',
    'veillant',
    'veillas',
    'veillasse',
    'veillassent',
    'veillasses',
    'veillassiez',
    'veillassions',
    'veille',
    'veillent',
    'veiller',
    'veillera',
    'veillerai',
    'veilleraient',
    'veillerais',
    'veillerait',
    'veilleras',
    'veillerez',
    'veilleriez',
    'veillerions',
    'veillerons',
    'veilleront',
    'veilles',
    'veilleur',
    'veilleurs',
    'veilleuse',
    'veilleuses',
    'veillez',
    'veilliez',
    'veillions',
    'veillons',
    'veillâmes',
    'veillât',
    'veillâtes',
    'veillèrent',
    'veillé',
    'veillée',
    'veillées',
    'veillés',
    'veina',
    'veinai',
    'veinaient',
    'veinais',
    'veinait',
    'veinant',
    'veinard',
    'veinarde',
    'veinardes',
    'veinards',
    'veinas',
    'veinasse',
    'veinassent',
    'veinasses',
    'veinassiez',
    'veinassions',
    'veine',
    'veinent',
    'veiner',
    'veinera',
    'veinerai',
    'veineraient',
    'veinerais',
    'veinerait',
    'veineras',
    'veinerez',
    'veineriez',
    'veinerions',
    'veinerons',
    'veineront',
    'veines',
    'veinette',
    'veinettes',
    'veineuse',
    'veineuses',
    'veineux',
    'veinez',
    'veiniez',
    'veinions',
    'veinons',
    'veinule',
    'veinules',
    'veinure',
    'veinures',
    'veinâmes',
    'veinât',
    'veinâtes',
    'veinèrent',
    'veiné',
    'veinée',
    'veinées',
    'veinés',
    'velche',
    'velches',
    'veld',
    'velds',
    'velléitaire',
    'velléitaires',
    'velléité',
    'velléités',
    'velot',
    'velots',
    'velours',
    'velouta',
    'veloutai',
    'veloutaient',
    'veloutais',
    'veloutait',
    'veloutant',
    'veloutas',
    'veloutasse',
    'veloutassent',
    'veloutasses',
    'veloutassiez',
    'veloute',
    'veloutement',
    'veloutements',
    'veloutent',
    'velouter',
    'veloutera',
    'velouterai',
    'velouterais',
    'velouterait',
    'velouteras',
    'velouterez',
    'velouteriez',
    'velouterions',
    'velouterons',
    'velouteront',
    'veloutes',
    'velouteuse',
    'velouteuses',
    'velouteux',
    'veloutez',
    'veloutier',
    'veloutiers',
    'veloutiez',
    'veloutine',
    'veloutines',
    'veloutions',
    'veloutons',
    'veloutâmes',
    'veloutât',
    'veloutâtes',
    'veloutèrent',
    'velouté',
    'veloutée',
    'veloutées',
    'veloutés',
    'velte',
    'veltes',
    'velu',
    'velue',
    'velues',
    'velus',
    'venaient',
    'venais',
    'venaison',
    'venaisons',
    'venait',
    'venant',
    'venants',
    'vend',
    'vendable',
    'vendables',
    'vendaient',
    'vendais',
    'vendait',
    'vendange',
    'vendangea',
    'vendangeai',
    'vendangeais',
    'vendangeait',
    'vendangeant',
    'vendangeas',
    'vendangeasse',
    'vendangent',
    'vendangeoir',
    'vendangeoirs',
    'vendangeons',
    'vendanger',
    'vendangera',
    'vendangerai',
    'vendangerais',
    'vendangerait',
    'vendangeras',
    'vendangerez',
    'vendangeriez',
    'vendangerons',
    'vendangeront',
    'vendangerot',
    'vendangerots',
    'vendanges',
    'vendangette',
    'vendangettes',
    'vendangeur',
    'vendangeurs',
    'vendangeuse',
    'vendangeuses',
    'vendangez',
    'vendangeâmes',
    'vendangeât',
    'vendangeâtes',
    'vendangiez',
    'vendangions',
    'vendangèrent',
    'vendangé',
    'vendangée',
    'vendangées',
    'vendangés',
    'vendant',
    'vende',
    'vendent',
    'vendes',
    'vendetta',
    'vendettas',
    'vendeur',
    'vendeurs',
    'vendeuse',
    'vendeuses',
    'vendez',
    'vendiez',
    'vendions',
    'vendirent',
    'vendis',
    'vendisse',
    'vendissent',
    'vendisses',
    'vendissiez',
    'vendissions',
    'vendit',
    'vendons',
    'vendra',
    'vendrai',
    'vendraient',
    'vendrais',
    'vendrait',
    'vendras',
    'vendre',
    'vendredi',
    'vendredis',
    'vendrez',
    'vendriez',
    'vendrions',
    'vendrons',
    'vendront',
    'vends',
    'vendu',
    'vendue',
    'vendues',
    'vendus',
    'vendéen',
    'vendéenne',
    'vendéennes',
    'vendéens',
    'vendémiaire',
    'vendîmes',
    'vendît',
    'vendîtes',
    'venelle',
    'venelles',
    'venet',
    'venets',
    'venette',
    'venettes',
    'veneur',
    'veneurs',
    'venez',
    'venge',
    'vengea',
    'vengeai',
    'vengeaient',
    'vengeais',
    'vengeait',
    'vengeance',
    'vengeances',
    'vengeant',
    'vengeante',
    'vengeantes',
    'vengeants',
    'vengeas',
    'vengeasse',
    'vengeassent',
    'vengeasses',
    'vengeassiez',
    'vengeassions',
    'vengent',
    'vengeons',
    'venger',
    'vengera',
    'vengerai',
    'vengeraient',
    'vengerais',
    'vengerait',
    'vengeras',
    'vengeresse',
    'vengeresses',
    'vengerez',
    'vengeriez',
    'vengerions',
    'vengerons',
    'vengeront',
    'venges',
    'vengeur',
    'vengeurs',
    'vengez',
    'vengeâmes',
    'vengeât',
    'vengeâtes',
    'vengiez',
    'vengions',
    'vengèrent',
    'vengé',
    'vengée',
    'vengées',
    'vengés',
    'veniez',
    'venimeuse',
    'venimeuses',
    'venimeux',
    'venimosité',
    'venimosités',
    'venin',
    'venins',
    'venions',
    'venir',
    'venons',
    'vent',
    'venta',
    'ventage',
    'ventages',
    'ventail',
    'ventails',
    'ventait',
    'ventant',
    'vente',
    'venter',
    'ventera',
    'venterait',
    'ventes',
    'venteuse',
    'venteuses',
    'venteux',
    'ventila',
    'ventilai',
    'ventilaient',
    'ventilais',
    'ventilait',
    'ventilant',
    'ventilas',
    'ventilasse',
    'ventilassent',
    'ventilasses',
    'ventilassiez',
    'ventilateur',
    'ventilateurs',
    'ventilation',
    'ventilations',
    'ventile',
    'ventilent',
    'ventiler',
    'ventilera',
    'ventilerai',
    'ventilerais',
    'ventilerait',
    'ventileras',
    'ventilerez',
    'ventileriez',
    'ventilerions',
    'ventilerons',
    'ventileront',
    'ventiles',
    'ventileuse',
    'ventileuses',
    'ventilez',
    'ventiliez',
    'ventilions',
    'ventilons',
    'ventilâmes',
    'ventilât',
    'ventilâtes',
    'ventilèrent',
    'ventilé',
    'ventilée',
    'ventilées',
    'ventilés',
    'ventis',
    'ventousa',
    'ventousai',
    'ventousaient',
    'ventousais',
    'ventousait',
    'ventousant',
    'ventousas',
    'ventousasse',
    'ventousasses',
    'ventouse',
    'ventousent',
    'ventouser',
    'ventousera',
    'ventouserai',
    'ventouserais',
    'ventouserait',
    'ventouseras',
    'ventouserez',
    'ventouseriez',
    'ventouserons',
    'ventouseront',
    'ventouses',
    'ventousez',
    'ventousiez',
    'ventousions',
    'ventousons',
    'ventousâmes',
    'ventousât',
    'ventousâtes',
    'ventousèrent',
    'ventousé',
    'ventousée',
    'ventousées',
    'ventousés',
    'ventral',
    'ventrale',
    'ventrales',
    'ventraux',
    'ventre',
    'ventrebleu',
    'ventres',
    'ventricule',
    'ventricules',
    'ventriloque',
    'ventriloques',
    'ventriloquie',
    'ventripotent',
    'ventrière',
    'ventrières',
    'ventru',
    'ventrue',
    'ventrues',
    'ventrus',
    'ventrée',
    'ventrées',
    'vents',
    'venturi',
    'venturis',
    'ventât',
    'ventèrent',
    'venté',
    'ventôse',
    'venu',
    'venue',
    'venues',
    'venus',
    'verbal',
    'verbale',
    'verbalement',
    'verbales',
    'verbalisa',
    'verbalisai',
    'verbalisais',
    'verbalisait',
    'verbalisant',
    'verbalisas',
    'verbalisasse',
    'verbalise',
    'verbalisent',
    'verbaliser',
    'verbalisera',
    'verbaliserai',
    'verbaliseras',
    'verbaliserez',
    'verbalises',
    'verbalisez',
    'verbalisiez',
    'verbalisions',
    'verbalisme',
    'verbalismes',
    'verbalisons',
    'verbalisâmes',
    'verbalisât',
    'verbalisâtes',
    'verbalisé',
    'verbalisée',
    'verbalisées',
    'verbalisés',
    'verbaux',
    'verbe',
    'verbes',
    'verbeuse',
    'verbeusement',
    'verbeuses',
    'verbeux',
    'verbiage',
    'verbiagea',
    'verbiageai',
    'verbiageais',
    'verbiageait',
    'verbiageant',
    'verbiageas',
    'verbiageasse',
    'verbiagent',
    'verbiageons',
    'verbiager',
    'verbiagera',
    'verbiagerai',
    'verbiagerais',
    'verbiagerait',
    'verbiageras',
    'verbiagerez',
    'verbiageriez',
    'verbiagerons',
    'verbiageront',
    'verbiages',
    'verbiagez',
    'verbiageâmes',
    'verbiageât',
    'verbiageâtes',
    'verbiagiez',
    'verbiagions',
    'verbiagèrent',
    'verbiagé',
    'verbomanie',
    'verbomanies',
    'verboquet',
    'verboquets',
    'verbosité',
    'verbosités',
    'verdage',
    'verdages',
    'verdelet',
    'verdelets',
    'verdelette',
    'verdelettes',
    'verdet',
    'verdets',
    'verdeur',
    'verdeurs',
    'verdi',
    'verdict',
    'verdicts',
    'verdie',
    'verdier',
    'verdiers',
    'verdies',
    'verdir',
    'verdira',
    'verdirai',
    'verdiraient',
    'verdirais',
    'verdirait',
    'verdiras',
    'verdirent',
    'verdirez',
    'verdiriez',
    'verdirions',
    'verdirons',
    'verdiront',
    'verdis',
    'verdissage',
    'verdissages',
    'verdissaient',
    'verdissais',
    'verdissait',
    'verdissant',
    'verdisse',
    'verdissement',
    'verdissent',
    'verdisses',
    'verdissez',
    'verdissiez',
    'verdissions',
    'verdissons',
    'verdit',
    'verdoie',
    'verdoiement',
    'verdoiements',
    'verdoient',
    'verdoiera',
    'verdoierai',
    'verdoierais',
    'verdoierait',
    'verdoieras',
    'verdoierez',
    'verdoieriez',
    'verdoierions',
    'verdoierons',
    'verdoieront',
    'verdoies',
    'verdoya',
    'verdoyai',
    'verdoyaient',
    'verdoyais',
    'verdoyait',
    'verdoyant',
    'verdoyante',
    'verdoyantes',
    'verdoyants',
    'verdoyas',
    'verdoyasse',
    'verdoyassent',
    'verdoyasses',
    'verdoyassiez',
    'verdoyer',
    'verdoyez',
    'verdoyiez',
    'verdoyions',
    'verdoyons',
    'verdoyâmes',
    'verdoyât',
    'verdoyâtes',
    'verdoyèrent',
    'verdoyé',
    'verdunisa',
    'verdunisai',
    'verdunisais',
    'verdunisait',
    'verdunisant',
    'verdunisas',
    'verdunisasse',
    'verdunise',
    'verdunisent',
    'verduniser',
    'verdunisera',
    'verduniserai',
    'verduniseras',
    'verduniserez',
    'verdunises',
    'verdunisez',
    'verdunisiez',
    'verdunisions',
    'verdunisons',
    'verdunisâmes',
    'verdunisât',
    'verdunisâtes',
    'verdunisé',
    'verdunisée',
    'verdunisées',
    'verdunisés',
    'verdure',
    'verdures',
    'verdâtre',
    'verdâtres',
    'verdîmes',
    'verdît',
    'verdîtes',
    'verge',
    'vergence',
    'vergences',
    'vergeoise',
    'vergeoises',
    'verger',
    'vergerette',
    'vergerettes',
    'vergers',
    'verges',
    'vergette',
    'vergettes',
    'vergeture',
    'vergetures',
    'vergeté',
    'vergetée',
    'vergetées',
    'vergetés',
    'vergeure',
    'vergeures',
    'verglace',
    'verglacer',
    'verglacera',
    'verglacerait',
    'verglacé',
    'verglacée',
    'verglacées',
    'verglacés',
    'verglas',
    'verglaça',
    'verglaçait',
    'verglaçant',
    'verglaçât',
    'vergne',
    'vergnes',
    'vergobret',
    'vergobrets',
    'vergogne',
    'vergognes',
    'vergue',
    'vergues',
    'vergé',
    'vergée',
    'vergées',
    'vergés',
    'verjus',
    'verjuta',
    'verjutai',
    'verjutaient',
    'verjutais',
    'verjutait',
    'verjutant',
    'verjutas',
    'verjutasse',
    'verjutassent',
    'verjutasses',
    'verjutassiez',
    'verjute',
    'verjutent',
    'verjuter',
    'verjutera',
    'verjuterai',
    'verjuterais',
    'verjuterait',
    'verjuteras',
    'verjuterez',
    'verjuteriez',
    'verjuterions',
    'verjuterons',
    'verjuteront',
    'verjutes',
    'verjutez',
    'verjutiez',
    'verjutions',
    'verjutons',
    'verjutâmes',
    'verjutât',
    'verjutâtes',
    'verjutèrent',
    'verjuté',
    'verjutée',
    'verjutées',
    'verjutés',
    'verlan',
    'verlans',
    'vermeil',
    'vermeille',
    'vermeilles',
    'vermeils',
    'vermet',
    'vermets',
    'vermicelle',
    'vermicelles',
    'vermicide',
    'vermicides',
    'vermicula',
    'vermiculai',
    'vermiculaire',
    'vermiculais',
    'vermiculait',
    'vermiculant',
    'vermiculas',
    'vermiculasse',
    'vermicule',
    'vermiculent',
    'vermiculer',
    'vermiculera',
    'vermiculerai',
    'vermiculeras',
    'vermiculerez',
    'vermicules',
    'vermiculez',
    'vermiculiez',
    'vermiculions',
    'vermiculons',
    'vermiculure',
    'vermiculures',
    'vermiculâmes',
    'vermiculât',
    'vermiculâtes',
    'vermiculé',
    'vermiculée',
    'vermiculées',
    'vermiculés',
    'vermiforme',
    'vermiformes',
    'vermifuge',
    'vermifuges',
    'vermilla',
    'vermillai',
    'vermillaient',
    'vermillais',
    'vermillait',
    'vermillant',
    'vermillas',
    'vermillasse',
    'vermillasses',
    'vermille',
    'vermillent',
    'vermiller',
    'vermillera',
    'vermillerai',
    'vermillerais',
    'vermillerait',
    'vermilleras',
    'vermillerez',
    'vermilleriez',
    'vermillerons',
    'vermilleront',
    'vermilles',
    'vermillez',
    'vermilliez',
    'vermillions',
    'vermillon',
    'vermillonna',
    'vermillonnai',
    'vermillonnas',
    'vermillonne',
    'vermillonner',
    'vermillonnes',
    'vermillonnez',
    'vermillonnât',
    'vermillonné',
    'vermillonnée',
    'vermillonnés',
    'vermillons',
    'vermillâmes',
    'vermillât',
    'vermillâtes',
    'vermillèrent',
    'vermillé',
    'vermine',
    'vermines',
    'vermineuse',
    'vermineuses',
    'vermineux',
    'vermis',
    'vermisseau',
    'vermisseaux',
    'vermoula',
    'vermoulai',
    'vermoulaient',
    'vermoulais',
    'vermoulait',
    'vermoulant',
    'vermoulas',
    'vermoulasse',
    'vermoulasses',
    'vermoule',
    'vermoulent',
    'vermouler',
    'vermoulera',
    'vermoulerai',
    'vermoulerais',
    'vermoulerait',
    'vermouleras',
    'vermoulerez',
    'vermouleriez',
    'vermoulerons',
    'vermouleront',
    'vermoules',
    'vermoulez',
    'vermouliez',
    'vermoulions',
    'vermoulons',
    'vermoulu',
    'vermoulue',
    'vermoulues',
    'vermoulure',
    'vermoulures',
    'vermoulus',
    'vermoulâmes',
    'vermoulât',
    'vermoulâtes',
    'vermoulèrent',
    'vermoulé',
    'vermoulée',
    'vermoulées',
    'vermoulés',
    'vermout',
    'vermouth',
    'vermouths',
    'vermouts',
    'vermée',
    'vermées',
    'vernaculaire',
    'vernal',
    'vernale',
    'vernales',
    'vernation',
    'vernations',
    'vernaux',
    'verni',
    'vernie',
    'vernier',
    'verniers',
    'vernies',
    'vernir',
    'vernira',
    'vernirai',
    'verniraient',
    'vernirais',
    'vernirait',
    'verniras',
    'vernirent',
    'vernirez',
    'verniriez',
    'vernirions',
    'vernirons',
    'verniront',
    'vernis',
    'vernissa',
    'vernissage',
    'vernissages',
    'vernissai',
    'vernissaient',
    'vernissais',
    'vernissait',
    'vernissant',
    'vernissas',
    'vernissasse',
    'vernissasses',
    'vernisse',
    'vernissent',
    'vernisser',
    'vernissera',
    'vernisserai',
    'vernisserais',
    'vernisserait',
    'vernisseras',
    'vernisserez',
    'vernisseriez',
    'vernisserons',
    'vernisseront',
    'vernisses',
    'vernisseur',
    'vernisseurs',
    'vernisseuse',
    'vernisseuses',
    'vernissez',
    'vernissiez',
    'vernissions',
    'vernissons',
    'vernissâmes',
    'vernissât',
    'vernissâtes',
    'vernissèrent',
    'vernissé',
    'vernissée',
    'vernissées',
    'vernissés',
    'vernit',
    'vernîmes',
    'vernît',
    'vernîtes',
    'verra',
    'verrai',
    'verraient',
    'verrais',
    'verrait',
    'verranne',
    'verrannes',
    'verras',
    'verrat',
    'verrats',
    'verre',
    'verrerie',
    'verreries',
    'verres',
    'verrez',
    'verrier',
    'verriers',
    'verriez',
    'verrine',
    'verrines',
    'verrions',
    'verrière',
    'verrières',
    'verrons',
    'verront',
    'verroterie',
    'verroteries',
    'verrou',
    'verrouilla',
    'verrouillage',
    'verrouillai',
    'verrouillais',
    'verrouillait',
    'verrouillant',
    'verrouillas',
    'verrouille',
    'verrouillent',
    'verrouiller',
    'verrouillera',
    'verrouilles',
    'verrouillez',
    'verrouilliez',
    'verrouillons',
    'verrouillât',
    'verrouillé',
    'verrouillée',
    'verrouillées',
    'verrouillés',
    'verrous',
    'verrucosité',
    'verrucosités',
    'verrue',
    'verrues',
    'verruqueuse',
    'verruqueuses',
    'verruqueux',
    'verré',
    'verrée',
    'verrées',
    'verrés',
    'vers',
    'versa',
    'versai',
    'versaient',
    'versaillais',
    'versaillaise',
    'versais',
    'versait',
    'versant',
    'versants',
    'versas',
    'versasse',
    'versassent',
    'versasses',
    'versassiez',
    'versassions',
    'versatile',
    'versatiles',
    'versatilité',
    'versatilités',
    'verse',
    'verseau',
    'verseaux',
    'versement',
    'versements',
    'versent',
    'verser',
    'versera',
    'verserai',
    'verseraient',
    'verserais',
    'verserait',
    'verseras',
    'verserez',
    'verseriez',
    'verserions',
    'verserons',
    'verseront',
    'verses',
    'verset',
    'versets',
    'verseur',
    'verseurs',
    'verseuse',
    'verseuses',
    'versez',
    'versiez',
    'versifia',
    'versifiai',
    'versifiaient',
    'versifiais',
    'versifiait',
    'versifiant',
    'versifias',
    'versifiasse',
    'versifiasses',
    'versifie',
    'versifient',
    'versifier',
    'versifiera',
    'versifierai',
    'versifierais',
    'versifierait',
    'versifieras',
    'versifierez',
    'versifieriez',
    'versifierons',
    'versifieront',
    'versifies',
    'versifiez',
    'versifiiez',
    'versifiions',
    'versifions',
    'versifiâmes',
    'versifiât',
    'versifiâtes',
    'versifièrent',
    'versifié',
    'versifiée',
    'versifiées',
    'versifiés',
    'version',
    'versions',
    'verso',
    'versoir',
    'versoirs',
    'versons',
    'versos',
    'verste',
    'verstes',
    'versus',
    'versâmes',
    'versât',
    'versâtes',
    'versèrent',
    'versé',
    'versée',
    'versées',
    'versés',
    'vert',
    'verte',
    'vertement',
    'vertes',
    'vertex',
    'vertical',
    'verticale',
    'verticales',
    'verticalité',
    'verticalités',
    'verticaux',
    'verticille',
    'verticilles',
    'verticillé',
    'verticillée',
    'verticillées',
    'verticillés',
    'vertige',
    'vertiges',
    'vertigineuse',
    'vertigineux',
    'vertigo',
    'vertigos',
    'verts',
    'vertu',
    'vertubleu',
    'vertuchou',
    'vertueuse',
    'vertueuses',
    'vertueux',
    'vertugadin',
    'vertugadins',
    'vertus',
    'vertèbre',
    'vertèbres',
    'vertébral',
    'vertébrale',
    'vertébrales',
    'vertébraux',
    'vertébré',
    'vertébrée',
    'vertébrées',
    'vertébrés',
    'verve',
    'verveine',
    'verveines',
    'vervelle',
    'vervelles',
    'verves',
    'verveuse',
    'verveuses',
    'verveux',
    'vesce',
    'vesces',
    'vespasienne',
    'vespasiennes',
    'vespertilion',
    'vespéral',
    'vespérale',
    'vespérales',
    'vespéraux',
    'vessa',
    'vessai',
    'vessaient',
    'vessais',
    'vessait',
    'vessant',
    'vessas',
    'vessasse',
    'vessassent',
    'vessasses',
    'vessassiez',
    'vessassions',
    'vesse',
    'vessent',
    'vesser',
    'vessera',
    'vesserai',
    'vesseraient',
    'vesserais',
    'vesserait',
    'vesseras',
    'vesserez',
    'vesseriez',
    'vesserions',
    'vesserons',
    'vesseront',
    'vesses',
    'vessez',
    'vessie',
    'vessies',
    'vessiez',
    'vessigon',
    'vessigons',
    'vessions',
    'vessons',
    'vessâmes',
    'vessât',
    'vessâtes',
    'vessèrent',
    'vessé',
    'vestale',
    'vestales',
    'veste',
    'vestes',
    'vestiaire',
    'vestiaires',
    'vestibulaire',
    'vestibule',
    'vestibules',
    'vestige',
    'vestiges',
    'veston',
    'vestons',
    'veto',
    'veuf',
    'veufs',
    'veuglaire',
    'veuglaires',
    'veuille',
    'veuillent',
    'veuilles',
    'veuillez',
    'veuillons',
    'veule',
    'veulent',
    'veulerie',
    'veuleries',
    'veules',
    'veut',
    'veuvage',
    'veuvages',
    'veuve',
    'veuves',
    'veux',
    'veveysan',
    'veveysanne',
    'veveysannes',
    'veveysans',
    'vexa',
    'vexai',
    'vexaient',
    'vexais',
    'vexait',
    'vexant',
    'vexante',
    'vexantes',
    'vexants',
    'vexas',
    'vexasse',
    'vexassent',
    'vexasses',
    'vexassiez',
    'vexassions',
    'vexateur',
    'vexateurs',
    'vexation',
    'vexations',
    'vexatoire',
    'vexatoires',
    'vexatrice',
    'vexatrices',
    'vexe',
    'vexent',
    'vexer',
    'vexera',
    'vexerai',
    'vexeraient',
    'vexerais',
    'vexerait',
    'vexeras',
    'vexerez',
    'vexeriez',
    'vexerions',
    'vexerons',
    'vexeront',
    'vexes',
    'vexez',
    'vexiez',
    'vexillaire',
    'vexillaires',
    'vexille',
    'vexilles',
    'vexions',
    'vexons',
    'vexâmes',
    'vexât',
    'vexâtes',
    'vexèrent',
    'vexé',
    'vexée',
    'vexées',
    'vexés',
    'viabilisa',
    'viabilisai',
    'viabilisais',
    'viabilisait',
    'viabilisant',
    'viabilisas',
    'viabilisasse',
    'viabilise',
    'viabilisent',
    'viabiliser',
    'viabilisera',
    'viabiliserai',
    'viabiliseras',
    'viabiliserez',
    'viabilises',
    'viabilisez',
    'viabilisiez',
    'viabilisions',
    'viabilisons',
    'viabilisâmes',
    'viabilisât',
    'viabilisâtes',
    'viabilisé',
    'viabilisée',
    'viabilisées',
    'viabilisés',
    'viabilité',
    'viabilités',
    'viable',
    'viables',
    'viaduc',
    'viaducs',
    'viager',
    'viagers',
    'viagère',
    'viagères',
    'vianda',
    'viandai',
    'viandaient',
    'viandais',
    'viandait',
    'viandant',
    'viandas',
    'viandasse',
    'viandassent',
    'viandasses',
    'viandassiez',
    'viandassions',
    'viande',
    'viandent',
    'viander',
    'viandera',
    'vianderai',
    'vianderaient',
    'vianderais',
    'vianderait',
    'vianderas',
    'vianderez',
    'vianderiez',
    'vianderions',
    'vianderons',
    'vianderont',
    'viandes',
    'viandez',
    'viandiez',
    'viandions',
    'viandons',
    'viandâmes',
    'viandât',
    'viandâtes',
    'viandèrent',
    'viandé',
    'viandée',
    'viandées',
    'viandés',
    'viatique',
    'viatiques',
    'vibord',
    'vibords',
    'vibra',
    'vibrage',
    'vibrages',
    'vibrai',
    'vibraient',
    'vibrais',
    'vibrait',
    'vibrant',
    'vibrante',
    'vibrantes',
    'vibrants',
    'vibraphone',
    'vibraphones',
    'vibras',
    'vibrasse',
    'vibrassent',
    'vibrasses',
    'vibrassiez',
    'vibrassions',
    'vibrateur',
    'vibrateurs',
    'vibratile',
    'vibratiles',
    'vibration',
    'vibrations',
    'vibrato',
    'vibratoire',
    'vibratoires',
    'vibratos',
    'vibre',
    'vibrent',
    'vibrer',
    'vibrera',
    'vibrerai',
    'vibreraient',
    'vibrerais',
    'vibrerait',
    'vibreras',
    'vibrerez',
    'vibreriez',
    'vibrerions',
    'vibrerons',
    'vibreront',
    'vibres',
    'vibreur',
    'vibreurs',
    'vibrez',
    'vibriez',
    'vibrion',
    'vibrionna',
    'vibrionnai',
    'vibrionnais',
    'vibrionnait',
    'vibrionnant',
    'vibrionnas',
    'vibrionnasse',
    'vibrionne',
    'vibrionnent',
    'vibrionner',
    'vibrionnera',
    'vibrionnerai',
    'vibrionneras',
    'vibrionnerez',
    'vibrionnes',
    'vibrionnez',
    'vibrionniez',
    'vibrionnions',
    'vibrionnons',
    'vibrionnâmes',
    'vibrionnât',
    'vibrionnâtes',
    'vibrionné',
    'vibrions',
    'vibrisse',
    'vibrisses',
    'vibromasseur',
    'vibrons',
    'vibrâmes',
    'vibrât',
    'vibrâtes',
    'vibrèrent',
    'vibré',
    'vibrée',
    'vibrées',
    'vibrés',
    'vicaire',
    'vicaires',
    'vicarial',
    'vicariale',
    'vicariales',
    'vicariant',
    'vicariante',
    'vicariantes',
    'vicariants',
    'vicariat',
    'vicariats',
    'vicariaux',
    'vice',
    'vicennal',
    'vicennale',
    'vicennales',
    'vicennaux',
    'vices',
    'vichy',
    'vichys',
    'vichyssois',
    'vichyssoise',
    'vichyssoises',
    'vicia',
    'viciable',
    'viciables',
    'viciai',
    'viciaient',
    'viciais',
    'viciait',
    'viciant',
    'vicias',
    'viciasse',
    'viciassent',
    'viciasses',
    'viciassiez',
    'viciassions',
    'viciateur',
    'viciateurs',
    'viciation',
    'viciations',
    'viciatrice',
    'viciatrices',
    'vicie',
    'vicient',
    'vicier',
    'viciera',
    'vicierai',
    'vicieraient',
    'vicierais',
    'vicierait',
    'vicieras',
    'vicierez',
    'vicieriez',
    'vicierions',
    'vicierons',
    'vicieront',
    'vicies',
    'vicieuse',
    'vicieusement',
    'vicieuses',
    'vicieux',
    'viciez',
    'viciiez',
    'viciions',
    'vicinal',
    'vicinale',
    'vicinales',
    'vicinalité',
    'vicinalités',
    'vicinaux',
    'vicions',
    'vicissitude',
    'vicissitudes',
    'viciâmes',
    'viciât',
    'viciâtes',
    'vicièrent',
    'vicié',
    'viciée',
    'viciées',
    'viciés',
    'vicomtal',
    'vicomtale',
    'vicomtales',
    'vicomtaux',
    'vicomte',
    'vicomtes',
    'vicomtesse',
    'vicomtesses',
    'victimaire',
    'victimaires',
    'victime',
    'victimes',
    'victoire',
    'victoires',
    'victoria',
    'victorias',
    'victorien',
    'victorienne',
    'victoriennes',
    'victoriens',
    'victorieuse',
    'victorieuses',
    'victorieux',
    'victuailles',
    'vicésimal',
    'vicésimale',
    'vicésimales',
    'vicésimaux',
    'vida',
    'vidage',
    'vidages',
    'vidai',
    'vidaient',
    'vidais',
    'vidait',
    'vidame',
    'vidames',
    'vidamie',
    'vidamies',
    'vidange',
    'vidangea',
    'vidangeai',
    'vidangeaient',
    'vidangeais',
    'vidangeait',
    'vidangeant',
    'vidangeas',
    'vidangeasse',
    'vidangeasses',
    'vidangent',
    'vidangeons',
    'vidanger',
    'vidangera',
    'vidangerai',
    'vidangerais',
    'vidangerait',
    'vidangeras',
    'vidangerez',
    'vidangeriez',
    'vidangerions',
    'vidangerons',
    'vidangeront',
    'vidanges',
    'vidangeur',
    'vidangeurs',
    'vidangez',
    'vidangeâmes',
    'vidangeât',
    'vidangeâtes',
    'vidangiez',
    'vidangions',
    'vidangèrent',
    'vidangé',
    'vidangée',
    'vidangées',
    'vidangés',
    'vidant',
    'vidas',
    'vidasse',
    'vidassent',
    'vidasses',
    'vidassiez',
    'vidassions',
    'vide',
    'videlle',
    'videlles',
    'vident',
    'vider',
    'videra',
    'viderai',
    'videraient',
    'viderais',
    'viderait',
    'videras',
    'viderez',
    'videriez',
    'viderions',
    'viderons',
    'videront',
    'vides',
    'videur',
    'videurs',
    'videuse',
    'videuses',
    'videz',
    'vidiez',
    'vidima',
    'vidimai',
    'vidimaient',
    'vidimais',
    'vidimait',
    'vidimant',
    'vidimas',
    'vidimasse',
    'vidimassent',
    'vidimasses',
    'vidimassiez',
    'vidimassions',
    'vidime',
    'vidiment',
    'vidimer',
    'vidimera',
    'vidimerai',
    'vidimeraient',
    'vidimerais',
    'vidimerait',
    'vidimeras',
    'vidimerez',
    'vidimeriez',
    'vidimerions',
    'vidimerons',
    'vidimeront',
    'vidimes',
    'vidimez',
    'vidimiez',
    'vidimions',
    'vidimons',
    'vidimus',
    'vidimâmes',
    'vidimât',
    'vidimâtes',
    'vidimèrent',
    'vidimé',
    'vidimée',
    'vidimées',
    'vidimés',
    'vidions',
    'vidoir',
    'vidoirs',
    'vidons',
    'viduité',
    'viduités',
    'vidure',
    'vidures',
    'vidâmes',
    'vidât',
    'vidâtes',
    'vidèrent',
    'vidé',
    'vidée',
    'vidées',
    'vidéo',
    'vidéoclip',
    'vidéoclips',
    'vidéodisque',
    'vidéodisques',
    'vidéophonie',
    'vidéophonies',
    'vidéos',
    'vidéotex',
    'vidéothèque',
    'vidéothèques',
    'vidés',
    'vieil',
    'vieillard',
    'vieillards',
    'vieille',
    'vieillerie',
    'vieilleries',
    'vieilles',
    'vieillesse',
    'vieillesses',
    'vieilli',
    'vieillie',
    'vieillies',
    'vieillir',
    'vieillira',
    'vieillirai',
    'vieillirais',
    'vieillirait',
    'vieilliras',
    'vieillirent',
    'vieillirez',
    'vieilliriez',
    'vieillirions',
    'vieillirons',
    'vieilliront',
    'vieillis',
    'vieillissais',
    'vieillissait',
    'vieillissant',
    'vieillisse',
    'vieillissent',
    'vieillisses',
    'vieillissez',
    'vieillissiez',
    'vieillissons',
    'vieillit',
    'vieillot',
    'vieillots',
    'vieillotte',
    'vieillottes',
    'vieillîmes',
    'vieillît',
    'vieillîtes',
    'vieils',
    'viella',
    'viellai',
    'viellaient',
    'viellais',
    'viellait',
    'viellant',
    'viellas',
    'viellasse',
    'viellassent',
    'viellasses',
    'viellassiez',
    'viellassions',
    'vielle',
    'viellent',
    'vieller',
    'viellera',
    'viellerai',
    'vielleraient',
    'viellerais',
    'viellerait',
    'vielleras',
    'viellerez',
    'vielleriez',
    'viellerions',
    'viellerons',
    'vielleront',
    'vielles',
    'vielleur',
    'vielleurs',
    'vielleux',
    'viellez',
    'vielliez',
    'viellions',
    'viellons',
    'viellâmes',
    'viellât',
    'viellâtes',
    'viellèrent',
    'viellé',
    'viendra',
    'viendrai',
    'viendraient',
    'viendrais',
    'viendrait',
    'viendras',
    'viendrez',
    'viendriez',
    'viendrions',
    'viendrons',
    'viendront',
    'vienne',
    'viennent',
    'viennes',
    'viens',
    'vient',
    'vierge',
    'vierges',
    'vies',
    'vietnamien',
    'vietnamienne',
    'vietnamiens',
    'vieux',
    'vifs',
    'vigie',
    'vigies',
    'vigilamment',
    'vigilance',
    'vigilances',
    'vigilant',
    'vigilante',
    'vigilantes',
    'vigilants',
    'vigile',
    'vigiles',
    'vigne',
    'vigneau',
    'vigneaux',
    'vigneron',
    'vigneronne',
    'vigneronnes',
    'vignerons',
    'vignes',
    'vignette',
    'vignettes',
    'vignettiste',
    'vignettistes',
    'vigneture',
    'vignetures',
    'vignoble',
    'vignobles',
    'vignot',
    'vignots',
    'vigogne',
    'vigognes',
    'vigoureuse',
    'vigoureuses',
    'vigoureux',
    'viguerie',
    'vigueries',
    'vigueur',
    'vigueurs',
    'viguier',
    'viguiers',
    'viking',
    'vikings',
    'vilain',
    'vilaine',
    'vilainement',
    'vilaines',
    'vilains',
    'vile',
    'vilebrequin',
    'vilebrequins',
    'vilement',
    'vilenie',
    'vilenies',
    'viles',
    'vilipenda',
    'vilipendai',
    'vilipendais',
    'vilipendait',
    'vilipendant',
    'vilipendas',
    'vilipendasse',
    'vilipende',
    'vilipendent',
    'vilipender',
    'vilipendera',
    'vilipenderai',
    'vilipenderas',
    'vilipenderez',
    'vilipendes',
    'vilipendez',
    'vilipendiez',
    'vilipendions',
    'vilipendons',
    'vilipendâmes',
    'vilipendât',
    'vilipendâtes',
    'vilipendé',
    'vilipendée',
    'vilipendées',
    'vilipendés',
    'villa',
    'village',
    'villageois',
    'villageoise',
    'villageoises',
    'villages',
    'villanelle',
    'villanelles',
    'villas',
    'ville',
    'villes',
    'villosité',
    'villosités',
    'villégiateur',
    'villégiatura',
    'villégiature',
    'villégiaturé',
    'vils',
    'vina',
    'vinage',
    'vinages',
    'vinai',
    'vinaient',
    'vinaigra',
    'vinaigrai',
    'vinaigraient',
    'vinaigrais',
    'vinaigrait',
    'vinaigrant',
    'vinaigras',
    'vinaigrasse',
    'vinaigrasses',
    'vinaigre',
    'vinaigrent',
    'vinaigrer',
    'vinaigrera',
    'vinaigrerai',
    'vinaigrerais',
    'vinaigrerait',
    'vinaigreras',
    'vinaigrerez',
    'vinaigrerie',
    'vinaigreries',
    'vinaigreriez',
    'vinaigrerons',
    'vinaigreront',
    'vinaigres',
    'vinaigrette',
    'vinaigrettes',
    'vinaigrez',
    'vinaigrier',
    'vinaigriers',
    'vinaigriez',
    'vinaigrions',
    'vinaigrons',
    'vinaigrâmes',
    'vinaigrât',
    'vinaigrâtes',
    'vinaigrèrent',
    'vinaigré',
    'vinaigrée',
    'vinaigrées',
    'vinaigrés',
    'vinaire',
    'vinaires',
    'vinais',
    'vinait',
    'vinant',
    'vinas',
    'vinasse',
    'vinassent',
    'vinasses',
    'vinassiez',
    'vinassions',
    'vindicatif',
    'vindicatifs',
    'vindicative',
    'vindicatives',
    'vindicte',
    'vindictes',
    'vine',
    'vinent',
    'viner',
    'vinera',
    'vinerai',
    'vineraient',
    'vinerais',
    'vinerait',
    'vineras',
    'vinerez',
    'vineriez',
    'vinerions',
    'vinerons',
    'vineront',
    'vines',
    'vineuse',
    'vineuses',
    'vineux',
    'vinez',
    'vingt',
    'vingtaine',
    'vingtaines',
    'vingtième',
    'vingtièmes',
    'vingts',
    'vinicole',
    'vinicoles',
    'viniculture',
    'vinicultures',
    'viniez',
    'vinifia',
    'vinifiai',
    'vinifiaient',
    'vinifiais',
    'vinifiait',
    'vinifiant',
    'vinifias',
    'vinifiasse',
    'vinifiassent',
    'vinifiasses',
    'vinifiassiez',
    'vinification',
    'vinifie',
    'vinifient',
    'vinifier',
    'vinifiera',
    'vinifierai',
    'vinifierais',
    'vinifierait',
    'vinifieras',
    'vinifierez',
    'vinifieriez',
    'vinifierions',
    'vinifierons',
    'vinifieront',
    'vinifies',
    'vinifiez',
    'vinifiiez',
    'vinifiions',
    'vinifions',
    'vinifiâmes',
    'vinifiât',
    'vinifiâtes',
    'vinifièrent',
    'vinifié',
    'vinifiée',
    'vinifiées',
    'vinifiés',
    'vinifère',
    'vinifères',
    'vinions',
    'vinique',
    'viniques',
    'vinons',
    'vinosité',
    'vinosités',
    'vinrent',
    'vins',
    'vinsse',
    'vinssent',
    'vinsses',
    'vinssiez',
    'vinssions',
    'vint',
    'vinyle',
    'vinyles',
    'vinylique',
    'vinyliques',
    'vinylite',
    'vinylites',
    'vinâmes',
    'vinât',
    'vinâtes',
    'vinèrent',
    'viné',
    'vinée',
    'vinées',
    'vinés',
    'vioc',
    'viocs',
    'viol',
    'viola',
    'violace',
    'violacent',
    'violacer',
    'violacera',
    'violacerai',
    'violacerais',
    'violacerait',
    'violaceras',
    'violacerez',
    'violaceriez',
    'violacerions',
    'violacerons',
    'violaceront',
    'violaces',
    'violacez',
    'violaciez',
    'violacions',
    'violacèrent',
    'violacé',
    'violacée',
    'violacées',
    'violacés',
    'violai',
    'violaient',
    'violais',
    'violait',
    'violant',
    'violas',
    'violasse',
    'violassent',
    'violasses',
    'violassiez',
    'violassions',
    'violat',
    'violateur',
    'violateurs',
    'violation',
    'violations',
    'violatrice',
    'violatrices',
    'violats',
    'violaça',
    'violaçai',
    'violaçaient',
    'violaçais',
    'violaçait',
    'violaçant',
    'violaças',
    'violaçasse',
    'violaçassent',
    'violaçasses',
    'violaçassiez',
    'violaçons',
    'violaçâmes',
    'violaçât',
    'violaçâtes',
    'viole',
    'violemment',
    'violence',
    'violences',
    'violent',
    'violenta',
    'violentai',
    'violentaient',
    'violentais',
    'violentait',
    'violentant',
    'violentas',
    'violentasse',
    'violentasses',
    'violente',
    'violentent',
    'violenter',
    'violentera',
    'violenterai',
    'violenterais',
    'violenterait',
    'violenteras',
    'violenterez',
    'violenteriez',
    'violenterons',
    'violenteront',
    'violentes',
    'violentez',
    'violentiez',
    'violentions',
    'violentons',
    'violents',
    'violentâmes',
    'violentât',
    'violentâtes',
    'violentèrent',
    'violenté',
    'violentée',
    'violentées',
    'violentés',
    'violer',
    'violera',
    'violerai',
    'violeraient',
    'violerais',
    'violerait',
    'violeras',
    'violerez',
    'violeriez',
    'violerions',
    'violerons',
    'violeront',
    'violes',
    'violet',
    'violeter',
    'violets',
    'violette',
    'violettes',
    'violeur',
    'violeurs',
    'violeuse',
    'violeuses',
    'violez',
    'violier',
    'violiers',
    'violiez',
    'violine',
    'violines',
    'violions',
    'violiste',
    'violistes',
    'violon',
    'violona',
    'violonai',
    'violonaient',
    'violonais',
    'violonait',
    'violonant',
    'violonas',
    'violonasse',
    'violonassent',
    'violonasses',
    'violonassiez',
    'violoncelle',
    'violoncelles',
    'violone',
    'violonent',
    'violoner',
    'violonera',
    'violonerai',
    'violonerais',
    'violonerait',
    'violoneras',
    'violonerez',
    'violoneriez',
    'violonerions',
    'violonerons',
    'violoneront',
    'violones',
    'violoneux',
    'violonez',
    'violoniez',
    'violonions',
    'violoniste',
    'violonistes',
    'violonons',
    'violons',
    'violonâmes',
    'violonât',
    'violonâtes',
    'violonèrent',
    'violoné',
    'viols',
    'violâmes',
    'violât',
    'violâtes',
    'violâtre',
    'violâtres',
    'violèrent',
    'violé',
    'violée',
    'violées',
    'violés',
    'vioque',
    'vioques',
    'vioqui',
    'vioquir',
    'vioquira',
    'vioquirai',
    'vioquiraient',
    'vioquirais',
    'vioquirait',
    'vioquiras',
    'vioquirent',
    'vioquirez',
    'vioquiriez',
    'vioquirions',
    'vioquirons',
    'vioquiront',
    'vioquis',
    'vioquissais',
    'vioquissait',
    'vioquissant',
    'vioquisse',
    'vioquissent',
    'vioquisses',
    'vioquissez',
    'vioquissiez',
    'vioquissions',
    'vioquissons',
    'vioquit',
    'vioquîmes',
    'vioquît',
    'vioquîtes',
    'viorne',
    'viornes',
    'vipère',
    'vipères',
    'vipéreau',
    'vipéreaux',
    'vipérin',
    'vipérine',
    'vipérines',
    'vipérins',
    'vira',
    'virage',
    'virages',
    'virago',
    'viragos',
    'virai',
    'viraient',
    'virais',
    'virait',
    'viral',
    'virale',
    'virales',
    'virant',
    'viras',
    'virasse',
    'virassent',
    'virasses',
    'virassiez',
    'virassions',
    'viraux',
    'vire',
    'virelai',
    'virelais',
    'virement',
    'virements',
    'virent',
    'virer',
    'virera',
    'virerai',
    'vireraient',
    'virerais',
    'virerait',
    'vireras',
    'virerez',
    'vireriez',
    'virerions',
    'virerons',
    'vireront',
    'vires',
    'virescence',
    'virescences',
    'vireton',
    'viretons',
    'vireur',
    'vireurs',
    'vireuse',
    'vireuses',
    'vireux',
    'virevolta',
    'virevoltai',
    'virevoltais',
    'virevoltait',
    'virevoltant',
    'virevoltas',
    'virevoltasse',
    'virevolte',
    'virevoltent',
    'virevolter',
    'virevoltera',
    'virevolterai',
    'virevolteras',
    'virevolterez',
    'virevoltes',
    'virevoltez',
    'virevoltiez',
    'virevoltions',
    'virevoltons',
    'virevoltâmes',
    'virevoltât',
    'virevoltâtes',
    'virevolté',
    'virevoltée',
    'virevoltées',
    'virevoltés',
    'virez',
    'virginal',
    'virginale',
    'virginales',
    'virginaux',
    'virginie',
    'virginies',
    'virginité',
    'virginités',
    'virgula',
    'virgulai',
    'virgulaient',
    'virgulais',
    'virgulait',
    'virgulant',
    'virgulas',
    'virgulasse',
    'virgulassent',
    'virgulasses',
    'virgulassiez',
    'virgule',
    'virgulent',
    'virguler',
    'virgulera',
    'virgulerai',
    'virgulerais',
    'virgulerait',
    'virguleras',
    'virgulerez',
    'virguleriez',
    'virgulerions',
    'virgulerons',
    'virguleront',
    'virgules',
    'virgulez',
    'virguliez',
    'virgulions',
    'virgulons',
    'virgulâmes',
    'virgulât',
    'virgulâtes',
    'virgulèrent',
    'virgulé',
    'virgulée',
    'virgulées',
    'virgulés',
    'viriez',
    'viril',
    'virile',
    'virilement',
    'viriles',
    'virilisa',
    'virilisai',
    'virilisaient',
    'virilisais',
    'virilisait',
    'virilisant',
    'virilisas',
    'virilisasse',
    'virilisasses',
    'virilisation',
    'virilise',
    'virilisent',
    'viriliser',
    'virilisera',
    'viriliserai',
    'viriliserais',
    'viriliserait',
    'viriliseras',
    'viriliserez',
    'viriliseriez',
    'viriliserons',
    'viriliseront',
    'virilises',
    'virilisez',
    'virilisiez',
    'virilisions',
    'virilisme',
    'virilismes',
    'virilisons',
    'virilisâmes',
    'virilisât',
    'virilisâtes',
    'virilisèrent',
    'virilisé',
    'virilisée',
    'virilisées',
    'virilisés',
    'virilité',
    'virilités',
    'virilocal',
    'virilocale',
    'virilocales',
    'virilocaux',
    'virils',
    'virion',
    'virions',
    'virola',
    'virolage',
    'virolages',
    'virolai',
    'virolaient',
    'virolais',
    'virolait',
    'virolant',
    'virolas',
    'virolasse',
    'virolassent',
    'virolasses',
    'virolassiez',
    'virolassions',
    'virole',
    'virolent',
    'viroler',
    'virolera',
    'virolerai',
    'viroleraient',
    'virolerais',
    'virolerait',
    'viroleras',
    'virolerez',
    'viroleriez',
    'virolerions',
    'virolerons',
    'viroleront',
    'viroles',
    'virolez',
    'virolier',
    'viroliers',
    'viroliez',
    'virolions',
    'virologie',
    'virologies',
    'virologiste',
    'virologistes',
    'virologue',
    'virologues',
    'virolons',
    'virolâmes',
    'virolât',
    'virolâtes',
    'virolèrent',
    'virolé',
    'virolée',
    'virolées',
    'virolés',
    'virons',
    'virose',
    'viroses',
    'virostatique',
    'virtualité',
    'virtualités',
    'virtuel',
    'virtuelle',
    'virtuelles',
    'virtuels',
    'virtuose',
    'virtuoses',
    'virtuosité',
    'virtuosités',
    'virulence',
    'virulences',
    'virulent',
    'virulente',
    'virulentes',
    'virulents',
    'virure',
    'virures',
    'virus',
    'virâmes',
    'virât',
    'virâtes',
    'virèrent',
    'viré',
    'virée',
    'virées',
    'virés',
    'visa',
    'visage',
    'visages',
    'visagiste',
    'visagistes',
    'visai',
    'visaient',
    'visais',
    'visait',
    'visant',
    'visas',
    'visasse',
    'visassent',
    'visasses',
    'visassiez',
    'visassions',
    'viscache',
    'viscaches',
    'viscose',
    'viscoses',
    'viscosimètre',
    'viscosité',
    'viscosités',
    'viscère',
    'viscères',
    'viscéral',
    'viscérale',
    'viscérales',
    'viscéraux',
    'vise',
    'visent',
    'viser',
    'visera',
    'viserai',
    'viseraient',
    'viserais',
    'viserait',
    'viseras',
    'viserez',
    'viseriez',
    'viserions',
    'viserons',
    'viseront',
    'vises',
    'viseur',
    'viseurs',
    'viseuse',
    'viseuses',
    'viseux',
    'visez',
    'visibilité',
    'visibilités',
    'visible',
    'visiblement',
    'visibles',
    'visiez',
    'vision',
    'visionna',
    'visionnai',
    'visionnaient',
    'visionnaire',
    'visionnaires',
    'visionnais',
    'visionnait',
    'visionnant',
    'visionnas',
    'visionnasse',
    'visionnasses',
    'visionne',
    'visionnement',
    'visionnent',
    'visionner',
    'visionnera',
    'visionnerai',
    'visionnerais',
    'visionnerait',
    'visionneras',
    'visionnerez',
    'visionneriez',
    'visionnerons',
    'visionneront',
    'visionnes',
    'visionneuse',
    'visionneuses',
    'visionnez',
    'visionniez',
    'visionnions',
    'visionnons',
    'visionnâmes',
    'visionnât',
    'visionnâtes',
    'visionnèrent',
    'visionné',
    'visionnée',
    'visionnées',
    'visionnés',
    'visions',
    'visiophone',
    'visiophones',
    'visiophonie',
    'visiophonies',
    'visita',
    'visitai',
    'visitaient',
    'visitais',
    'visitait',
    'visitandine',
    'visitandines',
    'visitant',
    'visitante',
    'visitantes',
    'visitants',
    'visitas',
    'visitasse',
    'visitassent',
    'visitasses',
    'visitassiez',
    'visitassions',
    'visitation',
    'visitations',
    'visite',
    'visitent',
    'visiter',
    'visitera',
    'visiterai',
    'visiteraient',
    'visiterais',
    'visiterait',
    'visiteras',
    'visiterez',
    'visiteriez',
    'visiterions',
    'visiterons',
    'visiteront',
    'visites',
    'visiteur',
    'visiteurs',
    'visiteuse',
    'visiteuses',
    'visitez',
    'visitiez',
    'visitions',
    'visitons',
    'visitâmes',
    'visitât',
    'visitâtes',
    'visitèrent',
    'visité',
    'visitée',
    'visitées',
    'visités',
    'visière',
    'visières',
    'visnage',
    'visnages',
    'vison',
    'visonnière',
    'visonnières',
    'visons',
    'visqueuse',
    'visqueuses',
    'visqueux',
    'vissa',
    'vissage',
    'vissages',
    'vissai',
    'vissaient',
    'vissais',
    'vissait',
    'vissant',
    'vissas',
    'vissasse',
    'vissassent',
    'vissasses',
    'vissassiez',
    'vissassions',
    'visse',
    'vissent',
    'visser',
    'vissera',
    'visserai',
    'visseraient',
    'visserais',
    'visserait',
    'visseras',
    'visserez',
    'visserie',
    'visseries',
    'visseriez',
    'visserions',
    'visserons',
    'visseront',
    'visses',
    'visseuse',
    'visseuses',
    'vissez',
    'vissiez',
    'vissions',
    'vissons',
    'vissâmes',
    'vissât',
    'vissâtes',
    'vissèrent',
    'vissé',
    'vissée',
    'vissées',
    'vissés',
    'visualisa',
    'visualisai',
    'visualisais',
    'visualisait',
    'visualisant',
    'visualisas',
    'visualisasse',
    'visualise',
    'visualisent',
    'visualiser',
    'visualisera',
    'visualiserai',
    'visualiseras',
    'visualiserez',
    'visualises',
    'visualisez',
    'visualisiez',
    'visualisions',
    'visualisons',
    'visualisâmes',
    'visualisât',
    'visualisâtes',
    'visualisé',
    'visualisée',
    'visualisées',
    'visualisés',
    'visuel',
    'visuelle',
    'visuellement',
    'visuelles',
    'visuels',
    'visâmes',
    'visât',
    'visâtes',
    'visèrent',
    'visé',
    'visée',
    'visées',
    'visés',
    'vitae',
    'vital',
    'vitale',
    'vitales',
    'vitalisme',
    'vitalismes',
    'vitaliste',
    'vitalistes',
    'vitalité',
    'vitalités',
    'vitamine',
    'vitamines',
    'vitaminique',
    'vitaminiques',
    'vitaminé',
    'vitaminée',
    'vitaminées',
    'vitaminés',
    'vitaux',
    'vite',
    'vitellin',
    'vitelline',
    'vitellines',
    'vitellins',
    'vitellus',
    'vitelotte',
    'vitelottes',
    'vitesse',
    'vitesses',
    'viticole',
    'viticoles',
    'viticulteur',
    'viticulteurs',
    'viticultrice',
    'viticulture',
    'viticultures',
    'vitiligo',
    'vitiligos',
    'vitra',
    'vitrage',
    'vitrages',
    'vitrai',
    'vitraient',
    'vitrail',
    'vitrais',
    'vitrait',
    'vitrant',
    'vitras',
    'vitrasse',
    'vitrassent',
    'vitrasses',
    'vitrassiez',
    'vitrassions',
    'vitraux',
    'vitre',
    'vitrent',
    'vitrer',
    'vitrera',
    'vitrerai',
    'vitreraient',
    'vitrerais',
    'vitrerait',
    'vitreras',
    'vitrerez',
    'vitrerie',
    'vitreries',
    'vitreriez',
    'vitrerions',
    'vitrerons',
    'vitreront',
    'vitres',
    'vitreuse',
    'vitreuses',
    'vitreux',
    'vitrez',
    'vitrier',
    'vitriers',
    'vitriez',
    'vitrifia',
    'vitrifiable',
    'vitrifiables',
    'vitrifiai',
    'vitrifiaient',
    'vitrifiais',
    'vitrifiait',
    'vitrifiant',
    'vitrifiante',
    'vitrifiantes',
    'vitrifiants',
    'vitrifias',
    'vitrifiasse',
    'vitrifiasses',
    'vitrifie',
    'vitrifient',
    'vitrifier',
    'vitrifiera',
    'vitrifierai',
    'vitrifierais',
    'vitrifierait',
    'vitrifieras',
    'vitrifierez',
    'vitrifieriez',
    'vitrifierons',
    'vitrifieront',
    'vitrifies',
    'vitrifiez',
    'vitrifiiez',
    'vitrifiions',
    'vitrifions',
    'vitrifiâmes',
    'vitrifiât',
    'vitrifiâtes',
    'vitrifièrent',
    'vitrifié',
    'vitrifiée',
    'vitrifiées',
    'vitrifiés',
    'vitrine',
    'vitrines',
    'vitriol',
    'vitriola',
    'vitriolage',
    'vitriolages',
    'vitriolai',
    'vitriolaient',
    'vitriolais',
    'vitriolait',
    'vitriolant',
    'vitriolas',
    'vitriolasse',
    'vitriolasses',
    'vitriole',
    'vitriolent',
    'vitrioler',
    'vitriolera',
    'vitriolerai',
    'vitriolerais',
    'vitriolerait',
    'vitrioleras',
    'vitriolerez',
    'vitrioleriez',
    'vitriolerons',
    'vitrioleront',
    'vitrioles',
    'vitrioleur',
    'vitrioleurs',
    'vitrioleuse',
    'vitrioleuses',
    'vitriolez',
    'vitrioliez',
    'vitriolions',
    'vitriolons',
    'vitriols',
    'vitriolâmes',
    'vitriolât',
    'vitriolâtes',
    'vitriolèrent',
    'vitriolé',
    'vitriolée',
    'vitriolées',
    'vitriolés',
    'vitrions',
    'vitrière',
    'vitrières',
    'vitrons',
    'vitrâmes',
    'vitrât',
    'vitrâtes',
    'vitrèrent',
    'vitré',
    'vitrée',
    'vitrées',
    'vitrés',
    'vitulaire',
    'vitulaires',
    'vitupère',
    'vitupèrent',
    'vitupères',
    'vitupéra',
    'vitupérai',
    'vitupéraient',
    'vitupérais',
    'vitupérait',
    'vitupérant',
    'vitupéras',
    'vitupérasse',
    'vitupérasses',
    'vitupérateur',
    'vitupération',
    'vitupérer',
    'vitupérera',
    'vitupérerai',
    'vitupérerais',
    'vitupérerait',
    'vitupéreras',
    'vitupérerez',
    'vitupéreriez',
    'vitupérerons',
    'vitupéreront',
    'vitupérez',
    'vitupériez',
    'vitupérions',
    'vitupérons',
    'vitupérâmes',
    'vitupérât',
    'vitupérâtes',
    'vitupérèrent',
    'vitupéré',
    'vitupérée',
    'vitupérées',
    'vitupérés',
    'vitæ',
    'vivable',
    'vivables',
    'vivace',
    'vivaces',
    'vivacité',
    'vivacités',
    'vivaient',
    'vivais',
    'vivait',
    'vivandier',
    'vivandiers',
    'vivandière',
    'vivandières',
    'vivant',
    'vivante',
    'vivantes',
    'vivants',
    'vivarium',
    'vivariums',
    'vivat',
    'vivats',
    'vive',
    'vivement',
    'vivendi',
    'vivent',
    'vives',
    'viveur',
    'viveurs',
    'viveuse',
    'viveuses',
    'vivez',
    'vivier',
    'viviers',
    'viviez',
    'vivifia',
    'vivifiai',
    'vivifiaient',
    'vivifiais',
    'vivifiait',
    'vivifiant',
    'vivifiante',
    'vivifiantes',
    'vivifiants',
    'vivifias',
    'vivifiasse',
    'vivifiassent',
    'vivifiasses',
    'vivifiassiez',
    'vivificateur',
    'vivification',
    'vivifie',
    'vivifient',
    'vivifier',
    'vivifiera',
    'vivifierai',
    'vivifierais',
    'vivifierait',
    'vivifieras',
    'vivifierez',
    'vivifieriez',
    'vivifierions',
    'vivifierons',
    'vivifieront',
    'vivifies',
    'vivifiez',
    'vivifiiez',
    'vivifiions',
    'vivifions',
    'vivifiâmes',
    'vivifiât',
    'vivifiâtes',
    'vivifièrent',
    'vivifié',
    'vivifiée',
    'vivifiées',
    'vivifiés',
    'vivions',
    'vivipare',
    'vivipares',
    'viviparité',
    'viviparités',
    'vivisection',
    'vivisections',
    'vivons',
    'vivota',
    'vivotai',
    'vivotaient',
    'vivotais',
    'vivotait',
    'vivotant',
    'vivotas',
    'vivotasse',
    'vivotassent',
    'vivotasses',
    'vivotassiez',
    'vivotassions',
    'vivote',
    'vivotent',
    'vivoter',
    'vivotera',
    'vivoterai',
    'vivoteraient',
    'vivoterais',
    'vivoterait',
    'vivoteras',
    'vivoterez',
    'vivoteriez',
    'vivoterions',
    'vivoterons',
    'vivoteront',
    'vivotes',
    'vivotez',
    'vivotiez',
    'vivotions',
    'vivotons',
    'vivotâmes',
    'vivotât',
    'vivotâtes',
    'vivotèrent',
    'vivoté',
    'vivra',
    'vivrai',
    'vivraient',
    'vivrais',
    'vivrait',
    'vivras',
    'vivre',
    'vivres',
    'vivrez',
    'vivrier',
    'vivriers',
    'vivriez',
    'vivrions',
    'vivrière',
    'vivrières',
    'vivrons',
    'vivront',
    'vivré',
    'vivrée',
    'vivrées',
    'vivrés',
    'vizir',
    'vizirat',
    'vizirats',
    'vizirs',
    'vlan',
    'vocable',
    'vocables',
    'vocabulaire',
    'vocabulaires',
    'vocal',
    'vocale',
    'vocalement',
    'vocales',
    'vocalique',
    'vocaliques',
    'vocalisa',
    'vocalisai',
    'vocalisaient',
    'vocalisais',
    'vocalisait',
    'vocalisant',
    'vocalisas',
    'vocalisasse',
    'vocalisasses',
    'vocalisateur',
    'vocalisation',
    'vocalise',
    'vocalisent',
    'vocaliser',
    'vocalisera',
    'vocaliserai',
    'vocaliserais',
    'vocaliserait',
    'vocaliseras',
    'vocaliserez',
    'vocaliseriez',
    'vocaliserons',
    'vocaliseront',
    'vocalises',
    'vocalisez',
    'vocalisiez',
    'vocalisions',
    'vocalisme',
    'vocalismes',
    'vocalisons',
    'vocalisâmes',
    'vocalisât',
    'vocalisâtes',
    'vocalisèrent',
    'vocalisé',
    'vocalisée',
    'vocalisées',
    'vocalisés',
    'vocatif',
    'vocatifs',
    'vocation',
    'vocations',
    'vocaux',
    'vocifère',
    'vocifèrent',
    'vocifères',
    'vociféra',
    'vociférai',
    'vociféraient',
    'vociférais',
    'vociférait',
    'vociférant',
    'vociféras',
    'vociférasse',
    'vociférasses',
    'vociférateur',
    'vocifération',
    'vociférer',
    'vociférera',
    'vociférerai',
    'vociférerais',
    'vociférerait',
    'vociféreras',
    'vociférerez',
    'vociféreriez',
    'vociférerons',
    'vociféreront',
    'vociférez',
    'vocifériez',
    'vociférions',
    'vociférons',
    'vociférâmes',
    'vociférât',
    'vociférâtes',
    'vociférèrent',
    'vociféré',
    'vociférée',
    'vociférées',
    'vociférés',
    'vodka',
    'vodkas',
    'voeu',
    'voeux',
    'vogoul',
    'vogoule',
    'vogua',
    'voguai',
    'voguaient',
    'voguais',
    'voguait',
    'voguant',
    'voguas',
    'voguasse',
    'voguassent',
    'voguasses',
    'voguassiez',
    'voguassions',
    'vogue',
    'voguent',
    'voguer',
    'voguera',
    'voguerai',
    'vogueraient',
    'voguerais',
    'voguerait',
    'vogueras',
    'voguerez',
    'vogueriez',
    'voguerions',
    'voguerons',
    'vogueront',
    'vogues',
    'voguez',
    'voguiez',
    'voguions',
    'voguons',
    'voguâmes',
    'voguât',
    'voguâtes',
    'voguèrent',
    'vogué',
    'voici',
    'voie',
    'voient',
    'voies',
    'voila',
    'voilage',
    'voilages',
    'voilai',
    'voilaient',
    'voilais',
    'voilait',
    'voilant',
    'voilas',
    'voilasse',
    'voilassent',
    'voilasses',
    'voilassiez',
    'voilassions',
    'voile',
    'voilement',
    'voilements',
    'voilent',
    'voiler',
    'voilera',
    'voilerai',
    'voileraient',
    'voilerais',
    'voilerait',
    'voileras',
    'voilerez',
    'voilerie',
    'voileries',
    'voileriez',
    'voilerions',
    'voilerons',
    'voileront',
    'voiles',
    'voilette',
    'voilettes',
    'voilez',
    'voilier',
    'voiliers',
    'voiliez',
    'voilions',
    'voilons',
    'voilure',
    'voilures',
    'voilà',
    'voilâmes',
    'voilât',
    'voilâtes',
    'voilèrent',
    'voilé',
    'voilée',
    'voilées',
    'voilés',
    'voir',
    'voire',
    'voirie',
    'voiries',
    'vois',
    'voisin',
    'voisina',
    'voisinage',
    'voisinages',
    'voisinai',
    'voisinaient',
    'voisinais',
    'voisinait',
    'voisinant',
    'voisinas',
    'voisinasse',
    'voisinassent',
    'voisinasses',
    'voisinassiez',
    'voisine',
    'voisinent',
    'voisiner',
    'voisinera',
    'voisinerai',
    'voisinerais',
    'voisinerait',
    'voisineras',
    'voisinerez',
    'voisineriez',
    'voisinerions',
    'voisinerons',
    'voisineront',
    'voisines',
    'voisinez',
    'voisiniez',
    'voisinions',
    'voisinons',
    'voisins',
    'voisinâmes',
    'voisinât',
    'voisinâtes',
    'voisinèrent',
    'voisiné',
    'voisinée',
    'voisinées',
    'voisinés',
    'voit',
    'voitura',
    'voiturage',
    'voiturages',
    'voiturai',
    'voituraient',
    'voiturais',
    'voiturait',
    'voiturant',
    'voituras',
    'voiturasse',
    'voiturassent',
    'voiturasses',
    'voiturassiez',
    'voiture',
    'voiturent',
    'voiturer',
    'voiturera',
    'voiturerai',
    'voiturerais',
    'voiturerait',
    'voitureras',
    'voiturerez',
    'voitureriez',
    'voiturerions',
    'voiturerons',
    'voitureront',
    'voitures',
    'voiturette',
    'voiturettes',
    'voiturez',
    'voiturier',
    'voituriers',
    'voituriez',
    'voiturin',
    'voiturins',
    'voiturions',
    'voiturons',
    'voiturâmes',
    'voiturât',
    'voiturâtes',
    'voiturèrent',
    'voituré',
    'voiturée',
    'voiturées',
    'voiturés',
    'voix',
    'vola',
    'volable',
    'volables',
    'volage',
    'volages',
    'volai',
    'volaient',
    'volaille',
    'volailler',
    'volaillers',
    'volailles',
    'volailleur',
    'volailleurs',
    'volailleuse',
    'volailleuses',
    'volais',
    'volait',
    'volant',
    'volante',
    'volantes',
    'volants',
    'volapük',
    'volas',
    'volasse',
    'volassent',
    'volasses',
    'volassiez',
    'volassions',
    'volatil',
    'volatile',
    'volatiles',
    'volatilisa',
    'volatilisai',
    'volatilisais',
    'volatilisait',
    'volatilisant',
    'volatilisas',
    'volatilise',
    'volatilisent',
    'volatiliser',
    'volatilisera',
    'volatilises',
    'volatilisez',
    'volatilisiez',
    'volatilisons',
    'volatilisât',
    'volatilisé',
    'volatilisée',
    'volatilisées',
    'volatilisés',
    'volatilité',
    'volatilités',
    'volatils',
    'volatiser',
    'volatisé',
    'volatisée',
    'volatisées',
    'volatisés',
    'volcan',
    'volcanique',
    'volcaniques',
    'volcanisa',
    'volcanisai',
    'volcanisais',
    'volcanisait',
    'volcanisant',
    'volcanisas',
    'volcanisasse',
    'volcanise',
    'volcanisent',
    'volcaniser',
    'volcanisera',
    'volcaniserai',
    'volcaniseras',
    'volcaniserez',
    'volcanises',
    'volcanisez',
    'volcanisiez',
    'volcanisions',
    'volcanisme',
    'volcanismes',
    'volcanisons',
    'volcanisâmes',
    'volcanisât',
    'volcanisâtes',
    'volcanisé',
    'volcanisée',
    'volcanisées',
    'volcanisés',
    'volcanologie',
    'volcanologue',
    'volcans',
    'vole',
    'volent',
    'voler',
    'volera',
    'volerai',
    'voleraient',
    'volerais',
    'volerait',
    'voleras',
    'volerez',
    'volerie',
    'voleries',
    'voleriez',
    'volerions',
    'volerons',
    'voleront',
    'voles',
    'volet',
    'voleta',
    'voletai',
    'voletaient',
    'voletais',
    'voletait',
    'voletant',
    'voletas',
    'voletasse',
    'voletassent',
    'voletasses',
    'voletassiez',
    'voletassions',
    'voleter',
    'voletez',
    'voletiez',
    'voletions',
    'voletons',
    'volets',
    'volette',
    'volettement',
    'volettements',
    'volettent',
    'volettera',
    'voletterai',
    'voletterais',
    'voletterait',
    'voletteras',
    'voletterez',
    'voletteriez',
    'voletterions',
    'voletterons',
    'voletteront',
    'volettes',
    'voletâmes',
    'voletât',
    'voletâtes',
    'voletèrent',
    'voleté',
    'voleur',
    'voleurs',
    'voleuse',
    'voleuses',
    'volez',
    'voliez',
    'volige',
    'voligea',
    'voligeage',
    'voligeages',
    'voligeai',
    'voligeaient',
    'voligeais',
    'voligeait',
    'voligeant',
    'voligeas',
    'voligeasse',
    'voligeassent',
    'voligeasses',
    'voligeassiez',
    'voligent',
    'voligeons',
    'voliger',
    'voligera',
    'voligerai',
    'voligeraient',
    'voligerais',
    'voligerait',
    'voligeras',
    'voligerez',
    'voligeriez',
    'voligerions',
    'voligerons',
    'voligeront',
    'voliges',
    'voligez',
    'voligeâmes',
    'voligeât',
    'voligeâtes',
    'voligiez',
    'voligions',
    'voligèrent',
    'voligé',
    'voligée',
    'voligées',
    'voligés',
    'volions',
    'volis',
    'volitif',
    'volitifs',
    'volition',
    'volitions',
    'volitive',
    'volitives',
    'volière',
    'volières',
    'volley',
    'volleyeur',
    'volleyeurs',
    'volleyeuse',
    'volleyeuses',
    'volleys',
    'volons',
    'volontaire',
    'volontaires',
    'volontariat',
    'volontariats',
    'volontarisme',
    'volontariste',
    'volontiers',
    'volonté',
    'volontés',
    'vols',
    'volt',
    'volta',
    'voltage',
    'voltages',
    'voltai',
    'voltaient',
    'voltaire',
    'voltaires',
    'voltairien',
    'voltairienne',
    'voltairiens',
    'voltais',
    'voltait',
    'voltampère',
    'voltampères',
    'voltamètre',
    'voltamètres',
    'voltant',
    'voltas',
    'voltasse',
    'voltassent',
    'voltasses',
    'voltassiez',
    'voltassions',
    'voltaïque',
    'voltaïques',
    'voltaïsation',
    'volte',
    'voltent',
    'volter',
    'voltera',
    'volterai',
    'volteraient',
    'volterais',
    'volterait',
    'volteras',
    'volterez',
    'volteriez',
    'volterions',
    'volterons',
    'volteront',
    'voltes',
    'voltez',
    'voltiez',
    'voltige',
    'voltigea',
    'voltigeai',
    'voltigeaient',
    'voltigeais',
    'voltigeait',
    'voltigeant',
    'voltigeas',
    'voltigeasse',
    'voltigeasses',
    'voltigement',
    'voltigements',
    'voltigent',
    'voltigeons',
    'voltiger',
    'voltigera',
    'voltigerai',
    'voltigerais',
    'voltigerait',
    'voltigeras',
    'voltigerez',
    'voltigeriez',
    'voltigerions',
    'voltigerons',
    'voltigeront',
    'voltiges',
    'voltigeur',
    'voltigeurs',
    'voltigeuse',
    'voltigeuses',
    'voltigez',
    'voltigeâmes',
    'voltigeât',
    'voltigeâtes',
    'voltigiez',
    'voltigions',
    'voltigèrent',
    'voltigé',
    'voltions',
    'voltmètre',
    'voltmètres',
    'voltons',
    'volts',
    'voltâmes',
    'voltât',
    'voltâtes',
    'voltèrent',
    'volté',
    'volubile',
    'volubilement',
    'volubiles',
    'volubilis',
    'volubilité',
    'volubilités',
    'volucelle',
    'volucelles',
    'volume',
    'volumes',
    'volumineuse',
    'volumineuses',
    'volumineux',
    'volumique',
    'volumiques',
    'volumétrie',
    'volumétries',
    'volumétrique',
    'voluptuaire',
    'voluptuaires',
    'voluptueuse',
    'voluptueuses',
    'voluptueux',
    'volupté',
    'voluptés',
    'volute',
    'volutes',
    'volvaire',
    'volvaires',
    'volve',
    'volves',
    'volvox',
    'volvulus',
    'volâmes',
    'volât',
    'volâtes',
    'volèrent',
    'volé',
    'volée',
    'volées',
    'volés',
    'vomer',
    'vomers',
    'vomi',
    'vomie',
    'vomies',
    'vomique',
    'vomiques',
    'vomiquier',
    'vomiquiers',
    'vomir',
    'vomira',
    'vomirai',
    'vomiraient',
    'vomirais',
    'vomirait',
    'vomiras',
    'vomirent',
    'vomirez',
    'vomiriez',
    'vomirions',
    'vomirons',
    'vomiront',
    'vomis',
    'vomissaient',
    'vomissais',
    'vomissait',
    'vomissant',
    'vomisse',
    'vomissement',
    'vomissements',
    'vomissent',
    'vomisses',
    'vomissez',
    'vomissiez',
    'vomissions',
    'vomissons',
    'vomissure',
    'vomissures',
    'vomit',
    'vomitif',
    'vomitifs',
    'vomitive',
    'vomitives',
    'vomitoire',
    'vomitoires',
    'vomérien',
    'vomérienne',
    'vomériennes',
    'vomériens',
    'vomîmes',
    'vomît',
    'vomîtes',
    'vont',
    'vorace',
    'voracement',
    'voraces',
    'voracité',
    'voracités',
    'vortex',
    'vorticelle',
    'vorticelles',
    'vota',
    'votai',
    'votaient',
    'votais',
    'votait',
    'votant',
    'votante',
    'votantes',
    'votants',
    'votas',
    'votasse',
    'votassent',
    'votasses',
    'votassiez',
    'votassions',
    'votation',
    'votations',
    'vote',
    'votent',
    'voter',
    'votera',
    'voterai',
    'voteraient',
    'voterais',
    'voterait',
    'voteras',
    'voterez',
    'voteriez',
    'voterions',
    'voterons',
    'voteront',
    'votes',
    'votez',
    'votiez',
    'votif',
    'votifs',
    'votions',
    'votive',
    'votives',
    'votons',
    'votre',
    'votâmes',
    'votât',
    'votâtes',
    'votèrent',
    'voté',
    'votée',
    'votées',
    'votés',
    'voua',
    'vouai',
    'vouaient',
    'vouais',
    'vouait',
    'vouant',
    'vouas',
    'vouasse',
    'vouassent',
    'vouasses',
    'vouassiez',
    'vouassions',
    'voudra',
    'voudrai',
    'voudraient',
    'voudrais',
    'voudrait',
    'voudras',
    'voudrez',
    'voudriez',
    'voudrions',
    'voudrons',
    'voudront',
    'voue',
    'vouent',
    'vouer',
    'vouera',
    'vouerai',
    'voueraient',
    'vouerais',
    'vouerait',
    'voueras',
    'vouerez',
    'voueriez',
    'vouerions',
    'vouerons',
    'voueront',
    'voues',
    'vouez',
    'vouge',
    'vouges',
    'vouiez',
    'vouions',
    'vouivre',
    'vouivres',
    'voulaient',
    'voulais',
    'voulait',
    'voulant',
    'voulez',
    'vouliez',
    'voulions',
    'vouloir',
    'voulons',
    'voulu',
    'voulue',
    'voulues',
    'voulurent',
    'voulus',
    'voulusse',
    'voulussent',
    'voulusses',
    'voulussiez',
    'voulussions',
    'voulut',
    'voulûmes',
    'voulût',
    'voulûtes',
    'vouons',
    'vous',
    'vousoie',
    'vousoient',
    'vousoiera',
    'vousoierai',
    'vousoierais',
    'vousoierait',
    'vousoieras',
    'vousoierez',
    'vousoieriez',
    'vousoierions',
    'vousoierons',
    'vousoieront',
    'vousoies',
    'vousoya',
    'vousoyai',
    'vousoyaient',
    'vousoyais',
    'vousoyait',
    'vousoyant',
    'vousoyas',
    'vousoyasse',
    'vousoyassent',
    'vousoyasses',
    'vousoyassiez',
    'vousoyer',
    'vousoyez',
    'vousoyiez',
    'vousoyions',
    'vousoyons',
    'vousoyâmes',
    'vousoyât',
    'vousoyâtes',
    'vousoyèrent',
    'vousoyé',
    'vousoyée',
    'vousoyées',
    'vousoyés',
    'vousseau',
    'vousseaux',
    'voussoie',
    'voussoiement',
    'voussoient',
    'voussoiera',
    'voussoierai',
    'voussoierais',
    'voussoierait',
    'voussoieras',
    'voussoierez',
    'voussoieriez',
    'voussoierons',
    'voussoieront',
    'voussoies',
    'voussoir',
    'voussoirs',
    'voussoya',
    'voussoyai',
    'voussoyaient',
    'voussoyais',
    'voussoyait',
    'voussoyant',
    'voussoyas',
    'voussoyasse',
    'voussoyasses',
    'voussoyer',
    'voussoyez',
    'voussoyiez',
    'voussoyions',
    'voussoyons',
    'voussoyâmes',
    'voussoyât',
    'voussoyâtes',
    'voussoyèrent',
    'voussoyé',
    'voussoyée',
    'voussoyées',
    'voussoyés',
    'voussure',
    'voussures',
    'vouvoie',
    'vouvoiement',
    'vouvoiements',
    'vouvoient',
    'vouvoiera',
    'vouvoierai',
    'vouvoierais',
    'vouvoierait',
    'vouvoieras',
    'vouvoierez',
    'vouvoieriez',
    'vouvoierions',
    'vouvoierons',
    'vouvoieront',
    'vouvoies',
    'vouvoya',
    'vouvoyai',
    'vouvoyaient',
    'vouvoyais',
    'vouvoyait',
    'vouvoyant',
    'vouvoyas',
    'vouvoyasse',
    'vouvoyassent',
    'vouvoyasses',
    'vouvoyassiez',
    'vouvoyer',
    'vouvoyez',
    'vouvoyiez',
    'vouvoyions',
    'vouvoyons',
    'vouvoyâmes',
    'vouvoyât',
    'vouvoyâtes',
    'vouvoyèrent',
    'vouvoyé',
    'vouvoyée',
    'vouvoyées',
    'vouvoyés',
    'vouâmes',
    'vouât',
    'vouâtes',
    'vouèrent',
    'voué',
    'vouée',
    'vouées',
    'voués',
    'voyage',
    'voyagea',
    'voyageai',
    'voyageaient',
    'voyageais',
    'voyageait',
    'voyageant',
    'voyageas',
    'voyageasse',
    'voyageassent',
    'voyageasses',
    'voyageassiez',
    'voyagent',
    'voyageons',
    'voyager',
    'voyagera',
    'voyagerai',
    'voyageraient',
    'voyagerais',
    'voyagerait',
    'voyageras',
    'voyagerez',
    'voyageriez',
    'voyagerions',
    'voyagerons',
    'voyageront',
    'voyages',
    'voyageur',
    'voyageurs',
    'voyageuse',
    'voyageuses',
    'voyagez',
    'voyageâmes',
    'voyageât',
    'voyageâtes',
    'voyagiez',
    'voyagions',
    'voyagèrent',
    'voyagé',
    'voyaient',
    'voyais',
    'voyait',
    'voyance',
    'voyances',
    'voyant',
    'voyante',
    'voyantes',
    'voyants',
    'voyelle',
    'voyelles',
    'voyer',
    'voyers',
    'voyeur',
    'voyeurisme',
    'voyeurismes',
    'voyeurs',
    'voyeuse',
    'voyeuses',
    'voyez',
    'voyiez',
    'voyions',
    'voyons',
    'voyou',
    'voyous',
    'voïvodat',
    'voïvodats',
    'voïvode',
    'voïvodes',
    'voïvodie',
    'voïvodies',
    'voûta',
    'voûtai',
    'voûtaient',
    'voûtais',
    'voûtait',
    'voûtant',
    'voûtas',
    'voûtasse',
    'voûtassent',
    'voûtasses',
    'voûtassiez',
    'voûtassions',
    'voûte',
    'voûtent',
    'voûter',
    'voûtera',
    'voûterai',
    'voûteraient',
    'voûterais',
    'voûterait',
    'voûteras',
    'voûterez',
    'voûteriez',
    'voûterions',
    'voûterons',
    'voûteront',
    'voûtes',
    'voûtez',
    'voûtiez',
    'voûtions',
    'voûtons',
    'voûtâmes',
    'voûtât',
    'voûtâtes',
    'voûtèrent',
    'voûté',
    'voûtée',
    'voûtées',
    'voûtés',
    'vrac',
    'vrai',
    'vraie',
    'vraies',
    'vraiment',
    'vrais',
    'vraquier',
    'vraquiers',
    'vreneli',
    'vrenelis',
    'vrilla',
    'vrillage',
    'vrillages',
    'vrillai',
    'vrillaient',
    'vrillais',
    'vrillait',
    'vrillant',
    'vrillas',
    'vrillasse',
    'vrillassent',
    'vrillasses',
    'vrillassiez',
    'vrillassions',
    'vrille',
    'vrillent',
    'vriller',
    'vrillera',
    'vrillerai',
    'vrilleraient',
    'vrillerais',
    'vrillerait',
    'vrilleras',
    'vrillerez',
    'vrilleriez',
    'vrillerions',
    'vrillerons',
    'vrilleront',
    'vrilles',
    'vrillette',
    'vrillettes',
    'vrillez',
    'vrilliez',
    'vrillions',
    'vrillons',
    'vrillâmes',
    'vrillât',
    'vrillâtes',
    'vrillèrent',
    'vrillé',
    'vrillée',
    'vrillées',
    'vrillés',
    'vrombi',
    'vrombir',
    'vrombira',
    'vrombirai',
    'vrombiraient',
    'vrombirais',
    'vrombirait',
    'vrombiras',
    'vrombirent',
    'vrombirez',
    'vrombiriez',
    'vrombirions',
    'vrombirons',
    'vrombiront',
    'vrombis',
    'vrombissais',
    'vrombissait',
    'vrombissant',
    'vrombisse',
    'vrombissent',
    'vrombisses',
    'vrombissez',
    'vrombissiez',
    'vrombissions',
    'vrombissons',
    'vrombit',
    'vrombîmes',
    'vrombît',
    'vrombîtes',
    'vues',
    'vulcain',
    'vulcains',
    'vulcanales',
    'vulcanien',
    'vulcanienne',
    'vulcaniennes',
    'vulcaniens',
    'vulcanisa',
    'vulcanisai',
    'vulcanisais',
    'vulcanisait',
    'vulcanisant',
    'vulcanisas',
    'vulcanisasse',
    'vulcanise',
    'vulcanisent',
    'vulcaniser',
    'vulcanisera',
    'vulcaniserai',
    'vulcaniseras',
    'vulcaniserez',
    'vulcanises',
    'vulcanisez',
    'vulcanisiez',
    'vulcanisions',
    'vulcanisons',
    'vulcanisâmes',
    'vulcanisât',
    'vulcanisâtes',
    'vulcanisé',
    'vulcanisée',
    'vulcanisées',
    'vulcanisés',
    'vulcanologie',
    'vulcanologue',
    'vulgaire',
    'vulgairement',
    'vulgaires',
    'vulgarisa',
    'vulgarisai',
    'vulgarisais',
    'vulgarisait',
    'vulgarisant',
    'vulgarisas',
    'vulgarisasse',
    'vulgarise',
    'vulgarisent',
    'vulgariser',
    'vulgarisera',
    'vulgariserai',
    'vulgariseras',
    'vulgariserez',
    'vulgarises',
    'vulgarisez',
    'vulgarisiez',
    'vulgarisions',
    'vulgarisme',
    'vulgarismes',
    'vulgarisons',
    'vulgarisâmes',
    'vulgarisât',
    'vulgarisâtes',
    'vulgarisé',
    'vulgarisée',
    'vulgarisées',
    'vulgarisés',
    'vulgarité',
    'vulgarités',
    'vulgate',
    'vulgates',
    'vulgo',
    'vulnérable',
    'vulnérables',
    'vulnéraire',
    'vulnéraires',
    'vulnérant',
    'vulnérante',
    'vulnérantes',
    'vulnérants',
    'vulpin',
    'vulpins',
    'vulvaire',
    'vulvaires',
    'vulve',
    'vulves',
    'vécu',
    'vécue',
    'vécues',
    'vécurent',
    'vécus',
    'vécusse',
    'vécussent',
    'vécusses',
    'vécussiez',
    'vécussions',
    'vécut',
    'vécés',
    'vécûmes',
    'vécût',
    'vécûtes',
    'védique',
    'védiques',
    'védisme',
    'védismes',
    'végète',
    'végètent',
    'végètes',
    'végéta',
    'végétai',
    'végétaient',
    'végétais',
    'végétait',
    'végétal',
    'végétale',
    'végétales',
    'végétalisme',
    'végétalismes',
    'végétant',
    'végétarien',
    'végétarienne',
    'végétariens',
    'végétarisme',
    'végétarismes',
    'végétas',
    'végétasse',
    'végétassent',
    'végétasses',
    'végétassiez',
    'végétassions',
    'végétatif',
    'végétatifs',
    'végétation',
    'végétations',
    'végétative',
    'végétatives',
    'végétaux',
    'végéter',
    'végétera',
    'végéterai',
    'végéteraient',
    'végéterais',
    'végéterait',
    'végéteras',
    'végéterez',
    'végéteriez',
    'végéterions',
    'végéterons',
    'végéteront',
    'végétez',
    'végétiez',
    'végétions',
    'végétons',
    'végétâmes',
    'végétât',
    'végétâtes',
    'végétèrent',
    'végété',
    'véhicula',
    'véhiculai',
    'véhiculaient',
    'véhiculaire',
    'véhiculaires',
    'véhiculais',
    'véhiculait',
    'véhiculant',
    'véhiculas',
    'véhiculasse',
    'véhiculasses',
    'véhicule',
    'véhiculent',
    'véhiculer',
    'véhiculera',
    'véhiculerai',
    'véhiculerais',
    'véhiculerait',
    'véhiculeras',
    'véhiculerez',
    'véhiculeriez',
    'véhiculerons',
    'véhiculeront',
    'véhicules',
    'véhiculez',
    'véhiculiez',
    'véhiculions',
    'véhiculons',
    'véhiculâmes',
    'véhiculât',
    'véhiculâtes',
    'véhiculèrent',
    'véhiculé',
    'véhiculée',
    'véhiculées',
    'véhiculés',
    'véhémence',
    'véhémences',
    'véhément',
    'véhémente',
    'véhémentes',
    'véhéments',
    'vélaire',
    'vélaires',
    'vélar',
    'vélarisa',
    'vélarisai',
    'vélarisaient',
    'vélarisais',
    'vélarisait',
    'vélarisant',
    'vélarisas',
    'vélarisasse',
    'vélarisasses',
    'vélarise',
    'vélarisent',
    'vélariser',
    'vélarisera',
    'vélariserai',
    'vélariserais',
    'vélariserait',
    'vélariseras',
    'vélariserez',
    'vélariseriez',
    'vélariserons',
    'vélariseront',
    'vélarises',
    'vélarisez',
    'vélarisiez',
    'vélarisions',
    'vélarisons',
    'vélarisâmes',
    'vélarisât',
    'vélarisâtes',
    'vélarisèrent',
    'vélarisé',
    'vélarisée',
    'vélarisées',
    'vélarisés',
    'vélars',
    'vélie',
    'vélies',
    'vélin',
    'vélins',
    'vélique',
    'véliques',
    'vélite',
    'vélites',
    'vélivole',
    'vélivoles',
    'vélo',
    'véloce',
    'vélocement',
    'véloces',
    'vélocipède',
    'vélocipèdes',
    'vélocité',
    'vélocités',
    'vélodrome',
    'vélodromes',
    'vélomoteur',
    'vélomoteurs',
    'vélos',
    'véloski',
    'véloskis',
    'vélum',
    'vélums',
    'vénal',
    'vénale',
    'vénalement',
    'vénales',
    'vénalité',
    'vénalités',
    'vénaux',
    'vénerie',
    'véneries',
    'véniel',
    'vénielle',
    'véniellement',
    'vénielles',
    'véniels',
    'vénitien',
    'vénitienne',
    'vénitiennes',
    'vénitiens',
    'vénus',
    'vénusien',
    'vénusienne',
    'vénusiennes',
    'vénusiens',
    'vénusté',
    'vénustés',
    'vénère',
    'vénèrent',
    'vénères',
    'vénéneuse',
    'vénéneuses',
    'vénéneux',
    'vénéra',
    'vénérable',
    'vénérables',
    'vénérai',
    'vénéraient',
    'vénérais',
    'vénérait',
    'vénérant',
    'vénéras',
    'vénérasse',
    'vénérassent',
    'vénérasses',
    'vénérassiez',
    'vénérassions',
    'vénération',
    'vénérations',
    'vénérer',
    'vénérera',
    'vénérerai',
    'vénéreraient',
    'vénérerais',
    'vénérerait',
    'vénéreras',
    'vénérerez',
    'vénéreriez',
    'vénérerions',
    'vénérerons',
    'vénéreront',
    'vénérez',
    'vénéricarde',
    'vénéricardes',
    'vénérien',
    'vénérienne',
    'vénériennes',
    'vénériens',
    'vénériez',
    'vénérions',
    'vénérons',
    'vénérâmes',
    'vénérât',
    'vénérâtes',
    'vénérèrent',
    'vénéré',
    'vénérée',
    'vénérées',
    'vénéréologie',
    'vénérés',
    'véracité',
    'véracités',
    'véraison',
    'véraisons',
    'véranda',
    'vérandas',
    'vératre',
    'vératres',
    'vératrine',
    'vératrines',
    'véreuse',
    'véreuses',
    'véreux',
    'véridicité',
    'véridicités',
    'véridique',
    'véridiques',
    'vérifia',
    'vérifiable',
    'vérifiables',
    'vérifiai',
    'vérifiaient',
    'vérifiais',
    'vérifiait',
    'vérifiant',
    'vérifias',
    'vérifiasse',
    'vérifiassent',
    'vérifiasses',
    'vérifiassiez',
    'vérificateur',
    'vérificatif',
    'vérificatifs',
    'vérification',
    'vérificative',
    'vérifie',
    'vérifient',
    'vérifier',
    'vérifiera',
    'vérifierai',
    'vérifierais',
    'vérifierait',
    'vérifieras',
    'vérifierez',
    'vérifieriez',
    'vérifierions',
    'vérifierons',
    'vérifieront',
    'vérifies',
    'vérifieur',
    'vérifieurs',
    'vérifieuse',
    'vérifieuses',
    'vérifiez',
    'vérifiiez',
    'vérifiions',
    'vérifions',
    'vérifiâmes',
    'vérifiât',
    'vérifiâtes',
    'vérifièrent',
    'vérifié',
    'vérifiée',
    'vérifiées',
    'vérifiés',
    'vérin',
    'vérine',
    'vérines',
    'vérins',
    'vérisme',
    'vérismes',
    'vériste',
    'véristes',
    'véritable',
    'véritables',
    'vérité',
    'vérités',
    'vérole',
    'véroles',
    'vérolé',
    'vérolée',
    'vérolées',
    'vérolés',
    'véronal',
    'véronals',
    'véronique',
    'véroniques',
    'vérétille',
    'vérétilles',
    'vésanie',
    'vésanies',
    'vésical',
    'vésicale',
    'vésicales',
    'vésicant',
    'vésicante',
    'vésicantes',
    'vésicants',
    'vésication',
    'vésications',
    'vésicatoire',
    'vésicatoires',
    'vésicaux',
    'vésiculaire',
    'vésiculaires',
    'vésicule',
    'vésicules',
    'vésiculeuse',
    'vésiculeuses',
    'vésiculeux',
    'vétilla',
    'vétillai',
    'vétillaient',
    'vétillais',
    'vétillait',
    'vétillant',
    'vétillard',
    'vétillarde',
    'vétillardes',
    'vétillards',
    'vétillas',
    'vétillasse',
    'vétillassent',
    'vétillasses',
    'vétillassiez',
    'vétille',
    'vétillent',
    'vétiller',
    'vétillera',
    'vétillerai',
    'vétillerais',
    'vétillerait',
    'vétilleras',
    'vétillerez',
    'vétilleriez',
    'vétillerions',
    'vétillerons',
    'vétilleront',
    'vétilles',
    'vétilleuse',
    'vétilleuses',
    'vétilleux',
    'vétillez',
    'vétilliez',
    'vétillions',
    'vétillons',
    'vétillâmes',
    'vétillât',
    'vétillâtes',
    'vétillèrent',
    'vétillé',
    'vétiver',
    'vétivers',
    'vétuste',
    'vétustes',
    'vétusté',
    'vétustés',
    'vétéran',
    'vétérans',
    'vétérinaire',
    'vétérinaires',
    'vêla',
    'vêlage',
    'vêlages',
    'vêlai',
    'vêlaient',
    'vêlais',
    'vêlait',
    'vêlant',
    'vêlas',
    'vêlasse',
    'vêlassent',
    'vêlasses',
    'vêlassiez',
    'vêlassions',
    'vêle',
    'vêlement',
    'vêlements',
    'vêlent',
    'vêler',
    'vêlera',
    'vêlerai',
    'vêleraient',
    'vêlerais',
    'vêlerait',
    'vêleras',
    'vêlerez',
    'vêleriez',
    'vêlerions',
    'vêlerons',
    'vêleront',
    'vêles',
    'vêlez',
    'vêliez',
    'vêlions',
    'vêlons',
    'vêlâmes',
    'vêlât',
    'vêlâtes',
    'vêlèrent',
    'vêlé',
    'vêpres',
    'vêtaient',
    'vêtais',
    'vêtait',
    'vêtant',
    'vête',
    'vêtement',
    'vêtements',
    'vêtent',
    'vêtes',
    'vêtez',
    'vêtiez',
    'vêtions',
    'vêtir',
    'vêtira',
    'vêtirai',
    'vêtiraient',
    'vêtirais',
    'vêtirait',
    'vêtiras',
    'vêtirent',
    'vêtirez',
    'vêtiriez',
    'vêtirions',
    'vêtirons',
    'vêtiront',
    'vêtis',
    'vêtisse',
    'vêtissent',
    'vêtisses',
    'vêtissiez',
    'vêtissions',
    'vêtit',
    'vêtons',
    'vêts',
    'vêtu',
    'vêtue',
    'vêtues',
    'vêture',
    'vêtures',
    'vêtus',
    'vêtîmes',
    'vêtît',
    'vêtîtes',
    'vîmes',
    'vînmes',
    'vînt',
    'vîntes',
    'vîtes',
    'vôtre',
    'vôtres',
    'voeu',
    'voeux',
    'wading',
    'wadings',
    'wagage',
    'wagages',
    'wagnérien',
    'wagnérienne',
    'wagnériennes',
    'wagnériens',
    'wagon',
    'wagonnet',
    'wagonnets',
    'wagonnier',
    'wagonniers',
    'wagonnée',
    'wagonnées',
    'wagons',
    'walkyrie',
    'walkyries',
    'wallabies',
    'wallaby',
    'wallingant',
    'wallingante',
    'wallingantes',
    'wallingants',
    'wallon',
    'wallonisme',
    'wallonismes',
    'wallonne',
    'wallonnes',
    'wallons',
    'wapiti',
    'wapitis',
    'wargame',
    'wargames',
    'warrant',
    'warranta',
    'warrantage',
    'warrantages',
    'warrantai',
    'warrantaient',
    'warrantais',
    'warrantait',
    'warrantant',
    'warrantas',
    'warrantasse',
    'warrantasses',
    'warrante',
    'warrantent',
    'warranter',
    'warrantera',
    'warranterai',
    'warranterais',
    'warranterait',
    'warranteras',
    'warranterez',
    'warranteriez',
    'warranterons',
    'warranteront',
    'warrantes',
    'warrantez',
    'warrantiez',
    'warrantions',
    'warrantons',
    'warrants',
    'warrantâmes',
    'warrantât',
    'warrantâtes',
    'warrantèrent',
    'warranté',
    'warrantée',
    'warrantées',
    'warrantés',
    'washingtonia',
    'wassingue',
    'wassingues',
    'watergang',
    'watergangs',
    'wateringue',
    'wateringues',
    'waterproof',
    'waterproofs',
    'waters',
    'watt',
    'wattheure',
    'wattheures',
    'wattman',
    'wattmen',
    'wattmètre',
    'wattmètres',
    'watts',
    'weber',
    'webers',
    'welche',
    'welches',
    'wellingtonia',
    'welter',
    'welters',
    'wergeld',
    'wergelds',
    'western',
    'westerns',
    'wharf',
    'wharfs',
    'whig',
    'whigs',
    'whipcord',
    'whipcords',
    'whiskies',
    'whisky',
    'whiskys',
    'whist',
    'whists',
    'wigwam',
    'wigwams',
    'wilaya',
    'wilayas',
    'winch',
    'winches',
    'winchester',
    'winchesters',
    'winchs',
    'wintergreen',
    'wintergreens',
    'wishbone',
    'wishbones',
    'wisigothe',
    'wisigothes',
    'wisigothique',
    'witloof',
    'witloofs',
    'wolfram',
    'wolframs',
    'wombat',
    'wombats',
    'woofer',
    'woofers',
    'wormien',
    'wormiens',
    'wurmien',
    'wurmienne',
    'wurmiennes',
    'wurmiens',
    'wyandotte',
    'wyandottes',
    'xanthie',
    'xanthies',
    'xanthine',
    'xanthines',
    'xanthome',
    'xanthomes',
    'xanthophylle',
    'ximénie',
    'ximénies',
    'xipho',
    'xiphophore',
    'xiphophores',
    'xiphos',
    'xiphoïde',
    'xiphoïdes',
    'xiphoïdien',
    'xiphoïdienne',
    'xiphoïdiens',
    'xylidine',
    'xylidines',
    'xylocope',
    'xylocopes',
    'xylographe',
    'xylographes',
    'xylographie',
    'xylographies',
    'xylophage',
    'xylophages',
    'xylophone',
    'xylophones',
    'xylène',
    'xylènes',
    'xyste',
    'xystes',
    'xénon',
    'xénons',
    'xénophile',
    'xénophiles',
    'xénophilie',
    'xénophilies',
    'xénophobe',
    'xénophobes',
    'xénophobie',
    'xénophobies',
    'xénélasie',
    'xénélasies',
    'xéranthème',
    'xéranthèmes',
    'xérodermie',
    'xérodermies',
    'xérographie',
    'xérographies',
    'xérophile',
    'xérophiles',
    'xérophtalmie',
    'xérus',
    'xérès',
    'yacht',
    'yachting',
    'yachtings',
    'yachtman',
    'yachtmen',
    'yachts',
    'yachtsman',
    'yachtsmen',
    'yachtswoman',
    'yachtswomen',
    'yachtwoman',
    'yachtwomen',
    'yack',
    'yacks',
    'yaks',
    'yang',
    'yankee',
    'yankees',
    'yaourt',
    'yaourtière',
    'yaourtières',
    'yaourts',
    'yard',
    'yards',
    'yatagan',
    'yatagans',
    'yearling',
    'yearlings',
    'yens',
    'yeoman',
    'yeomen',
    'yeuse',
    'yeuses',
    'yeux',
    'yiddish',
    'yoga',
    'yogas',
    'yoghourt',
    'yoghourts',
    'yogi',
    'yogis',
    'yogourt',
    'yogourts',
    'yohimbehe',
    'yohimbehes',
    'yohimbine',
    'yohimbines',
    'yole',
    'yoles',
    'yougoslave',
    'yougoslaves',
    'youpin',
    'youpine',
    'youpines',
    'youpins',
    'yourte',
    'yourtes',
    'youyou',
    'youyous',
    'yponomeute',
    'yponomeutes',
    'ypréau',
    'ypréaux',
    'ypérite',
    'ypérites',
    'ysopet',
    'ysopets',
    'ytterbine',
    'ytterbines',
    'ytterbium',
    'ytterbiums',
    'yttria',
    'yttrialite',
    'yttrialites',
    'yttrias',
    'yttrifère',
    'yttrifères',
    'yttrique',
    'yttriques',
    'yttrium',
    'yttriums',
    'yucca',
    'yuccas',
    'yèble',
    'yèbles',
    'zabre',
    'zabres',
    'zain',
    'zains',
    'zakouski',
    'zambien',
    'zambienne',
    'zambiennes',
    'zambiens',
    'zancle',
    'zancles',
    'zani',
    'zanis',
    'zanni',
    'zannis',
    'zanzi',
    'zanzibar',
    'zanzibars',
    'zanzis',
    'zaouïa',
    'zaouïas',
    'zarzuela',
    'zarzuelas',
    'zazou',
    'zazous',
    'zaïrois',
    'zaïroise',
    'zaïroises',
    'zellige',
    'zelliges',
    'zenana',
    'zenanas',
    'zend',
    'zends',
    'zeppelin',
    'zeppelins',
    'zesta',
    'zestai',
    'zestaient',
    'zestais',
    'zestait',
    'zestant',
    'zestas',
    'zestasse',
    'zestassent',
    'zestasses',
    'zestassiez',
    'zestassions',
    'zeste',
    'zestent',
    'zester',
    'zestera',
    'zesterai',
    'zesteraient',
    'zesterais',
    'zesterait',
    'zesteras',
    'zesterez',
    'zesteriez',
    'zesterions',
    'zesterons',
    'zesteront',
    'zestes',
    'zestez',
    'zestiez',
    'zestions',
    'zestons',
    'zestâmes',
    'zestât',
    'zestâtes',
    'zestèrent',
    'zesté',
    'zestée',
    'zestées',
    'zestés',
    'zeugma',
    'zeugmas',
    'zeugme',
    'zeugmes',
    'zeuzère',
    'zeuzères',
    'ziba',
    'zibai',
    'zibaient',
    'zibais',
    'zibait',
    'zibant',
    'zibas',
    'zibasse',
    'zibassent',
    'zibasses',
    'zibassiez',
    'zibassions',
    'zibe',
    'zibeline',
    'zibelines',
    'zibent',
    'ziber',
    'zibera',
    'ziberai',
    'ziberaient',
    'ziberais',
    'ziberait',
    'ziberas',
    'ziberez',
    'ziberiez',
    'ziberions',
    'ziberons',
    'ziberont',
    'zibes',
    'zibez',
    'zibiez',
    'zibions',
    'zibons',
    'zibâmes',
    'zibât',
    'zibâtes',
    'zibèrent',
    'zibé',
    'zibée',
    'zibées',
    'zibés',
    'zieuta',
    'zieutai',
    'zieutaient',
    'zieutais',
    'zieutait',
    'zieutant',
    'zieutas',
    'zieutasse',
    'zieutassent',
    'zieutasses',
    'zieutassiez',
    'zieutassions',
    'zieute',
    'zieutent',
    'zieuter',
    'zieutera',
    'zieuterai',
    'zieuteraient',
    'zieuterais',
    'zieuterait',
    'zieuteras',
    'zieuterez',
    'zieuteriez',
    'zieuterions',
    'zieuterons',
    'zieuteront',
    'zieutes',
    'zieutez',
    'zieutiez',
    'zieutions',
    'zieutons',
    'zieutâmes',
    'zieutât',
    'zieutâtes',
    'zieutèrent',
    'zieuté',
    'zieutée',
    'zieutées',
    'zieutés',
    'ziggourat',
    'ziggourats',
    'zigoteau',
    'zigoteaux',
    'zigoto',
    'zigotos',
    'zigouilla',
    'zigouillai',
    'zigouillais',
    'zigouillait',
    'zigouillant',
    'zigouillas',
    'zigouillasse',
    'zigouille',
    'zigouillent',
    'zigouiller',
    'zigouillera',
    'zigouillerai',
    'zigouilleras',
    'zigouillerez',
    'zigouilles',
    'zigouillez',
    'zigouilliez',
    'zigouillions',
    'zigouillons',
    'zigouillâmes',
    'zigouillât',
    'zigouillâtes',
    'zigouillé',
    'zigouillée',
    'zigouillées',
    'zigouillés',
    'zigs',
    'zigua',
    'ziguai',
    'ziguaient',
    'ziguais',
    'ziguait',
    'ziguant',
    'ziguas',
    'ziguasse',
    'ziguassent',
    'ziguasses',
    'ziguassiez',
    'ziguassions',
    'zigue',
    'ziguent',
    'ziguer',
    'ziguera',
    'ziguerai',
    'zigueraient',
    'ziguerais',
    'ziguerait',
    'zigueras',
    'ziguerez',
    'zigueriez',
    'ziguerions',
    'ziguerons',
    'zigueront',
    'zigues',
    'ziguez',
    'ziguiez',
    'ziguions',
    'ziguons',
    'ziguâmes',
    'ziguât',
    'ziguâtes',
    'ziguèrent',
    'zigué',
    'ziguée',
    'ziguées',
    'zigués',
    'zigzag',
    'zigzags',
    'zigzagua',
    'zigzaguai',
    'zigzaguaient',
    'zigzaguais',
    'zigzaguait',
    'zigzaguant',
    'zigzaguas',
    'zigzaguasse',
    'zigzaguasses',
    'zigzague',
    'zigzaguent',
    'zigzaguer',
    'zigzaguera',
    'zigzaguerai',
    'zigzaguerais',
    'zigzaguerait',
    'zigzagueras',
    'zigzaguerez',
    'zigzagueriez',
    'zigzaguerons',
    'zigzagueront',
    'zigzagues',
    'zigzaguez',
    'zigzaguiez',
    'zigzaguions',
    'zigzaguons',
    'zigzaguâmes',
    'zigzaguât',
    'zigzaguâtes',
    'zigzaguèrent',
    'zigzagué',
    'zinc',
    'zincage',
    'zincages',
    'zincifère',
    'zincifères',
    'zincographie',
    'zincs',
    'zingage',
    'zingages',
    'zingari',
    'zingaro',
    'zingua',
    'zinguai',
    'zinguaient',
    'zinguais',
    'zinguait',
    'zinguant',
    'zinguas',
    'zinguasse',
    'zinguassent',
    'zinguasses',
    'zinguassiez',
    'zinguassions',
    'zingue',
    'zinguent',
    'zinguer',
    'zinguera',
    'zinguerai',
    'zingueraient',
    'zinguerais',
    'zinguerait',
    'zingueras',
    'zinguerez',
    'zingueriez',
    'zinguerions',
    'zinguerons',
    'zingueront',
    'zingues',
    'zingueur',
    'zingueurs',
    'zinguez',
    'zinguiez',
    'zinguions',
    'zinguons',
    'zinguâmes',
    'zinguât',
    'zinguâtes',
    'zinguèrent',
    'zingué',
    'zinguée',
    'zinguées',
    'zingués',
    'zinjanthrope',
    'zinnia',
    'zinnias',
    'zinzin',
    'zinzins',
    'zinzinula',
    'zinzinulai',
    'zinzinulais',
    'zinzinulait',
    'zinzinulant',
    'zinzinulas',
    'zinzinulasse',
    'zinzinule',
    'zinzinulent',
    'zinzinuler',
    'zinzinulera',
    'zinzinulerai',
    'zinzinuleras',
    'zinzinulerez',
    'zinzinules',
    'zinzinulez',
    'zinzinuliez',
    'zinzinulions',
    'zinzinulons',
    'zinzinulâmes',
    'zinzinulât',
    'zinzinulâtes',
    'zinzinulé',
    'zinzolin',
    'zippa',
    'zippai',
    'zippaient',
    'zippais',
    'zippait',
    'zippant',
    'zippas',
    'zippasse',
    'zippassent',
    'zippasses',
    'zippassiez',
    'zippassions',
    'zippe',
    'zippent',
    'zipper',
    'zippera',
    'zipperai',
    'zipperaient',
    'zipperais',
    'zipperait',
    'zipperas',
    'zipperez',
    'zipperiez',
    'zipperions',
    'zipperons',
    'zipperont',
    'zippes',
    'zippez',
    'zippiez',
    'zippions',
    'zippons',
    'zippâmes',
    'zippât',
    'zippâtes',
    'zippèrent',
    'zippé',
    'zippée',
    'zippées',
    'zippés',
    'zircon',
    'zircone',
    'zircones',
    'zirconite',
    'zirconites',
    'zirconium',
    'zirconiums',
    'zircons',
    'zizanie',
    'zizanies',
    'zizi',
    'zizis',
    'zloty',
    'zlotys',
    'zoanthropie',
    'zoanthropies',
    'zodiacal',
    'zodiacale',
    'zodiacales',
    'zodiacaux',
    'zodiaque',
    'zodiaques',
    'zombi',
    'zombie',
    'zombies',
    'zombis',
    'zona',
    'zonage',
    'zonages',
    'zonai',
    'zonaient',
    'zonais',
    'zonait',
    'zonal',
    'zonale',
    'zonales',
    'zonant',
    'zonard',
    'zonarde',
    'zonardes',
    'zonards',
    'zonas',
    'zonasse',
    'zonassent',
    'zonasses',
    'zonassiez',
    'zonassions',
    'zonaux',
    'zone',
    'zonent',
    'zoner',
    'zonera',
    'zonerai',
    'zoneraient',
    'zonerais',
    'zonerait',
    'zoneras',
    'zonerez',
    'zoneriez',
    'zonerions',
    'zonerons',
    'zoneront',
    'zones',
    'zonez',
    'zonier',
    'zoniers',
    'zoniez',
    'zonions',
    'zonons',
    'zonure',
    'zonures',
    'zonâmes',
    'zonât',
    'zonâtes',
    'zonèrent',
    'zoné',
    'zonée',
    'zonées',
    'zonés',
    'zoogamète',
    'zoogamètes',
    'zooglée',
    'zooglées',
    'zoolite',
    'zoolites',
    'zoolithe',
    'zoolithes',
    'zoologie',
    'zoologies',
    'zoologique',
    'zoologiques',
    'zoologiste',
    'zoologistes',
    'zoolâtre',
    'zoolâtres',
    'zoolâtrie',
    'zoolâtries',
    'zoom',
    'zoomer',
    'zoomorphe',
    'zoomorphes',
    'zoomorphisme',
    'zooms',
    'zoonose',
    'zoonoses',
    'zoophile',
    'zoophiles',
    'zoophilie',
    'zoophilies',
    'zoophobie',
    'zoophobies',
    'zoophore',
    'zoophores',
    'zoophyte',
    'zoophytes',
    'zoopsie',
    'zoopsies',
    'zoos',
    'zoosporange',
    'zoosporanges',
    'zoospore',
    'zoospores',
    'zootaxie',
    'zootaxies',
    'zootechnie',
    'zootechnies',
    'zootechnique',
    'zooïde',
    'zooïdes',
    'zorille',
    'zorilles',
    'zoroastrien',
    'zoroastriens',
    'zoroastrisme',
    'zostère',
    'zostères',
    'zostérien',
    'zostérienne',
    'zostériennes',
    'zostériens',
    'zouave',
    'zouaves',
    'zozo',
    'zozos',
    'zozota',
    'zozotai',
    'zozotaient',
    'zozotais',
    'zozotait',
    'zozotant',
    'zozotas',
    'zozotasse',
    'zozotassent',
    'zozotasses',
    'zozotassiez',
    'zozotassions',
    'zozote',
    'zozotement',
    'zozotements',
    'zozotent',
    'zozoter',
    'zozotera',
    'zozoterai',
    'zozoteraient',
    'zozoterais',
    'zozoterait',
    'zozoteras',
    'zozoterez',
    'zozoteriez',
    'zozoterions',
    'zozoterons',
    'zozoteront',
    'zozotes',
    'zozotez',
    'zozotiez',
    'zozotions',
    'zozotons',
    'zozotâmes',
    'zozotât',
    'zozotâtes',
    'zozotèrent',
    'zozoté',
    'zoïle',
    'zoïles',
    'zucchette',
    'zucchettes',
    'zuchette',
    'zuchettes',
    'zutique',
    'zutiques',
    'zutiste',
    'zutistes',
    'zwanze',
    'zwanzes',
    'zyeuter',
    'zygoma',
    'zygomas',
    'zygomatique',
    'zygomatiques',
    'zygomorphe',
    'zygomorphes',
    'zygopétale',
    'zygopétales',
    'zygote',
    'zygotes',
    'zygène',
    'zygènes',
    'zymase',
    'zymases',
    'zymotechnie',
    'zymotechnies',
    'zymotique',
    'zymotiques',
    'zython',
    'zythons',
    'zythum',
    'zythums',
    'zèbre',
    'zèbrent',
    'zèbres',
    'zèle',
    'zèles',
    'zébra',
    'zébrai',
    'zébraient',
    'zébrais',
    'zébrait',
    'zébrant',
    'zébras',
    'zébrasse',
    'zébrassent',
    'zébrasses',
    'zébrassiez',
    'zébrassions',
    'zébrer',
    'zébrera',
    'zébrerai',
    'zébreraient',
    'zébrerais',
    'zébrerait',
    'zébreras',
    'zébrerez',
    'zébreriez',
    'zébrerions',
    'zébrerons',
    'zébreront',
    'zébrez',
    'zébriez',
    'zébrions',
    'zébrons',
    'zébrure',
    'zébrures',
    'zébrâmes',
    'zébrât',
    'zébrâtes',
    'zébrèrent',
    'zébré',
    'zébrée',
    'zébrées',
    'zébrés',
    'zébu',
    'zébus',
    'zées',
    'zélateur',
    'zélateurs',
    'zélatrice',
    'zélatrices',
    'zélote',
    'zélotes',
    'zélé',
    'zélée',
    'zélées',
    'zélés',
    'zénith',
    'zénithal',
    'zénithale',
    'zénithales',
    'zénithaux',
    'zéniths',
    'zéolite',
    'zéolites',
    'zéolithe',
    'zéolithes',
    'zéphyr',
    'zéphyrien',
    'zéphyrienne',
    'zéphyriennes',
    'zéphyriens',
    'zéphyrine',
    'zéphyrines',
    'zéphyrs',
    'zéro',
    'zéros',
    'zérotage',
    'zérotages',
    'zérumbet',
    'zérumbets',
    'zétète',
    'zétètes',
    'zététique',
    'zététiques',
    'zézaie',
    'zézaiement',
    'zézaiements',
    'zézaient',
    'zézaiera',
    'zézaierai',
    'zézaieraient',
    'zézaierais',
    'zézaierait',
    'zézaieras',
    'zézaierez',
    'zézaieriez',
    'zézaierions',
    'zézaierons',
    'zézaieront',
    'zézaies',
    'zézaya',
    'zézayai',
    'zézayaient',
    'zézayais',
    'zézayait',
    'zézayant',
    'zézayas',
    'zézayasse',
    'zézayassent',
    'zézayasses',
    'zézayassiez',
    'zézayassions',
    'zézaye',
    'zézayent',
    'zézayer',
    'zézayera',
    'zézayerai',
    'zézayeraient',
    'zézayerais',
    'zézayerait',
    'zézayeras',
    'zézayerez',
    'zézayeriez',
    'zézayerions',
    'zézayerons',
    'zézayeront',
    'zézayes',
    'zézayez',
    'zézayiez',
    'zézayions',
    'zézayons',
    'zézayâmes',
    'zézayât',
    'zézayâtes',
    'zézayèrent',
    'zézayé',
    'zézayée',
    'zézayées',
    'zézayés',
    'zêta',
    'âcre',
    'âcres',
    'âcreté',
    'âcretés',
    'âges',
    'âgée',
    'âgées',
    'âgés',
    'âmes',
    'ânerie',
    'âneries',
    'ânes',
    'ânesse',
    'ânesses',
    'ânier',
    'âniers',
    'ânière',
    'ânières',
    'ânon',
    'ânonna',
    'ânonnai',
    'ânonnaient',
    'ânonnais',
    'ânonnait',
    'ânonnant',
    'ânonnas',
    'ânonnasse',
    'ânonnassent',
    'ânonnasses',
    'ânonnassiez',
    'ânonnassions',
    'ânonne',
    'ânonnement',
    'ânonnements',
    'ânonnent',
    'ânonner',
    'ânonnera',
    'ânonnerai',
    'ânonneraient',
    'ânonnerais',
    'ânonnerait',
    'ânonneras',
    'ânonnerez',
    'ânonneriez',
    'ânonnerions',
    'ânonnerons',
    'ânonneront',
    'ânonnes',
    'ânonnez',
    'ânonniez',
    'ânonnions',
    'ânonnons',
    'ânonnâmes',
    'ânonnât',
    'ânonnâtes',
    'ânonnèrent',
    'ânonné',
    'ânonnée',
    'ânonnées',
    'ânonnés',
    'ânons',
    'âpre',
    'âprement',
    'âpres',
    'âpreté',
    'âpretés',
    'âtre',
    'âtres',
    'æquo',
    'èche',
    'èches',
    'ères',
    'ébahi',
    'ébahie',
    'ébahies',
    'ébahir',
    'ébahira',
    'ébahirai',
    'ébahiraient',
    'ébahirais',
    'ébahirait',
    'ébahiras',
    'ébahirent',
    'ébahirez',
    'ébahiriez',
    'ébahirions',
    'ébahirons',
    'ébahiront',
    'ébahis',
    'ébahissaient',
    'ébahissais',
    'ébahissait',
    'ébahissant',
    'ébahisse',
    'ébahissement',
    'ébahissent',
    'ébahisses',
    'ébahissez',
    'ébahissiez',
    'ébahissions',
    'ébahissons',
    'ébahit',
    'ébahîmes',
    'ébahît',
    'ébahîtes',
    'ébarba',
    'ébarbage',
    'ébarbages',
    'ébarbai',
    'ébarbaient',
    'ébarbais',
    'ébarbait',
    'ébarbant',
    'ébarbas',
    'ébarbasse',
    'ébarbassent',
    'ébarbasses',
    'ébarbassiez',
    'ébarbassions',
    'ébarbe',
    'ébarbent',
    'ébarber',
    'ébarbera',
    'ébarberai',
    'ébarberaient',
    'ébarberais',
    'ébarberait',
    'ébarberas',
    'ébarberez',
    'ébarberiez',
    'ébarberions',
    'ébarberons',
    'ébarberont',
    'ébarbes',
    'ébarbeur',
    'ébarbeurs',
    'ébarbeuse',
    'ébarbeuses',
    'ébarbez',
    'ébarbiez',
    'ébarbions',
    'ébarboir',
    'ébarboirs',
    'ébarbons',
    'ébarbure',
    'ébarbures',
    'ébarbâmes',
    'ébarbât',
    'ébarbâtes',
    'ébarbèrent',
    'ébarbé',
    'ébarbée',
    'ébarbées',
    'ébarbés',
    'ébat',
    'ébats',
    'ébattaient',
    'ébattais',
    'ébattait',
    'ébattant',
    'ébatte',
    'ébattent',
    'ébattes',
    'ébattez',
    'ébattiez',
    'ébattions',
    'ébattirent',
    'ébattissiez',
    'ébattissions',
    'ébattit',
    'ébattons',
    'ébattra',
    'ébattrai',
    'ébattraient',
    'ébattrais',
    'ébattrait',
    'ébattras',
    'ébattre',
    'ébattrez',
    'ébattriez',
    'ébattrions',
    'ébattrons',
    'ébattront',
    'ébattu',
    'ébattue',
    'ébattues',
    'ébattus',
    'ébattîmes',
    'ébattîtes',
    'ébaubi',
    'ébaubie',
    'ébaubies',
    'ébaubir',
    'ébaubirez',
    'ébaubiriez',
    'ébaubirions',
    'ébaubirons',
    'ébaubis',
    'ébaubissez',
    'ébaubissiez',
    'ébaubissions',
    'ébaubissons',
    'ébaubîmes',
    'ébaubîtes',
    'ébaucha',
    'ébauchage',
    'ébauchages',
    'ébauchai',
    'ébauchaient',
    'ébauchais',
    'ébauchait',
    'ébauchant',
    'ébauchas',
    'ébauchasse',
    'ébauchassent',
    'ébauchasses',
    'ébauchassiez',
    'ébauche',
    'ébauchent',
    'ébaucher',
    'ébauchera',
    'ébaucherai',
    'ébaucherais',
    'ébaucherait',
    'ébaucheras',
    'ébaucherez',
    'ébaucheriez',
    'ébaucherions',
    'ébaucherons',
    'ébaucheront',
    'ébauches',
    'ébaucheur',
    'ébaucheurs',
    'ébauchez',
    'ébauchiez',
    'ébauchions',
    'ébauchoir',
    'ébauchoirs',
    'ébauchons',
    'ébauchâmes',
    'ébauchât',
    'ébauchâtes',
    'ébauchèrent',
    'ébauché',
    'ébauchée',
    'ébauchées',
    'ébauchés',
    'ébaudi',
    'ébaudie',
    'ébaudies',
    'ébaudir',
    'ébaudirez',
    'ébaudiriez',
    'ébaudirions',
    'ébaudirons',
    'ébaudis',
    'ébaudissez',
    'ébaudissiez',
    'ébaudissions',
    'ébaudissons',
    'ébaudîmes',
    'ébaudîtes',
    'ébavura',
    'ébavurai',
    'ébavuraient',
    'ébavurais',
    'ébavurait',
    'ébavurant',
    'ébavuras',
    'ébavurasse',
    'ébavurassent',
    'ébavurasses',
    'ébavurassiez',
    'ébavure',
    'ébavurent',
    'ébavurer',
    'ébavurera',
    'ébavurerai',
    'ébavurerais',
    'ébavurerait',
    'ébavureras',
    'ébavurerez',
    'ébavureriez',
    'ébavurerions',
    'ébavurerons',
    'ébavureront',
    'ébavures',
    'ébavurez',
    'ébavuriez',
    'ébavurions',
    'ébavurons',
    'ébavurâmes',
    'ébavurât',
    'ébavurâtes',
    'ébavurèrent',
    'ébavuré',
    'ébavurée',
    'ébavurées',
    'ébavurés',
    'éberlua',
    'éberluai',
    'éberluaient',
    'éberluais',
    'éberluait',
    'éberluant',
    'éberluas',
    'éberluasse',
    'éberluassent',
    'éberluasses',
    'éberluassiez',
    'éberlue',
    'éberluent',
    'éberluer',
    'éberluera',
    'éberluerai',
    'éberluerais',
    'éberluerait',
    'éberlueras',
    'éberluerez',
    'éberlueriez',
    'éberluerions',
    'éberluerons',
    'éberlueront',
    'éberlues',
    'éberluez',
    'éberluiez',
    'éberluions',
    'éberluons',
    'éberluâmes',
    'éberluât',
    'éberluâtes',
    'éberluèrent',
    'éberlué',
    'éberluée',
    'éberluées',
    'éberlués',
    'ébisela',
    'ébiselai',
    'ébiselaient',
    'ébiselais',
    'ébiselait',
    'ébiselant',
    'ébiselas',
    'ébiselasse',
    'ébiselassent',
    'ébiselasses',
    'ébiselassiez',
    'ébiseler',
    'ébiselera',
    'ébiselerai',
    'ébiselerais',
    'ébiselerait',
    'ébiseleras',
    'ébiselerez',
    'ébiseleriez',
    'ébiselerions',
    'ébiselerons',
    'ébiseleront',
    'ébiselez',
    'ébiseliez',
    'ébiselions',
    'ébiselons',
    'ébiselâmes',
    'ébiselât',
    'ébiselâtes',
    'ébiselèrent',
    'ébiselé',
    'ébiselée',
    'ébiselées',
    'ébiselés',
    'ébisèle',
    'ébisèlent',
    'ébisèles',
    'ébloui',
    'éblouie',
    'éblouies',
    'éblouir',
    'éblouira',
    'éblouirai',
    'éblouiraient',
    'éblouirais',
    'éblouirait',
    'éblouiras',
    'éblouirent',
    'éblouirez',
    'éblouiriez',
    'éblouirions',
    'éblouirons',
    'éblouiront',
    'éblouis',
    'éblouissais',
    'éblouissait',
    'éblouissant',
    'éblouissante',
    'éblouissants',
    'éblouisse',
    'éblouissent',
    'éblouisses',
    'éblouissez',
    'éblouissiez',
    'éblouissions',
    'éblouissons',
    'éblouit',
    'éblouîmes',
    'éblouît',
    'éblouîtes',
    'ébonite',
    'ébonites',
    'éborgna',
    'éborgnage',
    'éborgnages',
    'éborgnai',
    'éborgnaient',
    'éborgnais',
    'éborgnait',
    'éborgnant',
    'éborgnas',
    'éborgnasse',
    'éborgnassent',
    'éborgnasses',
    'éborgnassiez',
    'éborgne',
    'éborgnement',
    'éborgnements',
    'éborgnent',
    'éborgner',
    'éborgnera',
    'éborgnerai',
    'éborgnerais',
    'éborgnerait',
    'éborgneras',
    'éborgnerez',
    'éborgneriez',
    'éborgnerions',
    'éborgnerons',
    'éborgneront',
    'éborgnes',
    'éborgnez',
    'éborgniez',
    'éborgnions',
    'éborgnons',
    'éborgnâmes',
    'éborgnât',
    'éborgnâtes',
    'éborgnèrent',
    'éborgné',
    'éborgnée',
    'éborgnées',
    'éborgnés',
    'ébossa',
    'ébossai',
    'ébossaient',
    'ébossais',
    'ébossait',
    'ébossant',
    'ébossas',
    'ébossasse',
    'ébossassent',
    'ébossasses',
    'ébossassiez',
    'ébossassions',
    'ébosse',
    'ébossent',
    'ébosser',
    'ébossera',
    'ébosserai',
    'ébosseraient',
    'ébosserais',
    'ébosserait',
    'ébosseras',
    'ébosserez',
    'ébosseriez',
    'ébosserions',
    'ébosserons',
    'ébosseront',
    'ébosses',
    'ébossez',
    'ébossiez',
    'ébossions',
    'ébossons',
    'ébossâmes',
    'ébossât',
    'ébossâtes',
    'ébossèrent',
    'ébossé',
    'ébossée',
    'ébossées',
    'ébossés',
    'éboua',
    'ébouai',
    'ébouaient',
    'ébouais',
    'ébouait',
    'ébouant',
    'ébouas',
    'ébouasse',
    'ébouassent',
    'ébouasses',
    'ébouassiez',
    'ébouassions',
    'éboue',
    'ébouent',
    'ébouer',
    'ébouera',
    'ébouerai',
    'éboueraient',
    'ébouerais',
    'ébouerait',
    'éboueras',
    'ébouerez',
    'éboueriez',
    'ébouerions',
    'ébouerons',
    'éboueront',
    'éboues',
    'éboueur',
    'éboueurs',
    'ébouez',
    'ébouiez',
    'ébouillanta',
    'ébouillantai',
    'ébouillantas',
    'ébouillante',
    'ébouillanter',
    'ébouillantes',
    'ébouillantez',
    'ébouillantât',
    'ébouillanté',
    'ébouillantée',
    'ébouillantés',
    'ébouions',
    'éboula',
    'éboulai',
    'éboulaient',
    'éboulais',
    'éboulait',
    'éboulant',
    'éboulas',
    'éboulasse',
    'éboulassent',
    'éboulasses',
    'éboulassiez',
    'éboulassions',
    'éboule',
    'éboulement',
    'éboulements',
    'éboulent',
    'ébouler',
    'éboulera',
    'éboulerai',
    'ébouleraient',
    'éboulerais',
    'éboulerait',
    'ébouleras',
    'éboulerez',
    'ébouleriez',
    'éboulerions',
    'éboulerons',
    'ébouleront',
    'éboules',
    'éboulez',
    'ébouliez',
    'éboulions',
    'éboulis',
    'éboulons',
    'éboulâmes',
    'éboulât',
    'éboulâtes',
    'éboulèrent',
    'éboulé',
    'éboulée',
    'éboulées',
    'éboulés',
    'ébouons',
    'ébourgeonna',
    'ébourgeonnai',
    'ébourgeonnas',
    'ébourgeonne',
    'ébourgeonner',
    'ébourgeonnes',
    'ébourgeonnez',
    'ébourgeonnât',
    'ébourgeonné',
    'ébourgeonnée',
    'ébourgeonnés',
    'ébouriffa',
    'ébouriffai',
    'ébouriffais',
    'ébouriffait',
    'ébouriffant',
    'ébouriffante',
    'ébouriffants',
    'ébouriffas',
    'ébouriffasse',
    'ébouriffe',
    'ébouriffent',
    'ébouriffer',
    'ébouriffera',
    'ébourifferai',
    'ébourifferas',
    'ébourifferez',
    'ébouriffes',
    'ébouriffez',
    'ébouriffiez',
    'ébouriffions',
    'ébouriffons',
    'ébouriffâmes',
    'ébouriffât',
    'ébouriffâtes',
    'ébouriffé',
    'ébouriffée',
    'ébouriffées',
    'ébouriffés',
    'ébourra',
    'ébourrai',
    'ébourraient',
    'ébourrais',
    'ébourrait',
    'ébourrant',
    'ébourras',
    'ébourrasse',
    'ébourrassent',
    'ébourrasses',
    'ébourrassiez',
    'ébourre',
    'ébourrent',
    'ébourrer',
    'ébourrera',
    'ébourrerai',
    'ébourrerais',
    'ébourrerait',
    'ébourreras',
    'ébourrerez',
    'ébourreriez',
    'ébourrerions',
    'ébourrerons',
    'ébourreront',
    'ébourres',
    'ébourrez',
    'ébourriez',
    'ébourrions',
    'ébourrons',
    'ébourrâmes',
    'ébourrât',
    'ébourrâtes',
    'ébourrèrent',
    'ébourré',
    'ébourrée',
    'ébourrées',
    'ébourrés',
    'ébouta',
    'éboutai',
    'éboutaient',
    'éboutais',
    'éboutait',
    'éboutant',
    'éboutas',
    'éboutasse',
    'éboutassent',
    'éboutasses',
    'éboutassiez',
    'éboutassions',
    'éboute',
    'éboutent',
    'ébouter',
    'éboutera',
    'ébouterai',
    'ébouteraient',
    'ébouterais',
    'ébouterait',
    'ébouteras',
    'ébouterez',
    'ébouteriez',
    'ébouterions',
    'ébouterons',
    'ébouteront',
    'éboutes',
    'éboutez',
    'éboutiez',
    'éboutions',
    'éboutons',
    'éboutâmes',
    'éboutât',
    'éboutâtes',
    'éboutèrent',
    'ébouté',
    'éboutée',
    'éboutées',
    'éboutés',
    'ébouâmes',
    'ébouât',
    'ébouâtes',
    'ébouèrent',
    'éboué',
    'ébouée',
    'ébouées',
    'éboués',
    'ébraisa',
    'ébraisai',
    'ébraisaient',
    'ébraisais',
    'ébraisait',
    'ébraisant',
    'ébraisas',
    'ébraisasse',
    'ébraisassent',
    'ébraisasses',
    'ébraisassiez',
    'ébraise',
    'ébraisent',
    'ébraiser',
    'ébraisera',
    'ébraiserai',
    'ébraiserais',
    'ébraiserait',
    'ébraiseras',
    'ébraiserez',
    'ébraiseriez',
    'ébraiserions',
    'ébraiserons',
    'ébraiseront',
    'ébraises',
    'ébraisez',
    'ébraisiez',
    'ébraisions',
    'ébraisons',
    'ébraisâmes',
    'ébraisât',
    'ébraisâtes',
    'ébraisèrent',
    'ébraisé',
    'ébraisée',
    'ébraisées',
    'ébraisés',
    'ébrancha',
    'ébranchage',
    'ébranchages',
    'ébranchai',
    'ébranchaient',
    'ébranchais',
    'ébranchait',
    'ébranchant',
    'ébranchas',
    'ébranchasse',
    'ébranchasses',
    'ébranche',
    'ébranchent',
    'ébrancher',
    'ébranchera',
    'ébrancherai',
    'ébrancherais',
    'ébrancherait',
    'ébrancheras',
    'ébrancherez',
    'ébrancheriez',
    'ébrancherons',
    'ébrancheront',
    'ébranches',
    'ébranchez',
    'ébranchiez',
    'ébranchions',
    'ébranchoir',
    'ébranchoirs',
    'ébranchons',
    'ébranchâmes',
    'ébranchât',
    'ébranchâtes',
    'ébranchèrent',
    'ébranché',
    'ébranchée',
    'ébranchées',
    'ébranchés',
    'ébranla',
    'ébranlai',
    'ébranlaient',
    'ébranlais',
    'ébranlait',
    'ébranlant',
    'ébranlas',
    'ébranlasse',
    'ébranlassent',
    'ébranlasses',
    'ébranlassiez',
    'ébranle',
    'ébranlement',
    'ébranlements',
    'ébranlent',
    'ébranler',
    'ébranlera',
    'ébranlerai',
    'ébranlerais',
    'ébranlerait',
    'ébranleras',
    'ébranlerez',
    'ébranleriez',
    'ébranlerions',
    'ébranlerons',
    'ébranleront',
    'ébranles',
    'ébranlez',
    'ébranliez',
    'ébranlions',
    'ébranlons',
    'ébranlâmes',
    'ébranlât',
    'ébranlâtes',
    'ébranlèrent',
    'ébranlé',
    'ébranlée',
    'ébranlées',
    'ébranlés',
    'ébrasa',
    'ébrasai',
    'ébrasaient',
    'ébrasais',
    'ébrasait',
    'ébrasant',
    'ébrasas',
    'ébrasasse',
    'ébrasassent',
    'ébrasasses',
    'ébrasassiez',
    'ébrasassions',
    'ébrase',
    'ébrasement',
    'ébrasements',
    'ébrasent',
    'ébraser',
    'ébrasera',
    'ébraserai',
    'ébraseraient',
    'ébraserais',
    'ébraserait',
    'ébraseras',
    'ébraserez',
    'ébraseriez',
    'ébraserions',
    'ébraserons',
    'ébraseront',
    'ébrases',
    'ébrasez',
    'ébrasiez',
    'ébrasions',
    'ébrasons',
    'ébrasâmes',
    'ébrasât',
    'ébrasâtes',
    'ébrasèrent',
    'ébrasé',
    'ébrasée',
    'ébrasées',
    'ébrasés',
    'ébriété',
    'ébriétés',
    'ébrouassiez',
    'ébrouassions',
    'ébrouement',
    'ébrouements',
    'ébrouer',
    'ébrouerez',
    'ébroueriez',
    'ébrouerions',
    'ébrouerons',
    'ébrouez',
    'ébrouiez',
    'ébrouions',
    'ébrouons',
    'ébrouâmes',
    'ébrouâtes',
    'ébroué',
    'ébrouée',
    'ébrouées',
    'ébroués',
    'ébruita',
    'ébruitai',
    'ébruitaient',
    'ébruitais',
    'ébruitait',
    'ébruitant',
    'ébruitas',
    'ébruitasse',
    'ébruitassent',
    'ébruitasses',
    'ébruitassiez',
    'ébruite',
    'ébruitement',
    'ébruitements',
    'ébruitent',
    'ébruiter',
    'ébruitera',
    'ébruiterai',
    'ébruiterais',
    'ébruiterait',
    'ébruiteras',
    'ébruiterez',
    'ébruiteriez',
    'ébruiterions',
    'ébruiterons',
    'ébruiteront',
    'ébruites',
    'ébruitez',
    'ébruitiez',
    'ébruitions',
    'ébruitons',
    'ébruitâmes',
    'ébruitât',
    'ébruitâtes',
    'ébruitèrent',
    'ébruité',
    'ébruitée',
    'ébruitées',
    'ébruités',
    'ébrèche',
    'ébrèchent',
    'ébrèches',
    'ébrécha',
    'ébréchai',
    'ébréchaient',
    'ébréchais',
    'ébréchait',
    'ébréchant',
    'ébréchas',
    'ébréchasse',
    'ébréchassent',
    'ébréchasses',
    'ébréchassiez',
    'ébrécher',
    'ébréchera',
    'ébrécherai',
    'ébrécherais',
    'ébrécherait',
    'ébrécheras',
    'ébrécherez',
    'ébrécheriez',
    'ébrécherions',
    'ébrécherons',
    'ébrécheront',
    'ébréchez',
    'ébréchiez',
    'ébréchions',
    'ébréchons',
    'ébréchure',
    'ébréchures',
    'ébréchâmes',
    'ébréchât',
    'ébréchâtes',
    'ébréchèrent',
    'ébréché',
    'ébréchée',
    'ébréchées',
    'ébréchés',
    'ébulliomètre',
    'ébullioscope',
    'ébullition',
    'ébullitions',
    'éburné',
    'éburnée',
    'éburnéen',
    'éburnéenne',
    'éburnéennes',
    'éburnéens',
    'éburnées',
    'éburnés',
    'ébène',
    'ébènes',
    'ébénier',
    'ébéniers',
    'ébéniste',
    'ébénisterie',
    'ébénisteries',
    'ébénistes',
    'écacha',
    'écachai',
    'écachaient',
    'écachais',
    'écachait',
    'écachant',
    'écachas',
    'écachasse',
    'écachassent',
    'écachasses',
    'écachassiez',
    'écachassions',
    'écache',
    'écachent',
    'écacher',
    'écachera',
    'écacherai',
    'écacheraient',
    'écacherais',
    'écacherait',
    'écacheras',
    'écacherez',
    'écacheriez',
    'écacherions',
    'écacherons',
    'écacheront',
    'écaches',
    'écachez',
    'écachiez',
    'écachions',
    'écachons',
    'écachâmes',
    'écachât',
    'écachâtes',
    'écachèrent',
    'écaché',
    'écachée',
    'écachées',
    'écachés',
    'écaffa',
    'écaffai',
    'écaffaient',
    'écaffais',
    'écaffait',
    'écaffant',
    'écaffas',
    'écaffasse',
    'écaffassent',
    'écaffasses',
    'écaffassiez',
    'écaffassions',
    'écaffe',
    'écaffent',
    'écaffer',
    'écaffera',
    'écafferai',
    'écafferaient',
    'écafferais',
    'écafferait',
    'écafferas',
    'écafferez',
    'écafferiez',
    'écafferions',
    'écafferons',
    'écafferont',
    'écaffes',
    'écaffez',
    'écaffiez',
    'écaffions',
    'écaffons',
    'écaffâmes',
    'écaffât',
    'écaffâtes',
    'écaffèrent',
    'écaffé',
    'écaffée',
    'écaffées',
    'écaffés',
    'écailla',
    'écaillage',
    'écaillages',
    'écaillai',
    'écaillaient',
    'écaillais',
    'écaillait',
    'écaillant',
    'écaillas',
    'écaillasse',
    'écaillassent',
    'écaillasses',
    'écaillassiez',
    'écaille',
    'écaillent',
    'écailler',
    'écaillera',
    'écaillerai',
    'écaillerais',
    'écaillerait',
    'écailleras',
    'écaillerez',
    'écailleriez',
    'écaillerions',
    'écaillerons',
    'écailleront',
    'écaillers',
    'écailles',
    'écailleur',
    'écailleurs',
    'écailleuse',
    'écailleuses',
    'écailleux',
    'écaillez',
    'écailliez',
    'écaillions',
    'écaillons',
    'écaillure',
    'écaillures',
    'écaillâmes',
    'écaillât',
    'écaillâtes',
    'écaillèrent',
    'écaillé',
    'écaillée',
    'écaillées',
    'écaillés',
    'écala',
    'écalai',
    'écalaient',
    'écalais',
    'écalait',
    'écalant',
    'écalas',
    'écalasse',
    'écalassent',
    'écalasses',
    'écalassiez',
    'écalassions',
    'écale',
    'écalent',
    'écaler',
    'écalera',
    'écalerai',
    'écaleraient',
    'écalerais',
    'écalerait',
    'écaleras',
    'écalerez',
    'écaleriez',
    'écalerions',
    'écalerons',
    'écaleront',
    'écales',
    'écalez',
    'écaliez',
    'écalions',
    'écalons',
    'écalure',
    'écalures',
    'écalâmes',
    'écalât',
    'écalâtes',
    'écalèrent',
    'écalé',
    'écalée',
    'écalées',
    'écalés',
    'écang',
    'écangs',
    'écangua',
    'écanguai',
    'écanguaient',
    'écanguais',
    'écanguait',
    'écanguant',
    'écanguas',
    'écanguasse',
    'écanguassent',
    'écanguasses',
    'écanguassiez',
    'écangue',
    'écanguent',
    'écanguer',
    'écanguera',
    'écanguerai',
    'écanguerais',
    'écanguerait',
    'écangueras',
    'écanguerez',
    'écangueriez',
    'écanguerions',
    'écanguerons',
    'écangueront',
    'écangues',
    'écanguez',
    'écanguiez',
    'écanguions',
    'écanguons',
    'écanguâmes',
    'écanguât',
    'écanguâtes',
    'écanguèrent',
    'écangué',
    'écanguée',
    'écanguées',
    'écangués',
    'écarlate',
    'écarlates',
    'écarquilla',
    'écarquillai',
    'écarquillais',
    'écarquillait',
    'écarquillant',
    'écarquillas',
    'écarquille',
    'écarquillent',
    'écarquiller',
    'écarquillera',
    'écarquilles',
    'écarquillez',
    'écarquilliez',
    'écarquillons',
    'écarquillât',
    'écarquillé',
    'écarquillée',
    'écarquillées',
    'écarquillés',
    'écart',
    'écarta',
    'écartai',
    'écartaient',
    'écartais',
    'écartait',
    'écartant',
    'écartas',
    'écartasse',
    'écartassent',
    'écartasses',
    'écartassiez',
    'écartassions',
    'écarte',
    'écartela',
    'écartelai',
    'écartelaient',
    'écartelais',
    'écartelait',
    'écartelant',
    'écartelas',
    'écartelasse',
    'écartelasses',
    'écarteler',
    'écartelez',
    'écarteliez',
    'écartelions',
    'écartelons',
    'écartelure',
    'écartelures',
    'écartelâmes',
    'écartelât',
    'écartelâtes',
    'écartelèrent',
    'écartelé',
    'écartelée',
    'écartelées',
    'écartelés',
    'écartement',
    'écartements',
    'écartent',
    'écarter',
    'écartera',
    'écarterai',
    'écarteraient',
    'écarterais',
    'écarterait',
    'écarteras',
    'écarterez',
    'écarteriez',
    'écarterions',
    'écarterons',
    'écarteront',
    'écartes',
    'écarteur',
    'écarteurs',
    'écartez',
    'écartiez',
    'écartions',
    'écartons',
    'écarts',
    'écartâmes',
    'écartât',
    'écartâtes',
    'écartèle',
    'écartèlement',
    'écartèlent',
    'écartèlera',
    'écartèlerai',
    'écartèlerais',
    'écartèlerait',
    'écartèleras',
    'écartèlerez',
    'écartèleriez',
    'écartèlerons',
    'écartèleront',
    'écartèles',
    'écartèrent',
    'écarté',
    'écartée',
    'écartées',
    'écartés',
    'écati',
    'écatie',
    'écaties',
    'écatir',
    'écatira',
    'écatirai',
    'écatiraient',
    'écatirais',
    'écatirait',
    'écatiras',
    'écatirent',
    'écatirez',
    'écatiriez',
    'écatirions',
    'écatirons',
    'écatiront',
    'écatis',
    'écatissaient',
    'écatissais',
    'écatissait',
    'écatissant',
    'écatisse',
    'écatissent',
    'écatisses',
    'écatissez',
    'écatissiez',
    'écatissions',
    'écatissons',
    'écatit',
    'écatîmes',
    'écatît',
    'écatîtes',
    'écervelé',
    'écervelée',
    'écervelées',
    'écervelés',
    'échafaud',
    'échafauda',
    'échafaudage',
    'échafaudages',
    'échafaudai',
    'échafaudais',
    'échafaudait',
    'échafaudant',
    'échafaudas',
    'échafaudasse',
    'échafaude',
    'échafaudent',
    'échafauder',
    'échafaudera',
    'échafauderai',
    'échafauderas',
    'échafauderez',
    'échafaudes',
    'échafaudez',
    'échafaudiez',
    'échafaudions',
    'échafaudons',
    'échafauds',
    'échafaudâmes',
    'échafaudât',
    'échafaudâtes',
    'échafaudé',
    'échafaudée',
    'échafaudées',
    'échafaudés',
    'échalas',
    'échalassa',
    'échalassai',
    'échalassais',
    'échalassait',
    'échalassant',
    'échalassas',
    'échalassasse',
    'échalasse',
    'échalassent',
    'échalasser',
    'échalassera',
    'échalasserai',
    'échalasseras',
    'échalasserez',
    'échalasses',
    'échalassez',
    'échalassiez',
    'échalassions',
    'échalassons',
    'échalassâmes',
    'échalassât',
    'échalassâtes',
    'échalassé',
    'échalassée',
    'échalassées',
    'échalassés',
    'échalier',
    'échaliers',
    'échalote',
    'échalotes',
    'échampi',
    'échampie',
    'échampies',
    'échampir',
    'échampira',
    'échampirai',
    'échampirais',
    'échampirait',
    'échampiras',
    'échampirent',
    'échampirez',
    'échampiriez',
    'échampirions',
    'échampirons',
    'échampiront',
    'échampis',
    'échampissais',
    'échampissait',
    'échampissant',
    'échampisse',
    'échampissent',
    'échampisses',
    'échampissez',
    'échampissiez',
    'échampissons',
    'échampit',
    'échampîmes',
    'échampît',
    'échampîtes',
    'échancra',
    'échancrai',
    'échancraient',
    'échancrais',
    'échancrait',
    'échancrant',
    'échancras',
    'échancrasse',
    'échancrasses',
    'échancre',
    'échancrent',
    'échancrer',
    'échancrera',
    'échancrerai',
    'échancrerais',
    'échancrerait',
    'échancreras',
    'échancrerez',
    'échancreriez',
    'échancrerons',
    'échancreront',
    'échancres',
    'échancrez',
    'échancriez',
    'échancrions',
    'échancrons',
    'échancrure',
    'échancrures',
    'échancrâmes',
    'échancrât',
    'échancrâtes',
    'échancrèrent',
    'échancré',
    'échancrée',
    'échancrées',
    'échancrés',
    'échanfreina',
    'échanfreinai',
    'échanfreinas',
    'échanfreine',
    'échanfreiner',
    'échanfreines',
    'échanfreinez',
    'échanfreinât',
    'échanfreiné',
    'échanfreinée',
    'échanfreinés',
    'échange',
    'échangea',
    'échangeable',
    'échangeables',
    'échangeai',
    'échangeaient',
    'échangeais',
    'échangeait',
    'échangeant',
    'échangeas',
    'échangeasse',
    'échangeasses',
    'échangent',
    'échangeons',
    'échanger',
    'échangera',
    'échangerai',
    'échangerais',
    'échangerait',
    'échangeras',
    'échangerez',
    'échangeriez',
    'échangerions',
    'échangerons',
    'échangeront',
    'échanges',
    'échangeur',
    'échangeurs',
    'échangeuse',
    'échangeuses',
    'échangez',
    'échangeâmes',
    'échangeât',
    'échangeâtes',
    'échangiez',
    'échangions',
    'échangiste',
    'échangistes',
    'échangèrent',
    'échangé',
    'échangée',
    'échangées',
    'échangés',
    'échanson',
    'échansons',
    'échantillon',
    'échantillons',
    'échappa',
    'échappai',
    'échappaient',
    'échappais',
    'échappait',
    'échappant',
    'échappas',
    'échappasse',
    'échappassent',
    'échappasses',
    'échappassiez',
    'échappatoire',
    'échappe',
    'échappement',
    'échappements',
    'échappent',
    'échapper',
    'échappera',
    'échapperai',
    'échapperais',
    'échapperait',
    'échapperas',
    'échapperez',
    'échapperiez',
    'échapperions',
    'échapperons',
    'échapperont',
    'échappes',
    'échappez',
    'échappiez',
    'échappions',
    'échappons',
    'échappâmes',
    'échappât',
    'échappâtes',
    'échappèrent',
    'échappé',
    'échappée',
    'échappées',
    'échappés',
    'écharde',
    'échardes',
    'échardonna',
    'échardonnage',
    'échardonnai',
    'échardonnais',
    'échardonnait',
    'échardonnant',
    'échardonnas',
    'échardonne',
    'échardonnent',
    'échardonner',
    'échardonnera',
    'échardonnes',
    'échardonnez',
    'échardonniez',
    'échardonnons',
    'échardonnât',
    'échardonné',
    'échardonnée',
    'échardonnées',
    'échardonnés',
    'écharna',
    'écharnage',
    'écharnages',
    'écharnai',
    'écharnaient',
    'écharnais',
    'écharnait',
    'écharnant',
    'écharnas',
    'écharnasse',
    'écharnassent',
    'écharnasses',
    'écharnassiez',
    'écharne',
    'écharnement',
    'écharnements',
    'écharnent',
    'écharner',
    'écharnera',
    'écharnerai',
    'écharnerais',
    'écharnerait',
    'écharneras',
    'écharnerez',
    'écharneriez',
    'écharnerions',
    'écharnerons',
    'écharneront',
    'écharnes',
    'écharneuse',
    'écharneuses',
    'écharnez',
    'écharniez',
    'écharnions',
    'écharnoir',
    'écharnoirs',
    'écharnons',
    'écharnâmes',
    'écharnât',
    'écharnâtes',
    'écharnèrent',
    'écharné',
    'écharnée',
    'écharnées',
    'écharnés',
    'écharpa',
    'écharpai',
    'écharpaient',
    'écharpais',
    'écharpait',
    'écharpant',
    'écharpas',
    'écharpasse',
    'écharpassent',
    'écharpasses',
    'écharpassiez',
    'écharpe',
    'écharpent',
    'écharper',
    'écharpera',
    'écharperai',
    'écharperais',
    'écharperait',
    'écharperas',
    'écharperez',
    'écharperiez',
    'écharperions',
    'écharperons',
    'écharperont',
    'écharpes',
    'écharpez',
    'écharpiez',
    'écharpions',
    'écharpons',
    'écharpâmes',
    'écharpât',
    'écharpâtes',
    'écharpèrent',
    'écharpé',
    'écharpée',
    'écharpées',
    'écharpés',
    'échasse',
    'échasses',
    'échassier',
    'échassiers',
    'échauboulure',
    'échauda',
    'échaudage',
    'échaudages',
    'échaudai',
    'échaudaient',
    'échaudais',
    'échaudait',
    'échaudant',
    'échaudas',
    'échaudasse',
    'échaudassent',
    'échaudasses',
    'échaudassiez',
    'échaude',
    'échaudent',
    'échauder',
    'échaudera',
    'échauderai',
    'échauderais',
    'échauderait',
    'échauderas',
    'échauderez',
    'échauderiez',
    'échauderions',
    'échauderons',
    'échauderont',
    'échaudes',
    'échaudez',
    'échaudiez',
    'échaudions',
    'échaudons',
    'échaudâmes',
    'échaudât',
    'échaudâtes',
    'échaudèrent',
    'échaudé',
    'échaudée',
    'échaudées',
    'échaudés',
    'échauffa',
    'échauffai',
    'échauffaient',
    'échauffais',
    'échauffait',
    'échauffant',
    'échauffante',
    'échauffantes',
    'échauffants',
    'échauffas',
    'échauffasse',
    'échauffasses',
    'échauffe',
    'échauffement',
    'échauffent',
    'échauffer',
    'échauffera',
    'échaufferai',
    'échaufferais',
    'échaufferait',
    'échaufferas',
    'échaufferez',
    'échaufferiez',
    'échaufferons',
    'échaufferont',
    'échauffes',
    'échauffez',
    'échauffiez',
    'échauffions',
    'échauffons',
    'échauffourée',
    'échauffâmes',
    'échauffât',
    'échauffâtes',
    'échauffèrent',
    'échauffé',
    'échauffée',
    'échauffées',
    'échauffés',
    'échauguette',
    'échauguettes',
    'échaula',
    'échaulai',
    'échaulaient',
    'échaulais',
    'échaulait',
    'échaulant',
    'échaulas',
    'échaulasse',
    'échaulassent',
    'échaulasses',
    'échaulassiez',
    'échaule',
    'échaulent',
    'échauler',
    'échaulera',
    'échaulerai',
    'échaulerais',
    'échaulerait',
    'échauleras',
    'échaulerez',
    'échauleriez',
    'échaulerions',
    'échaulerons',
    'échauleront',
    'échaules',
    'échaulez',
    'échauliez',
    'échaulions',
    'échaulons',
    'échaulâmes',
    'échaulât',
    'échaulâtes',
    'échaulèrent',
    'échaulé',
    'échaulée',
    'échaulées',
    'échaulés',
    'échauma',
    'échaumai',
    'échaumaient',
    'échaumais',
    'échaumait',
    'échaumant',
    'échaumas',
    'échaumasse',
    'échaumassent',
    'échaumasses',
    'échaumassiez',
    'échaume',
    'échaument',
    'échaumer',
    'échaumera',
    'échaumerai',
    'échaumerais',
    'échaumerait',
    'échaumeras',
    'échaumerez',
    'échaumeriez',
    'échaumerions',
    'échaumerons',
    'échaumeront',
    'échaumes',
    'échaumez',
    'échaumiez',
    'échaumions',
    'échaumons',
    'échaumâmes',
    'échaumât',
    'échaumâtes',
    'échaumèrent',
    'échaumé',
    'échaumée',
    'échaumées',
    'échaumés',
    'échec',
    'échecs',
    'échelette',
    'échelettes',
    'échelier',
    'écheliers',
    'échelle',
    'échelles',
    'échelon',
    'échelonna',
    'échelonnai',
    'échelonnais',
    'échelonnait',
    'échelonnant',
    'échelonnas',
    'échelonnasse',
    'échelonne',
    'échelonnent',
    'échelonner',
    'échelonnera',
    'échelonnerai',
    'échelonneras',
    'échelonnerez',
    'échelonnes',
    'échelonnez',
    'échelonniez',
    'échelonnions',
    'échelonnons',
    'échelonnâmes',
    'échelonnât',
    'échelonnâtes',
    'échelonné',
    'échelonnée',
    'échelonnées',
    'échelonnés',
    'échelons',
    'échenilla',
    'échenillage',
    'échenillages',
    'échenillai',
    'échenillais',
    'échenillait',
    'échenillant',
    'échenillas',
    'échenillasse',
    'échenille',
    'échenillent',
    'écheniller',
    'échenillera',
    'échenillerai',
    'échenilleras',
    'échenillerez',
    'échenilles',
    'échenillez',
    'échenilliez',
    'échenillions',
    'échenilloir',
    'échenilloirs',
    'échenillons',
    'échenillâmes',
    'échenillât',
    'échenillâtes',
    'échenillé',
    'échenillée',
    'échenillées',
    'échenillés',
    'écher',
    'écheveau',
    'écheveaux',
    'échevela',
    'échevelai',
    'échevelaient',
    'échevelais',
    'échevelait',
    'échevelant',
    'échevelas',
    'échevelasse',
    'échevelasses',
    'écheveler',
    'échevelez',
    'écheveliez',
    'échevelions',
    'échevelle',
    'échevellent',
    'échevellera',
    'échevellerai',
    'échevelleras',
    'échevellerez',
    'échevelles',
    'échevelons',
    'échevelâmes',
    'échevelât',
    'échevelâtes',
    'échevelèrent',
    'échevelé',
    'échevelée',
    'échevelées',
    'échevelés',
    'échevette',
    'échevettes',
    'échevin',
    'échevinage',
    'échevinages',
    'échevinal',
    'échevinale',
    'échevinales',
    'échevinaux',
    'échevins',
    'échidné',
    'échidnés',
    'échina',
    'échinai',
    'échinaient',
    'échinais',
    'échinait',
    'échinant',
    'échinas',
    'échinasse',
    'échinassent',
    'échinasses',
    'échinassiez',
    'échinassions',
    'échine',
    'échinent',
    'échiner',
    'échinera',
    'échinerai',
    'échineraient',
    'échinerais',
    'échinerait',
    'échineras',
    'échinerez',
    'échineriez',
    'échinerions',
    'échinerons',
    'échineront',
    'échines',
    'échinez',
    'échiniez',
    'échinions',
    'échinocactus',
    'échinocoque',
    'échinocoques',
    'échinons',
    'échinâmes',
    'échinât',
    'échinâtes',
    'échinèrent',
    'échiné',
    'échinée',
    'échinées',
    'échinés',
    'échiqueté',
    'échiquetée',
    'échiquetées',
    'échiquetés',
    'échiquier',
    'échiquiers',
    'écho',
    'échographie',
    'échographies',
    'échoie',
    'échoient',
    'échoies',
    'échoir',
    'échoira',
    'échoiraient',
    'échoirait',
    'échoiront',
    'échoit',
    'écholalie',
    'écholalies',
    'échoppa',
    'échoppai',
    'échoppaient',
    'échoppais',
    'échoppait',
    'échoppant',
    'échoppas',
    'échoppasse',
    'échoppassent',
    'échoppasses',
    'échoppassiez',
    'échoppe',
    'échoppent',
    'échopper',
    'échoppera',
    'échopperai',
    'échopperais',
    'échopperait',
    'échopperas',
    'échopperez',
    'échopperiez',
    'échopperions',
    'échopperons',
    'échopperont',
    'échoppes',
    'échoppez',
    'échoppiez',
    'échoppions',
    'échoppons',
    'échoppâmes',
    'échoppât',
    'échoppâtes',
    'échoppèrent',
    'échoppé',
    'échoppée',
    'échoppées',
    'échoppés',
    'échos',
    'échotier',
    'échotiers',
    'échotière',
    'échotières',
    'échoua',
    'échouage',
    'échouages',
    'échouai',
    'échouaient',
    'échouais',
    'échouait',
    'échouant',
    'échouas',
    'échouasse',
    'échouassent',
    'échouasses',
    'échouassiez',
    'échouassions',
    'échoue',
    'échouement',
    'échouements',
    'échouent',
    'échouer',
    'échouera',
    'échouerai',
    'échoueraient',
    'échouerais',
    'échouerait',
    'échoueras',
    'échouerez',
    'échoueriez',
    'échouerions',
    'échouerons',
    'échoueront',
    'échoues',
    'échouez',
    'échouiez',
    'échouions',
    'échouons',
    'échouâmes',
    'échouât',
    'échouâtes',
    'échouèrent',
    'échoué',
    'échouée',
    'échouées',
    'échoués',
    'échoyaient',
    'échoyait',
    'échu',
    'échue',
    'échues',
    'échurent',
    'échus',
    'échut',
    'échéance',
    'échéances',
    'échéancier',
    'échéanciers',
    'échéant',
    'échéante',
    'échéantes',
    'échéants',
    'écima',
    'écimage',
    'écimages',
    'écimai',
    'écimaient',
    'écimais',
    'écimait',
    'écimant',
    'écimas',
    'écimasse',
    'écimassent',
    'écimasses',
    'écimassiez',
    'écimassions',
    'écime',
    'éciment',
    'écimer',
    'écimera',
    'écimerai',
    'écimeraient',
    'écimerais',
    'écimerait',
    'écimeras',
    'écimerez',
    'écimeriez',
    'écimerions',
    'écimerons',
    'écimeront',
    'écimes',
    'écimez',
    'écimiez',
    'écimions',
    'écimons',
    'écimâmes',
    'écimât',
    'écimâtes',
    'écimèrent',
    'écimé',
    'écimée',
    'écimées',
    'écimés',
    'éclaboussa',
    'éclaboussai',
    'éclaboussais',
    'éclaboussait',
    'éclaboussant',
    'éclaboussas',
    'éclabousse',
    'éclaboussent',
    'éclabousser',
    'éclaboussera',
    'éclabousses',
    'éclaboussez',
    'éclaboussiez',
    'éclaboussons',
    'éclaboussure',
    'éclaboussât',
    'éclaboussé',
    'éclaboussée',
    'éclaboussées',
    'éclaboussés',
    'éclair',
    'éclaira',
    'éclairage',
    'éclairages',
    'éclairagiste',
    'éclairai',
    'éclairaient',
    'éclairais',
    'éclairait',
    'éclairant',
    'éclairante',
    'éclairantes',
    'éclairants',
    'éclairas',
    'éclairasse',
    'éclairassent',
    'éclairasses',
    'éclairassiez',
    'éclairci',
    'éclaircie',
    'éclaircies',
    'éclaircir',
    'éclaircira',
    'éclaircirai',
    'éclaircirais',
    'éclaircirait',
    'éclairciras',
    'éclaircirent',
    'éclaircirez',
    'éclairciriez',
    'éclaircirons',
    'éclairciront',
    'éclaircis',
    'éclaircisse',
    'éclaircisses',
    'éclaircissez',
    'éclaircit',
    'éclaircîmes',
    'éclaircît',
    'éclaircîtes',
    'éclaire',
    'éclairement',
    'éclairements',
    'éclairent',
    'éclairer',
    'éclairera',
    'éclairerai',
    'éclairerais',
    'éclairerait',
    'éclaireras',
    'éclairerez',
    'éclaireriez',
    'éclairerions',
    'éclairerons',
    'éclaireront',
    'éclaires',
    'éclaireur',
    'éclaireurs',
    'éclaireuse',
    'éclaireuses',
    'éclairez',
    'éclairiez',
    'éclairions',
    'éclairons',
    'éclairs',
    'éclairâmes',
    'éclairât',
    'éclairâtes',
    'éclairèrent',
    'éclairé',
    'éclairée',
    'éclairées',
    'éclairés',
    'éclat',
    'éclata',
    'éclatai',
    'éclataient',
    'éclatais',
    'éclatait',
    'éclatant',
    'éclatante',
    'éclatantes',
    'éclatants',
    'éclatas',
    'éclatasse',
    'éclatassent',
    'éclatasses',
    'éclatassiez',
    'éclatassions',
    'éclate',
    'éclatement',
    'éclatements',
    'éclatent',
    'éclater',
    'éclatera',
    'éclaterai',
    'éclateraient',
    'éclaterais',
    'éclaterait',
    'éclateras',
    'éclaterez',
    'éclateriez',
    'éclaterions',
    'éclaterons',
    'éclateront',
    'éclates',
    'éclateur',
    'éclateurs',
    'éclatez',
    'éclatiez',
    'éclations',
    'éclatons',
    'éclats',
    'éclatâmes',
    'éclatât',
    'éclatâtes',
    'éclatèrent',
    'éclaté',
    'éclatée',
    'éclatées',
    'éclatés',
    'éclectique',
    'éclectiques',
    'éclectisme',
    'éclectismes',
    'éclimètre',
    'éclimètres',
    'éclipsa',
    'éclipsai',
    'éclipsaient',
    'éclipsais',
    'éclipsait',
    'éclipsant',
    'éclipsas',
    'éclipsasse',
    'éclipsassent',
    'éclipsasses',
    'éclipsassiez',
    'éclipse',
    'éclipsent',
    'éclipser',
    'éclipsera',
    'éclipserai',
    'éclipserais',
    'éclipserait',
    'éclipseras',
    'éclipserez',
    'éclipseriez',
    'éclipserions',
    'éclipserons',
    'éclipseront',
    'éclipses',
    'éclipsez',
    'éclipsiez',
    'éclipsions',
    'éclipsons',
    'éclipsâmes',
    'éclipsât',
    'éclipsâtes',
    'éclipsèrent',
    'éclipsé',
    'éclipsée',
    'éclipsées',
    'éclipsés',
    'écliptique',
    'écliptiques',
    'éclissa',
    'éclissai',
    'éclissaient',
    'éclissais',
    'éclissait',
    'éclissant',
    'éclissas',
    'éclissasse',
    'éclissassent',
    'éclissasses',
    'éclissassiez',
    'éclisse',
    'éclissent',
    'éclisser',
    'éclissera',
    'éclisserai',
    'éclisserais',
    'éclisserait',
    'éclisseras',
    'éclisserez',
    'éclisseriez',
    'éclisserions',
    'éclisserons',
    'éclisseront',
    'éclisses',
    'éclissez',
    'éclissiez',
    'éclissions',
    'éclissons',
    'éclissâmes',
    'éclissât',
    'éclissâtes',
    'éclissèrent',
    'éclissé',
    'éclissée',
    'éclissées',
    'éclissés',
    'éclopa',
    'éclopai',
    'éclopaient',
    'éclopais',
    'éclopait',
    'éclopant',
    'éclopas',
    'éclopasse',
    'éclopassent',
    'éclopasses',
    'éclopassiez',
    'éclopassions',
    'éclope',
    'éclopent',
    'écloper',
    'éclopera',
    'écloperai',
    'écloperaient',
    'écloperais',
    'écloperait',
    'écloperas',
    'écloperez',
    'écloperiez',
    'écloperions',
    'écloperons',
    'écloperont',
    'éclopes',
    'éclopez',
    'éclopiez',
    'éclopions',
    'éclopons',
    'éclopâmes',
    'éclopât',
    'éclopâtes',
    'éclopèrent',
    'éclopé',
    'éclopée',
    'éclopées',
    'éclopés',
    'éclora',
    'éclorai',
    'écloraient',
    'éclorais',
    'éclorait',
    'écloras',
    'éclore',
    'éclorez',
    'écloriez',
    'éclorions',
    'éclorons',
    'écloront',
    'éclos',
    'éclose',
    'éclosent',
    'écloses',
    'éclosion',
    'éclosions',
    'éclot',
    'éclusa',
    'éclusage',
    'éclusages',
    'éclusai',
    'éclusaient',
    'éclusais',
    'éclusait',
    'éclusant',
    'éclusas',
    'éclusasse',
    'éclusassent',
    'éclusasses',
    'éclusassiez',
    'éclusassions',
    'écluse',
    'éclusent',
    'écluser',
    'éclusera',
    'écluserai',
    'écluseraient',
    'écluserais',
    'écluserait',
    'écluseras',
    'écluserez',
    'écluseriez',
    'écluserions',
    'écluserons',
    'écluseront',
    'écluses',
    'éclusez',
    'éclusier',
    'éclusiers',
    'éclusiez',
    'éclusions',
    'éclusière',
    'éclusières',
    'éclusons',
    'éclusâmes',
    'éclusât',
    'éclusâtes',
    'éclusèrent',
    'éclusé',
    'éclusée',
    'éclusées',
    'éclusés',
    'éclôt',
    'écobua',
    'écobuage',
    'écobuages',
    'écobuai',
    'écobuaient',
    'écobuais',
    'écobuait',
    'écobuant',
    'écobuas',
    'écobuasse',
    'écobuassent',
    'écobuasses',
    'écobuassiez',
    'écobuassions',
    'écobue',
    'écobuent',
    'écobuer',
    'écobuera',
    'écobuerai',
    'écobueraient',
    'écobuerais',
    'écobuerait',
    'écobueras',
    'écobuerez',
    'écobueriez',
    'écobuerions',
    'écobuerons',
    'écobueront',
    'écobues',
    'écobuez',
    'écobuiez',
    'écobuions',
    'écobuons',
    'écobuâmes',
    'écobuât',
    'écobuâtes',
    'écobuèrent',
    'écobué',
    'écobuée',
    'écobuées',
    'écobués',
    'écocide',
    'écocides',
    'écoeura',
    'écoeurai',
    'écoeuraient',
    'écoeurais',
    'écoeurait',
    'écoeurant',
    'écoeurante',
    'écoeurantes',
    'écoeurants',
    'écoeuras',
    'écoeurasse',
    'écoeurassent',
    'écoeurasses',
    'écoeurassiez',
    'écoeure',
    'écoeurement',
    'écoeurements',
    'écoeurent',
    'écoeurer',
    'écoeurera',
    'écoeurerai',
    'écoeurerais',
    'écoeurerait',
    'écoeureras',
    'écoeurerez',
    'écoeureriez',
    'écoeurerions',
    'écoeurerons',
    'écoeureront',
    'écoeures',
    'écoeurez',
    'écoeuriez',
    'écoeurions',
    'écoeurons',
    'écoeurâmes',
    'écoeurât',
    'écoeurâtes',
    'écoeurèrent',
    'écoeuré',
    'écoeurée',
    'écoeurées',
    'écoeurés',
    'écolage',
    'écolages',
    'école',
    'écoles',
    'écolier',
    'écoliers',
    'écolière',
    'écolières',
    'écologie',
    'écologies',
    'écologique',
    'écologiques',
    'écologiste',
    'écologistes',
    'écolâtre',
    'écolâtres',
    'écomusée',
    'écomusées',
    'éconduira',
    'éconduirai',
    'éconduirais',
    'éconduirait',
    'éconduiras',
    'éconduire',
    'éconduirez',
    'éconduiriez',
    'éconduirions',
    'éconduirons',
    'éconduiront',
    'éconduis',
    'éconduisais',
    'éconduisait',
    'éconduisant',
    'éconduise',
    'éconduisent',
    'éconduises',
    'éconduisez',
    'éconduisiez',
    'éconduisions',
    'éconduisis',
    'éconduisisse',
    'éconduisit',
    'éconduisons',
    'éconduisîmes',
    'éconduisît',
    'éconduisîtes',
    'éconduit',
    'éconduite',
    'éconduites',
    'éconduits',
    'économat',
    'économats',
    'économe',
    'économes',
    'économie',
    'économies',
    'économique',
    'économiques',
    'économisa',
    'économisai',
    'économisais',
    'économisait',
    'économisant',
    'économisas',
    'économisasse',
    'économise',
    'économisent',
    'économiser',
    'économisera',
    'économiserai',
    'économiseras',
    'économiserez',
    'économises',
    'économiseur',
    'économiseurs',
    'économisez',
    'économisiez',
    'économisions',
    'économisme',
    'économismes',
    'économisons',
    'économiste',
    'économistes',
    'économisâmes',
    'économisât',
    'économisâtes',
    'économisé',
    'économisée',
    'économisées',
    'économisés',
    'économétrie',
    'économétries',
    'écopa',
    'écopai',
    'écopaient',
    'écopais',
    'écopait',
    'écopant',
    'écopas',
    'écopasse',
    'écopassent',
    'écopasses',
    'écopassiez',
    'écopassions',
    'écope',
    'écopent',
    'écoper',
    'écopera',
    'écoperai',
    'écoperaient',
    'écoperais',
    'écoperait',
    'écoperas',
    'écoperche',
    'écoperches',
    'écoperez',
    'écoperiez',
    'écoperions',
    'écoperons',
    'écoperont',
    'écopes',
    'écopez',
    'écopiez',
    'écopions',
    'écopons',
    'écopâmes',
    'écopât',
    'écopâtes',
    'écopèrent',
    'écopé',
    'écopée',
    'écopées',
    'écopés',
    'écora',
    'écorai',
    'écoraient',
    'écorais',
    'écorait',
    'écorant',
    'écoras',
    'écorasse',
    'écorassent',
    'écorasses',
    'écorassiez',
    'écorassions',
    'écorce',
    'écorcent',
    'écorcer',
    'écorcera',
    'écorcerai',
    'écorceraient',
    'écorcerais',
    'écorcerait',
    'écorceras',
    'écorcerez',
    'écorceriez',
    'écorcerions',
    'écorcerons',
    'écorceront',
    'écorces',
    'écorceur',
    'écorceurs',
    'écorcez',
    'écorcha',
    'écorchai',
    'écorchaient',
    'écorchais',
    'écorchait',
    'écorchant',
    'écorchas',
    'écorchasse',
    'écorchassent',
    'écorchasses',
    'écorchassiez',
    'écorche',
    'écorchement',
    'écorchements',
    'écorchent',
    'écorcher',
    'écorchera',
    'écorcherai',
    'écorcherais',
    'écorcherait',
    'écorcheras',
    'écorcherez',
    'écorcheriez',
    'écorcherions',
    'écorcherons',
    'écorcheront',
    'écorches',
    'écorcheur',
    'écorcheurs',
    'écorchez',
    'écorchiez',
    'écorchions',
    'écorchons',
    'écorchure',
    'écorchures',
    'écorchâmes',
    'écorchât',
    'écorchâtes',
    'écorchèrent',
    'écorché',
    'écorchée',
    'écorchées',
    'écorchés',
    'écorciez',
    'écorcions',
    'écorcèrent',
    'écorcé',
    'écorcée',
    'écorcées',
    'écorcés',
    'écore',
    'écorent',
    'écorer',
    'écorera',
    'écorerai',
    'écoreraient',
    'écorerais',
    'écorerait',
    'écoreras',
    'écorerez',
    'écoreriez',
    'écorerions',
    'écorerons',
    'écoreront',
    'écores',
    'écorez',
    'écoriez',
    'écorions',
    'écorna',
    'écornai',
    'écornaient',
    'écornais',
    'écornait',
    'écornant',
    'écornas',
    'écornasse',
    'écornassent',
    'écornasses',
    'écornassiez',
    'écornassions',
    'écorne',
    'écornent',
    'écorner',
    'écornera',
    'écornerai',
    'écorneraient',
    'écornerais',
    'écornerait',
    'écorneras',
    'écornerez',
    'écorneriez',
    'écornerions',
    'écornerons',
    'écorneront',
    'écornes',
    'écornez',
    'écorniez',
    'écornifla',
    'écorniflai',
    'écorniflais',
    'écorniflait',
    'écorniflant',
    'écorniflas',
    'écorniflasse',
    'écornifle',
    'écorniflent',
    'écornifler',
    'écorniflera',
    'écorniflerai',
    'écornifleras',
    'écorniflerez',
    'écornifles',
    'écornifleur',
    'écornifleurs',
    'écornifleuse',
    'écorniflez',
    'écornifliez',
    'écorniflions',
    'écorniflons',
    'écorniflâmes',
    'écorniflât',
    'écorniflâtes',
    'écorniflé',
    'écorniflée',
    'écorniflées',
    'écorniflés',
    'écornions',
    'écornons',
    'écornure',
    'écornures',
    'écornâmes',
    'écornât',
    'écornâtes',
    'écornèrent',
    'écorné',
    'écornée',
    'écornées',
    'écornés',
    'écorons',
    'écorâmes',
    'écorât',
    'écorâtes',
    'écorça',
    'écorçai',
    'écorçaient',
    'écorçais',
    'écorçait',
    'écorçant',
    'écorças',
    'écorçasse',
    'écorçassent',
    'écorçasses',
    'écorçassiez',
    'écorçassions',
    'écorçons',
    'écorçâmes',
    'écorçât',
    'écorçâtes',
    'écorèrent',
    'écoré',
    'écorée',
    'écorées',
    'écorés',
    'écossa',
    'écossai',
    'écossaient',
    'écossais',
    'écossaise',
    'écossaises',
    'écossait',
    'écossant',
    'écossas',
    'écossasse',
    'écossassent',
    'écossasses',
    'écossassiez',
    'écossassions',
    'écosse',
    'écossent',
    'écosser',
    'écossera',
    'écosserai',
    'écosseraient',
    'écosserais',
    'écosserait',
    'écosseras',
    'écosserez',
    'écosseriez',
    'écosserions',
    'écosserons',
    'écosseront',
    'écosses',
    'écossez',
    'écossiez',
    'écossions',
    'écossons',
    'écossâmes',
    'écossât',
    'écossâtes',
    'écossèrent',
    'écossé',
    'écossée',
    'écossées',
    'écossés',
    'écosystème',
    'écosystèmes',
    'écot',
    'écots',
    'écotype',
    'écotypes',
    'écoté',
    'écotée',
    'écotées',
    'écotés',
    'écoula',
    'écoulai',
    'écoulaient',
    'écoulais',
    'écoulait',
    'écoulant',
    'écoulas',
    'écoulasse',
    'écoulassent',
    'écoulasses',
    'écoulassiez',
    'écoulassions',
    'écoule',
    'écoulement',
    'écoulements',
    'écoulent',
    'écouler',
    'écoulera',
    'écoulerai',
    'écouleraient',
    'écoulerais',
    'écoulerait',
    'écouleras',
    'écoulerez',
    'écouleriez',
    'écoulerions',
    'écoulerons',
    'écouleront',
    'écoules',
    'écoulez',
    'écouliez',
    'écoulions',
    'écoulons',
    'écoulâmes',
    'écoulât',
    'écoulâtes',
    'écoulèrent',
    'écoulé',
    'écoulée',
    'écoulées',
    'écoulés',
    'écoumène',
    'écoumènes',
    'écourta',
    'écourtai',
    'écourtaient',
    'écourtais',
    'écourtait',
    'écourtant',
    'écourtas',
    'écourtasse',
    'écourtassent',
    'écourtasses',
    'écourtassiez',
    'écourte',
    'écourtent',
    'écourter',
    'écourtera',
    'écourterai',
    'écourterais',
    'écourterait',
    'écourteras',
    'écourterez',
    'écourteriez',
    'écourterions',
    'écourterons',
    'écourteront',
    'écourtes',
    'écourtez',
    'écourtiez',
    'écourtions',
    'écourtons',
    'écourtâmes',
    'écourtât',
    'écourtâtes',
    'écourtèrent',
    'écourté',
    'écourtée',
    'écourtées',
    'écourtés',
    'écouta',
    'écoutai',
    'écoutaient',
    'écoutais',
    'écoutait',
    'écoutant',
    'écoutas',
    'écoutasse',
    'écoutassent',
    'écoutasses',
    'écoutassiez',
    'écoutassions',
    'écoute',
    'écoutent',
    'écouter',
    'écoutera',
    'écouterai',
    'écouteraient',
    'écouterais',
    'écouterait',
    'écouteras',
    'écouterez',
    'écouteriez',
    'écouterions',
    'écouterons',
    'écouteront',
    'écoutes',
    'écouteur',
    'écouteurs',
    'écoutez',
    'écoutiez',
    'écoutille',
    'écoutilles',
    'écoutions',
    'écoutons',
    'écoutâmes',
    'écoutât',
    'écoutâtes',
    'écoutèrent',
    'écouté',
    'écoutée',
    'écoutées',
    'écoutés',
    'écouvillon',
    'écouvillonna',
    'écouvillonne',
    'écouvillonné',
    'écouvillons',
    'écrabouilla',
    'écrabouillai',
    'écrabouillas',
    'écrabouille',
    'écrabouiller',
    'écrabouilles',
    'écrabouillez',
    'écrabouillât',
    'écrabouillé',
    'écrabouillée',
    'écrabouillés',
    'écran',
    'écrans',
    'écrasa',
    'écrasai',
    'écrasaient',
    'écrasais',
    'écrasait',
    'écrasant',
    'écrasante',
    'écrasantes',
    'écrasants',
    'écrasas',
    'écrasasse',
    'écrasassent',
    'écrasasses',
    'écrasassiez',
    'écrasassions',
    'écrase',
    'écrasement',
    'écrasements',
    'écrasent',
    'écraser',
    'écrasera',
    'écraserai',
    'écraseraient',
    'écraserais',
    'écraserait',
    'écraseras',
    'écraserez',
    'écraseriez',
    'écraserions',
    'écraserons',
    'écraseront',
    'écrases',
    'écraseur',
    'écraseurs',
    'écraseuse',
    'écraseuses',
    'écrasez',
    'écrasiez',
    'écrasions',
    'écrasons',
    'écrasâmes',
    'écrasât',
    'écrasâtes',
    'écrasèrent',
    'écrasé',
    'écrasée',
    'écrasées',
    'écrasés',
    'écrevisse',
    'écrevisses',
    'écria',
    'écriaient',
    'écriais',
    'écriait',
    'écriant',
    'écriassiez',
    'écriassions',
    'écrie',
    'écrient',
    'écrier',
    'écriera',
    'écrierai',
    'écrieraient',
    'écrierais',
    'écrierait',
    'écrieras',
    'écrierez',
    'écrieriez',
    'écrierions',
    'écrierons',
    'écrieront',
    'écries',
    'écriez',
    'écriiez',
    'écriions',
    'écrin',
    'écrins',
    'écrions',
    'écrira',
    'écrirai',
    'écriraient',
    'écrirais',
    'écrirait',
    'écriras',
    'écrire',
    'écrirez',
    'écririez',
    'écririons',
    'écrirons',
    'écriront',
    'écris',
    'écrit',
    'écrite',
    'écriteau',
    'écriteaux',
    'écrites',
    'écritoire',
    'écritoires',
    'écrits',
    'écriture',
    'écritures',
    'écrivaient',
    'écrivailla',
    'écrivaillai',
    'écrivaillais',
    'écrivaillait',
    'écrivaillant',
    'écrivaillas',
    'écrivaille',
    'écrivaillent',
    'écrivailler',
    'écrivaillera',
    'écrivailles',
    'écrivailleur',
    'écrivaillez',
    'écrivailliez',
    'écrivaillon',
    'écrivaillons',
    'écrivaillât',
    'écrivaillé',
    'écrivaillée',
    'écrivaillées',
    'écrivaillés',
    'écrivain',
    'écrivains',
    'écrivais',
    'écrivait',
    'écrivant',
    'écrivassa',
    'écrivassai',
    'écrivassais',
    'écrivassait',
    'écrivassant',
    'écrivassas',
    'écrivassasse',
    'écrivasse',
    'écrivassent',
    'écrivasser',
    'écrivassera',
    'écrivasserai',
    'écrivasseras',
    'écrivasserez',
    'écrivasses',
    'écrivassez',
    'écrivassier',
    'écrivassiers',
    'écrivassiez',
    'écrivassions',
    'écrivassière',
    'écrivassons',
    'écrivassâmes',
    'écrivassât',
    'écrivassâtes',
    'écrivassé',
    'écrive',
    'écrivent',
    'écrives',
    'écrivez',
    'écriviez',
    'écrivions',
    'écrivirent',
    'écrivis',
    'écrivisse',
    'écrivissent',
    'écrivisses',
    'écrivissiez',
    'écrivissions',
    'écrivit',
    'écrivons',
    'écrivîmes',
    'écrivît',
    'écrivîtes',
    'écriâmes',
    'écriâtes',
    'écrièrent',
    'écrié',
    'écriée',
    'écriées',
    'écriés',
    'écrou',
    'écroua',
    'écrouai',
    'écrouaient',
    'écrouais',
    'écrouait',
    'écrouant',
    'écrouas',
    'écrouasse',
    'écrouassent',
    'écrouasses',
    'écrouassiez',
    'écrouassions',
    'écroue',
    'écrouelles',
    'écrouent',
    'écrouer',
    'écrouera',
    'écrouerai',
    'écroueraient',
    'écrouerais',
    'écrouerait',
    'écroueras',
    'écrouerez',
    'écroueriez',
    'écrouerions',
    'écrouerons',
    'écroueront',
    'écroues',
    'écrouez',
    'écroui',
    'écrouie',
    'écrouies',
    'écrouiez',
    'écrouions',
    'écrouir',
    'écrouira',
    'écrouirai',
    'écrouiraient',
    'écrouirais',
    'écrouirait',
    'écrouiras',
    'écrouirent',
    'écrouirez',
    'écrouiriez',
    'écrouirions',
    'écrouirons',
    'écrouiront',
    'écrouis',
    'écrouissable',
    'écrouissage',
    'écrouissages',
    'écrouissais',
    'écrouissait',
    'écrouissant',
    'écrouisse',
    'écrouissent',
    'écrouisses',
    'écrouissez',
    'écrouissiez',
    'écrouissions',
    'écrouissons',
    'écrouit',
    'écroula',
    'écroulaient',
    'écroulais',
    'écroulait',
    'écroulant',
    'écroulassiez',
    'écroule',
    'écroulement',
    'écroulements',
    'écroulent',
    'écrouler',
    'écroulera',
    'écroulerai',
    'écroulerais',
    'écroulerait',
    'écrouleras',
    'écroulerez',
    'écrouleriez',
    'écroulerions',
    'écroulerons',
    'écrouleront',
    'écroules',
    'écroulez',
    'écrouliez',
    'écroulions',
    'écroulons',
    'écroulâmes',
    'écroulâtes',
    'écroulèrent',
    'écroulé',
    'écroulée',
    'écroulées',
    'écroulés',
    'écrouons',
    'écrous',
    'écrouâmes',
    'écrouât',
    'écrouâtes',
    'écrouèrent',
    'écroué',
    'écrouée',
    'écrouées',
    'écroués',
    'écrouîmes',
    'écrouît',
    'écrouîtes',
    'écroûta',
    'écroûtai',
    'écroûtaient',
    'écroûtais',
    'écroûtait',
    'écroûtant',
    'écroûtas',
    'écroûtasse',
    'écroûtassent',
    'écroûtasses',
    'écroûtassiez',
    'écroûte',
    'écroûtent',
    'écroûter',
    'écroûtera',
    'écroûterai',
    'écroûterais',
    'écroûterait',
    'écroûteras',
    'écroûterez',
    'écroûteriez',
    'écroûterions',
    'écroûterons',
    'écroûteront',
    'écroûtes',
    'écroûteuse',
    'écroûteuses',
    'écroûtez',
    'écroûtiez',
    'écroûtions',
    'écroûtons',
    'écroûtâmes',
    'écroûtât',
    'écroûtâtes',
    'écroûtèrent',
    'écroûté',
    'écroûtée',
    'écroûtées',
    'écroûtés',
    'écru',
    'écrue',
    'écrues',
    'écrus',
    'écrème',
    'écrèment',
    'écrèmes',
    'écréma',
    'écrémage',
    'écrémages',
    'écrémai',
    'écrémaient',
    'écrémais',
    'écrémait',
    'écrémant',
    'écrémas',
    'écrémasse',
    'écrémassent',
    'écrémasses',
    'écrémassiez',
    'écrémassions',
    'écrémer',
    'écrémera',
    'écrémerai',
    'écrémeraient',
    'écrémerais',
    'écrémerait',
    'écrémeras',
    'écrémerez',
    'écrémeriez',
    'écrémerions',
    'écrémerons',
    'écrémeront',
    'écrémeuse',
    'écrémeuses',
    'écrémez',
    'écrémiez',
    'écrémions',
    'écrémons',
    'écrémâmes',
    'écrémât',
    'écrémâtes',
    'écrémèrent',
    'écrémé',
    'écrémée',
    'écrémées',
    'écrémés',
    'écrêta',
    'écrêtai',
    'écrêtaient',
    'écrêtais',
    'écrêtait',
    'écrêtant',
    'écrêtas',
    'écrêtasse',
    'écrêtassent',
    'écrêtasses',
    'écrêtassiez',
    'écrêtassions',
    'écrête',
    'écrêtement',
    'écrêtements',
    'écrêtent',
    'écrêter',
    'écrêtera',
    'écrêterai',
    'écrêteraient',
    'écrêterais',
    'écrêterait',
    'écrêteras',
    'écrêterez',
    'écrêteriez',
    'écrêterions',
    'écrêterons',
    'écrêteront',
    'écrêtes',
    'écrêtez',
    'écrêtiez',
    'écrêtions',
    'écrêtons',
    'écrêtâmes',
    'écrêtât',
    'écrêtâtes',
    'écrêtèrent',
    'écrêté',
    'écrêtée',
    'écrêtées',
    'écrêtés',
    'écubier',
    'écubiers',
    'écueil',
    'écueils',
    'écuelle',
    'écuelles',
    'écuissa',
    'écuissai',
    'écuissaient',
    'écuissais',
    'écuissait',
    'écuissant',
    'écuissas',
    'écuissasse',
    'écuissassent',
    'écuissasses',
    'écuissassiez',
    'écuisse',
    'écuissent',
    'écuisser',
    'écuissera',
    'écuisserai',
    'écuisserais',
    'écuisserait',
    'écuisseras',
    'écuisserez',
    'écuisseriez',
    'écuisserions',
    'écuisserons',
    'écuisseront',
    'écuisses',
    'écuissez',
    'écuissiez',
    'écuissions',
    'écuissons',
    'écuissâmes',
    'écuissât',
    'écuissâtes',
    'écuissèrent',
    'écuissé',
    'écuissée',
    'écuissées',
    'écuissés',
    'écula',
    'éculai',
    'éculaient',
    'éculais',
    'éculait',
    'éculant',
    'éculas',
    'éculasse',
    'éculassent',
    'éculasses',
    'éculassiez',
    'éculassions',
    'écule',
    'éculent',
    'éculer',
    'éculera',
    'éculerai',
    'éculeraient',
    'éculerais',
    'éculerait',
    'éculeras',
    'éculerez',
    'éculeriez',
    'éculerions',
    'éculerons',
    'éculeront',
    'écules',
    'éculez',
    'éculiez',
    'éculions',
    'éculons',
    'éculâmes',
    'éculât',
    'éculâtes',
    'éculèrent',
    'éculé',
    'éculée',
    'éculées',
    'éculés',
    'écuma',
    'écumage',
    'écumages',
    'écumai',
    'écumaient',
    'écumais',
    'écumait',
    'écumant',
    'écumante',
    'écumantes',
    'écumants',
    'écumas',
    'écumasse',
    'écumassent',
    'écumasses',
    'écumassiez',
    'écumassions',
    'écume',
    'écument',
    'écumer',
    'écumera',
    'écumerai',
    'écumeraient',
    'écumerais',
    'écumerait',
    'écumeras',
    'écumerez',
    'écumeriez',
    'écumerions',
    'écumerons',
    'écumeront',
    'écumes',
    'écumeur',
    'écumeurs',
    'écumeuse',
    'écumeuses',
    'écumeux',
    'écumez',
    'écumiez',
    'écumions',
    'écumoire',
    'écumoires',
    'écumons',
    'écumâmes',
    'écumât',
    'écumâtes',
    'écumèrent',
    'écumé',
    'écumée',
    'écumées',
    'écumés',
    'écura',
    'écurai',
    'écuraient',
    'écurais',
    'écurait',
    'écurant',
    'écuras',
    'écurasse',
    'écurassent',
    'écurasses',
    'écurassiez',
    'écurassions',
    'écure',
    'écurent',
    'écurer',
    'écurera',
    'écurerai',
    'écureraient',
    'écurerais',
    'écurerait',
    'écureras',
    'écurerez',
    'écureriez',
    'écurerions',
    'écurerons',
    'écureront',
    'écures',
    'écureuil',
    'écureuils',
    'écurez',
    'écurie',
    'écuries',
    'écuriez',
    'écurions',
    'écurons',
    'écurâmes',
    'écurât',
    'écurâtes',
    'écurèrent',
    'écuré',
    'écurée',
    'écurées',
    'écurés',
    'écus',
    'écusson',
    'écussonna',
    'écussonnage',
    'écussonnages',
    'écussonnai',
    'écussonnais',
    'écussonnait',
    'écussonnant',
    'écussonnas',
    'écussonnasse',
    'écussonne',
    'écussonnent',
    'écussonner',
    'écussonnera',
    'écussonnerai',
    'écussonneras',
    'écussonnerez',
    'écussonnes',
    'écussonnez',
    'écussonniez',
    'écussonnions',
    'écussonnoir',
    'écussonnoirs',
    'écussonnons',
    'écussonnâmes',
    'écussonnât',
    'écussonnâtes',
    'écussonné',
    'écussonnée',
    'écussonnées',
    'écussonnés',
    'écussons',
    'écuyer',
    'écuyers',
    'écuyère',
    'écuyères',
    'écoeura',
    'écoeuraient',
    'écoeurait',
    'écoeurant',
    'écoeurante',
    'écoeurantes',
    'écoeurants',
    'écoeure',
    'écoeurement',
    'écoeurements',
    'écoeurent',
    'écoeurer',
    'écoeurera',
    'écoeurerait',
    'écoeureront',
    'écoeurèrent',
    'écoeuré',
    'écoeurée',
    'écoeurées',
    'écoeurés',
    'édam',
    'édams',
    'éden',
    'édens',
    'édenta',
    'édentai',
    'édentaient',
    'édentais',
    'édentait',
    'édentant',
    'édentas',
    'édentasse',
    'édentassent',
    'édentasses',
    'édentassiez',
    'édentassions',
    'édente',
    'édentent',
    'édenter',
    'édentera',
    'édenterai',
    'édenteraient',
    'édenterais',
    'édenterait',
    'édenteras',
    'édenterez',
    'édenteriez',
    'édenterions',
    'édenterons',
    'édenteront',
    'édentes',
    'édentez',
    'édentiez',
    'édentions',
    'édentons',
    'édentâmes',
    'édentât',
    'édentâtes',
    'édentèrent',
    'édenté',
    'édentée',
    'édentées',
    'édentés',
    'édicta',
    'édictai',
    'édictaient',
    'édictais',
    'édictait',
    'édictant',
    'édictas',
    'édictasse',
    'édictassent',
    'édictasses',
    'édictassiez',
    'édictassions',
    'édicte',
    'édictent',
    'édicter',
    'édictera',
    'édicterai',
    'édicteraient',
    'édicterais',
    'édicterait',
    'édicteras',
    'édicterez',
    'édicteriez',
    'édicterions',
    'édicterons',
    'édicteront',
    'édictes',
    'édictez',
    'édictiez',
    'édictions',
    'édictons',
    'édictâmes',
    'édictât',
    'édictâtes',
    'édictèrent',
    'édicté',
    'édictée',
    'édictées',
    'édictés',
    'édicule',
    'édicules',
    'édifia',
    'édifiai',
    'édifiaient',
    'édifiais',
    'édifiait',
    'édifiant',
    'édifiante',
    'édifiantes',
    'édifiants',
    'édifias',
    'édifiasse',
    'édifiassent',
    'édifiasses',
    'édifiassiez',
    'édifiassions',
    'édificateur',
    'édificateurs',
    'édification',
    'édifications',
    'édificatrice',
    'édifice',
    'édifices',
    'édifie',
    'édifient',
    'édifier',
    'édifiera',
    'édifierai',
    'édifieraient',
    'édifierais',
    'édifierait',
    'édifieras',
    'édifierez',
    'édifieriez',
    'édifierions',
    'édifierons',
    'édifieront',
    'édifies',
    'édifiez',
    'édifiiez',
    'édifiions',
    'édifions',
    'édifiâmes',
    'édifiât',
    'édifiâtes',
    'édifièrent',
    'édifié',
    'édifiée',
    'édifiées',
    'édifiés',
    'édile',
    'édiles',
    'édilitaire',
    'édilitaires',
    'édilité',
    'édilités',
    'édit',
    'édita',
    'éditable',
    'éditables',
    'éditai',
    'éditaient',
    'éditais',
    'éditait',
    'éditant',
    'éditas',
    'éditasse',
    'éditassent',
    'éditasses',
    'éditassiez',
    'éditassions',
    'édite',
    'éditent',
    'éditer',
    'éditera',
    'éditerai',
    'éditeraient',
    'éditerais',
    'éditerait',
    'éditeras',
    'éditerez',
    'éditeriez',
    'éditerions',
    'éditerons',
    'éditeront',
    'édites',
    'éditeur',
    'éditeurs',
    'éditez',
    'éditiez',
    'édition',
    'éditionna',
    'éditionnai',
    'éditionnais',
    'éditionnait',
    'éditionnant',
    'éditionnas',
    'éditionnasse',
    'éditionne',
    'éditionnent',
    'éditionner',
    'éditionnera',
    'éditionnerai',
    'éditionneras',
    'éditionnerez',
    'éditionnes',
    'éditionnez',
    'éditionniez',
    'éditionnions',
    'éditionnons',
    'éditionnâmes',
    'éditionnât',
    'éditionnâtes',
    'éditionné',
    'éditionnée',
    'éditionnées',
    'éditionnés',
    'éditions',
    'éditons',
    'éditorial',
    'éditoriale',
    'éditoriales',
    'éditoriaux',
    'éditrice',
    'éditrices',
    'édits',
    'éditâmes',
    'éditât',
    'éditâtes',
    'éditèrent',
    'édité',
    'éditée',
    'éditées',
    'édités',
    'édredon',
    'édredons',
    'éducabilité',
    'éducabilités',
    'éducable',
    'éducables',
    'éducateur',
    'éducateurs',
    'éducatif',
    'éducatifs',
    'éducation',
    'éducationnel',
    'éducations',
    'éducative',
    'éducatives',
    'éducatrice',
    'éducatrices',
    'édulcora',
    'édulcorai',
    'édulcoraient',
    'édulcorais',
    'édulcorait',
    'édulcorant',
    'édulcorante',
    'édulcorantes',
    'édulcorants',
    'édulcoras',
    'édulcorasse',
    'édulcorasses',
    'édulcoration',
    'édulcore',
    'édulcorent',
    'édulcorer',
    'édulcorera',
    'édulcorerai',
    'édulcorerais',
    'édulcorerait',
    'édulcoreras',
    'édulcorerez',
    'édulcoreriez',
    'édulcorerons',
    'édulcoreront',
    'édulcores',
    'édulcorez',
    'édulcoriez',
    'édulcorions',
    'édulcorons',
    'édulcorâmes',
    'édulcorât',
    'édulcorâtes',
    'édulcorèrent',
    'édulcoré',
    'édulcorée',
    'édulcorées',
    'édulcorés',
    'éduqua',
    'éduquai',
    'éduquaient',
    'éduquais',
    'éduquait',
    'éduquant',
    'éduquas',
    'éduquasse',
    'éduquassent',
    'éduquasses',
    'éduquassiez',
    'éduquassions',
    'éduque',
    'éduquent',
    'éduquer',
    'éduquera',
    'éduquerai',
    'éduqueraient',
    'éduquerais',
    'éduquerait',
    'éduqueras',
    'éduquerez',
    'éduqueriez',
    'éduquerions',
    'éduquerons',
    'éduqueront',
    'éduques',
    'éduquez',
    'éduquiez',
    'éduquions',
    'éduquons',
    'éduquâmes',
    'éduquât',
    'éduquâtes',
    'éduquèrent',
    'éduqué',
    'éduquée',
    'éduquées',
    'éduqués',
    'édénique',
    'édéniques',
    'éfaufila',
    'éfaufilai',
    'éfaufilaient',
    'éfaufilais',
    'éfaufilait',
    'éfaufilant',
    'éfaufilas',
    'éfaufilasse',
    'éfaufilasses',
    'éfaufile',
    'éfaufilent',
    'éfaufiler',
    'éfaufilera',
    'éfaufilerai',
    'éfaufilerais',
    'éfaufilerait',
    'éfaufileras',
    'éfaufilerez',
    'éfaufileriez',
    'éfaufilerons',
    'éfaufileront',
    'éfaufiles',
    'éfaufilez',
    'éfaufiliez',
    'éfaufilions',
    'éfaufilons',
    'éfaufilâmes',
    'éfaufilât',
    'éfaufilâtes',
    'éfaufilèrent',
    'éfaufilé',
    'éfaufilée',
    'éfaufilées',
    'éfaufilés',
    'éfendi',
    'éfendis',
    'éfourceau',
    'éfourceaux',
    'égaie',
    'égaiement',
    'égaiements',
    'égaient',
    'égaiera',
    'égaierai',
    'égaieraient',
    'égaierais',
    'égaierait',
    'égaieras',
    'égaierez',
    'égaieriez',
    'égaierions',
    'égaierons',
    'égaieront',
    'égaies',
    'égailla',
    'égaillaient',
    'égaillait',
    'égaillant',
    'égaillassiez',
    'égaille',
    'égaillent',
    'égailler',
    'égaillera',
    'égaillerait',
    'égaillerez',
    'égailleriez',
    'égaillerions',
    'égaillerons',
    'égailleront',
    'égaillez',
    'égailliez',
    'égaillions',
    'égaillons',
    'égaillâmes',
    'égaillâtes',
    'égaillèrent',
    'égaillé',
    'égaillée',
    'égaillées',
    'égaillés',
    'égal',
    'égala',
    'égalable',
    'égalables',
    'égalai',
    'égalaient',
    'égalais',
    'égalait',
    'égalant',
    'égalas',
    'égalasse',
    'égalassent',
    'égalasses',
    'égalassiez',
    'égalassions',
    'égale',
    'également',
    'égalent',
    'égaler',
    'égalera',
    'égalerai',
    'égaleraient',
    'égalerais',
    'égalerait',
    'égaleras',
    'égalerez',
    'égaleriez',
    'égalerions',
    'égalerons',
    'égaleront',
    'égales',
    'égalez',
    'égaliez',
    'égalions',
    'égalisa',
    'égalisai',
    'égalisaient',
    'égalisais',
    'égalisait',
    'égalisant',
    'égalisas',
    'égalisasse',
    'égalisassent',
    'égalisasses',
    'égalisassiez',
    'égalisateur',
    'égalisateurs',
    'égalisation',
    'égalisations',
    'égalisatrice',
    'égalise',
    'égalisent',
    'égaliser',
    'égalisera',
    'égaliserai',
    'égaliserais',
    'égaliserait',
    'égaliseras',
    'égaliserez',
    'égaliseriez',
    'égaliserions',
    'égaliserons',
    'égaliseront',
    'égalises',
    'égaliseur',
    'égaliseurs',
    'égalisez',
    'égalisiez',
    'égalisions',
    'égalisons',
    'égalisâmes',
    'égalisât',
    'égalisâtes',
    'égalisèrent',
    'égalisé',
    'égalisée',
    'égalisées',
    'égalisés',
    'égalitaire',
    'égalitaires',
    'égalitarisme',
    'égalitariste',
    'égalité',
    'égalités',
    'égalons',
    'égalâmes',
    'égalât',
    'égalâtes',
    'égalèrent',
    'égalé',
    'égalée',
    'égalées',
    'égalés',
    'égara',
    'égarai',
    'égaraient',
    'égarais',
    'égarait',
    'égarant',
    'égaras',
    'égarasse',
    'égarassent',
    'égarasses',
    'égarassiez',
    'égarassions',
    'égard',
    'égards',
    'égare',
    'égarement',
    'égarements',
    'égarent',
    'égarer',
    'égarera',
    'égarerai',
    'égareraient',
    'égarerais',
    'égarerait',
    'égareras',
    'égarerez',
    'égareriez',
    'égarerions',
    'égarerons',
    'égareront',
    'égares',
    'égarez',
    'égariez',
    'égarions',
    'égarons',
    'égarâmes',
    'égarât',
    'égarâtes',
    'égarèrent',
    'égaré',
    'égarée',
    'égarées',
    'égarés',
    'égaux',
    'égaya',
    'égayai',
    'égayaient',
    'égayais',
    'égayait',
    'égayant',
    'égayante',
    'égayantes',
    'égayants',
    'égayas',
    'égayasse',
    'égayassent',
    'égayasses',
    'égayassiez',
    'égayassions',
    'égaye',
    'égayement',
    'égayements',
    'égayent',
    'égayer',
    'égayera',
    'égayerai',
    'égayeraient',
    'égayerais',
    'égayerait',
    'égayeras',
    'égayerez',
    'égayeriez',
    'égayerions',
    'égayerons',
    'égayeront',
    'égayes',
    'égayez',
    'égayiez',
    'égayions',
    'égayons',
    'égayâmes',
    'égayât',
    'égayâtes',
    'égayèrent',
    'égayé',
    'égayée',
    'égayées',
    'égayés',
    'égerma',
    'égermage',
    'égermages',
    'égermai',
    'égermaient',
    'égermais',
    'égermait',
    'égermant',
    'égermas',
    'égermasse',
    'égermassent',
    'égermasses',
    'égermassiez',
    'égermassions',
    'égerme',
    'égerment',
    'égermer',
    'égermera',
    'égermerai',
    'égermeraient',
    'égermerais',
    'égermerait',
    'égermeras',
    'égermerez',
    'égermeriez',
    'égermerions',
    'égermerons',
    'égermeront',
    'égermes',
    'égermez',
    'égermiez',
    'égermions',
    'égermons',
    'égermâmes',
    'égermât',
    'égermâtes',
    'égermèrent',
    'égermé',
    'égermée',
    'égermées',
    'égermés',
    'égide',
    'égides',
    'églantier',
    'églantiers',
    'églantine',
    'églantines',
    'églefin',
    'églefins',
    'église',
    'églises',
    'églogue',
    'églogues',
    'égocentrique',
    'égocentrisme',
    'égorge',
    'égorgea',
    'égorgeai',
    'égorgeaient',
    'égorgeais',
    'égorgeait',
    'égorgeant',
    'égorgeas',
    'égorgeasse',
    'égorgeassent',
    'égorgeasses',
    'égorgeassiez',
    'égorgement',
    'égorgements',
    'égorgent',
    'égorgeons',
    'égorger',
    'égorgera',
    'égorgerai',
    'égorgeraient',
    'égorgerais',
    'égorgerait',
    'égorgeras',
    'égorgerez',
    'égorgeriez',
    'égorgerions',
    'égorgerons',
    'égorgeront',
    'égorges',
    'égorgeur',
    'égorgeurs',
    'égorgeuse',
    'égorgeuses',
    'égorgez',
    'égorgeâmes',
    'égorgeât',
    'égorgeâtes',
    'égorgiez',
    'égorgions',
    'égorgèrent',
    'égorgé',
    'égorgée',
    'égorgées',
    'égorgés',
    'égosiller',
    'égosillerez',
    'égosilleriez',
    'égosillerons',
    'égosillez',
    'égosilliez',
    'égosillions',
    'égosillons',
    'égosillâmes',
    'égosillâtes',
    'égosillé',
    'égosillée',
    'égosillées',
    'égosillés',
    'égotisme',
    'égotismes',
    'égotiste',
    'égotistes',
    'égout',
    'égoutier',
    'égoutiers',
    'égouts',
    'égoutta',
    'égouttage',
    'égouttages',
    'égouttai',
    'égouttaient',
    'égouttais',
    'égouttait',
    'égouttant',
    'égouttas',
    'égouttasse',
    'égouttassent',
    'égouttasses',
    'égouttassiez',
    'égoutte',
    'égouttement',
    'égouttements',
    'égouttent',
    'égoutter',
    'égouttera',
    'égoutterai',
    'égoutterais',
    'égoutterait',
    'égoutteras',
    'égoutterez',
    'égoutteriez',
    'égoutterions',
    'égoutterons',
    'égoutteront',
    'égouttes',
    'égouttez',
    'égouttiez',
    'égouttions',
    'égouttoir',
    'égouttoirs',
    'égouttons',
    'égoutture',
    'égouttures',
    'égouttâmes',
    'égouttât',
    'égouttâtes',
    'égouttèrent',
    'égoutté',
    'égouttée',
    'égouttées',
    'égouttés',
    'égoïne',
    'égoïnes',
    'égoïsme',
    'égoïsmes',
    'égoïste',
    'égoïstement',
    'égoïstes',
    'égraina',
    'égrainage',
    'égrainages',
    'égrainai',
    'égrainaient',
    'égrainais',
    'égrainait',
    'égrainant',
    'égrainas',
    'égrainasse',
    'égrainassent',
    'égrainasses',
    'égrainassiez',
    'égraine',
    'égrainent',
    'égrainer',
    'égrainera',
    'égrainerai',
    'égrainerais',
    'égrainerait',
    'égraineras',
    'égrainerez',
    'égraineriez',
    'égrainerions',
    'égrainerons',
    'égraineront',
    'égraines',
    'égrainez',
    'égrainiez',
    'égrainions',
    'égrainons',
    'égrainâmes',
    'égrainât',
    'égrainâtes',
    'égrainèrent',
    'égrainé',
    'égrainée',
    'égrainées',
    'égrainés',
    'égrappa',
    'égrappage',
    'égrappages',
    'égrappai',
    'égrappaient',
    'égrappais',
    'égrappait',
    'égrappant',
    'égrappas',
    'égrappasse',
    'égrappassent',
    'égrappasses',
    'égrappassiez',
    'égrappe',
    'égrappent',
    'égrapper',
    'égrappera',
    'égrapperai',
    'égrapperais',
    'égrapperait',
    'égrapperas',
    'égrapperez',
    'égrapperiez',
    'égrapperions',
    'égrapperons',
    'égrapperont',
    'égrappes',
    'égrappez',
    'égrappiez',
    'égrappions',
    'égrappoir',
    'égrappoirs',
    'égrappons',
    'égrappâmes',
    'égrappât',
    'égrappâtes',
    'égrappèrent',
    'égrappé',
    'égrappée',
    'égrappées',
    'égrappés',
    'égratigna',
    'égratignai',
    'égratignais',
    'égratignait',
    'égratignant',
    'égratignas',
    'égratignasse',
    'égratigne',
    'égratignent',
    'égratigner',
    'égratignera',
    'égratignerai',
    'égratigneras',
    'égratignerez',
    'égratignes',
    'égratignez',
    'égratigniez',
    'égratignions',
    'égratignons',
    'égratignure',
    'égratignures',
    'égratignâmes',
    'égratignât',
    'égratignâtes',
    'égratigné',
    'égratignée',
    'égratignées',
    'égratignés',
    'égravillonna',
    'égravillonne',
    'égravillonné',
    'égrena',
    'égrenage',
    'égrenages',
    'égrenai',
    'égrenaient',
    'égrenais',
    'égrenait',
    'égrenant',
    'égrenas',
    'égrenasse',
    'égrenassent',
    'égrenasses',
    'égrenassiez',
    'égrenassions',
    'égrener',
    'égreneuse',
    'égreneuses',
    'égrenez',
    'égreniez',
    'égrenions',
    'égrenons',
    'égrenâmes',
    'égrenât',
    'égrenâtes',
    'égrenèrent',
    'égrené',
    'égrenée',
    'égrenées',
    'égrenés',
    'égrillard',
    'égrillarde',
    'égrillardes',
    'égrillards',
    'égrisa',
    'égrisage',
    'égrisages',
    'égrisai',
    'égrisaient',
    'égrisais',
    'égrisait',
    'égrisant',
    'égrisas',
    'égrisasse',
    'égrisassent',
    'égrisasses',
    'égrisassiez',
    'égrisassions',
    'égrise',
    'égrisent',
    'égriser',
    'égrisera',
    'égriserai',
    'égriseraient',
    'égriserais',
    'égriserait',
    'égriseras',
    'égriserez',
    'égriseriez',
    'égriserions',
    'égriserons',
    'égriseront',
    'égrises',
    'égrisez',
    'égrisiez',
    'égrisions',
    'égrisons',
    'égrisâmes',
    'égrisât',
    'égrisâtes',
    'égrisèrent',
    'égrisé',
    'égrisée',
    'égrisées',
    'égrisés',
    'égrotant',
    'égrotante',
    'égrotantes',
    'égrotants',
    'égruge',
    'égrugea',
    'égrugeage',
    'égrugeages',
    'égrugeai',
    'égrugeaient',
    'égrugeais',
    'égrugeait',
    'égrugeant',
    'égrugeas',
    'égrugeasse',
    'égrugeassent',
    'égrugeasses',
    'égrugeassiez',
    'égrugent',
    'égrugeoir',
    'égrugeoirs',
    'égrugeons',
    'égruger',
    'égrugera',
    'égrugerai',
    'égrugeraient',
    'égrugerais',
    'égrugerait',
    'égrugeras',
    'égrugerez',
    'égrugeriez',
    'égrugerions',
    'égrugerons',
    'égrugeront',
    'égruges',
    'égrugez',
    'égrugeâmes',
    'égrugeât',
    'égrugeâtes',
    'égrugiez',
    'égrugions',
    'égrugèrent',
    'égrugé',
    'égrugée',
    'égrugées',
    'égrugés',
    'égrène',
    'égrènement',
    'égrènements',
    'égrènent',
    'égrènera',
    'égrènerai',
    'égrèneraient',
    'égrènerais',
    'égrènerait',
    'égrèneras',
    'égrènerez',
    'égrèneriez',
    'égrènerions',
    'égrènerons',
    'égrèneront',
    'égrènes',
    'égueulement',
    'égueulements',
    'égueuler',
    'égyptien',
    'égyptienne',
    'égyptiennes',
    'égyptiens',
    'égyptologie',
    'égyptologies',
    'égyptologue',
    'égyptologues',
    'égéen',
    'égéenne',
    'égéennes',
    'égéens',
    'égérie',
    'égéries',
    'éhonté',
    'éhontée',
    'éhontées',
    'éhontés',
    'éjacula',
    'éjaculai',
    'éjaculaient',
    'éjaculais',
    'éjaculait',
    'éjaculant',
    'éjaculas',
    'éjaculasse',
    'éjaculassent',
    'éjaculasses',
    'éjaculassiez',
    'éjaculation',
    'éjaculations',
    'éjacule',
    'éjaculent',
    'éjaculer',
    'éjaculera',
    'éjaculerai',
    'éjaculerais',
    'éjaculerait',
    'éjaculeras',
    'éjaculerez',
    'éjaculeriez',
    'éjaculerions',
    'éjaculerons',
    'éjaculeront',
    'éjacules',
    'éjaculez',
    'éjaculiez',
    'éjaculions',
    'éjaculons',
    'éjaculâmes',
    'éjaculât',
    'éjaculâtes',
    'éjaculèrent',
    'éjaculé',
    'éjaculée',
    'éjaculées',
    'éjaculés',
    'éjecta',
    'éjectable',
    'éjectables',
    'éjectai',
    'éjectaient',
    'éjectais',
    'éjectait',
    'éjectant',
    'éjectas',
    'éjectasse',
    'éjectassent',
    'éjectasses',
    'éjectassiez',
    'éjectassions',
    'éjecte',
    'éjectent',
    'éjecter',
    'éjectera',
    'éjecterai',
    'éjecteraient',
    'éjecterais',
    'éjecterait',
    'éjecteras',
    'éjecterez',
    'éjecteriez',
    'éjecterions',
    'éjecterons',
    'éjecteront',
    'éjectes',
    'éjecteur',
    'éjecteurs',
    'éjectez',
    'éjectiez',
    'éjection',
    'éjections',
    'éjectons',
    'éjectâmes',
    'éjectât',
    'éjectâtes',
    'éjectèrent',
    'éjecté',
    'éjectée',
    'éjectées',
    'éjectés',
    'éjointa',
    'éjointai',
    'éjointaient',
    'éjointais',
    'éjointait',
    'éjointant',
    'éjointas',
    'éjointasse',
    'éjointassent',
    'éjointasses',
    'éjointassiez',
    'éjointe',
    'éjointent',
    'éjointer',
    'éjointera',
    'éjointerai',
    'éjointerais',
    'éjointerait',
    'éjointeras',
    'éjointerez',
    'éjointeriez',
    'éjointerions',
    'éjointerons',
    'éjointeront',
    'éjointes',
    'éjointez',
    'éjointiez',
    'éjointions',
    'éjointons',
    'éjointâmes',
    'éjointât',
    'éjointâtes',
    'éjointèrent',
    'éjointé',
    'éjointée',
    'éjointées',
    'éjointés',
    'élabora',
    'élaborai',
    'élaboraient',
    'élaborais',
    'élaborait',
    'élaborant',
    'élaboras',
    'élaborasse',
    'élaborassent',
    'élaborasses',
    'élaborassiez',
    'élaboration',
    'élaborations',
    'élabore',
    'élaborent',
    'élaborer',
    'élaborera',
    'élaborerai',
    'élaborerais',
    'élaborerait',
    'élaboreras',
    'élaborerez',
    'élaboreriez',
    'élaborerions',
    'élaborerons',
    'élaboreront',
    'élabores',
    'élaborez',
    'élaboriez',
    'élaborions',
    'élaborons',
    'élaborâmes',
    'élaborât',
    'élaborâtes',
    'élaborèrent',
    'élaboré',
    'élaborée',
    'élaborées',
    'élaborés',
    'élagage',
    'élagages',
    'élagua',
    'élaguai',
    'élaguaient',
    'élaguais',
    'élaguait',
    'élaguant',
    'élaguas',
    'élaguasse',
    'élaguassent',
    'élaguasses',
    'élaguassiez',
    'élaguassions',
    'élague',
    'élaguent',
    'élaguer',
    'élaguera',
    'élaguerai',
    'élagueraient',
    'élaguerais',
    'élaguerait',
    'élagueras',
    'élaguerez',
    'élagueriez',
    'élaguerions',
    'élaguerons',
    'élagueront',
    'élagues',
    'élagueur',
    'élagueurs',
    'élaguez',
    'élaguiez',
    'élaguions',
    'élaguons',
    'élaguâmes',
    'élaguât',
    'élaguâtes',
    'élaguèrent',
    'élagué',
    'élaguée',
    'élaguées',
    'élagués',
    'élan',
    'élance',
    'élancement',
    'élancements',
    'élancent',
    'élancer',
    'élancera',
    'élancerai',
    'élanceraient',
    'élancerais',
    'élancerait',
    'élanceras',
    'élancerez',
    'élanceriez',
    'élancerions',
    'élancerons',
    'élanceront',
    'élances',
    'élancez',
    'élanciez',
    'élancions',
    'élancèrent',
    'élancé',
    'élancée',
    'élancées',
    'élancés',
    'élans',
    'élança',
    'élançai',
    'élançaient',
    'élançais',
    'élançait',
    'élançant',
    'élanças',
    'élançasse',
    'élançassent',
    'élançasses',
    'élançassiez',
    'élançassions',
    'élançons',
    'élançâmes',
    'élançât',
    'élançâtes',
    'élargi',
    'élargie',
    'élargies',
    'élargir',
    'élargira',
    'élargirai',
    'élargiraient',
    'élargirais',
    'élargirait',
    'élargiras',
    'élargirent',
    'élargirez',
    'élargiriez',
    'élargirions',
    'élargirons',
    'élargiront',
    'élargis',
    'élargissais',
    'élargissait',
    'élargissant',
    'élargisse',
    'élargissent',
    'élargisses',
    'élargissez',
    'élargissiez',
    'élargissions',
    'élargissons',
    'élargit',
    'élargîmes',
    'élargît',
    'élargîtes',
    'élasticité',
    'élasticités',
    'élastique',
    'élastiques',
    'élastomère',
    'élastomères',
    'élavé',
    'élavée',
    'élavées',
    'élavés',
    'électeur',
    'électeurs',
    'électif',
    'électifs',
    'élection',
    'élections',
    'élective',
    'électives',
    'électivité',
    'électivités',
    'électoral',
    'électorale',
    'électorales',
    'électorat',
    'électorats',
    'électoraux',
    'électrice',
    'électrices',
    'électricien',
    'électriciens',
    'électricité',
    'électricités',
    'électrifia',
    'électrifiai',
    'électrifiais',
    'électrifiait',
    'électrifiant',
    'électrifias',
    'électrifie',
    'électrifient',
    'électrifier',
    'électrifiera',
    'électrifies',
    'électrifiez',
    'électrifiiez',
    'électrifions',
    'électrifiât',
    'électrifié',
    'électrifiée',
    'électrifiées',
    'électrifiés',
    'électrique',
    'électriques',
    'électrisa',
    'électrisable',
    'électrisai',
    'électrisais',
    'électrisait',
    'électrisant',
    'électrisante',
    'électrisants',
    'électrisas',
    'électrisasse',
    'électrise',
    'électrisent',
    'électriser',
    'électrisera',
    'électriserai',
    'électriseras',
    'électriserez',
    'électrises',
    'électrisez',
    'électrisiez',
    'électrisions',
    'électrisons',
    'électrisâmes',
    'électrisât',
    'électrisâtes',
    'électrisé',
    'électrisée',
    'électrisées',
    'électrisés',
    'électrochoc',
    'électrochocs',
    'électrocuta',
    'électrocutai',
    'électrocutas',
    'électrocute',
    'électrocuter',
    'électrocutes',
    'électrocutez',
    'électrocutât',
    'électrocuté',
    'électrocutée',
    'électrocutés',
    'électrode',
    'électrodes',
    'électrogène',
    'électrogènes',
    'électrologie',
    'électrolysa',
    'électrolysai',
    'électrolysas',
    'électrolyse',
    'électrolyser',
    'électrolyses',
    'électrolysez',
    'électrolysât',
    'électrolysé',
    'électrolysée',
    'électrolysés',
    'électrolyte',
    'électrolytes',
    'électron',
    'électronique',
    'électronisa',
    'électronisai',
    'électronisas',
    'électronise',
    'électroniser',
    'électronises',
    'électronisez',
    'électronisât',
    'électronisé',
    'électronisée',
    'électronisés',
    'électrons',
    'électrophone',
    'électroscope',
    'électrum',
    'électrums',
    'électuaire',
    'électuaires',
    'éleva',
    'élevage',
    'élevages',
    'élevai',
    'élevaient',
    'élevais',
    'élevait',
    'élevant',
    'élevas',
    'élevasse',
    'élevassent',
    'élevasses',
    'élevassiez',
    'élevassions',
    'élever',
    'éleveur',
    'éleveurs',
    'éleveuse',
    'éleveuses',
    'élevez',
    'éleviez',
    'élevions',
    'élevons',
    'élevâmes',
    'élevât',
    'élevâtes',
    'élevèrent',
    'élevé',
    'élevée',
    'élevées',
    'élevés',
    'élida',
    'élidai',
    'élidaient',
    'élidais',
    'élidait',
    'élidant',
    'élidas',
    'élidasse',
    'élidassent',
    'élidasses',
    'élidassiez',
    'élidassions',
    'élide',
    'élident',
    'élider',
    'élidera',
    'éliderai',
    'élideraient',
    'éliderais',
    'éliderait',
    'élideras',
    'éliderez',
    'élideriez',
    'éliderions',
    'éliderons',
    'élideront',
    'élides',
    'élidez',
    'élidiez',
    'élidions',
    'élidons',
    'élidâmes',
    'élidât',
    'élidâtes',
    'élidèrent',
    'élidé',
    'élidée',
    'élidées',
    'élidés',
    'éligibilité',
    'éligibilités',
    'éligible',
    'éligibles',
    'élima',
    'élimai',
    'élimaient',
    'élimais',
    'élimait',
    'élimant',
    'élimas',
    'élimasse',
    'élimassent',
    'élimasses',
    'élimassiez',
    'élimassions',
    'élime',
    'éliment',
    'élimer',
    'élimera',
    'élimerai',
    'élimeraient',
    'élimerais',
    'élimerait',
    'élimeras',
    'élimerez',
    'élimeriez',
    'élimerions',
    'élimerons',
    'élimeront',
    'élimes',
    'élimez',
    'élimiez',
    'élimina',
    'éliminai',
    'éliminaient',
    'éliminais',
    'éliminait',
    'éliminant',
    'éliminas',
    'éliminasse',
    'éliminassent',
    'éliminasses',
    'éliminassiez',
    'éliminateur',
    'éliminateurs',
    'élimination',
    'éliminations',
    'éliminatoire',
    'éliminatrice',
    'élimine',
    'éliminent',
    'éliminer',
    'éliminera',
    'éliminerai',
    'éliminerais',
    'éliminerait',
    'élimineras',
    'éliminerez',
    'élimineriez',
    'éliminerions',
    'éliminerons',
    'élimineront',
    'élimines',
    'éliminez',
    'éliminiez',
    'éliminions',
    'éliminons',
    'éliminâmes',
    'éliminât',
    'éliminâtes',
    'éliminèrent',
    'éliminé',
    'éliminée',
    'éliminées',
    'éliminés',
    'élimions',
    'élimons',
    'élimâmes',
    'élimât',
    'élimâtes',
    'élimèrent',
    'élimé',
    'élimée',
    'élimées',
    'élimés',
    'élingua',
    'élinguai',
    'élinguaient',
    'élinguais',
    'élinguait',
    'élinguant',
    'élinguas',
    'élinguasse',
    'élinguassent',
    'élinguasses',
    'élinguassiez',
    'élingue',
    'élinguent',
    'élinguer',
    'élinguera',
    'élinguerai',
    'élinguerais',
    'élinguerait',
    'élingueras',
    'élinguerez',
    'élingueriez',
    'élinguerions',
    'élinguerons',
    'élingueront',
    'élingues',
    'élinguez',
    'élinguiez',
    'élinguions',
    'élinguons',
    'élinguâmes',
    'élinguât',
    'élinguâtes',
    'élinguèrent',
    'élingué',
    'élinguée',
    'élinguées',
    'élingués',
    'élira',
    'élirai',
    'éliraient',
    'élirais',
    'élirait',
    'éliras',
    'élire',
    'élirez',
    'éliriez',
    'élirions',
    'élirons',
    'éliront',
    'élis',
    'élisabéthain',
    'élisaient',
    'élisais',
    'élisait',
    'élisant',
    'élise',
    'élisent',
    'élises',
    'élisez',
    'élisiez',
    'élision',
    'élisions',
    'élisons',
    'élit',
    'élitaire',
    'élitaires',
    'élite',
    'élites',
    'élitisme',
    'élitismes',
    'élitiste',
    'élitistes',
    'élixir',
    'élixirs',
    'élocution',
    'élocutions',
    'élodée',
    'élodées',
    'éloge',
    'éloges',
    'élogieuse',
    'élogieuses',
    'élogieux',
    'éloigna',
    'éloignai',
    'éloignaient',
    'éloignais',
    'éloignait',
    'éloignant',
    'éloignas',
    'éloignasse',
    'éloignassent',
    'éloignasses',
    'éloignassiez',
    'éloigne',
    'éloignement',
    'éloignements',
    'éloignent',
    'éloigner',
    'éloignera',
    'éloignerai',
    'éloignerais',
    'éloignerait',
    'éloigneras',
    'éloignerez',
    'éloigneriez',
    'éloignerions',
    'éloignerons',
    'éloigneront',
    'éloignes',
    'éloignez',
    'éloigniez',
    'éloignions',
    'éloignons',
    'éloignâmes',
    'éloignât',
    'éloignâtes',
    'éloignèrent',
    'éloigné',
    'éloignée',
    'éloignées',
    'éloignés',
    'élongation',
    'élongations',
    'élonge',
    'élongea',
    'élongeai',
    'élongeaient',
    'élongeais',
    'élongeait',
    'élongeant',
    'élongeas',
    'élongeasse',
    'élongeassent',
    'élongeasses',
    'élongeassiez',
    'élongent',
    'élongeons',
    'élonger',
    'élongera',
    'élongerai',
    'élongeraient',
    'élongerais',
    'élongerait',
    'élongeras',
    'élongerez',
    'élongeriez',
    'élongerions',
    'élongerons',
    'élongeront',
    'élonges',
    'élongez',
    'élongeâmes',
    'élongeât',
    'élongeâtes',
    'élongiez',
    'élongions',
    'élongèrent',
    'élongé',
    'élongée',
    'élongées',
    'élongés',
    'éloquemment',
    'éloquence',
    'éloquences',
    'éloquent',
    'éloquente',
    'éloquentes',
    'éloquents',
    'élucida',
    'élucidai',
    'élucidaient',
    'élucidais',
    'élucidait',
    'élucidant',
    'élucidas',
    'élucidasse',
    'élucidassent',
    'élucidasses',
    'élucidassiez',
    'élucidation',
    'élucidations',
    'élucide',
    'élucident',
    'élucider',
    'élucidera',
    'éluciderai',
    'éluciderais',
    'éluciderait',
    'élucideras',
    'éluciderez',
    'élucideriez',
    'éluciderions',
    'éluciderons',
    'élucideront',
    'élucides',
    'élucidez',
    'élucidiez',
    'élucidions',
    'élucidons',
    'élucidâmes',
    'élucidât',
    'élucidâtes',
    'élucidèrent',
    'élucidé',
    'élucidée',
    'élucidées',
    'élucidés',
    'élucubra',
    'élucubrai',
    'élucubraient',
    'élucubrais',
    'élucubrait',
    'élucubrant',
    'élucubras',
    'élucubrasse',
    'élucubrasses',
    'élucubration',
    'élucubre',
    'élucubrent',
    'élucubrer',
    'élucubrera',
    'élucubrerai',
    'élucubrerais',
    'élucubrerait',
    'élucubreras',
    'élucubrerez',
    'élucubreriez',
    'élucubrerons',
    'élucubreront',
    'élucubres',
    'élucubrez',
    'élucubriez',
    'élucubrions',
    'élucubrons',
    'élucubrâmes',
    'élucubrât',
    'élucubrâtes',
    'élucubrèrent',
    'élucubré',
    'élucubrée',
    'élucubrées',
    'élucubrés',
    'éluda',
    'éludai',
    'éludaient',
    'éludais',
    'éludait',
    'éludant',
    'éludas',
    'éludasse',
    'éludassent',
    'éludasses',
    'éludassiez',
    'éludassions',
    'élude',
    'éludent',
    'éluder',
    'éludera',
    'éluderai',
    'éluderaient',
    'éluderais',
    'éluderait',
    'éluderas',
    'éluderez',
    'éluderiez',
    'éluderions',
    'éluderons',
    'éluderont',
    'éludes',
    'éludez',
    'éludiez',
    'éludions',
    'éludons',
    'éludâmes',
    'éludât',
    'éludâtes',
    'éludèrent',
    'éludé',
    'éludée',
    'éludées',
    'éludés',
    'élue',
    'élues',
    'élurent',
    'élus',
    'élusif',
    'élusifs',
    'élusive',
    'élusives',
    'élusse',
    'élussent',
    'élusses',
    'élussiez',
    'élussions',
    'élut',
    'éluvial',
    'éluviale',
    'éluviales',
    'éluviaux',
    'éluvion',
    'éluvions',
    'élyséen',
    'élyséenne',
    'élyséennes',
    'élyséens',
    'élytre',
    'élytres',
    'élève',
    'élèvent',
    'élèvera',
    'élèverai',
    'élèveraient',
    'élèverais',
    'élèverait',
    'élèveras',
    'élèverez',
    'élèveriez',
    'élèverions',
    'élèverons',
    'élèveront',
    'élèves',
    'éléatique',
    'éléatiques',
    'élégamment',
    'élégance',
    'élégances',
    'élégant',
    'élégante',
    'élégantes',
    'élégants',
    'élégi',
    'élégiaque',
    'élégiaques',
    'élégie',
    'élégies',
    'élégir',
    'élégira',
    'élégirai',
    'élégiraient',
    'élégirais',
    'élégirait',
    'élégiras',
    'élégirez',
    'élégiriez',
    'élégirions',
    'élégirons',
    'élégiront',
    'élégis',
    'élégissaient',
    'élégissais',
    'élégissait',
    'élégissant',
    'élégissez',
    'élégissiez',
    'élégissions',
    'élégissons',
    'éléis',
    'élément',
    'élémentaire',
    'élémentaires',
    'éléments',
    'éléphant',
    'éléphanteau',
    'éléphanteaux',
    'éléphantin',
    'éléphantine',
    'éléphantines',
    'éléphantins',
    'éléphants',
    'élévateur',
    'élévateurs',
    'élévation',
    'élévations',
    'élévatoire',
    'élévatoires',
    'élévatrice',
    'élévatrices',
    'élûmes',
    'élût',
    'élûtes',
    'émaciassiez',
    'émaciassions',
    'émaciation',
    'émaciations',
    'émacier',
    'émacierez',
    'émacieriez',
    'émacierions',
    'émacierons',
    'émaciez',
    'émaciiez',
    'émaciions',
    'émacions',
    'émaciâmes',
    'émaciâtes',
    'émacié',
    'émaciée',
    'émaciées',
    'émaciés',
    'émail',
    'émailla',
    'émaillage',
    'émaillages',
    'émaillai',
    'émaillaient',
    'émaillais',
    'émaillait',
    'émaillant',
    'émaillas',
    'émaillasse',
    'émaillassent',
    'émaillasses',
    'émaillassiez',
    'émaille',
    'émaillent',
    'émailler',
    'émaillera',
    'émaillerai',
    'émaillerais',
    'émaillerait',
    'émailleras',
    'émaillerez',
    'émaillerie',
    'émailleries',
    'émailleriez',
    'émaillerions',
    'émaillerons',
    'émailleront',
    'émailles',
    'émailleur',
    'émailleurs',
    'émailleuse',
    'émailleuses',
    'émaillez',
    'émailliez',
    'émaillions',
    'émaillons',
    'émaillure',
    'émaillures',
    'émaillâmes',
    'émaillât',
    'émaillâtes',
    'émaillèrent',
    'émaillé',
    'émaillée',
    'émaillées',
    'émaillés',
    'émana',
    'émanai',
    'émanaient',
    'émanais',
    'émanait',
    'émanant',
    'émanas',
    'émanasse',
    'émanassent',
    'émanasses',
    'émanassiez',
    'émanassions',
    'émanation',
    'émanations',
    'émanche',
    'émanches',
    'émancipa',
    'émancipai',
    'émancipaient',
    'émancipais',
    'émancipait',
    'émancipant',
    'émancipas',
    'émancipasse',
    'émancipasses',
    'émancipateur',
    'émancipation',
    'émancipe',
    'émancipent',
    'émanciper',
    'émancipera',
    'émanciperai',
    'émanciperais',
    'émanciperait',
    'émanciperas',
    'émanciperez',
    'émanciperiez',
    'émanciperons',
    'émanciperont',
    'émancipes',
    'émancipez',
    'émancipiez',
    'émancipions',
    'émancipons',
    'émancipâmes',
    'émancipât',
    'émancipâtes',
    'émancipèrent',
    'émancipé',
    'émancipée',
    'émancipées',
    'émancipés',
    'émane',
    'émanent',
    'émaner',
    'émanera',
    'émanerai',
    'émaneraient',
    'émanerais',
    'émanerait',
    'émaneras',
    'émanerez',
    'émaneriez',
    'émanerions',
    'émanerons',
    'émaneront',
    'émanes',
    'émanez',
    'émaniez',
    'émanions',
    'émanons',
    'émanâmes',
    'émanât',
    'émanâtes',
    'émanèrent',
    'émané',
    'émanée',
    'émanées',
    'émanés',
    'émarge',
    'émargea',
    'émargeai',
    'émargeaient',
    'émargeais',
    'émargeait',
    'émargeant',
    'émargeas',
    'émargeasse',
    'émargeassent',
    'émargeasses',
    'émargeassiez',
    'émargement',
    'émargements',
    'émargent',
    'émargeons',
    'émarger',
    'émargera',
    'émargerai',
    'émargeraient',
    'émargerais',
    'émargerait',
    'émargeras',
    'émargerez',
    'émargeriez',
    'émargerions',
    'émargerons',
    'émargeront',
    'émarges',
    'émargez',
    'émargeâmes',
    'émargeât',
    'émargeâtes',
    'émargiez',
    'émargions',
    'émargèrent',
    'émargé',
    'émargée',
    'émargées',
    'émargés',
    'émascula',
    'émasculai',
    'émasculaient',
    'émasculais',
    'émasculait',
    'émasculant',
    'émasculas',
    'émasculasse',
    'émasculasses',
    'émasculation',
    'émascule',
    'émasculent',
    'émasculer',
    'émasculera',
    'émasculerai',
    'émasculerais',
    'émasculerait',
    'émasculeras',
    'émasculerez',
    'émasculeriez',
    'émasculerons',
    'émasculeront',
    'émascules',
    'émasculez',
    'émasculiez',
    'émasculions',
    'émasculons',
    'émasculâmes',
    'émasculât',
    'émasculâtes',
    'émasculèrent',
    'émasculé',
    'émasculée',
    'émasculées',
    'émasculés',
    'émaux',
    'émbéguiner',
    'émbéguinerez',
    'émbéguinez',
    'émbéguiniez',
    'émbéguinions',
    'émbéguinons',
    'émbéguinâmes',
    'émbéguinâtes',
    'émbéguiné',
    'émbéguinée',
    'émbéguinées',
    'émbéguinés',
    'émeraude',
    'émeraudes',
    'émerge',
    'émergea',
    'émergeai',
    'émergeaient',
    'émergeais',
    'émergeait',
    'émergeant',
    'émergeas',
    'émergeasse',
    'émergeassent',
    'émergeasses',
    'émergeassiez',
    'émergence',
    'émergences',
    'émergent',
    'émergeons',
    'émerger',
    'émergera',
    'émergerai',
    'émergeraient',
    'émergerais',
    'émergerait',
    'émergeras',
    'émergerez',
    'émergeriez',
    'émergerions',
    'émergerons',
    'émergeront',
    'émerges',
    'émergez',
    'émergeâmes',
    'émergeât',
    'émergeâtes',
    'émergiez',
    'émergions',
    'émergèrent',
    'émergé',
    'émergée',
    'émergées',
    'émergés',
    'émeri',
    'émerillon',
    'émerillonna',
    'émerillonnai',
    'émerillonnas',
    'émerillonne',
    'émerillonner',
    'émerillonnes',
    'émerillonnez',
    'émerillonnât',
    'émerillonné',
    'émerillonnée',
    'émerillonnés',
    'émerillons',
    'émeris',
    'émerisa',
    'émerisai',
    'émerisaient',
    'émerisais',
    'émerisait',
    'émerisant',
    'émerisas',
    'émerisasse',
    'émerisassent',
    'émerisasses',
    'émerisassiez',
    'émerise',
    'émerisent',
    'émeriser',
    'émerisera',
    'émeriserai',
    'émeriserais',
    'émeriserait',
    'émeriseras',
    'émeriserez',
    'émeriseriez',
    'émeriserions',
    'émeriserons',
    'émeriseront',
    'émerises',
    'émerisez',
    'émerisiez',
    'émerisions',
    'émerisons',
    'émerisâmes',
    'émerisât',
    'émerisâtes',
    'émerisèrent',
    'émerisé',
    'émerisée',
    'émerisées',
    'émerisés',
    'émersion',
    'émersions',
    'émerveilla',
    'émerveillai',
    'émerveillais',
    'émerveillait',
    'émerveillant',
    'émerveillas',
    'émerveille',
    'émerveillent',
    'émerveiller',
    'émerveillera',
    'émerveilles',
    'émerveillez',
    'émerveilliez',
    'émerveillons',
    'émerveillât',
    'émerveillé',
    'émerveillée',
    'émerveillées',
    'émerveillés',
    'émet',
    'émets',
    'émettaient',
    'émettais',
    'émettait',
    'émettant',
    'émette',
    'émettent',
    'émettes',
    'émetteur',
    'émetteurs',
    'émettez',
    'émettiez',
    'émettions',
    'émettons',
    'émettra',
    'émettrai',
    'émettraient',
    'émettrais',
    'émettrait',
    'émettras',
    'émettre',
    'émettrez',
    'émettrice',
    'émettrices',
    'émettriez',
    'émettrions',
    'émettrons',
    'émettront',
    'émeu',
    'émeus',
    'émeut',
    'émeute',
    'émeutes',
    'émeutier',
    'émeutiers',
    'émeutière',
    'émeutières',
    'émeuve',
    'émeuvent',
    'émeuves',
    'émia',
    'émiai',
    'émiaient',
    'émiais',
    'émiait',
    'émiant',
    'émias',
    'émiasse',
    'émiassent',
    'émiasses',
    'émiassiez',
    'émiassions',
    'émie',
    'émient',
    'émier',
    'émiera',
    'émierai',
    'émieraient',
    'émierais',
    'émierait',
    'émieras',
    'émierez',
    'émieriez',
    'émierions',
    'émierons',
    'émieront',
    'émies',
    'émietta',
    'émiettai',
    'émiettaient',
    'émiettais',
    'émiettait',
    'émiettant',
    'émiettas',
    'émiettasse',
    'émiettassent',
    'émiettasses',
    'émiettassiez',
    'émiette',
    'émiettement',
    'émiettements',
    'émiettent',
    'émietter',
    'émiettera',
    'émietterai',
    'émietterais',
    'émietterait',
    'émietteras',
    'émietterez',
    'émietteriez',
    'émietterions',
    'émietterons',
    'émietteront',
    'émiettes',
    'émiettez',
    'émiettiez',
    'émiettions',
    'émiettons',
    'émiettâmes',
    'émiettât',
    'émiettâtes',
    'émiettèrent',
    'émietté',
    'émiettée',
    'émiettées',
    'émiettés',
    'émiez',
    'émigra',
    'émigrai',
    'émigraient',
    'émigrais',
    'émigrait',
    'émigrant',
    'émigrante',
    'émigrantes',
    'émigrants',
    'émigras',
    'émigrasse',
    'émigrassent',
    'émigrasses',
    'émigrassiez',
    'émigrassions',
    'émigration',
    'émigrations',
    'émigre',
    'émigrent',
    'émigrer',
    'émigrera',
    'émigrerai',
    'émigreraient',
    'émigrerais',
    'émigrerait',
    'émigreras',
    'émigrerez',
    'émigreriez',
    'émigrerions',
    'émigrerons',
    'émigreront',
    'émigres',
    'émigrez',
    'émigriez',
    'émigrions',
    'émigrons',
    'émigrâmes',
    'émigrât',
    'émigrâtes',
    'émigrèrent',
    'émigré',
    'émigrée',
    'émigrées',
    'émigrés',
    'émiiez',
    'émiions',
    'émince',
    'émincent',
    'émincer',
    'émincera',
    'émincerai',
    'éminceraient',
    'émincerais',
    'émincerait',
    'éminceras',
    'émincerez',
    'éminceriez',
    'émincerions',
    'émincerons',
    'éminceront',
    'éminces',
    'émincez',
    'éminciez',
    'émincions',
    'émincèrent',
    'émincé',
    'émincée',
    'émincées',
    'émincés',
    'éminemment',
    'éminence',
    'éminences',
    'éminent',
    'éminente',
    'éminentes',
    'éminents',
    'éminça',
    'éminçai',
    'éminçaient',
    'éminçais',
    'éminçait',
    'éminçant',
    'éminças',
    'éminçasse',
    'éminçassent',
    'éminçasses',
    'éminçassiez',
    'éminçassions',
    'éminçons',
    'éminçâmes',
    'éminçât',
    'éminçâtes',
    'émions',
    'émir',
    'émirat',
    'émirats',
    'émirent',
    'émirs',
    'émis',
    'émise',
    'émises',
    'émissaire',
    'émissaires',
    'émisse',
    'émissent',
    'émisses',
    'émissiez',
    'émissif',
    'émissifs',
    'émission',
    'émissions',
    'émissive',
    'émissives',
    'émissole',
    'émissoles',
    'émit',
    'émiâmes',
    'émiât',
    'émiâtes',
    'émièrent',
    'émié',
    'émiée',
    'émiées',
    'émiés',
    'émoi',
    'émois',
    'émollient',
    'émolliente',
    'émollientes',
    'émollients',
    'émolument',
    'émoluments',
    'émonctoire',
    'émonctoires',
    'émonda',
    'émondage',
    'émondages',
    'émondai',
    'émondaient',
    'émondais',
    'émondait',
    'émondant',
    'émondas',
    'émondasse',
    'émondassent',
    'émondasses',
    'émondassiez',
    'émondassions',
    'émonde',
    'émondent',
    'émonder',
    'émondera',
    'émonderai',
    'émonderaient',
    'émonderais',
    'émonderait',
    'émonderas',
    'émonderez',
    'émonderiez',
    'émonderions',
    'émonderons',
    'émonderont',
    'émondes',
    'émondeur',
    'émondeurs',
    'émondez',
    'émondiez',
    'émondions',
    'émondoir',
    'émondoirs',
    'émondons',
    'émondâmes',
    'émondât',
    'émondâtes',
    'émondèrent',
    'émondé',
    'émondée',
    'émondées',
    'émondés',
    'émorfila',
    'émorfilage',
    'émorfilages',
    'émorfilai',
    'émorfilaient',
    'émorfilais',
    'émorfilait',
    'émorfilant',
    'émorfilas',
    'émorfilasse',
    'émorfilasses',
    'émorfile',
    'émorfilent',
    'émorfiler',
    'émorfilera',
    'émorfilerai',
    'émorfilerais',
    'émorfilerait',
    'émorfileras',
    'émorfilerez',
    'émorfileriez',
    'émorfilerons',
    'émorfileront',
    'émorfiles',
    'émorfilez',
    'émorfiliez',
    'émorfilions',
    'émorfilons',
    'émorfilâmes',
    'émorfilât',
    'émorfilâtes',
    'émorfilèrent',
    'émorfilé',
    'émorfilée',
    'émorfilées',
    'émorfilés',
    'émotif',
    'émotifs',
    'émotion',
    'émotionna',
    'émotionnable',
    'émotionnai',
    'émotionnais',
    'émotionnait',
    'émotionnant',
    'émotionnas',
    'émotionnasse',
    'émotionne',
    'émotionnel',
    'émotionnelle',
    'émotionnels',
    'émotionnent',
    'émotionner',
    'émotionnera',
    'émotionnerai',
    'émotionneras',
    'émotionnerez',
    'émotionnes',
    'émotionnez',
    'émotionniez',
    'émotionnions',
    'émotionnons',
    'émotionnâmes',
    'émotionnât',
    'émotionnâtes',
    'émotionné',
    'émotionnée',
    'émotionnées',
    'émotionnés',
    'émotions',
    'émotive',
    'émotives',
    'émotivité',
    'émotivités',
    'émotta',
    'émottage',
    'émottages',
    'émottai',
    'émottaient',
    'émottais',
    'émottait',
    'émottant',
    'émottas',
    'émottasse',
    'émottassent',
    'émottasses',
    'émottassiez',
    'émottassions',
    'émotte',
    'émottent',
    'émotter',
    'émottera',
    'émotterai',
    'émotteraient',
    'émotterais',
    'émotterait',
    'émotteras',
    'émotterez',
    'émotteriez',
    'émotterions',
    'émotterons',
    'émotteront',
    'émottes',
    'émotteur',
    'émotteurs',
    'émotteuse',
    'émotteuses',
    'émottez',
    'émottiez',
    'émottions',
    'émottons',
    'émottâmes',
    'émottât',
    'émottâtes',
    'émottèrent',
    'émotté',
    'émottée',
    'émottées',
    'émottés',
    'émou',
    'émoucha',
    'émouchai',
    'émouchaient',
    'émouchais',
    'émouchait',
    'émouchant',
    'émouchas',
    'émouchasse',
    'émouchassent',
    'émouchasses',
    'émouchassiez',
    'émouche',
    'émouchent',
    'émoucher',
    'émouchera',
    'émoucherai',
    'émoucherais',
    'émoucherait',
    'émoucheras',
    'émoucherez',
    'émoucheriez',
    'émoucherions',
    'émoucherons',
    'émoucheront',
    'émouches',
    'émouchet',
    'émoucheta',
    'émouchetai',
    'émouchetais',
    'émouchetait',
    'émouchetant',
    'émouchetas',
    'émouchetasse',
    'émoucheter',
    'émouchetez',
    'émouchetiez',
    'émouchetions',
    'émouchetons',
    'émouchets',
    'émouchette',
    'émouchettes',
    'émouchetâmes',
    'émouchetât',
    'émouchetâtes',
    'émoucheté',
    'émouchetée',
    'émouchetées',
    'émouchetés',
    'émouchez',
    'émouchiez',
    'émouchions',
    'émouchoir',
    'émouchoirs',
    'émouchons',
    'émouchâmes',
    'émouchât',
    'émouchâtes',
    'émouchèrent',
    'émouchète',
    'émouchètent',
    'émouchètera',
    'émouchèterai',
    'émouchèteras',
    'émouchèterez',
    'émouchètes',
    'émouché',
    'émouchée',
    'émouchées',
    'émouchés',
    'émoud',
    'émoudra',
    'émoudrai',
    'émoudraient',
    'émoudrais',
    'émoudrait',
    'émoudras',
    'émoudre',
    'émoudrez',
    'émoudriez',
    'émoudrions',
    'émoudrons',
    'émoudront',
    'émouds',
    'émoulage',
    'émoulages',
    'émoulaient',
    'émoulais',
    'émoulait',
    'émoulant',
    'émoule',
    'émoulent',
    'émoules',
    'émouleur',
    'émouleurs',
    'émoulez',
    'émouliez',
    'émoulions',
    'émoulons',
    'émoulu',
    'émoulue',
    'émoulues',
    'émoulurent',
    'émoulus',
    'émoulusse',
    'émoulussent',
    'émoulusses',
    'émoulussiez',
    'émoulussions',
    'émoulut',
    'émoulûmes',
    'émoulût',
    'émoulûtes',
    'émous',
    'émoussa',
    'émoussai',
    'émoussaient',
    'émoussais',
    'émoussait',
    'émoussant',
    'émoussas',
    'émoussasse',
    'émoussassent',
    'émoussasses',
    'émoussassiez',
    'émousse',
    'émoussent',
    'émousser',
    'émoussera',
    'émousserai',
    'émousserais',
    'émousserait',
    'émousseras',
    'émousserez',
    'émousseriez',
    'émousserions',
    'émousserons',
    'émousseront',
    'émousses',
    'émoussez',
    'émoussiez',
    'émoussions',
    'émoussons',
    'émoussâmes',
    'émoussât',
    'émoussâtes',
    'émoussèrent',
    'émoussé',
    'émoussée',
    'émoussées',
    'émoussés',
    'émoustilla',
    'émoustillai',
    'émoustillais',
    'émoustillait',
    'émoustillant',
    'émoustillas',
    'émoustille',
    'émoustillent',
    'émoustiller',
    'émoustillera',
    'émoustilles',
    'émoustillez',
    'émoustilliez',
    'émoustillons',
    'émoustillât',
    'émoustillé',
    'émoustillée',
    'émoustillées',
    'émoustillés',
    'émouvaient',
    'émouvais',
    'émouvait',
    'émouvant',
    'émouvante',
    'émouvantes',
    'émouvants',
    'émouvez',
    'émouviez',
    'émouvions',
    'émouvoir',
    'émouvons',
    'émouvra',
    'émouvrai',
    'émouvraient',
    'émouvrais',
    'émouvrait',
    'émouvras',
    'émouvrez',
    'émouvriez',
    'émouvrions',
    'émouvrons',
    'émouvront',
    'émue',
    'émues',
    'émula',
    'émulai',
    'émulaient',
    'émulais',
    'émulait',
    'émulant',
    'émulas',
    'émulasse',
    'émulassent',
    'émulasses',
    'émulassiez',
    'émulassions',
    'émulation',
    'émulations',
    'émule',
    'émulent',
    'émuler',
    'émulera',
    'émulerai',
    'émuleraient',
    'émulerais',
    'émulerait',
    'émuleras',
    'émulerez',
    'émuleriez',
    'émulerions',
    'émulerons',
    'émuleront',
    'émules',
    'émulez',
    'émuliez',
    'émulions',
    'émulons',
    'émulseur',
    'émulseurs',
    'émulsif',
    'émulsifia',
    'émulsifiable',
    'émulsifiai',
    'émulsifiais',
    'émulsifiait',
    'émulsifiant',
    'émulsifias',
    'émulsifiasse',
    'émulsifie',
    'émulsifient',
    'émulsifier',
    'émulsifiera',
    'émulsifierai',
    'émulsifieras',
    'émulsifierez',
    'émulsifies',
    'émulsifiez',
    'émulsifiiez',
    'émulsifiions',
    'émulsifions',
    'émulsifiâmes',
    'émulsifiât',
    'émulsifiâtes',
    'émulsifié',
    'émulsifiée',
    'émulsifiées',
    'émulsifiés',
    'émulsifs',
    'émulsine',
    'émulsines',
    'émulsion',
    'émulsionna',
    'émulsionnai',
    'émulsionnais',
    'émulsionnait',
    'émulsionnant',
    'émulsionnas',
    'émulsionne',
    'émulsionnent',
    'émulsionner',
    'émulsionnera',
    'émulsionnes',
    'émulsionnez',
    'émulsionniez',
    'émulsionnons',
    'émulsionnât',
    'émulsionné',
    'émulsionnée',
    'émulsionnées',
    'émulsionnés',
    'émulsions',
    'émulsive',
    'émulsives',
    'émulâmes',
    'émulât',
    'émulâtes',
    'émulèrent',
    'émulé',
    'émulée',
    'émulées',
    'émulés',
    'émurent',
    'émus',
    'émusse',
    'émussent',
    'émusses',
    'émussiez',
    'émussions',
    'émut',
    'émèche',
    'émèchent',
    'émèches',
    'émécha',
    'éméchai',
    'éméchaient',
    'éméchais',
    'éméchait',
    'éméchant',
    'éméchas',
    'éméchasse',
    'éméchassent',
    'éméchasses',
    'éméchassiez',
    'éméchassions',
    'émécher',
    'éméchera',
    'émécherai',
    'émécheraient',
    'émécherais',
    'émécherait',
    'émécheras',
    'émécherez',
    'émécheriez',
    'émécherions',
    'émécherons',
    'émécheront',
    'éméchez',
    'éméchiez',
    'éméchions',
    'éméchons',
    'éméchâmes',
    'éméchât',
    'éméchâtes',
    'éméchèrent',
    'éméché',
    'éméchée',
    'éméchées',
    'éméchés',
    'émérite',
    'émérites',
    'émétine',
    'émétines',
    'émétique',
    'émétiques',
    'émîmes',
    'émît',
    'émîtes',
    'émûmes',
    'émût',
    'émûtes',
    'énamourer',
    'énamourerez',
    'énamoureriez',
    'énamourerons',
    'énamourez',
    'énamouriez',
    'énamourions',
    'énamourons',
    'énamourâmes',
    'énamourâtes',
    'énamouré',
    'énamourée',
    'énamourées',
    'énamourés',
    'énanthème',
    'énanthèmes',
    'énantiotrope',
    'énarque',
    'énarques',
    'énarthrose',
    'énarthroses',
    'énergie',
    'énergies',
    'énergique',
    'énergiques',
    'énergisant',
    'énergisante',
    'énergisantes',
    'énergisants',
    'énergumène',
    'énergumènes',
    'énergétique',
    'énergétiques',
    'énerva',
    'énervai',
    'énervaient',
    'énervais',
    'énervait',
    'énervant',
    'énervante',
    'énervantes',
    'énervants',
    'énervas',
    'énervasse',
    'énervassent',
    'énervasses',
    'énervassiez',
    'énervassions',
    'énervation',
    'énervations',
    'énerve',
    'énervement',
    'énervements',
    'énervent',
    'énerver',
    'énervera',
    'énerverai',
    'énerveraient',
    'énerverais',
    'énerverait',
    'énerveras',
    'énerverez',
    'énerveriez',
    'énerverions',
    'énerverons',
    'énerveront',
    'énerves',
    'énervez',
    'énerviez',
    'énervions',
    'énervons',
    'énervâmes',
    'énervât',
    'énervâtes',
    'énervèrent',
    'énervé',
    'énervée',
    'énervées',
    'énervés',
    'éniella',
    'éniellai',
    'éniellaient',
    'éniellais',
    'éniellait',
    'éniellant',
    'éniellas',
    'éniellasse',
    'éniellassent',
    'éniellasses',
    'éniellassiez',
    'énielle',
    'éniellent',
    'énieller',
    'éniellera',
    'éniellerai',
    'éniellerais',
    'éniellerait',
    'énielleras',
    'éniellerez',
    'énielleriez',
    'éniellerions',
    'éniellerons',
    'énielleront',
    'énielles',
    'éniellez',
    'énielliez',
    'éniellions',
    'éniellons',
    'éniellâmes',
    'éniellât',
    'éniellâtes',
    'éniellèrent',
    'éniellé',
    'éniellée',
    'éniellées',
    'éniellés',
    'énigmatique',
    'énigmatiques',
    'énigme',
    'énigmes',
    'énième',
    'énièmes',
    'énonce',
    'énoncent',
    'énoncer',
    'énoncera',
    'énoncerai',
    'énonceraient',
    'énoncerais',
    'énoncerait',
    'énonceras',
    'énoncerez',
    'énonceriez',
    'énoncerions',
    'énoncerons',
    'énonceront',
    'énonces',
    'énoncez',
    'énonciatif',
    'énonciatifs',
    'énonciation',
    'énonciations',
    'énonciative',
    'énonciatives',
    'énonciez',
    'énoncions',
    'énoncèrent',
    'énoncé',
    'énoncée',
    'énoncées',
    'énoncés',
    'énonça',
    'énonçai',
    'énonçaient',
    'énonçais',
    'énonçait',
    'énonçant',
    'énonças',
    'énonçasse',
    'énonçassent',
    'énonçasses',
    'énonçassiez',
    'énonçassions',
    'énonçons',
    'énonçâmes',
    'énonçât',
    'énonçâtes',
    'énorme',
    'énormes',
    'énormité',
    'énormités',
    'énormément',
    'énostose',
    'énostoses',
    'énoua',
    'énouai',
    'énouaient',
    'énouais',
    'énouait',
    'énouant',
    'énouas',
    'énouasse',
    'énouassent',
    'énouasses',
    'énouassiez',
    'énouassions',
    'énoue',
    'énouent',
    'énouer',
    'énouera',
    'énouerai',
    'énoueraient',
    'énouerais',
    'énouerait',
    'énoueras',
    'énouerez',
    'énoueriez',
    'énouerions',
    'énouerons',
    'énoueront',
    'énoues',
    'énouez',
    'énouiez',
    'énouions',
    'énouons',
    'énouâmes',
    'énouât',
    'énouâtes',
    'énouèrent',
    'énoué',
    'énouée',
    'énouées',
    'énoués',
    'énucléa',
    'énucléai',
    'énucléaient',
    'énucléais',
    'énucléait',
    'énucléant',
    'énucléas',
    'énucléasse',
    'énucléassent',
    'énucléasses',
    'énucléassiez',
    'énucléation',
    'énucléations',
    'énuclée',
    'énucléent',
    'énucléer',
    'énucléera',
    'énucléerai',
    'énucléerais',
    'énucléerait',
    'énucléeras',
    'énucléerez',
    'énucléeriez',
    'énucléerions',
    'énucléerons',
    'énucléeront',
    'énuclées',
    'énucléez',
    'énucléiez',
    'énucléions',
    'énucléons',
    'énucléâmes',
    'énucléât',
    'énucléâtes',
    'énucléèrent',
    'énucléé',
    'énucléée',
    'énucléées',
    'énucléés',
    'énumère',
    'énumèrent',
    'énumères',
    'énuméra',
    'énumérai',
    'énuméraient',
    'énumérais',
    'énumérait',
    'énumérant',
    'énuméras',
    'énumérasse',
    'énumérassent',
    'énumérasses',
    'énumérassiez',
    'énumératif',
    'énumératifs',
    'énumération',
    'énumérations',
    'énumérative',
    'énumératives',
    'énumérer',
    'énumérera',
    'énumérerai',
    'énumérerais',
    'énumérerait',
    'énuméreras',
    'énumérerez',
    'énuméreriez',
    'énumérerions',
    'énumérerons',
    'énuméreront',
    'énumérez',
    'énumériez',
    'énumérions',
    'énumérons',
    'énumérâmes',
    'énumérât',
    'énumérâtes',
    'énumérèrent',
    'énuméré',
    'énumérée',
    'énumérées',
    'énumérés',
    'énuquer',
    'énurésie',
    'énurésies',
    'éocène',
    'éocènes',
    'éolien',
    'éolienne',
    'éoliennes',
    'éoliens',
    'éolipile',
    'éolipiles',
    'éolithe',
    'éolithes',
    'éons',
    'éosine',
    'éosines',
    'éosinophile',
    'éosinophiles',
    'éosinophilie',
    'épacte',
    'épactes',
    'épagneul',
    'épagneuls',
    'épair',
    'épairs',
    'épais',
    'épaisse',
    'épaisses',
    'épaisseur',
    'épaisseurs',
    'épaissi',
    'épaissie',
    'épaissies',
    'épaissir',
    'épaissira',
    'épaissirai',
    'épaissirais',
    'épaissirait',
    'épaissiras',
    'épaissirent',
    'épaissirez',
    'épaissiriez',
    'épaissirions',
    'épaissirons',
    'épaissiront',
    'épaissis',
    'épaississais',
    'épaississait',
    'épaississant',
    'épaississe',
    'épaississent',
    'épaississes',
    'épaississeur',
    'épaississez',
    'épaississiez',
    'épaississons',
    'épaissit',
    'épaissîmes',
    'épaissît',
    'épaissîtes',
    'épala',
    'épalai',
    'épalaient',
    'épalais',
    'épalait',
    'épalant',
    'épalas',
    'épalasse',
    'épalassent',
    'épalasses',
    'épalassiez',
    'épalassions',
    'épale',
    'épalent',
    'épaler',
    'épalera',
    'épalerai',
    'épaleraient',
    'épalerais',
    'épalerait',
    'épaleras',
    'épalerez',
    'épaleriez',
    'épalerions',
    'épalerons',
    'épaleront',
    'épales',
    'épalez',
    'épaliez',
    'épalions',
    'épalons',
    'épalâmes',
    'épalât',
    'épalâtes',
    'épalèrent',
    'épalé',
    'épalée',
    'épalées',
    'épalés',
    'épampra',
    'épamprage',
    'épamprages',
    'épamprai',
    'épampraient',
    'épamprais',
    'épamprait',
    'épamprant',
    'épampras',
    'épamprasse',
    'épamprassent',
    'épamprasses',
    'épamprassiez',
    'épampre',
    'épamprement',
    'épamprements',
    'épamprent',
    'épamprer',
    'épamprera',
    'épamprerai',
    'épamprerais',
    'épamprerait',
    'épampreras',
    'épamprerez',
    'épampreriez',
    'épamprerions',
    'épamprerons',
    'épampreront',
    'épampres',
    'épamprez',
    'épampriez',
    'épamprions',
    'épamprons',
    'épamprâmes',
    'épamprât',
    'épamprâtes',
    'épamprèrent',
    'épampré',
    'épamprée',
    'épamprées',
    'épamprés',
    'épancha',
    'épanchai',
    'épanchaient',
    'épanchais',
    'épanchait',
    'épanchant',
    'épanchas',
    'épanchasse',
    'épanchassent',
    'épanchasses',
    'épanchassiez',
    'épanche',
    'épanchement',
    'épanchements',
    'épanchent',
    'épancher',
    'épanchera',
    'épancherai',
    'épancherais',
    'épancherait',
    'épancheras',
    'épancherez',
    'épancheriez',
    'épancherions',
    'épancherons',
    'épancheront',
    'épanches',
    'épanchez',
    'épanchiez',
    'épanchions',
    'épanchons',
    'épanchâmes',
    'épanchât',
    'épanchâtes',
    'épanchèrent',
    'épanché',
    'épanchée',
    'épanchées',
    'épanchés',
    'épand',
    'épandage',
    'épandages',
    'épandaient',
    'épandais',
    'épandait',
    'épandant',
    'épande',
    'épandent',
    'épandes',
    'épandeur',
    'épandeurs',
    'épandeuse',
    'épandeuses',
    'épandez',
    'épandiez',
    'épandions',
    'épandirent',
    'épandis',
    'épandisse',
    'épandissent',
    'épandisses',
    'épandissiez',
    'épandissions',
    'épandit',
    'épandons',
    'épandra',
    'épandrai',
    'épandraient',
    'épandrais',
    'épandrait',
    'épandras',
    'épandre',
    'épandrez',
    'épandriez',
    'épandrions',
    'épandrons',
    'épandront',
    'épands',
    'épandu',
    'épandue',
    'épandues',
    'épandus',
    'épandîmes',
    'épandît',
    'épandîtes',
    'épanna',
    'épannai',
    'épannaient',
    'épannais',
    'épannait',
    'épannant',
    'épannas',
    'épannasse',
    'épannassent',
    'épannasses',
    'épannassiez',
    'épannassions',
    'épanne',
    'épannela',
    'épannelai',
    'épannelaient',
    'épannelais',
    'épannelait',
    'épannelant',
    'épannelas',
    'épannelasse',
    'épannelasses',
    'épanneler',
    'épannelez',
    'épanneliez',
    'épannelions',
    'épannelle',
    'épannellent',
    'épannellera',
    'épannellerai',
    'épannelleras',
    'épannellerez',
    'épannelles',
    'épannelons',
    'épannelâmes',
    'épannelât',
    'épannelâtes',
    'épannelèrent',
    'épannelé',
    'épannelée',
    'épannelées',
    'épannelés',
    'épannent',
    'épanner',
    'épannera',
    'épannerai',
    'épanneraient',
    'épannerais',
    'épannerait',
    'épanneras',
    'épannerez',
    'épanneriez',
    'épannerions',
    'épannerons',
    'épanneront',
    'épannes',
    'épannez',
    'épanniez',
    'épannions',
    'épannons',
    'épannâmes',
    'épannât',
    'épannâtes',
    'épannèrent',
    'épanné',
    'épannée',
    'épannées',
    'épannés',
    'épanoui',
    'épanouie',
    'épanouies',
    'épanouir',
    'épanouira',
    'épanouirai',
    'épanouirais',
    'épanouirait',
    'épanouiras',
    'épanouirent',
    'épanouirez',
    'épanouiriez',
    'épanouirions',
    'épanouirons',
    'épanouiront',
    'épanouis',
    'épanouissais',
    'épanouissait',
    'épanouissant',
    'épanouisse',
    'épanouissent',
    'épanouisses',
    'épanouissez',
    'épanouissiez',
    'épanouissons',
    'épanouit',
    'épanouîmes',
    'épanouît',
    'épanouîtes',
    'épar',
    'éparchie',
    'éparchies',
    'épargna',
    'épargnai',
    'épargnaient',
    'épargnais',
    'épargnait',
    'épargnant',
    'épargnante',
    'épargnantes',
    'épargnants',
    'épargnas',
    'épargnasse',
    'épargnassent',
    'épargnasses',
    'épargnassiez',
    'épargne',
    'épargnent',
    'épargner',
    'épargnera',
    'épargnerai',
    'épargnerais',
    'épargnerait',
    'épargneras',
    'épargnerez',
    'épargneriez',
    'épargnerions',
    'épargnerons',
    'épargneront',
    'épargnes',
    'épargnez',
    'épargniez',
    'épargnions',
    'épargnons',
    'épargnâmes',
    'épargnât',
    'épargnâtes',
    'épargnèrent',
    'épargné',
    'épargnée',
    'épargnées',
    'épargnés',
    'éparpilla',
    'éparpillai',
    'éparpillais',
    'éparpillait',
    'éparpillant',
    'éparpillas',
    'éparpillasse',
    'éparpille',
    'éparpillent',
    'éparpiller',
    'éparpillera',
    'éparpillerai',
    'éparpilleras',
    'éparpillerez',
    'éparpilles',
    'éparpillez',
    'éparpilliez',
    'éparpillions',
    'éparpillons',
    'éparpillâmes',
    'éparpillât',
    'éparpillâtes',
    'éparpillé',
    'éparpillée',
    'éparpillées',
    'éparpillés',
    'éparque',
    'éparques',
    'épars',
    'éparse',
    'éparses',
    'épata',
    'épatai',
    'épataient',
    'épatais',
    'épatait',
    'épatamment',
    'épatant',
    'épatante',
    'épatantes',
    'épatants',
    'épatas',
    'épatasse',
    'épatassent',
    'épatasses',
    'épatassiez',
    'épatassions',
    'épate',
    'épatement',
    'épatements',
    'épatent',
    'épater',
    'épatera',
    'épaterai',
    'épateraient',
    'épaterais',
    'épaterait',
    'épateras',
    'épaterez',
    'épateriez',
    'épaterions',
    'épaterons',
    'épateront',
    'épates',
    'épateur',
    'épateurs',
    'épateuse',
    'épateuses',
    'épatez',
    'épatiez',
    'épations',
    'épatons',
    'épatâmes',
    'épatât',
    'épatâtes',
    'épatèrent',
    'épaté',
    'épatée',
    'épatées',
    'épatés',
    'épaufra',
    'épaufrai',
    'épaufraient',
    'épaufrais',
    'épaufrait',
    'épaufrant',
    'épaufras',
    'épaufrasse',
    'épaufrassent',
    'épaufrasses',
    'épaufrassiez',
    'épaufre',
    'épaufrent',
    'épaufrer',
    'épaufrera',
    'épaufrerai',
    'épaufrerais',
    'épaufrerait',
    'épaufreras',
    'épaufrerez',
    'épaufreriez',
    'épaufrerions',
    'épaufrerons',
    'épaufreront',
    'épaufres',
    'épaufrez',
    'épaufriez',
    'épaufrions',
    'épaufrons',
    'épaufrure',
    'épaufrures',
    'épaufrâmes',
    'épaufrât',
    'épaufrâtes',
    'épaufrèrent',
    'épaufré',
    'épaufrée',
    'épaufrées',
    'épaufrés',
    'épaula',
    'épaulai',
    'épaulaient',
    'épaulais',
    'épaulait',
    'épaulant',
    'épaulard',
    'épaulards',
    'épaulas',
    'épaulasse',
    'épaulassent',
    'épaulasses',
    'épaulassiez',
    'épaulassions',
    'épaule',
    'épaulement',
    'épaulements',
    'épaulent',
    'épauler',
    'épaulera',
    'épaulerai',
    'épauleraient',
    'épaulerais',
    'épaulerait',
    'épauleras',
    'épaulerez',
    'épauleriez',
    'épaulerions',
    'épaulerons',
    'épauleront',
    'épaules',
    'épaulette',
    'épaulettes',
    'épaulez',
    'épauliez',
    'épaulions',
    'épaulière',
    'épaulières',
    'épaulons',
    'épaulâmes',
    'épaulât',
    'épaulâtes',
    'épaulèrent',
    'épaulé',
    'épaulée',
    'épaulées',
    'épaulés',
    'épave',
    'épaves',
    'épeautre',
    'épeautres',
    'épeiche',
    'épeiches',
    'épeichette',
    'épeichettes',
    'épeire',
    'épeires',
    'épela',
    'épelai',
    'épelaient',
    'épelais',
    'épelait',
    'épelant',
    'épelas',
    'épelasse',
    'épelassent',
    'épelasses',
    'épelassiez',
    'épelassions',
    'épeler',
    'épelez',
    'épeliez',
    'épelions',
    'épellation',
    'épellations',
    'épelle',
    'épellent',
    'épellera',
    'épellerai',
    'épelleraient',
    'épellerais',
    'épellerait',
    'épelleras',
    'épellerez',
    'épelleriez',
    'épellerions',
    'épellerons',
    'épelleront',
    'épelles',
    'épelons',
    'épelâmes',
    'épelât',
    'épelâtes',
    'épelèrent',
    'épelé',
    'épelée',
    'épelées',
    'épelés',
    'épendyme',
    'épendymes',
    'épenthèse',
    'épenthèses',
    'épenthétique',
    'éperdez',
    'éperdiez',
    'éperdions',
    'éperdirent',
    'éperdissiez',
    'éperdissions',
    'éperdons',
    'éperdre',
    'éperdrez',
    'éperdriez',
    'éperdrions',
    'éperdrons',
    'éperdu',
    'éperdue',
    'éperdues',
    'éperdument',
    'éperdus',
    'éperdîmes',
    'éperdîtes',
    'éperlan',
    'éperlans',
    'éperon',
    'éperonna',
    'éperonnai',
    'éperonnaient',
    'éperonnais',
    'éperonnait',
    'éperonnant',
    'éperonnas',
    'éperonnasse',
    'éperonnasses',
    'éperonne',
    'éperonnent',
    'éperonner',
    'éperonnera',
    'éperonnerai',
    'éperonnerais',
    'éperonnerait',
    'éperonneras',
    'éperonnerez',
    'éperonneriez',
    'éperonnerons',
    'éperonneront',
    'éperonnes',
    'éperonnez',
    'éperonniez',
    'éperonnions',
    'éperonnons',
    'éperonnâmes',
    'éperonnât',
    'éperonnâtes',
    'éperonnèrent',
    'éperonné',
    'éperonnée',
    'éperonnées',
    'éperonnés',
    'éperons',
    'épervier',
    'éperviers',
    'épervin',
    'épervins',
    'épervière',
    'épervières',
    'épeula',
    'épeulai',
    'épeulaient',
    'épeulais',
    'épeulait',
    'épeulant',
    'épeulas',
    'épeulasse',
    'épeulassent',
    'épeulasses',
    'épeulassiez',
    'épeulassions',
    'épeule',
    'épeulent',
    'épeuler',
    'épeulera',
    'épeulerai',
    'épeuleraient',
    'épeulerais',
    'épeulerait',
    'épeuleras',
    'épeulerez',
    'épeuleriez',
    'épeulerions',
    'épeulerons',
    'épeuleront',
    'épeules',
    'épeulez',
    'épeuliez',
    'épeulions',
    'épeulons',
    'épeulâmes',
    'épeulât',
    'épeulâtes',
    'épeulèrent',
    'épeulé',
    'épeulée',
    'épeulées',
    'épeulés',
    'épeura',
    'épeurai',
    'épeuraient',
    'épeurais',
    'épeurait',
    'épeurant',
    'épeuras',
    'épeurasse',
    'épeurassent',
    'épeurasses',
    'épeurassiez',
    'épeurassions',
    'épeure',
    'épeurent',
    'épeurer',
    'épeurera',
    'épeurerai',
    'épeureraient',
    'épeurerais',
    'épeurerait',
    'épeureras',
    'épeurerez',
    'épeureriez',
    'épeurerions',
    'épeurerons',
    'épeureront',
    'épeures',
    'épeurez',
    'épeuriez',
    'épeurions',
    'épeurons',
    'épeurâmes',
    'épeurât',
    'épeurâtes',
    'épeurèrent',
    'épeuré',
    'épeurée',
    'épeurées',
    'épeurés',
    'éphod',
    'éphods',
    'éphore',
    'éphores',
    'éphèbe',
    'éphèbes',
    'éphémère',
    'éphémères',
    'éphéméride',
    'éphémérides',
    'épia',
    'épiage',
    'épiages',
    'épiai',
    'épiaient',
    'épiaire',
    'épiaires',
    'épiais',
    'épiaison',
    'épiaisons',
    'épiait',
    'épiant',
    'épias',
    'épiasse',
    'épiassent',
    'épiasses',
    'épiassiez',
    'épiassions',
    'épicarpe',
    'épicarpes',
    'épice',
    'épicent',
    'épicentre',
    'épicentres',
    'épicer',
    'épicera',
    'épicerai',
    'épiceraient',
    'épicerais',
    'épicerait',
    'épiceras',
    'épicerez',
    'épicerie',
    'épiceries',
    'épiceriez',
    'épicerions',
    'épicerons',
    'épiceront',
    'épices',
    'épicez',
    'épicier',
    'épiciers',
    'épiciez',
    'épicions',
    'épicière',
    'épicières',
    'épicondyle',
    'épicondyles',
    'épicrânien',
    'épicrânienne',
    'épicrâniens',
    'épicurien',
    'épicurienne',
    'épicuriennes',
    'épicuriens',
    'épicurisme',
    'épicurismes',
    'épicycle',
    'épicycles',
    'épicycloïdal',
    'épicycloïde',
    'épicycloïdes',
    'épicène',
    'épicènes',
    'épicèrent',
    'épicé',
    'épicéa',
    'épicéas',
    'épicée',
    'épicées',
    'épicés',
    'épiderme',
    'épidermes',
    'épidermique',
    'épidermiques',
    'épididyme',
    'épididymes',
    'épidémicité',
    'épidémicités',
    'épidémie',
    'épidémies',
    'épidémique',
    'épidémiques',
    'épie',
    'épient',
    'épier',
    'épiera',
    'épierai',
    'épieraient',
    'épierais',
    'épierait',
    'épieras',
    'épierez',
    'épieriez',
    'épierions',
    'épierons',
    'épieront',
    'épierra',
    'épierrage',
    'épierrages',
    'épierrai',
    'épierraient',
    'épierrais',
    'épierrait',
    'épierrant',
    'épierras',
    'épierrasse',
    'épierrassent',
    'épierrasses',
    'épierrassiez',
    'épierre',
    'épierrement',
    'épierrements',
    'épierrent',
    'épierrer',
    'épierrera',
    'épierrerai',
    'épierrerais',
    'épierrerait',
    'épierreras',
    'épierrerez',
    'épierreriez',
    'épierrerions',
    'épierrerons',
    'épierreront',
    'épierres',
    'épierrez',
    'épierriez',
    'épierrions',
    'épierrons',
    'épierrâmes',
    'épierrât',
    'épierrâtes',
    'épierrèrent',
    'épierré',
    'épierrée',
    'épierrées',
    'épierrés',
    'épies',
    'épieu',
    'épieur',
    'épieurs',
    'épieuse',
    'épieuses',
    'épieux',
    'épiez',
    'épigastre',
    'épigastres',
    'épigastrique',
    'épiglotte',
    'épiglottes',
    'épigone',
    'épigones',
    'épigramme',
    'épigrammes',
    'épigraphe',
    'épigraphes',
    'épigraphie',
    'épigraphies',
    'épigraphique',
    'épigraphiste',
    'épigyne',
    'épigynes',
    'épigé',
    'épigée',
    'épigées',
    'épigés',
    'épiiez',
    'épiions',
    'épila',
    'épilai',
    'épilaient',
    'épilais',
    'épilait',
    'épilant',
    'épilas',
    'épilasse',
    'épilassent',
    'épilasses',
    'épilassiez',
    'épilassions',
    'épilation',
    'épilations',
    'épilatoire',
    'épilatoires',
    'épile',
    'épilent',
    'épilepsie',
    'épilepsies',
    'épileptique',
    'épileptiques',
    'épiler',
    'épilera',
    'épilerai',
    'épileraient',
    'épilerais',
    'épilerait',
    'épileras',
    'épilerez',
    'épileriez',
    'épilerions',
    'épilerons',
    'épileront',
    'épiles',
    'épilez',
    'épiliez',
    'épilions',
    'épillet',
    'épillets',
    'épilobe',
    'épilobes',
    'épilogua',
    'épiloguai',
    'épiloguaient',
    'épiloguais',
    'épiloguait',
    'épiloguant',
    'épiloguas',
    'épiloguasse',
    'épiloguasses',
    'épilogue',
    'épiloguent',
    'épiloguer',
    'épiloguera',
    'épiloguerai',
    'épiloguerais',
    'épiloguerait',
    'épilogueras',
    'épiloguerez',
    'épilogueriez',
    'épiloguerons',
    'épilogueront',
    'épiloguerât',
    'épilogues',
    'épiloguez',
    'épiloguiez',
    'épiloguions',
    'épiloguons',
    'épiloguâmes',
    'épiloguât',
    'épiloguâtes',
    'épiloguèrent',
    'épilogué',
    'épiloguée',
    'épiloguées',
    'épilogués',
    'épilons',
    'épilâmes',
    'épilât',
    'épilâtes',
    'épilèrent',
    'épilé',
    'épilée',
    'épilées',
    'épilés',
    'épina',
    'épinai',
    'épinaient',
    'épinais',
    'épinait',
    'épinant',
    'épinard',
    'épinards',
    'épinas',
    'épinasse',
    'épinassent',
    'épinasses',
    'épinassiez',
    'épinassions',
    'épince',
    'épincela',
    'épincelai',
    'épincelaient',
    'épincelais',
    'épincelait',
    'épincelant',
    'épincelas',
    'épincelasse',
    'épincelasses',
    'épinceler',
    'épincelez',
    'épinceliez',
    'épincelions',
    'épincelons',
    'épincelâmes',
    'épincelât',
    'épincelâtes',
    'épincelèrent',
    'épincelé',
    'épincelée',
    'épincelées',
    'épincelés',
    'épincent',
    'épincer',
    'épincera',
    'épincerai',
    'épinceraient',
    'épincerais',
    'épincerait',
    'épinceras',
    'épincerez',
    'épinceriez',
    'épincerions',
    'épincerons',
    'épinceront',
    'épinces',
    'épinceta',
    'épincetai',
    'épincetaient',
    'épincetais',
    'épincetait',
    'épincetant',
    'épincetas',
    'épincetasse',
    'épincetasses',
    'épinceter',
    'épincetera',
    'épinceterai',
    'épinceterais',
    'épinceterait',
    'épinceteras',
    'épinceterez',
    'épinceteriez',
    'épinceterons',
    'épinceteront',
    'épincetez',
    'épincetiez',
    'épincetions',
    'épincetons',
    'épincetâmes',
    'épincetât',
    'épincetâtes',
    'épincetèrent',
    'épinceté',
    'épincetée',
    'épincetées',
    'épincetés',
    'épincez',
    'épinciez',
    'épincions',
    'épincèle',
    'épincèlent',
    'épincèlera',
    'épincèlerai',
    'épincèlerais',
    'épincèlerait',
    'épincèleras',
    'épincèlerez',
    'épincèleriez',
    'épincèlerons',
    'épincèleront',
    'épincèles',
    'épincèrent',
    'épincète',
    'épincètent',
    'épincètes',
    'épincé',
    'épincée',
    'épincées',
    'épincés',
    'épine',
    'épinent',
    'épiner',
    'épinera',
    'épinerai',
    'épineraient',
    'épinerais',
    'épinerait',
    'épineras',
    'épinerez',
    'épineriez',
    'épinerions',
    'épinerons',
    'épineront',
    'épines',
    'épinette',
    'épinettes',
    'épineuse',
    'épineuses',
    'épineux',
    'épinez',
    'épingla',
    'épinglage',
    'épinglages',
    'épinglai',
    'épinglaient',
    'épinglais',
    'épinglait',
    'épinglant',
    'épinglas',
    'épinglasse',
    'épinglassent',
    'épinglasses',
    'épinglassiez',
    'épingle',
    'épinglent',
    'épingler',
    'épinglera',
    'épinglerai',
    'épinglerais',
    'épinglerait',
    'épingleras',
    'épinglerez',
    'épingleriez',
    'épinglerions',
    'épinglerons',
    'épingleront',
    'épingles',
    'épinglette',
    'épinglettes',
    'épinglez',
    'épinglier',
    'épingliers',
    'épingliez',
    'épinglions',
    'épinglière',
    'épinglières',
    'épinglons',
    'épinglâmes',
    'épinglât',
    'épinglâtes',
    'épinglèrent',
    'épinglé',
    'épinglée',
    'épinglées',
    'épinglés',
    'épinier',
    'épiniers',
    'épiniez',
    'épinions',
    'épinière',
    'épinières',
    'épinoche',
    'épinoches',
    'épinochette',
    'épinochettes',
    'épinons',
    'épinâmes',
    'épinât',
    'épinâtes',
    'épinça',
    'épinçai',
    'épinçaient',
    'épinçais',
    'épinçait',
    'épinçant',
    'épinças',
    'épinçasse',
    'épinçassent',
    'épinçasses',
    'épinçassiez',
    'épinçassions',
    'épinçons',
    'épinçâmes',
    'épinçât',
    'épinçâtes',
    'épinèrent',
    'épiné',
    'épinée',
    'épinées',
    'épinés',
    'épions',
    'épiphane',
    'épiphanes',
    'épiphanie',
    'épiphanies',
    'épiphyse',
    'épiphyses',
    'épiphyte',
    'épiphytes',
    'épiphytie',
    'épiphyties',
    'épiphénomène',
    'épiploon',
    'épiploons',
    'épique',
    'épiques',
    'épirogénique',
    'épis',
    'épiscopal',
    'épiscopale',
    'épiscopales',
    'épiscopat',
    'épiscopats',
    'épiscopaux',
    'épiscope',
    'épiscopes',
    'épisode',
    'épisodes',
    'épisodique',
    'épisodiques',
    'épissa',
    'épissai',
    'épissaient',
    'épissais',
    'épissait',
    'épissant',
    'épissas',
    'épissasse',
    'épissassent',
    'épissasses',
    'épissassiez',
    'épissassions',
    'épisse',
    'épissent',
    'épisser',
    'épissera',
    'épisserai',
    'épisseraient',
    'épisserais',
    'épisserait',
    'épisseras',
    'épisserez',
    'épisseriez',
    'épisserions',
    'épisserons',
    'épisseront',
    'épisses',
    'épissez',
    'épissiez',
    'épissions',
    'épissoir',
    'épissoirs',
    'épissons',
    'épissure',
    'épissures',
    'épissâmes',
    'épissât',
    'épissâtes',
    'épissèrent',
    'épissé',
    'épissée',
    'épissées',
    'épissés',
    'épistasie',
    'épistasies',
    'épistaxis',
    'épistolaire',
    'épistolaires',
    'épistolier',
    'épistoliers',
    'épistyle',
    'épistyles',
    'épitaphe',
    'épitaphes',
    'épite',
    'épites',
    'épithalame',
    'épithalames',
    'épithème',
    'épithèmes',
    'épithète',
    'épithètes',
    'épithélial',
    'épithéliale',
    'épithéliales',
    'épithéliaux',
    'épithélium',
    'épithéliums',
    'épitoge',
    'épitoges',
    'épitomé',
    'épitomés',
    'épizootie',
    'épizooties',
    'épizootique',
    'épizootiques',
    'épiâmes',
    'épiât',
    'épiâtes',
    'épiça',
    'épiçai',
    'épiçaient',
    'épiçais',
    'épiçait',
    'épiçant',
    'épiças',
    'épiçasse',
    'épiçassent',
    'épiçasses',
    'épiçassiez',
    'épiçassions',
    'épiçons',
    'épiçâmes',
    'épiçât',
    'épiçâtes',
    'épièrent',
    'épié',
    'épiée',
    'épiées',
    'épiés',
    'éploie',
    'éploient',
    'éploiera',
    'éploierai',
    'éploieraient',
    'éploierais',
    'éploierait',
    'éploieras',
    'éploierez',
    'éploieriez',
    'éploierions',
    'éploierons',
    'éploieront',
    'éploies',
    'éploré',
    'éplorée',
    'éplorées',
    'éplorés',
    'éploya',
    'éployai',
    'éployaient',
    'éployais',
    'éployait',
    'éployant',
    'éployas',
    'éployasse',
    'éployassent',
    'éployasses',
    'éployassiez',
    'éployassions',
    'éployer',
    'éployez',
    'éployiez',
    'éployions',
    'éployons',
    'éployâmes',
    'éployât',
    'éployâtes',
    'éployèrent',
    'éployé',
    'éployée',
    'éployées',
    'éployés',
    'éplucha',
    'épluchage',
    'épluchages',
    'épluchai',
    'épluchaient',
    'épluchais',
    'épluchait',
    'épluchant',
    'épluchas',
    'épluchasse',
    'épluchassent',
    'épluchasses',
    'épluchassiez',
    'épluche',
    'épluchent',
    'éplucher',
    'épluchera',
    'éplucherai',
    'éplucherais',
    'éplucherait',
    'éplucheras',
    'éplucherez',
    'éplucheriez',
    'éplucherions',
    'éplucherons',
    'éplucheront',
    'épluches',
    'éplucheur',
    'éplucheurs',
    'éplucheuse',
    'éplucheuses',
    'épluchez',
    'épluchiez',
    'épluchions',
    'épluchons',
    'épluchure',
    'épluchures',
    'épluchâmes',
    'épluchât',
    'épluchâtes',
    'épluchèrent',
    'épluché',
    'épluchée',
    'épluchées',
    'épluchés',
    'épode',
    'épodes',
    'épointa',
    'épointage',
    'épointages',
    'épointai',
    'épointaient',
    'épointais',
    'épointait',
    'épointant',
    'épointas',
    'épointasse',
    'épointassent',
    'épointasses',
    'épointassiez',
    'épointe',
    'épointement',
    'épointements',
    'épointent',
    'épointer',
    'épointera',
    'épointerai',
    'épointerais',
    'épointerait',
    'épointeras',
    'épointerez',
    'épointeriez',
    'épointerions',
    'épointerons',
    'épointeront',
    'épointes',
    'épointez',
    'épointiez',
    'épointions',
    'épointons',
    'épointâmes',
    'épointât',
    'épointâtes',
    'épointèrent',
    'épointé',
    'épointée',
    'épointées',
    'épointés',
    'éponge',
    'épongea',
    'épongeage',
    'épongeages',
    'épongeai',
    'épongeaient',
    'épongeais',
    'épongeait',
    'épongeant',
    'épongeas',
    'épongeasse',
    'épongeassent',
    'épongeasses',
    'épongeassiez',
    'épongement',
    'épongements',
    'épongent',
    'épongeons',
    'éponger',
    'épongera',
    'épongerai',
    'épongeraient',
    'épongerais',
    'épongerait',
    'épongeras',
    'épongerez',
    'épongeriez',
    'épongerions',
    'épongerons',
    'épongeront',
    'éponges',
    'épongez',
    'épongeâmes',
    'épongeât',
    'épongeâtes',
    'épongiez',
    'épongions',
    'épongèrent',
    'épongé',
    'épongée',
    'épongées',
    'épongés',
    'éponte',
    'épontes',
    'épontilla',
    'épontillai',
    'épontillais',
    'épontillait',
    'épontillant',
    'épontillas',
    'épontillasse',
    'épontille',
    'épontillent',
    'épontiller',
    'épontillera',
    'épontillerai',
    'épontilleras',
    'épontillerez',
    'épontilles',
    'épontillez',
    'épontilliez',
    'épontillions',
    'épontillons',
    'épontillâmes',
    'épontillât',
    'épontillâtes',
    'épontillé',
    'épontillée',
    'épontillées',
    'épontillés',
    'éponyme',
    'éponymes',
    'éponymie',
    'éponymies',
    'épopée',
    'épopées',
    'époque',
    'époques',
    'épouilla',
    'épouillage',
    'épouillages',
    'épouillai',
    'épouillaient',
    'épouillais',
    'épouillait',
    'épouillant',
    'épouillas',
    'épouillasse',
    'épouillasses',
    'épouille',
    'épouillent',
    'épouiller',
    'épouillera',
    'épouillerai',
    'épouillerais',
    'épouillerait',
    'épouilleras',
    'épouillerez',
    'épouilleriez',
    'épouillerons',
    'épouilleront',
    'épouilles',
    'épouillez',
    'épouilliez',
    'épouillions',
    'épouillons',
    'épouillâmes',
    'épouillât',
    'épouillâtes',
    'épouillèrent',
    'épouillé',
    'épouillée',
    'épouillées',
    'épouillés',
    'époumona',
    'époumonai',
    'époumonaient',
    'époumonais',
    'époumonait',
    'époumonant',
    'époumonas',
    'époumonasse',
    'époumonasses',
    'époumone',
    'époumonent',
    'époumoner',
    'époumonera',
    'époumonerai',
    'époumonerais',
    'époumonerait',
    'époumoneras',
    'époumonerez',
    'époumoneriez',
    'époumonerons',
    'époumoneront',
    'époumones',
    'époumonez',
    'époumoniez',
    'époumonions',
    'époumonons',
    'époumonâmes',
    'époumonât',
    'époumonâtes',
    'époumonèrent',
    'époumoné',
    'époumonée',
    'époumonées',
    'époumonés',
    'épousa',
    'épousai',
    'épousaient',
    'épousailles',
    'épousais',
    'épousait',
    'épousant',
    'épousas',
    'épousasse',
    'épousassent',
    'épousasses',
    'épousassiez',
    'épousassions',
    'épouse',
    'épousent',
    'épouser',
    'épousera',
    'épouserai',
    'épouseraient',
    'épouserais',
    'épouserait',
    'épouseras',
    'épouserez',
    'épouseriez',
    'épouserions',
    'épouserons',
    'épouseront',
    'épouses',
    'épouseur',
    'épouseurs',
    'épousez',
    'épousiez',
    'épousions',
    'épousons',
    'épousseta',
    'époussetage',
    'époussetages',
    'époussetai',
    'époussetais',
    'époussetait',
    'époussetant',
    'époussetas',
    'époussetasse',
    'épousseter',
    'époussetez',
    'époussetiez',
    'époussetions',
    'époussetons',
    'époussette',
    'époussettent',
    'époussettera',
    'époussettes',
    'époussetâmes',
    'époussetât',
    'époussetâtes',
    'épousseté',
    'époussetée',
    'époussetées',
    'époussetés',
    'époustoufla',
    'époustouflai',
    'époustouflas',
    'époustoufle',
    'époustoufler',
    'époustoufles',
    'époustouflez',
    'époustouflât',
    'époustouflé',
    'époustouflée',
    'époustouflés',
    'épousâmes',
    'épousât',
    'épousâtes',
    'épousèrent',
    'épousé',
    'épousée',
    'épousées',
    'épousés',
    'épouti',
    'époutia',
    'époutiai',
    'époutiaient',
    'époutiais',
    'époutiait',
    'époutiant',
    'époutias',
    'époutiasse',
    'époutiassent',
    'époutiasses',
    'époutiassiez',
    'époutie',
    'époutient',
    'époutier',
    'époutiera',
    'époutierai',
    'époutierais',
    'époutierait',
    'époutieras',
    'époutierez',
    'époutieriez',
    'époutierions',
    'époutierons',
    'époutieront',
    'épouties',
    'époutiez',
    'époutiiez',
    'époutiions',
    'époutions',
    'époutir',
    'époutira',
    'époutirai',
    'époutiraient',
    'époutirais',
    'époutirait',
    'époutiras',
    'époutirent',
    'époutirez',
    'époutiriez',
    'époutirions',
    'époutirons',
    'époutiront',
    'époutis',
    'époutissais',
    'époutissait',
    'époutissant',
    'époutisse',
    'époutissent',
    'époutisses',
    'époutissez',
    'époutissiez',
    'époutissions',
    'époutissons',
    'époutit',
    'époutiâmes',
    'époutiât',
    'époutiâtes',
    'époutièrent',
    'époutié',
    'époutiée',
    'époutiées',
    'époutiés',
    'époutîmes',
    'époutît',
    'époutîtes',
    'épouvanta',
    'épouvantable',
    'épouvantai',
    'épouvantail',
    'épouvantails',
    'épouvantais',
    'épouvantait',
    'épouvantant',
    'épouvantas',
    'épouvantasse',
    'épouvante',
    'épouvantent',
    'épouvanter',
    'épouvantera',
    'épouvanterai',
    'épouvanteras',
    'épouvanterez',
    'épouvantes',
    'épouvantez',
    'épouvantiez',
    'épouvantions',
    'épouvantons',
    'épouvantâmes',
    'épouvantât',
    'épouvantâtes',
    'épouvanté',
    'épouvantée',
    'épouvantées',
    'épouvantés',
    'époux',
    'épreignaient',
    'épreignais',
    'épreignait',
    'épreignant',
    'épreigne',
    'épreignent',
    'épreignes',
    'épreignez',
    'épreigniez',
    'épreignions',
    'épreignons',
    'épreindra',
    'épreindrai',
    'épreindrais',
    'épreindrait',
    'épreindras',
    'épreindre',
    'épreindrez',
    'épreindriez',
    'épreindrions',
    'épreindrons',
    'épreindront',
    'épreins',
    'épreint',
    'épreinte',
    'épreintes',
    'épreints',
    'éprenaient',
    'éprenais',
    'éprenait',
    'éprenant',
    'éprend',
    'éprendra',
    'éprendrai',
    'éprendraient',
    'éprendrais',
    'éprendrait',
    'éprendras',
    'éprendre',
    'éprendrez',
    'éprendriez',
    'éprendrions',
    'éprendrons',
    'éprendront',
    'éprends',
    'éprenez',
    'épreniez',
    'éprenions',
    'éprenne',
    'éprennent',
    'éprennes',
    'éprenons',
    'épreuve',
    'épreuves',
    'éprirent',
    'épris',
    'éprise',
    'éprises',
    'éprissiez',
    'éprissions',
    'éprit',
    'éprouva',
    'éprouvai',
    'éprouvaient',
    'éprouvais',
    'éprouvait',
    'éprouvant',
    'éprouvante',
    'éprouvantes',
    'éprouvants',
    'éprouvas',
    'éprouvasse',
    'éprouvassent',
    'éprouvasses',
    'éprouvassiez',
    'éprouve',
    'éprouvent',
    'éprouver',
    'éprouvera',
    'éprouverai',
    'éprouverais',
    'éprouverait',
    'éprouveras',
    'éprouverez',
    'éprouveriez',
    'éprouverions',
    'éprouverons',
    'éprouveront',
    'éprouves',
    'éprouvette',
    'éprouvettes',
    'éprouvez',
    'éprouviez',
    'éprouvions',
    'éprouvons',
    'éprouvâmes',
    'éprouvât',
    'éprouvâtes',
    'éprouvèrent',
    'éprouvé',
    'éprouvée',
    'éprouvées',
    'éprouvés',
    'éprîmes',
    'éprîtes',
    'épuce',
    'épucent',
    'épucer',
    'épucera',
    'épucerai',
    'épuceraient',
    'épucerais',
    'épucerait',
    'épuceras',
    'épucerez',
    'épuceriez',
    'épucerions',
    'épucerons',
    'épuceront',
    'épuces',
    'épucez',
    'épuciez',
    'épucions',
    'épucèrent',
    'épucé',
    'épucée',
    'épucées',
    'épucés',
    'épuisa',
    'épuisable',
    'épuisables',
    'épuisai',
    'épuisaient',
    'épuisais',
    'épuisait',
    'épuisant',
    'épuisante',
    'épuisantes',
    'épuisants',
    'épuisas',
    'épuisasse',
    'épuisassent',
    'épuisasses',
    'épuisassiez',
    'épuisassions',
    'épuise',
    'épuisement',
    'épuisements',
    'épuisent',
    'épuiser',
    'épuisera',
    'épuiserai',
    'épuiseraient',
    'épuiserais',
    'épuiserait',
    'épuiseras',
    'épuiserez',
    'épuiseriez',
    'épuiserions',
    'épuiserons',
    'épuiseront',
    'épuises',
    'épuisette',
    'épuisettes',
    'épuisez',
    'épuisiez',
    'épuisions',
    'épuisons',
    'épuisâmes',
    'épuisât',
    'épuisâtes',
    'épuisèrent',
    'épuisé',
    'épuisée',
    'épuisées',
    'épuisés',
    'épulide',
    'épulides',
    'épulie',
    'épulies',
    'épulis',
    'épulon',
    'épulons',
    'épulpeur',
    'épulpeurs',
    'épura',
    'épurai',
    'épuraient',
    'épurais',
    'épurait',
    'épurant',
    'épuras',
    'épurasse',
    'épurassent',
    'épurasses',
    'épurassiez',
    'épurassions',
    'épurateur',
    'épurateurs',
    'épuratif',
    'épuratifs',
    'épuration',
    'épurations',
    'épurative',
    'épuratives',
    'épuratoire',
    'épuratoires',
    'épure',
    'épurement',
    'épurements',
    'épurent',
    'épurer',
    'épurera',
    'épurerai',
    'épureraient',
    'épurerais',
    'épurerait',
    'épureras',
    'épurerez',
    'épureriez',
    'épurerions',
    'épurerons',
    'épureront',
    'épures',
    'épurez',
    'épurge',
    'épurges',
    'épuriez',
    'épurions',
    'épurons',
    'épurâmes',
    'épurât',
    'épurâtes',
    'épurèrent',
    'épuré',
    'épurée',
    'épurées',
    'épurés',
    'épuça',
    'épuçai',
    'épuçaient',
    'épuçais',
    'épuçait',
    'épuçant',
    'épuças',
    'épuçasse',
    'épuçassent',
    'épuçasses',
    'épuçassiez',
    'épuçassions',
    'épuçons',
    'épuçâmes',
    'épuçât',
    'épuçâtes',
    'épyornis',
    'épée',
    'épées',
    'épéisme',
    'épéismes',
    'épéiste',
    'épéistes',
    'épépina',
    'épépinai',
    'épépinaient',
    'épépinais',
    'épépinait',
    'épépinant',
    'épépinas',
    'épépinasse',
    'épépinassent',
    'épépinasses',
    'épépinassiez',
    'épépine',
    'épépinent',
    'épépiner',
    'épépinera',
    'épépinerai',
    'épépinerais',
    'épépinerait',
    'épépineras',
    'épépinerez',
    'épépineriez',
    'épépinerions',
    'épépinerons',
    'épépineront',
    'épépines',
    'épépinez',
    'épépiniez',
    'épépinions',
    'épépinons',
    'épépinâmes',
    'épépinât',
    'épépinâtes',
    'épépinèrent',
    'épépiné',
    'épépinée',
    'épépinées',
    'épépinés',
    'épître',
    'épîtres',
    'équanimité',
    'équanimités',
    'équarri',
    'équarrie',
    'équarries',
    'équarrir',
    'équarrira',
    'équarrirai',
    'équarrirais',
    'équarrirait',
    'équarriras',
    'équarrirent',
    'équarrirez',
    'équarririez',
    'équarririons',
    'équarrirons',
    'équarriront',
    'équarris',
    'équarrissage',
    'équarrissais',
    'équarrissait',
    'équarrissant',
    'équarrisse',
    'équarrissent',
    'équarrisses',
    'équarrisseur',
    'équarrissez',
    'équarrissiez',
    'équarrissoir',
    'équarrissons',
    'équarrit',
    'équarrîmes',
    'équarrît',
    'équarrîtes',
    'équateur',
    'équateurs',
    'équation',
    'équations',
    'équatorial',
    'équatoriale',
    'équatoriales',
    'équatoriaux',
    'équerra',
    'équerrage',
    'équerrages',
    'équerrai',
    'équerraient',
    'équerrais',
    'équerrait',
    'équerrant',
    'équerras',
    'équerrasse',
    'équerrassent',
    'équerrasses',
    'équerrassiez',
    'équerre',
    'équerrent',
    'équerrer',
    'équerrera',
    'équerrerai',
    'équerrerais',
    'équerrerait',
    'équerreras',
    'équerrerez',
    'équerreriez',
    'équerrerions',
    'équerrerons',
    'équerreront',
    'équerres',
    'équerrez',
    'équerriez',
    'équerrions',
    'équerrons',
    'équerrâmes',
    'équerrât',
    'équerrâtes',
    'équerrèrent',
    'équerré',
    'équerrée',
    'équerrées',
    'équerrés',
    'équestre',
    'équestres',
    'équeuta',
    'équeutage',
    'équeutages',
    'équeutai',
    'équeutaient',
    'équeutais',
    'équeutait',
    'équeutant',
    'équeutas',
    'équeutasse',
    'équeutassent',
    'équeutasses',
    'équeutassiez',
    'équeute',
    'équeutent',
    'équeuter',
    'équeutera',
    'équeuterai',
    'équeuterais',
    'équeuterait',
    'équeuteras',
    'équeuterez',
    'équeuteriez',
    'équeuterions',
    'équeuterons',
    'équeuteront',
    'équeutes',
    'équeutez',
    'équeutiez',
    'équeutions',
    'équeutons',
    'équeutâmes',
    'équeutât',
    'équeutâtes',
    'équeutèrent',
    'équeuté',
    'équeutée',
    'équeutées',
    'équeutés',
    'équiangle',
    'équiangles',
    'équidistance',
    'équidistant',
    'équidistante',
    'équidistants',
    'équidé',
    'équidés',
    'équilatère',
    'équilatères',
    'équilatéral',
    'équilatérale',
    'équilatéraux',
    'équilibra',
    'équilibrage',
    'équilibrages',
    'équilibrai',
    'équilibrais',
    'équilibrait',
    'équilibrant',
    'équilibrante',
    'équilibrants',
    'équilibras',
    'équilibrasse',
    'équilibre',
    'équilibrent',
    'équilibrer',
    'équilibrera',
    'équilibrerai',
    'équilibreras',
    'équilibrerez',
    'équilibres',
    'équilibrez',
    'équilibriez',
    'équilibrions',
    'équilibriste',
    'équilibrons',
    'équilibrâmes',
    'équilibrât',
    'équilibrâtes',
    'équilibré',
    'équilibrée',
    'équilibrées',
    'équilibrés',
    'équille',
    'équilles',
    'équimultiple',
    'équin',
    'équine',
    'équines',
    'équinisme',
    'équinismes',
    'équinoxe',
    'équinoxes',
    'équinoxial',
    'équinoxiale',
    'équinoxiales',
    'équinoxiaux',
    'équins',
    'équipa',
    'équipage',
    'équipages',
    'équipai',
    'équipaient',
    'équipais',
    'équipait',
    'équipant',
    'équipas',
    'équipasse',
    'équipassent',
    'équipasses',
    'équipassiez',
    'équipassions',
    'équipe',
    'équipement',
    'équipements',
    'équipent',
    'équiper',
    'équipera',
    'équiperai',
    'équiperaient',
    'équiperais',
    'équiperait',
    'équiperas',
    'équiperez',
    'équiperiez',
    'équiperions',
    'équiperons',
    'équiperont',
    'équipes',
    'équipez',
    'équipier',
    'équipiers',
    'équipiez',
    'équipions',
    'équipière',
    'équipières',
    'équipollence',
    'équipollent',
    'équipollente',
    'équipollents',
    'équipollé',
    'équipollés',
    'équipolé',
    'équipolés',
    'équipons',
    'équipotent',
    'équipotents',
    'équiprobable',
    'équipâmes',
    'équipât',
    'équipâtes',
    'équipèrent',
    'équipé',
    'équipée',
    'équipées',
    'équipés',
    'équitable',
    'équitables',
    'équitant',
    'équitante',
    'équitantes',
    'équitants',
    'équitation',
    'équitations',
    'équité',
    'équités',
    'équivaille',
    'équivaillent',
    'équivailles',
    'équivalaient',
    'équivalais',
    'équivalait',
    'équivalant',
    'équivalence',
    'équivalences',
    'équivalent',
    'équivalente',
    'équivalentes',
    'équivalents',
    'équivalez',
    'équivaliez',
    'équivalions',
    'équivaloir',
    'équivalons',
    'équivalu',
    'équivalurent',
    'équivalus',
    'équivalusse',
    'équivalusses',
    'équivalut',
    'équivalûmes',
    'équivalût',
    'équivalûtes',
    'équivaudra',
    'équivaudrai',
    'équivaudrais',
    'équivaudrait',
    'équivaudras',
    'équivaudrez',
    'équivaudriez',
    'équivaudrons',
    'équivaudront',
    'équivaut',
    'équivaux',
    'équivoqua',
    'équivoquai',
    'équivoquais',
    'équivoquait',
    'équivoquant',
    'équivoquas',
    'équivoquasse',
    'équivoque',
    'équivoquent',
    'équivoquer',
    'équivoquera',
    'équivoquerai',
    'équivoqueras',
    'équivoquerez',
    'équivoques',
    'équivoquez',
    'équivoquiez',
    'équivoquions',
    'équivoquons',
    'équivoquâmes',
    'équivoquât',
    'équivoquâtes',
    'équivoqué',
    'érable',
    'érables',
    'érablière',
    'érablières',
    'éradication',
    'éradications',
    'éradiqua',
    'éradiquai',
    'éradiquaient',
    'éradiquais',
    'éradiquait',
    'éradiquant',
    'éradiquas',
    'éradiquasse',
    'éradiquasses',
    'éradique',
    'éradiquent',
    'éradiquer',
    'éradiquera',
    'éradiquerai',
    'éradiquerais',
    'éradiquerait',
    'éradiqueras',
    'éradiquerez',
    'éradiqueriez',
    'éradiquerons',
    'éradiqueront',
    'éradiques',
    'éradiquez',
    'éradiquiez',
    'éradiquions',
    'éradiquons',
    'éradiquâmes',
    'éradiquât',
    'éradiquâtes',
    'éradiquèrent',
    'éradiqué',
    'éradiquée',
    'éradiquées',
    'éradiqués',
    'érafla',
    'éraflai',
    'éraflaient',
    'éraflais',
    'éraflait',
    'éraflant',
    'éraflas',
    'éraflasse',
    'éraflassent',
    'éraflasses',
    'éraflassiez',
    'éraflassions',
    'érafle',
    'éraflement',
    'éraflements',
    'éraflent',
    'érafler',
    'éraflera',
    'éraflerai',
    'érafleraient',
    'éraflerais',
    'éraflerait',
    'érafleras',
    'éraflerez',
    'érafleriez',
    'éraflerions',
    'éraflerons',
    'érafleront',
    'érafles',
    'éraflez',
    'érafliez',
    'éraflions',
    'éraflons',
    'éraflure',
    'éraflures',
    'éraflâmes',
    'éraflât',
    'éraflâtes',
    'éraflèrent',
    'éraflé',
    'éraflée',
    'éraflées',
    'éraflés',
    'éraie',
    'éraient',
    'éraiera',
    'éraierai',
    'éraieraient',
    'éraierais',
    'éraierait',
    'éraieras',
    'éraierez',
    'éraieriez',
    'éraierions',
    'éraierons',
    'éraieront',
    'éraies',
    'érailla',
    'éraillai',
    'éraillaient',
    'éraillais',
    'éraillait',
    'éraillant',
    'éraillas',
    'éraillasse',
    'éraillassent',
    'éraillasses',
    'éraillassiez',
    'éraille',
    'éraillement',
    'éraillements',
    'éraillent',
    'érailler',
    'éraillera',
    'éraillerai',
    'éraillerais',
    'éraillerait',
    'érailleras',
    'éraillerez',
    'érailleriez',
    'éraillerions',
    'éraillerons',
    'érailleront',
    'érailles',
    'éraillez',
    'érailliez',
    'éraillions',
    'éraillons',
    'éraillure',
    'éraillures',
    'éraillâmes',
    'éraillât',
    'éraillâtes',
    'éraillèrent',
    'éraillé',
    'éraillée',
    'éraillées',
    'éraillés',
    'éraya',
    'érayai',
    'érayaient',
    'érayais',
    'érayait',
    'érayant',
    'érayas',
    'érayasse',
    'érayassent',
    'érayasses',
    'érayassiez',
    'érayassions',
    'éraye',
    'érayent',
    'érayer',
    'érayera',
    'érayerai',
    'érayeraient',
    'érayerais',
    'érayerait',
    'érayeras',
    'érayerez',
    'érayeriez',
    'érayerions',
    'érayerons',
    'érayeront',
    'érayes',
    'érayez',
    'érayiez',
    'érayions',
    'érayons',
    'érayâmes',
    'érayât',
    'érayâtes',
    'érayèrent',
    'érayé',
    'érayée',
    'érayées',
    'érayés',
    'érecteur',
    'érecteurs',
    'érectile',
    'érectiles',
    'érectilité',
    'érectilités',
    'érection',
    'érections',
    'érectrice',
    'érectrices',
    'éreinta',
    'éreintage',
    'éreintages',
    'éreintai',
    'éreintaient',
    'éreintais',
    'éreintait',
    'éreintant',
    'éreintante',
    'éreintantes',
    'éreintants',
    'éreintas',
    'éreintasse',
    'éreintassent',
    'éreintasses',
    'éreintassiez',
    'éreinte',
    'éreintement',
    'éreintements',
    'éreintent',
    'éreinter',
    'éreintera',
    'éreinterai',
    'éreinterais',
    'éreinterait',
    'éreinteras',
    'éreinterez',
    'éreinteriez',
    'éreinterions',
    'éreinterons',
    'éreinteront',
    'éreintes',
    'éreinteur',
    'éreinteurs',
    'éreinteuse',
    'éreinteuses',
    'éreintez',
    'éreintiez',
    'éreintions',
    'éreintons',
    'éreintâmes',
    'éreintât',
    'éreintâtes',
    'éreintèrent',
    'éreinté',
    'éreintée',
    'éreintées',
    'éreintés',
    'érepsine',
    'érepsines',
    'érige',
    'érigea',
    'érigeai',
    'érigeaient',
    'érigeais',
    'érigeait',
    'érigeant',
    'érigeas',
    'érigeasse',
    'érigeassent',
    'érigeasses',
    'érigeassiez',
    'érigeassions',
    'érigent',
    'érigeons',
    'ériger',
    'érigera',
    'érigerai',
    'érigeraient',
    'érigerais',
    'érigerait',
    'érigeras',
    'érigerez',
    'érigeriez',
    'érigerions',
    'érigerons',
    'érigeront',
    'ériges',
    'érigez',
    'érigeâmes',
    'érigeât',
    'érigeâtes',
    'érigiez',
    'érigions',
    'érigne',
    'érignes',
    'érigèrent',
    'érigé',
    'érigée',
    'érigées',
    'érigéron',
    'érigérons',
    'érigés',
    'érine',
    'érines',
    'éristale',
    'éristales',
    'éristique',
    'éristiques',
    'éroda',
    'érodai',
    'érodaient',
    'érodais',
    'érodait',
    'érodant',
    'érodas',
    'érodasse',
    'érodassent',
    'érodasses',
    'érodassiez',
    'érodassions',
    'érode',
    'érodent',
    'éroder',
    'érodera',
    'éroderai',
    'éroderaient',
    'éroderais',
    'éroderait',
    'éroderas',
    'éroderez',
    'éroderiez',
    'éroderions',
    'éroderons',
    'éroderont',
    'érodes',
    'érodez',
    'érodiez',
    'érodions',
    'érodons',
    'érodâmes',
    'érodât',
    'érodâtes',
    'érodèrent',
    'érodé',
    'érodée',
    'érodées',
    'érodés',
    'érogène',
    'érogènes',
    'éros',
    'érosif',
    'érosifs',
    'érosion',
    'érosions',
    'érosive',
    'érosives',
    'érotique',
    'érotiquement',
    'érotiques',
    'érotisa',
    'érotisai',
    'érotisaient',
    'érotisais',
    'érotisait',
    'érotisant',
    'érotisas',
    'érotisasse',
    'érotisassent',
    'érotisasses',
    'érotisassiez',
    'érotise',
    'érotisent',
    'érotiser',
    'érotisera',
    'érotiserai',
    'érotiserais',
    'érotiserait',
    'érotiseras',
    'érotiserez',
    'érotiseriez',
    'érotiserions',
    'érotiserons',
    'érotiseront',
    'érotises',
    'érotisez',
    'érotisiez',
    'érotisions',
    'érotisme',
    'érotismes',
    'érotisons',
    'érotisâmes',
    'érotisât',
    'érotisâtes',
    'érotisèrent',
    'érotisé',
    'érotisée',
    'érotisées',
    'érotisés',
    'érotomane',
    'érotomanes',
    'érotomanie',
    'érotomanies',
    'érubescence',
    'érubescences',
    'érubescent',
    'érubescente',
    'érubescentes',
    'érubescents',
    'éruciforme',
    'éruciformes',
    'éructa',
    'éructai',
    'éructaient',
    'éructais',
    'éructait',
    'éructant',
    'éructas',
    'éructasse',
    'éructassent',
    'éructasses',
    'éructassiez',
    'éructassions',
    'éructation',
    'éructations',
    'éructe',
    'éructent',
    'éructer',
    'éructera',
    'éructerai',
    'éructeraient',
    'éructerais',
    'éructerait',
    'éructeras',
    'éructerez',
    'éructeriez',
    'éructerions',
    'éructerons',
    'éructeront',
    'éructes',
    'éructez',
    'éructiez',
    'éructions',
    'éructons',
    'éructâmes',
    'éructât',
    'éructâtes',
    'éructèrent',
    'éructé',
    'éructée',
    'éructées',
    'éructés',
    'érudit',
    'érudite',
    'érudites',
    'érudition',
    'éruditions',
    'érudits',
    'érugineuse',
    'érugineuses',
    'érugineux',
    'éruptif',
    'éruptifs',
    'éruption',
    'éruptions',
    'éruptive',
    'éruptives',
    'érysipèle',
    'érysipèles',
    'érythrine',
    'érythrines',
    'érythrocyte',
    'érythrocytes',
    'érythrosine',
    'érythrosines',
    'érythème',
    'érythèmes',
    'érythémateux',
    'érémitique',
    'érémitiques',
    'érésipèle',
    'érésipèles',
    'éréthisme',
    'éréthismes',
    'ésotérique',
    'ésotériques',
    'ésotérisme',
    'ésotérismes',
    'ésérine',
    'ésérines',
    'établa',
    'établai',
    'établaient',
    'établais',
    'établait',
    'établant',
    'établas',
    'établasse',
    'établassent',
    'établasses',
    'établassiez',
    'établassions',
    'étable',
    'établent',
    'établer',
    'établera',
    'établerai',
    'étableraient',
    'établerais',
    'établerait',
    'étableras',
    'établerez',
    'étableriez',
    'établerions',
    'établerons',
    'étableront',
    'étables',
    'établez',
    'établi',
    'établie',
    'établies',
    'établiez',
    'établions',
    'établir',
    'établira',
    'établirai',
    'établiraient',
    'établirais',
    'établirait',
    'établiras',
    'établirent',
    'établirez',
    'établiriez',
    'établirions',
    'établirons',
    'établiront',
    'établis',
    'établissais',
    'établissait',
    'établissant',
    'établisse',
    'établissent',
    'établisses',
    'établissez',
    'établissiez',
    'établissions',
    'établissons',
    'établit',
    'établons',
    'établâmes',
    'établât',
    'établâtes',
    'établèrent',
    'établé',
    'établée',
    'établées',
    'établés',
    'établîmes',
    'établît',
    'établîtes',
    'étage',
    'étagea',
    'étageai',
    'étageaient',
    'étageais',
    'étageait',
    'étageant',
    'étageas',
    'étageasse',
    'étageassent',
    'étageasses',
    'étageassiez',
    'étageassions',
    'étagement',
    'étagements',
    'étagent',
    'étageons',
    'étager',
    'étagera',
    'étagerai',
    'étageraient',
    'étagerais',
    'étagerait',
    'étageras',
    'étagerez',
    'étageriez',
    'étagerions',
    'étagerons',
    'étageront',
    'étages',
    'étagez',
    'étageâmes',
    'étageât',
    'étageâtes',
    'étagiez',
    'étagions',
    'étagère',
    'étagèrent',
    'étagères',
    'étagé',
    'étagée',
    'étagées',
    'étagés',
    'étai',
    'étaie',
    'étaiement',
    'étaiements',
    'étaient',
    'étaiera',
    'étaierai',
    'étaieraient',
    'étaierais',
    'étaierait',
    'étaieras',
    'étaierez',
    'étaieriez',
    'étaierions',
    'étaierons',
    'étaieront',
    'étaies',
    'étain',
    'étains',
    'étais',
    'était',
    'étal',
    'étala',
    'étalage',
    'étalagea',
    'étalageai',
    'étalageaient',
    'étalageais',
    'étalageait',
    'étalageant',
    'étalageas',
    'étalageasse',
    'étalageasses',
    'étalagent',
    'étalageons',
    'étalager',
    'étalagera',
    'étalagerai',
    'étalagerais',
    'étalagerait',
    'étalageras',
    'étalagerez',
    'étalageriez',
    'étalagerions',
    'étalagerons',
    'étalageront',
    'étalages',
    'étalagez',
    'étalageâmes',
    'étalageât',
    'étalageâtes',
    'étalagiez',
    'étalagions',
    'étalagiste',
    'étalagistes',
    'étalagèrent',
    'étalagé',
    'étalagée',
    'étalagées',
    'étalagés',
    'étalai',
    'étalaient',
    'étalais',
    'étalait',
    'étalant',
    'étalas',
    'étalasse',
    'étalassent',
    'étalasses',
    'étalassiez',
    'étalassions',
    'étale',
    'étalement',
    'étalements',
    'étalent',
    'étaler',
    'étalera',
    'étalerai',
    'étaleraient',
    'étalerais',
    'étalerait',
    'étaleras',
    'étalerez',
    'étaleriez',
    'étalerions',
    'étalerons',
    'étaleront',
    'étales',
    'étaleuse',
    'étaleuses',
    'étalez',
    'étalier',
    'étaliers',
    'étaliez',
    'étalingua',
    'étalinguai',
    'étalinguais',
    'étalinguait',
    'étalinguant',
    'étalinguas',
    'étalinguasse',
    'étalingue',
    'étalinguent',
    'étalinguer',
    'étalinguera',
    'étalinguerai',
    'étalingueras',
    'étalinguerez',
    'étalingues',
    'étalinguez',
    'étalinguiez',
    'étalinguions',
    'étalinguons',
    'étalingure',
    'étalingures',
    'étalinguâmes',
    'étalinguât',
    'étalinguâtes',
    'étalingué',
    'étalinguée',
    'étalinguées',
    'étalingués',
    'étalions',
    'étalisa',
    'étalisai',
    'étalisaient',
    'étalisais',
    'étalisait',
    'étalisant',
    'étalisas',
    'étalisasse',
    'étalisassent',
    'étalisasses',
    'étalisassiez',
    'étalise',
    'étalisent',
    'étaliser',
    'étalisera',
    'étaliserai',
    'étaliserais',
    'étaliserait',
    'étaliseras',
    'étaliserez',
    'étaliseriez',
    'étaliserions',
    'étaliserons',
    'étaliseront',
    'étalises',
    'étalisez',
    'étalisiez',
    'étalisions',
    'étalisons',
    'étalisâmes',
    'étalisât',
    'étalisâtes',
    'étalisèrent',
    'étalisé',
    'étalière',
    'étalières',
    'étalon',
    'étalonna',
    'étalonnage',
    'étalonnages',
    'étalonnai',
    'étalonnaient',
    'étalonnais',
    'étalonnait',
    'étalonnant',
    'étalonnas',
    'étalonnasse',
    'étalonnasses',
    'étalonne',
    'étalonnement',
    'étalonnent',
    'étalonner',
    'étalonnera',
    'étalonnerai',
    'étalonnerais',
    'étalonnerait',
    'étalonneras',
    'étalonnerez',
    'étalonneriez',
    'étalonnerons',
    'étalonneront',
    'étalonnes',
    'étalonnez',
    'étalonniez',
    'étalonnions',
    'étalonnons',
    'étalonnâmes',
    'étalonnât',
    'étalonnâtes',
    'étalonnèrent',
    'étalonné',
    'étalonnée',
    'étalonnées',
    'étalonnés',
    'étalons',
    'étals',
    'étalâmes',
    'étalât',
    'étalâtes',
    'étalèrent',
    'étalé',
    'étalée',
    'étalées',
    'étalés',
    'étama',
    'étamage',
    'étamages',
    'étamai',
    'étamaient',
    'étamais',
    'étamait',
    'étamant',
    'étamas',
    'étamasse',
    'étamassent',
    'étamasses',
    'étamassiez',
    'étamassions',
    'étambot',
    'étambots',
    'étambrai',
    'étambrais',
    'étame',
    'étament',
    'étamer',
    'étamera',
    'étamerai',
    'étameraient',
    'étamerais',
    'étamerait',
    'étameras',
    'étamerez',
    'étameriez',
    'étamerions',
    'étamerons',
    'étameront',
    'étames',
    'étameur',
    'étameurs',
    'étamez',
    'étamiez',
    'étamine',
    'étamines',
    'étamions',
    'étamons',
    'étampa',
    'étampage',
    'étampages',
    'étampai',
    'étampaient',
    'étampais',
    'étampait',
    'étampant',
    'étampas',
    'étampasse',
    'étampassent',
    'étampasses',
    'étampassiez',
    'étampassions',
    'étampe',
    'étampent',
    'étamper',
    'étampera',
    'étamperai',
    'étamperaient',
    'étamperais',
    'étamperait',
    'étamperas',
    'étamperche',
    'étamperches',
    'étamperez',
    'étamperiez',
    'étamperions',
    'étamperons',
    'étamperont',
    'étampes',
    'étampeur',
    'étampeurs',
    'étampez',
    'étampiez',
    'étampions',
    'étampons',
    'étampure',
    'étampures',
    'étampâmes',
    'étampât',
    'étampâtes',
    'étampèrent',
    'étampé',
    'étampée',
    'étampées',
    'étampés',
    'étamure',
    'étamures',
    'étamâmes',
    'étamât',
    'étamâtes',
    'étamèrent',
    'étamé',
    'étamée',
    'étamées',
    'étamés',
    'étancha',
    'étanchai',
    'étanchaient',
    'étanchais',
    'étanchait',
    'étanchant',
    'étanchas',
    'étanchasse',
    'étanchassent',
    'étanchasses',
    'étanchassiez',
    'étanche',
    'étanchement',
    'étanchements',
    'étanchent',
    'étancher',
    'étanchera',
    'étancherai',
    'étancherais',
    'étancherait',
    'étancheras',
    'étancherez',
    'étancheriez',
    'étancherions',
    'étancherons',
    'étancheront',
    'étanches',
    'étanchez',
    'étanchiez',
    'étanchions',
    'étanchons',
    'étanchâmes',
    'étanchât',
    'étanchâtes',
    'étanchèrent',
    'étanché',
    'étanchée',
    'étanchées',
    'étanchéité',
    'étanchéités',
    'étanchés',
    'étang',
    'étangs',
    'étant',
    'étançon',
    'étançonna',
    'étançonnai',
    'étançonnais',
    'étançonnait',
    'étançonnant',
    'étançonnas',
    'étançonnasse',
    'étançonne',
    'étançonnent',
    'étançonner',
    'étançonnera',
    'étançonnerai',
    'étançonneras',
    'étançonnerez',
    'étançonnes',
    'étançonnez',
    'étançonniez',
    'étançonnions',
    'étançonnons',
    'étançonnâmes',
    'étançonnât',
    'étançonnâtes',
    'étançonné',
    'étançonnée',
    'étançonnées',
    'étançonnés',
    'étançons',
    'étape',
    'étapes',
    'étarqua',
    'étarquai',
    'étarquaient',
    'étarquais',
    'étarquait',
    'étarquant',
    'étarquas',
    'étarquasse',
    'étarquassent',
    'étarquasses',
    'étarquassiez',
    'étarque',
    'étarquent',
    'étarquer',
    'étarquera',
    'étarquerai',
    'étarquerais',
    'étarquerait',
    'étarqueras',
    'étarquerez',
    'étarqueriez',
    'étarquerions',
    'étarquerons',
    'étarqueront',
    'étarques',
    'étarquez',
    'étarquiez',
    'étarquions',
    'étarquons',
    'étarquâmes',
    'étarquât',
    'étarquâtes',
    'étarquèrent',
    'étarqué',
    'étarquée',
    'étarquées',
    'étarqués',
    'étasunien',
    'étasunienne',
    'étasuniennes',
    'étasuniens',
    'état',
    'étatique',
    'étatiques',
    'étatisa',
    'étatisaient',
    'étatisais',
    'étatisait',
    'étatisant',
    'étatisation',
    'étatisations',
    'étatise',
    'étatisent',
    'étatiser',
    'étatisera',
    'étatiserai',
    'étatiserais',
    'étatiserait',
    'étatiseras',
    'étatiserez',
    'étatiseriez',
    'étatiserions',
    'étatiserons',
    'étatiseront',
    'étatises',
    'étatisez',
    'étatisiez',
    'étatisions',
    'étatisme',
    'étatismes',
    'étatisons',
    'étatiste',
    'étatistes',
    'étatisèrent',
    'étatisé',
    'étatisée',
    'étatisées',
    'étatisés',
    'états',
    'étau',
    'étaux',
    'étaya',
    'étayage',
    'étayages',
    'étayai',
    'étayaient',
    'étayais',
    'étayait',
    'étayant',
    'étayas',
    'étayasse',
    'étayassent',
    'étayasses',
    'étayassiez',
    'étayassions',
    'étaye',
    'étayement',
    'étayements',
    'étayent',
    'étayer',
    'étayera',
    'étayerai',
    'étayeraient',
    'étayerais',
    'étayerait',
    'étayeras',
    'étayerez',
    'étayeriez',
    'étayerions',
    'étayerons',
    'étayeront',
    'étayes',
    'étayez',
    'étayiez',
    'étayions',
    'étayons',
    'étayâmes',
    'étayât',
    'étayâtes',
    'étayèrent',
    'étayé',
    'étayée',
    'étayées',
    'étayés',
    'éteignaient',
    'éteignais',
    'éteignait',
    'éteignant',
    'éteigne',
    'éteignent',
    'éteignes',
    'éteignez',
    'éteigniez',
    'éteignions',
    'éteignirent',
    'éteignis',
    'éteignisse',
    'éteignissent',
    'éteignisses',
    'éteignissiez',
    'éteignit',
    'éteignoir',
    'éteignoirs',
    'éteignons',
    'éteignîmes',
    'éteignît',
    'éteignîtes',
    'éteindra',
    'éteindrai',
    'éteindraient',
    'éteindrais',
    'éteindrait',
    'éteindras',
    'éteindre',
    'éteindrez',
    'éteindriez',
    'éteindrions',
    'éteindrons',
    'éteindront',
    'éteins',
    'éteint',
    'éteinte',
    'éteintes',
    'éteints',
    'étend',
    'étendage',
    'étendages',
    'étendaient',
    'étendais',
    'étendait',
    'étendant',
    'étendard',
    'étendards',
    'étende',
    'étendent',
    'étendes',
    'étendez',
    'étendiez',
    'étendions',
    'étendirent',
    'étendis',
    'étendisse',
    'étendissent',
    'étendisses',
    'étendissiez',
    'étendissions',
    'étendit',
    'étendoir',
    'étendoirs',
    'étendons',
    'étendra',
    'étendrai',
    'étendraient',
    'étendrais',
    'étendrait',
    'étendras',
    'étendre',
    'étendrez',
    'étendriez',
    'étendrions',
    'étendrons',
    'étendront',
    'étends',
    'étendu',
    'étendue',
    'étendues',
    'étendus',
    'étendîmes',
    'étendît',
    'étendîtes',
    'éternel',
    'éternelle',
    'éternelles',
    'éternels',
    'éternisa',
    'éternisai',
    'éternisaient',
    'éternisais',
    'éternisait',
    'éternisant',
    'éternisas',
    'éternisasse',
    'éternisasses',
    'éternise',
    'éternisent',
    'éterniser',
    'éternisera',
    'éterniserai',
    'éterniserais',
    'éterniserait',
    'éterniseras',
    'éterniserez',
    'éterniseriez',
    'éterniserons',
    'éterniseront',
    'éternises',
    'éternisez',
    'éternisiez',
    'éternisions',
    'éternisons',
    'éternisâmes',
    'éternisât',
    'éternisâtes',
    'éternisèrent',
    'éternisé',
    'éternisée',
    'éternisées',
    'éternisés',
    'éternité',
    'éternités',
    'éternua',
    'éternuai',
    'éternuaient',
    'éternuais',
    'éternuait',
    'éternuant',
    'éternuas',
    'éternuasse',
    'éternuassent',
    'éternuasses',
    'éternuassiez',
    'éternue',
    'éternuement',
    'éternuements',
    'éternuent',
    'éternuer',
    'éternuera',
    'éternuerai',
    'éternuerais',
    'éternuerait',
    'éternueras',
    'éternuerez',
    'éternueriez',
    'éternuerions',
    'éternuerons',
    'éternueront',
    'éternues',
    'éternuez',
    'éternuiez',
    'éternuions',
    'éternuons',
    'éternuâmes',
    'éternuât',
    'éternuâtes',
    'éternuèrent',
    'éternué',
    'éteuf',
    'éteufs',
    'éteule',
    'éteules',
    'éthane',
    'éthanes',
    'éther',
    'éthers',
    'éthiopien',
    'éthiopienne',
    'éthiopiennes',
    'éthiopiens',
    'éthique',
    'éthiques',
    'éthographie',
    'éthographies',
    'éthologie',
    'éthologique',
    'éthologiques',
    'éthuse',
    'éthuses',
    'éthyle',
    'éthyles',
    'éthylique',
    'éthyliques',
    'éthylisme',
    'éthylismes',
    'éthylène',
    'éthylènes',
    'éthylénique',
    'éthyléniques',
    'éthérifia',
    'éthérifiai',
    'éthérifiais',
    'éthérifiait',
    'éthérifiant',
    'éthérifias',
    'éthérifiasse',
    'éthérifie',
    'éthérifient',
    'éthérifier',
    'éthérifiera',
    'éthérifierai',
    'éthérifieras',
    'éthérifierez',
    'éthérifies',
    'éthérifiez',
    'éthérifiiez',
    'éthérifiions',
    'éthérifions',
    'éthérifiâmes',
    'éthérifiât',
    'éthérifiâtes',
    'éthérifié',
    'éthérifiée',
    'éthérifiées',
    'éthérifiés',
    'éthérisa',
    'éthérisai',
    'éthérisaient',
    'éthérisais',
    'éthérisait',
    'éthérisant',
    'éthérisas',
    'éthérisasse',
    'éthérisasses',
    'éthérisation',
    'éthérise',
    'éthérisent',
    'éthériser',
    'éthérisera',
    'éthériserai',
    'éthériserais',
    'éthériserait',
    'éthériseras',
    'éthériserez',
    'éthériseriez',
    'éthériserons',
    'éthériseront',
    'éthérises',
    'éthérisez',
    'éthérisiez',
    'éthérisions',
    'éthérisme',
    'éthérismes',
    'éthérisons',
    'éthérisâmes',
    'éthérisât',
    'éthérisâtes',
    'éthérisèrent',
    'éthérisé',
    'éthérisée',
    'éthérisées',
    'éthérisés',
    'éthéromane',
    'éthéromanes',
    'éthéromanie',
    'éthéromanies',
    'éthéré',
    'éthérée',
    'éthérées',
    'éthérés',
    'étiage',
    'étiages',
    'étier',
    'étiers',
    'étiez',
    'étincela',
    'étincelage',
    'étincelages',
    'étincelai',
    'étincelaient',
    'étincelais',
    'étincelait',
    'étincelant',
    'étincelante',
    'étincelantes',
    'étincelants',
    'étincelas',
    'étincelasse',
    'étincelasses',
    'étinceler',
    'étincelez',
    'étinceliez',
    'étincelions',
    'étincelle',
    'étincellent',
    'étincellera',
    'étincellerai',
    'étincelleras',
    'étincellerez',
    'étincelles',
    'étincelons',
    'étincelâmes',
    'étincelât',
    'étincelâtes',
    'étincelèrent',
    'étincelé',
    'étiola',
    'étiolai',
    'étiolaient',
    'étiolais',
    'étiolait',
    'étiolant',
    'étiolas',
    'étiolasse',
    'étiolassent',
    'étiolasses',
    'étiolassiez',
    'étiolassions',
    'étiole',
    'étiolement',
    'étiolements',
    'étiolent',
    'étioler',
    'étiolera',
    'étiolerai',
    'étioleraient',
    'étiolerais',
    'étiolerait',
    'étioleras',
    'étiolerez',
    'étioleriez',
    'étiolerions',
    'étiolerons',
    'étioleront',
    'étioles',
    'étiolez',
    'étioliez',
    'étiolions',
    'étiologie',
    'étiologies',
    'étiologique',
    'étiologiques',
    'étiolons',
    'étiolâmes',
    'étiolât',
    'étiolâtes',
    'étiolèrent',
    'étiolé',
    'étiolée',
    'étiolées',
    'étiolés',
    'étions',
    'étique',
    'étiques',
    'étiqueta',
    'étiquetage',
    'étiquetages',
    'étiquetai',
    'étiquetaient',
    'étiquetais',
    'étiquetait',
    'étiquetant',
    'étiquetas',
    'étiquetasse',
    'étiquetasses',
    'étiqueter',
    'étiqueteur',
    'étiqueteurs',
    'étiqueteuse',
    'étiqueteuses',
    'étiquetez',
    'étiquetiez',
    'étiquetions',
    'étiquetons',
    'étiquette',
    'étiquettent',
    'étiquettera',
    'étiquetterai',
    'étiquetteras',
    'étiquetterez',
    'étiquettes',
    'étiquetâmes',
    'étiquetât',
    'étiquetâtes',
    'étiquetèrent',
    'étiqueté',
    'étiquetée',
    'étiquetées',
    'étiquetés',
    'étira',
    'étirable',
    'étirables',
    'étirage',
    'étirages',
    'étirai',
    'étiraient',
    'étirais',
    'étirait',
    'étirant',
    'étiras',
    'étirasse',
    'étirassent',
    'étirasses',
    'étirassiez',
    'étirassions',
    'étire',
    'étirement',
    'étirements',
    'étirent',
    'étirer',
    'étirera',
    'étirerai',
    'étireraient',
    'étirerais',
    'étirerait',
    'étireras',
    'étirerez',
    'étireriez',
    'étirerions',
    'étirerons',
    'étireront',
    'étires',
    'étireur',
    'étireurs',
    'étireuse',
    'étireuses',
    'étirez',
    'étiriez',
    'étirions',
    'étirons',
    'étirâmes',
    'étirât',
    'étirâtes',
    'étirèrent',
    'étiré',
    'étirée',
    'étirées',
    'étirés',
    'étisie',
    'étisies',
    'étoc',
    'étocs',
    'étoffa',
    'étoffai',
    'étoffaient',
    'étoffais',
    'étoffait',
    'étoffant',
    'étoffas',
    'étoffasse',
    'étoffassent',
    'étoffasses',
    'étoffassiez',
    'étoffassions',
    'étoffe',
    'étoffent',
    'étoffer',
    'étoffera',
    'étofferai',
    'étofferaient',
    'étofferais',
    'étofferait',
    'étofferas',
    'étofferez',
    'étofferiez',
    'étofferions',
    'étofferons',
    'étofferont',
    'étoffes',
    'étoffez',
    'étoffiez',
    'étoffions',
    'étoffons',
    'étoffâmes',
    'étoffât',
    'étoffâtes',
    'étoffèrent',
    'étoffé',
    'étoffée',
    'étoffées',
    'étoffés',
    'étoila',
    'étoilai',
    'étoilaient',
    'étoilais',
    'étoilait',
    'étoilant',
    'étoilas',
    'étoilasse',
    'étoilassent',
    'étoilasses',
    'étoilassiez',
    'étoilassions',
    'étoile',
    'étoilement',
    'étoilements',
    'étoilent',
    'étoiler',
    'étoilera',
    'étoilerai',
    'étoileraient',
    'étoilerais',
    'étoilerait',
    'étoileras',
    'étoilerez',
    'étoileriez',
    'étoilerions',
    'étoilerons',
    'étoileront',
    'étoiles',
    'étoilez',
    'étoiliez',
    'étoilions',
    'étoilons',
    'étoilâmes',
    'étoilât',
    'étoilâtes',
    'étoilèrent',
    'étoilé',
    'étoilée',
    'étoilées',
    'étoilés',
    'étole',
    'étoles',
    'étonna',
    'étonnai',
    'étonnaient',
    'étonnais',
    'étonnait',
    'étonnamment',
    'étonnant',
    'étonnante',
    'étonnantes',
    'étonnants',
    'étonnas',
    'étonnasse',
    'étonnassent',
    'étonnasses',
    'étonnassiez',
    'étonnassions',
    'étonne',
    'étonnement',
    'étonnements',
    'étonnent',
    'étonner',
    'étonnera',
    'étonnerai',
    'étonneraient',
    'étonnerais',
    'étonnerait',
    'étonneras',
    'étonnerez',
    'étonneriez',
    'étonnerions',
    'étonnerons',
    'étonneront',
    'étonnes',
    'étonnez',
    'étonniez',
    'étonnions',
    'étonnons',
    'étonnâmes',
    'étonnât',
    'étonnâtes',
    'étonnèrent',
    'étonné',
    'étonnée',
    'étonnées',
    'étonnés',
    'étouffa',
    'étouffade',
    'étouffades',
    'étouffage',
    'étouffages',
    'étouffai',
    'étouffaient',
    'étouffais',
    'étouffait',
    'étouffant',
    'étouffante',
    'étouffantes',
    'étouffants',
    'étouffas',
    'étouffasse',
    'étouffassent',
    'étouffasses',
    'étouffassiez',
    'étouffe',
    'étouffement',
    'étouffements',
    'étouffent',
    'étouffer',
    'étouffera',
    'étoufferai',
    'étoufferais',
    'étoufferait',
    'étoufferas',
    'étoufferez',
    'étoufferiez',
    'étoufferions',
    'étoufferons',
    'étoufferont',
    'étouffes',
    'étouffeur',
    'étouffeurs',
    'étouffez',
    'étouffiez',
    'étouffions',
    'étouffoir',
    'étouffoirs',
    'étouffons',
    'étouffâmes',
    'étouffât',
    'étouffâtes',
    'étouffèrent',
    'étouffé',
    'étouffée',
    'étouffées',
    'étouffés',
    'étoupa',
    'étoupai',
    'étoupaient',
    'étoupais',
    'étoupait',
    'étoupant',
    'étoupas',
    'étoupasse',
    'étoupassent',
    'étoupasses',
    'étoupassiez',
    'étoupassions',
    'étoupe',
    'étoupent',
    'étouper',
    'étoupera',
    'étouperai',
    'étouperaient',
    'étouperais',
    'étouperait',
    'étouperas',
    'étouperez',
    'étouperiez',
    'étouperions',
    'étouperons',
    'étouperont',
    'étoupes',
    'étoupez',
    'étoupiez',
    'étoupilla',
    'étoupillai',
    'étoupillais',
    'étoupillait',
    'étoupillant',
    'étoupillas',
    'étoupillasse',
    'étoupille',
    'étoupillent',
    'étoupiller',
    'étoupillera',
    'étoupillerai',
    'étoupilleras',
    'étoupillerez',
    'étoupilles',
    'étoupillez',
    'étoupilliez',
    'étoupillions',
    'étoupillons',
    'étoupillâmes',
    'étoupillât',
    'étoupillâtes',
    'étoupillé',
    'étoupillée',
    'étoupillées',
    'étoupillés',
    'étoupions',
    'étoupons',
    'étoupâmes',
    'étoupât',
    'étoupâtes',
    'étoupèrent',
    'étoupé',
    'étoupée',
    'étoupées',
    'étoupés',
    'étourderie',
    'étourderies',
    'étourdi',
    'étourdie',
    'étourdies',
    'étourdiment',
    'étourdir',
    'étourdira',
    'étourdirai',
    'étourdirais',
    'étourdirait',
    'étourdiras',
    'étourdirent',
    'étourdirez',
    'étourdiriez',
    'étourdirions',
    'étourdirons',
    'étourdiront',
    'étourdis',
    'étourdissais',
    'étourdissait',
    'étourdissant',
    'étourdisse',
    'étourdissent',
    'étourdisses',
    'étourdissez',
    'étourdissiez',
    'étourdissons',
    'étourdit',
    'étourdîmes',
    'étourdît',
    'étourdîtes',
    'étourneau',
    'étourneaux',
    'étrange',
    'étrangement',
    'étranger',
    'étrangers',
    'étranges',
    'étrangeté',
    'étrangetés',
    'étrangla',
    'étranglai',
    'étranglaient',
    'étranglais',
    'étranglait',
    'étranglant',
    'étranglas',
    'étranglasse',
    'étranglasses',
    'étrangle',
    'étranglement',
    'étranglent',
    'étrangler',
    'étranglera',
    'étranglerai',
    'étranglerais',
    'étranglerait',
    'étrangleras',
    'étranglerez',
    'étrangleriez',
    'étranglerons',
    'étrangleront',
    'étrangles',
    'étrangleur',
    'étrangleurs',
    'étrangleuse',
    'étrangleuses',
    'étranglez',
    'étrangliez',
    'étranglions',
    'étrangloir',
    'étrangloirs',
    'étranglons',
    'étranglâmes',
    'étranglât',
    'étranglâtes',
    'étranglèrent',
    'étranglé',
    'étranglée',
    'étranglées',
    'étranglés',
    'étrangère',
    'étrangères',
    'étrave',
    'étraves',
    'étreignaient',
    'étreignais',
    'étreignait',
    'étreignant',
    'étreigne',
    'étreignent',
    'étreignes',
    'étreignez',
    'étreigniez',
    'étreignions',
    'étreignirent',
    'étreignis',
    'étreignisse',
    'étreignisses',
    'étreignit',
    'étreignons',
    'étreignîmes',
    'étreignît',
    'étreignîtes',
    'étreindra',
    'étreindrai',
    'étreindrais',
    'étreindrait',
    'étreindras',
    'étreindre',
    'étreindrez',
    'étreindriez',
    'étreindrions',
    'étreindrons',
    'étreindront',
    'étreins',
    'étreint',
    'étreinte',
    'étreintes',
    'étreints',
    'étrenna',
    'étrennai',
    'étrennaient',
    'étrennais',
    'étrennait',
    'étrennant',
    'étrennas',
    'étrennasse',
    'étrennassent',
    'étrennasses',
    'étrennassiez',
    'étrenne',
    'étrennent',
    'étrenner',
    'étrennera',
    'étrennerai',
    'étrennerais',
    'étrennerait',
    'étrenneras',
    'étrennerez',
    'étrenneriez',
    'étrennerions',
    'étrennerons',
    'étrenneront',
    'étrennes',
    'étrennez',
    'étrenniez',
    'étrennions',
    'étrennons',
    'étrennâmes',
    'étrennât',
    'étrennâtes',
    'étrennèrent',
    'étrenné',
    'étrennée',
    'étrennées',
    'étrennés',
    'étrier',
    'étriers',
    'étrilla',
    'étrillai',
    'étrillaient',
    'étrillais',
    'étrillait',
    'étrillant',
    'étrillas',
    'étrillasse',
    'étrillassent',
    'étrillasses',
    'étrillassiez',
    'étrille',
    'étrillent',
    'étriller',
    'étrillera',
    'étrillerai',
    'étrillerais',
    'étrillerait',
    'étrilleras',
    'étrillerez',
    'étrilleriez',
    'étrillerions',
    'étrillerons',
    'étrilleront',
    'étrilles',
    'étrillez',
    'étrilliez',
    'étrillions',
    'étrillons',
    'étrillâmes',
    'étrillât',
    'étrillâtes',
    'étrillèrent',
    'étrillé',
    'étrillée',
    'étrillées',
    'étrillés',
    'étripa',
    'étripage',
    'étripages',
    'étripai',
    'étripaient',
    'étripais',
    'étripait',
    'étripant',
    'étripas',
    'étripasse',
    'étripassent',
    'étripasses',
    'étripassiez',
    'étripassions',
    'étripe',
    'étripent',
    'étriper',
    'étripera',
    'étriperai',
    'étriperaient',
    'étriperais',
    'étriperait',
    'étriperas',
    'étriperez',
    'étriperiez',
    'étriperions',
    'étriperons',
    'étriperont',
    'étripes',
    'étripez',
    'étripiez',
    'étripions',
    'étripons',
    'étripâmes',
    'étripât',
    'étripâtes',
    'étripèrent',
    'étripé',
    'étripée',
    'étripées',
    'étripés',
    'étriqua',
    'étriquai',
    'étriquaient',
    'étriquais',
    'étriquait',
    'étriquant',
    'étriquas',
    'étriquasse',
    'étriquassent',
    'étriquasses',
    'étriquassiez',
    'étrique',
    'étriquent',
    'étriquer',
    'étriquera',
    'étriquerai',
    'étriquerais',
    'étriquerait',
    'étriqueras',
    'étriquerez',
    'étriqueriez',
    'étriquerions',
    'étriquerons',
    'étriqueront',
    'étriques',
    'étriquez',
    'étriquiez',
    'étriquions',
    'étriquons',
    'étriquâmes',
    'étriquât',
    'étriquâtes',
    'étriquèrent',
    'étriqué',
    'étriquée',
    'étriquées',
    'étriqués',
    'étrive',
    'étrives',
    'étrivière',
    'étrivières',
    'étroit',
    'étroite',
    'étroitement',
    'étroites',
    'étroitesse',
    'étroitesses',
    'étroits',
    'étron',
    'étrons',
    'étronçonna',
    'étronçonnai',
    'étronçonnais',
    'étronçonnait',
    'étronçonnant',
    'étronçonnas',
    'étronçonne',
    'étronçonnent',
    'étronçonner',
    'étronçonnera',
    'étronçonnes',
    'étronçonnez',
    'étronçonniez',
    'étronçonnons',
    'étronçonnât',
    'étronçonné',
    'étronçonnée',
    'étronçonnées',
    'étronçonnés',
    'étrusque',
    'étrusques',
    'étréci',
    'étrécie',
    'étrécies',
    'étrécir',
    'étrécira',
    'étrécirai',
    'étréciraient',
    'étrécirais',
    'étrécirait',
    'étréciras',
    'étrécirent',
    'étrécirez',
    'étréciriez',
    'étrécirions',
    'étrécirons',
    'étréciront',
    'étrécis',
    'étrécissais',
    'étrécissait',
    'étrécissant',
    'étrécisse',
    'étrécissent',
    'étrécisses',
    'étrécissez',
    'étrécissiez',
    'étrécissions',
    'étrécissons',
    'étrécit',
    'étrécîmes',
    'étrécît',
    'étrécîtes',
    'étrésillon',
    'étrésillonna',
    'étrésillonne',
    'étrésillonné',
    'étrésillons',
    'étude',
    'études',
    'étudia',
    'étudiai',
    'étudiaient',
    'étudiais',
    'étudiait',
    'étudiant',
    'étudiante',
    'étudiantes',
    'étudiants',
    'étudias',
    'étudiasse',
    'étudiassent',
    'étudiasses',
    'étudiassiez',
    'étudiassions',
    'étudie',
    'étudient',
    'étudier',
    'étudiera',
    'étudierai',
    'étudieraient',
    'étudierais',
    'étudierait',
    'étudieras',
    'étudierez',
    'étudieriez',
    'étudierions',
    'étudierons',
    'étudieront',
    'étudies',
    'étudiez',
    'étudiiez',
    'étudiions',
    'étudions',
    'étudiâmes',
    'étudiât',
    'étudiâtes',
    'étudièrent',
    'étudié',
    'étudiée',
    'étudiées',
    'étudiés',
    'étui',
    'étuis',
    'étuva',
    'étuvage',
    'étuvages',
    'étuvai',
    'étuvaient',
    'étuvais',
    'étuvait',
    'étuvant',
    'étuvas',
    'étuvasse',
    'étuvassent',
    'étuvasses',
    'étuvassiez',
    'étuvassions',
    'étuve',
    'étuvent',
    'étuver',
    'étuvera',
    'étuverai',
    'étuveraient',
    'étuverais',
    'étuverait',
    'étuveras',
    'étuverez',
    'étuveriez',
    'étuverions',
    'étuverons',
    'étuveront',
    'étuves',
    'étuveur',
    'étuveurs',
    'étuveuse',
    'étuveuses',
    'étuvez',
    'étuviez',
    'étuvions',
    'étuvons',
    'étuvâmes',
    'étuvât',
    'étuvâtes',
    'étuvèrent',
    'étuvé',
    'étuvée',
    'étuvées',
    'étuvés',
    'étymologie',
    'étymologies',
    'étymologique',
    'étymologiste',
    'étymon',
    'étymons',
    'étés',
    'étésien',
    'étésiens',
    'étêta',
    'étêtage',
    'étêtages',
    'étêtai',
    'étêtaient',
    'étêtais',
    'étêtait',
    'étêtant',
    'étêtas',
    'étêtasse',
    'étêtassent',
    'étêtasses',
    'étêtassiez',
    'étêtassions',
    'étête',
    'étêtement',
    'étêtements',
    'étêtent',
    'étêter',
    'étêtera',
    'étêterai',
    'étêteraient',
    'étêterais',
    'étêterait',
    'étêteras',
    'étêterez',
    'étêteriez',
    'étêterions',
    'étêterons',
    'étêteront',
    'étêtes',
    'étêtez',
    'étêtiez',
    'étêtions',
    'étêtons',
    'étêtâmes',
    'étêtât',
    'étêtâtes',
    'étêtèrent',
    'étêté',
    'étêtée',
    'étêtées',
    'étêtés',
    'évacua',
    'évacuai',
    'évacuaient',
    'évacuais',
    'évacuait',
    'évacuant',
    'évacuante',
    'évacuantes',
    'évacuants',
    'évacuas',
    'évacuasse',
    'évacuassent',
    'évacuasses',
    'évacuassiez',
    'évacuassions',
    'évacuateur',
    'évacuateurs',
    'évacuation',
    'évacuations',
    'évacuatrice',
    'évacuatrices',
    'évacue',
    'évacuent',
    'évacuer',
    'évacuera',
    'évacuerai',
    'évacueraient',
    'évacuerais',
    'évacuerait',
    'évacueras',
    'évacuerez',
    'évacueriez',
    'évacuerions',
    'évacuerons',
    'évacueront',
    'évacues',
    'évacuez',
    'évacuiez',
    'évacuions',
    'évacuons',
    'évacuâmes',
    'évacuât',
    'évacuâtes',
    'évacuèrent',
    'évacué',
    'évacuée',
    'évacuées',
    'évacués',
    'évada',
    'évadaient',
    'évadais',
    'évadait',
    'évadant',
    'évadassiez',
    'évadassions',
    'évade',
    'évadent',
    'évader',
    'évadera',
    'évaderai',
    'évaderaient',
    'évaderais',
    'évaderait',
    'évaderas',
    'évaderez',
    'évaderiez',
    'évaderions',
    'évaderons',
    'évaderont',
    'évades',
    'évadez',
    'évadiez',
    'évadions',
    'évadons',
    'évadâmes',
    'évadâtes',
    'évadèrent',
    'évadé',
    'évadée',
    'évadées',
    'évadés',
    'évagination',
    'évaginations',
    'évalua',
    'évaluable',
    'évaluables',
    'évaluai',
    'évaluaient',
    'évaluais',
    'évaluait',
    'évaluant',
    'évaluas',
    'évaluasse',
    'évaluassent',
    'évaluasses',
    'évaluassiez',
    'évaluassions',
    'évaluation',
    'évaluations',
    'évalue',
    'évaluent',
    'évaluer',
    'évaluera',
    'évaluerai',
    'évalueraient',
    'évaluerais',
    'évaluerait',
    'évalueras',
    'évaluerez',
    'évalueriez',
    'évaluerions',
    'évaluerons',
    'évalueront',
    'évalues',
    'évaluez',
    'évaluiez',
    'évaluions',
    'évaluons',
    'évaluâmes',
    'évaluât',
    'évaluâtes',
    'évaluèrent',
    'évalué',
    'évaluée',
    'évaluées',
    'évalués',
    'évanescence',
    'évanescences',
    'évanescent',
    'évanescente',
    'évanescentes',
    'évanescents',
    'évangile',
    'évangiles',
    'évangéliaire',
    'évangélique',
    'évangéliques',
    'évangélisa',
    'évangélisai',
    'évangélisais',
    'évangélisait',
    'évangélisant',
    'évangélisas',
    'évangélise',
    'évangélisent',
    'évangéliser',
    'évangélisera',
    'évangélises',
    'évangélisez',
    'évangélisiez',
    'évangélisme',
    'évangélismes',
    'évangélisons',
    'évangéliste',
    'évangélistes',
    'évangélisât',
    'évangélisé',
    'évangélisée',
    'évangélisées',
    'évangélisés',
    'évanoui',
    'évanouie',
    'évanouies',
    'évanouir',
    'évanouira',
    'évanouirai',
    'évanouirais',
    'évanouirait',
    'évanouiras',
    'évanouirent',
    'évanouirez',
    'évanouiriez',
    'évanouirions',
    'évanouirons',
    'évanouiront',
    'évanouis',
    'évanouissais',
    'évanouissait',
    'évanouissant',
    'évanouisse',
    'évanouissent',
    'évanouisses',
    'évanouissez',
    'évanouissiez',
    'évanouissons',
    'évanouit',
    'évanouîmes',
    'évanouîtes',
    'évapora',
    'évaporable',
    'évaporables',
    'évaporai',
    'évaporaient',
    'évaporais',
    'évaporait',
    'évaporant',
    'évaporas',
    'évaporasse',
    'évaporassent',
    'évaporasses',
    'évaporassiez',
    'évaporateur',
    'évaporateurs',
    'évaporation',
    'évaporations',
    'évaporatoire',
    'évapore',
    'évaporent',
    'évaporer',
    'évaporera',
    'évaporerai',
    'évaporerais',
    'évaporerait',
    'évaporeras',
    'évaporerez',
    'évaporeriez',
    'évaporerions',
    'évaporerons',
    'évaporeront',
    'évapores',
    'évaporez',
    'évaporiez',
    'évaporions',
    'évaporons',
    'évaporâmes',
    'évaporât',
    'évaporâtes',
    'évaporèrent',
    'évaporé',
    'évaporée',
    'évaporées',
    'évaporés',
    'évasa',
    'évasai',
    'évasaient',
    'évasais',
    'évasait',
    'évasant',
    'évasas',
    'évasasse',
    'évasassent',
    'évasasses',
    'évasassiez',
    'évasassions',
    'évase',
    'évasement',
    'évasements',
    'évasent',
    'évaser',
    'évasera',
    'évaserai',
    'évaseraient',
    'évaserais',
    'évaserait',
    'évaseras',
    'évaserez',
    'évaseriez',
    'évaserions',
    'évaserons',
    'évaseront',
    'évases',
    'évasez',
    'évasiez',
    'évasif',
    'évasifs',
    'évasion',
    'évasions',
    'évasive',
    'évasivement',
    'évasives',
    'évasons',
    'évasure',
    'évasures',
    'évasâmes',
    'évasât',
    'évasâtes',
    'évasèrent',
    'évasé',
    'évasée',
    'évasées',
    'évasés',
    'évection',
    'évections',
    'éveil',
    'éveilla',
    'éveillai',
    'éveillaient',
    'éveillais',
    'éveillait',
    'éveillant',
    'éveillas',
    'éveillasse',
    'éveillassent',
    'éveillasses',
    'éveillassiez',
    'éveille',
    'éveillent',
    'éveiller',
    'éveillera',
    'éveillerai',
    'éveillerais',
    'éveillerait',
    'éveilleras',
    'éveillerez',
    'éveilleriez',
    'éveillerions',
    'éveillerons',
    'éveilleront',
    'éveilles',
    'éveilleur',
    'éveilleurs',
    'éveillez',
    'éveilliez',
    'éveillions',
    'éveillons',
    'éveillâmes',
    'éveillât',
    'éveillâtes',
    'éveillèrent',
    'éveillé',
    'éveillée',
    'éveillées',
    'éveillés',
    'éveils',
    'évent',
    'éventa',
    'éventai',
    'éventaient',
    'éventail',
    'éventails',
    'éventaire',
    'éventaires',
    'éventais',
    'éventait',
    'éventant',
    'éventas',
    'éventasse',
    'éventassent',
    'éventasses',
    'éventassiez',
    'éventassions',
    'évente',
    'éventent',
    'éventer',
    'éventera',
    'éventerai',
    'éventeraient',
    'éventerais',
    'éventerait',
    'éventeras',
    'éventerez',
    'éventeriez',
    'éventerions',
    'éventerons',
    'éventeront',
    'éventes',
    'éventez',
    'éventiez',
    'éventions',
    'éventons',
    'éventra',
    'éventrai',
    'éventraient',
    'éventrais',
    'éventrait',
    'éventrant',
    'éventras',
    'éventrasse',
    'éventrassent',
    'éventrasses',
    'éventrassiez',
    'éventration',
    'éventrations',
    'éventre',
    'éventrent',
    'éventrer',
    'éventrera',
    'éventrerai',
    'éventrerais',
    'éventrerait',
    'éventreras',
    'éventrerez',
    'éventreriez',
    'éventrerions',
    'éventrerons',
    'éventreront',
    'éventres',
    'éventreur',
    'éventreurs',
    'éventrez',
    'éventriez',
    'éventrions',
    'éventrons',
    'éventrâmes',
    'éventrât',
    'éventrâtes',
    'éventrèrent',
    'éventré',
    'éventrée',
    'éventrées',
    'éventrés',
    'évents',
    'éventualité',
    'éventualités',
    'éventuel',
    'éventuelle',
    'éventuelles',
    'éventuels',
    'éventâmes',
    'éventât',
    'éventâtes',
    'éventèrent',
    'éventé',
    'éventée',
    'éventées',
    'éventés',
    'évertua',
    'évertuaient',
    'évertuais',
    'évertuait',
    'évertuant',
    'évertuassiez',
    'évertue',
    'évertuent',
    'évertuer',
    'évertuera',
    'évertuerai',
    'évertuerais',
    'évertuerait',
    'évertueras',
    'évertuerez',
    'évertueriez',
    'évertuerions',
    'évertuerons',
    'évertueront',
    'évertues',
    'évertuez',
    'évertuiez',
    'évertuions',
    'évertuons',
    'évertuâmes',
    'évertuâtes',
    'évertuèrent',
    'évertué',
    'évertuée',
    'évertuées',
    'évertués',
    'éviction',
    'évictions',
    'évida',
    'évidage',
    'évidages',
    'évidai',
    'évidaient',
    'évidais',
    'évidait',
    'évidant',
    'évidas',
    'évidasse',
    'évidassent',
    'évidasses',
    'évidassiez',
    'évidassions',
    'évide',
    'évidement',
    'évidements',
    'évidemment',
    'évidence',
    'évidences',
    'évident',
    'évidente',
    'évidentes',
    'évidents',
    'évider',
    'évidera',
    'éviderai',
    'évideraient',
    'éviderais',
    'éviderait',
    'évideras',
    'éviderez',
    'évideriez',
    'éviderions',
    'éviderons',
    'évideront',
    'évides',
    'évidez',
    'évidiez',
    'évidions',
    'évidons',
    'évidâmes',
    'évidât',
    'évidâtes',
    'évidèrent',
    'évidé',
    'évidée',
    'évidées',
    'évidés',
    'évier',
    'éviers',
    'évince',
    'évincement',
    'évincements',
    'évincent',
    'évincer',
    'évincera',
    'évincerai',
    'évinceraient',
    'évincerais',
    'évincerait',
    'évinceras',
    'évincerez',
    'évinceriez',
    'évincerions',
    'évincerons',
    'évinceront',
    'évinces',
    'évincez',
    'évinciez',
    'évincions',
    'évincèrent',
    'évincé',
    'évincée',
    'évincées',
    'évincés',
    'évinça',
    'évinçai',
    'évinçaient',
    'évinçais',
    'évinçait',
    'évinçant',
    'évinças',
    'évinçasse',
    'évinçassent',
    'évinçasses',
    'évinçassiez',
    'évinçassions',
    'évinçons',
    'évinçâmes',
    'évinçât',
    'évinçâtes',
    'éviscère',
    'éviscèrent',
    'éviscères',
    'éviscéra',
    'éviscérai',
    'éviscéraient',
    'éviscérais',
    'éviscérait',
    'éviscérant',
    'éviscéras',
    'éviscérasse',
    'éviscérasses',
    'éviscérer',
    'éviscérera',
    'éviscérerai',
    'éviscérerais',
    'éviscérerait',
    'éviscéreras',
    'éviscérerez',
    'éviscéreriez',
    'éviscérerons',
    'éviscéreront',
    'éviscérez',
    'éviscériez',
    'éviscérions',
    'éviscérons',
    'éviscérâmes',
    'éviscérât',
    'éviscérâtes',
    'éviscérèrent',
    'éviscéré',
    'éviscérée',
    'éviscérées',
    'éviscérés',
    'évita',
    'évitable',
    'évitables',
    'évitage',
    'évitages',
    'évitai',
    'évitaient',
    'évitais',
    'évitait',
    'évitant',
    'évitas',
    'évitasse',
    'évitassent',
    'évitasses',
    'évitassiez',
    'évitassions',
    'évite',
    'évitement',
    'évitements',
    'évitent',
    'éviter',
    'évitera',
    'éviterai',
    'éviteraient',
    'éviterais',
    'éviterait',
    'éviteras',
    'éviterez',
    'éviteriez',
    'éviterions',
    'éviterons',
    'éviteront',
    'évites',
    'évitez',
    'évitiez',
    'évitions',
    'évitons',
    'évitâmes',
    'évitât',
    'évitâtes',
    'évitèrent',
    'évité',
    'évitée',
    'évitées',
    'évités',
    'évocable',
    'évocables',
    'évocateur',
    'évocateurs',
    'évocation',
    'évocations',
    'évocatoire',
    'évocatoires',
    'évocatrice',
    'évocatrices',
    'évohé',
    'évolua',
    'évoluai',
    'évoluaient',
    'évoluais',
    'évoluait',
    'évoluant',
    'évoluas',
    'évoluasse',
    'évoluassent',
    'évoluasses',
    'évoluassiez',
    'évoluassions',
    'évolue',
    'évoluent',
    'évoluer',
    'évoluera',
    'évoluerai',
    'évolueraient',
    'évoluerais',
    'évoluerait',
    'évolueras',
    'évoluerez',
    'évolueriez',
    'évoluerions',
    'évoluerons',
    'évolueront',
    'évolues',
    'évoluez',
    'évoluiez',
    'évoluions',
    'évoluons',
    'évolutif',
    'évolutifs',
    'évolution',
    'évolutions',
    'évolutive',
    'évolutives',
    'évoluâmes',
    'évoluât',
    'évoluâtes',
    'évoluèrent',
    'évolué',
    'évoluée',
    'évoluées',
    'évolués',
    'évoqua',
    'évoquai',
    'évoquaient',
    'évoquais',
    'évoquait',
    'évoquant',
    'évoquas',
    'évoquasse',
    'évoquassent',
    'évoquasses',
    'évoquassiez',
    'évoquassions',
    'évoque',
    'évoquent',
    'évoquer',
    'évoquera',
    'évoquerai',
    'évoqueraient',
    'évoquerais',
    'évoquerait',
    'évoqueras',
    'évoquerez',
    'évoqueriez',
    'évoquerions',
    'évoquerons',
    'évoqueront',
    'évoques',
    'évoquez',
    'évoquiez',
    'évoquions',
    'évoquons',
    'évoquâmes',
    'évoquât',
    'évoquâtes',
    'évoquèrent',
    'évoqué',
    'évoquée',
    'évoquées',
    'évoqués',
    'évènement',
    'évènements',
    'événement',
    'événementiel',
    'événements',
    'évêché',
    'évêchés',
    'évêque',
    'évêques',
    'êtes',
    'être',
    'êtres',
    'îles',
    'îlien',
    'îlienne',
    'îliennes',
    'îliens',
    'îlot',
    'îlotage',
    'îlotages',
    'îlotier',
    'îlotiers',
    'îlots',
    'ôtai',
    'ôtaient',
    'ôtais',
    'ôtait',
    'ôtant',
    'ôtas',
    'ôtasse',
    'ôtassent',
    'ôtasses',
    'ôtassiez',
    'ôtassions',
    'ôtent',
    'ôter',
    'ôtera',
    'ôterai',
    'ôteraient',
    'ôterais',
    'ôterait',
    'ôteras',
    'ôterez',
    'ôteriez',
    'ôterions',
    'ôterons',
    'ôteront',
    'ôtes',
    'ôtez',
    'ôtiez',
    'ôtions',
    'ôtons',
    'ôtâmes',
    'ôtât',
    'ôtâtes',
    'ôtèrent',
    'ôtée',
    'ôtées',
    'ôtés',
    'oecuménique',
    'oecuméniques',
    'oecuménisme',
    'oedipien',
    'oedipienne',
    'oedipiennes',
    'oedipiens',
    'oedème',
    'oedèmes',
    'oedémateuse',
    'oedémateuses',
    'oedémateux',
    'oeil',
    'oeillade',
    'oeillades',
    'oeillet',
    'oeilletonner',
    'oeillets',
    'oeillère',
    'oeillères',
    'oenilisme',
    'oenolisme',
    'oenologie',
    'oenologue',
    'oenologues',
    'oesophage',
    'oesophages',
    'oestrogène',
    'oestrogènes',
    'oeuf',
    'oeufs',
    'oeuvra',
    'oeuvraient',
    'oeuvrais',
    'oeuvrait',
    'oeuvrant',
    'oeuvre',
    'oeuvrent',
    'oeuvrer',
    'oeuvrera',
    'oeuvrerai',
    'oeuvreraient',
    'oeuvrerais',
    'oeuvrerait',
    'oeuvreras',
    'oeuvrerez',
    'oeuvreriez',
    'oeuvrerions',
    'oeuvrerons',
    'oeuvreront',
    'oeuvres',
    'oeuvrez',
    'oeuvriez',
    'oeuvrions',
    'oeuvrons',
    'oeuvrèrent',
    'oeuvré',
    'oeuvrée',
    'oeuvrées',
    'oeuvrés',
);

#
# --- Constructor -------------------------------------------------------------
#

#####-SUB-#####################################################################
# Type       : CONSTRUCTOR (CLASS)
# Purpose    : Create a new instance of class Crypt::HSXKPasswd::Dictionary::FR
# Returns    : An object of class Crypt::HSXKPasswd::Dictionary::FR
# Arguments  : NONE
# Throws     : NOTHING
# Notes      :
# See Also   :
sub new{
    my $class = shift;
    _force_class($class);
    my $instance = {};
    bless $instance, $class;
    return $instance;
}

#
# --- Public Instance functions -----------------------------------------------
#

#####-SUB-######################################################################
# Type       : INSTANCE or CLASS or SUBROUTINE
# Purpose    : Override clone() from the parent class and return a clone of
#              self.
# Returns    : An object of type Crypt::HSXKPasswd::Dictionary::FR
# Arguments  : NONE
# Throws     : NOTHING
# Notes      :
# See Also   :
sub clone{
    my $clone = {};
    bless $clone, $_CLASS;
    return $clone;
}

#####-SUB-#####################################################################
# Type       : INSTANCE or CLASS or SUBROUTINE
# Purpose    : Return the word list.
# Returns    : An Array Ref
# Arguments  : NONE
# Throws     : NOTHING
# Notes      :
# See Also   :
sub word_list{
    return [@_WORDS];
}

1; # because Perl is just a little bit odd :)

